(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun x1 () Real)
(assert (forall ((?y2 Real)) (or (or (exists ((?y3 Real)) (or (and (or (and (>= (* (- 90) ?y2) (- 17)) (> (+ (* (- 65) ?y2) (* (- 70) x1)) (- 78))) (or (>= (* 84 x1) (- 38)) (>= (+ (* 19 ?y3) (* 65 ?y2)) 13))) (and (< (+ (+ (* (- 88) ?y3) (* 88 ?y2)) (* 60 x1)) 28) (< (+ (+ (* (- 52) ?y3) (* (- 46) ?y2)) (* (- 58) x1)) 1))) (or (or (or (and (not (= (+ (+ (* (- 91) ?y3) (* 22 ?y2)) (* (- 9) x1)) 0)) (> (+ (* 72 ?y3) (* 21 ?y2)) 26)) (or (>= (+ (+ (* (- 71) ?y3) (* 100 ?y2)) (* 61 x1)) (- 38)) (not (= (+ (* (- 76) ?y2) (* (- 94) x1)) 44)))) (and (> (+ (+ (* 43 ?y3) (* 41 ?y2)) (* 18 x1)) (- 9)) (and (<= (+ (* 12 ?y3) (* 30 ?y2)) 0) (< (+ (+ (* 75 ?y3) (* (- 58) ?y2)) (* (- 71) x1)) 22)))) (or (or (and (>= (+ (+ (* 46 ?y3) (* 46 ?y2)) (* 31 x1)) 34) (<= (+ (+ (* (- 86) ?y3) (* 8 ?y2)) (* 43 x1)) 0)) (and (>= (+ (* 50 ?y3) (* 97 x1)) 0) (>= (+ (* (- 37) ?y2) (* (- 39) x1)) 0))) (and (>= (+ (+ (* 66 ?y3) (* 53 ?y2)) (* (- 43) x1)) 19) (>= (+ (+ (* (- 34) ?y3) (* 36 ?y2)) (* (- 48) x1)) (- 74))))))) (forall ((?y3 Real)) (let ((?v_1 (* 16 x1)) (?v_2 (* 76 ?y3)) (?v_0 (* (- 73) ?y2)) (?v_3 (* (- 1) ?y2))) (and (or (and (and (and (not (= (+ (+ (* (- 50) ?y3) (* (- 37) ?y2)) (* 81 x1)) 29)) (<= (+ (+ (* (- 16) ?y3) ?v_0) ?v_1) (- 54))) (= (+ (+ (* (- 100) ?y3) (* (- 30) ?y2)) (* (- 27) x1)) 0)) (or (or (not (= (+ (+ (* (- 89) ?y3) (* (- 11) ?y2)) (* (- 38) x1)) 0)) (<= (+ (* 99 ?y3) (* 74 x1)) 0)) (and (< (+ (+ (* (- 35) ?y3) ?v_0) (* (- 19) x1)) 88) (= (+ (+ (* (- 30) ?y3) (* 33 ?y2)) (* 96 x1)) (- 57))))) (or (and (or (<= (+ (* 80 ?y3) (* 84 x1)) 30) (<= (+ (+ ?v_2 (* (- 86) ?y2)) ?v_1) 0)) (or (<= (* (- 74) ?y2) 78) (>= (* 78 x1) (- 56)))) (or (> (+ (+ (* (- 77) ?y3) (* (- 85) ?y2)) (* (- 81) x1)) 0) (or (< (+ (+ (* 64 ?y3) (* (- 62) ?y2)) (* 80 x1)) 22) (> (+ (* (- 82) ?y2) (* 58 x1)) 56))))) (or (or (and (<= (+ ?v_2 (* 59 x1)) (- 55)) (> (* (- 84) ?y3) 33)) (>= (+ (+ (* 53 ?y3) (* 21 ?y2)) (* 35 x1)) 97)) (or (and (and (= (+ (* 12 ?y3) (* (- 35) ?y2)) 36) (not (= (+ (+ (* 22 ?y3) (* 83 ?y2)) (* 63 x1)) 0))) (and (= (+ (* (- 85) ?y3) (* 56 x1)) (- 93)) (> (+ (+ (* (- 72) ?y3) ?v_3) (* 9 x1)) 68))) (or (and (>= (+ (+ (* 18 ?y3) (* (- 88) ?y2)) (* (- 10) x1)) (- 41)) (< (+ (+ (* 2 ?y3) ?v_3) (* (- 68) x1)) 13)) (= (+ (* 23 ?y3) (* (- 91) x1)) (- 13))))))))) (exists ((?y3 Real)) (and (or (and (or (= (+ (+ (* 85 ?y3) (* (- 94) ?y2)) (* (- 99) x1)) 51) (not (= (+ (* (- 94) ?y3) (* 36 x1)) (- 73)))) (= (+ (+ (* (- 60) ?y3) (* (- 44) ?y2)) (* (- 86) x1)) 0)) (or (or (= (+ (+ (* (- 3) ?y3) (* (- 62) ?y2)) (* 51 x1)) (- 87)) (= (* (- 63) ?y3) (- 78))) (and (= (* 9 x1) (- 81)) (<= (+ (+ (* (- 74) ?y3) (* (- 84) ?y2)) (* 69 x1)) (- 81))))) (or (and (<= (+ (* 81 ?y3) (* 92 x1)) (- 28)) (not (= (+ (* (- 18) ?y3) (* 73 x1)) (- 24)))) (and (or (> (* (- 2) ?y2) 44) (< (+ (* 17 ?y3) (* (- 52) ?y2)) (- 29))) (or (< (+ (* (- 75) ?y3) (* 4 ?y2)) (- 26)) (>= (+ (* 87 ?y3) (* (- 96) ?y2)) (- 44))))))))))
(check-sat)
(exit)
