(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun x1 () Real)
(assert (exists ((?y1 Real)) (and (or (exists ((?y2 Real)) (exists ((?y3 Real)) (or (and (exists ((?y4 Real)) (let ((?v_0 (* 40 ?y1))) (or (or (>= (+ (+ (+ (+ (* (- 83) ?y4) (* 39 ?y3)) (* (- 95) ?y2)) (* (- 5) ?y1)) (* (- 69) x1)) (- 62)) (= (+ (+ (+ (* (- 93) ?y3) (* 62 ?y2)) (* (- 20) ?y1)) (* (- 74) x1)) 0)) (and (= (+ (+ (+ (* (- 19) ?y3) (* (- 67) ?y2)) ?v_0) (* (- 48) x1)) (- 94)) (<= (+ (+ (+ (* 83 ?y3) (* (- 59) ?y2)) ?v_0) (* (- 32) x1)) 44))))) (exists ((?y4 Real)) (and (and (< (+ (+ (* (- 71) ?y4) (* 33 ?y2)) (* (- 76) ?y1)) (- 80)) (< (+ (+ (+ (* 77 ?y4) (* (- 13) ?y3)) (* 80 ?y2)) (* 93 ?y1)) 0)) (and (<= (+ (+ (* (- 41) ?y3) (* 2 ?y2)) (* 1 ?y1)) 53) (= (+ (+ (+ (* 64 ?y3) (* 76 ?y2)) (* 78 ?y1)) (* 59 x1)) 0))))) (and (exists ((?y4 Real)) (and (and (not (= (+ (+ (* 56 ?y4) (* (- 27) ?y1)) (* (- 99) x1)) 93)) (<= (+ (+ (+ (* 28 ?y4) (* 33 ?y3)) (* 20 ?y2)) (* 72 x1)) 26)) (<= (+ (+ (+ (* (- 90) ?y4) (* 76 ?y3)) (* (- 41) ?y2)) (* (- 57) ?y1)) 0))) (and (forall ((?y4 Real)) (or (not (= (+ (+ (+ (* (- 67) ?y4) (* 64 ?y3)) (* 32 ?y1)) (* (- 35) x1)) 3)) (> (+ (+ (+ (+ (* 84 ?y4) (* (- 54) ?y3)) (* (- 29) ?y2)) (* (- 71) ?y1)) (* (- 63) x1)) 0))) (exists ((?y4 Real)) (< (+ (+ (+ (* 58 ?y3) (* (- 41) ?y2)) (* (- 46) ?y1)) (* (- 61) x1)) 7))))))) (forall ((?y3 Real)) (and (forall ((?y4 Real)) (or (and (or (< (+ (+ (+ (* 2 ?y4) (* (- 89) ?y3)) (* 1 ?y1)) (* (- 44) x1)) 4) (< (+ (+ (+ (* 27 ?y4) (* 90 ?y3)) (* (- 16) ?y1)) (* (- 68) x1)) (- 92))) (and (<= (+ (+ (* 16 ?y4) (* 43 ?y3)) (* (- 86) ?y1)) 0) (not (= (+ (* 4 ?y1) (* 68 x1)) 0)))) (and (or (<= (+ (+ (* (- 59) ?y4) (* 46 ?y3)) (* 38 ?y1)) 57) (> (* 54 ?y3) (- 94))) (or (not (= (+ (+ (+ (* (- 79) ?y4) (* 10 ?y3)) (* (- 54) ?y1)) (* 86 x1)) 0)) (> (+ (* (- 70) ?y4) (* (- 78) ?y3)) 29))))) (and (exists ((?y4 Real)) (or (or (< (* 19 ?y4) (- 2)) (not (= (+ (+ (+ (* 63 ?y4) (* (- 46) ?y3)) (* 33 ?y1)) (* 15 x1)) (- 76)))) (< (+ (+ (+ (* 22 ?y4) (* 2 ?y3)) (* 65 ?y1)) (* (- 74) x1)) 0))) (or (and (exists ((?y4 Real)) (= (+ (+ (+ (* (- 100) ?y4) (* (- 77) ?y3)) (* (- 17) ?y1)) (* 100 x1)) (- 12))) (exists ((?y4 Real)) (not (= (+ (+ (* (- 19) ?y4) (* (- 28) ?y1)) (* (- 7) x1)) 0)))) (or (forall ((?y4 Real)) (< (+ (+ (* 75 ?y4) (* (- 12) ?y3)) (* (- 27) x1)) 67)) (or (< (+ (+ (* (- 52) ?y3) (* (- 30) ?y1)) (* (- 17) x1)) 88) (>= (+ (+ (* (- 90) ?y3) (* (- 80) ?y1)) (* (- 50) x1)) (- 5))))))))) (forall ((?y2 Real)) (forall ((?y3 Real)) (forall ((?y4 Real)) (or (or (or (and (> (+ (+ (+ (+ (* (- 3) ?y4) (* (- 77) ?y3)) (* 85 ?y2)) (* 23 ?y1)) (* (- 60) x1)) (- 91)) (> (* (- 48) x1) 98)) (or (and (= (+ (+ (+ (* 96 ?y4) (* (- 97) ?y2)) (* (- 4) ?y1)) (* (- 20) x1)) (- 58)) (= (+ (+ (* (- 4) ?y4) (* 6 ?y2)) (* 20 ?y1)) (- 19))) (or (not (= (+ (+ (* (- 94) ?y4) (* (- 92) ?y1)) (* 1 x1)) (- 15))) (<= (+ (+ (+ (+ (* (- 27) ?y4) (* (- 31) ?y3)) (* 95 ?y2)) (* (- 15) ?y1)) (* 90 x1)) 62)))) (or (and (or (not (= (+ (+ (+ (* 3 ?y4) (* (- 100) ?y2)) (* (- 87) ?y1)) (* 66 x1)) (- 54))) (>= (+ (+ (+ (+ (* 28 ?y4) (* (- 68) ?y3)) (* (- 4) ?y2)) (* 44 ?y1)) (* 100 x1)) (- 11))) (< (+ (* (- 11) ?y3) (* 46 ?y2)) (- 32))) (or (and (> (+ (+ (+ (* 69 ?y4) (* 76 ?y3)) (* 81 ?y1)) (* 34 x1)) 0) (= (+ (+ (* 85 ?y4) (* (- 64) ?y2)) (* (- 99) ?y1)) 71)) (and (<= (+ (+ (* 77 ?y4) (* 72 ?y2)) (* 95 x1)) 95) (< (+ (+ (* 30 ?y4) (* (- 1) ?y3)) (* 9 ?y1)) 0))))) (or (or (or (or (= (+ (+ (+ (* 27 ?y4) (* 31 ?y3)) (* (- 72) ?y1)) (* 29 x1)) 0) (= (+ (+ (+ (* 31 ?y4) (* (- 79) ?y3)) (* 37 ?y2)) (* 98 ?y1)) 2)) (<= (+ (+ (+ (* (- 5) ?y4) (* (- 17) ?y2)) (* (- 52) ?y1)) (* (- 91) x1)) 0)) (or (<= (+ (+ (+ (+ (* 15 ?y4) (* (- 82) ?y3)) (* (- 29) ?y2)) (* 5 ?y1)) (* 57 x1)) (- 78)) (> (+ (+ (+ (* 81 ?y4) (* (- 35) ?y3)) (* (- 28) ?y1)) (* (- 6) x1)) (- 13)))) (and (and (<= (+ (+ (* 20 ?y4) (* 32 ?y2)) (* 54 x1)) 36) (or (not (= (+ (+ (+ (+ (* (- 60) ?y4) (* (- 21) ?y3)) (* 98 ?y2)) (* 46 ?y1)) (* (- 64) x1)) 96)) (<= (+ (+ (+ (* (- 9) ?y4) (* (- 9) ?y3)) (* (- 19) ?y1)) (* (- 55) x1)) 11))) (or (< (+ (+ (* 97 ?y3) (* 88 ?y2)) (* (- 44) ?y1)) 61) (not (= (+ (+ (* (- 67) ?y3) (* (- 34) ?y2)) (* (- 78) x1)) 0))))))))))))
(check-sat)
(exit)
