(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y1 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(assert (forall ((?y1 Real)) (or (forall ((?y3 Real)) (exists ((?y4 Real)) (or (or (or (forall ((?y5 Real)) (forall ((?y6 Real)) (and (or (< (+ (+ (* 5 ?y4) (* (- 26) ?y3)) (* 82 ?y1)) 49) (< (+ (+ (+ (+ (* (- 22) ?y6) (* 17 ?y5)) (* (- 38) ?y4)) (* 10 ?y3)) (* 67 x1)) 61)) (or (= (+ (+ (+ (* (- 60) ?y6) (* (- 31) ?y5)) (* 68 ?y4)) (* 25 ?y3)) 30) (not (= (+ (+ (+ (+ (+ (* 78 ?y6) (* (- 47) ?y5)) (* (- 96) ?y4)) (* (- 78) ?y3)) (* 13 ?y1)) (* (- 92) x1)) (- 94))))))) (exists ((?y5 Real)) (or (= (+ (+ (* 51 ?y4) (* (- 92) ?y3)) (* 11 x1)) (- 60)) (or (> (+ (+ (+ (+ (* (- 26) ?y5) (* 50 ?y4)) (* (- 35) ?y3)) (* (- 100) ?y1)) (* 99 x1)) (- 81)) (not (= (+ (+ (* (- 68) ?y5) (* (- 15) ?y4)) (* 43 ?y1)) 33)))))) (forall ((?y6 Real)) (let ((?v_0 (* 86 ?y3))) (or (and (or (<= (+ (+ (+ (+ (* (- 51) ?y6) (* (- 39) ?y4)) ?v_0) (* (- 88) ?y1)) (* 99 x1)) 80) (>= (+ (+ (* (- 39) ?y6) (* (- 38) ?y1)) (* (- 34) x1)) (- 47))) (and (>= (+ (+ (+ (* (- 95) ?y6) (* (- 54) ?y4)) (* (- 95) ?y3)) (* 34 x1)) (- 17)) (= (+ (+ (+ (* (- 36) ?y6) (* (- 52) ?y4)) (* 53 ?y3)) (* 50 x1)) 0))) (and (and (= (+ (+ (+ (* 7 ?y6) (* 100 ?y4)) ?v_0) (* 80 x1)) (- 94)) (<= (+ (+ (* (- 26) ?y4) (* (- 52) ?y3)) (* 79 ?y1)) 98)) (and (>= (+ (+ (+ (+ (* 42 ?y6) (* 85 ?y4)) (* 79 ?y3)) (* 15 ?y1)) (* (- 10) x1)) (- 17)) (not (= (+ (+ (* (- 55) ?y6) (* (- 90) ?y4)) (* 1 ?y1)) (- 36))))))))) (and (exists ((?y5 Real)) (forall ((?y6 Real)) (and (or (and (>= (+ (+ (+ (+ (+ (* (- 17) ?y6) (* 69 ?y5)) (* 35 ?y4)) (* (- 21) ?y3)) (* (- 14) ?y1)) (* (- 64) x1)) 0) (<= (+ (+ (+ (* 6 ?y4) (* 12 ?y3)) (* (- 93) ?y1)) (* (- 45) x1)) 0)) (= (+ (+ (+ (+ (* 36 ?y6) (* 49 ?y5)) (* 30 ?y4)) (* (- 59) ?y3)) (* 10 ?y1)) 0)) (and (<= (+ (+ (+ (+ (* (- 73) ?y6) (* (- 24) ?y4)) (* (- 22) ?y3)) (* 84 ?y1)) (* (- 38) x1)) (- 55)) (>= (+ (+ (+ (+ (+ (* 5 ?y6) (* (- 83) ?y5)) (* 44 ?y4)) (* (- 39) ?y3)) (* 75 ?y1)) (* (- 36) x1)) (- 23)))))) (and (exists ((?y5 Real)) (forall ((?y6 Real)) (or (>= (+ (+ (+ (* (- 97) ?y5) (* 83 ?y4)) (* (- 76) ?y1)) (* 91 x1)) (- 59)) (or (>= (+ (+ (+ (+ (* (- 36) ?y6) (* (- 26) ?y5)) (* 65 ?y4)) (* 2 ?y3)) (* (- 26) x1)) 0) (> (+ (+ (+ (+ (+ (* (- 3) ?y6) (* (- 70) ?y5)) (* 4 ?y4)) (* 86 ?y3)) (* 96 ?y1)) (* 30 x1)) (- 40)))))) (forall ((?y6 Real)) (and (> (+ (* 27 ?y6) (* 16 ?y1)) 95) (and (>= (+ (+ (* 93 ?y4) (* 36 ?y3)) (* 96 ?y1)) 82) (<= (+ (+ (* (- 88) ?y3) (* 63 ?y1)) (* (- 19) x1)) 89))))))))) (or (or (and (or (forall ((?y5 Real)) (and (< (+ (* (- 78) ?y5) (* 32 ?y1)) (- 8)) (and (< (+ (+ (* 12 ?y5) (* 8 ?y1)) (* 85 x1)) 94) (<= (+ (* 67 ?y5) (* 45 ?y1)) 0)))) (exists ((?y4 Real)) (forall ((?y5 Real)) (or (< (+ (* (- 2) ?y5) (* 98 x1)) 76) (<= (+ (+ (* 86 ?y4) (* (- 44) ?y1)) (* 5 x1)) 24))))) (and (and (forall ((?y5 Real)) (and (< (+ (+ (* (- 35) ?y5) (* (- 7) ?y1)) (* (- 51) x1)) (- 44)) (<= (+ (+ (* (- 75) ?y5) (* (- 12) ?y1)) (* (- 77) x1)) 24))) (exists ((?y6 Real)) (<= (+ (+ (* (- 44) ?y6) (* (- 77) ?y1)) (* (- 91) x1)) 32))) (or (or (or (> (* 79 x1) (- 88)) (>= (+ (* 65 ?y1) (* (- 90) x1)) 0)) (and (<= (+ (* (- 37) ?y1) (* (- 54) x1)) 0) (< (* 54 ?y1) (- 65)))) (and (= (+ (* 6 ?y1) (* (- 83) x1)) (- 79)) (= (+ (* (- 85) ?y1) (* 74 x1)) 0))))) (exists ((?y4 Real)) (and (and (and (or (= (+ (* (- 48) ?y1) (* 11 x1)) 12) (not (= (+ (+ (* (- 22) ?y4) (* 91 ?y1)) (* (- 24) x1)) 0))) (exists ((?y6 Real)) (>= (+ (+ (+ (* 17 ?y6) (* 42 ?y4)) (* (- 38) ?y1)) (* 25 x1)) (- 62)))) (exists ((?y6 Real)) (or (not (= (+ (+ (+ (* (- 59) ?y6) (* (- 28) ?y4)) (* (- 83) ?y1)) (* 14 x1)) 0)) (> (+ (* 7 ?y6) (* (- 15) ?y1)) (- 22))))) (forall ((?y6 Real)) (and (> (+ (+ (* 54 ?y6) (* 67 ?y4)) (* 21 x1)) (- 39)) (not (= (+ (+ (* (- 73) ?y4) (* 25 ?y1)) (* 15 x1)) 45))))))) (or (and (and (or (exists ((?y4 Real)) (or (and (not (= (+ (+ (* 87 ?y4) (* 48 ?y1)) (* 86 x1)) 63)) (<= (+ (+ (* (- 52) ?y4) (* 32 ?y1)) (* (- 13) x1)) (- 64))) (exists ((?y5 Real)) (>= (+ (+ (* 54 ?y5) (* (- 18) ?y1)) (* (- 8) x1)) 16)))) (exists ((?y4 Real)) (= (+ (+ (* (- 46) ?y4) (* (- 80) ?y1)) (* (- 53) x1)) 50))) (and (exists ((?y4 Real)) (and (<= (* (- 56) ?y4) 51) (< (* (- 96) x1) 76))) (and (forall ((?y3 Real)) (exists ((?y5 Real)) (not (= (+ (+ (+ (* (- 78) ?y5) (* (- 78) ?y3)) (* 6 ?y1)) (* (- 86) x1)) 39)))) (or (= (+ (* 59 ?y1) (* 23 x1)) 0) (forall ((?y4 Real)) (> (* (- 22) x1) (- 69))))))) (forall ((?y3 Real)) (or (or (forall ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (<= (+ (+ (+ (* 17 ?y5) (* 92 ?y4)) (* 37 ?y3)) (* (- 60) ?y1)) 0)))) (forall ((?y4 Real)) (forall ((?y5 Real)) (forall ((?y6 Real)) (< (+ (+ (+ (+ (+ (* 65 ?y6) (* 73 ?y5)) (* (- 32) ?y4)) (* (- 47) ?y3)) (* 65 ?y1)) (* 17 x1)) (- 74)))))) (exists ((?y4 Real)) (exists ((?y6 Real)) (= (+ (* 96 ?y6) (* (- 72) ?y1)) (- 3))))))) (and (forall ((?y3 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (or (or (= (+ (+ (* 51 ?y6) (* (- 55) ?y5)) (* (- 61) x1)) 0) (not (= (+ (+ (+ (* 44 ?y6) (* 31 ?y5)) (* (- 6) ?y1)) (* 100 x1)) 75))) (or (= (+ (+ (+ (* (- 76) ?y6) (* (- 93) ?y5)) (* 43 ?y3)) (* 1 x1)) (- 55)) (not (= (+ (+ (+ (* (- 99) ?y6) (* 7 ?y5)) (* (- 11) ?y3)) (* 34 ?y1)) 33))))))) (or (or (forall ((?y3 Real)) (and (forall ((?y4 Real)) (not (= (* (- 44) x1) (- 67)))) (not (= (+ (+ (* (- 17) ?y3) (* 82 ?y1)) (* 71 x1)) (- 45))))) (forall ((?y3 Real)) (forall ((?y4 Real)) (not (= (+ (+ (* (- 19) ?y3) (* 20 ?y1)) (* (- 50) x1)) 27))))) (forall ((?y3 Real)) (and (<= (* 17 ?y3) 0) (= (+ (* (- 51) ?y3) (* 72 ?y1)) 30))))))))))
(check-sat)
(exit)
