(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun y3 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y2 () Real)
(declare-fun y4 () Real)
(assert (and (forall ((?y3 Real)) (forall ((?y5 Real)) (and (exists ((?y6 Real)) (and (or (or (>= (+ (+ (* (- 64) ?y6) (* (- 73) ?y3)) (* (- 33) x1)) 94) (not (= (+ (+ (* 75 ?y6) (* 94 ?y5)) (* 58 x1)) 87))) (and (>= (+ (+ (* (- 12) ?y6) (* 8 ?y5)) (* 93 ?y3)) 49) (= (+ (* 2 ?y3) (* (- 78) x1)) 68))) (or (>= (+ (* (- 2) ?y6) (* 77 ?y3)) (- 14)) (= (+ (+ (+ (* (- 5) ?y6) (* 42 ?y5)) (* (- 36) ?y3)) (* (- 48) x1)) (- 63))))) (forall ((?y6 Real)) (let ((?v_0 (* (- 42) ?y5))) (or (and (and (or (> (+ (+ (* 93 ?y6) (* 18 ?y3)) (* (- 14) x1)) 14) (< (+ (* (- 27) ?y5) (* (- 5) ?y3)) (- 35))) (and (>= (+ (* 50 ?y6) (* 10 ?y5)) (- 35)) (not (= (+ (+ (* 1 ?y6) (* 74 ?y5)) (* 74 ?y3)) 0)))) (and (<= (+ (+ (* 99 ?y6) (* (- 35) ?y3)) (* 12 x1)) 83) (or (>= (+ (+ (* (- 81) ?y6) (* (- 97) ?y5)) (* (- 27) ?y3)) 0) (not (= (+ (+ (* 5 ?y6) (* (- 90) ?y3)) (* (- 44) x1)) (- 1)))))) (or (or (and (>= (+ (* (- 39) ?y6) (* (- 42) ?y3)) 88) (>= (+ (+ (+ (* (- 28) ?y6) (* (- 61) ?y5)) (* (- 3) ?y3)) (* 64 x1)) 0)) (< (+ (+ (+ (* (- 9) ?y6) (* (- 17) ?y5)) (* (- 69) ?y3)) (* (- 68) x1)) 73)) (or (and (>= (+ (+ (* (- 30) ?y6) (* (- 57) ?y3)) (* 34 x1)) 0) (< (+ (+ (* 95 ?y6) (* (- 88) ?y5)) (* 32 x1)) (- 80))) (or (>= (+ (+ ?v_0 (* (- 97) ?y3)) (* 35 x1)) 0) (<= (+ (+ ?v_0 (* (- 89) ?y3)) (* (- 84) x1)) 0)))))))))) (and (exists ((?y2 Real)) (forall ((?y3 Real)) (exists ((?y4 Real)) (forall ((?y5 Real)) (and (and (or (not (= (+ (+ (+ (* (- 55) ?y5) (* (- 95) ?y4)) (* 68 ?y3)) (* (- 24) x1)) (- 31))) (= (+ (+ (* (- 70) ?y5) (* (- 96) ?y4)) (* (- 99) x1)) (- 96))) (and (and (>= (+ (+ (* (- 58) ?y5) (* (- 75) ?y4)) (* (- 86) ?y3)) 31) (not (= (+ (+ (+ (* (- 59) ?y4) (* 58 ?y3)) (* 30 ?y2)) (* (- 85) x1)) 6))) (and (< (+ (* 85 ?y2) (* (- 36) x1)) 67) (>= (+ (+ (* 97 ?y5) (* (- 30) ?y4)) (* 5 ?y3)) (- 26))))) (and (and (or (not (= (+ (+ (+ (* 32 ?y5) (* 25 ?y4)) (* 21 ?y3)) (* 33 ?y2)) (- 21))) (> (+ (+ (+ (+ (* 40 ?y5) (* (- 13) ?y4)) (* (- 3) ?y3)) (* (- 84) ?y2)) (* (- 72) x1)) (- 54))) (and (and (>= (+ (* 14 ?y5) (* 88 ?y4)) (- 23)) (= (+ (+ (+ (+ (* (- 24) ?y5) (* 19 ?y4)) (* 24 ?y3)) (* 77 ?y2)) (* (- 30) x1)) 66)) (forall ((?y6 Real)) (> (+ (+ (+ (* (- 56) ?y6) (* (- 26) ?y4)) (* (- 33) ?y3)) (* 65 ?y2)) 44)))) (exists ((?y6 Real)) (and (not (= (+ (+ (+ (+ (* 63 ?y6) (* (- 76) ?y4)) (* (- 34) ?y3)) (* 51 ?y2)) (* (- 69) x1)) 81)) (< (+ (+ (+ (+ (+ (* (- 20) ?y6) (* 2 ?y5)) (* 28 ?y4)) (* (- 64) ?y3)) (* (- 59) ?y2)) (* 55 x1)) 0))))))))) (exists ((?y2 Real)) (let ((?v_1 (* 74 x1))) (or (or (or (and (or (exists ((?y4 Real)) (or (> (+ (* (- 75) ?y4) (* (- 79) x1)) 0) (> (+ (* (- 34) ?y4) (* (- 75) x1)) 66))) (or (and (< (* (- 8) ?y2) 0) (exists ((?y3 Real)) (= (+ (+ (* (- 44) ?y3) (* (- 17) ?y2)) (* 34 x1)) 0))) (< (+ (* (- 38) ?y2) ?v_1) 46))) (and (and (or (= (* (- 67) x1) 0) (>= (+ (* 15 ?y2) ?v_1) (- 59))) (and (> (+ (* 42 ?y2) (* (- 58) x1)) 3) (= (* (- 2) ?y2) (- 97)))) (forall ((?y5 Real)) (= (+ (+ (* (- 8) ?y5) (* 97 ?y2)) (* (- 23) x1)) (- 90))))) (exists ((?y3 Real)) (forall ((?y4 Real)) (> (+ (* (- 49) ?y3) (* (- 26) ?y2)) 0)))) (exists ((?y3 Real)) (or (forall ((?y5 Real)) (and (forall ((?y6 Real)) (not (= (+ (* 34 ?y2) (* 98 x1)) 69))) (not (= (+ (* 96 ?y2) (* (- 26) x1)) 71)))) (and (exists ((?y4 Real)) (or (forall ((?y5 Real)) (< (+ (+ (+ (+ (* (- 68) ?y5) (* 92 ?y4)) (* 59 ?y3)) (* 64 ?y2)) (* 2 x1)) (- 8))) (or (< (+ (+ (+ (* 19 ?y4) (* 94 ?y3)) (* (- 60) ?y2)) (* 49 x1)) (- 8)) (= (+ (+ (* (- 48) ?y4) (* 97 ?y3)) (* (- 42) x1)) (- 60))))) (forall ((?y4 Real)) (forall ((?y5 Real)) (or (> (+ (+ (+ (* (- 52) ?y4) (* 82 ?y3)) (* 63 ?y2)) (* (- 31) x1)) 89) (not (= (+ (+ (+ (* 90 ?y5) (* 52 ?y4)) (* (- 60) ?y2)) (* (- 18) x1)) 86))))))))) (and (forall ((?y3 Real)) (exists ((?y4 Real)) (exists ((?y5 Real)) (forall ((?y6 Real)) (and (>= (+ (+ (+ (+ (+ (* (- 35) ?y6) (* 88 ?y5)) (* (- 45) ?y4)) (* 25 ?y3)) (* (- 40) ?y2)) (* 26 x1)) 28) (> (+ (+ (* 40 ?y6) (* 43 ?y3)) (* 70 x1)) 0)))))) (forall ((?y3 Real)) (forall ((?y5 Real)) (or (exists ((?y6 Real)) (and (>= (+ (+ (+ (* (- 48) ?y6) (* 42 ?y5)) (* 30 ?y3)) (* (- 36) ?y2)) (- 53)) (<= (+ (* 67 ?y6) (* (- 13) ?y5)) (- 16)))) (exists ((?y6 Real)) (or (<= (+ (+ (* 21 ?y5) (* (- 1) ?y2)) (* 63 x1)) (- 4)) (= (+ (+ (+ (+ (* 81 ?y6) (* (- 48) ?y5)) (* 86 ?y3)) (* 56 ?y2)) (* 34 x1)) 0)))))))))))))
(check-sat)
(exit)
