(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_1 (* 90 ?x3)) (?v_11 (* 71 ?x3)) (?v_10 (* 1 ?x3)) (?v_3 (* 1 ?x1)) (?v_2 (* 12 ?x3)) (?v_14 (* 46 ?x1)) (?v_5 (* 63 ?x3)) (?v_4 (* 74 ?x2)) (?v_9 (* 42 ?x3)) (?v_20 (* 12 ?x2)) (?v_13 (* 84 ?x3)) (?v_15 (* 11 ?x1)) (?v_18 (* 51 ?x2)) (?v_16 (* (- 28) ?x2)) (?v_6 (* (- 35) ?x2)) (?v_0 (* (- 42) ?x1)) (?v_8 (* (- 41) ?x1)) (?v_21 (* (- 32) ?x3)) (?v_12 (* (- 93) ?x2)) (?v_17 (* (- 55) ?x2)) (?v_19 (* (- 73) ?x1)) (?v_7 (* (- 44) ?x3))) (or (and (and (and (and (or (< (+ (+ (* (- 53) ?x1) (* 77 ?x2)) (* 51 ?x3)) 79) (not (= (* (- 56) ?x1) 0))) (or (= (+ (* (- 94) ?x2) ?v_1) (- 54)) (> (+ (+ (* 34 ?x1) ?v_16) (* (- 83) ?x3)) 62))) (or (or (or (not (= (+ (* (- 64) ?x2) (* (- 1) ?x3)) 12)) (< (+ (* (- 27) ?x1) (* 39 ?x3)) 0)) (and (>= (+ (* 20 ?x2) (* (- 51) ?x3)) 25) (= (+ (+ (* (- 61) ?x1) (* 58 ?x2)) (* (- 69) ?x3)) (- 91)))) (> (+ (+ (* 22 ?x1) ?v_6) (* (- 77) ?x3)) (- 49)))) (or (and (or (and (< (+ ?v_0 (* (- 45) ?x3)) 0) (< (+ (+ (* (- 88) ?x1) (* (- 58) ?x2)) ?v_11) 0)) (or (= ?v_8 20) (>= (+ (* (- 53) ?x2) (* (- 43) ?x3)) 94))) (and (or (<= (+ (* 79 ?x1) ?v_10) 5) (not (= (+ (* 42 ?x1) (* 4 ?x3)) 84))) (and (= (* (- 58) ?x1) (- 1)) (> (+ (* (- 13) ?x1) (* 93 ?x2)) 0)))) (or (and (= (+ (* 21 ?x2) (* 76 ?x3)) (- 18)) (>= (+ (+ (* (- 26) ?x1) (* (- 79) ?x2)) ?v_21) 61)) (and (< (+ (* 91 ?x1) ?v_12) 58) (> (+ (* (- 68) ?x2) (* 88 ?x3)) 74))))) (or (and (or (and (< (+ (+ ?v_3 (* (- 8) ?x2)) ?v_2) 61) (< (+ ?v_0 (* 68 ?x2)) (- 47))) (and (and (not (= (+ (* (- 80) ?x1) (* 79 ?x2)) 48)) (<= (+ ?v_14 (* (- 47) ?x2)) 38)) (and (< (+ (* 41 ?x2) ?v_1) 0) (<= (+ (+ (* (- 91) ?x1) ?v_17) ?v_5) 35)))) (and (or (< (+ (* (- 78) ?x2) (* 66 ?x3)) 25) (< (+ ?v_4 (* 65 ?x3)) (- 80))) (and (> (* 49 ?x3) (- 19)) (= ?v_19 (- 66))))) (and (and (or (and (<= (+ (* (- 18) ?x2) ?v_2) (- 28)) (= (+ (* (- 22) ?x1) (* (- 40) ?x3)) (- 4))) (or (not (= (+ (+ ?v_3 (* (- 42) ?x2)) (* 77 ?x3)) (- 63))) (< (+ (+ (* 20 ?x1) ?v_4) ?v_9) 0))) (and (and (= (+ (+ (* 13 ?x1) (* 52 ?x2)) (* (- 91) ?x3)) 0) (> (+ (+ (* (- 7) ?x1) (* 94 ?x2)) ?v_7) 0)) (>= (+ (+ (* 87 ?x1) (* (- 36) ?x2)) (* 55 ?x3)) (- 98)))) (or (or (and (not (= (+ (+ (* (- 15) ?x1) ?v_20) (* (- 46) ?x3)) 72)) (< (+ (+ (* 52 ?x1) (* 69 ?x2)) (* 28 ?x3)) 73)) (and (<= (+ (* (- 89) ?x2) (* (- 26) ?x3)) 47) (> (+ (* (- 49) ?x2) ?v_5) 66))) (or (or (>= (+ (* 82 ?x1) (* 67 ?x2)) 10) (> (+ (* 69 ?x1) (* 81 ?x3)) 0)) (and (= (+ (* 4 ?x1) ?v_6) 77) (not (= (+ (* 21 ?x1) (* 74 ?x3)) 66)))))))) (and (or (or (or (and (or (= (+ (+ (* 84 ?x1) (* (- 77) ?x2)) ?v_7) 0) (> (+ (+ (* (- 36) ?x1) (* (- 46) ?x2)) (* 8 ?x3)) 33)) (and (> (+ (+ (* (- 79) ?x1) (* (- 71) ?x2)) ?v_13) 0) (>= (+ (+ (* (- 100) ?x1) (* 90 ?x2)) (* 34 ?x3)) 7))) (or (and (< (* (- 82) ?x2) 40) (> (+ (+ ?v_8 (* (- 5) ?x2)) (* (- 53) ?x3)) 57)) (and (>= (+ (+ (* 18 ?x1) (* (- 87) ?x2)) (* 79 ?x3)) 16) (> (+ (* (- 64) ?x1) (* (- 37) ?x2)) 0)))) (and (or (and (not (= (+ (+ (* (- 74) ?x1) (* (- 73) ?x2)) (* 26 ?x3)) (- 6))) (<= (+ (+ (* 40 ?x1) (* (- 81) ?x2)) (* 75 ?x3)) (- 19))) (or (< (+ (* 46 ?x2) ?v_1) 94) (>= (+ (+ (* (- 83) ?x1) (* (- 74) ?x2)) ?v_9) (- 86)))) (or (or (> (* (- 45) ?x2) 0) (> (+ (* (- 69) ?x1) (* (- 86) ?x3)) 0)) (or (>= (* (- 18) ?x1) (- 32)) (>= (+ (* (- 92) ?x1) (* 64 ?x3)) 16))))) (or (and (and (or (not (= (+ (+ (* 75 ?x1) (* 6 ?x2)) (* 70 ?x3)) 57)) (= (+ (* (- 63) ?x2) ?v_10) 11)) (or (not (= (+ (+ (* 48 ?x1) (* (- 48) ?x2)) (* (- 34) ?x3)) (- 45))) (not (= (+ (+ (* (- 94) ?x1) (* 96 ?x2)) (* (- 42) ?x3)) (- 90))))) (and (>= (+ (* 67 ?x1) (* (- 21) ?x3)) (- 8)) (> (+ (+ ?v_15 (* (- 84) ?x2)) (* 15 ?x3)) 36))) (and (> (* 3 ?x3) (- 7)) (and (and (= ?v_11 0) (<= (+ (+ ?v_8 (* 48 ?x2)) (* 22 ?x3)) 44)) (and (< (+ (+ (* (- 24) ?x1) ?v_12) (* 97 ?x3)) (- 17)) (not (= (+ (+ (* 89 ?x1) (* 65 ?x2)) ?v_13) 27))))))) (and (and (or (>= (+ (+ (* (- 33) ?x1) (* 99 ?x2)) (* 47 ?x3)) (- 32)) (= (+ (* (- 19) ?x2) (* (- 97) ?x3)) 5)) (and (and (<= (+ (* (- 54) ?x2) (* (- 87) ?x3)) 51) (> (+ (+ ?v_14 (* (- 11) ?x2)) (* (- 68) ?x3)) 77)) (or (< (+ ?v_3 (* 53 ?x2)) (- 86)) (< (* (- 12) ?x2) 79)))) (and (or (or (or (>= (+ ?v_15 ?v_16) 37) (= (+ (+ (* (- 54) ?x1) ?v_18) (* 57 ?x3)) (- 46))) (or (< (+ (+ (* 39 ?x1) ?v_17) (* (- 33) ?x3)) 0) (< (+ (+ (* (- 96) ?x1) ?v_6) (* 44 ?x3)) 0))) (or (and (= ?v_18 50) (> (+ (+ ?v_19 (* 59 ?x2)) (* (- 18) ?x3)) 0)) (>= (* (- 2) ?x1) 0))) (and (or (or (not (= (+ (+ (* 59 ?x1) ?v_20) (* (- 15) ?x3)) (- 24))) (> (+ (+ (* 55 ?x1) (* (- 16) ?x2)) (* (- 49) ?x3)) (- 96))) (and (>= (+ (+ (* 31 ?x1) (* 66 ?x2)) (* (- 59) ?x3)) (- 95)) (>= (+ (* 83 ?x1) ?v_1) (- 74)))) (and (>= (+ (* 11 ?x2) ?v_21) 0) (not (= (+ (+ (* (- 70) ?x1) (* 29 ?x2)) (* (- 82) ?x3)) 0)))))))))))))
(check-sat)
(exit)
