(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_0 (* 73 ?x2)) (?v_14 (* 42 ?x1)) (?v_13 (* 5 ?x3)) (?v_11 (* 25 ?x1)) (?v_10 (* 82 ?x3)) (?v_3 (* 66 ?x1)) (?v_2 (* 55 ?x3)) (?v_5 (* (- 23) ?x3)) (?v_17 (* (- 48) ?x2)) (?v_7 (* (- 5) ?x3)) (?v_15 (* (- 69) ?x3)) (?v_1 (* (- 84) ?x2)) (?v_9 (* (- 68) ?x2)) (?v_12 (* (- 40) ?x2)) (?v_6 (* (- 26) ?x1)) (?v_16 (* (- 13) ?x1)) (?v_4 (* (- 59) ?x2)) (?v_8 (* (- 8) ?x1))) (and (or (and (or (and (< (+ (* (- 64) ?x1) (* (- 73) ?x3)) 94) (= (+ (* 75 ?x1) (* 94 ?x2)) 87)) (and (< (+ (+ (* (- 12) ?x1) (* 8 ?x2)) (* 93 ?x3)) 49) (not (= (* 2 ?x3) 68)))) (or (or (>= ?v_5 (- 14)) (< (+ (* 77 ?x1) ?v_0) (- 2))) (or (= (+ ?v_14 ?v_17) (- 63)) (< (+ (* (- 36) ?x1) (* (- 48) ?x3)) (- 5))))) (and (or (and (and (<= (+ (* 93 ?x1) (* 18 ?x3)) 14) (>= (+ (* (- 27) ?x2) ?v_7) (- 35))) (or (< (+ (* 50 ?x1) (* 10 ?x2)) (- 35)) (= (+ (+ (* 1 ?x1) (* 74 ?x2)) (* 74 ?x3)) 0))) (or (> (+ (* 99 ?x1) (* (- 35) ?x3)) 83) (>= (+ (+ (* (- 1) ?x1) (* (- 81) ?x2)) ?v_13) 0))) (and (>= (+ (* (- 39) ?x2) (* (- 28) ?x3)) 88) (>= (+ (+ (* (- 9) ?x1) (* (- 17) ?x2)) ?v_15) 73)))) (and (and (or (or (or (or (not (= (+ (* 36 ?x2) (* 28 ?x3)) (- 31))) (>= (+ (* 5 ?x1) (* (- 32) ?x3)) (- 95))) (or (> (+ (+ (* (- 24) ?x1) ?v_0) (* (- 100) ?x3)) (- 55)) (> (+ (* 95 ?x2) (* (- 2) ?x3)) 68))) (or (or (= (* (- 9) ?x3) (- 96)) (= ?v_1 (- 96))) (or (not (= (+ (+ (* (- 99) ?x1) ?v_9) (* (- 51) ?x3)) (- 70))) (>= (+ ?v_12 (* 96 ?x3)) 0)))) (or (< (+ (* 6 ?x1) (* (- 58) ?x2)) 31) (>= (+ ?v_6 (* 97 ?x3)) 67))) (and (and (and (and (= (+ (+ ?v_11 (* 33 ?x2)) ?v_10) (- 21)) (> (* 21 ?x1) 32)) (and (<= (+ ?v_16 ?v_1) (- 54)) (>= (+ (+ (* (- 3) ?x1) (* (- 72) ?x2)) (* (- 82) ?x3)) 40))) (or (< (+ (+ ?v_3 (* 14 ?x2)) (* (- 24) ?x3)) (- 23)) (<= (+ (* (- 56) ?x1) (* (- 26) ?x3)) 44))) (and (and (or (= (+ (+ (* (- 34) ?x1) (* (- 19) ?x2)) (* (- 15) ?x3)) 81) (not (= (+ (* (- 69) ?x1) (* (- 22) ?x3)) 0))) (or (= (+ (+ (* 51 ?x1) (* (- 83) ?x2)) (* 94 ?x3)) 63) (> (+ (* 54 ?x1) (* (- 83) ?x3)) (- 76)))) (or (< (+ (+ (* 2 ?x1) (* (- 64) ?x2)) ?v_2) 0) (>= (+ (+ (* 28 ?x1) ?v_4) ?v_2) (- 20)))))) (and (or (and (or (and (<= (+ (+ ?v_3 (* (- 75) ?x2)) (* (- 34) ?x3)) 0) (>= (+ (* 46 ?x1) (* (- 38) ?x3)) 0)) (or (not (= (+ (+ (* 3 ?x1) ?v_4) (* (- 97) ?x3)) 0)) (= (+ (+ ?v_8 (* 97 ?x2)) ?v_5) (- 90)))) (or (> (+ (* (- 49) ?x1) (* (- 1) ?x3)) 0) (< ?v_6 0))) (or (and (or (= (+ (* 34 ?x2) ?v_7) 69) (not (= (* 98 ?x2) 0))) (or (not (= (+ (* (- 26) ?x2) (* 80 ?x3)) 71)) (= (+ (+ (* 96 ?x1) (* 40 ?x2)) (* 19 ?x3)) 0))) (and (>= (+ (+ ?v_8 ?v_9) (* (- 60) ?x3)) (- 8)) (and (> (+ (* (- 52) ?x2) ?v_10) 89) (not (= (+ (* 90 ?x1) (* 52 ?x2)) 86)))))) (or (or (and (or (< (+ (+ ?v_11 (* 20 ?x2)) (* (- 96) ?x3)) 28) (>= (+ (* 26 ?x1) (* (- 12) ?x2)) 88)) (>= (+ (+ (* (- 45) ?x1) ?v_12) (* 68 ?x3)) (- 35))) (or (<= (+ (+ (* 43 ?x1) (* 17 ?x2)) ?v_13) 0) (>= (+ (+ (* 70 ?x1) (* 69 ?x2)) (* 48 ?x3)) 0))) (and (or (and (< (+ ?v_14 (* (- 36) ?x2)) (- 53)) (<= (+ (* 30 ?x1) ?v_15) (- 48))) (and (> (+ ?v_16 (* (- 8) ?x3)) (- 16)) (< (* (- 21) ?x3) 67))) (or (<= (* 21 ?x2) (- 4)) (= (+ (+ (* 81 ?x1) ?v_17) (* 86 ?x3)) 0))))))))))))
(check-sat)
(exit)
