(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_2 (* 80 ?x3)) (?v_16 (* 60 ?x2)) (?v_21 (* 44 ?x1)) (?v_8 (* 45 ?x1)) (?v_10 (* 38 ?x1)) (?v_22 (* 92 ?x2)) (?v_20 (* 74 ?x3)) (?v_15 (* 10 ?x3)) (?v_23 (* 40 ?x1)) (?v_5 (* 69 ?x1)) (?v_30 (* 78 ?x2)) (?v_14 (* 73 ?x2)) (?v_11 (* 14 ?x2)) (?v_27 (* 51 ?x1)) (?v_29 (* 30 ?x1)) (?v_6 (* (- 1) ?x1)) (?v_12 (* (- 79) ?x2)) (?v_19 (* (- 80) ?x2)) (?v_0 (* (- 57) ?x2)) (?v_1 (* (- 59) ?x3)) (?v_24 (* (- 60) ?x1)) (?v_18 (* (- 22) ?x1)) (?v_4 (* (- 28) ?x2)) (?v_3 (* (- 49) ?x1)) (?v_7 (* (- 71) ?x3)) (?v_25 (* (- 74) ?x2)) (?v_9 (* (- 86) ?x3)) (?v_13 (* (- 99) ?x1)) (?v_28 (* (- 72) ?x2)) (?v_17 (* (- 70) ?x1)) (?v_26 (* (- 10) ?x3))) (and (and (and (and (and (or (or (< (+ (* (- 67) ?x2) ?v_2) (- 92)) (>= (+ (* 61 ?x1) ?v_16) (- 86))) (and (not (= (+ (+ ?v_6 (* (- 10) ?x2)) (* 48 ?x3)) (- 94))) (= (* 41 ?x1) (- 54)))) (and (and (not (= (* 22 ?x3) 26)) (> (+ (* (- 29) ?x2) (* (- 61) ?x3)) (- 43))) (and (not (= (+ (+ (* 28 ?x1) ?v_12) (* (- 57) ?x3)) 53)) (<= (+ (* (- 17) ?x2) (* 90 ?x3)) 0)))) (or (and (or (>= (* (- 75) ?x3) 85) (<= (+ (* (- 80) ?x1) ?v_19) (- 18))) (and (> (+ (* (- 44) ?x2) (* (- 92) ?x3)) (- 13)) (= (+ (* (- 98) ?x2) (* (- 42) ?x3)) (- 90)))) (and (or (> (+ (+ ?v_21 ?v_0) (* (- 3) ?x3)) 20) (not (= (+ ?v_8 (* 88 ?x3)) 0))) (and (= (+ (* (- 17) ?x1) (* 59 ?x3)) 69) (> (+ (+ ?v_10 (* 29 ?x2)) ?v_1) 38))))) (or (and (or (and (= (* (- 11) ?x3) 9) (>= (+ (+ ?v_24 (* 22 ?x2)) (* 42 ?x3)) 0)) (and (= (+ (+ (* (- 87) ?x1) (* 34 ?x2)) (* (- 17) ?x3)) (- 78)) (< (+ (+ (* (- 18) ?x1) ?v_22) (* (- 90) ?x3)) 61))) (or (and (= (* 11 ?x1) (- 9)) (> (+ ?v_18 (* 67 ?x3)) 62)) (not (= (+ (* 83 ?x1) ?v_4) (- 45))))) (or (or (= (+ (+ (* (- 58) ?x1) ?v_0) (* (- 45) ?x3)) 93) (< (+ (* 29 ?x1) ?v_1) 91)) (or (not (= (+ (+ (* 34 ?x1) (* (- 88) ?x2)) ?v_2) (- 13))) (< (+ ?v_3 (* 15 ?x3)) (- 53)))))) (or (or (or (and (or (>= (+ (+ ?v_3 (* (- 12) ?x2)) ?v_7) (- 68)) (< (+ (* (- 12) ?x1) ?v_20) (- 17))) (and (< (+ (* 81 ?x2) (* 17 ?x3)) 13) (= (+ (+ (* 4 ?x1) (* 72 ?x2)) (* (- 64) ?x3)) 75))) (and (or (> (* 100 ?x1) 47) (<= (+ (+ (* (- 20) ?x1) (* (- 51) ?x2)) (* (- 32) ?x3)) 0)) (or (<= (+ (+ (* (- 63) ?x1) ?v_4) (* (- 36) ?x3)) 0) (= (+ (+ (* 75 ?x1) (* 90 ?x2)) ?v_15) 3)))) (or (or (< (+ (* (- 44) ?x1) (* (- 30) ?x3)) (- 59)) (> (+ (* (- 93) ?x1) (* 64 ?x2)) 0)) (or (< ?v_25 0) (and (< (+ ?v_23 (* 87 ?x2)) 100) (> (+ (* 74 ?x1) ?v_9) 47))))) (and (and (and (not (= (* (- 75) ?x1) (- 33))) (> (+ ?v_5 ?v_30) (- 69))) (or (> (+ (+ ?v_5 (* 52 ?x2)) (* 87 ?x3)) 0) (and (not (= (* 82 ?x2) 0)) (= (+ ?v_5 (* (- 35) ?x3)) (- 24))))) (and (or (and (<= (+ (* (- 46) ?x1) (* 56 ?x2)) 12) (= (+ (+ ?v_6 (* 89 ?x2)) (* 28 ?x3)) 69)) (or (>= (+ (* (- 48) ?x2) ?v_7) 31) (>= (+ ?v_8 ?v_9) 0))) (and (or (< (* 78 ?x3) (- 62)) (> (+ ?v_13 (* (- 18) ?x2)) 62)) (and (>= (+ (* 68 ?x2) (* 65 ?x3)) 100) (< (+ (+ (* (- 34) ?x1) ?v_28) (* (- 88) ?x3)) 31))))))) (and (and (and (or (or (or (< (+ (+ (* (- 29) ?x1) (* (- 52) ?x2)) (* 64 ?x3)) (- 8)) (not (= (+ (+ ?v_8 (* 50 ?x2)) (* (- 72) ?x3)) (- 22)))) (and (>= (+ (* 31 ?x1) (* (- 83) ?x3)) 0) (= (+ (* (- 66) ?x1) (* (- 1) ?x3)) (- 36)))) (or (or (not (= (* 29 ?x3) 0)) (> (+ (+ ?v_17 ?v_14) (* (- 20) ?x3)) (- 85))) (= (* (- 48) ?x1) 0))) (and (or (or (> (+ (* 89 ?x1) (* 62 ?x2)) 68) (>= (+ (* (- 47) ?x1) (* 62 ?x3)) 0)) (not (= (+ (+ ?v_10 ?v_11) (* (- 39) ?x3)) (- 45)))) (and (and (not (= ?v_11 0)) (> (+ (* (- 73) ?x1) ?v_12) (- 4))) (and (<= (* (- 26) ?x2) 0) (< (+ (+ ?v_13 ?v_14) ?v_15) (- 23)))))) (or (and (or (and (= (+ (* (- 61) ?x1) ?v_16) (- 99)) (= (+ (+ (* (- 74) ?x1) (* 20 ?x2)) (* (- 9) ?x3)) 90)) (and (not (= (+ (+ (* 90 ?x1) (* (- 84) ?x2)) (* 73 ?x3)) 0)) (> ?v_27 (- 31)))) (and (>= (+ (+ ?v_17 (* (- 39) ?x2)) (* (- 60) ?x3)) (- 2)) (= (+ ?v_18 (* 49 ?x3)) 53))) (and (and (> (+ (* 70 ?x2) (* 100 ?x3)) 54) (> (+ (* 99 ?x1) (* 70 ?x3)) (- 69))) (or (> (+ (* (- 40) ?x1) (* 19 ?x2)) 0) (and (>= (* (- 95) ?x1) 0) (> (+ (* (- 15) ?x1) (* 14 ?x3)) 29)))))) (or (or (and (and (<= (+ (+ (* (- 56) ?x1) (* (- 68) ?x2)) (* (- 79) ?x3)) 74) (< (+ ?v_19 ?v_20) 85)) (or (< (+ (+ (* 87 ?x1) (* (- 66) ?x2)) (* 32 ?x3)) 0) (= (+ ?v_21 (* 35 ?x3)) 65))) (and (<= (+ (* (- 73) ?x2) ?v_26) 0) (or (> (+ (* 12 ?x2) (* 23 ?x3)) 69) (= (+ ?v_22 (* 11 ?x3)) 98)))) (or (and (and (or (< (+ (+ ?v_23 (* 32 ?x2)) (* (- 15) ?x3)) 19) (< (+ (+ ?v_24 ?v_25) ?v_26) 58)) (and (>= (+ (* 97 ?x2) (* 98 ?x3)) 0) (= (+ (+ ?v_29 (* 66 ?x2)) (* (- 50) ?x3)) 36))) (or (or (= (* (- 57) ?x1) (- 9)) (< (* 12 ?x1) (- 11))) (or (>= (+ (* 54 ?x2) (* 97 ?x3)) 0) (not (= (* (- 52) ?x3) 95))))) (and (or (<= (+ (* (- 11) ?x2) (* 5 ?x3)) (- 82)) (and (= (+ (* (- 92) ?x1) (* 24 ?x2)) 63) (< (+ ?v_27 ?v_28) 7))) (and (and (<= ?v_29 84) (< (+ (* 3 ?x1) (* (- 76) ?x3)) (- 35))) (and (= (+ (+ (* 76 ?x1) ?v_30) (* 2 ?x3)) 57) (< (* 37 ?x3) 67)))))))))))))
(check-sat)
(exit)
