(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_25 (* 90 ?x2)) (?v_23 (* 43 ?x4)) (?v_35 (* 47 ?x1)) (?v_24 (* 59 ?x3)) (?v_4 (* 10 ?x4)) (?v_21 (* 27 ?x1)) (?v_13 (* 98 ?x4)) (?v_12 (* 29 ?x1)) (?v_5 (* 75 ?x2)) (?v_7 (* 34 ?x1)) (?v_18 (* 95 ?x2)) (?v_22 (* 1 ?x3)) (?v_20 (* 48 ?x2)) (?v_10 (* 84 ?x4)) (?v_9 (* 42 ?x2)) (?v_15 (* 60 ?x3)) (?v_34 (* 26 ?x3)) (?v_29 (* 67 ?x4)) (?v_33 (* 75 ?x4)) (?v_30 (* 45 ?x4)) (?v_2 (* (- 9) ?x3)) (?v_0 (* (- 36) ?x4)) (?v_32 (* (- 11) ?x2)) (?v_1 (* (- 21) ?x2)) (?v_19 (* (- 14) ?x3)) (?v_3 (* (- 63) ?x4)) (?v_27 (+ (* (- 33) ?x1) (* (- 100) ?x2))) (?v_8 (* (- 57) ?x1)) (?v_16 (* (- 95) ?x1)) (?v_6 (* (- 76) ?x3)) (?v_26 (* (- 32) ?x2)) (?v_14 (* (- 70) ?x2)) (?v_11 (* (- 38) ?x1)) (?v_17 (* (- 4) ?x3)) (?v_31 (* (- 75) ?x4)) (?v_28 (* (- 24) ?x4))) (or (and (or (or (and (and (< (+ (+ (+ (* 12 ?x1) (* 24 ?x2)) ?v_2) ?v_0) 4) (>= (+ (+ ?v_32 (* 94 ?x3)) (* (- 58) ?x4)) 0)) (or (>= (+ (+ (+ (* 22 ?x1) (* 46 ?x2)) (* (- 48) ?x3)) (* (- 1) ?x4)) 0) (<= (+ (+ (+ (* 6 ?x1) (* (- 29) ?x2)) (* 5 ?x3)) (* (- 54) ?x4)) 0))) (and (and (<= (+ (+ (* 93 ?x1) (* (- 8) ?x3)) ?v_0) 69) (or (< (+ (+ (* 41 ?x1) ?v_1) ?v_19) 64) (= (+ (+ (+ (* 14 ?x1) (* 11 ?x2)) (* 34 ?x3)) (* 5 ?x4)) 0))) (or (or (not (= (+ (+ (* 13 ?x1) (* 68 ?x2)) ?v_3) (- 30))) (>= (+ ?v_25 (* (- 37) ?x4)) (- 98))) (<= (+ (+ (* 27 ?x2) (* (- 60) ?x3)) ?v_23) 6)))) (or (and (or (and (> (+ ?v_27 (* (- 9) ?x4)) 0) (not (= (+ (* (- 19) ?x1) ?v_1) 15))) (and (= (+ ?v_8 (* (- 43) ?x3)) 17) (> (+ (* 15 ?x1) (* 79 ?x2)) 0))) (= (+ ?v_35 (* (- 62) ?x2)) 0)) (and (or (not (= (+ (* 62 ?x1) (* (- 83) ?x2)) 0)) (or (= (+ (+ ?v_16 (* (- 77) ?x3)) (* 76 ?x4)) 0) (>= (* (- 6) ?x4) 79))) (>= (+ (+ (* (- 35) ?x1) (* (- 1) ?x2)) (* (- 62) ?x3)) (- 29))))) (or (and (or (not (= (* (- 68) ?x3) (- 36))) (> (+ (+ (+ (* 42 ?x1) (* 83 ?x2)) ?v_24) (* 73 ?x4)) 6)) (or (or (> (+ (* (- 56) ?x2) ?v_6) (- 28)) (<= (+ (+ (* (- 13) ?x1) (* 79 ?x3)) (* (- 95) ?x4)) 0)) (or (= (+ (+ (+ (* (- 85) ?x1) (* 56 ?x2)) ?v_2) (* 13 ?x4)) 6) (not (= (+ (+ (+ (* (- 82) ?x1) ?v_26) (* 62 ?x3)) ?v_4) 0))))) (and (or (and (and (< (+ (+ (* 74 ?x1) (* 18 ?x2)) ?v_3) 0) (< (+ (+ (+ (* 58 ?x1) ?v_14) (* 42 ?x3)) (* (- 87) ?x4)) 46)) (or (= (+ (+ (* (- 4) ?x2) (* (- 1) ?x3)) (* (- 14) ?x4)) 0) (<= (+ (+ (* (- 5) ?x1) (* (- 90) ?x2)) (* 12 ?x4)) 29))) (and (>= (+ (+ (* (- 55) ?x1) (* 16 ?x2)) ?v_4) 49) (< (+ (+ (+ ?v_21 (* 45 ?x2)) (* (- 35) ?x3)) (* 97 ?x4)) (- 71)))) (and (or (or (> (+ (+ (+ ?v_11 (* (- 98) ?x2)) (* (- 78) ?x3)) ?v_13) 48) (<= (+ (+ ?v_12 ?v_5) (* 44 ?x4)) (- 91))) (or (<= (+ ?v_5 (* 77 ?x4)) (- 67)) (<= (+ ?v_7 ?v_18) (- 79)))) (or (or (< (+ (+ (* 63 ?x1) (* (- 44) ?x2)) ?v_17) (- 11)) (< (+ (+ (* 5 ?x1) (* 98 ?x2)) ?v_6) 25)) (and (< (+ (+ (* (- 22) ?x1) (* 9 ?x2)) (* (- 72) ?x3)) (- 11)) (<= (+ (* (- 87) ?x1) (* 49 ?x4)) 74))))))) (or (and (or (or (and (<= (+ (+ (+ (* (- 96) ?x1) (* (- 46) ?x2)) ?v_22) ?v_31) 0) (= (+ (+ (+ ?v_7 ?v_20) (* 16 ?x3)) (* (- 56) ?x4)) 42)) (and (>= (+ (+ (* (- 72) ?x1) (* 97 ?x3)) ?v_10) 0) (> (* 35 ?x2) (- 46)))) (or (and (<= (+ ?v_9 (* (- 64) ?x3)) 45) (<= (+ (+ (* (- 95) ?x2) (* (- 39) ?x3)) (* 51 ?x4)) 57)) (and (> (+ ?v_15 (* 74 ?x4)) (- 7)) (>= (+ (+ (+ ?v_8 ?v_9) ?v_34) ?v_10) 0)))) (and (and (or (= (+ (+ (+ ?v_11 (* 69 ?x2)) (* 99 ?x3)) (* 72 ?x4)) 45) (= (+ (+ (+ ?v_12 (* 97 ?x2)) (* (- 37) ?x3)) ?v_13) 96)) (and (> (+ (+ (+ (* (- 18) ?x1) ?v_14) ?v_15) (* (- 61) ?x4)) 68) (<= (+ (+ (+ ?v_16 (* (- 42) ?x2)) ?v_17) ?v_29) (- 51)))) (or (not (= (+ (+ (+ (* 9 ?x1) (* 47 ?x2)) (* 39 ?x3)) ?v_33) 42)) (or (not (= (+ (+ (+ (* 53 ?x1) ?v_18) ?v_19) (* (- 40) ?x4)) 20)) (< (+ (* (- 14) ?x1) ?v_30) (- 2)))))) (and (and (and (and (or (>= (+ (+ (+ (* (- 30) ?x1) ?v_20) (* (- 70) ?x3)) (* 52 ?x4)) 70) (<= (+ (+ (+ ?v_21 (* (- 94) ?x2)) ?v_22) (* (- 8) ?x4)) 47)) (and (= (+ (+ (* 39 ?x1) (* 29 ?x2)) ?v_23) 0) (>= (+ (* 58 ?x2) (* 40 ?x3)) (- 2)))) (or (<= (+ (* 35 ?x1) (* (- 58) ?x2)) 0) (= (+ (* (- 9) ?x1) (* (- 88) ?x3)) (- 21)))) (or (and (= (+ (+ (* 94 ?x1) (* (- 60) ?x2)) ?v_24) (- 39)) (> (+ (+ (* 81 ?x2) (* 41 ?x3)) (* (- 67) ?x4)) 17)) (and (>= (+ (+ (* 46 ?x1) ?v_25) (* (- 87) ?x3)) 1) (or (= (+ (+ (* 68 ?x1) (* (- 19) ?x2)) (* (- 67) ?x3)) (- 97)) (= (+ (* 86 ?x1) (* (- 20) ?x2)) 80))))) (and (or (and (or (not (= (+ (+ (+ (* (- 100) ?x1) ?v_26) (* (- 69) ?x3)) (* (- 25) ?x4)) 12)) (>= (+ (+ (+ (* 80 ?x1) ?v_25) (* 76 ?x3)) (* 20 ?x4)) (- 23))) (<= (+ (+ ?v_27 (* (- 71) ?x3)) (* (- 33) ?x4)) 0)) (and (or (< (+ (* (- 40) ?x2) ?v_28) 34) (> (+ (+ (* 52 ?x1) (* (- 67) ?x2)) ?v_28) (- 84))) (or (not (= (+ (+ (+ (* 98 ?x1) (* (- 75) ?x2)) (* 25 ?x3)) ?v_29) 63)) (> (+ (+ (+ (* 97 ?x1) (* 53 ?x2)) (* (- 5) ?x3)) ?v_30) 21)))) (and (and (< (+ (+ (* (- 23) ?x2) (* 15 ?x3)) ?v_31) (- 80)) (< (+ (+ (* 60 ?x1) ?v_32) ?v_33) 43)) (or (or (<= (+ (+ (* (- 75) ?x1) ?v_34) (* 21 ?x4)) 71) (= (+ (+ (* 17 ?x1) (* (- 50) ?x3)) (* 88 ?x4)) 0)) (and (<= (+ (+ ?v_35 (* (- 26) ?x3)) (* (- 93) ?x4)) (- 22)) (not (= (+ (+ (+ (* 48 ?x1) ?v_5) (* 52 ?x3)) (* (- 55) ?x4)) (- 21))))))))))))))))
(check-sat)
(exit)
