(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unknown)
(declare-fun lambda () Real)
(declare-fun lambdaprime () Real)
(declare-fun x4 () Real)
(declare-fun x3 () Real)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda Real)) (let ((?v_1 (+ x4 (* 40 ?lambda)))) (let ((?v_26 (<= (* 1 ?v_1) 4820))) (let ((?v_55 (not ?v_26)) (?v_78 (not bool.b24)) (?v_2 (+ x3 (* (/ 1 2) ?lambda)))) (let ((?v_0 (* 1 ?v_2))) (let ((?v_25 (<= ?v_0 0)) (?v_59 (<= (+ ?v_0 (* (/ 1 15) ?v_1)) (/ 964 3)))) (let ((?v_52 (not ?v_59))) (let ((?v_80 (and ?v_25 ?v_52))) (let ((?v_22 (not ?v_80)) (?v_5 (* (- 1) ?v_1))) (let ((?v_28 (<= ?v_5 (- 4100)))) (let ((?v_23 (not ?v_28)) (?v_63 (* (- 1) ?v_2))) (let ((?v_4 (not (<= ?v_63 (- 30))))) (let ((?v_19 (and bool.b17 (not (and ?v_23 ?v_4))))) (let ((?v_3 (not ?v_19)) (?v_30 (<= ?v_5 (- 4500)))) (let ((?v_64 (not ?v_30)) (?v_24 (<= ?v_5 (- 4910)))) (let ((?v_67 (not ?v_24))) (let ((?v_42 (not (and bool.b19 (not (and ?v_4 ?v_67)))))) (let ((?v_6 (not (and (and ?v_3 (not (and bool.b18 (not (and ?v_4 ?v_64))))) ?v_42)))) (let ((?v_16 (and bool.b23 ?v_6))) (let ((?v_20 (not ?v_16)) (?v_13 (and bool.b22 ?v_6))) (let ((?v_17 (not ?v_13)) (?v_10 (and bool.b21 ?v_6))) (let ((?v_14 (not ?v_10)) (?v_8 (and bool.b20 ?v_6))) (let ((?v_11 (not ?v_8)) (?v_7 (and bool.b18 ?v_6)) (?v_32 (and bool.b19 ?v_6))) (let ((?v_12 (and (not ?v_7) (not ?v_32)))) (let ((?v_9 (not ?v_12)) (?v_15 (and ?v_11 ?v_12))) (let ((?v_18 (and ?v_14 ?v_15))) (let ((?v_21 (and ?v_17 ?v_18)) (?v_34 (and ?v_23 ?v_19)) (?v_33 (not (and bool.b19 ?v_24)))) (let ((?v_35 (and ?v_33 ?v_20)) (?v_27 (and ?v_25 ?v_8))) (let ((?v_44 (not (and ?v_26 ?v_27)))) (let ((?v_37 (and ?v_17 ?v_44)) (?v_43 (not (and ?v_55 ?v_27)))) (let ((?v_39 (and ?v_14 ?v_43)) (?v_53 (not ?v_25)) (?v_29 (not (and bool.b17 ?v_28))) (?v_41 (and bool.b18 ?v_30))) (let ((?v_31 (not ?v_41))) (let ((?v_110 (and ?v_29 ?v_31))) (let ((?v_46 (and ?v_29 (not (and ?v_110 ?v_7)))) (?v_96 (and ?v_31 (not (and ?v_32 (and ?v_31 ?v_33)))))) (let ((?v_40 (and (not (and ?v_53 ?v_8)) (and ?v_46 ?v_96)))) (let ((?v_38 (and ?v_39 ?v_40))) (let ((?v_36 (and ?v_37 ?v_38))) (let ((?v_95 (not (and ?v_34 (not (and ?v_35 ?v_36))))) (?v_71 (not ?v_34)) (?v_47 (and bool.b24 (not (and ?v_3 ?v_42))))) (let ((?v_45 (not (and ?v_41 (not ?v_47))))) (let ((?v_50 (and ?v_45 (not (and ?v_8 (and ?v_43 (and ?v_44 ?v_45)))))) (?v_48 (not (and ?v_41 ?v_47)))) (let ((?v_49 (and ?v_48 (not (and ?v_32 (and ?v_33 ?v_48)))))) (let ((?v_51 (not (and ?v_46 ?v_49))) (?v_65 (not ?v_46)) (?v_69 (not ?v_49)) (?v_54 (not ?v_50)) (?v_58 (<= ?v_0 20)) (?v_68 (and bool.b17 ?v_30))) (let ((?v_56 (not (and ?v_78 ?v_68))) (?v_57 (and ?v_25 ?v_54))) (let ((?v_83 (not (and ?v_55 ?v_57))) (?v_89 (not (and ?v_26 ?v_57)))) (let ((?v_111 (not (and ?v_56 (not (and ?v_54 (and ?v_83 (and ?v_56 ?v_89)))))))) (let ((?v_60 (and ?v_53 ?v_111))) (let ((?v_106 (and ?v_58 (and ?v_52 ?v_60))) (?v_61 (and ?v_58 (and ?v_59 ?v_60)))) (let ((?v_116 (not ?v_61)) (?v_62 (+ ?v_0 (* (/ 1 20) ?v_1))) (?v_74 (<= ?v_63 (- 20)))) (let ((?v_66 (and ?v_74 ?v_4)) (?v_72 (and ?v_64 ?v_65)) (?v_70 (not (and bool.b24 ?v_68))) (?v_86 (not (and ?v_24 ?v_69)))) (let ((?v_73 (and ?v_67 (not (and ?v_70 (not (and ?v_69 (and ?v_70 ?v_86))))))) (?v_87 (not ?v_60)) (?v_77 (not ?v_72))) (let ((?v_76 (not ?v_73))) (let ((?v_105 (and (and (not (and ?v_66 ?v_72)) (not (and ?v_66 ?v_73))) (not (and ?v_6 (and ?v_87 (and (and ?v_71 ?v_77) ?v_76)))))) (?v_75 (not ?v_74))) (let ((?v_104 (and (not (and ?v_75 ?v_72)) (not (and ?v_75 ?v_73)))) (?v_79 (not (and ?v_78 ?v_41)))) (let ((?v_81 (not (and ?v_79 (not (and bool.b20 (and (and ?v_79 (not (and ?v_26 (and bool.b20 ?v_25)))) (not (and bool.b20 ?v_80))))))))) (let ((?v_82 (and ?v_25 ?v_81))) (let ((?v_88 (and ?v_25 (not (and ?v_56 (not (and ?v_81 (and (not (and ?v_55 ?v_82)) (and (not (and ?v_26 ?v_82)) ?v_56))))))))) (let ((?v_93 (and (not (and ?v_55 ?v_88)) (and ?v_39 ?v_83))) (?v_84 (not (and bool.b24 ?v_41)))) (let ((?v_85 (not (and ?v_84 (not (and bool.b19 (and ?v_33 ?v_84))))))) (let ((?v_91 (and (not (and ?v_24 (not (and ?v_70 (not (and ?v_85 (and (not (and ?v_24 ?v_85)) ?v_70))))))) (and ?v_35 ?v_86))) (?v_90 (and (not (and ?v_26 ?v_88)) (and ?v_37 ?v_89)))) (let ((?v_94 (and ?v_87 ?v_90))) (let ((?v_92 (not ?v_94)) (?v_100 (not ?v_90)) (?v_102 (not ?v_91)) (?v_98 (not ?v_93)) (?v_99 (and ?v_77 ?v_76))) (let ((?v_97 (not ?v_99)) (?v_101 (and ?v_87 ?v_99))) (let ((?v_103 (and ?v_93 ?v_101))) (let ((?v_117 (and (not (and ?v_105 (not (and (not (and ?v_104 (not (and (not (and ?v_53 (not (and ?v_76 (and ?v_77 (and ?v_71 (and (not (and ?v_93 (not (and (not (and ?v_91 (not (and ?v_92 (not (and ?v_60 ?v_100)))))) (not (and ?v_102 ?v_92)))))) (not (and ?v_98 (not (and ?v_91 ?v_94))))))))))) (not (and ?v_25 (and ?v_26 (not (and ?v_95 (not (and ?v_71 (not (and (not (and ?v_91 (not (and (not (and ?v_90 (not (and (not (and ?v_93 (not (and (not (and ?v_60 ?v_97)) (not (and ?v_87 (not (and (not (and (not ?v_96) ?v_72)) ?v_97)))))))) (not (and ?v_98 (not ?v_101))))))) (not (and ?v_100 (not ?v_103))))))) (not (and ?v_102 (not (and ?v_90 ?v_103))))))))))))))))) (not (and ?v_22 (not ?v_104))))))) (not (and ?v_22 (not ?v_105))))) (?v_107 (+ ?v_0 (* (/ 3 20) ?v_1))) (?v_108 (<= ?v_0 40)) (?v_112 (<= ?v_0 45))) (let ((?v_109 (and ?v_112 (not (<= ?v_0 33)))) (?v_113 (and bool.b17 ?v_23)) (?v_115 (and ?v_64 (not (and ?v_29 (not (and bool.b18 ?v_110)))))) (?v_114 (not ?v_112))) (or (or (exists ((?lambdaprime Real)) (let ((?v_119 (* (- 1) (+ x4 (* 40 ?lambdaprime)))) (?v_118 (not (<= (* (- 1) (+ x3 (* (/ 1 2) ?lambdaprime))) (- 30))))) (and (and (<= 0 ?lambdaprime) (<= ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and (not (<= ?v_119 (- 4100))) ?v_118)))) (not (and bool.b18 (not (and ?v_118 (not (<= ?v_119 (- 4500)))))))) (not (and bool.b19 (not (and ?v_118 (not (<= ?v_119 (- 4910)))))))))))) (< ?lambda 0)) (and ?v_22 (not (and (and (not (and ?v_3 (not (and (not (and ?v_20 (not (and (not (and ?v_17 (not (and (not (and ?v_14 (not (and (not (and ?v_11 (not (and ?v_9 (not (and bool.b19 ?v_7)))))) (not (and ?v_8 ?v_9)))))) (not (and ?v_10 (not ?v_15))))))) (not (and ?v_13 (not ?v_18))))))) (not (and ?v_16 (not ?v_21))))))) (not (and ?v_19 (not (and ?v_20 ?v_21))))) (not (and ?v_22 (not (and (and ?v_95 (not (and ?v_71 (not (and (not (and (not ?v_35) (not ?v_36))) (not (and ?v_35 (not (and (not (and (not ?v_37) (not ?v_38))) (not (and ?v_37 (not (and (not (and (not ?v_39) (not ?v_40))) (not (and ?v_39 (not (and (not (and ?v_50 (not (and ?v_51 (not (and ?v_65 ?v_69)))))) (not (and ?v_54 ?v_51))))))))))))))))))) (and (not (and (not ?v_106) (not (and (not (and ?v_22 ?v_116)) (not (and ?v_61 (not (and (<= ?v_62 400) (and (not (<= ?v_62 241)) ?v_117))))))))) (not (and ?v_106 (not (and (<= ?v_107 1200) (and (not (<= ?v_107 723)) (and (and (and (and (not (and ?v_108 (and ?v_109 ?v_113))) (not (and ?v_108 (and ?v_109 ?v_115)))) (not (and ?v_108 (and ?v_109 ?v_73)))) (not (and ?v_108 (and (not ?v_58) (and ?v_59 ?v_111))))) (and (and (and (and (not (and ?v_114 ?v_113)) (not (and ?v_114 ?v_115))) (not (and ?v_114 ?v_73))) (not (and (not ?v_108) (and ?v_52 ?v_111)))) (and ?v_116 ?v_117)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
