(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unknown)
(declare-fun lambda () Real)
(declare-fun lambdaprime () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda Real)) (let ((?v_2 (+ x4 (* 60 ?lambda))) (?v_4 (not bool.b22)) (?v_5 (not bool.b23)) (?v_6 (not bool.b20)) (?v_7 (not bool.b19)) (?v_8 (not bool.b18)) (?v_9 (not bool.b17)) (?v_12 (+ x3 (* (- 3) ?lambda)))) (let ((?v_0 (* 1 ?v_12))) (let ((?v_10 (<= ?v_0 0)) (?v_23 (+ ?v_0 (* (/ 3 20) ?v_2)))) (let ((?v_21 (<= ?v_23 723))) (let ((?v_24 (not ?v_21))) (let ((?v_1 (not (and ?v_10 ?v_24)))) (let ((?v_66 (not (and bool.b19 ?v_1))) (?v_63 (not (and bool.b18 ?v_1))) (?v_41 (not (and bool.b17 ?v_1))) (?v_3 (+ ?v_0 (* (/ 1 20) ?v_2)))) (let ((?v_36 (<= ?v_3 400)) (?v_68 (<= ?v_3 241))) (let ((?v_26 (not ?v_68))) (let ((?v_72 (not (and (not (and bool.b20 ?v_1)) (not (and ?v_6 (not (and ?v_66 (not (and ?v_7 (not (and ?v_63 (not (and ?v_8 (not (and ?v_41 (not (and ?v_9 (not (and ?v_36 ?v_26)))))))))))))))))))) (let ((?v_73 (not (and (not (and bool.b23 ?v_1)) (not (and ?v_5 ?v_72))))) (?v_28 (* (- 1) ?v_2))) (let ((?v_20 (<= ?v_28 (- 4500))) (?v_25 (<= (+ ?v_0 (* (/ 1 15) ?v_2)) (/ 964 3))) (?v_37 (* (/ (- 1) 20) ?v_2))) (let ((?v_11 (+ ?v_0 ?v_37))) (let ((?v_19 (and (<= ?v_11 (- 205)) (not (<= ?v_11 (- 209)))))) (let ((?v_13 (not ?v_19)) (?v_16 (* (- 1) ?v_12))) (let ((?v_40 (<= ?v_16 (- 30)))) (let ((?v_15 (not ?v_40)) (?v_22 (not ?v_10)) (?v_14 (+ ?v_0 (* (/ (- 1) 80) ?v_2)))) (let ((?v_17 (<= ?v_14 (/ (- 161) 4))) (?v_18 (not (<= ?v_16 (- 20))))) (let ((?v_42 (not (and (not ?v_20) (not (and (not (and ?v_10 (and ?v_25 (not (and (not (and (not (<= ?v_0 30)) ?v_13)) (not (and ?v_15 ?v_13))))))) (not (and ?v_22 (not (and (not (and (not ?v_17) (not (and (<= ?v_14 (/ (- 145) 4)) (and ?v_15 (not (and ?v_18 ?v_13))))))) (not (and ?v_17 (not (and ?v_18 ?v_19))))))))))))) (?v_64 (not (and ?v_10 ?v_21))) (?v_27 (<= ?v_0 20)) (?v_30 (<= ?v_23 1200))) (let ((?v_43 (not (and ?v_27 (and (not (and ?v_30 ?v_24)) (not (and ?v_25 ?v_26)))))) (?v_44 (not ?v_27)) (?v_46 (not ?v_25)) (?v_29 (+ ?v_0 (* (/ 3 40) ?v_2)))) (let ((?v_48 (not (<= ?v_29 (/ 703 2)))) (?v_49 (<= ?v_29 610)) (?v_32 (<= ?v_29 359))) (let ((?v_52 (not ?v_32)) (?v_67 (<= ?v_29 (/ 743 2)))) (let ((?v_53 (not ?v_67)) (?v_31 (<= ?v_0 40))) (let ((?v_35 (and ?v_31 ?v_30)) (?v_39 (not ?v_31))) (let ((?v_51 (not (and ?v_39 ?v_32)))) (let ((?v_57 (not (and ?v_48 (and ?v_49 (and (not (and ?v_52 (not (and ?v_53 ?v_35)))) ?v_51))))) (?v_33 (+ ?v_0 (* (/ 1 40) ?v_2)))) (let ((?v_69 (<= ?v_33 (/ 261 2))) (?v_34 (<= ?v_33 133))) (let ((?v_70 (not ?v_34)) (?v_71 (<= ?v_33 (/ 823 6)))) (let ((?v_45 (not (and ?v_25 (not (and (not ?v_69) (and (<= ?v_33 (/ 650 3)) (and (not (and ?v_70 (not (and ?v_31 (not ?v_71))))) (not (and ?v_34 (not ?v_35)))))))))) (?v_56 (<= ?v_28 (- 4910)))) (let ((?v_47 (not ?v_56)) (?v_38 (<= ?v_0 45))) (let ((?v_61 (not (and (not ?v_38) (not (<= (+ ?v_16 ?v_37) (/ (- 581) 2)))))) (?v_62 (and ?v_39 (not (and (<= (+ ?v_0 (* (/ 1 60) ?v_2)) (/ 400 3)) (<= (+ ?v_16 (* (/ (- 1) 60) ?v_2)) (/ (- 731) 6))))))) (let ((?v_55 (not ?v_62)) (?v_54 (not (<= ?v_0 33)))) (let ((?v_50 (and ?v_55 (not (and ?v_31 (not (and ?v_54 (and ?v_40 (<= (+ ?v_16 (* (/ (- 1) 40) ?v_2)) (/ (- 623) 4)))))))))) (let ((?v_59 (not (and ?v_61 (not (and ?v_38 (not ?v_50))))))) (let ((?v_65 (not (and ?v_36 (not (and ?v_47 ?v_59))))) (?v_58 (not ?v_49)) (?v_60 (not ?v_30))) (or (or (exists ((?lambdaprime Real)) (let ((?v_74 (* 1 (+ x3 (* (- 3) ?lambdaprime)))) (?v_76 (* (- 1) (+ x4 (* 60 ?lambdaprime))))) (let ((?v_75 (not (<= ?v_74 45)))) (and (and (<= 0 ?lambdaprime) (<= ?lambdaprime ?lambda)) (not (and (not (and bool.b20 (<= ?v_74 40))) (and (and (not (and bool.b17 (not (and (not (<= ?v_76 (- 4100))) ?v_75)))) (not (and bool.b18 (not (and ?v_75 (not (<= ?v_76 (- 4500)))))))) (not (and bool.b19 (not (and ?v_75 (not (<= ?v_76 (- 4910)))))))))))))) (< ?lambda 0)) (and (not (and bool.b21 (and (not (and bool.b22 ?v_1)) (not (and ?v_4 ?v_73))))) (not (and (not bool.b21) (and (not (and ?v_4 (not (and (not (and ?v_5 (not (and (not (and ?v_6 (not (and (not (and ?v_7 (not (and (not (and ?v_8 (not (and (not (and ?v_9 ?v_1)) (not (and bool.b17 (not (and ?v_42 (not (and ?v_20 (not (and ?v_64 (not (and ?v_22 (not (and (not (and (not bool.b24) (not (and ?v_43 (not (and ?v_44 (not (and (<= ?v_28 (- 4100)) (and (not (and ?v_46 ?v_57)) ?v_45))))))))) (not (and bool.b24 ?v_65)))))))))))))))))) (not (and bool.b18 (not (and ?v_41 (not (and ?v_9 (not (and ?v_42 (not (and ?v_20 (not (and ?v_43 (not (and ?v_44 (not (and (not (and (not ?v_36) (not (and ?v_45 (not (and ?v_46 (not (and (not (and ?v_47 (not (and ?v_48 (and (not (and ?v_58 (not (and ?v_38 ?v_50)))) (not (and ?v_49 (not (and ?v_51 (not (and ?v_52 (not (and ?v_53 (and (not (and ?v_60 (not (and ?v_31 ?v_54)))) (not (and ?v_30 (not (and ?v_38 ?v_55)))))))))))))))))) (not (and ?v_56 ?v_57)))))))))) (and ?v_45 (not (and ?v_46 (and ?v_47 (not (and ?v_48 (and (not (and ?v_58 ?v_59)) (not (and ?v_49 (not (and ?v_51 (not (and ?v_52 (not (and ?v_53 (and (not (and ?v_60 (not (and ?v_61 (not (and ?v_38 (not (and ?v_54 ?v_55)))))))) (not (and ?v_30 (not (and ?v_61 (not (and ?v_38 ?v_62)))))))))))))))))))))))))))))))))))))))))) (not (and bool.b19 (not (and ?v_63 (not (and ?v_8 (not (and ?v_41 (not (and ?v_9 (not (and ?v_64 (not (and ?v_22 ?v_65)))))))))))))))))) (not (and bool.b20 (not (and ?v_66 (not (and ?v_7 (not (and ?v_63 (not (and ?v_8 (not (and ?v_41 (not (and ?v_9 (not (and ?v_31 (not (and (not (and ?v_30 (and ?v_49 (and ?v_46 (not (and ?v_52 (and ?v_67 (not (and ?v_30 (and ?v_24 ?v_49)))))))))) (not (and ?v_25 (and ?v_21 (not (and ?v_67 (not (and (not (and ?v_68 ?v_69)) (not (and ?v_70 ?v_71))))))))))))))))))))))))))))))) (not (and bool.b23 ?v_72)))))) (not (and bool.b22 ?v_73))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
