(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unknown)
(declare-fun lambda () Real)
(declare-fun lambdaprime () Real)
(declare-fun x4 () Real)
(declare-fun x3 () Real)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda Real)) (let ((?v_2 (+ x4 (* 20 ?lambda))) (?v_4 (not bool.b22)) (?v_5 (not bool.b23)) (?v_6 (not bool.b20)) (?v_7 (not bool.b19)) (?v_47 (not bool.b18)) (?v_9 (not bool.b17)) (?v_25 (+ x3 (* (/ (- 1) 20) ?lambda)))) (let ((?v_0 (* 1 ?v_25))) (let ((?v_37 (<= ?v_0 0)) (?v_10 (+ ?v_0 (* (/ 3 20) ?v_2)))) (let ((?v_49 (<= ?v_10 723))) (let ((?v_11 (not ?v_49))) (let ((?v_1 (not (and ?v_37 ?v_11)))) (let ((?v_59 (not (and bool.b18 ?v_1))) (?v_8 (not (and bool.b17 ?v_1))) (?v_3 (+ ?v_0 (* (/ 1 400) ?v_2)))) (let ((?v_58 (<= ?v_3 20))) (let ((?v_61 (not (and (not (and bool.b19 ?v_1)) (not (and ?v_7 (not (and ?v_59 (not (and ?v_47 (not (and ?v_8 (not (and ?v_9 (not (and ?v_58 (not (<= ?v_3 (/ 241 20))))))))))))))))))) (let ((?v_62 (not (and (not (and bool.b20 ?v_1)) (not (and ?v_6 ?v_61)))))) (let ((?v_63 (not (and (not (and bool.b23 ?v_1)) (not (and ?v_5 ?v_62))))) (?v_18 (* (- 1) ?v_2))) (let ((?v_36 (<= ?v_18 (- 4500))) (?v_12 (<= ?v_0 20)) (?v_17 (<= ?v_10 1200)) (?v_13 (<= (+ ?v_0 (* (/ 1 15) ?v_2)) (/ 964 3)))) (let ((?v_51 (not (and ?v_12 (and (not (and ?v_17 ?v_11)) (not (and ?v_13 (not (<= (+ ?v_0 (* (/ 1 20) ?v_2)) 241)))))))) (?v_52 (not ?v_12)) (?v_14 (+ ?v_0 (* (/ 1 40) ?v_2)))) (let ((?v_15 (<= ?v_14 133)) (?v_16 (<= ?v_0 40))) (let ((?v_20 (and ?v_16 ?v_17))) (let ((?v_53 (not (and ?v_13 (not (and (not (<= ?v_14 (/ 261 2))) (and (<= ?v_14 (/ 650 3)) (and (not (and (not ?v_15) (not (and ?v_16 (not (<= ?v_14 (/ 823 6))))))) (not (and ?v_15 (not ?v_20)))))))))) (?v_54 (not ?v_13)) (?v_22 (<= ?v_18 (- 4910))) (?v_19 (+ ?v_0 (* (/ 3 40) ?v_2)))) (let ((?v_23 (not (<= ?v_19 (/ 703 2)))) (?v_24 (<= ?v_19 610)) (?v_21 (<= ?v_19 359))) (let ((?v_30 (not ?v_21)) (?v_31 (not (<= ?v_19 (/ 743 2)))) (?v_27 (not ?v_16))) (let ((?v_29 (not (and ?v_27 ?v_21)))) (let ((?v_55 (not (and ?v_23 (and ?v_24 (and (not (and ?v_30 (not (and ?v_31 ?v_20)))) ?v_29))))) (?v_56 (not ?v_22)) (?v_26 (<= ?v_0 45)) (?v_28 (* (- 1) ?v_25)) (?v_38 (* (/ (- 1) 20) ?v_2))) (let ((?v_32 (not (and (not ?v_26) (not (<= (+ ?v_28 ?v_38) (/ (- 581) 2)))))) (?v_35 (and ?v_27 (not (and (<= (+ ?v_0 (* (/ 1 60) ?v_2)) (/ 400 3)) (<= (+ ?v_28 (* (/ (- 1) 60) ?v_2)) (/ (- 731) 6))))))) (let ((?v_34 (not ?v_35)) (?v_33 (not (<= ?v_0 33))) (?v_40 (<= ?v_28 (- 30)))) (let ((?v_57 (not (and ?v_32 (not (and ?v_26 (not (and ?v_34 (not (and ?v_16 (not (and ?v_33 (and ?v_40 (<= (+ ?v_28 (* (/ (- 1) 40) ?v_2)) (/ (- 623) 4)))))))))))))) (?v_39 (+ ?v_0 ?v_38))) (let ((?v_46 (and (<= ?v_39 (- 205)) (not (<= ?v_39 (- 209)))))) (let ((?v_41 (not ?v_46)) (?v_43 (not ?v_40)) (?v_50 (not ?v_37)) (?v_42 (+ ?v_0 (* (/ (- 1) 80) ?v_2)))) (let ((?v_44 (<= ?v_42 (/ (- 161) 4))) (?v_45 (not (<= ?v_28 (- 20))))) (let ((?v_48 (not (and (not ?v_36) (not (and (not (and ?v_37 (and ?v_13 (not (and (not (and (not (<= ?v_0 30)) ?v_41)) (not (and ?v_43 ?v_41))))))) (not (and ?v_50 (not (and (not (and (not ?v_44) (not (and (<= ?v_42 (/ (- 145) 4)) (and ?v_43 (not (and ?v_45 ?v_41))))))) (not (and ?v_44 (not (and ?v_45 ?v_46))))))))))))) (?v_60 (not (and ?v_37 ?v_49)))) (or (or (exists ((?lambdaprime Real)) (let ((?v_65 (* (- 1) (+ x4 (* 20 ?lambdaprime)))) (?v_64 (not (<= (* 1 (+ x3 (* (/ (- 1) 20) ?lambdaprime))) 30)))) (and (and (<= 0 ?lambdaprime) (<= ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and (not (<= ?v_65 (- 4100))) ?v_64)))) (not (and bool.b18 (not (and ?v_64 (not (<= ?v_65 (- 4500)))))))) (not (and bool.b19 (not (and ?v_64 (not (<= ?v_65 (- 4910)))))))))))) (< ?lambda 0)) (and (not (and bool.b21 (and (not (and bool.b22 ?v_1)) (not (and ?v_4 ?v_63))))) (not (and (not bool.b21) (and (not (and ?v_4 (not (and (not (and ?v_5 (not (and (not (and ?v_6 (not (and (not (and ?v_7 (not (and (not (and bool.b18 (not (and ?v_8 (not (and ?v_9 (not (and (not (and ?v_36 (not (and ?v_51 (not (and ?v_52 (not (and ?v_53 (not (and ?v_54 (not (and (not (and ?v_22 ?v_55)) (not (and ?v_56 (not (and ?v_23 (and (not (and (not ?v_24) ?v_57)) (not (and ?v_24 (not (and ?v_29 (not (and ?v_30 (not (and ?v_31 (and (not (and (not ?v_17) (not (and ?v_32 (not (and ?v_26 (not (and ?v_33 ?v_34)))))))) (not (and ?v_17 (not (and ?v_32 (not (and ?v_26 ?v_35)))))))))))))))))))))))))))))))) ?v_48)))))))) (not (and ?v_47 (not (and (not (and ?v_9 ?v_1)) (not (and bool.b17 (not (and ?v_48 (not (and ?v_36 (not (and ?v_60 (not (and ?v_50 (not (and (not (and (not bool.b24) (not (and ?v_51 (not (and ?v_52 (not (and (<= ?v_18 (- 4100)) (and ?v_53 (not (and ?v_54 ?v_55))))))))))) (not (and bool.b24 (not (and (not (and ?v_56 ?v_57)) (not (and ?v_22 (not ?v_58))))))))))))))))))))))))))) (not (and bool.b19 (not (and ?v_59 (not (and ?v_47 (not (and ?v_8 (not (and ?v_9 (not (and ?v_60 (not (and ?v_50 (not (and ?v_22 ?v_58)))))))))))))))))))) (not (and bool.b20 ?v_61)))))) (not (and bool.b23 ?v_62)))))) (not (and bool.b22 ?v_63))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
