(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unknown)
(declare-fun lambda () Real)
(declare-fun lambdaprime () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda Real)) (let ((?v_7 (+ x3 (* 1 ?lambda)))) (let ((?v_0 (* 1 ?v_7))) (let ((?v_4 (<= ?v_0 0)) (?v_3 (+ x4 (* 40 ?lambda))) (?v_86 (not bool.b18)) (?v_68 (not bool.b17))) (let ((?v_23 (not ?v_4)) (?v_19 (<= ?v_0 30)) (?v_20 (<= ?v_0 33)) (?v_63 (<= ?v_0 45)) (?v_29 (<= ?v_0 40)) (?v_65 (not bool.b24)) (?v_61 (<= ?v_0 20))) (let ((?v_72 (not ?v_61)) (?v_32 (not ?v_29)) (?v_76 (not ?v_20)) (?v_26 (+ ?v_0 (* (/ 3 20) ?v_3)))) (let ((?v_33 (<= ?v_26 723))) (let ((?v_28 (not ?v_33))) (let ((?v_1 (and ?v_4 ?v_28))) (let ((?v_2 (not ?v_1)) (?v_6 (* (- 1) ?v_3))) (let ((?v_22 (<= ?v_6 (- 4500)))) (let ((?v_69 (not ?v_22)) (?v_5 (+ ?v_0 (* (/ (- 1) 80) ?v_3)))) (let ((?v_10 (<= ?v_5 (/ (- 161) 4)))) (let ((?v_70 (not ?v_10)) (?v_13 (<= ?v_5 (/ (- 145) 4))) (?v_14 (<= ?v_6 (- 4100))) (?v_8 (* (- 1) ?v_7))) (let ((?v_67 (<= ?v_8 (- 30)))) (let ((?v_16 (not ?v_67)) (?v_11 (not (<= ?v_8 (- 20)))) (?v_24 (* (/ (- 1) 20) ?v_3))) (let ((?v_9 (+ ?v_0 ?v_24))) (let ((?v_12 (and (<= ?v_9 (- 205)) (not (<= ?v_9 (- 209)))))) (let ((?v_21 (not (and ?v_11 (not ?v_12)))) (?v_17 (not (and ?v_11 ?v_12))) (?v_71 (not ?v_13)) (?v_40 (not ?v_14)) (?v_15 (<= (+ ?v_0 (* (/ 1 15) ?v_3)) (/ 964 3)))) (let ((?v_18 (not (and ?v_40 ?v_15))) (?v_82 (<= ?v_6 (- 4910)))) (let ((?v_25 (not ?v_82)) (?v_74 (<= (+ ?v_8 ?v_24) (/ (- 581) 2))) (?v_75 (<= (+ ?v_8 (* (/ (- 1) 60) ?v_3)) (/ (- 731) 6))) (?v_30 (<= ?v_26 1200))) (let ((?v_38 (and ?v_29 ?v_30)) (?v_41 (* (/ (- 1) 40) ?v_3))) (let ((?v_77 (<= (+ ?v_8 ?v_41) (/ (- 623) 4)))) (let ((?v_88 (and (not (and ?v_25 ?v_74)) (and (not (and ?v_63 (and ?v_25 ?v_75))) (not (and ?v_38 (and ?v_22 (and ?v_25 ?v_77))))))) (?v_39 (<= (+ ?v_0 (* (/ 1 20) ?v_3)) 241))) (let ((?v_62 (not ?v_39)) (?v_27 (+ ?v_0 (* (/ 1 40) ?v_3)))) (let ((?v_59 (<= ?v_27 (/ 261 2)))) (let ((?v_52 (not ?v_59)) (?v_31 (<= ?v_27 (/ 650 3)))) (let ((?v_53 (not (and (not ?v_31) (not (and ?v_28 (and ?v_32 ?v_30)))))) (?v_34 (<= ?v_27 133)) (?v_35 (not (and ?v_32 ?v_33)))) (let ((?v_54 (not (and ?v_34 (not (and ?v_30 ?v_35))))) (?v_55 (not ?v_34)) (?v_58 (<= ?v_27 (/ 823 6)))) (let ((?v_56 (not ?v_58)) (?v_78 (not ?v_30))) (let ((?v_57 (and ?v_35 (not (and ?v_32 ?v_78))))) (let ((?v_73 (not (and ?v_15 (not (and ?v_52 (and ?v_53 (not (and ?v_31 (not (and ?v_54 (not (and ?v_55 (not (and ?v_56 ?v_57)))))))))))))) (?v_43 (not ?v_15)) (?v_36 (+ ?v_0 (* (/ 3 40) ?v_3)))) (let ((?v_51 (<= ?v_36 (/ 703 2)))) (let ((?v_44 (not ?v_51)) (?v_45 (<= ?v_36 610)) (?v_37 (<= ?v_36 359))) (let ((?v_46 (not (and ?v_32 ?v_37))) (?v_47 (not ?v_37)) (?v_50 (<= ?v_36 (/ 743 2)))) (let ((?v_48 (not ?v_50))) (let ((?v_83 (not (and ?v_44 (and ?v_45 (and ?v_46 (not (and ?v_47 (not (and ?v_48 ?v_38))))))))) (?v_42 (+ ?v_0 ?v_41))) (let ((?v_64 (<= ?v_42 (/ (- 185) 2)))) (let ((?v_49 (not (and (not (<= ?v_42 (/ (- 193) 2))) ?v_64)))) (let ((?v_60 (not (and (not (and ?v_28 (not (and ?v_30 (not (and ?v_29 ?v_49)))))) (not (and ?v_33 ?v_49))))) (?v_66 (not (and ?v_39 (and ?v_15 ?v_49)))) (?v_84 (not (and ?v_30 ?v_28))) (?v_85 (not (and ?v_15 ?v_62))) (?v_87 (not (and bool.b17 ?v_2))) (?v_80 (not (and (not ?v_63) (not ?v_74)))) (?v_81 (and ?v_32 (not (and (<= (+ ?v_0 (* (/ 1 60) ?v_3)) (/ 400 3)) (and ?v_76 ?v_75)))))) (let ((?v_79 (not (and ?v_80 (not (and ?v_63 (not (and (not ?v_81) (not (and ?v_29 (not (and ?v_76 (and ?v_67 ?v_77))))))))))))) (or (or (exists ((?lambdaprime Real)) (let ((?v_89 (not (<= (* (- 1) (+ x3 (* 1 ?lambdaprime))) (- 20)))) (?v_90 (* (- 1) (+ x4 (* 40 ?lambdaprime))))) (and (and (<= 0 ?lambdaprime) (<= ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and ?v_89 (not (<= ?v_90 (- 4100))))))) (not (and bool.b18 (not (and ?v_89 (not (<= ?v_90 (- 4500)))))))) (not (and bool.b19 (not (and ?v_89 (not (<= ?v_90 (- 4910)))))))))))) (< ?lambda 0)) (and (not (and bool.b21 ?v_1)) (not (and (not bool.b21) (and (not (and bool.b22 ?v_2)) (not (and (not bool.b22) (not (and (not (and bool.b23 ?v_2)) (not (and (not bool.b23) (not (and (not (and bool.b20 ?v_2)) (not (and (not bool.b20) (not (and (not (and (not bool.b19) (not (and (not (and ?v_86 (not (and (not (and ?v_68 ?v_2)) (not (and bool.b17 (not (and (not (and ?v_69 (not (and (not (and ?v_23 (not (and (not (and ?v_70 (not (and ?v_13 (and ?v_14 (and ?v_16 ?v_21)))))) (not (and ?v_10 ?v_17)))))) (not (and ?v_4 (not (and (not (and ?v_71 (not (and ?v_18 (not (and ?v_14 (and ?v_15 (not (and ?v_19 (and ?v_20 (not (and ?v_16 ?v_17)))))))))))) (not (and ?v_13 (not (and ?v_18 (not (and ?v_14 (and ?v_15 (not (and ?v_19 (and ?v_20 ?v_21)))))))))))))))))) (not (and ?v_22 (not (and (not (and ?v_23 (not (and (not (and bool.b24 ?v_88)) (not (and ?v_65 (not (and (not (and ?v_72 (not (and (not (and ?v_62 (not (and ?v_14 (and ?v_73 (not (and ?v_43 ?v_83))))))) (not (and ?v_39 (not (and (not (and ?v_40 ?v_49)) (not (and ?v_14 (not (and (not (and ?v_43 (not (and (not (and ?v_44 (not (and ?v_45 (and ?v_46 (not (and ?v_47 (not (and (not (and ?v_48 (not (and ?v_30 (not (and ?v_32 ?v_49)))))) (not (and ?v_50 ?v_49))))))))))) (not (and ?v_51 ?v_49)))))) (not (and ?v_15 (not (and (not (and ?v_52 (not (and ?v_53 (not (and ?v_31 (not (and ?v_54 (not (and ?v_55 (not (and (not (and ?v_56 (not ?v_57))) (not (and ?v_58 ?v_60)))))))))))))) (not (and ?v_59 ?v_60)))))))))))))))))) (not (and ?v_61 (not (and ?v_66 (not (and ?v_62 (not (and (not (and ?v_40 (not (and (not (and ?v_43 (not (and ?v_28 (and ?v_30 (not (and ?v_63 (not ?v_64)))))))) (not (and ?v_15 (not (and ?v_30 ?v_64)))))))) (not (and ?v_14 (and ?v_43 ?v_84))))))))))))))))))) (not (and ?v_4 (not (and (not (and ?v_65 (not (and ?v_85 ?v_66)))) (not (and bool.b24 (not (and ?v_18 (not (and ?v_14 (and ?v_15 (not (and ?v_25 (and ?v_67 ?v_19)))))))))))))))))))))))))) (not (and bool.b18 (not (and ?v_87 (not (and ?v_68 (not (and (not (and ?v_69 (not (and (not (and ?v_23 (not (and (not (and ?v_70 (not (and (not (and ?v_71 ?v_49)) (not (and ?v_13 (not (and (not (and ?v_11 ?v_49)) (not (and ?v_67 ?v_49)))))))))) (not (and ?v_10 ?v_49)))))) (not (and ?v_4 (and ?v_15 (not (and (not (and (not ?v_19) ?v_49)) (not (and ?v_16 ?v_49))))))))))) (not (and ?v_22 (not (and (not (and ?v_72 (not (and ?v_73 (not (and ?v_43 (not (and (not (and ?v_25 (not (and ?v_44 (and (not (and (not ?v_45) ?v_79)) (not (and ?v_45 (not (and ?v_46 (not (and ?v_47 (not (and ?v_48 (and (not (and ?v_78 ?v_79)) (not (and ?v_30 (not (and ?v_80 (not (and ?v_63 ?v_81)))))))))))))))))))) (not (and ?v_82 ?v_83)))))))))) (not (and ?v_61 (and ?v_84 ?v_85))))))))))))))))))) (not (and bool.b19 (not (and (not (and bool.b18 ?v_2)) (not (and ?v_86 (not (and ?v_87 (not (and ?v_68 (not (and (not (and ?v_4 ?v_33)) (not (and ?v_23 ?v_88)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
