(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun x1 () Real)
(assert (and (and (exists ((?y1 Real)) (and (or (exists ((?y2 Real)) (and (and (exists ((?y3 Real)) (and (>= (+ (+ (+ (* (- 86) ?y3) (* (- 87) ?y2)) (* (- 20) ?y1)) (* (- 82) x1)) 19) (= (+ (+ (* 10 ?y2) (* 14 ?y1)) (* 25 x1)) 14))) (forall ((?y3 Real)) (or (>= (+ (+ (* (- 57) ?y3) (* 20 ?y2)) (* (- 5) ?y1)) (- 80)) (< (+ (+ (+ (* (- 60) ?y3) (* 53 ?y2)) (* (- 33) ?y1)) (* (- 11) x1)) (- 23))))) (exists ((?y3 Real)) (let ((?v_0 (* (- 51) x1))) (and (or (< (+ (+ (* 32 ?y3) (* 20 ?y2)) ?v_0) (- 50)) (= (+ (+ (* 46 ?y3) (* (- 64) ?y2)) (* (- 4) ?y1)) 50)) (and (< (+ (+ (* 5 ?y2) (* (- 44) ?y1)) (* 75 x1)) (- 86)) (>= (+ (* 28 ?y2) ?v_0) (- 80)))))))) (and (or (= (* (- 98) ?y1) 69) (= (* (- 94) ?y1) 63)) (or (and (> (+ (* (- 30) ?y1) (* 79 x1)) 0) (>= (+ (* 8 ?y1) (* 93 x1)) (- 74))) (not (= (+ (* (- 97) ?y1) (* (- 24) x1)) 15))))) (exists ((?y2 Real)) (exists ((?y3 Real)) (let ((?v_1 (* (- 22) ?y2))) (or (and (or (> (+ (+ (+ (* 72 ?y3) (* (- 35) ?y2)) (* 95 ?y1)) (* 50 x1)) (- 4)) (and (<= (+ (+ (* (- 80) ?y3) (* 9 ?y2)) (* (- 77) x1)) 50) (> (+ (+ (+ (* 34 ?y3) (* (- 14) ?y2)) (* (- 80) ?y1)) (* 19 x1)) (- 6)))) (and (>= (+ (* (- 73) ?y3) ?v_1) (- 2)) (and (= (+ (* (- 8) ?y2) (* 92 x1)) 0) (>= (+ (* (- 82) ?y3) (* 7 ?y2)) 88)))) (or (and (not (= (+ (+ ?v_1 (* (- 69) ?y1)) (* (- 49) x1)) (- 4))) (< (+ (+ (* 65 ?y3) (* (- 71) ?y1)) (* 62 x1)) (- 65))) (or (and (>= (+ (+ (* 62 ?y3) (* (- 91) ?y2)) (* (- 7) ?y1)) (- 92)) (> (+ (+ (+ (* 75 ?y3) (* (- 43) ?y2)) (* (- 85) ?y1)) (* (- 91) x1)) (- 42))) (or (= (+ (* (- 76) ?y3) (* (- 6) ?y1)) 20) (> (+ (+ (+ (* (- 74) ?y3) (* 73 ?y2)) (* (- 10) ?y1)) (* 64 x1)) 0)))))))))) (forall ((?y1 Real)) (exists ((?y3 Real)) (or (and (and (and (= (+ (* (- 91) ?y1) (* 22 x1)) 0) (> (+ (* 46 ?y1) (* 26 x1)) 0)) (and (and (< (+ (* (- 38) ?y3) (* 83 ?y1)) 88) (not (= (+ (+ (* (- 23) ?y3) (* (- 74) ?y1)) (* 96 x1)) 95))) (< (+ (+ (* 46 ?y3) (* 15 ?y1)) (* (- 26) x1)) 40))) (and (and (not (= (+ (+ (* 75 ?y3) (* (- 2) ?y1)) (* 95 x1)) 30)) (not (= (+ (+ (* (- 71) ?y3) (* 94 ?y1)) (* 69 x1)) (- 66)))) (and (= (* 79 ?y1) 8) (>= (+ (+ (* (- 40) ?y3) (* (- 8) ?y1)) (* 61 x1)) 76)))) (and (or (or (not (= (+ (+ (* (- 26) ?y3) (* 61 ?y1)) (* 2 x1)) (- 90))) (< (+ (* (- 75) ?y3) (* 48 ?y1)) (- 86))) (<= (+ (* 31 ?y1) (* 72 x1)) 0)) (and (not (= (+ (* 44 ?y1) (* (- 50) x1)) 0)) (or (>= (* (- 51) ?y3) (- 47)) (= (+ (+ (* (- 63) ?y3) (* 96 ?y1)) (* (- 32) x1)) 0)))))))) (or (or (exists ((?y1 Real)) (forall ((?y2 Real)) (or (and (or (and (forall ((?y3 Real)) (<= (+ (+ (+ (* (- 20) ?y3) (* 38 ?y2)) (* (- 61) ?y1)) (* 93 x1)) (- 91))) (or (>= (+ (* (- 75) ?y1) (* (- 53) x1)) (- 23)) (= (+ (+ (* (- 33) ?y2) (* (- 68) ?y1)) (* (- 79) x1)) 0))) (and (not (= (* (- 98) ?y2) 0)) (> (+ (* 33 ?y2) (* 35 ?y1)) (- 70)))) (forall ((?y3 Real)) (or (and (not (= (+ (+ (* 77 ?y2) (* 98 ?y1)) (* (- 82) x1)) (- 54))) (= (+ (+ (+ (* (- 18) ?y3) (* (- 30) ?y2)) (* 82 ?y1)) (* (- 100) x1)) (- 25))) (> (+ (+ (+ (* 23 ?y3) (* (- 82) ?y2)) (* (- 24) ?y1)) (* (- 67) x1)) 32)))) (and (forall ((?y3 Real)) (or (>= (+ (+ (+ (* 67 ?y3) (* 4 ?y2)) (* (- 25) ?y1)) (* 59 x1)) 82) (and (<= (* (- 33) ?y1) (- 31)) (>= (+ (+ (* 65 ?y3) (* (- 30) ?y2)) (* (- 98) x1)) (- 2))))) (forall ((?y3 Real)) (not (= (+ (+ (* 75 ?y3) (* (- 62) ?y2)) (* 24 ?y1)) 33))))))) (exists ((?y1 Real)) (forall ((?y3 Real)) (or (or (and (or (= (+ (+ (* (- 17) ?y3) (* 99 ?y1)) (* (- 48) x1)) (- 33)) (< (+ (+ (* 4 ?y3) (* 45 ?y1)) (* (- 13) x1)) (- 17))) (<= (+ (* (- 1) ?y1) (* 53 x1)) (- 79))) (or (or (not (= (+ (+ (* 78 ?y3) (* 98 ?y1)) (* (- 51) x1)) 53)) (not (= (* 25 ?y3) 0))) (or (>= (+ (+ (* (- 13) ?y3) (* (- 78) ?y1)) (* 24 x1)) (- 41)) (> (+ (* 71 ?y3) (* (- 42) ?y1)) (- 61))))) (or (or (> (+ (* 14 ?y1) (* (- 76) x1)) 0) (and (< (* (- 93) ?y1) 79) (> (+ (+ (* (- 96) ?y3) (* 73 ?y1)) (* (- 53) x1)) 14))) (and (and (>= (+ (* 14 ?y3) (* 76 x1)) 40) (> (* 75 x1) 11)) (and (>= (+ (* (- 10) ?y3) (* (- 74) x1)) (- 5)) (> (+ (+ (* 59 ?y3) (* 2 ?y1)) (* 23 x1)) 23)))))))) (forall ((?y1 Real)) (and (and (and (exists ((?y3 Real)) (and (or (<= (* 3 x1) (- 78)) (<= (+ (* (- 98) ?y3) (* 6 ?y1)) 0)) (< (+ (+ (* 27 ?y3) (* (- 80) ?y1)) (* (- 16) x1)) (- 68)))) (exists ((?y3 Real)) (or (< (+ (* 5 ?y3) (* (- 70) ?y1)) 97) (>= (+ (+ (* 61 ?y3) (* (- 74) ?y1)) (* (- 3) x1)) (- 92))))) (exists ((?y3 Real)) (and (or (> (+ (+ (* (- 11) ?y3) (* (- 78) ?y1)) (* 70 x1)) (- 21)) (= (+ (* 85 ?y3) (* (- 79) ?y1)) (- 25))) (and (and (>= (+ (+ (* (- 31) ?y3) (* (- 65) ?y1)) (* (- 60) x1)) 79) (>= (+ (* (- 3) ?y3) (* (- 24) ?y1)) 37)) (> (* 7 x1) (- 87)))))) (forall ((?y2 Real)) (or (exists ((?y3 Real)) (and (or (or (not (= (+ (+ (+ (* (- 85) ?y3) (* (- 20) ?y2)) (* 12 ?y1)) (* (- 34) x1)) 3)) (< (+ (+ (* (- 42) ?y3) (* 25 ?y1)) (* (- 20) x1)) 0)) (or (not (= (+ (* 43 ?y2) (* 69 ?y1)) 51)) (> (+ (+ (+ (* 56 ?y3) (* (- 1) ?y2)) (* (- 4) ?y1)) (* (- 29) x1)) 48))) (or (< (+ (+ (* (- 27) ?y3) (* 71 ?y2)) (* (- 42) ?y1)) 4) (or (not (= (+ (+ (* 92 ?y3) (* 74 ?y1)) (* 55 x1)) (- 69))) (= (+ (+ (* 61 ?y3) (* (- 26) ?y2)) (* (- 51) x1)) 0))))) (or (and (and (and (<= (* 78 ?y2) 92) (= (+ (* 89 ?y2) (* 50 ?y1)) (- 40))) (exists ((?y3 Real)) (> (+ (+ (* (- 10) ?y3) (* (- 100) ?y1)) (* 88 x1)) (- 87)))) (forall ((?y3 Real)) (> (+ (+ (* (- 90) ?y2) (* (- 18) ?y1)) (* 19 x1)) (- 79)))) (or (> (+ (* 23 ?y2) (* (- 65) ?y1)) 0) (and (and (<= (* (- 94) ?y2) 38) (> (* 6 ?y1) 0)) (< (+ (+ (* 15 ?y2) (* (- 60) ?y1)) (* (- 55) x1)) (- 71))))))))))))
(check-sat)
(exit)
