(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun x1 () Real)
(declare-fun y1 () Real)
(assert (or (and (and (and (exists ((?y2 Real)) (or (forall ((?y3 Real)) (or (or (< (+ (* 77 ?y3) (* 34 x1)) 79) (< (+ (* 51 ?y3) (* (- 12) ?y2)) (- 53))) (and (not (= (* (- 25) x1) 0)) (< (* 90 ?y2) (- 56))))) (or (exists ((?y3 Real)) (not (= (+ (* (- 94) ?y2) (* 90 x1)) (- 54)))) (and (<= (+ (* (- 28) ?y2) (* 4 x1)) 62) (exists ((?y3 Real)) (>= (+ (+ (* (- 83) ?y3) (* (- 2) ?y2)) (* 78 x1)) 34)))))) (forall ((?y1 Real)) (forall ((?y2 Real)) (and (or (or (= (+ (* (- 64) ?y1) (* (- 1) x1)) 12) (>= (+ (* (- 27) ?y2) (* 39 x1)) 0)) (and (< (+ (* 20 ?y1) (* (- 51) x1)) 25) (not (= (+ (+ (* (- 61) ?y2) (* 58 ?y1)) (* (- 69) x1)) (- 91))))) (or (or (> (+ (* (- 35) ?y2) (* (- 78) ?y1)) (- 49)) (< (+ (* (- 77) ?y2) (* (- 81) x1)) 22)) (and (= (+ (* (- 55) ?y1) (* (- 71) x1)) 51) (<= (* (- 2) ?y1) 0))))))) (or (and (forall ((?y1 Real)) (exists ((?y2 Real)) (forall ((?y3 Real)) (and (>= (+ (* (- 42) ?y2) (* (- 88) ?y1)) 0) (not (= (+ (* 94 ?y3) (* (- 41) ?y2)) 20)))))) (exists ((?y1 Real)) (forall ((?y2 Real)) (exists ((?y3 Real)) (or (or (<= (+ (+ (* 79 ?y3) (* 1 ?y1)) (* (- 72) x1)) 5) (not (= (+ (+ (* 42 ?y3) (* 4 ?y1)) (* 51 x1)) 84))) (not (= (+ (* (- 58) ?y2) (* (- 13) ?y1)) (- 1)))))))) (or (and (or (= (* 21 x1) (- 18)) (>= (* 76 x1) 0)) (or (>= (* (- 79) x1) 61) (>= (* (- 32) x1) (- 26)))) (and (and (or (>= (* (- 44) x1) 58) (not (= (* (- 68) x1) (- 93)))) (forall ((?y3 Real)) (>= (* (- 14) x1) 91))) (forall ((?y2 Real)) (and (and (> (* (- 65) x1) 74) (>= (+ (* 27 ?y2) (* (- 84) x1)) (- 68))) (and (>= (+ (* 11 ?y2) (* (- 77) x1)) 0) (< (+ (* (- 67) ?y2) (* (- 42) x1)) 88)))))))) (forall ((?y1 Real)) (exists ((?y2 Real)) (exists ((?y3 Real)) (let ((?v_0 (* 74 ?y2)) (?v_2 (* 66 ?y1)) (?v_1 (* (- 1) ?y1))) (or (and (or (or (and (>= (+ (* (- 8) ?y3) (* 15 ?y1)) 61) (< (+ (+ (* 12 ?y3) (* (- 29) ?y2)) (* 71 ?y1)) 1)) (and (>= (+ (+ (* 68 ?y3) (* 64 ?y2)) (* (- 14) ?y1)) (- 47)) (not (= (+ (+ (* 7 ?y2) (* (- 32) ?y1)) (* 2 x1)) (- 42))))) (or (or (not (= (+ (+ (* (- 80) ?y3) (* 79 ?y2)) (* 45 x1)) 48)) (<= (+ (+ (* 46 ?y3) (* (- 47) ?y2)) (* 14 x1)) 38)) (and (< (+ (* 41 ?y2) (* 90 ?y1)) 0) (<= (+ (+ (+ (* (- 91) ?y3) (* (- 55) ?y2)) (* 63 ?y1)) (* 38 x1)) 35)))) (or (and (and (>= (+ (* (- 78) ?y3) (* 11 ?y1)) 25) (= (* 66 ?y3) 0)) (< (+ (+ ?v_0 (* 65 ?y1)) (* 23 x1)) (- 80))) (and (or (<= (+ (+ (* 23 ?y2) ?v_1) (* 73 x1)) (- 19)) (= (+ (+ (* 49 ?y3) (* 42 ?y1)) (* 50 x1)) 0)) (and (not (= (+ (* 34 ?y1) (* 28 x1)) (- 66))) (<= (+ ?v_0 ?v_1) (- 73)))))) (or (and (<= (+ (* (- 63) ?y3) (* (- 4) ?y2)) (- 28)) (= (+ (+ (* (- 98) ?y3) (* 87 ?y1)) (* 13 x1)) 0)) (and (not (= (+ (+ (+ (* 47 ?y3) (* 73 ?y2)) ?v_2) (* (- 15) x1)) 72)) (>= (+ (+ (* 77 ?y3) ?v_2) (* 82 x1)) 10))))))))) (exists ((?y1 Real)) (forall ((?y2 Real)) (let ((?v_3 (* 11 ?y2))) (and (forall ((?y3 Real)) (let ((?v_4 (* 11 ?y3)) (?v_8 (* 48 ?y2)) (?v_6 (* 60 x1)) (?v_5 (* (- 77) ?y2)) (?v_7 (* (- 41) ?y3))) (or (or (and (or (and (= (+ (+ (+ (* 84 ?y3) ?v_5) (* (- 44) ?y1)) (* 67 x1)) 0) (> (+ (+ (+ (* (- 36) ?y3) (* (- 46) ?y2)) (* 8 ?y1)) (* 86 x1)) 33)) (or (> (+ (+ (+ (* (- 79) ?y3) (* (- 71) ?y2)) (* 84 ?y1)) (* (- 88) x1)) 0) (>= (+ (+ (* (- 100) ?y3) (* 90 ?y2)) (* 34 ?y1)) 7))) (or (or (< (+ (* (- 82) ?y2) (* (- 30) x1)) 40) (> (+ (+ (+ ?v_7 (* (- 5) ?y2)) (* (- 53) ?y1)) (* (- 10) x1)) 57)) (or (>= (+ (+ (+ (* 18 ?y3) (* (- 87) ?y2)) (* 79 ?y1)) (* 70 x1)) 16) (> (+ (+ (* (- 64) ?y3) (* (- 37) ?y2)) (* (- 3) x1)) 0)))) (and (or (and (not (= (+ (+ (+ (* (- 74) ?y3) (* (- 73) ?y2)) (* 26 ?y1)) (* 26 x1)) (- 6))) (<= (+ (+ (+ (* 40 ?y3) (* (- 81) ?y2)) (* 75 ?y1)) (* (- 47) x1)) (- 19))) (and (< (+ (+ (* 46 ?y2) (* 90 ?y1)) (* (- 66) x1)) 94) (>= (+ (+ (+ (* (- 83) ?y3) (* (- 74) ?y2)) (* 42 ?y1)) (* (- 31) x1)) (- 86)))) (or (and (> (* (- 45) ?y2) 0) (> (+ (+ (* (- 69) ?y3) (* (- 86) ?y1)) (* (- 92) x1)) 0)) (< (+ (+ (* 16 ?y3) (* (- 18) ?y2)) (* (- 92) ?y1)) (- 32))))) (and (and (and (= (+ (+ ?v_4 (* 75 ?y2)) (* 6 x1)) 57) (= (+ (+ (+ (* (- 90) ?y3) ?v_8) (* (- 94) ?y1)) (* (- 48) x1)) (- 45))) (and (and (>= (+ (+ (* 67 ?y3) (* (- 21) ?y1)) (* (- 29) x1)) (- 8)) (> (+ (+ ?v_4 (* (- 84) ?y2)) (* 15 ?y1)) 36)) (and (>= ?v_6 34) (not (= (+ (+ (* (- 65) ?y3) ?v_5) (* (- 76) ?y1)) 75))))) (and (or (and (> (+ (+ (* 70 ?y2) (* (- 93) ?y1)) ?v_6) 0) (not (= (+ (+ (* (- 85) ?y2) (* (- 51) ?y1)) (* (- 13) x1)) 0))) (and (<= (+ (* (- 78) ?y2) (* (- 72) x1)) (- 7)) (> (+ (+ (* 3 ?y3) (* (- 48) ?y1)) (* 96 x1)) 0))) (or (or (= (* 71 ?y1) 0) (<= (+ (+ (+ ?v_7 ?v_8) (* 22 ?y1)) (* (- 91) x1)) 44)) (>= (+ (+ (+ (* 27 ?y3) (* (- 24) ?y2)) (* 89 ?y1)) (* (- 93) x1)) (- 17)))))))) (or (and (or (and (>= (* 99 ?y2) (- 32)) (> (+ (* 47 ?y2) (* (- 90) x1)) (- 33))) (or (= (+ (* (- 19) ?y2) (* (- 70) x1)) 5) (> (+ (* (- 97) ?y2) (* (- 82) ?y1)) 0))) (and (and (> (+ (* (- 54) ?y1) (* (- 87) x1)) 51) (or (> (+ (+ (* (- 11) ?y2) (* 77 ?y1)) (* 59 x1)) 77) (>= (+ (* (- 68) ?y2) (* (- 73) ?y1)) 46))) (or (or (< (+ (+ (* 53 ?y2) (* (- 60) ?y1)) (* 2 x1)) (- 86)) (>= (+ (* (- 63) ?y1) (* (- 52) x1)) 1)) (and (< (+ (+ (* (- 12) ?y2) (* 38 ?y1)) (* (- 20) x1)) 79) (>= (* 34 ?y1) 0))))) (and (or (and (and (< (+ ?v_3 (* (- 28) ?y1)) 37) (not (= (+ (+ (* (- 54) ?y2) (* 51 ?y1)) (* 57 x1)) (- 46)))) (or (>= (+ (+ (* 39 ?y2) (* (- 55) ?y1)) (* (- 33) x1)) 0) (>= (+ (+ (* (- 96) ?y2) (* (- 35) ?y1)) (* 44 x1)) 0))) (or (= (* (- 73) x1) 50) (< (* (- 2) ?y2) 0))) (and (and (or (= (+ (+ (* 59 ?y2) (* 12 ?y1)) (* (- 15) x1)) (- 24)) (<= (+ (+ (* 55 ?y2) (* (- 16) ?y1)) (* (- 49) x1)) (- 96))) (>= (+ (+ (* (- 74) ?y2) (* 31 ?y1)) (* 83 x1)) (- 95))) (and (and (>= (+ (+ ?v_3 (* 76 ?y1)) (* (- 2) x1)) 0) (not (= (+ (+ (* (- 32) ?y2) (* 91 ?y1)) (* 91 x1)) 0))) (and (not (= (+ (* 29 ?y2) (* (- 11) x1)) 0)) (> (+ (* (- 82) ?y2) (* 50 x1)) (- 70)))))))))))))
(check-sat)
(exit)
