(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun x1 () Real)
(assert (forall ((?y1 Real)) (and (exists ((?y2 Real)) (let ((?v_0 (* (- 91) x1))) (and (exists ((?y3 Real)) (let ((?v_1 (* 79 ?y3))) (and (and (or (and (< (+ (* (- 76) ?y1) (* (- 47) x1)) (- 2)) (= (+ (+ ?v_1 (* 90 ?y2)) (* (- 59) ?y1)) 93)) (and (< (+ (+ (+ (* 28 ?y3) (* 56 ?y2)) (* 13 ?y1)) (* 49 x1)) (- 98)) (<= (+ (+ (+ (* (- 67) ?y3) (* (- 8) ?y2)) (* (- 71) ?y1)) (* 75 x1)) (- 9)))) (or (and (> (+ (* 62 ?y3) (* (- 51) x1)) 65) (< (+ (+ ?v_1 (* 80 ?y2)) (* (- 35) x1)) (- 89))) (or (>= (+ (+ (* (- 47) ?y2) (* 82 ?y1)) (* 45 x1)) 0) (not (= (+ (+ (* (- 23) ?y3) (* 63 ?y2)) (* (- 49) ?y1)) 0))))) (and (or (>= (+ (+ (* (- 5) ?y3) (* 83 ?y2)) (* 72 x1)) 22) (>= (+ (+ (+ (* (- 15) ?y3) (* 32 ?y2)) (* 78 ?y1)) (* 7 x1)) (- 17))) (and (and (>= (+ (+ (+ (* (- 19) ?y3) (* (- 94) ?y2)) (* (- 73) ?y1)) (* (- 28) x1)) 0) (= (+ (* 6 ?y2) (* (- 37) x1)) 39)) (and (< (+ (* 25 ?y3) (* (- 41) ?y1)) (- 44)) (> (+ (+ (* (- 90) ?y2) (* 10 ?y1)) (* 66 x1)) (- 19)))))))) (or (or (and (and (and (<= (+ (+ (* 30 ?y2) (* (- 35) ?y1)) (* 39 x1)) 0) (> (* 38 ?y1) 38)) (and (not (= (+ (* 36 ?y1) ?v_0) 65)) (not (= (+ (* (- 54) ?y2) (* (- 100) ?y1)) 59)))) (= (+ (+ (* 86 ?y2) (* (- 41) ?y1)) (* (- 55) x1)) 6)) (or (or (< (+ (* 75 ?y2) (* 46 x1)) 88) (not (= (+ (+ (* 50 ?y2) (* 34 ?y1)) (* 20 x1)) 93))) (or (<= (+ (* (- 25) ?y1) (* 44 x1)) (- 73)) (> (+ (+ (* 98 ?y2) (* (- 78) ?y1)) (* (- 78) x1)) 0)))) (or (or (and (and (>= (* (- 58) ?y1) 0) (> (+ (+ (* 3 ?y2) (* 61 ?y1)) (* 84 x1)) 41)) (or (not (= (+ (* (- 93) ?y2) ?v_0) (- 52))) (< (+ (+ (* 47 ?y2) (* (- 77) ?y1)) (* 77 x1)) 13))) (and (> (+ (* (- 94) ?y2) (* 3 ?y1)) 0) (< (+ (* (- 31) ?y1) (* (- 17) x1)) 0))) (or (>= (+ (* (- 71) ?y1) (* 97 x1)) 0) (< (+ (* (- 63) ?y1) (* 88 x1)) (- 77)))))))) (or (forall ((?y2 Real)) (or (and (or (exists ((?y3 Real)) (or (or (= (+ (+ (* (- 74) ?y3) (* 23 ?y2)) (* 25 ?y1)) (- 91)) (not (= (+ (+ (+ (* 49 ?y3) (* (- 29) ?y2)) (* 90 ?y1)) (* (- 32) x1)) (- 21)))) (and (> (+ (+ (+ (* (- 41) ?y3) (* (- 20) ?y2)) (* (- 16) ?y1)) (* 80 x1)) 0) (>= (+ (+ (* 36 ?y3) (* (- 36) ?y2)) (* 60 ?y1)) (- 38))))) (forall ((?y3 Real)) (or (or (>= (+ (+ (* 3 ?y3) (* 2 ?y2)) (* 72 x1)) (- 8)) (= (+ (+ (* (- 25) ?y2) (* 43 ?y1)) (* (- 31) x1)) 92)) (and (<= (+ (+ (+ (* 52 ?y3) (* 39 ?y2)) (* 44 ?y1)) (* (- 94) x1)) (- 16)) (>= (+ (+ (* (- 61) ?y2) (* 67 ?y1)) (* 79 x1)) (- 83)))))) (exists ((?y3 Real)) (or (or (or (>= (+ (+ (+ (* (- 28) ?y3) (* 65 ?y2)) (* 23 ?y1)) (* 27 x1)) 55) (= (+ (+ (+ (* (- 69) ?y3) (* 5 ?y2)) (* (- 86) ?y1)) (* 32 x1)) (- 25))) (or (>= (+ (+ (* 85 ?y3) (* 30 ?y2)) (* 72 x1)) (- 95)) (not (= (+ (* 58 ?y3) (* 99 ?y1)) 78)))) (or (and (>= (+ (+ (* 25 ?y2) (* 53 ?y1)) (* (- 76) x1)) (- 20)) (< (* (- 85) ?y3) 91)) (or (< (+ (+ (* (- 79) ?y3) (* 44 ?y1)) (* 5 x1)) (- 80)) (<= (+ (+ (+ (* 81 ?y3) (* (- 76) ?y2)) (* 87 ?y1)) (* (- 23) x1)) (- 70))))))) (forall ((?y3 Real)) (and (and (and (and (not (= (+ (+ (* 96 ?y3) (* 57 ?y2)) (* (- 96) ?y1)) 36)) (< (+ (* (- 5) ?y2) (* (- 70) x1)) 0)) (and (<= (+ (+ (+ (* (- 20) ?y3) (* (- 29) ?y2)) (* 66 ?y1)) (* (- 90) x1)) 23) (< (+ (+ (+ (* 49 ?y3) (* (- 60) ?y2)) (* 82 ?y1)) (* 91 x1)) (- 20)))) (or (and (> (+ (+ (* 30 ?y2) (* 39 ?y1)) (* (- 99) x1)) 0) (not (= (+ (+ (* 20 ?y3) (* 10 ?y1)) (* (- 1) x1)) (- 21)))) (and (>= (+ (* 87 ?y2) (* (- 88) ?y1)) (- 17)) (< (+ (+ (* 27 ?y3) (* 18 ?y2)) (* (- 20) ?y1)) (- 20))))) (or (or (or (> (+ (+ (* (- 75) ?y3) (* 95 ?y1)) (* (- 42) x1)) 0) (not (= (+ (+ (+ (* 39 ?y3) (* (- 83) ?y2)) (* (- 55) ?y1)) (* 42 x1)) (- 27)))) (and (> (* 64 x1) 0) (= (+ (+ (* 70 ?y3) (* 75 ?y2)) (* 82 x1)) 20))) (or (or (= (+ (+ (* 60 ?y3) (* 23 ?y1)) (* 94 x1)) (- 61)) (> (+ (+ (+ (* (- 16) ?y3) (* (- 59) ?y2)) (* (- 83) ?y1)) (* (- 11) x1)) 0)) (or (< (+ (* (- 15) ?y3) (* (- 90) ?y2)) 0) (< (+ (+ (+ (* (- 53) ?y3) (* 25 ?y2)) (* 5 ?y1)) (* (- 28) x1)) 0)))))))) (or (or (or (or (= (+ (* (- 45) ?y1) (* 28 x1)) 60) (>= (+ (* 52 ?y1) (* (- 79) x1)) 37)) (or (>= (+ (* (- 32) ?y1) (* (- 62) x1)) 0) (= (* 27 ?y1) 21))) (and (or (and (or (<= (+ (* (- 37) ?y1) (* (- 72) x1)) (- 6)) (not (= (+ (* 61 ?y1) (* 22 x1)) 29))) (forall ((?y3 Real)) (<= (+ (+ (* 1 ?y3) (* 18 ?y1)) (* (- 78) x1)) 0))) (exists ((?y3 Real)) (and (< (+ (+ (* 90 ?y3) (* 40 ?y1)) (* (- 44) x1)) (- 83)) (= (+ (+ (* (- 85) ?y3) (* (- 96) ?y1)) (* 6 x1)) 96)))) (or (forall ((?y3 Real)) (>= (+ (+ (* 13 ?y3) (* 60 ?y1)) (* (- 4) x1)) (- 71))) (>= (* (- 37) x1) 0)))) (forall ((?y2 Real)) (and (and (and (or (> (* (- 35) ?y2) 35) (forall ((?y3 Real)) (< (+ (+ (* (- 77) ?y3) (* 62 ?y2)) (* (- 98) x1)) (- 32)))) (exists ((?y3 Real)) (and (<= (+ (+ (+ (* (- 95) ?y3) (* (- 85) ?y2)) (* (- 74) ?y1)) (* (- 23) x1)) (- 97)) (> (+ (+ (* (- 33) ?y3) (* (- 68) ?y2)) (* 29 x1)) 0)))) (forall ((?y3 Real)) (and (or (< (+ (+ (+ (* 16 ?y3) (* 42 ?y2)) (* (- 10) ?y1)) (* (- 83) x1)) 0) (<= (+ (* (- 51) ?y1) (* (- 18) x1)) 5)) (and (<= (+ (+ (* 36 ?y2) (* (- 81) ?y1)) (* 7 x1)) 86) (= (+ (+ (* 31 ?y2) (* 40 ?y1)) (* (- 71) x1)) (- 16)))))) (forall ((?y3 Real)) (and (or (> (+ (* 52 ?y3) (* 57 ?y1)) (- 55)) (< (+ (+ (* 14 ?y3) (* 72 ?y2)) (* (- 80) ?y1)) 4)) (or (or (<= (+ (* (- 73) ?y1) (* (- 29) x1)) 44) (not (= (+ (+ (+ (* (- 92) ?y3) (* (- 37) ?y2)) (* 64 ?y1)) (* (- 9) x1)) (- 93)))) (and (> (+ (+ (* (- 19) ?y3) (* 86 ?y2)) (* (- 39) x1)) (- 90)) (> (+ (+ (* 91 ?y3) (* 59 ?y2)) (* (- 72) ?y1)) (- 33)))))))))))))
(check-sat)
(exit)
