(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun x1 () Real)
(declare-fun y4 () Real)
(assert (or (exists ((?y1 Real)) (forall ((?y2 Real)) (forall ((?y3 Real)) (let ((?v_12 (* 46 ?y3)) (?v_5 (* 28 ?y2)) (?v_16 (* 50 x1)) (?v_11 (* 32 x1)) (?v_19 (* 76 ?y1)) (?v_8 (* 37 ?y1)) (?v_21 (* 10 x1)) (?v_0 (* (- 36) ?y2)) (?v_2 (* (- 25) ?y1)) (?v_7 (* (- 38) ?y1)) (?v_6 (* (- 58) ?y2)) (?v_1 (* (- 37) x1)) (?v_9 (* (- 1) ?y2)) (?v_15 (* (- 54) ?y2)) (?v_22 (* (- 35) ?y1)) (?v_13 (* (- 5) x1)) (?v_3 (* (- 30) x1)) (?v_10 (* (- 84) x1)) (?v_14 (* (- 57) ?y2)) (?v_4 (* (- 83) ?y2)) (?v_17 (* (- 63) x1)) (?v_18 (* (- 70) ?y3)) (?v_20 (* (- 55) ?y3))) (or (or (and (or (and (and (>= (+ (+ (+ (* 24 ?y3) ?v_0) ?v_2) (* (- 80) x1)) 4) (not (= (+ (+ (+ (* (- 9) ?y3) (* (- 26) ?y2)) ?v_7) (* (- 92) x1)) 12))) (or (< (+ (+ (* (- 11) ?y3) ?v_6) (* (- 60) ?y1)) 0) (> (+ (+ (* 94 ?y3) (* 94 ?y2)) ?v_1) 0))) (or (or (< (+ (+ (+ ?v_12 ?v_9) (* 67 ?y1)) (* 57 x1)) 0) (< (+ (+ (+ (* (- 48) ?y3) ?v_5) (* (- 59) ?y1)) ?v_16) 22)) (and (> (+ (+ (* (- 29) ?y3) ?v_15) (* 15 ?y1)) 0) (not (= (+ (+ (+ (* 5 ?y3) (* (- 65) ?y2)) ?v_22) (* (- 91) x1)) 6))))) (or (or (or (> (+ (+ ?v_0 (* 31 ?y1)) ?v_13) 69) (not (= (+ (+ (+ (* (- 8) ?y3) (* 4 ?y2)) (* (- 62) ?y1)) (* 18 x1)) 93))) (or (< (+ (+ (* 41 ?y3) (* (- 21) ?y2)) (* (- 14) ?y1)) 64) (or (not (= (+ (+ (* 11 ?y3) (* 5 ?y2)) ?v_3) 0)) (> (+ (+ (* 34 ?y3) (* (- 37) ?y2)) (* (- 80) ?y1)) 14)))) (or (and (and (= (+ (+ (* 68 ?y3) (* (- 63) ?y2)) (* 49 ?y1)) (- 30)) (< (+ (+ (* 80 ?y2) (* (- 52) ?y1)) (* (- 24) x1)) 13)) (>= (+ (* 90 ?y2) ?v_1) (- 98))) (or (or (<= (+ (+ (+ (* 43 ?y3) (* 76 ?y2)) (* (- 82) ?y1)) (* 68 x1)) 6) (= (+ (+ (* 1 ?y2) (* 5 ?y1)) (* (- 64) x1)) 27)) (> (+ (+ (* (- 60) ?y3) (* (- 41) ?y2)) (* 93 ?y1)) 0))))) (and (or (and (and (and (<= (+ (+ (* (- 100) ?y3) (* (- 9) ?y2)) ?v_10) 0) (= (+ (+ ?v_14 (* 71 ?y1)) ?v_11) (- 33))) (and (= (+ (+ (* (- 21) ?y3) (* 58 ?y1)) (* (- 54) x1)) 15) (> (+ (+ (* 95 ?y2) ?v_2) (* (- 49) x1)) (- 19)))) (and (or (not (= (+ (* (- 47) ?y1) (* 51 x1)) 17)) (= (+ (+ (+ (* (- 43) ?y3) (* (- 93) ?y2)) (* 10 ?y1)) (* 20 x1)) (- 57))) (or (<= (+ (+ (* 79 ?y3) ?v_19) (* 30 x1)) 0) (= (+ ?v_8 ?v_3) 15)))) (and (and (and (not (= (+ (+ ?v_4 (* 83 ?y1)) (* 91 x1)) 0)) (<= (+ (+ (+ (* 69 ?y3) (* (- 53) ?y2)) (* (- 28) ?y1)) (* 31 x1)) 0)) (and (< (+ (+ (* 7 ?y3) (* 21 ?y2)) (* (- 21) ?y1)) (- 62)) (>= (+ (+ (* (- 18) ?y3) (* 93 ?y2)) (* 17 x1)) (- 35)))) (or (or (> (+ (* (- 75) ?y3) ?v_4) 47) (< (+ (+ (* (- 40) ?y2) (* 27 ?y1)) (* 28 x1)) (- 98))) (or (>= (+ (+ (* 86 ?y3) (* (- 35) ?y2)) ?v_17) 0) (= (+ (* 58 ?y2) (* 84 x1)) 69))))) (or (or (and (= (+ (+ (* (- 83) ?y3) (* 80 ?y1)) (* 46 x1)) 0) (<= (+ (* 37 ?y2) (* (- 12) x1)) 62)) (or (= (+ (+ (* (- 95) ?y3) (* (- 77) ?y1)) (* 76 x1)) 0) (>= (* (- 6) x1) 79))) (or (and (or (< (+ ?v_5 (* (- 36) ?y1)) (- 29)) (>= (+ (+ (+ (* 17 ?y3) ?v_6) (* 95 ?y1)) (* (- 51) x1)) 0)) (<= (* (- 59) ?y2) (- 1))) (and (< (+ (* 68 ?y2) (* (- 33) ?y1)) (- 35)) (>= (+ (+ (* (- 96) ?y3) (* 47 ?y2)) (* (- 23) ?y1)) (- 62))))))) (or (or (and (and (and (or (= (+ (* (- 39) ?y2) (* 45 x1)) (- 36)) (<= (+ ?v_7 (* 22 x1)) 0)) (or (<= (* 83 ?y2) 0) (< (+ (+ (* 30 ?y2) ?v_8) (* (- 15) x1)) 16))) (or (or (<= (+ (+ (* (- 66) ?y3) ?v_9) (* (- 90) ?y1)) 0) (= (+ (+ (+ (* 9 ?y3) (* 87 ?y2)) (* 30 ?y1)) (* 29 x1)) (- 60))) (and (< (+ (+ (* (- 90) ?y3) (* 34 ?y1)) ?v_10) (- 68)) (> (+ (+ ?v_18 (* 53 ?y1)) (* (- 50) x1)) 17)))) (or (and (and (<= (+ (+ (* (- 35) ?y3) (* (- 96) ?y2)) (* (- 40) x1)) 6) (< (+ (+ (+ (* 73 ?y3) (* (- 82) ?y2)) (* (- 55) ?y1)) ?v_11) 73)) (or (> (+ ?v_12 (* 21 x1)) 83) (= (+ (+ (* 88 ?y2) (* 88 ?y1)) (* (- 70) x1)) (- 72)))) (or (not (= (+ (+ ?v_20 (* 73 ?y1)) (* 8 x1)) 42)) (and (> (+ (+ (* 3 ?y3) (* (- 70) ?y2)) (* (- 55) x1)) 59) (not (= (+ (* 91 ?y1) ?v_13) 0)))))) (or (and (and (or (> (+ (+ ?v_14 (* 69 ?y1)) (* 100 x1)) (- 28)) (< (+ (+ (+ (* 35 ?y3) (* (- 23) ?y2)) (* 9 ?y1)) (* 14 x1)) (- 56))) (or (= (+ (+ (* 60 ?y2) (* (- 37) ?y1)) (* 6 x1)) 0) (> (+ (+ (* 40 ?y3) ?v_15) ?v_16) (- 76)))) (<= (+ (+ (* (- 13) ?y3) (* 79 ?y1)) (* (- 95) x1)) 0)) (or (= (+ (+ (+ (* (- 85) ?y3) (* 56 ?y2)) (* (- 9) ?y1)) (* 13 x1)) 6) (not (= (+ (+ (+ (* (- 82) ?y3) (* (- 32) ?y2)) (* 62 ?y1)) ?v_21) 0))))) (and (and (or (or (< (+ (+ (* 74 ?y3) (* 18 ?y2)) ?v_17) 0) (and (>= (+ (+ ?v_18 (* (- 87) ?y2)) ?v_19) 46) (< (+ (+ (* 42 ?y3) (* (- 75) ?y2)) (* 63 x1)) 58))) (forall ((?y4 Real)) (or (and (= (+ (+ (* (- 4) ?y4) (* (- 14) ?y3)) (* 95 x1)) 0) (= (+ (+ (+ (* (- 1) ?y4) (* (- 94) ?y3)) (* 16 ?y2)) (* 89 ?y1)) 0)) (> (+ (+ (+ (* (- 5) ?y4) (* (- 90) ?y3)) (* 12 ?y1)) (* 83 x1)) 29)))) (and (>= (+ (+ ?v_20 (* 16 ?y2)) ?v_21) 49) (< (+ (+ (+ (* 27 ?y3) (* 45 ?y2)) ?v_22) (* 97 x1)) (- 71)))) (forall ((?y4 Real)) (let ((?v_23 (* 95 x1))) (or (and (> (+ (+ (+ (+ (* (- 91) ?y4) (* (- 38) ?y3)) (* 29 ?y2)) (* (- 98) ?y1)) (* 75 x1)) 48) (<= (+ (+ (+ (* (- 79) ?y4) (* 34 ?y2)) (* 75 ?y1)) ?v_23) (- 67))) (or (or (>= (+ (+ (+ (* 63 ?y4) (* (- 44) ?y3)) (* (- 4) ?y2)) (* (- 98) x1)) (- 11)) (>= (+ (+ (+ (* 5 ?y4) (* 98 ?y3)) (* (- 76) ?y2)) ?v_23) 25)) (and (>= (+ (+ (+ (* (- 22) ?y4) (* 9 ?y3)) (* (- 72) ?y2)) (* 53 x1)) (- 11)) (> (+ (+ (* (- 87) ?y4) (* 49 ?y1)) (* 39 x1)) 74))))))))))))) (or (and (or (or (and (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (or (and (<= (+ (* (- 75) ?y4) (* (- 74) ?y3)) 0) (not (= (+ (+ (+ (* 67 ?y4) (* 99 ?y3)) (* 89 ?y2)) (* (- 93) x1)) (- 46)))) (and (= (+ (+ (* 81 ?y4) (* (- 32) ?y3)) (* (- 4) x1)) (- 96)) (< (+ (+ (+ (* 7 ?y4) (* (- 92) ?y3)) (* (- 24) ?y2)) (* 76 x1)) 1)))))) (or (exists ((?y2 Real)) (and (forall ((?y4 Real)) (not (= (+ (* (- 56) ?y4) (* (- 80) x1)) 42))) (or (exists ((?y3 Real)) (= (+ (* (- 85) ?y3) (* 82 ?y2)) 48)) (exists ((?y3 Real)) (< (+ (* 72 ?y2) (* (- 88) x1)) 34))))) (or (forall ((?y2 Real)) (and (and (< (+ (* 4 ?y2) (* 79 x1)) 34) (>= (* 47 ?y2) (- 74))) (exists ((?y3 Real)) (<= (+ (+ (* 28 ?y3) (* (- 41) ?y2)) (* (- 84) x1)) 0)))) (or (exists ((?y2 Real)) (< (+ (* 18 ?y2) (* 28 x1)) 16)) (forall ((?y2 Real)) (or (>= (+ (* 98 ?y2) (* 88 x1)) 0) (>= (* (- 91) ?y2) 0))))))) (and (forall ((?y2 Real)) (or (forall ((?y3 Real)) (and (< (+ (* 84 ?y3) (* 33 ?y2)) 0) (= (+ (* 60 ?y3) (* 75 ?y2)) 0))) (and (and (and (<= (+ (* 59 ?y2) (* 12 x1)) (- 72)) (<= (* 26 x1) 0)) (and (> (+ (* 52 ?y2) (* 8 x1)) 14) (>= (+ (* (- 95) ?y2) (* 4 x1)) 76))) (and (or (< (+ (* 76 ?y2) (* (- 97) x1)) 97) (not (= (+ (* 55 ?y2) (* 100 x1)) 0))) (exists ((?y3 Real)) (>= (+ (+ (* 59 ?y3) (* (- 58) ?y2)) (* 43 x1)) (- 35))))))) (or (exists ((?y2 Real)) (forall ((?y3 Real)) (> (+ (* 35 ?y3) (* (- 75) x1)) (- 46)))) (forall ((?y2 Real)) (or (exists ((?y3 Real)) (> (+ (+ (* (- 22) ?y3) (* (- 22) ?y2)) (* 96 x1)) 0)) (exists ((?y3 Real)) (and (>= (+ (+ (* (- 29) ?y3) (* 36 ?y2)) (* (- 86) x1)) 0) (not (= (+ (* 91 ?y2) (* 77 x1)) 0))))))))) (forall ((?y2 Real)) (and (exists ((?y3 Real)) (exists ((?y4 Real)) (and (or (and (<= (+ (+ (* 21 ?y3) (* 30 ?y2)) (* (- 80) x1)) 45) (= (+ (+ (+ (* 71 ?y4) (* (- 83) ?y3)) (* 19 ?y2)) (* 28 x1)) 42)) (and (not (= (+ (+ (* 11 ?y4) (* (- 99) ?y3)) (* (- 77) x1)) 0)) (> (+ (* 65 ?y2) (* (- 61) x1)) (- 64)))) (and (and (<= (+ (+ (* 51 ?y4) (* 54 ?y2)) (* 62 x1)) 57) (< (+ (+ (+ (* 73 ?y4) (* (- 11) ?y3)) (* (- 77) ?y2)) (* 25 x1)) (- 95))) (and (not (= (* (- 19) ?y4) 0)) (= (+ (+ (+ (* 50 ?y4) (* 75 ?y3)) (* 10 ?y2)) (* 15 x1)) (- 39))))))) (or (or (<= (* 74 x1) (- 7)) (< (+ (* 60 ?y2) (* (- 75) x1)) 0)) (and (and (>= (* 84 ?y2) 0) (= (* (- 27) x1) 42)) (or (= (+ (* (- 16) ?y2) (* (- 97) x1)) (- 57)) (> (+ (* (- 58) ?y2) (* 70 x1)) 26))))))) (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (let ((?v_25 (* 76 x1)) (?v_26 (* 97 ?y4)) (?v_27 (* 5 ?y2)) (?v_24 (* (- 18) ?y4))) (or (and (or (and (not (= (+ (+ (* 69 ?y4) (* 72 ?y3)) (* 14 x1)) 45)) (< (+ (+ (+ (* 99 ?y4) (* 3 ?y3)) (* (- 44) ?y2)) ?v_25) (- 38))) (or (not (= (+ (+ (+ ?v_26 (* 98 ?y3)) (* (- 56) ?y2)) (* (- 40) x1)) 96)) (<= (+ (+ (* (- 37) ?y4) (* (- 14) ?y3)) (* (- 84) ?y2)) 29))) (and (> (+ (+ (+ ?v_24 (* (- 70) ?y3)) (* 60 ?y2)) (* (- 61) x1)) 68) (<= (+ (+ (+ (* (- 95) ?y4) (* (- 42) ?y3)) (* (- 4) ?y2)) (* 67 x1)) (- 51)))) (and (and (or (or (= (+ (+ (+ ?v_24 (* 51 ?y3)) (* (- 90) ?y2)) (* (- 8) x1)) 42) (= (+ (+ (+ (* (- 10) ?y4) (* (- 11) ?y3)) (* (- 46) ?y2)) ?v_25) 75)) (<= (+ (* (- 8) ?y4) (* 41 ?y2)) 47)) (or (and (= (+ (+ (+ (* (- 88) ?y4) (* (- 3) ?y3)) ?v_27) (* 75 x1)) 9) (<= (+ (+ ?v_26 (* 10 ?y2)) (* 83 x1)) 57)) (or (<= (+ (+ (* (- 5) ?y4) (* 66 ?y3)) (* 36 x1)) 39) (<= (+ (+ (* (- 54) ?y4) (* (- 10) ?y3)) ?v_27) 54)))) (and (or (or (not (= (+ (+ (* (- 40) ?y4) (* 25 ?y3)) (* 91 ?y2)) 20)) (> (+ (* 7 ?y3) (* 88 x1)) 95)) (<= (+ (+ (* (- 14) ?y4) (* 22 ?y3)) (* 1 x1)) 53)) (or (>= (+ (* 45 ?y3) (* 43 ?y2)) (- 2)) (or (< (+ (* (- 10) ?y2) (* 71 x1)) (- 14)) (<= (+ (* 60 ?y3) (* (- 24) ?y2)) 0))))))))))) (and (exists ((?y1 Real)) (exists ((?y2 Real)) (or (and (or (exists ((?y4 Real)) (or (>= (+ (+ (+ (* (- 30) ?y4) (* 48 ?y2)) (* (- 70) ?y1)) (* 52 x1)) 70) (<= (+ (+ (+ (* 27 ?y4) (* (- 94) ?y2)) (* 1 ?y1)) (* (- 8) x1)) 47))) (forall ((?y4 Real)) (and (and (not (= (+ (+ (* 29 ?y4) (* 43 ?y2)) (* (- 30) ?y1)) 0)) (= (+ (+ (* (- 25) ?y2) (* 3 ?y1)) (* (- 87) x1)) 39)) (and (< (+ (+ (* 58 ?y4) (* (- 81) ?y1)) (* 27 x1)) (- 2)) (>= (+ (+ (+ (* 40 ?y4) (* (- 15) ?y2)) (* (- 36) ?y1)) (* 69 x1)) 0))))) (or (and (forall ((?y3 Real)) (and (<= (+ (+ (* 19 ?y2) (* 32 ?y1)) (* (- 48) x1)) 0) (exists ((?y4 Real)) (= (+ (+ (* (- 69) ?y2) (* 48 ?y1)) (* (- 19) x1)) (- 58))))) (forall ((?y3 Real)) (or (not (= (+ (+ (* (- 83) ?y2) (* 44 ?y1)) (* (- 59) x1)) 35)) (<= (+ (* 31 ?y1) (* 37 x1)) 0)))) (or (or (exists ((?y3 Real)) (and (not (= (+ (+ (* (- 45) ?y3) (* 47 ?y2)) (* 54 ?y1)) (- 21))) (= (+ (+ (+ (* 31 ?y3) (* (- 61) ?y2)) (* (- 51) ?y1)) (* 19 x1)) 0))) (or (or (> (+ (+ (* (- 28) ?y2) (* (- 4) ?y1)) (* 72 x1)) 0) (<= (+ (* (- 53) ?y2) (* 69 ?y1)) (- 13))) (and (<= (+ (+ (* 15 ?y2) (* 38 ?y1)) (* (- 58) x1)) 38) (not (= (+ (+ (* 82 ?y2) (* (- 97) ?y1)) (* (- 76) x1)) 96))))) (or (forall ((?y4 Real)) (= (+ (+ (* (- 60) ?y4) (* 92 ?y1)) (* (- 79) x1)) (- 9))) (forall ((?y4 Real)) (not (= (+ (* 51 ?y2) (* (- 6) ?y1)) (- 88)))))))) (forall ((?y4 Real)) (let ((?v_28 (* (- 67) ?y1))) (and (or (or (not (= (+ (+ (* (- 60) ?y4) (* 97 ?y1)) (* (- 59) x1)) (- 39))) (>= (+ (+ (+ (* 59 ?y4) (* 18 ?y2)) (* 47 ?y1)) (* (- 68) x1)) 94)) (and (<= (+ (+ (+ (* 81 ?y4) (* (- 67) ?y2)) (* (- 11) ?y1)) (* 23 x1)) 17) (= (+ (+ (+ (* 41 ?y4) (* 90 ?y2)) ?v_28) (* (- 32) x1)) 0))) (or (and (< (+ (* 90 ?y4) (* (- 2) x1)) 1) (and (< (+ (+ (* 95 ?y4) (* (- 35) ?y2)) (* 18 x1)) 46) (<= (+ (+ (* (- 69) ?y2) (* (- 3) ?y1)) (* (- 10) x1)) (- 87)))) (or (= (+ (+ (* 68 ?y4) (* (- 19) ?y2)) ?v_28) (- 97)) (= (+ (* 86 ?y4) (* (- 20) ?y2)) 80))))))))) (exists ((?y1 Real)) (or (exists ((?y2 Real)) (exists ((?y4 Real)) (let ((?v_30 (* (- 24) x1)) (?v_29 (* (- 25) ?y2))) (and (and (or (and (= (+ (+ (* (- 32) ?y4) ?v_29) (* (- 20) ?y1)) 12) (not (= (+ (+ (* (- 69) ?y4) (* (- 22) ?y2)) (* (- 99) ?y1)) (- 100)))) (and (< (+ (+ (+ (* 90 ?y4) (* 20 ?y2)) (* (- 98) ?y1)) (* (- 95) x1)) (- 23)) (not (= (+ (* 76 ?y4) (* (- 12) ?y1)) 80)))) (or (or (<= (+ (+ (+ (* (- 33) ?y4) (* (- 94) ?y2)) (* (- 3) ?y1)) (* 97 x1)) 0) (> (+ (+ (* 7 ?y2) (* (- 69) ?y1)) (* 87 x1)) (- 100))) (or (<= (+ (+ (* 49 ?y4) ?v_29) (* 62 x1)) (- 33)) (< (+ (+ (+ (* (- 40) ?y4) (* (- 76) ?y2)) (* (- 92) ?y1)) (* 35 x1)) (- 71))))) (or (or (< (+ (* (- 40) ?y2) ?v_30) 34) (> (+ (+ (* 52 ?y4) (* (- 67) ?y2)) ?v_30) (- 84))) (and (and (= (+ (+ (* (- 75) ?y4) (* 67 ?y2)) (* (- 35) ?y1)) 63) (> (+ (* 25 ?y4) (* 41 ?y2)) 98)) (> (+ (+ (+ (* 97 ?y4) (* 53 ?y2)) (* (- 5) ?y1)) (* 45 x1)) 21))))))) (exists ((?y2 Real)) (and (forall ((?y3 Real)) (and (and (or (< (+ (* (- 75) ?y3) (* (- 65) x1)) (- 80)) (< (+ (+ (* (- 24) ?y2) (* (- 68) ?y1)) (* 76 x1)) (- 23))) (and (<= (+ (+ (+ (* 49 ?y3) (* (- 49) ?y2)) (* 44 ?y1)) (* 6 x1)) 0) (= (+ (+ (+ (* (- 45) ?y3) (* 44 ?y2)) (* 100 ?y1)) (* 24 x1)) 15))) (and (or (< (+ (+ (* 75 ?y3) (* 86 ?y2)) (* 28 x1)) 43) (< (* (- 12) ?y2) (- 11))) (or (<= (+ (+ (* 85 ?y3) (* 90 ?y2)) (* (- 56) x1)) 60) (>= (+ (* 34 ?y2) (* 100 x1)) 0))))) (forall ((?y3 Real)) (or (and (exists ((?y4 Real)) (and (<= (+ (* 21 ?y3) (* (- 62) ?y1)) 71) (> (+ (+ (+ (+ (* 26 ?y4) (* 66 ?y3)) (* (- 4) ?y2)) (* (- 78) ?y1)) (* 14 x1)) (- 75)))) (forall ((?y4 Real)) (or (= (+ (+ (* 88 ?y3) (* 56 ?y2)) (* 21 x1)) 0) (= (+ (+ (* (- 50) ?y4) (* (- 23) ?y3)) (* 83 x1)) 17)))) (exists ((?y4 Real)) (and (> (+ (+ (+ (* 47 ?y4) (* (- 26) ?y2)) (* (- 93) ?y1)) (* 4 x1)) (- 22)) (and (not (= (+ (+ (+ (* 75 ?y4) (* (- 55) ?y3)) (* 81 ?y2)) (* (- 67) x1)) (- 21))) (> (+ (+ (* 52 ?y4) (* 87 ?y3)) (* (- 40) ?y1)) 48))))))))))))))
(check-sat)
(exit)
