(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status sat)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun x1 () Real)
(assert (forall ((?y3 Real)) (or (exists ((?y4 Real)) (let ((?v_17 (* 5 ?y3)) (?v_3 (* 9 ?y3)) (?v_1 (* 77 ?y4)) (?v_9 (* 88 ?y3)) (?v_2 (* 53 x1)) (?v_13 (* 66 ?y4)) (?v_10 (* 54 ?y4)) (?v_16 (* 71 ?y4)) (?v_0 (* (- 68) ?y3)) (?v_4 (* (- 49) ?y4)) (?v_7 (* (- 56) ?y3)) (?v_6 (* (- 28) x1)) (?v_11 (* (- 73) ?y3)) (?v_14 (* (- 94) ?y3)) (?v_5 (* (- 14) ?y3)) (?v_8 (* (- 89) ?y4)) (?v_12 (* (- 69) x1)) (?v_15 (* (- 79) x1))) (or (or (and (or (and (>= (+ ?v_17 (* 1 x1)) 34) (or (>= (+ (+ (* 99 ?y4) ?v_0) (* 49 x1)) 91) (not (= (+ (+ ?v_4 (* 12 ?y3)) (* (- 75) x1)) (- 4))))) (and (or (>= (+ (+ (* (- 17) ?y4) (* 4 ?y3)) (* 7 x1)) 91) (> (+ (+ (* (- 26) ?y4) ?v_3) (* 87 x1)) (- 88))) (and (= (+ (* 26 ?y4) (* 64 ?y3)) 93) (> (* (- 80) ?y3) (- 1))))) (and (and (> (+ ?v_1 (* (- 96) x1)) (- 96)) (not (= (+ (+ (* (- 75) ?y4) ?v_9) (* (- 16) x1)) 63))) (and (not (= (+ (* (- 50) ?y4) (* 4 x1)) 3)) (> (+ (+ (* (- 67) ?y4) ?v_7) (* (- 22) x1)) 0)))) (and (and (and (<= (+ (+ (* (- 72) ?y4) (* (- 37) ?y3)) ?v_6) 56) (not (= (+ (* 63 ?y3) ?v_2) 84))) (or (> (* (- 84) ?y4) 0) (<= (+ (+ (* (- 57) ?y4) ?v_0) (* 3 x1)) (- 34)))) (or (or (and (not (= (+ (* 39 ?y4) (* 78 ?y3)) 0)) (not (= (+ (* (- 92) ?y4) (* 54 ?y3)) (- 97)))) (and (and (> (+ ?v_11 (* 35 x1)) 0) (not (= (* (- 99) x1) 18))) (and (not (= ?v_14 51)) (> (+ (* 32 ?y4) (* (- 18) ?y3)) 39)))) (and (and (and (>= (+ (* 62 ?y4) (* 89 x1)) 46) (> (+ (* 5 ?y4) (* (- 48) ?y3)) 0)) (not (= (+ (+ ?v_1 (* (- 27) ?y3)) (* 46 x1)) 83))) (or (or (> (+ (+ ?v_13 ?v_5) (* (- 10) x1)) 0) (not (= (+ (* (- 16) ?y4) (* 15 x1)) 36))) (and (> ?v_2 (- 69)) (> (+ (* (- 34) ?y4) (* 12 x1)) 0))))))) (or (or (or (or (and (and (> (+ (+ (* 13 ?y4) (* 29 ?y3)) (* 48 x1)) 36) (< (* 25 ?y3) (- 11))) (or (not (= (+ (+ ?v_8 ?v_3) (* 97 x1)) 57)) (= (+ (* 85 ?y3) (* (- 89) x1)) 0))) (and (<= (+ (+ ?v_4 ?v_5) (* 40 x1)) 0) (< (+ (+ (* (- 2) ?y4) (* (- 25) ?y3)) (* 99 x1)) 85))) (or (>= (* 52 ?y3) (- 32)) (and (> (+ (* (- 91) ?y4) (* (- 19) ?y3)) 38) (>= (+ (+ (* (- 21) ?y4) (* (- 53) ?y3)) (* (- 76) x1)) 64)))) (and (or (and (< ?v_12 88) (and (not (= (+ (* (- 99) ?y3) (* (- 74) x1)) (- 51))) (< (+ (+ (* 51 ?y4) (* (- 97) ?y3)) (* (- 63) x1)) 0))) (and (and (<= (* 67 ?y3) (- 88)) (= (+ (+ (* (- 63) ?y4) (* (- 34) ?y3)) (* 41 x1)) 89)) (and (= (+ (+ (* (- 28) ?y4) ?v_3) (* (- 51) x1)) 35) (<= (+ (+ ?v_10 (* (- 65) ?y3)) ?v_6) 59)))) (or (or (< (+ (+ (* (- 62) ?y4) ?v_7) (* 56 x1)) 10) (and (> (* (- 83) ?y4) 0) (>= (+ (+ ?v_8 ?v_9) (* (- 93) x1)) 40))) (or (or (> (+ (+ ?v_16 (* 69 ?y3)) ?v_15) (- 60)) (> (+ (+ ?v_10 (* 6 ?y3)) (* 72 x1)) 51)) (and (<= (+ (* 20 ?y4) (* 31 x1)) 2) (= (+ (+ (* (- 29) ?y4) (* (- 90) ?y3)) (* (- 19) x1)) 0)))))) (or (or (and (= (+ (+ (* (- 61) ?y4) (* 48 ?y3)) (* (- 54) x1)) 26) (and (> (+ (+ (* (- 14) ?y4) (* 7 ?y3)) (* 85 x1)) 29) (< (+ (* (- 50) ?y3) (* (- 65) x1)) 22))) (or (and (or (= (+ (+ (* 96 ?y4) (* (- 15) ?y3)) (* (- 57) x1)) (- 10)) (>= (* (- 52) ?y3) 55)) (or (= (+ (+ (* (- 25) ?y4) ?v_11) ?v_12) (- 85)) (= (+ (* (- 44) ?y4) (* 66 ?y3)) (- 100)))) (or (and (> (* (- 38) x1) 72) (>= (+ (+ ?v_13 ?v_14) ?v_15) (- 86))) (or (> (+ (+ ?v_16 ?v_17) (* 11 x1)) (- 48)) (> (+ (+ (* 24 ?y4) (* (- 88) ?y3)) (* 83 x1)) (- 21)))))) (and (= (* (- 21) x1) 24) (or (< (+ (* 75 ?y4) (* 16 ?y3)) 0) (>= (* 58 x1) (- 23))))))))) (forall ((?y4 Real)) (let ((?v_18 (* 97 ?y3)) (?v_19 (* (- 82) ?y3)) (?v_20 (* (- 33) x1))) (or (or (or (<= (+ (* 11 ?y4) (* 65 ?y3)) (- 31)) (or (not (= (+ (+ (* (- 82) ?y4) (* 28 ?y3)) (* 95 x1)) (- 82))) (< (+ (+ (* 81 ?y4) (* 75 ?y3)) (* (- 61) x1)) 73))) (or (or (and (not (= (+ (+ (* 40 ?y4) ?v_18) (* 73 x1)) 90)) (= (+ (+ (* 88 ?y4) (* (- 98) ?y3)) (* (- 93) x1)) 0)) (or (<= (+ (* 77 ?y4) (* 25 ?y3)) 38) (= (+ (+ (* (- 27) ?y4) (* 16 ?y3)) (* (- 54) x1)) (- 31)))) (and (or (not (= (* (- 83) ?y3) (- 12))) (<= (+ (* 55 ?y3) (* (- 80) x1)) (- 52))) (or (>= (+ (+ (* (- 31) ?y4) ?v_18) (* (- 58) x1)) 25) (>= (+ (+ (* 24 ?y4) ?v_19) (* (- 11) x1)) (- 8)))))) (or (and (and (and (or (and (<= (+ (* 74 ?y4) (* (- 92) x1)) (- 25)) (> (+ (* 76 ?y4) (* 98 x1)) 0)) (or (>= (+ (* (- 8) ?y3) (* 67 x1)) 94) (= (+ (* 43 ?y4) (* (- 22) ?y3)) 0))) (or (<= (+ (* 39 ?y4) (* 61 x1)) 0) (>= (+ (+ (* 66 ?y4) (* 71 ?y3)) (* 19 x1)) 91))) (or (= (+ (* (- 60) ?y4) (* (- 45) ?y3)) 0) (and (or (<= (+ (+ (* 1 ?y4) (* 86 ?y3)) (* 70 x1)) 74) (= (+ (* (- 77) ?y3) (* 2 x1)) 0)) (or (<= (+ (+ (* 62 ?y4) (* (- 94) ?y3)) (* 4 x1)) (- 70)) (<= (* (- 41) x1) 83))))) (or (and (and (or (not (= (+ ?v_19 ?v_20) (- 3))) (< (+ (+ (* (- 4) ?y4) (* (- 42) ?y3)) (* 65 x1)) 70)) (< (* 100 ?y3) 85)) (or (>= (+ (+ (* (- 3) ?y4) (* 93 ?y3)) (* 31 x1)) 0) (<= (+ (* (- 49) ?y3) (* (- 26) x1)) 75))) (or (or (or (not (= (+ (+ (* 87 ?y4) (* 32 ?y3)) (* (- 52) x1)) (- 45))) (< (+ (+ (* 33 ?y4) (* 62 ?y3)) (* (- 89) x1)) 49)) (and (>= (+ (* 58 ?y4) (* 8 ?y3)) 28) (<= (+ (* 28 ?y4) ?v_20) 80))) (and (= (+ (* (- 30) ?y4) (* 37 ?y3)) (- 78)) (>= (+ (* (- 71) ?y4) (* (- 20) ?y3)) 82))))) (or (or (or (= (* 74 x1) 29) (> (+ (+ (* (- 37) ?y4) (* (- 92) ?y3)) (* 18 x1)) 0)) (and (<= (+ (+ (* 67 ?y4) (* (- 29) ?y3)) (* (- 100) x1)) (- 25)) (not (= (+ (+ (* (- 83) ?y4) (* 50 ?y3)) (* 25 x1)) 0)))) (and (= (+ (+ (* 35 ?y4) (* (- 39) ?y3)) (* (- 60) x1)) 63) (or (>= (+ (* 25 ?y4) (* 52 x1)) 46) (> (+ (* 80 ?y4) (* 94 ?y3)) 63)))))))))))
(check-sat)
(exit)
