(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y1 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun x1 () Real)
(assert (forall ((?y1 Real)) (let ((?v_0 (* (- 77) ?y1))) (or (forall ((?y3 Real)) (exists ((?y4 Real)) (let ((?v_6 (* 45 x1)) (?v_5 (* 33 ?y1)) (?v_12 (* 17 ?y3)) (?v_11 (* 10 x1)) (?v_19 (* 25 ?y4)) (?v_9 (* 64 x1)) (?v_3 (* 86 ?y4)) (?v_7 (* 15 ?y3)) (?v_14 (* 69 ?y4)) (?v_15 (* 28 x1)) (?v_18 (* 86 ?y3)) (?v_21 (* 11 ?y1)) (?v_1 (* (- 47) ?y4)) (?v_4 (* (- 10) ?y3)) (?v_13 (* (- 22) ?y4)) (?v_10 (* (- 38) ?y1)) (?v_17 (* (- 92) ?y1)) (?v_2 (* (- 39) ?y4)) (?v_16 (* (- 26) ?y4)) (?v_8 (* (- 24) ?y1)) (?v_20 (* (- 39) ?y3))) (or (or (or (or (or (or (>= (+ (* (- 26) ?y3) ?v_6) 49) (or (>= (+ (+ (* 82 ?y4) (* 22 ?y3)) (* 22 x1)) 0) (> (+ (+ (+ ?v_1 ?v_4) ?v_5) (* 29 x1)) 5))) (< (+ (+ (+ ?v_13 ?v_12) ?v_10) ?v_11) 61)) (and (or (or (= (+ (+ ?v_19 (* 100 ?y3)) (* (- 48) x1)) 30) (not (= (* 91 ?y1) (- 31)))) (and (= (* 43 ?y1) (- 60)) (not (= (+ (* (- 23) ?y4) (* (- 25) ?y1)) 68)))) (or (= (+ (+ (+ ?v_1 (* (- 78) ?y3)) ?v_17) (* 30 x1)) (- 94)) (not (= (+ (+ (+ (* (- 96) ?y4) (* 13 ?y3)) (* (- 99) ?y1)) ?v_9) 78))))) (and (and (= (* 51 ?y4) (- 60)) (not (= (+ (+ (* (- 92) ?y4) (* 11 ?y3)) (* 84 x1)) 0))) (and (and (and (<= (+ (* (- 100) ?y4) (* 61 x1)) (- 81)) (not (= (+ (+ (+ (* 9 ?y4) (* 76 ?y3)) (* 74 ?y1)) (* (- 88) x1)) 50))) (or (< (+ (+ (+ (* 99 ?y4) (* 90 ?y3)) (* (- 37) ?y1)) (* (- 34) x1)) (- 26)) (>= (+ (+ (+ (* (- 49) ?y4) (* 20 ?y3)) (* (- 60) ?y1)) (* (- 94) x1)) (- 35)))) (and (not (= (+ (+ (* (- 15) ?y4) (* 43 ?y3)) (* (- 35) x1)) 33)) (>= (* 46 ?y1) (- 68)))))) (or (or (and (and (<= (+ (+ ?v_2 (* (- 88) ?y3)) (* (- 6) x1)) 80) (not (= (+ (+ (+ ?v_3 (* 99 ?y3)) (* 100 ?y1)) (* (- 19) x1)) (- 51)))) (< (+ ?v_2 (* (- 38) x1)) (- 47))) (and (< (+ (+ (* (- 95) ?y4) (* (- 54) ?y3)) (* (- 95) ?y1)) (- 17)) (not (= (+ (+ (* (- 36) ?y4) (* (- 52) ?y3)) (* 53 ?y1)) 0)))) (and (or (or (= (+ (+ (* 100 ?y4) (* (- 83) ?y1)) (* (- 82) x1)) (- 94)) (>= (+ (+ ?v_3 (* 80 ?y3)) (* 8 ?y1)) 7)) (or (<= (+ ?v_16 (* 79 ?y3)) 98) (= (+ (* (- 52) ?y4) (* (- 30) ?y1)) 0))) (and (and (>= (+ (+ (+ (* 85 ?y4) ?v_7) (* (- 19) ?y1)) (* 32 x1)) (- 17)) (not (= (+ (+ (+ (* 79 ?y4) ?v_4) ?v_8) (* (- 56) x1)) 42))) (and (not (= (+ (+ (+ (* (- 90) ?y4) (* 1 ?y3)) (* 10 ?y1)) (* 36 x1)) (- 36))) (<= (* (- 57) ?y1) (- 55))))))) (and (and (or (or (or (< (+ (+ (+ ?v_14 (* (- 21) ?y3)) (* (- 64) ?y1)) (* 63 x1)) 0) (>= (+ (+ (+ (* 35 ?y4) (* (- 14) ?y3)) ?v_5) (* (- 10) x1)) (- 17))) (or (or (<= (+ (+ (+ (* 12 ?y4) (* 62 ?y3)) (* 94 ?y1)) ?v_6) 0) (<= (+ (* (- 45) ?y4) (* 93 ?y3)) 0)) (< (+ (+ (* 6 ?y4) (* (- 93) ?y3)) (* (- 53) x1)) 0))) (and (and (or (not (= (+ (+ (+ (* 81 ?y4) (* 48 ?y3)) (* 6 ?y1)) ?v_15) 0)) (< (+ (+ ?v_7 (* (- 85) ?y1)) (* (- 30) x1)) (- 59))) (or (>= (+ (+ (* (- 42) ?y4) (* (- 67) ?y1)) (* 5 x1)) 49) (>= (+ (+ (* 66 ?y4) ?v_8) ?v_9) 0))) (and (or (= (+ (+ (+ (* (- 54) ?y4) (* (- 33) ?y3)) ?v_10) ?v_11) 36) (>= (+ (+ ?v_18 (* 72 ?y1)) (* (- 77) x1)) 10)) (or (<= (+ (+ (+ (* 1 ?y4) (* 49 ?y3)) (* 32 ?y1)) (* (- 78) x1)) 30) (= (+ (+ (* (- 84) ?y4) ?v_12) (* 21 ?y1)) (- 57)))))) (and (or (or (<= ?v_13 (- 55)) (= (* (- 38) ?y4) 0)) (and (= (+ (+ (* 84 ?y4) (* 2 ?y3)) (* (- 27) ?y1)) (- 73)) (not (= (+ (+ (* 49 ?y4) (* (- 28) ?y3)) (* (- 17) x1)) (- 24))))) (or (or (or (< (* (- 49) ?y1) (- 23)) (= (+ (* (- 30) ?y4) ?v_20) (- 39))) (or (< (+ (+ (+ ?v_14 (* (- 16) ?y3)) (* 5 ?y1)) (* 62 x1)) (- 83)) (<= (+ (+ (+ (* (- 58) ?y4) (* 51 ?y3)) (* 98 ?y1)) ?v_15) (- 36)))) (> (+ (+ (* 44 ?y4) (* 75 ?y3)) (* (- 14) ?y1)) 5)))) (and (and (or (and (>= (+ ?v_7 (* 12 x1)) (- 59)) (= (+ (+ (+ (* 91 ?y4) (* 28 ?y3)) ?v_21) (* 40 x1)) (- 97))) (or (and (<= (+ (+ (* 68 ?y3) (* 97 ?y1)) (* (- 61) x1)) 0) (> (+ (+ (* (- 9) ?y4) (* 59 ?y1)) (* 100 x1)) (- 76))) (or (not (= (+ (* (- 12) ?y3) (* (- 99) x1)) 83)) (> (* (- 58) ?y3) (- 4))))) (or (or (and (>= (+ (* 2 ?y4) (* 52 ?y1)) 0) (< (+ (+ ?v_16 (* 3 ?y1)) (* 21 x1)) (- 26))) (or (= (+ (* (- 100) ?y1) (* (- 46) x1)) (- 36)) (> (+ (+ (* 90 ?y4) (* 5 ?y3)) (* 23 ?y1)) 65))) (or (or (> (+ ?v_3 (* 44 ?y1)) (- 40)) (> (+ (+ (* 30 ?y4) (* 7 ?y1)) (* 38 x1)) (- 70))) (or (= (+ (+ (* 96 ?y4) (* (- 18) ?y3)) (* (- 31) x1)) (- 3)) (< (+ (* 50 ?y3) (* 82 ?y1)) 4))))) (or (and (and (<= (+ (+ (* 16 ?y4) (* (- 32) ?y3)) ?v_17) 95) (< (+ ?v_18 (* 29 ?y1)) 0)) (and (> (+ (* 36 ?y3) (* 18 ?y1)) 27) (= (+ (+ (+ ?v_19 ?v_20) ?v_21) (* (- 84) x1)) 0))) (>= (+ (* 89 ?y4) (* 93 x1)) 82)))))))) (or (or (and (or (or (and (and (>= (+ (* 63 ?y1) (* 98 x1)) (- 8)) (> (+ (* 48 ?y1) (* (- 34) x1)) 32)) (and (= (+ (* 24 ?y1) (* 5 x1)) (- 78)) (>= (* 88 ?y1) 0))) (< (* 12 x1) 94)) (exists ((?y4 Real)) (or (or (< (+ (* 98 ?y1) (* 8 x1)) 76) (< (+ (* 83 ?y1) (* (- 86) x1)) (- 2))) (and (and (> (+ (* 5 ?y4) (* (- 100) ?y1)) 24) (<= (+ (* (- 63) ?y4) (* 47 ?y1)) 86)) (or (= (+ (+ (* (- 31) ?y4) (* 4 ?y1)) (* (- 38) x1)) 0) (>= (+ (* (- 98) ?y4) (* (- 51) x1)) (- 44))))))) (and (and (or (and (< (+ (* (- 7) ?y1) (* 17 x1)) (- 44)) (>= (+ (* (- 51) ?y1) (* 84 x1)) (- 35))) (and (<= (+ (* (- 12) ?y1) (* 93 x1)) 24) (= (+ ?v_0 (* 7 x1)) (- 75)))) (and (<= (+ ?v_0 (* 40 x1)) 32) (< (* (- 91) ?y1) (- 44)))) (or (or (or (> (* 79 x1) (- 88)) (>= (+ (* 65 ?y1) (* (- 90) x1)) 0)) (and (<= (+ (* (- 37) ?y1) (* (- 54) x1)) 0) (< (* 54 ?y1) (- 65)))) (and (= (+ (* 6 ?y1) (* (- 83) x1)) (- 79)) (= (+ (* (- 85) ?y1) (* 74 x1)) 0))))) (exists ((?y4 Real)) (let ((?v_22 (* 21 ?y1)) (?v_23 (* 15 ?y1))) (and (and (and (or (= (+ (* (- 48) ?y1) (* 11 x1)) 12) (not (= (+ (+ (* (- 22) ?y4) (* 91 ?y1)) (* (- 24) x1)) 0))) (and (>= (+ (+ (* 42 ?y4) (* 25 ?y1)) (* 23 x1)) (- 62)) (not (= (+ (* (- 38) ?y4) (* 36 x1)) 17)))) (and (or (not (= (+ (+ (* (- 28) ?y4) (* 14 ?y1)) (* (- 36) x1)) 0)) (< (+ (* (- 83) ?y4) (* 35 x1)) (- 59))) (or (> (* 100 x1) (- 22)) (< (+ (* (- 15) ?y4) (* 41 ?y1)) 7)))) (or (and (> (+ (+ (* 67 ?y4) ?v_22) (* 62 x1)) (- 39)) (not (= (* (- 29) x1) 54))) (or (not (= (+ (+ (* (- 73) ?y4) ?v_23) (* 2 x1)) 45)) (or (>= (+ (+ (* 83 ?y4) ?v_22) (* (- 71) x1)) 0) (< (+ ?v_23 (* (- 47) x1)) 25)))))))) (or (and (and (or (exists ((?y4 Real)) (or (and (not (= (+ (+ (* 87 ?y4) (* 48 ?y1)) (* 86 x1)) 63)) (<= (+ (+ (* (- 52) ?y4) (* 32 ?y1)) (* (- 13) x1)) (- 64))) (and (>= (+ (* (- 8) ?y1) (* 98 x1)) 16) (not (= (+ (+ (* (- 18) ?y4) (* 62 ?y1)) (* (- 36) x1)) 54))))) (exists ((?y4 Real)) (= (+ (+ (* (- 46) ?y4) (* (- 80) ?y1)) (* (- 53) x1)) 50))) (and (exists ((?y4 Real)) (and (<= (* (- 56) ?y4) 51) (< (* (- 96) x1) 76))) (and (forall ((?y3 Real)) (and (not (= (+ (+ (* (- 78) ?y3) (* (- 86) ?y1)) (* (- 11) x1)) 39)) (not (= (+ (+ (* 6 ?y3) (* 92 ?y1)) (* 73 x1)) (- 78))))) (or (= (+ (* 59 ?y1) (* 23 x1)) 0) (forall ((?y4 Real)) (> (* (- 22) x1) (- 69))))))) (forall ((?y3 Real)) (or (or (forall ((?y4 Real)) (and (and (<= (+ (+ (+ (* 37 ?y4) (* 7 ?y3)) (* 14 ?y1)) (* 63 x1)) 0) (not (= (+ (+ (* 56 ?y3) (* 58 ?y1)) (* (- 16) x1)) 17))) (and (>= (+ (+ (+ (* (- 60) ?y4) (* 93 ?y3)) (* (- 31) ?y1)) (* 91 x1)) 0) (> (+ (+ (* 80 ?y4) (* (- 77) ?y3)) (* 37 x1)) 92)))) (forall ((?y4 Real)) (or (or (< (+ (+ (* (- 47) ?y4) (* (- 19) ?y3)) (* (- 56) ?y1)) (- 74)) (< (+ (+ (* 17 ?y4) (* 41 ?y3)) (* (- 13) ?y1)) 73)) (and (> (+ (+ (* 65 ?y4) (* 90 ?y1)) (* (- 62) x1)) 65) (< (+ (+ (+ (* 76 ?y4) (* (- 79) ?y3)) (* 51 ?y1)) (* 39 x1)) (- 32)))))) (exists ((?y4 Real)) (and (= (+ (+ (* (- 72) ?y3) (* (- 74) ?y1)) (* 38 x1)) (- 3)) (or (> (+ (+ (* (- 18) ?y3) (* (- 93) ?y1)) (* (- 16) x1)) 96) (= (+ (* 88 ?y4) (* (- 2) ?y3)) 0))))))) (and (forall ((?y3 Real)) (let ((?v_24 (* (- 64) ?y3))) (and (and (or (or (= (+ (* (- 52) ?y1) (* (- 20) x1)) 0) (<= (+ ?v_24 (* 34 x1)) (- 55))) (and (not (= (+ (+ (* (- 61) ?y3) (* (- 100) ?y1)) (* (- 33) x1)) 51)) (> (+ (+ (* (- 42) ?y3) (* 57 ?y1)) (* (- 49) x1)) 0))) (and (and (not (= (+ (+ (* (- 6) ?y3) (* (- 69) ?y1)) (* (- 81) x1)) 75)) (>= (+ (* (- 18) ?y1) (* (- 46) x1)) 31)) (and (<= (+ (+ (* 100 ?y3) (* (- 1) ?y1)) (* 69 x1)) 44) (< (+ (* (- 62) ?y3) (* 45 ?y1)) 0)))) (or (or (or (= (+ (* 35 ?y1) (* 49 x1)) (- 55)) (not (= (+ (+ (* (- 51) ?y3) (* (- 60) ?y1)) (* (- 18) x1)) (- 93)))) (or (<= (+ (+ (* 1 ?y3) (* 93 ?y1)) (* (- 82) x1)) (- 76)) (>= (+ (+ (* 49 ?y3) (* 33 ?y1)) (* 7 x1)) 43))) (or (and (not (= (+ (* 34 ?y3) (* 32 ?y1)) 33)) (< ?v_24 7)) (and (> (* 89 x1) (- 99)) (< (+ (+ (* 41 ?y3) (* 38 ?y1)) (* (- 74) x1)) (- 11)))))))) (or (or (forall ((?y3 Real)) (and (forall ((?y4 Real)) (not (= (* (- 44) x1) (- 67)))) (not (= (+ (+ (* (- 17) ?y3) (* 82 ?y1)) (* 71 x1)) (- 45))))) (forall ((?y3 Real)) (forall ((?y4 Real)) (not (= (+ (+ (* (- 19) ?y3) (* 20 ?y1)) (* (- 50) x1)) 27))))) (forall ((?y3 Real)) (and (<= (* 17 ?y3) 0) (= (+ (* (- 51) ?y3) (* 72 ?y1)) 30)))))))))))
(check-sat)
(exit)
