(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun x1 () Real)
(declare-fun y1 () Real)
(assert (or (and (and (and (exists ((?y2 Real)) (or (forall ((?y3 Real)) (forall ((?y4 Real)) (let ((?v_0 (* 37 ?y3))) (or (and (>= (+ (* 77 ?y4) (* 34 ?y2)) 79) (and (< (+ (+ (* (- 12) ?y4) (* (- 19) ?y2)) (* (- 57) x1)) (- 53)) (= (* (- 27) x1) 51))) (or (and (not (= (+ (+ ?v_0 (* 18 ?y2)) (* 74 x1)) 0)) (<= (+ (+ (* (- 25) ?y4) (* 93 ?y3)) (* 99 ?y2)) 0)) (and (< (+ (+ (+ (* 90 ?y4) ?v_0) (* (- 45) ?y2)) (* 84 x1)) (- 56)) (>= (+ (* 88 ?y2) (* (- 10) x1)) 0))))))) (or (exists ((?y3 Real)) (and (or (not (= (+ (+ (* 30 ?y3) (* 50 ?y2)) (* (- 44) x1)) (- 54))) (<= (+ (* (- 26) ?y2) (* 21 x1)) (- 94))) (>= (+ (+ (* 90 ?y3) (* 27 ?y2)) (* (- 42) x1)) 0))) (and (and (> (+ (* 4 ?y2) (* 21 x1)) 62) (not (= (* (- 36) x1) (- 28)))) (exists ((?y3 Real)) (exists ((?y4 Real)) (and (>= (+ (+ (* (- 2) ?y4) (* (- 39) ?y2)) (* (- 24) x1)) 34) (< (+ (+ (* 78 ?y4) (* 25 ?y2)) (* 96 x1)) (- 83))))))))) (forall ((?y1 Real)) (forall ((?y2 Real)) (and (forall ((?y4 Real)) (or (and (or (= (+ (+ (+ (* (- 64) ?y4) (* (- 63) ?y2)) (* 3 ?y1)) (* 39 x1)) 12) (not (= (+ (+ (* (- 1) ?y4) (* (- 34) ?y1)) (* 91 x1)) 0))) (< (+ (* (- 27) ?y4) (* 39 ?y1)) 0)) (or (>= (+ (* 20 ?y2) (* (- 51) ?y1)) 25) (= (+ (+ (+ (* (- 61) ?y4) (* 58 ?y2)) (* (- 69) ?y1)) (* (- 28) x1)) (- 91))))) (or (forall ((?y4 Real)) (or (and (> (+ (* (- 78) ?y4) (* (- 8) x1)) (- 49)) (< (+ (+ (* (- 17) ?y2) (* 24 ?y1)) (* 82 x1)) (- 35))) (or (< (+ (+ (* 65 ?y2) (* (- 7) ?y1)) (* (- 88) x1)) 22) (>= (+ (+ (* (- 81) ?y4) (* 6 ?y2)) (* (- 41) ?y1)) (- 77))))) (and (forall ((?y4 Real)) (and (= (* (- 55) ?y4) 51) (<= (+ (+ (* (- 71) ?y4) (* 58 ?y2)) (* (- 6) x1)) 0))) (or (forall ((?y4 Real)) (<= (+ (+ (* (- 2) ?y4) (* 96 ?y1)) (* 98 x1)) 0)) (= (* 19 ?y1) 0)))))))) (or (and (forall ((?y1 Real)) (exists ((?y2 Real)) (forall ((?y3 Real)) (and (or (and (>= (+ (+ (* 98 ?y2) (* 92 ?y1)) (* (- 97) x1)) 0) (<= (+ (+ (* (- 45) ?y3) (* (- 94) ?y2)) (* (- 17) x1)) (- 42))) (< (+ (+ (+ (* (- 88) ?y3) (* (- 58) ?y2)) (* 71 ?y1)) (* 29 x1)) 0)) (or (and (not (= (+ (* (- 53) ?y1) (* 60 x1)) 20)) (< (+ (* (- 43) ?y2) (* 61 x1)) (- 41))) (and (< (+ (+ (+ (* (- 53) ?y3) (* 27 ?y2)) (* 76 ?y1)) (* (- 63) x1)) 94) (not (= (+ (+ (* (- 43) ?y3) (* (- 23) ?y2)) (* 10 x1)) 0)))))))) (exists ((?y1 Real)) (forall ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (or (or (> (+ (+ (+ (* 79 ?y4) (* 1 ?y2)) (* (- 72) ?y1)) (* 11 x1)) 5) (= (+ (+ (+ (* 42 ?y4) (* 4 ?y2)) (* 51 ?y1)) (* 30 x1)) 84)) (and (and (= (* 23 ?y3) (- 1)) (<= (+ (* (- 77) ?y1) (* (- 75) x1)) (- 58))) (or (> (+ (+ (* 93 ?y4) (* (- 24) ?y2)) (* (- 37) x1)) 0) (<= (+ (+ (+ (* (- 65) ?y3) (* 7 ?y2)) (* 18 ?y1)) (* (- 19) x1)) (- 13)))))))))) (or (and (or (and (or (= (* (- 52) x1) (- 18)) (not (= (* 74 x1) 0))) (exists ((?y4 Real)) (= (+ (* (- 82) ?y4) (* (- 56) x1)) 21))) (>= (* 75 x1) 76)) (or (forall ((?y4 Real)) (< (+ (* (- 79) ?y4) (* 96 x1)) 61)) (exists ((?y4 Real)) (and (>= (* 93 x1) (- 26)) (< (* 43 x1) (- 32)))))) (and (forall ((?y3 Real)) (forall ((?y4 Real)) (or (>= (+ (+ (* (- 14) ?y4) (* (- 56) ?y3)) (* (- 73) x1)) 91) (> (+ (+ (* 37 ?y4) (* 50 ?y3)) (* (- 50) x1)) 0)))) (forall ((?y2 Real)) (and (and (exists ((?y3 Real)) (or (> (+ (* (- 65) ?y3) (* 27 x1)) 74) (= (+ (+ (* 32 ?y3) (* (- 92) ?y2)) (* (- 78) x1)) 0))) (or (or (>= (* (- 89) ?y2) (- 68)) (= (+ (* (- 65) ?y2) (* (- 56) x1)) (- 84))) (> (* 63 ?y2) 27))) (and (forall ((?y3 Real)) (< (+ (+ (* 11 ?y3) (* (- 77) ?y2)) (* 73 x1)) 0)) (and (forall ((?y3 Real)) (< (+ (+ (* (- 42) ?y3) (* 53 ?y2)) (* (- 42) x1)) 88)) (or (not (= (+ (* 52 ?y2) (* 41 x1)) (- 67))) (> (* (- 43) ?y2) (- 97))))))))))) (forall ((?y1 Real)) (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (let ((?v_2 (* 1 ?y4)) (?v_4 (* 12 ?y2)) (?v_5 (* 68 ?y3)) (?v_3 (* 74 ?y3)) (?v_1 (* 23 ?y1)) (?v_6 (* 12 ?y4)) (?v_8 (* 77 ?y2)) (?v_7 (* 24 ?y3)) (?v_9 (* 86 x1)) (?v_11 (* 62 ?y1)) (?v_10 (* 69 ?y4))) (and (or (and (or (>= (+ (+ (+ ?v_2 (* (- 8) ?y3)) ?v_4) (* (- 29) x1)) 61) (>= (+ (+ (+ (* (- 42) ?y4) ?v_5) (* 64 ?y1)) (* 7 x1)) (- 47))) (and (not (= (+ (+ (+ (+ (* 38 ?y4) (* (- 80) ?y3)) (* 46 ?y2)) (* 79 ?y1)) (* (- 47) x1)) 48)) (< (+ (+ (+ (* 35 ?y4) (* (- 91) ?y2)) (* 41 ?y1)) (* (- 55) x1)) 0))) (and (or (>= (+ (* (- 78) ?y3) (* 66 ?y2)) 25) (>= (+ (+ (+ ?v_3 (* 65 ?y2)) ?v_1) (* (- 28) x1)) (- 80))) (or (<= (+ (* 49 ?y2) ?v_1) (- 19)) (not (= (+ (* (- 73) ?y4) (* 74 x1)) (- 66)))))) (or (or (and (and (and (<= (+ (+ (+ (* (- 18) ?y4) (* 45 ?y2)) (* 33 ?y1)) (* (- 63) x1)) (- 28)) (> (+ (+ (+ ?v_6 (* (- 30) ?y3)) (* 11 ?y1)) (* 91 x1)) 0)) (not (= (+ (+ (* (- 22) ?y4) (* (- 40) ?y2)) (* 78 x1)) (- 4)))) (or (= (+ (+ (+ ?v_2 (* (- 42) ?y3)) ?v_8) (* 37 ?y1)) (- 63)) (>= (+ (+ (+ (* 20 ?y4) ?v_3) (* 42 ?y2)) (* (- 18) x1)) 0))) (and (or (or (= (+ (+ (+ (* 52 ?y4) (* 35 ?y3)) (* 96 ?y1)) (* (- 88) x1)) 0) (>= (+ (+ (+ (* (- 91) ?y4) ?v_7) (* 5 ?y2)) (* (- 98) x1)) 13)) (or (> (+ (+ (+ (+ (* 94 ?y4) (* 3 ?y3)) (* (- 33) ?y2)) (* 55 ?y1)) (* 20 x1)) 0) (<= (+ (+ (+ (+ (* (- 44) ?y4) (* 86 ?y3)) ?v_4) (* (- 9) ?y1)) (* (- 87) x1)) (- 7)))) (and (and (< (+ (+ (+ (+ (* (- 99) ?y4) ?v_5) (* 7 ?y2)) (* (- 65) ?y1)) ?v_9) (- 98)) (not (= (+ (+ (+ (* 78 ?y3) (* 13 ?y2)) (* 94 ?y1)) (* (- 73) x1)) (- 36)))) (and (not (= (+ (+ (+ (+ (* (- 56) ?y4) (* (- 29) ?y3)) (* 27 ?y2)) ?v_11) (* 88 x1)) 87)) (< (+ (+ (* (- 38) ?y3) (* 58 ?y1)) (* (- 23) x1)) 55))))) (or (or (or (and (not (= (+ (+ (+ (+ ?v_6 (* 63 ?y3)) (* (- 57) ?y2)) (* 91 ?y1)) (* (- 77) x1)) 72)) (not (= (+ (+ (+ (* (- 46) ?y4) (* 80 ?y3)) (* 32 ?y2)) (* (- 38) x1)) (- 15)))) (and (< (+ (+ (+ ?v_10 ?v_7) ?v_8) (* 85 ?y1)) 73) (>= (+ (+ (+ (* 28 ?y4) (* 87 ?y3)) (* 82 ?y2)) (* (- 60) ?y1)) 52))) (and (or (<= (+ (+ (+ (* (- 89) ?y4) (* (- 35) ?y3)) (* (- 42) ?y1)) ?v_9) 47) (= (+ (+ (+ (* (- 26) ?y4) (* (- 12) ?y3)) (* (- 28) ?y1)) (* (- 99) x1)) 0)) (and (> (+ (+ (+ (* (- 49) ?y4) (* (- 39) ?y3)) (* (- 77) ?y2)) (* (- 51) ?y1)) 66) (< (+ (+ (+ (* 63 ?y4) (* (- 60) ?y2)) (* (- 54) ?y1)) (* (- 17) x1)) 0)))) (and (and (and (>= (+ (+ (* 67 ?y4) (* (- 61) ?y3)) (* (- 30) ?y2)) 10) (< (+ (+ (+ (* (- 15) ?y3) (* 4 ?y2)) (* (- 84) ?y1)) (* (- 43) x1)) 82)) (<= (+ (+ ?v_10 (* 81 ?y2)) (* (- 10) ?y1)) 0)) (or (or (= (+ (* (- 35) ?y4) (* 28 ?y1)) 77) (>= (+ (* 68 ?y2) (* 5 ?y1)) 4)) (and (not (= (+ (+ (+ (* (- 4) ?y3) (* 2 ?y2)) ?v_11) (* 11 x1)) 66)) (not (= (+ (+ (+ (* 74 ?y4) (* (- 92) ?y3)) (* 48 ?y2)) (* 7 ?y1)) 21)))))))))))))) (exists ((?y1 Real)) (forall ((?y2 Real)) (and (forall ((?y3 Real)) (forall ((?y4 Real)) (let ((?v_23 (* 84 ?y4)) (?v_12 (* 13 x1)) (?v_22 (* 70 x1)) (?v_18 (* 70 ?y3)) (?v_13 (* 75 ?y4)) (?v_14 (* 1 ?y2)) (?v_16 (* 37 ?y1)) (?v_19 (* 60 ?y1)) (?v_17 (* (- 77) ?y3)) (?v_15 (* (- 70) ?y2)) (?v_20 (* (- 100) ?y2)) (?v_21 (* (- 94) ?y2))) (or (and (and (and (or (not (= (+ (+ (+ (+ ?v_23 ?v_17) (* (- 44) ?y2)) (* 67 ?y1)) (* (- 37) x1)) 0)) (<= (+ (+ (+ (+ (* (- 36) ?y4) (* (- 46) ?y3)) (* 8 ?y2)) (* 86 ?y1)) (* (- 42) x1)) 33)) (or (<= (+ (+ (+ (+ (* (- 79) ?y4) (* (- 71) ?y3)) (* 84 ?y2)) (* (- 88) ?y1)) ?v_12) 0) (< (+ (+ (* (- 100) ?y4) (* 90 ?y3)) (* 34 ?y2)) 7))) (and (and (and (< (+ (+ (+ (+ (* (- 82) ?y4) (* (- 30) ?y3)) (* 48 ?y2)) (* (- 92) ?y1)) (* (- 74) x1)) 40) (< (+ (+ (+ (* 11 ?y3) (* 99 ?y2)) (* (- 83) ?y1)) ?v_12) 0)) (and (> (+ (+ (+ (+ (* (- 5) ?y4) (* (- 10) ?y3)) (* (- 42) ?y2)) (* 77 ?y1)) (* 9 x1)) 57) (>= (+ (+ (+ (* (- 53) ?y4) (* 76 ?y3)) (* 94 ?y2)) ?v_22) (- 41)))) (and (and (>= (+ (+ (+ (+ (* (- 87) ?y4) ?v_18) (* (- 38) ?y2)) (* (- 100) ?y1)) (* (- 91) x1)) 16) (> (+ (+ (+ (* 79 ?y4) (* 44 ?y3)) (* (- 36) ?y1)) (* (- 84) x1)) 18)) (<= (+ (+ (+ (* (- 64) ?y4) (* (- 37) ?y3)) (* (- 3) ?y1)) (* 29 x1)) 0)))) (and (or (and (or (not (= (+ (+ (+ (+ (* (- 73) ?y4) (* 26 ?y3)) ?v_15) (* (- 50) ?y1)) (* (- 51) x1)) (- 6))) (>= (+ (+ (+ (* 26 ?y4) (* (- 61) ?y3)) (* (- 79) ?y2)) (* 44 x1)) (- 74))) (and (<= (+ (+ (+ (+ (* (- 81) ?y4) (* (- 47) ?y3)) (* 41 ?y2)) (* (- 45) ?y1)) (* 45 x1)) (- 19)) (< (+ (+ ?v_13 (* (- 10) ?y2)) (* 85 x1)) 40))) (and (or (< (+ (+ (+ (+ (* 46 ?y4) (* (- 66) ?y3)) ?v_14) (* (- 7) ?y1)) (* 16 x1)) 94) (> (+ (+ (+ (* 90 ?y4) (* 30 ?y3)) (* 11 ?y1)) (* (- 31) x1)) 0)) (or (>= (+ (+ (+ (* (- 74) ?y4) (* (- 31) ?y3)) (* 62 ?y2)) (* (- 21) x1)) (- 86)) (< (+ (+ (+ (+ (* 42 ?y4) (* 94 ?y3)) (* (- 96) ?y2)) (* (- 41) ?y1)) (* (- 50) x1)) (- 83))))) (or (or (<= (+ (* (- 45) ?y3) (* (- 40) x1)) 0) (or (> (+ (+ (* (- 92) ?y3) (* (- 73) ?y1)) (* 47 x1)) 0) (> (+ (+ (* (- 86) ?y4) (* (- 37) ?y2)) (* (- 1) ?y1)) (- 69)))) (>= (+ (+ (* 16 ?y4) (* (- 18) ?y3)) (* (- 92) ?y2)) (- 32))))) (and (and (or (and (= (+ (+ (+ ?v_13 (* 6 ?y3)) (* 70 ?y2)) (* (- 39) x1)) 57) (not (= (+ (+ (* (- 63) ?y3) ?v_14) ?v_16) 11))) (and (or (not (= (+ (+ (+ (+ (* (- 48) ?y4) (* (- 26) ?y3)) (* (- 97) ?y2)) (* 54 ?y1)) (* (- 63) x1)) (- 45))) (not (= (+ (+ (* (- 34) ?y4) ?v_15) (* 63 ?y1)) 48))) (and (not (= (+ (+ (+ (* 96 ?y4) (* 9 ?y3)) (* 89 ?y2)) (* 38 x1)) (- 90))) (= (+ (+ (+ (+ (* (- 42) ?y4) (* 19 ?y3)) ?v_20) (* 14 ?y1)) (* 99 x1)) (- 94))))) (or (and (and (>= (* (- 29) ?y3) (- 8)) (< (+ (+ (* (- 21) ?y4) (* (- 90) ?y3)) (* (- 52) x1)) 67)) (and (> (* (- 84) ?y4) 36) (= (+ (+ (+ (* 15 ?y4) (* (- 79) ?y3)) (* (- 68) ?y2)) ?v_16) 11))) (or (< (+ ?v_19 (* (- 66) x1)) 34) (= (+ (+ (+ (* (- 65) ?y4) ?v_17) (* (- 76) ?y2)) (* (- 77) x1)) 75)))) (or (or (or (<= (+ (+ (+ ?v_18 (* (- 93) ?y2)) ?v_19) (* 60 x1)) 0) (= (+ (+ (+ (* (- 85) ?y3) (* (- 51) ?y2)) (* (- 13) ?y1)) (* 90 x1)) 0)) (or (> (+ (+ (* (- 78) ?y3) (* (- 72) ?y1)) (* 23 x1)) (- 7)) (<= (+ (+ (* 3 ?y4) (* (- 48) ?y2)) (* 96 ?y1)) 0))) (and (or (and (= (+ ?v_21 (* (- 99) ?y1)) 0) (= (+ (+ (+ (* 71 ?y4) ?v_20) (* (- 27) ?y1)) (* 94 x1)) 0)) (> (+ (+ (+ (+ (* (- 41) ?y4) (* 48 ?y3)) (* 22 ?y2)) (* (- 91) ?y1)) (* 97 x1)) 44)) (and (or (< (+ (+ (+ (+ (* (- 93) ?y4) (* (- 60) ?y3)) (* 10 ?y2)) (* (- 60) ?y1)) (* (- 92) x1)) (- 17)) (> (+ (+ (+ (+ (* 97 ?y4) (* (- 42) ?y3)) ?v_21) (* 23 ?y1)) ?v_22) (- 24))) (or (not (= (+ (+ (+ (* 65 ?y4) (* (- 84) ?y3)) (* (- 39) ?y1)) (* (- 30) x1)) 27)) (<= (+ (+ (+ (+ ?v_23 (* (- 1) ?y3)) (* 76 ?y2)) (* (- 33) ?y1)) (* (- 99) x1)) 89)))))))))) (forall ((?y4 Real)) (let ((?v_25 (* 77 x1)) (?v_30 (* 51 ?y2)) (?v_26 (* (- 77) x1)) (?v_32 (* (- 70) ?y4)) (?v_24 (* (- 32) ?y4)) (?v_31 (* (- 16) ?y2)) (?v_29 (* (- 35) ?y2)) (?v_28 (* (- 28) ?y2)) (?v_27 (* (- 81) x1))) (and (and (or (and (and (>= (+ (* 94 ?y1) (* 32 x1)) (- 32)) (and (= (+ (+ (* 100 ?y4) (* (- 76) ?y1)) (* (- 61) x1)) 99) (<= (+ (+ (+ (* 23 ?y4) (* (- 9) ?y2)) (* 38 ?y1)) (* (- 58) x1)) 0))) (or (> (+ (* 78 ?y2) ?v_25) (- 33)) (<= (* (- 90) ?y4) 47))) (or (and (= (+ (* 69 ?y2) ?v_26) 5) (= (+ (+ (+ ?v_32 (* (- 80) ?y2)) (* 65 ?y1)) (* (- 92) x1)) (- 19))) (or (> (+ (+ (* (- 82) ?y4) (* 38 ?y2)) (* 44 x1)) 0) (<= (+ (+ (* (- 20) ?y2) (* (- 36) ?y1)) (* (- 72) x1)) (- 97))))) (and (and (or (or (<= (+ (+ ?v_24 ?v_31) (* (- 90) x1)) 51) (= (+ (+ (* 63 ?y4) (* (- 84) ?y1)) (* 69 x1)) (- 54))) (or (>= (+ (* 22 ?y4) (* (- 82) x1)) 0) (= (+ (+ (+ ?v_24 (* (- 69) ?y2)) (* 16 ?y1)) (* (- 1) x1)) (- 87)))) (> (+ (+ (+ (* 46 ?y4) (* (- 11) ?y2)) (* (- 68) ?y1)) ?v_25) 77)) (and (and (and (< (+ (+ (+ (* (- 60) ?y4) ?v_29) (* (- 52) ?y1)) (* (- 64) x1)) (- 86)) (> (+ (+ (+ (* 2 ?y4) (* (- 42) ?y2)) (* (- 14) ?y1)) (* 78 x1)) 53)) (and (>= (+ (+ (+ (* (- 63) ?y4) ?v_28) (* (- 31) ?y1)) ?v_27) 1) (<= (+ (* (- 52) ?y4) ?v_26) 0))) (and (or (< (+ (* 38 ?y4) (* 69 ?y1)) 79) (<= (+ (+ (+ (* (- 20) ?y4) (* 32 ?y2)) (* 56 ?y1)) ?v_27) (- 12))) (or (>= (+ (+ (* 34 ?y4) (* (- 99) ?y1)) (* 61 x1)) 0) (<= (+ (+ (* 85 ?y2) (* 100 ?y1)) (* (- 48) x1)) 0)))))) (or (or (and (or (>= (+ (+ (* 11 ?y4) ?v_28) (* 95 x1)) 37) (= (+ (+ (+ (* (- 54) ?y4) ?v_30) (* 57 ?y1)) (* 21 x1)) (- 46))) (or (< (+ (+ (+ (* 39 ?y4) (* (- 55) ?y2)) (* (- 33) ?y1)) (* (- 71) x1)) 0) (< (+ (+ (* (- 96) ?y4) ?v_29) (* 44 ?y1)) 0))) (or (or (= (+ ?v_30 (* (- 83) x1)) 50) (> (+ (+ (* (- 73) ?y4) (* 59 ?y2)) (* (- 18) ?y1)) 0)) (and (< (+ (+ (* (- 74) ?y2) (* (- 1) ?y1)) (* (- 28) x1)) 0) (< (+ (+ (* 60 ?y2) (* 95 ?y1)) ?v_25) (- 2))))) (or (and (and (not (= (+ (+ (+ (* 59 ?y4) (* 12 ?y2)) (* (- 15) ?y1)) (* (- 21) x1)) (- 24))) (> (+ (+ (+ (* 55 ?y4) ?v_31) (* (- 49) ?y1)) (* 68 x1)) (- 96))) (or (>= (+ (+ (+ (* 31 ?y4) (* 66 ?y2)) (* (- 59) ?y1)) (* (- 24) x1)) (- 95)) (>= (+ (+ (* 83 ?y4) (* 90 ?y1)) (* 4 x1)) (- 74)))) (or (>= (+ (+ (* 11 ?y2) (* (- 32) ?y1)) (* 76 x1)) 0) (not (= (+ (+ ?v_32 (* 29 ?y2)) (* (- 82) ?y1)) 0)))))))))))))
(check-sat)
(exit)
