(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun x1 () Real)
(declare-fun y1 () Real)
(assert (or (forall ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (let ((?v_0 (* 63 ?y4)) (?v_2 (* 11 ?y2)) (?v_6 (* 61 ?y3)) (?v_10 (* 100 ?y3)) (?v_20 (* 82 ?y3)) (?v_23 (* 19 x1)) (?v_14 (* 61 ?y2)) (?v_8 (* 66 ?y3)) (?v_15 (* 33 ?y3)) (?v_22 (* (- 71) ?y4)) (?v_13 (* (- 68) ?y4)) (?v_4 (* (- 67) ?y2)) (?v_3 (* (- 88) ?y2)) (?v_1 (* (- 96) ?y3)) (?v_9 (* (- 42) ?y4)) (?v_5 (* (- 18) ?y4)) (?v_25 (* (- 20) ?y4)) (?v_19 (* (- 1) ?y3)) (?v_11 (* (- 37) x1)) (?v_7 (* (- 60) ?y4)) (?v_17 (* (- 70) x1)) (?v_12 (* (- 43) ?y4)) (?v_16 (* (- 51) x1)) (?v_24 (* (- 19) ?y3)) (?v_18 (* (- 2) ?y2)) (?v_21 (* (- 47) ?y2))) (or (and (and (or (and (or (>= (+ (+ (+ ?v_22 (* (- 57) ?y3)) (* (- 71) ?y2)) (* 92 x1)) (- 47)) (<= (* (- 51) ?y2) 83)) (and (> (+ (+ (+ ?v_0 (* 93 ?y3)) (* (- 26) ?y2)) (* 97 x1)) 18) (= (+ (+ (* 73 ?y4) (* 86 ?y3)) (* (- 44) ?y2)) 95))) (and (or (= (+ ?v_13 ?v_4) 0) (not (= (+ (+ (* 62 ?y4) ?v_2) (* (- 82) x1)) 75))) (>= (+ ?v_0 (* 29 ?y2)) 22))) (or (and (or (>= (+ (* 72 ?y3) (* (- 69) ?y2)) (- 44)) (<= (+ (+ (* (- 11) ?y4) (* 75 ?y3)) (* (- 12) x1)) (- 97))) (and (not (= (+ (+ (* (- 90) ?y4) ?v_6) ?v_3) (- 51))) (= (+ (+ (+ (* 65 ?y4) ?v_1) (* 64 ?y2)) (* (- 61) x1)) 0))) (and (not (= (+ (+ (* (- 94) ?y4) (* (- 37) ?y2)) (* 12 x1)) 0)) (> (+ (+ (+ (* (- 93) ?y4) ?v_1) (* 95 ?y2)) (* 11 x1)) (- 70))))) (and (or (or (or (and (not (= (+ (+ (* (- 78) ?y4) (* (- 32) ?y3)) (* 55 x1)) (- 85))) (not (= (+ (+ ?v_9 ?v_2) (* (- 66) x1)) 0))) (<= (+ (+ (* 45 ?y4) (* (- 59) ?y3)) (* 66 x1)) (- 88))) (or (or (not (= (+ (+ ?v_5 (* 8 ?y3)) (* (- 94) ?y2)) 0)) (>= (+ (+ (* (- 51) ?y4) (* (- 13) ?y2)) (* (- 100) x1)) 0)) (and (not (= (+ (+ (+ ?v_25 (* (- 22) ?y3)) ?v_3) (* 46 x1)) 77)) (<= (+ (+ (* (- 12) ?y4) (* 17 ?y2)) (* 15 x1)) 0)))) (and (and (= (+ (+ (* 19 ?y3) ?v_4) (* (- 60) x1)) 5) (<= (+ (+ (+ (* 82 ?y4) ?v_19) (* 25 ?y2)) (* 44 x1)) 65)) (or (> (+ (+ (+ ?v_5 ?v_6) (* 8 ?y2)) ?v_11) 0) (>= (+ (+ (+ ?v_7 ?v_10) (* 7 ?y2)) ?v_17) (- 20))))) (and (or (or (not (= (+ (+ (* (- 76) ?y4) (* (- 7) ?y2)) (* 51 x1)) (- 42))) (and (= (+ (+ (* (- 9) ?y4) ?v_20) (* (- 84) ?y2)) 36) (> (+ (+ ?v_7 (* 87 ?y3)) ?v_23) (- 40)))) (and (or (<= (+ (* 79 ?y3) (* (- 55) ?y2)) 0) (= (+ (+ (+ (* (- 45) ?y4) (* 53 ?y3)) ?v_14) (* 27 x1)) (- 63))) (and (< (+ (+ (* 80 ?y4) (* (- 9) ?y3)) (* 83 x1)) 70) (<= (+ ?v_12 ?v_8) 81)))) (or (< (+ (+ ?v_5 ?v_8) (* (- 43) x1)) (- 56)) (<= (+ (+ (* (- 63) ?y4) (* 14 ?y3)) (* (- 33) x1)) 0))))) (or (or (and (or (or (or (> (+ (+ (+ ?v_9 ?v_10) (* (- 61) ?y2)) (* 30 x1)) (- 43)) (= (+ (+ (+ (* (- 34) ?y4) (* (- 37) ?y3)) (* 31 ?y2)) (* 16 x1)) (- 9))) (and (= (+ (+ (* (- 22) ?y4) (* 58 ?y3)) (* 32 ?y2)) (- 72)) (>= (+ (+ (+ (* 13 ?y4) (* 69 ?y3)) (* 44 ?y2)) ?v_11) 0))) (and (and (< (+ (+ (+ ?v_9 (* 41 ?y3)) (* 84 ?y2)) (* (- 83) x1)) (- 44)) (< (+ (* (- 37) ?y4) (* 50 ?y2)) (- 5))) (> (+ (+ ?v_12 (* 6 ?y2)) (* 39 x1)) (- 15)))) (and (and (>= (+ ?v_13 (* 14 ?y2)) (- 74)) (<= (+ (+ (* (- 36) ?y4) ?v_6) (* 35 x1)) (- 7))) (and (<= (+ (+ (+ (* 1 ?y4) ?v_15) (* (- 59) ?y2)) ?v_16) 92) (< (+ (+ (+ (* 5 ?y4) (* (- 76) ?y3)) (* (- 52) ?y2)) (* (- 19) x1)) (- 26))))) (and (< (+ (+ (+ (* 85 ?y4) (* 16 ?y3)) ?v_14) (* (- 65) x1)) (- 86)) (and (< (+ (+ ?v_15 (* 71 ?y2)) (* 70 x1)) (- 44)) (>= (+ (+ (+ (* (- 28) ?y4) ?v_24) ?v_18) (* 78 x1)) 0)))) (or (and (or (and (or (< (+ (* (- 81) ?y3) ?v_16) (- 86)) (>= (+ (* 56 ?y3) ?v_17) 0)) (or (< (+ (+ (* (- 73) ?y4) ?v_18) (* (- 10) x1)) (- 17)) (>= (+ (+ (* 79 ?y4) (* (- 6) ?y3)) (* 98 x1)) (- 65)))) (or (or (>= (+ (+ (* (- 80) ?y4) (* (- 98) ?y2)) (* 17 x1)) 40) (<= (+ (+ (* (- 83) ?y4) (* 48 ?y3)) ?v_21) 93)) (and (>= ?v_19 (- 41)) (>= (+ (+ (+ (* (- 30) ?y4) ?v_20) ?v_21) (* (- 75) x1)) 10)))) (and (or (<= (+ ?v_22 ?v_23) (- 45)) (or (< (+ (+ (* 42 ?y4) (* 50 ?y3)) (* (- 84) x1)) 88) (= (+ (+ (+ (* 23 ?y4) (* 22 ?y3)) (* (- 33) ?y2)) ?v_17) (- 21)))) (<= (+ (+ (* (- 91) ?y4) (* 84 ?y3)) (* (- 57) ?y2)) 0))) (or (and (> (+ (+ (* (- 1) ?y4) (* 75 ?y2)) (* (- 79) x1)) 59) (> (+ (* 10 ?y4) ?v_24) (- 76))) (or (and (or (>= (+ (* 31 ?y3) (* (- 62) x1)) 0) (> (+ (+ (* (- 15) ?y4) (* 70 ?y2)) (* 62 x1)) 65)) (or (= (+ (* 68 ?y3) (* (- 6) x1)) 0) (not (= (+ (* 38 ?y4) (* (- 40) ?y2)) 0)))) (or (and (> (+ (+ (* (- 79) ?y4) (* 2 ?y2)) (* 18 x1)) (- 1)) (= (+ (+ (* 60 ?y4) (* (- 75) ?y3)) ?v_18) 66)) (or (not (= (+ (+ (+ ?v_25 (* (- 93) ?y3)) (* (- 11) ?y2)) (* 58 x1)) 59)) (< (+ (* (- 95) ?y4) (* (- 21) ?y3)) (- 35))))))))))))) (forall ((?y1 Real)) (exists ((?y3 Real)) (and (or (exists ((?y4 Real)) (let ((?v_26 (* 40 ?y1))) (and (or (or (> (+ (+ (* (- 3) ?y4) (* 49 ?y3)) (* 86 x1)) (- 31)) (not (= (+ (* (- 55) ?y4) (* (- 5) ?y3)) 0))) (or (or (and (>= (+ (+ (* (- 12) ?y4) (* 42 ?y1)) (* (- 93) x1)) 0) (<= (+ (+ (* (- 88) ?y3) (* (- 11) ?y1)) (* (- 75) x1)) 0)) (or (< (+ (+ (+ (* (- 59) ?y4) (* 84 ?y3)) ?v_26) (* 94 x1)) 22) (< (+ (* 94 ?y4) (* 83 ?y3)) 22))) (or (< (+ (+ (* 36 ?y4) (* 32 ?y1)) (* 72 x1)) 0) (<= (+ (+ (* 52 ?y4) (* (- 52) ?y3)) (* 74 ?y1)) 35)))) (or (and (<= (+ (+ (* 57 ?y4) (* 12 ?y3)) (* (- 58) ?y1)) 0) (not (= (+ (+ (* 58 ?y4) (* (- 91) ?y1)) (* 40 x1)) (- 70)))) (or (< (+ (* 43 ?y4) ?v_26) 61) (> (+ (* (- 9) ?y1) (* 8 x1)) 68)))))) (exists ((?y4 Real)) (let ((?v_27 (* 30 ?y3)) (?v_30 (* 6 ?y3)) (?v_29 (* (- 79) ?y1)) (?v_28 (* (- 31) ?y4))) (or (and (and (and (not (= (+ (+ (+ (* (- 83) ?y4) (* (- 60) ?y3)) (* (- 1) ?y1)) (* (- 32) x1)) 69)) (and (<= (+ (* (- 39) ?y3) ?v_29) 0) (> (+ (+ (+ (* 11 ?y4) (* (- 46) ?y3)) (* (- 50) ?y1)) (* 94 x1)) 5))) (or (< (+ (+ (* 35 ?y4) (* (- 49) ?y1)) (* (- 11) x1)) 0) (or (not (= (+ (+ (+ ?v_28 (* 22 ?y3)) (* 48 ?y1)) (* 47 x1)) 0)) (not (= (* 91 x1) 50))))) (and (or (and (>= (+ ?v_27 (* (- 26) ?y1)) 0) (<= (+ (+ (+ (* 34 ?y4) (* (- 41) ?y3)) (* (- 58) ?y1)) (* 3 x1)) 0)) (or (< (+ (* (- 81) ?y4) (* 39 ?y1)) 55) (< (+ (+ (+ (* 21 ?y4) (* (- 69) ?y3)) (* 53 ?y1)) (* 84 x1)) (- 38)))) (and (= (+ (+ (* (- 45) ?y3) (* 82 ?y1)) (* (- 94) x1)) 0) (< (+ (+ (+ (* 38 ?y4) ?v_27) (* 26 ?y1)) (* (- 70) x1)) 0)))) (and (and (and (not (= (+ (+ (+ (* (- 21) ?y4) (* (- 8) ?y3)) (* 61 ?y1)) (* 33 x1)) (- 27))) (>= (+ (+ ?v_28 (* 55 ?y3)) (* (- 54) x1)) (- 47))) (and (> (+ (+ (* 47 ?y4) (* 92 ?y1)) (* 25 x1)) (- 60)) (> (+ ?v_30 ?v_29) 60))) (or (or (>= (+ (+ (+ (* (- 61) ?y4) ?v_30) (* 46 ?y1)) (* (- 10) x1)) (- 86)) (<= (+ (+ (* (- 69) ?y4) (* 89 ?y1)) (* 18 x1)) (- 1))) (or (>= (+ (+ (* (- 66) ?y3) (* (- 51) ?y1)) (* 24 x1)) (- 68)) (< (+ (+ (+ (* 85 ?y4) (* 51 ?y3)) (* (- 91) ?y1)) (* 81 x1)) 0)))))))) (exists ((?y4 Real)) (let ((?v_32 (* 54 ?y1)) (?v_33 (* 12 ?y4)) (?v_36 (* (- 79) ?y1)) (?v_35 (* (- 73) ?y4)) (?v_31 (* (- 68) x1)) (?v_34 (* (- 8) ?y1))) (or (and (or (or (< (+ (+ (+ (* (- 50) ?y4) (* 99 ?y3)) (* (- 87) ?y1)) (* (- 59) x1)) 67) (>= (+ (+ (* 96 ?y4) (* (- 82) ?y1)) (* (- 39) x1)) 0)) (and (>= (+ ?v_35 (* (- 89) x1)) (- 74)) (= (+ (+ (* 53 ?y4) (* (- 57) ?y3)) ?v_32) (- 39)))) (and (and (or (not (= (+ (+ (+ (* (- 48) ?y4) (* (- 69) ?y3)) (* 30 ?y1)) (* 27 x1)) (- 60))) (= (+ (* 61 ?y3) (* (- 44) x1)) 0)) (and (<= (+ (+ (* 98 ?y4) (* 20 ?y3)) ?v_31) (- 28)) (> (+ (* (- 13) ?y4) (* 64 ?y1)) (- 39)))) (and (and (< (+ ?v_36 ?v_31) 0) (>= (+ (* (- 88) ?y1) (* 15 x1)) (- 44))) (and (> (+ (+ (* 60 ?y3) ?v_34) (* (- 2) x1)) 0) (> (+ (* 13 ?y4) (* 89 ?y3)) 90))))) (or (and (or (and (and (<= (+ (+ (+ (* (- 24) ?y4) (* 50 ?y3)) (* (- 20) ?y1)) (* 81 x1)) 0) (< (* (- 75) ?y3) 85)) (or (not (= (+ (+ ?v_33 (* (- 41) ?y1)) (* (- 90) x1)) 0)) (> (+ (+ (* 38 ?y4) (* (- 94) ?y3)) ?v_32) 14))) (or (or (not (= (+ (+ (+ (* 89 ?y4) (* (- 48) ?y3)) (* (- 45) ?y1)) (* 43 x1)) 0)) (<= (+ (+ (+ ?v_33 (* (- 18) ?y3)) (* (- 5) ?y1)) (* 1 x1)) 0)) (or (< (+ (+ (* 82 ?y4) (* 5 ?y3)) ?v_34) (- 53)) (<= (+ (+ (+ ?v_35 (* 72 ?y3)) ?v_36) (* 84 x1)) 0)))) (>= (+ (* 80 ?y4) (* 80 x1)) 67)) (and (and (> (+ (* (- 56) ?y4) (* 99 x1)) 32) (or (and (not (= (+ (+ (+ (* 92 ?y4) (* 32 ?y3)) (* (- 70) ?y1)) (* (- 16) x1)) 0)) (<= (+ (+ (+ (* 70 ?y4) (* 6 ?y3)) (* (- 83) ?y1)) (* (- 65) x1)) (- 93))) (or (< (+ (+ (+ (* 43 ?y4) (* (- 83) ?y3)) (* (- 50) ?y1)) (* (- 19) x1)) (- 8)) (< (+ (+ (+ (* 7 ?y4) (* (- 34) ?y3)) (* 75 ?y1)) (* (- 83) x1)) 4)))) (or (or (or (= (+ (* 92 ?y3) (* 62 x1)) (- 18)) (= (+ (+ (* 47 ?y3) (* 94 ?y1)) (* (- 52) x1)) 60)) (= (+ (+ (* (- 44) ?y4) (* 82 ?y3)) (* (- 37) x1)) 0)) (or (and (>= (+ (* 99 ?y1) (* (- 21) x1)) 1) (> (+ (+ (* 4 ?y4) (* 75 ?y3)) (* (- 65) ?y1)) 11)) (or (<= (+ (+ (+ (* 97 ?y4) (* 22 ?y3)) (* 6 ?y1)) (* (- 72) x1)) 0) (>= (+ (+ (+ (* 83 ?y4) (* 96 ?y3)) (* 81 ?y1)) (* 76 x1)) (- 11)))))))))))))))
(check-sat)
(exit)
