(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun x1 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(assert (and (and (exists ((?y1 Real)) (and (or (exists ((?y2 Real)) (and (and (exists ((?y3 Real)) (and (and (< (+ (+ (* (- 87) ?y3) (* (- 82) ?y2)) (* (- 78) ?y1)) 19) (exists ((?y4 Real)) (< (+ (+ (* (- 20) ?y4) (* 22 ?y3)) (* 70 ?y2)) (- 86)))) (and (exists ((?y4 Real)) (= (+ (+ (* 10 ?y4) (* 25 ?y3)) (* 100 ?y1)) 14)) (forall ((?y4 Real)) (= (+ (+ (+ (* 14 ?y4) (* (- 17) ?y2)) (* 48 ?y1)) (* (- 97) x1)) 0))))) (forall ((?y3 Real)) (forall ((?y4 Real)) (exists ((?y5 Real)) (and (>= (+ (+ (* (- 57) ?y5) (* 20 ?y4)) (* (- 5) ?y3)) (- 80)) (< (+ (+ (+ (+ (* (- 60) ?y5) (* 53 ?y4)) (* (- 33) ?y3)) (* (- 11) ?y2)) (* (- 92) ?y1)) (- 23))))))) (exists ((?y3 Real)) (and (forall ((?y4 Real)) (and (exists ((?y5 Real)) (< (+ (+ (+ (* 32 ?y5) (* 20 ?y4)) (* (- 51) ?y2)) (* 11 ?y1)) (- 50))) (exists ((?y5 Real)) (= (+ (+ (* 46 ?y5) (* (- 64) ?y4)) (* (- 4) ?y3)) 50)))) (exists ((?y4 Real)) (forall ((?y5 Real)) (forall ((?y6 Real)) (< (+ (+ (+ (* (- 80) ?y6) (* 5 ?y3)) (* 28 ?y2)) (* (- 44) ?y1)) (- 86))))))))) (and (forall ((?y5 Real)) (exists ((?y6 Real)) (or (= (+ (* (- 98) ?y6) (* (- 52) ?y1)) 69) (= (+ (+ (* (- 94) ?y6) (* (- 1) ?y1)) (* (- 53) x1)) 63)))) (or (and (and (exists ((?y4 Real)) (> (+ (+ (* 79 ?y4) (* (- 66) ?y1)) (* 73 x1)) 0)) (exists ((?y4 Real)) (not (= (+ (* (- 67) ?y1) (* (- 77) x1)) (- 30))))) (< (+ (* 93 ?y1) (* (- 50) x1)) (- 74))) (and (and (= (* (- 24) ?y1) 15) (> (+ (* 36 ?y1) (* 78 x1)) (- 97))) (or (forall ((?y4 Real)) (not (= (+ (* (- 47) ?y1) (* (- 77) x1)) 99))) (>= (* (- 17) x1) 0)))))) (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (and (forall ((?y5 Real)) (and (and (> (+ (+ (+ (+ (+ (* 72 ?y5) (* (- 35) ?y4)) (* 95 ?y3)) (* 50 ?y2)) (* 19 ?y1)) (* 89 x1)) (- 4)) (> (+ (+ (+ (+ (* (- 6) ?y5) (* (- 80) ?y4)) (* 34 ?y3)) (* 9 ?y2)) (* (- 14) ?y1)) 50)) (or (>= (+ (* (- 73) ?y5) (* (- 22) ?y4)) (- 2)) (not (= (+ (+ (+ (* 88 ?y5) (* (- 82) ?y3)) (* (- 8) ?y2)) (* 7 ?y1)) 0))))) (or (exists ((?y5 Real)) (or (not (= (+ (+ (+ (* (- 22) ?y4) (* (- 69) ?y3)) (* (- 49) ?y2)) (* 63 ?y1)) (- 4))) (< (+ (+ (+ (* 65 ?y5) (* (- 71) ?y3)) (* 62 ?y2)) (* 94 x1)) (- 65)))) (forall ((?y6 Real)) (>= (+ (+ (+ (+ (* 20 ?y6) (* (- 42) ?y4)) (* 62 ?y2)) (* (- 76) ?y1)) (* 75 x1)) (- 92)))))))))) (forall ((?y1 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (and (and (or (or (and (= (+ (* (- 91) ?y4) (* 11 ?y3)) 0) (< (+ (* 22 ?y4) (* 30 ?y1)) 0)) (exists ((?y6 Real)) (> (+ (+ (+ (* 46 ?y4) (* 26 ?y3)) (* (- 40) ?y1)) (* 43 x1)) 0))) (and (< (+ (+ (+ (* 95 ?y4) (* (- 38) ?y3)) (* (- 23) ?y1)) (* 83 x1)) 88) (< (+ (+ (* 61 ?y4) (* 46 ?y3)) (* 15 x1)) 40))) (and (not (= (+ (+ (+ (* (- 66) ?y4) (* 75 ?y3)) (* (- 71) ?y1)) (* (- 2) x1)) 30)) (or (and (= (+ (+ (+ (* 79 ?y4) (* (- 40) ?y3)) (* (- 59) ?y1)) (* (- 7) x1)) 8) (> (+ (* 80 ?y1) (* (- 82) x1)) 0)) (< (+ (+ (+ (* (- 40) ?y4) (* (- 8) ?y3)) (* 61 ?y1)) (* (- 60) x1)) 76)))) (exists ((?y5 Real)) (exists ((?y6 Real)) (and (= (+ (+ (+ (* (- 86) ?y5) (* (- 26) ?y3)) (* 31 ?y1)) (* (- 75) x1)) (- 90)) (not (= (+ (+ (+ (* (- 47) ?y6) (* 44 ?y3)) (* (- 51) ?y1)) (* (- 50) x1)) 0)))))))))) (or (or (exists ((?y1 Real)) (forall ((?y2 Real)) (or (and (or (and (forall ((?y3 Real)) (<= (+ (+ (+ (* (- 20) ?y3) (* 38 ?y2)) (* (- 61) ?y1)) (* 93 x1)) (- 91))) (or (or (< (+ (+ (* (- 75) ?y2) (* (- 45) ?y1)) (* (- 32) x1)) (- 23)) (<= (+ (+ (* (- 53) ?y2) (* (- 90) ?y1)) (* (- 40) x1)) 0)) (and (and (= (+ (+ (* (- 24) ?y2) (* 25 ?y1)) (* 33 x1)) 0) (>= (+ (+ (* 52 ?y2) (* 85 ?y1)) (* 52 x1)) (- 68))) (exists ((?y3 Real)) (not (= (+ (+ (* (- 79) ?y3) (* 45 ?y1)) (* (- 28) x1)) (- 33))))))) (exists ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (not (= (+ (+ (+ (* (- 70) ?y6) (* (- 98) ?y5)) (* 33 ?y4)) (* 35 ?y1)) 0)))))) (forall ((?y3 Real)) (or (and (exists ((?y4 Real)) (= (+ (+ (* 77 ?y3) (* 98 ?y2)) (* (- 82) ?y1)) (- 54))) (exists ((?y4 Real)) (or (= (+ (+ (+ (+ (* (- 30) ?y4) (* (- 100) ?y3)) (* (- 35) ?y2)) (* (- 51) ?y1)) (* (- 52) x1)) (- 25)) (> (+ (* 82 ?y4) (* (- 73) ?y3)) (- 18))))) (and (and (> (+ (+ (+ (* (- 67) ?y3) (* (- 68) ?y2)) (* 75 ?y1)) (* 89 x1)) 32) (> (+ (+ (* (- 4) ?y3) (* 50 ?y2)) (* 45 x1)) (- 82))) (forall ((?y5 Real)) (> (+ (+ (+ (* (- 24) ?y5) (* (- 25) ?y3)) (* 95 ?y2)) (* (- 25) ?y1)) 23)))))) (and (forall ((?y3 Real)) (or (forall ((?y5 Real)) (exists ((?y6 Real)) (>= (+ (+ (+ (+ (+ (* 67 ?y6) (* 4 ?y5)) (* (- 25) ?y3)) (* 59 ?y2)) (* 94 ?y1)) (* (- 92) x1)) 82))) (and (or (or (<= (* 65 x1) (- 31)) (= (+ (+ (+ (* (- 58) ?y3) (* (- 98) ?y2)) (* (- 8) ?y1)) (* (- 66) x1)) 0)) (not (= (+ (* (- 33) ?y3) (* (- 21) ?y2)) 0))) (exists ((?y4 Real)) (or (>= (+ (+ (+ (* (- 30) ?y4) (* (- 98) ?y3)) (* (- 46) ?y2)) (* 51 x1)) (- 2)) (<= (+ (* (- 96) ?y3) (* 8 ?y2)) 65)))))) (forall ((?y3 Real)) (and (forall ((?y6 Real)) (not (= (+ (* (- 62) ?y6) (* 84 x1)) 33))) (and (not (= (+ (+ (* 30 ?y3) (* 63 ?y1)) (* 9 x1)) 75)) (not (= (+ (+ (+ (* (- 78) ?y3) (* 57 ?y2)) (* (- 67) ?y1)) (* (- 97) x1)) 24))))))))) (exists ((?y1 Real)) (forall ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_0 (* 14 ?y5))) (and (or (and (= (+ (+ (+ (+ (+ (* (- 17) ?y6) (* (- 17) ?y5)) (* 4 ?y4)) (* 99 ?y3)) (* 45 ?y1)) (* (- 48) x1)) (- 33)) (> (+ (+ (+ (+ (* (- 1) ?y5) (* 53 ?y4)) (* 62 ?y3)) (* 56 ?y1)) (* (- 85) x1)) (- 79))) (= (+ (+ (+ (+ (* (- 41) ?y6) (* (- 61) ?y4)) (* 78 ?y3)) (* (- 13) ?y1)) (* 25 x1)) 53)) (or (or (<= (+ (+ (+ (+ ?v_0 (* (- 76) ?y4)) (* 58 ?y3)) (* 32 ?y1)) (* 32 x1)) 0) (< (+ (+ (+ (* 14 ?y6) (* (- 96) ?y4)) (* (- 93) ?y3)) (* 73 ?y1)) 79)) (or (>= (+ (+ (* 11 ?y6) ?v_0) (* 76 x1)) 40) (>= (+ (+ (+ (+ (* 23 ?y6) (* (- 10) ?y5)) (* 59 ?y4)) (* 2 ?y1)) (* (- 74) x1)) (- 5)))))))))))) (forall ((?y1 Real)) (and (and (and (exists ((?y3 Real)) (and (or (exists ((?y4 Real)) (forall ((?y5 Real)) (<= (+ (+ (* 3 ?y3) (* 63 ?y1)) (* (- 85) x1)) (- 78)))) (and (> (+ (* 6 ?y3) (* 72 x1)) 0) (>= (* 55 x1) (- 98)))) (forall ((?y5 Real)) (or (< (+ (+ (+ (* (- 80) ?y5) (* 57 ?y3)) (* (- 60) ?y1)) (* (- 92) x1)) (- 68)) (> (+ (* (- 16) ?y5) (* 13 x1)) 27))))) (exists ((?y3 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (or (< (+ (* 5 ?y6) (* (- 70) ?y5)) 97) (>= (+ (+ (+ (+ (* 61 ?y6) (* (- 74) ?y5)) (* (- 3) ?y3)) (* 44 ?y1)) (* (- 99) x1)) (- 92))))))) (exists ((?y3 Real)) (exists ((?y4 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (or (> (+ (+ (+ (+ (+ (* (- 25) ?y6) (* (- 11) ?y5)) (* 85 ?y4)) (* (- 78) ?y3)) (* (- 79) ?y1)) (* 70 x1)) (- 21)) (< (+ (+ (+ (* (- 87) ?y6) (* 37 ?y5)) (* (- 31) ?y3)) (* (- 3) x1)) 79))))))) (forall ((?y2 Real)) (or (exists ((?y3 Real)) (and (or (forall ((?y4 Real)) (or (and (not (= (+ (+ (+ (* (- 20) ?y4) (* (- 34) ?y3)) (* (- 20) ?y2)) (* 20 x1)) 3)) (<= (+ (+ (+ (* 12 ?y4) (* (- 51) ?y3)) (* 91 ?y2)) (* (- 6) ?y1)) (- 85))) (and (< (+ (+ (+ (* (- 20) ?y3) (* 58 ?y2)) (* (- 1) ?y1)) (* (- 61) x1)) 0) (not (= (+ (+ (+ (* 25 ?y4) (* (- 36) ?y2)) (* (- 99) ?y1)) (* (- 45) x1)) (- 42)))))) (forall ((?y4 Real)) (and (or (not (= (+ (+ (+ (* 43 ?y4) (* 26 ?y2)) (* 61 ?y1)) (* 78 x1)) 51)) (= (+ (* 69 ?y4) (* (- 83) x1)) 0)) (forall ((?y5 Real)) (> (+ (+ (+ (+ (+ (* 56 ?y5) (* (- 1) ?y4)) (* (- 4) ?y3)) (* (- 29) ?y2)) (* (- 90) ?y1)) (* 91 x1)) 48))))) (forall ((?y4 Real)) (exists ((?y6 Real)) (and (< (+ (+ (+ (* (- 27) ?y6) (* 71 ?y4)) (* (- 42) ?y3)) (* (- 20) ?y1)) 4) (= (+ (+ (+ (* 92 ?y4) (* 61 ?y3)) (* (- 26) ?y1)) (* 74 x1)) (- 69))))))) (or (forall ((?y5 Real)) (and (> (+ (+ (+ (* (- 65) ?y5) (* 17 ?y2)) (* (- 67) ?y1)) (* (- 74) x1)) 0) (<= (+ (* 72 ?y2) (* (- 15) ?y1)) 23))) (and (and (forall ((?y3 Real)) (and (<= (+ (* (- 54) ?y2) (* 82 x1)) 38) (<= (+ (* (- 24) ?y2) (* 65 x1)) (- 94)))) (or (forall ((?y3 Real)) (> (+ (+ (* 6 ?y3) (* (- 67) ?y2)) (* (- 64) x1)) 0)) (or (< (+ (* 23 ?y2) (* 15 ?y1)) 0) (= (+ (* (- 75) ?y2) (* 78 x1)) 0)))) (exists ((?y4 Real)) (and (< (+ (+ (* (- 60) ?y4) (* (- 71) ?y2)) (* 47 x1)) (- 71)) (= (+ (+ (* (- 55) ?y4) (* (- 100) ?y2)) (* (- 11) ?y1)) 15))))))))))))
(check-sat)
(exit)
