(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y4 () Real)
(assert (or (exists ((?y1 Real)) (forall ((?y2 Real)) (forall ((?y3 Real)) (let ((?v_0 (* 10 ?y3))) (or (forall ((?y5 Real)) (and (exists ((?y6 Real)) (let ((?v_2 (* 79 ?y1)) (?v_1 (* 15 ?y3)) (?v_4 (* 50 ?y2)) (?v_3 (* (- 10) x1)) (?v_5 (* (- 37) ?y5))) (or (or (or (and (>= (+ (+ (+ (+ (* 24 ?y6) (* (- 36) ?y5)) (* (- 25) ?y3)) (* (- 80) ?y2)) ?v_2) 4) (not (= (+ (+ (+ (+ (+ (* (- 9) ?y6) (* (- 26) ?y5)) (* (- 38) ?y3)) (* (- 92) ?y2)) (* 99 ?y1)) (* (- 53) x1)) 12))) (or (< (+ (+ (+ (+ (* (- 11) ?y6) (* (- 58) ?y5)) (* (- 60) ?y3)) (* 22 ?y1)) (* 18 x1)) 0) (> (+ (+ (+ (+ (* 94 ?y6) (* 94 ?y5)) (* (- 37) ?y2)) (* (- 56) ?y1)) ?v_3) 0))) (or (and (or (>= (+ (+ (+ (+ (* (- 1) ?y6) (* 57 ?y5)) (* 86 ?y3)) (* 49 ?y2)) (* 94 ?y1)) 0) (>= (+ (+ (+ (+ (* 67 ?y6) (* (- 30) ?y5)) ?v_1) (* 88 ?y2)) (* 88 x1)) 46)) (< (+ (+ (+ (+ (* (- 48) ?y6) (* 28 ?y5)) (* (- 59) ?y3)) ?v_4) (* 27 ?y1)) 22)) (and (> (+ (+ (+ (+ (* (- 29) ?y6) (* (- 54) ?y5)) ?v_1) (* 77 ?y1)) (* 99 x1)) 0) (not (= (+ (+ (+ (+ (+ (* 5 ?y6) (* (- 65) ?y5)) (* (- 35) ?y3)) (* (- 91) ?y2)) (* (- 25) ?y1)) (* 82 x1)) 6))))) (and (and (and (and (<= (+ (+ (+ (+ (+ (* (- 36) ?y6) (* (- 5) ?y5)) (* 4 ?y3)) (* 71 ?y2)) (* (- 36) ?y1)) (* 69 x1)) 69) (>= (+ (+ (+ (* 31 ?y6) (* 55 ?y5)) (* 62 ?y1)) (* 72 x1)) 0)) (and (= (+ (+ (+ (* 4 ?y6) (* 18 ?y5)) ?v_2) ?v_3) 93) (< (+ (+ (+ (+ (* (- 62) ?y6) (* 41 ?y5)) (* 79 ?y3)) (* 2 ?y1)) (* (- 27) x1)) (- 8)))) (or (or (>= (+ (+ (+ (* (- 21) ?y6) ?v_4) (* 49 ?y1)) (* 21 x1)) 64) (> (+ (+ (+ (* (- 14) ?y6) (* (- 59) ?y5)) (* 33 ?y2)) (* 80 ?y1)) 41)) (or (not (= (+ (+ (+ (* 11 ?y6) (* 5 ?y5)) (* (- 30) ?y2)) (* (- 69) ?y1)) 0)) (> (+ (+ (+ (* 34 ?y6) ?v_5) (* (- 80) ?y3)) (* (- 19) x1)) 14)))) (and (and (or (= (+ (+ (+ (+ (* 68 ?y6) (* (- 63) ?y5)) (* 49 ?y3)) (* (- 74) ?y1)) (* 7 x1)) (- 30)) (< (+ (+ (+ (+ (* 80 ?y5) (* (- 52) ?y3)) (* (- 24) ?y2)) (* (- 61) ?y1)) (* (- 11) x1)) 13)) (or (< (+ (+ (+ (+ (+ (* 90 ?y6) ?v_5) (* (- 47) ?y3)) (* (- 8) ?y2)) (* (- 89) ?y1)) (* 84 x1)) (- 98)) (not (= (+ (+ (* (- 77) ?y5) (* (- 23) ?y3)) (* (- 4) ?y2)) 0)))) (and (and (<= (+ (+ (+ (+ (+ (* 43 ?y6) (* 76 ?y5)) (* (- 82) ?y3)) (* 68 ?y2)) (* 52 ?y1)) (* 73 x1)) 6) (= (+ (+ (+ (+ (* 1 ?y5) (* 5 ?y3)) (* (- 64) ?y2)) (* 20 ?y1)) (* (- 99) x1)) 27)) (> (+ (+ (+ (+ (* (- 60) ?y6) (* (- 41) ?y5)) (* 93 ?y3)) (* 57 ?y1)) (* (- 70) x1)) 0))))))) (forall ((?y6 Real)) (let ((?v_7 (* (- 62) ?y6)) (?v_6 (* (- 12) ?y2))) (or (or (and (<= (+ (+ (+ (+ (* 15 ?y6) (* (- 33) ?y5)) (* (- 19) ?y3)) (* (- 100) ?y2)) (* (- 21) ?y1)) 0) (not (= (+ (+ (+ (* (- 57) ?y5) (* 15 ?y3)) (* 79 ?y1)) (* (- 43) x1)) 17))) (or (not (= (+ (+ (+ ?v_7 (* (- 35) ?y3)) (* 7 ?y1)) (* 69 x1)) 0)) (> (+ (+ (+ (* (- 98) ?y5) (* 69 ?y3)) (* (- 75) ?y2)) (* 86 ?y1)) 47))) (or (or (and (and (not (= (+ (+ (+ (* 46 ?y5) (* (- 79) ?y3)) (* (- 89) ?y1)) (* (- 66) x1)) 0)) (< (+ (+ (+ (+ (+ (* 80 ?y6) (* 44 ?y5)) (* (- 74) ?y3)) ?v_6) (* 62 ?y1)) (* 70 x1)) (- 83))) (<= (+ (* 37 ?y5) ?v_6) 62)) (or (or (not (= (+ (+ (+ (* 76 ?y5) (* (- 20) ?y3)) (* (- 17) ?y2)) (* 35 ?y1)) 0)) (< (+ (+ (* (- 77) ?y6) (* (- 90) ?y5)) (* 67 ?y2)) (- 95))) (>= (+ (* (- 6) ?y2) (* 94 x1)) 79))) (and (or (>= (+ (+ (+ (* 17 ?y3) (* 28 ?y2)) (* (- 58) ?y1)) (* (- 36) x1)) (- 29)) (<= (+ (+ (* (- 59) ?y5) (* (- 25) ?y1)) (* (- 49) x1)) (- 1))) (>= (+ (+ (+ (+ ?v_7 (* (- 96) ?y3)) (* 68 ?y2)) (* 47 ?y1)) (* (- 33) x1)) (- 35))))))))) (or (or (exists ((?y5 Real)) (and (or (and (exists ((?y6 Real)) (or (= (+ (+ (+ (* (- 39) ?y5) (* 45 ?y2)) (* (- 51) ?y1)) (* 33 x1)) (- 36)) (<= (+ (* (- 38) ?y3) (* 22 ?y2)) 0))) (forall ((?y6 Real)) (and (<= (+ (+ (* 83 ?y5) (* (- 21) ?y1)) (* 36 x1)) 0) (< (+ (+ (+ (+ (* 30 ?y5) (* 37 ?y3)) (* (- 15) ?y2)) (* (- 50) ?y1)) (* 90 x1)) 16)))) (forall ((?y6 Real)) (or (> (+ (+ (+ (+ (+ (* (- 60) ?y6) (* (- 66) ?y5)) (* 9 ?y3)) (* (- 1) ?y2)) (* 87 ?y1)) (* (- 90) x1)) 0) (>= (+ (+ (+ (* 17 ?y6) (* (- 90) ?y5)) (* (- 70) ?y3)) (* 34 x1)) (- 68))))) (exists ((?y6 Real)) (let ((?v_8 (* 73 ?y6)) (?v_9 (* (- 70) ?y2))) (or (or (or (<= (+ (+ (+ (+ (* (- 35) ?y6) (* (- 96) ?y5)) (* (- 40) ?y2)) (* (- 46) ?y1)) (* 95 x1)) 6) (< (+ (+ (+ (+ (+ ?v_8 (* (- 82) ?y5)) (* (- 55) ?y3)) (* 32 ?y2)) (* (- 45) ?y1)) (* 45 x1)) 73)) (or (> (+ (+ (+ (* 46 ?y6) (* 21 ?y2)) (* 97 ?y1)) (* (- 56) x1)) 83) (= (+ (+ (+ (+ (* 88 ?y5) (* 88 ?y3)) ?v_9) (* 65 ?y1)) (* 6 x1)) (- 72)))) (or (and (= (+ (+ (+ (+ (* 8 ?y5) (* (- 99) ?y3)) (* 66 ?y2)) (* 13 ?y1)) (* (- 65) x1)) 42) (not (= (+ (+ (+ (+ ?v_8 (* (- 97) ?y5)) (* 21 ?y3)) (* 82 ?y1)) (* (- 49) x1)) (- 55)))) (<= (+ (* 3 ?y5) ?v_9) 59))))))) (or (and (exists ((?y5 Real)) (or (or (<= (+ (+ (+ (* (- 57) ?y3) (* 69 ?y2)) (* 100 ?y1)) (* 22 x1)) (- 28)) (exists ((?y6 Real)) (< (+ (+ (+ (+ (* 35 ?y6) (* (- 23) ?y5)) (* 9 ?y3)) (* 14 ?y2)) (* 36 ?y1)) (- 56)))) (exists ((?y6 Real)) (not (= (+ (+ (+ (+ (* (- 76) ?y6) (* 40 ?y3)) (* 60 ?y2)) (* (- 54) ?y1)) (* (- 37) x1)) 0))))) (<= (+ (+ (* (- 13) ?y3) (* 79 ?y1)) (* (- 95) x1)) 0)) (or (or (or (= (+ (+ (* 13 ?y3) (* (- 41) ?y2)) (* (- 87) ?y1)) 6) (not (= (+ (+ (* 27 ?y3) (* 77 ?y2)) (* 70 ?y1)) 56))) (and (> (+ (* 15 ?y3) (* 100 ?y1)) (- 85)) (= (+ (* (- 75) ?y2) (* 40 x1)) (- 9)))) (or (or (not (= (+ (+ (+ ?v_0 (* (- 61) ?y2)) (* 4 ?y1)) (* (- 75) x1)) 0)) (< (+ (+ (+ (* (- 79) ?y3) (* 79 ?y2)) (* (- 78) ?y1)) (* 68 x1)) (- 32))) (and (> (+ (+ (* (- 94) ?y3) (* 41 ?y2)) (* (- 98) ?y1)) (- 82)) (> (+ (* 56 ?y3) (* (- 28) ?y1)) 62)))))) (and (and (or (or (exists ((?y6 Real)) (>= (+ (+ (* 74 ?y6) (* 18 ?y3)) (* (- 63) ?y1)) 0)) (exists ((?y5 Real)) (forall ((?y6 Real)) (and (>= (+ (+ (+ (+ (* (- 70) ?y6) (* (- 87) ?y5)) (* 76 ?y3)) (* 40 ?y1)) (* (- 27) x1)) 46) (< (+ (+ (+ (* 42 ?y6) (* (- 75) ?y5)) (* 63 ?y2)) (* 26 x1)) 58))))) (forall ((?y4 Real)) (forall ((?y5 Real)) (and (or (not (= (+ (+ (+ (* (- 4) ?y5) (* (- 14) ?y4)) (* 95 ?y1)) (* 20 x1)) 0)) (not (= (+ (+ (+ (+ (* (- 1) ?y5) (* (- 94) ?y4)) (* 16 ?y3)) (* 89 ?y2)) (* 43 x1)) 0))) (and (> (+ (+ (+ (+ (* (- 90) ?y5) (* 12 ?y4)) (* 57 ?y2)) (* (- 28) ?y1)) (* (- 28) x1)) 29) (< (+ (+ (+ (* 83 ?y4) (* (- 9) ?y2)) (* (- 11) ?y1)) (* 79 x1)) (- 5))))))) (and (or (or (>= (+ (+ ?v_0 (* 91 ?y1)) (* (- 64) x1)) 49) (< (+ (* 34 ?y3) (* 87 x1)) 16)) (or (> (+ (+ (+ (* (- 92) ?y3) (* (- 45) ?y2)) (* 66 ?y1)) (* (- 43) x1)) (- 55)) (not (= (+ (+ (* 54 ?y3) (* (- 51) ?y2)) (* 57 ?y1)) 0)))) (or (>= (+ (+ (+ (* 45 ?y3) (* 97 ?y2)) (* (- 63) ?y1)) (* (- 57) x1)) (- 71)) (> (+ (+ (+ (* (- 35) ?y3) (* (- 14) ?y2)) (* (- 59) ?y1)) (* 16 x1)) 27)))) (forall ((?y4 Real)) (let ((?v_10 (* 75 ?y3))) (or (and (or (<= (+ (+ (+ (+ (* (- 38) ?y4) (* (- 98) ?y3)) (* (- 78) ?y2)) (* 98 ?y1)) (* 82 x1)) 48) (> (+ (+ (+ (* 29 ?y4) ?v_10) (* 44 ?y1)) (* (- 23) x1)) (- 91))) (and (> (+ (+ ?v_10 (* 77 ?y1)) (* 31 x1)) (- 67)) (> (+ (+ (* 34 ?y4) (* 95 ?y3)) (* 59 x1)) (- 79)))) (forall ((?y6 Real)) (or (and (or (>= (+ (+ (* (- 44) ?y6) (* (- 46) ?y2)) (* 93 ?y1)) (- 11)) (= (+ (+ (+ (* (- 4) ?y6) (* (- 98) ?y4)) (* (- 29) ?y2)) (* (- 65) x1)) 63)) (or (>= (+ (+ (+ (* 98 ?y6) (* 82 ?y3)) (* 66 ?y1)) (* 49 x1)) 25) (> (+ (+ (+ (+ (* (- 76) ?y6) (* 95 ?y4)) (* 73 ?y3)) (* (- 42) ?y2)) (* 8 ?y1)) 5))) (or (and (>= (+ (+ (+ (* 9 ?y6) (* 96 ?y3)) (* (- 71) ?y1)) (* 78 x1)) (- 11)) (> (+ (+ (+ (+ (+ (* (- 72) ?y6) (* 53 ?y4)) (* (- 62) ?y3)) (* (- 79) ?y2)) (* 65 ?y1)) (* 45 x1)) (- 22))) (or (> (+ (+ (+ (* 49 ?y4) (* 15 ?y3)) (* 65 ?y2)) (* 23 ?y1)) 74) (<= (+ (+ (* 39 ?y4) (* (- 95) ?y3)) (* 75 x1)) (- 87)))))))))))))))) (or (and (or (or (and (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (and (or (<= (+ (+ (* (- 75) ?y6) (* (- 74) ?y5)) (* 41 ?y2)) 0) (not (= (+ (+ (+ (+ (+ (* 67 ?y6) (* 99 ?y5)) (* 89 ?y4)) (* (- 93) ?y3)) (* 30 ?y2)) (* (- 75) x1)) (- 46)))) (not (= (+ (+ (+ (+ (* 1 ?y6) (* 81 ?y5)) (* 7 ?y4)) (* (- 32) ?y3)) (* (- 92) ?y2)) (- 96))))))))) (or (exists ((?y2 Real)) (and (forall ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (not (= (+ (+ (+ (* (- 56) ?y6) (* (- 80) ?y4)) (* (- 47) ?y2)) (* (- 67) x1)) 42))))) (or (exists ((?y3 Real)) (forall ((?y5 Real)) (not (= (+ (+ (* (- 85) ?y5) (* 82 ?y3)) (* 5 x1)) 48)))) (exists ((?y3 Real)) (exists ((?y4 Real)) (and (< (+ (+ (+ (* 72 ?y4) (* 53 ?y3)) (* (- 17) ?y2)) (* (- 86) x1)) 34) (<= (+ (+ (* (- 88) ?y4) (* 44 ?y2)) (* 24 x1)) 0))))))) (or (forall ((?y2 Real)) (and (and (or (exists ((?y3 Real)) (< (+ (+ (* 79 ?y3) (* 92 ?y2)) (* (- 93) x1)) 34)) (forall ((?y3 Real)) (< (+ (+ (* 30 ?y3) (* (- 76) ?y2)) (* 99 x1)) 4))) (or (< (* 30 x1) (- 74)) (<= (* (- 80) ?y2) 47))) (exists ((?y3 Real)) (forall ((?y4 Real)) (> (+ (+ (+ (* 28 ?y4) (* (- 41) ?y3)) (* (- 84) ?y2)) (* 57 x1)) 0))))) (or (exists ((?y2 Real)) (exists ((?y5 Real)) (>= (+ (* 18 ?y5) (* 28 ?y2)) 16))) (forall ((?y2 Real)) (or (and (< (* 88 ?y2) 0) (<= (+ (* 21 ?y2) (* 99 x1)) 98)) (forall ((?y3 Real)) (or (>= (+ (* 24 ?y2) (* 12 x1)) 0) (> (+ (* (- 6) ?y3) (* 23 ?y2)) (- 91)))))))))) (and (forall ((?y2 Real)) (or (forall ((?y3 Real)) (and (exists ((?y6 Real)) (>= (+ (* 84 ?y6) (* 33 ?y3)) 0)) (and (and (= (+ (+ (* 74 ?y3) (* 41 ?y2)) (* 46 x1)) 0) (not (= (+ (+ (* (- 87) ?y3) (* 28 ?y2)) (* 28 x1)) 75))) (forall ((?y5 Real)) (not (= (+ (* (- 62) ?y3) (* 83 x1)) 60)))))) (and (and (and (and (> (+ (* 12 ?y2) (* (- 41) x1)) (- 72)) (and (not (= (+ (* 20 ?y2) (* 7 x1)) 59)) (>= (* 77 ?y2) (- 59)))) (exists ((?y3 Real)) (and (<= (+ (+ (* 26 ?y3) (* 80 ?y2)) (* 58 x1)) 0) (not (= (+ (* (- 19) ?y2) (* 4 x1)) 0))))) (and (and (exists ((?y3 Real)) (> (+ (* 8 ?y3) (* (- 13) ?y2)) 14)) (exists ((?y3 Real)) (< (* 24 ?y3) 52))) (forall ((?y3 Real)) (< (+ (* (- 95) ?y3) (* 4 ?y2)) 76)))) (and (or (exists ((?y3 Real)) (or (< (+ (+ (* (- 97) ?y3) (* (- 24) ?y2)) (* 23 x1)) 97) (< (+ (+ (* (- 20) ?y3) (* 86 ?y2)) (* (- 39) x1)) 76))) (exists ((?y3 Real)) (or (not (= (+ (+ (* 100 ?y3) (* 40 ?y2)) (* 3 x1)) 0)) (< (* 78 x1) 55)))) (exists ((?y3 Real)) (or (and (>= (+ (+ (* (- 64) ?y3) (* 29 ?y2)) (* (- 55) x1)) (- 35)) (> (+ (* (- 89) ?y2) (* 100 x1)) (- 58))) (or (not (= (+ (+ (* 92 ?y3) (* 23 ?y2)) (* (- 70) x1)) 59)) (< (+ (+ (* 58 ?y3) (* 82 ?y2)) (* (- 35) x1)) 43)))))))) (or (exists ((?y2 Real)) (forall ((?y3 Real)) (and (<= (* (- 6) x1) (- 46)) (exists ((?y6 Real)) (not (= (+ (+ (* (- 75) ?y6) (* (- 49) ?y3)) (* (- 16) ?y2)) 35)))))) (forall ((?y2 Real)) (or (exists ((?y3 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (> (+ (+ (+ (+ (* (- 22) ?y6) (* (- 22) ?y5)) (* 96 ?y3)) (* (- 77) ?y2)) (* 67 x1)) 0)))) (exists ((?y3 Real)) (and (and (< (+ (+ (* 36 ?y3) (* 8 ?y2)) (* (- 29) x1)) 0) (>= (+ (* (- 86) ?y3) (* (- 60) x1)) (- 29))) (or (forall ((?y4 Real)) (not (= (+ (+ (+ (* 91 ?y4) (* (- 44) ?y3)) (* (- 43) ?y2)) (* 59 x1)) 0))) (or (<= (+ (+ (* (- 50) ?y3) (* 75 ?y2)) (* 39 x1)) 0) (> (* (- 4) x1) 77)))))))))) (forall ((?y2 Real)) (and (exists ((?y3 Real)) (exists ((?y4 Real)) (and (or (and (and (and (<= (+ (+ (+ (* (- 80) ?y4) (* (- 5) ?y3)) (* 31 ?y2)) (* 22 x1)) 45) (<= (+ (+ (* 80 ?y3) (* 34 ?y2)) (* (- 39) x1)) 21)) (or (not (= (+ (+ (* 68 ?y4) (* (- 67) ?y3)) (* (- 89) x1)) 0)) (= (+ (* 10 ?y2) (* 74 x1)) 30))) (and (or (= (+ (* 28 ?y4) (* (- 46) ?y3)) 42) (>= (+ (* (- 25) ?y3) (* 91 x1)) (- 83))) (= (+ (+ (* 19 ?y4) (* 7 ?y3)) (* 14 x1)) 71))) (and (exists ((?y6 Real)) (= (+ (+ (+ (* 11 ?y6) (* (- 99) ?y4)) (* (- 77) ?y2)) (* (- 38) x1)) 0)) (exists ((?y5 Real)) (and (> (+ (+ (+ (* (- 61) ?y4) (* (- 53) ?y3)) (* (- 89) ?y2)) (* (- 78) x1)) (- 64)) (<= (+ (+ (+ (+ (* 65 ?y5) (* (- 68) ?y4)) (* (- 69) ?y3)) (* (- 41) ?y2)) (* 59 x1)) 0))))) (exists ((?y5 Real)) (and (and (forall ((?y6 Real)) (<= (+ (+ (+ (* 51 ?y6) (* 54 ?y4)) (* 62 ?y3)) (* (- 12) x1)) 57)) (or (< (+ (+ (+ (+ (* (- 11) ?y5) (* 25 ?y4)) (* 19 ?y3)) (* (- 3) ?y2)) (* 21 x1)) (- 95)) (< (+ (+ (+ (+ (* (- 77) ?y5) (* 29 ?y4)) (* 82 ?y3)) (* (- 7) ?y2)) (* (- 69) x1)) 73))) (forall ((?y6 Real)) (or (not (= (+ (+ (* (- 19) ?y6) (* 45 ?y2)) (* (- 56) x1)) 0)) (= (+ (+ (+ (+ (+ (* 50 ?y6) (* 75 ?y5)) (* 10 ?y4)) (* 15 ?y3)) (* (- 38) ?y2)) (* 55 x1)) (- 39))))))))) (forall ((?y5 Real)) (let ((?v_11 (* 17 x1))) (or (or (> (+ (* 74 ?y2) (* (- 1) x1)) (- 7)) (or (< (+ (* (- 75) ?y5) (* (- 33) ?y2)) 0) (not (= (+ (* (- 12) ?y2) ?v_11) 60)))) (or (and (< (+ (* 84 ?y5) (* (- 14) x1)) 0) (not (= (* (- 27) ?y2) 42))) (and (not (= (+ (+ (* (- 16) ?y5) (* (- 97) ?y2)) ?v_11) (- 57))) (<= (+ (+ (* (- 58) ?y5) (* 70 ?y2)) (* (- 67) x1)) 26))))))))) (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_12 (* 51 ?y4)) (?v_13 (* 76 ?y2))) (or (and (or (and (= (+ (+ (* 69 ?y5) (* 72 ?y4)) (* 14 ?y2)) 45) (or (< (+ (+ (* 3 ?y5) (* 76 ?y4)) (* 35 x1)) (- 38)) (> (+ (+ (+ (+ (* (- 44) ?y5) (* (- 71) ?y4)) (* (- 37) ?y3)) (* (- 33) ?y2)) (* (- 87) x1)) 99))) (or (and (not (= (+ (+ (+ (+ (* 98 ?y5) (* (- 40) ?y4)) (* 17 ?y3)) (* (- 43) ?y2)) (* 16 x1)) 96)) (< (+ (+ (+ (+ (* (- 56) ?y5) ?v_12) (* (- 69) ?y3)) (* 13 ?y2)) (* (- 71) x1)) 97)) (and (<= (+ (* (- 14) ?y5) (* 79 ?y2)) 29) (= (+ (* (- 84) ?y5) (* (- 60) x1)) (- 37))))) (and (and (> (+ (+ (+ (+ (* (- 70) ?y5) (* (- 61) ?y4)) (* (- 41) ?y3)) ?v_13) (* 63 x1)) 68) (<= (+ (+ (* 60 ?y5) (* 39 ?y2)) (* (- 53) x1)) (- 18))) (or (<= (+ (+ (+ (* (- 42) ?y5) (* 67 ?y4)) (* 68 ?y3)) (* 50 ?y2)) (- 51)) (< (+ (* (- 4) ?y5) (* 74 ?y2)) (- 95))))) (or (or (and (and (not (= (+ (+ (+ (+ (* (- 18) ?y5) ?v_12) (* (- 90) ?y3)) (* (- 8) ?y2)) (* 54 x1)) 42)) (not (= (+ (+ (+ (+ (* (- 10) ?y5) (* (- 11) ?y4)) (* (- 46) ?y3)) ?v_13) (* 19 x1)) 75))) (> (+ (+ (* (- 8) ?y5) (* 41 ?y3)) (* (- 26) x1)) 47)) (and (= (+ (+ (+ (* 57 ?y5) (* (- 88) ?y4)) (* 97 ?y3)) (* (- 3) ?y2)) 9) (and (> (+ (+ (+ (* (- 5) ?y5) (* 66 ?y4)) (* 36 ?y2)) (* 61 x1)) 39) (> (+ (+ (+ (* (- 54) ?y5) (* (- 10) ?y4)) (* 5 ?y3)) (* (- 64) x1)) 54)))) (and (and (or (= (+ (+ (* (- 40) ?y5) (* 25 ?y4)) (* 91 ?y3)) 20) (<= (+ (+ (* 7 ?y4) (* 88 ?y2)) (* (- 39) x1)) 95)) (and (<= (+ (+ (* 22 ?y5) (* 1 ?y4)) (* (- 60) ?y2)) 53) (< (+ (+ (+ (* 33 ?y4) (* (- 81) ?y3)) (* (- 72) ?y2)) (* 82 x1)) (- 14)))) (and (< (+ (+ (* 45 ?y4) (* 43 ?y3)) (* (- 6) x1)) (- 2)) (and (>= (+ (* (- 10) ?y3) (* 71 ?y2)) (- 14)) (> (+ (+ (* 60 ?y4) (* (- 24) ?y3)) (* (- 38) x1)) 0)))))))))))) (and (exists ((?y1 Real)) (exists ((?y2 Real)) (or (and (or (exists ((?y4 Real)) (forall ((?y5 Real)) (or (< (+ (+ (+ (* (- 30) ?y5) (* 48 ?y4)) (* (- 70) ?y2)) (* 52 ?y1)) 70) (> (+ (+ (+ (* 27 ?y5) (* (- 94) ?y4)) (* 1 ?y2)) (* (- 8) ?y1)) 47)))) (forall ((?y4 Real)) (and (and (and (or (not (= (+ (* (- 22) ?y2) (* (- 12) x1)) 0)) (< (+ (+ (* 8 ?y4) (* (- 6) ?y2)) (* 4 ?y1)) 43)) (or (> (+ (+ (* 38 ?y2) (* 72 ?y1)) (* 61 x1)) 29) (= (+ (+ (* (- 27) ?y4) (* (- 37) ?y2)) (* 81 x1)) (- 30)))) (exists ((?y5 Real)) (and (= (+ (+ (+ (* (- 25) ?y5) (* (- 87) ?y4)) (* 95 ?y1)) (* 29 x1)) 39) (<= (+ (+ (+ (* 3 ?y5) (* 62 ?y2)) (* 36 ?y1)) (* (- 47) x1)) 0)))) (exists ((?y5 Real)) (exists ((?y6 Real)) (or (< (+ (+ (* 58 ?y6) (* (- 81) ?y4)) (* 27 ?y2)) (- 2)) (>= (+ (+ (+ (+ (+ (* 40 ?y6) (* (- 15) ?y5)) (* (- 36) ?y4)) (* 69 ?y2)) (* (- 38) ?y1)) (* (- 59) x1)) 0))))))) (or (and (forall ((?y3 Real)) (and (exists ((?y5 Real)) (forall ((?y6 Real)) (<= (+ (+ (+ (+ (* 19 ?y5) (* 32 ?y3)) (* (- 48) ?y2)) (* (- 82) ?y1)) (* (- 87) x1)) 0))) (exists ((?y4 Real)) (exists ((?y6 Real)) (not (= (+ (+ (+ (* (- 69) ?y3) (* 48 ?y2)) (* (- 19) ?y1)) (* 11 x1)) (- 58))))))) (forall ((?y3 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (or (not (= (+ (+ (+ (+ (* (- 83) ?y5) (* 44 ?y3)) (* (- 59) ?y2)) (* (- 52) ?y1)) (* 91 x1)) 35)) (<= (+ (* 31 ?y3) (* 37 ?y2)) 0)))))) (or (or (exists ((?y3 Real)) (and (exists ((?y4 Real)) (exists ((?y5 Real)) (not (= (+ (+ (+ (* (- 45) ?y5) (* 47 ?y4)) (* 54 ?y3)) (* 79 x1)) (- 21))))) (exists ((?y5 Real)) (not (= (+ (+ (+ (* 31 ?y5) (* (- 61) ?y3)) (* (- 51) ?y2)) (* 19 ?y1)) 0))))) (or (or (and (<= (+ (+ (* (- 4) ?y2) (* 32 ?y1)) (* 13 x1)) 0) (or (<= (+ (* 64 ?y2) (* (- 27) ?y1)) (- 28)) (not (= (* 62 ?y2) 72)))) (and (exists ((?y3 Real)) (<= (+ (+ (+ (* 69 ?y3) (* 67 ?y2)) (* 92 ?y1)) (* 100 x1)) (- 13))) (>= (* (- 53) x1) (- 53)))) (and (or (exists ((?y3 Real)) (<= (+ (+ (+ (* 38 ?y3) (* (- 55) ?y2)) (* 79 ?y1)) (* (- 2) x1)) 38)) (forall ((?y3 Real)) (> (+ (+ (* (- 58) ?y3) (* (- 84) ?y2)) (* 59 x1)) 15))) (forall ((?y3 Real)) (let ((?v_14 (* 3 ?y1))) (and (not (= (+ (+ (+ (* (- 97) ?y3) (* 83 ?y2)) ?v_14) (* (- 25) x1)) 96)) (>= (+ (+ (* (- 76) ?y3) (* 41 ?y2)) ?v_14) 82))))))) (or (forall ((?y4 Real)) (and (not (= (+ (* (- 79) ?y2) (* 53 x1)) (- 9))) (or (= (+ (+ (+ (* (- 92) ?y4) (* 23 ?y2)) (* 79 ?y1)) (* 65 x1)) (- 60)) (not (= (+ (+ (* 100 ?y4) (* 50 ?y1)) (* 13 x1)) 92))))) (forall ((?y4 Real)) (forall ((?y5 Real)) (and (not (= (+ (* 51 ?y5) (* (- 19) ?y2)) (- 88))) (not (= (+ (+ (+ (+ (* (- 6) ?y5) (* 84 ?y4)) (* (- 63) ?y2)) (* 74 ?y1)) (* (- 100) x1)) 0))))))))) (forall ((?y4 Real)) (and (forall ((?y6 Real)) (let ((?v_15 (* (- 67) ?y6))) (or (and (= (+ (+ (+ (* (- 60) ?y6) (* 97 ?y2)) (* (- 59) ?y1)) (* (- 2) x1)) (- 39)) (or (>= (+ (+ (+ (+ (* 18 ?y6) (* (- 68) ?y4)) (* (- 90) ?y2)) (* (- 6) ?y1)) (* (- 70) x1)) 94) (= (+ (+ (+ (* 47 ?y6) (* (- 7) ?y4)) (* (- 9) ?y2)) (* (- 71) x1)) 59))) (or (and (<= (+ (+ (+ ?v_15 (* 23 ?y4)) (* (- 91) ?y2)) (* (- 82) x1)) 17) (> (+ (+ (+ (+ (* (- 11) ?y6) (* (- 75) ?y4)) (* 82 ?y2)) (* 4 ?y1)) (* 25 x1)) 81)) (or (= (+ (+ (+ (+ (* 90 ?y6) (* (- 32) ?y4)) (* (- 46) ?y2)) (* 10 ?y1)) (* (- 50) x1)) 0) (<= (+ (+ (+ (+ ?v_15 (* (- 6) ?y4)) (* 6 ?y2)) (* (- 29) ?y1)) (* (- 11) x1)) 41)))))) (or (and (or (exists ((?y6 Real)) (< (+ (+ (+ (* (- 2) ?y4) (* 58 ?y2)) (* (- 48) ?y1)) (* 46 x1)) 1)) (forall ((?y6 Real)) (> (+ (+ (* 9 ?y4) (* 62 ?y2)) (* (- 71) x1)) 90))) (and (exists ((?y5 Real)) (or (< (+ (+ (+ (* (- 35) ?y5) (* 18 ?y4)) (* (- 1) ?y1)) (* 27 x1)) 46) (not (= (+ (+ (+ (* 80 ?y4) (* 19 ?y2)) (* (- 18) ?y1)) (* (- 89) x1)) 95)))) (exists ((?y6 Real)) (> (+ (+ (+ (* (- 69) ?y4) (* (- 3) ?y2)) (* (- 10) ?y1)) (* 81 x1)) (- 87))))) (forall ((?y6 Real)) (and (not (= (+ (+ (+ (* 68 ?y6) (* (- 19) ?y4)) (* (- 67) ?y2)) (* 20 x1)) (- 97))) (not (= (+ (* 86 ?y6) (* (- 20) ?y4)) 80)))))))))) (exists ((?y1 Real)) (or (exists ((?y2 Real)) (exists ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_18 (* 14 ?y1)) (?v_16 (* (- 25) ?y5)) (?v_17 (* (- 24) ?y2))) (or (or (or (or (= (+ (+ (+ (* (- 32) ?y6) ?v_16) (* (- 20) ?y4)) (* 91 ?y1)) 12) (not (= (+ (+ (+ (* (- 69) ?y6) (* (- 22) ?y5)) (* (- 99) ?y4)) (* (- 67) x1)) (- 100)))) (or (< (+ (+ (+ (+ (+ (* 90 ?y6) (* 20 ?y5)) (* (- 98) ?y4)) (* (- 95) ?y2)) (* (- 71) ?y1)) (* (- 79) x1)) (- 23)) (not (= (+ (+ (+ (* 76 ?y6) (* (- 12) ?y4)) (* (- 62) ?y1)) (* 94 x1)) 80)))) (and (and (<= (+ (+ (+ (+ (+ (* (- 33) ?y6) (* (- 94) ?y5)) (* (- 3) ?y4)) (* 97 ?y2)) (* 50 ?y1)) (* (- 84) x1)) 0) (> (+ (+ (+ (+ (* 7 ?y5) (* (- 69) ?y4)) (* 87 ?y2)) ?v_18) (* (- 94) x1)) (- 100))) (or (<= (+ (+ (+ (+ (* 49 ?y6) ?v_16) (* 62 ?y2)) (* 38 ?y1)) (* (- 6) x1)) (- 33)) (< (+ (+ (+ (+ (+ (* (- 40) ?y6) (* (- 76) ?y5)) (* (- 92) ?y4)) (* 35 ?y2)) (* (- 88) ?y1)) (* (- 20) x1)) (- 71))))) (or (or (< (+ (+ (+ (* (- 40) ?y5) ?v_17) (* (- 87) ?y1)) (* 35 x1)) 34) (> (+ (+ (+ (+ (* 52 ?y6) (* (- 67) ?y5)) ?v_17) (* (- 60) ?y1)) (* 11 x1)) (- 84))) (or (not (= (+ (+ (+ (+ (+ (* 98 ?y6) (* (- 75) ?y5)) (* 25 ?y4)) (* 67 ?y2)) (* 41 ?y1)) (* (- 35) x1)) 63)) (> (+ (+ (+ (+ (+ (* 97 ?y6) (* 53 ?y5)) (* (- 5) ?y4)) (* 45 ?y2)) ?v_18) (* 44 x1)) 21))))))))) (exists ((?y2 Real)) (and (forall ((?y3 Real)) (exists ((?y5 Real)) (and (and (forall ((?y6 Real)) (>= (+ (+ (* (- 23) ?y6) (* (- 75) ?y5)) (* (- 24) ?y1)) (- 80))) (or (or (<= (+ (+ (* (- 49) ?y5) (* 6 ?y3)) (* (- 51) ?y2)) 0) (< (+ (+ (* 44 ?y5) (* 24 ?y3)) (* 74 ?y2)) 49)) (not (= (+ (+ (+ (* (- 45) ?y5) (* 44 ?y3)) (* 100 ?y2)) (* 24 ?y1)) 15)))) (or (and (forall ((?y6 Real)) (< (+ (+ (+ (+ (* 75 ?y6) (* 86 ?y5)) (* 28 ?y2)) (* (- 50) ?y1)) (* (- 83) x1)) 43)) (and (< (+ (+ (+ (* (- 12) ?y5) (* (- 16) ?y2)) (* (- 91) ?y1)) (* 23 x1)) (- 11)) (>= (+ (+ (+ (* 76 ?y3) (* 25 ?y2)) (* 84 ?y1)) (* (- 50) x1)) 0))) (or (> (+ (+ (+ (* 85 ?y5) (* 90 ?y3)) (* (- 56) ?y1)) (* (- 8) x1)) 60) (< (+ (+ (* 34 ?y3) (* 100 ?y1)) (* 95 x1)) 0)))))) (forall ((?y3 Real)) (or (and (exists ((?y4 Real)) (and (exists ((?y5 Real)) (> (+ (+ (* 21 ?y4) (* (- 62) ?y2)) (* 6 x1)) 71)) (and (or (> (+ (+ (+ (+ (* (- 78) ?y4) (* (- 10) ?y3)) (* (- 33) ?y2)) (* 20 ?y1)) (* (- 50) x1)) (- 75)) (not (= (+ (+ (* 49 ?y4) (* (- 13) ?y2)) (* 55 x1)) 66))) (exists ((?y5 Real)) (= (+ (+ (+ (* (- 4) ?y5) (* 14 ?y4)) (* (- 72) ?y2)) (* 92 ?y1)) 26))))) (forall ((?y4 Real)) (or (or (and (= (+ (+ (* 2 ?y2) (* 82 ?y1)) (* (- 80) x1)) 0) (>= (+ (+ (* (- 48) ?y4) (* 35 ?y2)) (* 79 x1)) 88)) (exists ((?y5 Real)) (> (+ (+ (+ (+ (+ (* 56 ?y5) (* 21 ?y4)) (* 2 ?y3)) (* (- 52) ?y2)) (* 62 ?y1)) (* 73 x1)) 0))) (and (not (= (+ (+ (+ (* (- 23) ?y4) (* 88 ?y2)) (* 91 ?y1)) (* (- 28) x1)) 17)) (< (+ (* 83 ?y3) (* 88 ?y1)) (- 50)))))) (exists ((?y4 Real)) (exists ((?y5 Real)) (let ((?v_19 (* 81 ?y3))) (or (and (> (+ (+ (+ (+ (* (- 93) ?y4) ?v_19) (* (- 17) ?y2)) (* (- 74) ?y1)) (* 25 x1)) (- 22)) (> (+ (+ (+ (+ (* (- 26) ?y5) (* 4 ?y4)) (* 28 ?y3)) (* 63 ?y2)) (* 80 x1)) 47)) (and (= (+ (+ (+ (+ (* 75 ?y5) (* (- 55) ?y4)) ?v_19) (* (- 67) ?y1)) (* (- 1) x1)) (- 21)) (<= (+ (+ (+ (* 52 ?y5) (* 87 ?y4)) (* (- 40) ?y2)) (* (- 3) x1)) 48))))))))))))))))
(check-sat)
(exit)
