(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y1 () Real)
(assert (or (and (and (and (exists ((?y2 Real)) (or (forall ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (and (forall ((?y6 Real)) (and (and (< (* (- 38) ?y3) 79) (not (= (+ (+ (+ (* 34 ?y6) (* 29 ?y5)) (* 43 ?y4)) (* 85 ?y2)) 77))) (or (< (+ (+ (+ (* (- 12) ?y6) (* (- 19) ?y4)) (* (- 57) ?y3)) (* 5 x1)) (- 53)) (= (+ (+ (* (- 27) ?y3) (* 26 ?y2)) (* (- 66) x1)) 51)))) (or (and (= (+ (+ (+ (* 37 ?y4) (* 18 ?y3)) (* 74 ?y2)) (* (- 13) x1)) 0) (> (+ (+ (* (- 25) ?y5) (* 93 ?y4)) (* 99 ?y3)) 0)) (< (+ (* 90 ?y4) (* 37 ?y2)) (- 56))))))) (or (exists ((?y3 Real)) (and (forall ((?y5 Real)) (or (or (not (= (+ (+ (* 50 ?y5) (* (- 97) ?y2)) (* 58 x1)) (- 54))) (not (= (+ (+ (+ (* (- 44) ?y5) (* (- 3) ?y3)) (* 74 ?y2)) (* 51 x1)) 30))) (forall ((?y6 Real)) (<= (+ (+ (+ (* (- 26) ?y5) (* 21 ?y3)) (* (- 70) ?y2)) (* 42 x1)) (- 94))))) (or (exists ((?y6 Real)) (>= (+ (+ (* 27 ?y6) (* (- 35) ?y2)) (* (- 47) x1)) 0)) (exists ((?y6 Real)) (= (+ (+ (+ (* (- 42) ?y6) (* (- 14) ?y3)) (* 97 ?y2)) (* (- 67) x1)) 90))))) (and (exists ((?y5 Real)) (exists ((?y6 Real)) (or (> (+ (+ (* 4 ?y6) (* 21 ?y5)) (* (- 44) ?y2)) 62) (not (= (+ (+ (* (- 36) ?y5) (* 95 ?y2)) (* (- 62) x1)) (- 28)))))) (exists ((?y3 Real)) (exists ((?y4 Real)) (exists ((?y5 Real)) (and (forall ((?y6 Real)) (>= (+ (+ (+ (+ (* (- 2) ?y6) (* (- 39) ?y4)) (* (- 24) ?y3)) (* (- 63) ?y2)) (* (- 1) x1)) 34)) (>= (+ (+ (+ (* 78 ?y5) (* 25 ?y3)) (* 96 ?y2)) (* (- 3) x1)) (- 83)))))))))) (forall ((?y1 Real)) (forall ((?y2 Real)) (and (forall ((?y4 Real)) (forall ((?y5 Real)) (and (or (or (not (= (+ (+ (+ (+ (* (- 64) ?y5) (* (- 63) ?y4)) (* 3 ?y2)) (* 39 ?y1)) (* (- 20) x1)) 12)) (= (+ (+ (+ (* (- 1) ?y5) (* (- 34) ?y2)) (* 91 ?y1)) (* (- 61) x1)) 0)) (or (< (+ (+ (* (- 70) ?y2) (* 11 ?y1)) (* (- 77) x1)) 0) (> (+ (+ (* 39 ?y5) (* (- 94) ?y4)) (* (- 19) x1)) (- 27)))) (forall ((?y6 Real)) (< (+ (+ (+ (+ (* (- 91) ?y6) (* (- 61) ?y4)) (* 20 ?y2)) (* 58 ?y1)) (* (- 51) x1)) 25))))) (or (forall ((?y4 Real)) (or (exists ((?y5 Real)) (> (+ (+ (* (- 35) ?y5) (* (- 78) ?y4)) (* (- 17) x1)) (- 49))) (forall ((?y5 Real)) (and (and (< (+ (+ (+ (+ (* 65 ?y5) (* (- 88) ?y4)) (* (- 50) ?y2)) (* 80 ?y1)) (* (- 20) x1)) 22) (>= (+ (+ (+ (+ (* (- 7) ?y5) (* 18 ?y4)) (* (- 60) ?y2)) (* 96 ?y1)) (* 18 x1)) 0)) (or (>= (+ (* 6 ?y5) (* (- 17) x1)) (- 77)) (= (+ (+ (+ (+ (* (- 41) ?y5) (* (- 100) ?y4)) (* 46 ?y2)) (* (- 46) ?y1)) (* 23 x1)) (- 81))))))) (and (forall ((?y4 Real)) (and (forall ((?y5 Real)) (or (= (+ (* 60 ?y1) (* 55 x1)) 51) (> (+ (+ (* (- 23) ?y4) (* 51 ?y2)) (* (- 25) x1)) (- 55)))) (exists ((?y6 Real)) (> (+ (+ (* (- 71) ?y6) (* 58 ?y4)) (* (- 6) ?y1)) 0)))) (or (forall ((?y4 Real)) (and (or (<= (+ (+ (* 98 ?y4) (* (- 11) ?y2)) (* 46 ?y1)) 0) (<= (* (- 70) x1) 0)) (or (>= (+ (+ (* 74 ?y2) (* (- 25) ?y1)) (* 87 x1)) (- 2)) (= (+ (+ (+ (* 30 ?y4) (* 56 ?y2)) (* (- 98) ?y1)) (* 35 x1)) 96)))) (forall ((?y5 Real)) (not (= (+ (* 19 ?y2) (* 30 x1)) 0)))))))))) (or (and (forall ((?y1 Real)) (exists ((?y2 Real)) (forall ((?y3 Real)) (and (or (and (and (< (+ (+ (+ (* 98 ?y3) (* (- 97) ?y2)) (* (- 52) ?y1)) (* (- 84) x1)) 0) (> (+ (+ (* 92 ?y3) (* (- 80) ?y1)) (* 40 x1)) 0)) (and (> (+ (+ (+ (* (- 94) ?y3) (* (- 17) ?y2)) (* 13 ?y1)) (* (- 82) x1)) (- 42)) (forall ((?y5 Real)) (<= (+ (* (- 62) ?y1) (* (- 81) x1)) (- 45))))) (forall ((?y6 Real)) (>= (+ (+ (+ (+ (* (- 88) ?y6) (* (- 58) ?y3)) (* 71 ?y2)) (* 29 ?y1)) (* (- 41) x1)) 0))) (forall ((?y5 Real)) (and (and (= (+ (+ (* (- 53) ?y2) (* 60 ?y1)) (* (- 9) x1)) 20) (>= (+ (* (- 43) ?y3) (* 61 ?y1)) (- 41))) (and (>= (+ (+ (+ (+ (* (- 53) ?y5) (* 27 ?y3)) (* 76 ?y2)) (* (- 63) ?y1)) (* 3 x1)) 94) (exists ((?y6 Real)) (not (= (+ (+ (+ (* (- 43) ?y6) (* (- 23) ?y5)) (* 10 ?y2)) (* 83 ?y1)) 0)))))))))) (exists ((?y1 Real)) (forall ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (or (or (and (> (+ (+ (* (- 72) ?y4) (* 9 ?y3)) (* (- 82) ?y2)) 5) (< (+ (+ (+ (* 1 ?y5) (* 11 ?y4)) (* 63 ?y2)) (* (- 62) ?y1)) 79)) (or (= (+ (+ (+ (+ (* 51 ?y4) (* (- 15) ?y3)) (* 46 ?y2)) (* 9 ?y1)) (* 87 x1)) 84) (<= (+ (+ (+ (+ (* 4 ?y5) (* 30 ?y4)) (* 71 ?y2)) (* (- 94) ?y1)) (* (- 31) x1)) 42))) (or (and (not (= (+ (* 23 ?y4) (* 55 x1)) (- 1))) (> (+ (+ (* (- 77) ?y2) (* (- 75) ?y1)) (* (- 38) x1)) (- 58))) (or (<= (+ (+ (+ (* 93 ?y5) (* (- 24) ?y3)) (* (- 37) ?y1)) (* 93 x1)) 0) (> (+ (+ (+ (+ (* (- 65) ?y4) (* 7 ?y3)) (* 18 ?y2)) (* (- 19) ?y1)) (* 77 x1)) (- 13))))))))))) (or (and (or (and (or (forall ((?y4 Real)) (exists ((?y5 Real)) (= (+ (+ (* (- 52) ?y5) (* (- 53) ?y4)) (* (- 38) x1)) (- 18)))) (not (= (* 74 x1) 0))) (exists ((?y4 Real)) (or (or (= (+ (* 92 ?y4) (* 89 x1)) 21) (< (* (- 56) x1) (- 56))) (and (> (+ (* (- 26) ?y4) (* (- 94) x1)) (- 82)) (< (* (- 33) ?y4) 55))))) (forall ((?y5 Real)) (forall ((?y6 Real)) (>= (+ (* 76 ?y6) (* 75 x1)) 0)))) (or (forall ((?y4 Real)) (exists ((?y6 Real)) (>= (+ (* (- 79) ?y6) (* 96 ?y4)) 61))) (exists ((?y4 Real)) (and (forall ((?y5 Real)) (or (>= (+ (* 93 ?y5) (* 89 x1)) (- 26)) (>= (+ (+ (* 16 ?y5) (* (- 25) ?y4)) (* (- 40) x1)) 0))) (forall ((?y5 Real)) (and (< (+ (* 43 ?y5) (* 88 x1)) (- 32)) (>= (* (- 29) ?y4) 0))))))) (and (forall ((?y3 Real)) (forall ((?y4 Real)) (or (or (or (>= (+ (* (- 83) ?y4) (* (- 82) ?y3)) 91) (>= (+ (* 4 ?y3) (* (- 79) x1)) (- 56))) (exists ((?y5 Real)) (>= (+ (+ (* (- 73) ?y5) (* 15 ?y3)) (* 14 x1)) (- 14)))) (or (<= (+ (* 50 ?y4) (* 13 ?y3)) 0) (forall ((?y5 Real)) (>= (+ (+ (* (- 50) ?y5) (* 94 ?y4)) (* 55 x1)) 37)))))) (forall ((?y2 Real)) (and (and (exists ((?y3 Real)) (or (or (forall ((?y4 Real)) (> (+ (* (- 51) ?y3) (* (- 51) ?y2)) 74)) (>= (+ (+ (* 27 ?y3) (* 33 ?y2)) (* 58 x1)) (- 65))) (and (or (= (+ (* 91 ?y2) (* (- 4) x1)) 0) (< (+ (+ (* 42 ?y3) (* 45 ?y2)) (* (- 68) x1)) (- 92))) (or (not (= (+ (* (- 67) ?y3) (* 39 ?y2)) 32)) (<= (+ (* (- 51) ?y3) (* (- 60) ?y2)) (- 78)))))) (or (or (exists ((?y3 Real)) (forall ((?y4 Real)) (>= (+ (+ (* (- 89) ?y4) (* (- 76) ?y2)) (* 100 x1)) (- 68)))) (exists ((?y4 Real)) (not (= (+ (* (- 65) ?y4) (* (- 56) ?y2)) (- 84))))) (or (forall ((?y4 Real)) (> (* (- 39) x1) 27)) (exists ((?y4 Real)) (not (= (+ (+ (* 43 ?y4) (* 91 ?y2)) (* (- 34) x1)) 63)))))) (and (forall ((?y3 Real)) (or (forall ((?y5 Real)) (< (+ (+ (* (- 77) ?y5) (* 26 ?y3)) (* (- 38) ?y2)) 0)) (and (= (+ (+ (* (- 10) ?y3) (* (- 100) ?y2)) (* (- 6) x1)) 11) (< (* 57 ?y2) 73)))) (and (forall ((?y3 Real)) (< (+ (+ (* (- 42) ?y3) (* 53 ?y2)) (* (- 42) x1)) 88)) (or (exists ((?y3 Real)) (< (+ (+ (* (- 98) ?y3) (* (- 42) ?y2)) (* 4 x1)) 52)) (exists ((?y3 Real)) (and (> (+ (* (- 89) ?y2) (* (- 35) x1)) (- 97)) (> (* (- 69) ?y3) (- 43))))))))))))) (forall ((?y1 Real)) (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (exists ((?y5 Real)) (let ((?v_2 (* 12 ?y5)) (?v_3 (* 38 ?y2)) (?v_16 (* 11 x1)) (?v_4 (* 74 ?y5)) (?v_0 (* 23 ?y4)) (?v_7 (* 78 ?y4)) (?v_11 (* 32 ?y3)) (?v_9 (* 58 ?y2)) (?v_12 (* 24 ?y4)) (?v_6 (* 86 ?y1)) (?v_15 (* 62 ?y2)) (?v_13 (* 69 ?y5)) (?v_8 (* (- 29) ?y4)) (?v_5 (* (- 91) ?y5)) (?v_17 (* (- 99) x1)) (?v_1 (* (- 1) ?y3)) (?v_10 (* (- 23) ?y1)) (?v_14 (* (- 35) ?y4))) (and (or (and (or (and (>= (+ (+ (+ (* (- 8) ?y5) (* 15 ?y3)) (* (- 3) ?y1)) (* (- 73) x1)) 61) (< (+ (+ ?v_2 ?v_8) (* 71 ?y3)) 1)) (and (>= (+ (+ (+ (* 68 ?y5) (* 64 ?y4)) (* (- 14) ?y3)) (* 30 ?y1)) (- 47)) (not (= (+ (+ (+ (* 7 ?y4) (* (- 32) ?y3)) (* 2 ?y2)) (* (- 21) ?y1)) (- 42))))) (and (and (not (= (+ (+ (+ (+ (* (- 80) ?y5) (* 79 ?y4)) (* 45 ?y2)) (* 1 ?y1)) (* (- 82) x1)) 48)) (<= (+ (+ (* 46 ?y5) (* (- 47) ?y4)) (* 14 ?y2)) 38)) (or (< (+ (+ (* 41 ?y4) (* 90 ?y3)) (* 50 ?y1)) 0) (<= (+ (+ (+ (+ ?v_5 (* (- 55) ?y4)) (* 63 ?y3)) ?v_3) (* (- 60) ?y1)) 35)))) (and (or (< (+ (+ (* (- 78) ?y4) (* 66 ?y3)) ?v_16) 25) (or (>= (+ (+ (+ (+ (+ ?v_4 ?v_0) (* 83 ?y3)) (* (- 50) ?y2)) (* (- 41) ?y1)) (* 37 x1)) (- 80)) (> (+ (+ (+ (+ (* 65 ?y5) (* (- 28) ?y4)) (* (- 97) ?y3)) (* (- 31) ?y2)) ?v_17) 0))) (or (and (<= (+ (+ (+ ?v_0 ?v_1) (* 73 ?y2)) (* (- 97) ?y1)) (- 19)) (= (+ (+ (* 49 ?y5) (* 42 ?y3)) (* 50 ?y2)) 0)) (and (not (= (+ (+ (+ (* 34 ?y3) (* 28 ?y2)) (* 80 ?y1)) (* (- 67) x1)) (- 66))) (<= (+ (+ (+ (* 74 ?y4) ?v_1) (* 94 ?y1)) (* 96 x1)) (- 73)))))) (and (and (and (and (or (> (+ (+ (+ (+ (* (- 18) ?y5) (* 45 ?y3)) (* 33 ?y2)) (* (- 63) ?y1)) (* (- 34) x1)) (- 28)) (<= (+ (+ (+ (+ ?v_2 (* (- 30) ?y4)) (* 11 ?y2)) (* 91 ?y1)) (* 58 x1)) 0)) (or (not (= (+ (+ ?v_3 (* 40 ?y1)) (* 61 x1)) (- 4))) (not (= (+ (+ (+ (+ (+ (* (- 40) ?y5) ?v_7) (* 96 ?y3)) (* (- 2) ?y2)) (* (- 72) ?y1)) (* 52 x1)) (- 22))))) (or (and (= (+ (+ (+ (+ (+ (* (- 42) ?y5) (* 37 ?y4)) (* 65 ?y3)) (* 9 ?y2)) ?v_10) (* 9 x1)) (- 63)) (< (+ (+ (+ (* 77 ?y5) (* (- 16) ?y3)) (* 10 ?y2)) (* 58 ?y1)) 1)) (or (>= (+ (+ ?v_4 (* 95 ?y3)) (* 65 ?y2)) 0) (> (+ (+ (+ (+ (+ (* 42 ?y5) (* (- 18) ?y4)) ?v_11) ?v_9) (* (- 53) ?y1)) (* (- 51) x1)) 20)))) (or (or (or (not (= (+ (+ (+ (* 52 ?y5) (* 35 ?y4)) (* 96 ?y2)) (* (- 88) ?y1)) 0)) (< (+ (+ (+ ?v_5 ?v_12) (* 5 ?y3)) (* (- 98) ?y1)) 13)) (> (+ (+ (+ (+ (+ (* (- 7) ?y5) (* 94 ?y4)) (* (- 44) ?y3)) (* 3 ?y2)) ?v_6) (* (- 33) x1)) 0)) (and (and (>= (+ (+ (+ (+ (+ (* (- 99) ?y5) (* 68 ?y4)) (* 7 ?y3)) (* (- 65) ?y2)) ?v_6) (* (- 81) x1)) (- 98)) (= (+ (+ (+ (+ ?v_7 (* 13 ?y3)) (* 94 ?y2)) (* (- 73) ?y1)) (* (- 13) x1)) (- 36))) (or (= (+ (+ (+ (+ (+ (* (- 56) ?y5) ?v_8) (* 27 ?y3)) ?v_15) (* 88 ?y1)) (* (- 66) x1)) 87) (>= (+ (+ (+ (* (- 38) ?y4) ?v_9) ?v_10) (* 54 x1)) 55))))) (or (or (and (and (= (+ (+ (+ (+ (+ ?v_2 (* 63 ?y4)) (* (- 57) ?y3)) (* 91 ?y2)) (* (- 77) ?y1)) (* (- 98) x1)) 72) (= (+ (+ (+ (+ (* (- 46) ?y5) (* 80 ?y4)) ?v_11) (* (- 38) ?y1)) (* 7 x1)) (- 15))) (and (>= (+ (+ (+ (+ ?v_13 ?v_12) (* 77 ?y3)) (* 85 ?y2)) (* 27 x1)) 73) (< (+ (+ (+ (* 28 ?y5) (* 87 ?y4)) (* 82 ?y3)) (* (- 60) ?y2)) 52))) (or (or (> (+ (+ (+ (* (- 89) ?y5) ?v_14) (* (- 42) ?y2)) ?v_6) 47) (not (= (+ (+ (+ (+ (* (- 26) ?y5) (* (- 12) ?y4)) (* (- 28) ?y2)) (* (- 99) ?y1)) (* (- 38) x1)) 0))) (or (<= (+ (+ (+ (+ (* (- 49) ?y5) (* (- 39) ?y4)) (* (- 77) ?y3)) (* (- 51) ?y2)) (* (- 14) x1)) 66) (>= (+ (+ (+ (* 63 ?y5) (* (- 60) ?y3)) (* (- 54) ?y2)) (* (- 17) ?y1)) 0)))) (or (and (>= (+ (+ (+ (+ (* 82 ?y5) (* 67 ?y4)) (* (- 61) ?y2)) (* (- 15) ?y1)) (* (- 30) x1)) 10) (> (+ (+ (+ ?v_13 (* 81 ?y3)) (* (- 10) ?y2)) (* (- 100) x1)) 0)) (or (= (+ (* 4 ?y5) ?v_14) 77) (and (= (+ (+ (+ (+ (* (- 4) ?y4) (* 2 ?y3)) ?v_15) (* 11 ?y1)) ?v_16) 66) (= (+ (+ (+ (+ ?v_4 (* (- 92) ?y4)) (* 48 ?y3)) (* 7 ?y2)) ?v_17) 21)))))))))))))) (exists ((?y1 Real)) (forall ((?y2 Real)) (and (forall ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_18 (* 47 ?y2)) (?v_28 (* 41 ?y1)) (?v_27 (* 94 ?y2)) (?v_29 (* 48 ?y6)) (?v_24 (* 60 ?y5)) (?v_30 (* (- 73) x1)) (?v_26 (* (- 33) x1)) (?v_22 (* (- 77) ?y6)) (?v_21 (* (- 2) ?y4)) (?v_20 (* (- 42) ?y4)) (?v_19 (* (- 97) ?y1)) (?v_23 (* (- 26) ?y3)) (?v_25 (* (- 53) ?y1))) (and (and (and (or (and (or (= (+ (+ (+ (+ (+ (+ ?v_22 (* 67 ?y5)) (* (- 45) ?y4)) (* 83 ?y3)) (* 80 ?y2)) (* (- 71) ?y1)) (* 27 x1)) 0) (not (= (+ (+ (+ (+ (* (- 44) ?y6) (* (- 37) ?y5)) (* 80 ?y4)) (* (- 80) ?y2)) (* 83 x1)) 84))) (and (> (+ (+ (+ (+ (+ (* (- 46) ?y6) (* 86 ?y5)) (* 58 ?y4)) (* (- 8) ?y3)) ?v_18) (* (- 83) ?y1)) 33) (> (+ (+ (+ (+ (+ (+ (* 8 ?y6) (* (- 42) ?y5)) (* (- 28) ?y4)) (* (- 22) ?y3)) (* 79 ?y2)) (* 73 ?y1)) (* 3 x1)) (- 36)))) (and (or (> (+ (+ (+ (* (- 71) ?y6) (* (- 88) ?y5)) ?v_21) (* (- 8) ?y2)) 0) (<= (+ (+ (+ (+ (+ (* 84 ?y6) (* 13 ?y5)) (* (- 18) ?y4)) (* 84 ?y3)) (* 25 ?y2)) (* (- 69) x1)) (- 79))) (or (>= (+ (+ (+ (* 90 ?y6) (* 33 ?y3)) ?v_18) (* 77 x1)) 7) (<= (+ (+ (+ (* 34 ?y6) (* 95 ?y3)) (* 91 ?y1)) (* 34 x1)) (- 100))))) (or (or (>= (+ (+ (+ (+ (* (- 82) ?y5) (* (- 30) ?y3)) (* 11 ?y2)) (* 48 ?y1)) (* 99 x1)) 40) (or (> (+ (+ (+ (+ (+ (+ (* (- 5) ?y6) (* (- 10) ?y5)) ?v_20) (* 77 ?y3)) (* 9 ?y2)) (* (- 33) ?y1)) ?v_30) 57) (>= (+ (+ (+ (+ (* (- 53) ?y6) (* 76 ?y5)) (* 94 ?y4)) (* 70 ?y2)) (* (- 40) x1)) (- 41)))) (>= (+ (+ (+ (+ (* 18 ?y5) (* (- 64) ?y4)) (* (- 87) ?y3)) (* (- 37) ?y2)) (* 79 ?y1)) 16))) (or (and (or (= (+ (+ (+ (+ (+ (+ (* (- 74) ?y6) (* (- 73) ?y5)) (* 26 ?y4)) (* 26 ?y3)) (* (- 61) ?y2)) (* (- 70) ?y1)) (* (- 79) x1)) (- 6)) (> (+ (+ (+ (+ (+ (* 40 ?y6) (* (- 81) ?y5)) (* 75 ?y4)) (* (- 47) ?y3)) ?v_28) (* (- 10) x1)) (- 19))) (or (>= (+ (+ (+ (+ (* 46 ?y5) (* 90 ?y4)) (* (- 66) ?y3)) (* 30 ?y2)) (* 1 ?y1)) 94) (< (+ (+ (+ (+ (+ (+ (* (- 83) ?y6) (* (- 74) ?y5)) (* 42 ?y4)) (* (- 31) ?y3)) ?v_27) (* 62 ?y1)) (* (- 96) x1)) (- 86)))) (or (or (<= (+ (+ (* (- 45) ?y5) (* (- 40) ?y2)) (* (- 50) ?y1)) 0) (<= (+ (+ (+ (* (- 69) ?y6) (* (- 86) ?y4)) (* (- 92) ?y3)) (* (- 37) x1)) 0)) (or (< (+ (+ (+ (+ (* (- 18) ?y6) (* (- 60) ?y3)) (* 77 ?y2)) (* 45 ?y1)) (* (- 83) x1)) (- 32)) (< (+ (+ (+ (+ (+ (* (- 92) ?y6) (* 64 ?y4)) (* (- 6) ?y3)) (* (- 87) ?y2)) (* 13 ?y1)) (* (- 65) x1)) 16))))) (and (or (or (or (= (+ (+ (+ (+ (+ (* 75 ?y6) (* 6 ?y5)) (* 70 ?y4)) (* (- 39) ?y2)) (* (- 60) ?y1)) (* 79 x1)) 57) (not (= (+ (+ (+ (+ (* (- 63) ?y5) (* 1 ?y4)) (* 37 ?y3)) ?v_19) (* (- 62) x1)) 11))) (or (= (+ (+ (+ (+ (+ ?v_29 (* (- 48) ?y5)) (* (- 34) ?y4)) ?v_23) ?v_19) (* (- 70) x1)) (- 45)) (= (+ (+ (+ (+ (+ (+ (* (- 94) ?y6) (* 96 ?y5)) ?v_20) (* 9 ?y3)) (* 19 ?y2)) (* 89 ?y1)) (* (- 100) x1)) (- 90)))) (and (or (and (>= (+ (* (- 29) ?y5) (* (- 57) x1)) (- 8)) (< (+ (+ (+ (+ (* (- 21) ?y6) (* (- 90) ?y5)) (* (- 52) ?y2)) (* 51 ?y1)) ?v_26) 67)) (<= (+ (+ (+ (+ (* 11 ?y6) (* (- 84) ?y5)) (* 15 ?y4)) (* (- 79) ?y2)) (* (- 68) x1)) 36)) (and (or (>= (+ (+ (+ (+ ?v_24 (* (- 12) ?y3)) (* (- 51) ?y2)) (* (- 47) ?y1)) (* (- 34) x1)) 34) (< (+ (+ (+ (+ (* (- 66) ?y5) ?v_21) (* 83 ?y2)) (* 28 ?y1)) (* 65 x1)) 0)) (or (not (= (+ (+ (+ ?v_22 (* (- 12) ?y4)) ?v_23) (* 17 x1)) 75)) (>= (+ (+ (+ (+ (+ (+ (* (- 76) ?y6) (* (- 77) ?y5)) (* 38 ?y4)) (* 35 ?y3)) (* 41 ?y2)) (* (- 67) ?y1)) (* (- 9) x1)) (- 65)))))) (or (or (and (and (> (+ (+ (+ (+ (* 70 ?y6) ?v_24) (* (- 35) ?y4)) (* (- 28) ?y2)) (* 70 ?y1)) 0) (> (+ (+ (+ (+ (* (- 93) ?y6) ?v_24) (* 66 ?y4)) (* 81 ?y2)) ?v_25) 0)) (and (not (= (+ (+ (+ (+ (+ (+ (* (- 85) ?y6) (* (- 13) ?y5)) (* 86 ?y4)) (* (- 68) ?y3)) (* 17 ?y2)) (* 72 ?y1)) (* 26 x1)) 0)) (< (+ (+ (+ (+ (+ (+ (* (- 51) ?y6) (* 90 ?y5)) (* 2 ?y4)) (* 8 ?y3)) (* (- 63) ?y2)) (* 74 ?y1)) (* 24 x1)) 0))) (or (> (+ (+ (+ (+ (* (- 78) ?y5) (* (- 72) ?y3)) (* 23 ?y2)) (* (- 19) ?y1)) (* 78 x1)) (- 7)) (<= (+ (+ (+ (+ (* 3 ?y6) (* (- 48) ?y4)) (* 96 ?y3)) ?v_25) (* (- 75) x1)) 0))) (and (and (or (= (+ (+ (* (- 94) ?y4) (* (- 99) ?y3)) ?v_26) 0) (= (+ (+ (+ (+ (+ (* 71 ?y6) (* (- 100) ?y4)) (* (- 27) ?y3)) ?v_27) ?v_28) (* 62 x1)) 0)) (and (<= (+ (+ (+ (+ ?v_29 (* (- 91) ?y5)) (* (- 49) ?y4)) (* (- 61) ?y3)) ?v_30) 44) (>= (+ (+ (+ (+ (+ (* 22 ?y6) (* 97 ?y5)) (* (- 91) ?y4)) (* 74 ?y3)) (* (- 26) ?y1)) (* 48 x1)) (- 41)))) (< (+ (+ (+ (+ (+ (+ (* 27 ?y6) (* (- 24) ?y5)) (* 89 ?y4)) (* (- 93) ?y3)) (* 65 ?y2)) (* 97 ?y1)) (* 84 x1)) (- 17))))))))))) (forall ((?y4 Real)) (exists ((?y5 Real)) (let ((?v_33 (* (- 60) ?y4)) (?v_32 (* (- 21) ?y2)) (?v_31 (* (- 90) ?y1))) (and (or (or (and (or (< (+ (+ (* 94 ?y2) (* 32 ?y1)) (* (- 52) x1)) (- 32)) (or (not (= (+ (+ (+ (* 100 ?y5) (* (- 76) ?y2)) (* (- 61) ?y1)) (* 63 x1)) 99)) (> (+ (+ (+ (* 23 ?y5) (* (- 9) ?y4)) (* 38 ?y2)) (* (- 58) ?y1)) 0))) (or (<= (+ (* 78 ?y4) (* 77 ?y1)) (- 33)) (> (* (- 90) ?y5) 47))) (or (or (not (= (+ (* 69 ?y4) (* (- 77) ?y1)) 5)) (or (= (+ (+ (+ (* (- 80) ?y5) (* (- 92) ?y4)) (* 51 ?y2)) (* (- 49) x1)) (- 19)) (<= (+ (+ (+ (+ (* 65 ?y5) ?v_33) (* (- 49) ?y2)) (* (- 76) ?y1)) (* (- 84) x1)) (- 70)))) (and (or (> (+ (+ (+ (* 38 ?y5) (* 44 ?y4)) (* (- 7) ?y2)) (* (- 51) x1)) 0) (<= (+ ?v_32 (* (- 26) x1)) (- 82))) (or (<= (+ (+ (+ (* (- 20) ?y5) (* (- 72) ?y4)) (* 44 ?y2)) (* 93 ?y1)) (- 97)) (= (+ (+ (+ (+ (* (- 36) ?y5) (* 45 ?y4)) (* (- 56) ?y2)) ?v_31) (* (- 79) x1)) 0))))) (or (and (and (or (> (+ (+ (+ (* (- 32) ?y5) (* (- 16) ?y4)) ?v_31) (* (- 14) x1)) 51) (not (= (+ (+ (+ (* 63 ?y5) (* (- 84) ?y2)) (* 69 ?y1)) (* 58 x1)) (- 54)))) (>= (+ (+ (+ (* (- 87) ?y5) (* 22 ?y4)) (* (- 32) ?y2)) (* (- 69) x1)) 0)) (or (and (<= (+ (+ (+ (* 77 ?y5) (* (- 23) ?y4)) ?v_32) (* 12 x1)) 77) (< (+ (+ (* 59 ?y5) (* (- 14) ?y1)) (* (- 37) x1)) (- 11))) (and (< (+ (+ (+ (+ (* (- 73) ?y5) (* (- 2) ?y4)) (* (- 33) ?y2)) (* (- 7) ?y1)) (* (- 80) x1)) 46) (>= (+ (+ (* (- 53) ?y2) (* 5 ?y1)) (* (- 88) x1)) (- 68))))) (or (or (< (+ (+ (+ (+ (* 53 ?y5) ?v_33) (* 2 ?y2)) (* (- 35) ?y1)) (* (- 42) x1)) (- 86)) (>= (+ (+ (* (- 63) ?y4) (* (- 52) ?y2)) (* (- 28) ?y1)) 1)) (and (< (+ (+ (+ (* (- 12) ?y5) (* 38 ?y4)) (* (- 20) ?y2)) (* 32 x1)) 79) (>= (+ (* 34 ?y4) (* 85 x1)) 0))))) (forall ((?y6 Real)) (let ((?v_34 (* 51 ?y5)) (?v_35 (* 95 x1)) (?v_36 (* (- 2) x1))) (and (and (or (and (>= (+ (+ (+ (+ (* 11 ?y6) (* (- 28) ?y5)) (* 95 ?y2)) (* 34 ?y1)) (* (- 20) x1)) 37) (= (+ (+ (+ (+ (+ (* (- 54) ?y6) ?v_34) (* 57 ?y4)) (* 21 ?y2)) (* 66 ?y1)) (* (- 88) x1)) (- 46))) (or (< (+ (+ (+ (+ (* 39 ?y6) (* (- 55) ?y5)) (* (- 33) ?y4)) (* (- 71) ?y2)) (* (- 24) x1)) 0) (< (+ (+ (+ (+ (* (- 96) ?y6) (* (- 35) ?y5)) (* 44 ?y4)) (* (- 20) ?y1)) (* 47 x1)) 0))) (and (or (= (+ (+ ?v_34 (* (- 83) ?y2)) (* (- 10) ?y1)) 50) (> (+ (+ (+ (+ (* (- 73) ?y6) (* 59 ?y5)) (* (- 18) ?y4)) (* (- 14) ?y1)) (* (- 53) x1)) 0)) (or (< (+ (+ (+ (+ (* (- 74) ?y5) (* (- 1) ?y4)) (* (- 28) ?y2)) (* 6 ?y1)) (* 65 x1)) 0) (< (+ (+ (+ (+ (* 60 ?y5) (* 95 ?y4)) (* 77 ?y2)) (* (- 81) ?y1)) (* (- 40) x1)) (- 2))))) (and (and (and (and (= (+ (+ (* 12 ?y6) (* (- 21) ?y5)) (* (- 69) ?y2)) (- 24)) (not (= (+ (+ (+ (+ (+ (* (- 15) ?y6) (* 18 ?y5)) (* 79 ?y4)) (* 61 ?y2)) (* (- 19) ?y1)) ?v_35) 59))) (and (<= (+ (+ (+ (+ (* (- 16) ?y6) (* 68 ?y5)) (* 22 ?y4)) (* 9 ?y1)) ?v_36) (- 96)) (< (+ (+ (* (- 49) ?y6) (* 78 ?y4)) (* 76 ?y1)) 55))) (and (or (< (+ (+ (* 66 ?y6) (* (- 24) ?y5)) (* (- 13) x1)) (- 95)) (< (+ (+ (+ (* (- 59) ?y6) (* (- 85) ?y5)) (* 22 ?y1)) (* (- 66) x1)) 31)) (or (< (+ (+ (+ (* 4 ?y5) (* 63 ?y2)) (* (- 94) ?y1)) (* (- 14) x1)) (- 74)) (> (+ (+ (* 90 ?y6) (* (- 27) ?y4)) ?v_35) 83)))) (or (>= (+ (+ (+ (+ (* 11 ?y5) (* (- 32) ?y4)) (* 76 ?y2)) (* 91 ?y1)) ?v_36) 0) (or (or (not (= (+ (+ (* 90 ?y4) (* (- 1) ?y2)) (* (- 30) x1)) 0)) (> (+ (+ (+ (+ (* (- 11) ?y6) (* (- 61) ?y5)) (* (- 19) ?y4)) (* (- 58) ?y2)) (* (- 83) ?y1)) 29)) (<= (+ (+ (+ (* (- 82) ?y6) (* 50 ?y4)) (* 66 ?y2)) (* (- 9) ?y1)) (- 70)))))))))))))))))
(check-sat)
(exit)
