(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun y3 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y2 () Real)
(declare-fun y4 () Real)
(assert (and (forall ((?y3 Real)) (forall ((?y5 Real)) (and (exists ((?y6 Real)) (let ((?v_0 (* 2 ?y3)) (?v_1 (* 78 ?y5)) (?v_2 (* (- 36) ?y6))) (and (or (or (and (and (>= (+ (+ (* (- 33) ?y6) (* (- 16) ?y5)) (* 75 ?y3)) 94) (> (+ (+ (+ (* 56 ?y6) (* 24 ?y5)) (* (- 93) ?y3)) (* (- 29) x1)) 0)) (or (<= (+ (* (- 88) ?y5) (* (- 6) ?y3)) (- 64)) (<= (+ (+ (* 49 ?y5) (* (- 41) ?y3)) (* 63 x1)) (- 73)))) (and (and (not (= (+ (+ (* 58 ?y6) (* 50 ?y5)) (* (- 93) x1)) 87)) (>= (+ (+ (* 100 ?y5) (* 49 ?y3)) (* (- 10) x1)) 94)) (or (not (= (+ (+ (+ (* 100 ?y6) (* 63 ?y5)) ?v_0) (* (- 83) x1)) 75)) (= (+ (+ (* 91 ?y5) ?v_0) (* (- 17) x1)) 0)))) (and (and (or (>= (+ (* 84 ?y5) (* 46 x1)) 49) (= (+ (+ ?v_2 (* 1 ?y3)) (* 7 x1)) 8)) (or (> (+ (+ (* (- 19) ?y6) (* (- 12) ?y5)) (* 29 ?y3)) (- 12)) (> (+ (+ (* (- 76) ?y6) (* (- 20) ?y5)) (* 45 ?y3)) 93))) (or (and (= (+ (+ (+ (* (- 78) ?y6) (* (- 68) ?y5)) (* 59 ?y3)) (* 24 x1)) 68) (= (* 73 ?y5) 0)) (or (> (+ (+ (* (- 58) ?y6) ?v_1) (* 55 x1)) 0) (= (+ (* 55 ?y6) (* 86 x1)) 2))))) (or (or (and (>= (* (- 44) ?y5) (- 14)) (<= (+ (+ (+ (* (- 23) ?y6) (* (- 64) ?y5)) (* (- 36) ?y3)) (* 75 x1)) 0)) (and (< (* 73 ?y6) (- 2)) (> (* (- 43) ?y5) 77))) (and (or (= (+ (+ (* (- 48) ?y6) (* 82 ?y5)) (* 18 x1)) (- 63)) (= (+ ?v_1 (* 42 ?y3)) 42)) (>= (+ ?v_2 (* (- 48) ?y3)) (- 5))))))) (forall ((?y6 Real)) (let ((?v_6 (* 18 x1)) (?v_4 (* 12 ?y5)) (?v_8 (* 2 ?y5)) (?v_10 (* 93 x1)) (?v_7 (* (- 36) ?y5)) (?v_3 (* (- 28) ?y6)) (?v_5 (* (- 66) x1)) (?v_12 (* (- 74) ?y5)) (?v_11 (* (- 35) ?y5)) (?v_9 (* (- 53) x1))) (or (and (and (or (and (or (> (+ (+ (* (- 14) ?y6) ?v_7) (* (- 63) x1)) 14) (<= (+ (+ (+ ?v_3 ?v_4) (* (- 91) ?y3)) (* (- 69) x1)) 0)) (or (= (+ (+ (* 45 ?y6) (* (- 67) ?y5)) (* (- 54) ?y3)) 93) (= (+ (+ (+ ?v_3 (* (- 42) ?y5)) (* 96 ?y3)) (* 19 x1)) 18))) (or (or (< (+ (* (- 87) ?y3) (* 95 x1)) (- 35)) (= (+ (* (- 99) ?y6) (* 58 x1)) (- 27))) (or (<= (+ (+ (* (- 71) ?y5) (* 77 ?y3)) ?v_6) 0) (< (+ (+ (+ (* 70 ?y6) (* 50 ?y5)) (* (- 46) ?y3)) (* (- 68) x1)) (- 5))))) (and (and (or (>= (* 74 ?y3) (- 35)) (< (+ (* (- 83) ?y6) (* 86 ?y3)) 10)) (= (* 2 ?y3) 50)) (and (or (not (= (+ (+ (* (- 75) ?y5) (* 23 ?y3)) (* (- 81) x1)) 0)) (> (+ (+ (+ (* 27 ?y6) (* 32 ?y5)) (* (- 77) ?y3)) (* (- 21) x1)) 74)) (or (< (+ (+ (+ (* 36 ?y6) (* (- 32) ?y5)) (* (- 48) ?y3)) ?v_5) 1) (> (+ (* 55 ?y6) ?v_8) 74))))) (and (or (> ?v_4 83) (= (+ (+ (+ (* (- 35) ?y6) (* 69 ?y5)) (* 55 ?y3)) (* 98 x1)) 99)) (or (or (or (>= (+ (* (- 94) ?y5) (* (- 5) x1)) 0) (> (+ (+ (+ (* (- 87) ?y6) (* 11 ?y5)) (* 92 ?y3)) (* (- 39) x1)) (- 97))) (or (= (+ (+ (* 87 ?y6) (* (- 90) ?y3)) (* 34 x1)) (- 81)) (= (+ (* 74 ?y6) (* (- 98) ?y3)) (- 27)))) (or (= (+ (* (- 44) ?y5) ?v_10) (- 1)) (<= (+ (* (- 90) ?y6) (* 32 x1)) 5))))) (or (or (and (and (or (>= (+ (* 87 ?y5) (* 11 ?y3)) 88) (not (= (+ (+ (+ (* 2 ?y6) ?v_12) (* 73 ?y3)) (* 42 x1)) 0))) (or (<= (+ (+ (+ (* (- 39) ?y6) ?v_11) (* 91 ?y3)) ?v_5) (- 39)) (<= (+ (+ (+ (* 17 ?y6) (* (- 26) ?y5)) (* 20 ?y3)) ?v_6) (- 42)))) (and (and (>= (+ (+ (* 64 ?y6) (* (- 14) ?y5)) (* (- 33) ?y3)) 0) (not (= (+ (* 66 ?y3) ?v_9) (- 61)))) (and (> (+ (* (- 43) ?y6) ?v_7) (- 28)) (= (+ (+ (+ (* 53 ?y6) ?v_8) (* (- 24) ?y3)) (* (- 16) x1)) (- 3))))) (or (>= (+ (+ (* (- 17) ?y6) (* (- 68) ?y5)) (* (- 6) x1)) 73) (or (not (= (+ (* 74 ?y5) (* 72 x1)) (- 9))) (> (+ (+ (* 80 ?y6) (* 25 ?y3)) ?v_9) (- 69))))) (or (and (and (and (>= (+ (+ (* 34 ?y6) (* 56 ?y5)) (* (- 77) x1)) 0) (>= (+ (+ (+ (* 60 ?y6) (* (- 56) ?y5)) (* 68 ?y3)) ?v_10) 0)) (and (= (+ (+ (* 61 ?y6) (* (- 16) ?y5)) (* (- 38) ?y3)) (- 30)) (<= (+ (+ (+ (* 28 ?y6) (* (- 59) ?y5)) (* 72 ?y3)) (* (- 44) x1)) (- 57)))) (or (and (< (+ (+ (+ (* 32 ?y6) (* (- 31) ?y5)) (* (- 49) ?y3)) (* 39 x1)) (- 80)) (not (= (+ (* (- 48) ?y6) (* (- 50) x1)) (- 88)))) (or (> (+ (+ (* 65 ?y6) (* 84 ?y5)) (* (- 12) ?y3)) 95) (not (= (+ (+ ?v_11 (* (- 18) ?y3)) (* (- 8) x1)) 0))))) (or (or (and (>= (+ (+ (* 35 ?y6) (* 93 ?y5)) (* (- 56) ?y3)) 0) (= (+ (+ (* (- 25) ?y6) (* (- 86) ?y5)) (* (- 9) ?y3)) (- 42))) (or (<= (+ (* 30 ?y6) (* 62 x1)) 0) (not (= (+ (+ (* 11 ?y6) ?v_12) (* 29 x1)) (- 97))))) (or (and (<= (+ (* (- 84) ?y6) (* 47 ?y3)) 0) (= (+ (* (- 12) ?y6) (* 61 ?y3)) (- 42))) (or (not (= (+ (+ (* (- 95) ?y5) (* (- 81) ?y3)) (* (- 27) x1)) 0)) (>= (+ (+ (+ (* (- 7) ?y6) (* (- 96) ?y5)) (* 3 ?y3)) (* 63 x1)) (- 89))))))))))))) (and (exists ((?y2 Real)) (forall ((?y3 Real)) (exists ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_14 (* 68 ?y5)) (?v_16 (* 44 ?y3)) (?v_15 (* (- 16) x1)) (?v_13 (* (- 58) x1))) (and (and (or (and (= (+ (+ (* (- 95) ?y5) (* 5 ?y3)) (* 36 ?y2)) (- 31)) (<= (+ (+ (+ ?v_14 (* (- 24) ?y4)) (* 73 ?y2)) (* 95 x1)) (- 55))) (and (and (= (+ (+ (* (- 9) ?y3) (* 92 ?y2)) (* (- 56) x1)) (- 96)) (= (+ (* (- 84) ?y4) (* (- 6) ?y2)) (- 96))) (or (not (= (+ (+ (+ (+ (* (- 99) ?y5) (* (- 68) ?y4)) (* (- 51) ?y3)) (* (- 65) ?y2)) ?v_13) (- 70))) (>= (+ (+ (+ (* (- 40) ?y4) (* 96 ?y3)) (* 30 ?y2)) (* 88 x1)) 0)))) (and (and (and (or (>= (* 89 ?y3) 31) (> (+ (+ (* 22 ?y3) (* (- 27) ?y2)) ?v_13) (- 75))) (and (<= (* 82 ?y2) (- 58)) (>= (+ (+ (+ (+ ?v_14 (* 87 ?y4)) (* (- 18) ?y3)) (* 79 ?y2)) ?v_15) (- 86)))) (and (= (+ (+ (+ (* (- 59) ?y5) (* 30 ?y4)) (* (- 16) ?y3)) ?v_15) 6) (<= (+ (+ (+ (* 58 ?y5) (* (- 85) ?y4)) (* (- 58) ?y3)) (* (- 47) ?y2)) 0))) (and (and (>= (+ (+ (+ (* 85 ?y4) (* (- 34) ?y3)) (* (- 97) ?y2)) (* 49 x1)) 67) (or (= (+ (+ (+ (+ (* (- 36) ?y5) (* 90 ?y4)) (* 50 ?y3)) (* (- 25) ?y2)) (* (- 55) x1)) 0) (> (+ (+ (+ (* (- 21) ?y4) (* (- 88) ?y3)) (* 54 ?y2)) (* (- 5) x1)) 0))) (or (or (>= (+ (* 83 ?y3) (* (- 31) ?y2)) (- 26)) (not (= (+ (+ (+ (+ (* 37 ?y5) (* (- 77) ?y4)) (* (- 77) ?y3)) (* 7 ?y2)) (* (- 20) x1)) (- 30)))) (or (>= (+ (+ (* (- 42) ?y4) (* (- 35) ?y3)) (* (- 24) x1)) 97) (<= (+ (* 55 ?y5) (* 17 x1)) 5)))))) (and (and (or (and (= (+ (+ (+ (+ (* 25 ?y5) (* 33 ?y4)) (* 82 ?y3)) (* (- 94) ?y2)) (* (- 47) x1)) (- 21)) (> (+ (+ (* 21 ?y5) (* 14 ?y2)) (* (- 71) x1)) 32)) (> (+ (+ (+ (+ (* 40 ?y5) (* (- 13) ?y4)) (* (- 3) ?y3)) (* (- 84) ?y2)) (* (- 72) x1)) (- 54))) (and (and (and (forall ((?y6 Real)) (>= (+ (+ (+ (* 88 ?y6) (* 67 ?y4)) (* 3 ?y2)) (* 41 x1)) (- 23))) (or (not (= (+ (* 5 ?y4) (* 10 ?y3)) 14)) (>= (+ (+ (+ (* (- 34) ?y4) (* 94 ?y3)) (* (- 82) ?y2)) (* (- 91) x1)) 0))) (and (and (= (+ (+ (+ (* 77 ?y5) (* (- 29) ?y4)) (* (- 60) ?y3)) (* 76 ?y2)) 66) (>= (+ (+ (+ (* 83 ?y4) (* (- 5) ?y3)) (* 56 ?y2)) (* 69 x1)) 19)) (or (<= (+ (+ (+ (* (- 30) ?y5) (* 14 ?y4)) ?v_16) (* (- 19) x1)) (- 24)) (<= (+ (+ (+ (+ (* (- 77) ?y5) (* (- 20) ?y4)) ?v_16) (* (- 21) ?y2)) (* 55 x1)) 24)))) (forall ((?y6 Real)) (and (<= (+ (+ (* (- 33) ?y5) (* 52 ?y2)) (* (- 7) x1)) 44) (>= (+ (+ (+ (+ (* (- 26) ?y6) (* 65 ?y5)) (* (- 67) ?y4)) (* 68 ?y3)) (* (- 71) x1)) (- 56)))))) (exists ((?y6 Real)) (and (or (and (not (= (+ (+ (+ (+ (* (- 34) ?y6) (* (- 19) ?y5)) (* (- 15) ?y4)) (* (- 99) ?y3)) (* 62 ?y2)) 81)) (= (+ (+ (+ (+ (* (- 69) ?y6) (* (- 22) ?y4)) (* 19 ?y3)) (* (- 95) ?y2)) (* 54 x1)) 0)) (and (not (= (+ (+ (+ (+ (* 51 ?y6) (* (- 83) ?y5)) (* 94 ?y4)) (* 75 ?y3)) (* (- 64) x1)) 63)) (<= (+ (+ (* 54 ?y6) (* (- 83) ?y4)) (* (- 21) x1)) (- 76)))) (and (>= (+ (+ (+ (+ (+ (* 2 ?y6) (* (- 64) ?y5)) (* 55 ?y4)) (* 68 ?y3)) (* (- 8) ?y2)) (* 51 x1)) 0) (or (>= (+ (+ (+ (+ (+ (* (- 59) ?y6) (* 33 ?y5)) (* (- 20) ?y4)) (* 11 ?y3)) (* (- 23) ?y2)) (* 17 x1)) (- 20)) (>= (+ (+ (+ (+ (* 55 ?y6) (* (- 11) ?y5)) (* 49 ?y4)) (* (- 65) ?y3)) (* 26 ?y2)) 28)))))))))))) (exists ((?y2 Real)) (or (or (or (and (or (exists ((?y4 Real)) (or (or (exists ((?y5 Real)) (> (+ (* (- 42) ?y2) (* (- 73) x1)) 0)) (or (not (= (+ (* 22 ?y4) (* 49 x1)) (- 75))) (= (+ (* (- 61) ?y4) (* (- 37) ?y2)) (- 79)))) (> (+ (* (- 34) ?y4) (* (- 75) x1)) 66))) (or (and (exists ((?y4 Real)) (or (< (+ (* 78 ?y2) (* (- 39) x1)) 0) (>= (+ (+ (* 8 ?y4) (* 43 ?y2)) (* (- 22) x1)) (- 8)))) (exists ((?y3 Real)) (and (not (= (+ (+ (* (- 17) ?y3) (* 88 ?y2)) (* 49 x1)) 0)) (>= (+ (+ (* 34 ?y3) (* 23 ?y2)) (* (- 46) x1)) (- 44))))) (forall ((?y5 Real)) (or (< (+ (* 74 ?y5) (* (- 93) ?y2)) 46) (>= (+ (* (- 8) ?y5) (* 66 x1)) (- 38)))))) (and (and (or (or (forall ((?y4 Real)) (= (+ (* (- 67) ?y4) (* 23 ?y2)) 0)) (and (< (* (- 12) ?y2) 0) (< (* 64 x1) 70))) (and (< (+ (* 74 ?y2) (* 67 x1)) (- 59)) (= (* (- 31) ?y2) 15))) (and (exists ((?y5 Real)) (<= (+ (+ (* 42 ?y5) (* (- 58) ?y2)) (* (- 99) x1)) 3)) (or (forall ((?y4 Real)) (= (* (- 49) x1) (- 97))) (exists ((?y4 Real)) (>= (* 81 ?y4) (- 2)))))) (forall ((?y5 Real)) (and (or (= (+ (* (- 2) ?y5) (* 71 ?y2)) (- 90)) (< (* 32 x1) 97)) (< (+ (+ (* (- 23) ?y5) (* (- 66) ?y2)) (* (- 18) x1)) (- 8)))))) (exists ((?y3 Real)) (forall ((?y4 Real)) (and (<= (+ (+ (* (- 49) ?y4) (* (- 1) ?y2)) (* (- 58) x1)) 0) (or (< (+ (+ (* (- 40) ?y3) (* (- 61) ?y2)) (* (- 91) x1)) 0) (< (+ (+ (* (- 23) ?y3) (* 44 ?y2)) (* 81 x1)) (- 26))))))) (exists ((?y3 Real)) (or (forall ((?y5 Real)) (and (forall ((?y6 Real)) (let ((?v_17 (* 53 ?y5))) (and (and (not (= (+ (+ (+ (* 34 ?y6) (* 73 ?y5)) (* (- 46) ?y3)) (* (- 65) ?y2)) 69)) (> (+ (+ (* (- 5) ?y6) (* (- 91) ?y3)) (* 75 ?y2)) 0)) (and (= (+ (+ (+ (* 98 ?y6) ?v_17) (* (- 49) ?y2)) (* 11 x1)) 0) (= (+ (+ ?v_17 (* (- 85) ?y2)) (* (- 78) x1)) 0))))) (or (and (not (= (+ (+ (+ (* (- 26) ?y5) (* (- 25) ?y3)) (* (- 21) ?y2)) (* (- 77) x1)) 71)) (not (= (+ (+ (+ (* 80 ?y5) (* (- 44) ?y3)) (* 93 ?y2)) (* (- 90) x1)) 0))) (or (= (+ (+ (* 40 ?y5) (* (- 10) ?y3)) (* (- 98) x1)) 0) (= (+ (+ (* 19 ?y5) (* 85 ?y3)) (* (- 69) ?y2)) 96))))) (and (exists ((?y4 Real)) (or (forall ((?y5 Real)) (forall ((?y6 Real)) (>= (+ (+ (+ (+ (+ (* (- 68) ?y6) (* 92 ?y5)) (* 59 ?y4)) (* 64 ?y3)) (* 2 ?y2)) (* 94 x1)) (- 8)))) (or (forall ((?y6 Real)) (>= (+ (+ (+ (+ (* 19 ?y6) (* 94 ?y4)) (* (- 60) ?y3)) (* 49 ?y2)) (* 67 x1)) (- 8))) (or (not (= (+ (+ (* 97 ?y4) (* (- 42) ?y3)) (* (- 70) x1)) (- 60))) (not (= (+ (+ (* 78 ?y3) (* 36 ?y2)) (* 52 x1)) (- 48))))))) (forall ((?y4 Real)) (forall ((?y5 Real)) (or (and (<= (+ (+ (+ (+ (* (- 52) ?y5) (* 63 ?y4)) (* 100 ?y3)) (* 41 ?y2)) (* 6 x1)) 89) (> (+ (+ (+ (* 82 ?y5) (* (- 31) ?y4)) (* 3 ?y3)) (* 79 ?y2)) 0)) (and (forall ((?y6 Real)) (not (= (+ (+ (+ (+ (* 52 ?y6) (* (- 60) ?y5)) (* (- 8) ?y3)) (* (- 56) ?y2)) (* 87 x1)) 86))) (forall ((?y6 Real)) (= (+ (+ (* (- 18) ?y5) (* (- 15) ?y4)) (* 19 x1)) 90)))))))))) (and (forall ((?y3 Real)) (exists ((?y4 Real)) (exists ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_18 (* 48 ?y4))) (and (or (< (+ (+ (+ (+ (+ (* 88 ?y6) (* 25 ?y5)) (* 26 ?y4)) (* 20 ?y3)) (* (- 12) ?y2)) (* (- 96) x1)) 28) (< (+ (+ (* (- 45) ?y6) (* (- 40) ?y5)) (* 68 ?y4)) (- 35))) (and (or (> (+ (+ (+ (+ (* 43 ?y6) (* 17 ?y5)) (* 5 ?y4)) (* 95 ?y3)) (* 63 x1)) 0) (< (+ (+ (+ (+ (* 70 ?y6) (* 69 ?y5)) ?v_18) (* (- 38) ?y2)) (* 62 x1)) 0)) (and (< (+ (+ ?v_18 (* (- 40) ?y3)) (* (- 69) x1)) 40) (> (+ (+ (+ (* (- 19) ?y5) (* 17 ?y3)) (* 61 ?y2)) (* 97 x1)) 0))))))))) (forall ((?y3 Real)) (forall ((?y5 Real)) (or (exists ((?y6 Real)) (and (and (< (+ (+ (+ (* 42 ?y6) (* (- 36) ?y5)) (* 26 ?y2)) (* 93 x1)) (- 53)) (<= (+ (+ (+ (* 30 ?y6) (* (- 69) ?y3)) (* 4 ?y2)) (* 76 x1)) (- 48))) (and (and (<= (+ (+ (* 48 ?y3) (* 16 ?y2)) (* 19 x1)) (- 16)) (<= (+ (+ (+ (* (- 8) ?y6) (* 39 ?y5)) (* 96 ?y3)) (* (- 47) x1)) (- 13))) (or (>= (+ (+ (* 56 ?y3) (* (- 74) ?y2)) (* (- 56) x1)) 67) (< (+ (+ (+ (+ (* (- 21) ?y6) (* (- 40) ?y5)) (* 85 ?y3)) (* 38 ?y2)) (* 51 x1)) 0))))) (exists ((?y6 Real)) (or (and (or (<= (+ (+ (* (- 1) ?y6) (* (- 57) ?y5)) (* (- 61) ?y2)) (- 4)) (> (+ (+ (+ (+ (* (- 95) ?y6) (* 62 ?y5)) (* (- 18) ?y3)) (* 3 ?y2)) (* 77 x1)) 21)) (>= (+ (+ (+ (* 63 ?y5) (* 90 ?y3)) (* 13 ?y2)) (* (- 63) x1)) 0)) (or (or (= (+ (+ (+ (* 56 ?y6) (* (- 60) ?y5)) (* (- 38) ?y2)) (* (- 45) x1)) 0) (> (+ (+ (* (- 22) ?y6) (* 12 ?y2)) (* 1 x1)) (- 48))) (and (not (= (+ (+ (+ (+ (* 34 ?y6) (* 50 ?y5)) (* 57 ?y3)) (* (- 23) ?y2)) (* (- 23) x1)) 81)) (<= (+ (+ (+ (+ (* (- 57) ?y6) (* 5 ?y5)) (* (- 57) ?y3)) (* (- 91) ?y2)) (* (- 1) x1)) 86))))))))))))))
(check-sat)
(exit)
