(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y5 () Real)
(declare-fun x1 () Real)
(declare-fun y6 () Real)
(declare-fun y4 () Real)
(assert (forall ((?y2 Real)) (or (or (exists ((?y3 Real)) (or (and (or (and (exists ((?y5 Real)) (and (or (< (+ (+ (* 5 ?y5) (* 18 ?y3)) (* 47 x1)) (- 17)) (= (+ (+ (+ (* (- 26) ?y5) (* (- 99) ?y3)) (* (- 18) ?y2)) (* (- 49) x1)) (- 90))) (or (or (= (+ (* (- 11) ?y3) (* (- 74) x1)) 0) (= (+ (+ (+ (* (- 78) ?y5) (* (- 37) ?y3)) (* 70 ?y2)) (* (- 67) x1)) 0)) (or (< (+ (+ (+ (* (- 30) ?y5) (* (- 84) ?y3)) (* 34 ?y2)) (* 36 x1)) 0) (<= (+ (+ (* (- 14) ?y5) (* 78 ?y2)) (* 78 x1)) 53))))) (and (or (or (or (> (+ (* (- 87) ?y3) (* (- 5) ?y2)) (- 78)) (<= (* (- 33) ?y2) (- 73))) (forall ((?y5 Real)) (= (+ (+ (* (- 3) ?y5) (* (- 23) ?y2)) (* (- 14) x1)) 0))) (exists ((?y5 Real)) (forall ((?y6 Real)) (>= (+ (+ (+ (+ (* 47 ?y6) (* 84 ?y5)) (* (- 51) ?y3)) (* 8 ?y2)) (* 70 x1)) (- 65))))) (or (exists ((?y5 Real)) (exists ((?y6 Real)) (< (+ (+ (+ (+ (* (- 32) ?y6) (* (- 2) ?y5)) (* 86 ?y3)) (* 9 ?y2)) (* (- 74) x1)) 0))) (or (and (<= (+ (* (- 40) ?y3) (* (- 85) ?y2)) (- 70)) (< (+ (* 10 ?y3) (* 19 ?y2)) 40)) (exists ((?y5 Real)) (>= (+ (+ (+ (* (- 72) ?y5) (* (- 69) ?y3)) (* 100 ?y2)) (* (- 86) x1)) 73)))))) (forall ((?y5 Real)) (or (forall ((?y6 Real)) (or (and (>= (+ (+ (+ (* 65 ?y6) (* (- 42) ?y5)) (* 25 ?y2)) (* 94 x1)) (- 38)) (< (+ (+ (+ (+ (* 74 ?y6) (* 60 ?y5)) (* (- 44) ?y3)) (* (- 22) ?y2)) (* (- 29) x1)) 0)) (and (< (+ (+ (+ (* (- 30) ?y6) (* (- 35) ?y5)) (* 34 ?y2)) (* 59 x1)) 0) (not (= (+ (+ (+ (* (- 8) ?y6) (* 23 ?y5)) (* 86 ?y3)) (* (- 66) ?y2)) 84))))) (exists ((?y6 Real)) (and (or (>= (+ (+ (+ (* 55 ?y5) (* 19 ?y3)) (* 39 ?y2)) (* 86 x1)) 13) (= (+ (+ (+ (* (- 47) ?y6) (* (- 25) ?y5)) (* (- 76) ?y3)) (* (- 92) ?y2)) 65)) (and (>= (+ (+ (+ (* 46 ?y6) (* 92 ?y5)) (* (- 92) ?y3)) (* (- 12) ?y2)) 19) (> (+ (+ (+ (* 3 ?y6) (* 64 ?y5)) (* (- 3) ?y3)) (* (- 97) ?y2)) 0))))))) (and (and (forall ((?y6 Real)) (and (or (< (+ (* 2 ?y6) (* (- 47) ?y2)) 28) (>= (+ (+ (+ (* 94 ?y6) (* 94 ?y3)) (* 25 ?y2)) (* (- 26) x1)) 0)) (and (< (+ (+ (* 56 ?y6) (* 18 ?y2)) (* 97 x1)) 88) (<= (+ (+ (* 64 ?y6) (* (- 61) ?y3)) (* 45 ?y2)) 0)))) (or (not (= (+ (+ (* (- 43) ?y3) (* (- 3) ?y2)) (* 72 x1)) (- 88))) (= (+ (+ (* 71 ?y3) (* (- 51) ?y2)) (* 56 x1)) 60))) (or (and (or (>= (+ (* 34 ?y3) (* (- 55) ?y2)) 1) (<= (* 50 x1) (- 4))) (or (= (+ (* 56 ?y3) (* 69 ?y2)) (- 46)) (<= (+ (+ (* (- 27) ?y3) (* 75 ?y2)) (* (- 5) x1)) 86))) (or (> (+ (+ (* 22 ?y3) (* (- 87) ?y2)) (* 100 x1)) (- 52)) (> (+ (* (- 68) ?y3) (* (- 21) x1)) (- 58)))))) (forall ((?y4 Real)) (or (or (forall ((?y5 Real)) (and (and (exists ((?y6 Real)) (and (not (= (+ (+ (+ (* 22 ?y6) (* (- 75) ?y4)) (* 39 ?y2)) (* 77 x1)) 0)) (> (+ (+ (+ (+ (+ (* (- 9) ?y6) (* 36 ?y5)) (* (- 33) ?y4)) (* 42 ?y3)) (* (- 6) ?y2)) (* (- 77) x1)) (- 91)))) (forall ((?y6 Real)) (and (> (+ (+ (+ (* 21 ?y6) (* 34 ?y4)) (* 68 ?y3)) (* 47 ?y2)) 26) (<= (+ (+ (* 36 ?y5) (* (- 11) ?y3)) (* 23 ?y2)) 72)))) (or (exists ((?y6 Real)) (and (>= (+ (+ (+ (* 100 ?y6) (* (- 10) ?y5)) (* (- 55) ?y3)) (* (- 83) x1)) (- 38)) (< (+ (+ (+ (+ (+ (* 61 ?y6) (* 55 ?y5)) (* 74 ?y4)) (* (- 91) ?y3)) (* (- 8) ?y2)) (* (- 36) x1)) (- 71)))) (exists ((?y6 Real)) (or (not (= (+ (+ (+ (+ (* (- 76) ?y6) (* 65 ?y5)) (* (- 24) ?y3)) (* (- 84) ?y2)) (* (- 36) x1)) 44)) (not (= (+ (+ (* (- 94) ?y6) (* 56 ?y5)) (* 39 ?y4)) 0))))))) (exists ((?y6 Real)) (let ((?v_0 (* 36 ?y3))) (or (or (and (> (+ (+ (+ (+ (* (- 89) ?y6) (* 43 ?y4)) (* 61 ?y3)) (* 90 ?y2)) (* (- 48) x1)) (- 9)) (<= (+ (+ (+ (* (- 47) ?y6) (* (- 48) ?y4)) (* (- 39) ?y3)) (* (- 35) x1)) 41)) (and (>= (+ (* (- 50) ?y6) (* (- 91) x1)) 43) (not (= (+ (+ (+ (* 89 ?y6) (* 4 ?y4)) ?v_0) (* 48 ?y2)) 18)))) (and (or (> (+ (+ (* 30 ?y6) (* (- 89) ?y4)) ?v_0) 0) (not (= (+ (+ (* (- 66) ?y3) (* (- 95) ?y2)) (* 49 x1)) 12))) (< (+ (+ (+ (+ (* 75 ?y6) (* (- 58) ?y4)) (* (- 71) ?y3)) (* (- 77) ?y2)) (* 39 x1)) 22)))))) (forall ((?y5 Real)) (and (and (or (or (< (+ (+ (+ (* 46 ?y5) (* 69 ?y3)) (* (- 62) ?y2)) (* 83 x1)) 34) (forall ((?y6 Real)) (< (+ (+ (+ (* 31 ?y6) (* (- 63) ?y3)) (* (- 87) ?y2)) (* 56 x1)) 46))) (exists ((?y6 Real)) (and (<= (+ (+ (+ (* 8 ?y6) (* (- 11) ?y3)) (* 6 ?y2)) (* (- 38) x1)) 0) (< (+ (+ (+ (+ (* 43 ?y6) (* (- 48) ?y5)) (* 22 ?y4)) (* (- 44) ?y2)) (* (- 68) x1)) (- 86))))) (and (or (< (+ (* (- 70) ?y4) (* (- 84) x1)) 0) (<= (+ (+ (+ (* 97 ?y5) (* (- 72) ?y4)) (* 12 ?y2)) (* (- 93) x1)) 50)) (and (exists ((?y6 Real)) (>= (+ (+ (+ (* (- 37) ?y6) (* (- 53) ?y4)) (* (- 99) ?y2)) (* (- 80) x1)) 0)) (forall ((?y6 Real)) (>= (+ (+ (* (- 39) ?y6) (* 92 ?y4)) (* 17 x1)) 0))))) (or (or (or (>= (+ (+ (* 45 ?y4) (* (- 90) ?y3)) (* (- 17) ?y2)) 19) (<= (+ (* 71 ?y4) (* 2 ?y2)) 53)) (and (> (+ (+ (* 14 ?y4) (* (- 37) ?y3)) (* (- 13) x1)) 66) (<= (+ (* (- 86) ?y5) (* (- 59) x1)) (- 43)))) (and (and (>= (+ (+ (+ (* (- 47) ?y4) (* (- 68) ?y3)) (* (- 40) ?y2)) (* 82 x1)) (- 74)) (> (+ (+ (+ (* (- 18) ?y4) (* (- 62) ?y3)) (* (- 19) ?y2)) (* 88 x1)) 36)) (and (<= (* 63 ?y2) (- 34)) (not (= (+ (+ (+ (* 43 ?y5) (* (- 41) ?y4)) (* (- 27) ?y2)) (* 5 x1)) (- 48)))))))))))) (forall ((?y3 Real)) (and (or (exists ((?y4 Real)) (exists ((?y5 Real)) (forall ((?y6 Real)) (and (or (and (and (not (= (+ (+ (+ (+ (* (- 37) ?y6) (* (- 33) ?y5)) (* (- 6) ?y3)) (* 68 ?y2)) (* (- 15) x1)) 29)) (< (+ (+ (+ (* 81 ?y6) (* 41 ?y3)) (* 66 ?y2)) (* 15 x1)) (- 50))) (and (<= (+ (+ (+ (* (- 73) ?y6) (* (- 61) ?y4)) (* (- 90) ?y2)) (* (- 73) x1)) (- 54)) (> (+ (+ (* 16 ?y6) (* (- 46) ?y4)) (* 53 ?y3)) (- 16)))) (or (or (not (= (+ (+ (+ (+ (* 10 ?y6) (* (- 20) ?y5)) (* (- 49) ?y4)) (* 30 ?y3)) (* 4 x1)) 0)) (= (+ (+ (+ (* (- 6) ?y6) (* (- 89) ?y5)) (* 50 ?y3)) (* 24 x1)) (- 30))) (and (> (+ (+ (+ (+ (* (- 32) ?y6) (* (- 45) ?y4)) (* (- 81) ?y3)) (* 20 ?y2)) (* 76 x1)) (- 100)) (= (+ (+ (+ (+ (* (- 26) ?y6) (* 75 ?y5)) (* 56 ?y4)) (* (- 12) ?y2)) (* (- 84) x1)) (- 27))))) (and (or (= (+ (+ (+ (+ (* (- 89) ?y6) (* (- 11) ?y5)) (* (- 38) ?y4)) (* (- 53) ?y3)) (* 47 x1)) 0) (> (+ (+ (+ (+ (* 99 ?y6) (* 74 ?y4)) (* 14 ?y3)) (* 77 ?y2)) (* (- 63) x1)) 0)) (or (>= (+ (+ (+ (+ (+ (* (- 35) ?y6) (* (- 73) ?y5)) (* (- 19) ?y4)) (* 80 ?y3)) (* (- 76) ?y2)) (* (- 56) x1)) 88) (not (= (+ (+ (* (- 30) ?y6) (* 33 ?y5)) (* 96 ?y4)) (- 57))))))))) (or (exists ((?y4 Real)) (or (or (and (or (> (+ (+ (* (- 3) ?y4) (* (- 71) ?y3)) (* (- 76) ?y2)) 30) (= (+ (* (- 45) ?y4) (* (- 69) ?y2)) 0)) (or (<= (+ (+ (* 74 ?y4) (* (- 93) ?y2)) (* (- 10) x1)) 80) (not (= (+ (+ (+ (* (- 70) ?y4) (* (- 43) ?y3)) (* (- 95) ?y2)) (* (- 42) x1)) 84)))) (exists ((?y5 Real)) (or (> (+ (* (- 86) ?y5) (* 13 ?y3)) 0) (or (< (+ (+ (* 90 ?y5) (* 37 ?y4)) (* (- 86) x1)) 76) (>= (+ (+ (+ (* 37 ?y5) (* (- 40) ?y3)) (* 50 ?y2)) (* 5 x1)) 16))))) (or (forall ((?y5 Real)) (or (exists ((?y6 Real)) (<= (+ (+ (+ (+ (* (- 74) ?y6) (* (- 20) ?y5)) (* 95 ?y4)) (* 92 ?y3)) (* 1 ?y2)) 78)) (and (<= (+ (+ (* (- 96) ?y4) (* (- 55) ?y3)) (* (- 50) ?y2)) 0) (>= (+ (+ (+ (* (- 64) ?y5) (* 58 ?y3)) (* 70 ?y2)) (* 83 x1)) 0)))) (forall ((?y5 Real)) (and (exists ((?y6 Real)) (>= (+ (+ (+ (+ (* 100 ?y5) (* (- 59) ?y4)) (* 65 ?y3)) (* (- 89) ?y2)) (* (- 13) x1)) (- 56))) (> (+ (+ (+ (* 78 ?y5) (* (- 17) ?y4)) (* (- 97) ?y3)) (* 21 x1)) 0)))))) (forall ((?y4 Real)) (exists ((?y6 Real)) (or (and (or (> (+ (+ (+ (* 1 ?y6) (* 90 ?y4)) (* (- 66) ?y2)) (* 84 x1)) 0) (= (+ (+ (* (- 88) ?y3) (* 47 ?y2)) (* (- 30) x1)) (- 85))) (or (>= (+ (* 80 ?y4) (* (- 50) x1)) (- 77)) (not (= (+ (+ (* 100 ?y6) (* (- 11) ?y4)) (* 27 ?y2)) (- 81))))) (and (and (>= (+ (+ (* (- 62) ?y6) (* (- 9) ?y2)) (* 94 x1)) 22) (>= (+ (+ (+ (+ (* 80 ?y6) (* (- 27) ?y4)) (* (- 38) ?y3)) (* 62 ?y2)) (* (- 65) x1)) 64)) (or (<= (+ (+ (+ (+ (* (- 82) ?y6) (* 22 ?y4)) (* 17 ?y3)) (* 83 ?y2)) (* (- 82) x1)) 56) (= (+ (+ (+ (* 58 ?y6) (* 98 ?y4)) (* (- 85) ?y3)) (* (- 7) x1)) 0)))))))) (forall ((?y4 Real)) (exists ((?y6 Real)) (let ((?v_1 (* 12 ?y6)) (?v_2 (* 9 ?y3)) (?v_3 (* (- 22) ?y2))) (or (or (and (or (and (<= (+ (+ (+ (* 77 ?y6) (* 36 ?y4)) (* 43 ?y3)) (* (- 70) x1)) (- 55)) (= (+ (+ (+ ?v_1 (* 3 ?y4)) (* 82 ?y3)) (* (- 8) ?y2)) 0)) (< (+ (+ (* 59 ?y6) (* 53 ?y2)) (* 23 x1)) 76)) (> (+ (* (- 84) ?y6) (* (- 69) ?y2)) 33)) (or (or (and (< (+ (+ (+ (* (- 22) ?y6) (* (- 79) ?y4)) (* 91 ?y2)) (* 45 x1)) 97) (> (+ (+ (+ (+ (* (- 43) ?y6) (* (- 90) ?y4)) (* 12 ?y3)) (* 94 ?y2)) (* 13 x1)) 84)) (= (+ (+ (+ (+ (* (- 93) ?y6) (* (- 92) ?y4)) (* 90 ?y3)) (* 58 ?y2)) (* (- 62) x1)) 21)) (or (> (+ (+ (* 88 ?y4) (* (- 23) ?y3)) (* (- 27) x1)) 53) (> (+ (* (- 93) ?y3) (* (- 35) x1)) 35)))) (and (or (or (= (+ (+ (+ ?v_1 (* (- 35) ?y4)) ?v_3) (* 44 x1)) 36) (not (= (+ (+ (* 22 ?y6) (* 83 ?y4)) (* 63 ?y3)) 0))) (and (= (+ (+ (* (- 85) ?y6) (* 56 ?y3)) (* 98 ?y2)) (- 93)) (> (+ (+ (+ (* (- 72) ?y6) (* (- 1) ?y4)) ?v_2) (* 72 x1)) 68))) (or (or (and (< (+ (+ (+ (+ (* (- 88) ?y6) (* (- 100) ?y4)) (* 24 ?y3)) (* (- 25) ?y2)) (* 83 x1)) (- 41)) (not (= (+ (+ (+ (+ (* (- 10) ?y6) (* (- 75) ?y4)) ?v_2) (* 26 ?y2)) (* (- 87) x1)) 18))) (and (>= (+ (+ (+ (* (- 1) ?y6) (* 7 ?y3)) ?v_3) (* 58 x1)) 13) (<= (+ (* (- 68) ?y6) (* 51 ?y3)) 2))) (and (and (= (+ (* 72 ?y2) (* (- 71) x1)) (- 13)) (> (+ (* 20 ?y4) (* (- 16) ?y3)) 0)) (> (+ (+ (+ (+ (* (- 91) ?y6) (* (- 28) ?y4)) (* (- 57) ?y3)) (* (- 74) ?y2)) (* (- 66) x1)) 23))))))))))) (exists ((?y3 Real)) (let ((?v_4 (* (- 54) x1)) (?v_5 (* (- 78) x1)) (?v_6 (* (- 34) ?y3))) (and (or (exists ((?y6 Real)) (or (or (not (= (+ (+ (* 85 ?y6) (* (- 94) ?y3)) (* (- 99) ?y2)) 51)) (= (+ (+ (* (- 94) ?y6) (* 36 ?y2)) (* (- 49) x1)) (- 73))) (or (or (and (= (+ (+ (* (- 27) ?y6) (* (- 15) ?y2)) (* 40 x1)) 0) (= (+ (+ (* 93 ?y6) (* (- 42) ?y3)) (* (- 43) ?y2)) 14)) (or (and (< (+ (+ (+ (* 46 ?y6) (* 20 ?y3)) (* (- 40) ?y2)) (* 82 x1)) (- 44)) (<= (+ (+ (+ (* (- 68) ?y6) (* (- 21) ?y3)) (* 79 ?y2)) (* 91 x1)) 12)) (or (>= (+ (+ (* 86 ?y6) (* 27 ?y2)) (* (- 17) x1)) 0) (> (+ (* 42 ?y3) (* (- 81) x1)) (- 46))))) (and (or (not (= (+ (+ (* 96 ?y3) (* 98 ?y2)) (* (- 84) x1)) (- 60))) (>= (+ (* 38 ?y3) (* 11 x1)) (- 83))) (<= (+ (+ (+ (* (- 16) ?y6) (* 16 ?y3)) (* (- 69) ?y2)) (* 13 x1)) 50))))) (forall ((?y6 Real)) (let ((?v_7 (* 74 ?y2)) (?v_8 (* 97 ?y3)) (?v_10 (* 75 x1)) (?v_9 (* (- 1) x1))) (or (and (and (and (and (= (+ (+ (+ (* 30 ?y6) (* (- 1) ?y3)) ?v_7) (* 28 x1)) (- 87)) (not (= (+ (* 58 ?y6) ?v_8) (- 19)))) (or (< (+ (+ (* (- 47) ?y6) (* (- 47) ?y3)) ?v_10) (- 62)) (<= (+ (+ (* 36 ?y6) (* 68 ?y2)) (* 32 x1)) (- 21)))) (or (and (= (+ (+ (* (- 29) ?y6) (* 46 ?y3)) (* 86 ?y2)) (- 3)) (<= (+ (* 81 ?y3) ?v_7) 78)) (not (= (+ (* 71 ?y3) (* 1 x1)) 51)))) (and (and (not (= (+ (+ (* 72 ?y3) (* 49 ?y2)) (* 90 x1)) (- 78))) (> (+ (+ (+ (* 92 ?y6) (* 88 ?y3)) (* 1 ?y2)) (* (- 86) x1)) 0)) (and (or (= (+ (+ (* 23 ?y3) (* (- 53) ?y2)) (* 50 x1)) (- 63)) (<= (+ (+ (+ (* (- 43) ?y6) (* (- 9) ?y3)) (* 36 ?y2)) (* (- 92) x1)) 0)) (and (<= (+ (* 62 ?y3) (* 5 x1)) 0) (= (* (- 2) ?y2) (- 48)))))) (or (or (and (not (= (+ (+ (+ (* 22 ?y6) (* (- 20) ?y3)) (* 17 ?y2)) (* (- 84) x1)) (- 81))) (< ?v_8 0)) (not (= (+ (+ (* 9 ?y6) (* 45 ?y3)) (* 19 ?y2)) 0))) (or (or (and (<= (+ (+ (+ (* (- 25) ?y6) (* 5 ?y3)) (* 28 ?y2)) ?v_9) (- 81)) (>= (+ (+ (+ (* 7 ?y6) (* 82 ?y3)) (* (- 11) ?y2)) ?v_9) 0)) (and (<= (+ (+ (+ (* (- 3) ?y6) (* (- 81) ?y3)) (* 98 ?y2)) ?v_4) (- 84)) (> (+ (* (- 6) ?y3) (* 67 ?y2)) 89))) (or (or (< (+ (+ (+ (* (- 15) ?y6) (* (- 70) ?y3)) (* 25 ?y2)) (* (- 53) x1)) (- 74)) (= (+ (+ (+ (* (- 84) ?y6) (* (- 4) ?y3)) (* (- 14) ?y2)) ?v_10) 57)) (> (+ (* (- 100) ?y3) (* (- 47) x1)) 69)))))))) (or (and (or (and (and (or (<= (+ (+ (* (- 33) ?y3) (* (- 3) ?y2)) ?v_5) (- 28)) (not (= (+ (+ ?v_6 (* 91 ?y2)) (* (- 33) x1)) (- 3)))) (or (= (+ (* (- 8) ?y2) (* 36 x1)) (- 4)) (= (+ (+ (* 87 ?y3) (* (- 65) ?y2)) (* 48 x1)) 0))) (and (and (= (+ (+ (* 54 ?y3) (* 76 ?y2)) (* 60 x1)) 0) (not (= (+ (* (- 51) ?y3) (* (- 55) ?y2)) 3))) (and (<= (+ (* (- 65) ?y3) ?v_4) (- 13)) (< (+ (* (- 86) ?y3) (* (- 36) x1)) 0)))) (or (and (<= (+ (+ (* (- 50) ?y3) (* 96 ?y2)) (* 50 x1)) 81) (= (+ (+ (* 31 ?y3) (* (- 63) ?y2)) ?v_4) 33)) (and (> (+ (+ (* (- 61) ?y3) (* 34 ?y2)) (* 41 x1)) 92) (>= (+ (+ (* 23 ?y3) (* (- 22) ?y2)) ?v_5) 0)))) (or (or (not (= (+ (* 82 ?y2) (* (- 10) x1)) (- 24))) (or (>= (+ (* 49 ?y3) (* (- 21) ?y2)) 0) (>= (* 68 x1) (- 95)))) (and (and (= (+ (* (- 36) ?y2) (* 34 x1)) (- 18)) (< ?v_6 (- 62))) (or (< (* 65 x1) 73) (not (= (+ (* 94 ?y3) (* (- 76) ?y2)) 92)))))) (and (or (forall ((?y6 Real)) (or (or (and (> (+ (+ (* 36 ?y6) (* (- 20) ?y2)) (* (- 99) x1)) 44) (< (+ (+ (+ (* 78 ?y6) (* 68 ?y3)) (* 31 ?y2)) (* 33 x1)) (- 50))) (and (< (+ (* (- 58) ?y3) (* 98 x1)) (- 2)) (not (= (+ (+ (* (- 29) ?y6) (* (- 85) ?y3)) (* 67 x1)) 8)))) (and (and (not (= (+ (+ (+ (* 40 ?y6) (* (- 86) ?y3)) (* 13 ?y2)) (* (- 29) x1)) 0)) (> (+ (+ (* (- 23) ?y3) (* 23 ?y2)) (* 35 x1)) (- 16))) (and (<= (+ (* (- 18) ?y6) (* 33 ?y3)) 0) (not (= (* (- 10) ?y2) 5)))))) (or (and (and (>= (+ (+ (* 75 ?y3) (* (- 23) ?y2)) (* 91 x1)) (- 29)) (<= (+ (* (- 49) ?y2) (* 69 x1)) (- 85))) (not (= (+ (+ (* 89 ?y3) (* 5 ?y2)) (* 84 x1)) (- 52)))) (or (and (<= (+ (+ (* 55 ?y3) (* 19 ?y2)) (* 62 x1)) 17) (= (+ (+ (* 71 ?y3) (* (- 57) ?y2)) (* (- 34) x1)) 0)) (exists ((?y6 Real)) (and (<= (+ (+ (* (- 91) ?y6) (* (- 11) ?y3)) (* 77 x1)) 0) (>= (+ (+ (* 48 ?y6) (* (- 57) ?y3)) (* 25 x1)) 0)))))) (forall ((?y6 Real)) (and (and (or (>= (+ (+ (+ (* 71 ?y6) ?v_6) (* 98 ?y2)) (* (- 39) x1)) (- 26)) (>= (+ (* (- 65) ?y3) (* (- 93) ?y2)) 4)) (and (or (= (+ (* 15 ?y6) (* (- 12) ?y3)) (- 75)) (>= (+ (+ (* 8 ?y6) (* (- 91) ?y2)) (* (- 45) x1)) 0)) (= (+ (+ (* (- 64) ?y6) (* 21 ?y2)) (* 36 x1)) 0))) (and (and (or (>= (* 70 ?y6) (- 44)) (> (+ (* 20 ?y6) (* (- 80) x1)) 80)) (> (+ (+ (+ (* (- 9) ?y6) (* (- 9) ?y3)) (* 29 ?y2)) (* (- 98) x1)) (- 96))) (or (or (<= (+ (+ (* 27 ?y6) (* (- 27) ?y3)) (* (- 25) ?y2)) 87) (< (+ (* 62 ?y2) (* (- 75) x1)) 58)) (and (not (= (+ (+ (* (- 11) ?y3) (* (- 2) ?y2)) (* 87 x1)) 0)) (>= (+ (* 35 ?y6) (* 59 x1)) 0))))))))))))))
(check-sat)
(exit)
