(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y4 () Real)
(assert (or (exists ((?y1 Real)) (forall ((?y2 Real)) (forall ((?y3 Real)) (let ((?v_6 (* 11 ?y2)) (?v_0 (* 24 ?y2)) (?v_3 (* 44 ?y1)) (?v_8 (* (- 98) ?y2)) (?v_2 (* (- 45) ?y2)) (?v_1 (* (- 84) x1)) (?v_4 (* (- 75) x1)) (?v_7 (* (- 79) x1)) (?v_5 (* (- 43) ?y2))) (or (forall ((?y5 Real)) (and (exists ((?y6 Real)) (let ((?v_28 (* 34 x1)) (?v_9 (* 93 ?y1)) (?v_43 (* 2 ?y1)) (?v_23 (* 8 ?y2)) (?v_14 (* 39 ?y5)) (?v_31 (* 18 x1)) (?v_10 (* 94 ?y6)) (?v_34 (* 63 x1)) (?v_25 (* 66 ?y3)) (?v_22 (* 49 ?y6)) (?v_12 (* 43 ?y3)) (?v_27 (* 87 ?y3)) (?v_16 (* 27 x1)) (?v_24 (* 87 ?y5)) (?v_21 (* 50 ?y6)) (?v_39 (* 30 ?y1)) (?v_37 (* 46 ?y2)) (?v_46 (* 17 ?y1)) (?v_19 (* 18 ?y1)) (?v_45 (* 61 ?y2)) (?v_33 (* 51 ?y3)) (?v_40 (* 89 x1)) (?v_36 (* 100 ?y5)) (?v_42 (* 79 x1)) (?v_53 (* 4 x1)) (?v_48 (* (- 80) ?y5)) (?v_15 (* (- 25) ?y6)) (?v_30 (* (- 92) ?y5)) (?v_54 (* (- 42) ?y3)) (?v_49 (* (- 8) ?y1)) (?v_11 (* (- 21) ?y2)) (?v_13 (* (- 51) ?y2)) (?v_17 (* (- 36) ?y5)) (?v_26 (* (- 30) ?y6)) (?v_20 (* (- 40) x1)) (?v_18 (* (- 1) ?y5)) (?v_32 (* (- 71) ?y2)) (?v_41 (* (- 70) ?y3)) (?v_29 (* (- 6) ?y1)) (?v_35 (* (- 21) ?y5)) (?v_50 (* (- 94) ?y5)) (?v_51 (* (- 89) ?y3)) (?v_38 (* (- 44) ?y2)) (?v_44 (* (- 89) ?y5)) (?v_47 (* (- 42) x1)) (?v_52 (* (- 37) ?y2))) (or (or (or (and (or (< (+ (+ (* (- 36) ?y6) ?v_48) ?v_28) 4) (= (+ (+ (+ (+ (+ ?v_15 (* 79 ?y5)) (* (- 65) ?y3)) (* 83 ?y2)) ?v_9) (* (- 78) x1)) 24)) (or (= (+ (+ (+ (+ (+ (* (- 26) ?y6) ?v_30) (* (- 53) ?y3)) (* 20 ?y2)) ?v_43) (* 7 x1)) 12) (<= (+ (+ (+ (+ (* (- 38) ?y6) (* 99 ?y5)) ?v_54) (* (- 25) ?y2)) (* (- 36) ?y1)) (- 9)))) (or (and (or (< (+ (+ (* (- 30) ?y5) (* 99 ?y3)) ?v_23) 0) (= (+ (+ (+ (+ (* 18 ?y6) (* 69 ?y5)) (* (- 23) ?y3)) (* 80 ?y2)) (* (- 66) ?y1)) (- 58))) (and (< (+ (+ (+ (* 22 ?y6) (* (- 86) ?y5)) ?v_49) (* 28 x1)) (- 11)) (> (+ (+ (+ (* (- 76) ?y6) ?v_14) ?v_9) ?v_31) (- 60)))) (and (<= (+ (+ (+ (+ (+ ?v_10 (* (- 37) ?y5)) (* (- 10) ?y3)) ?v_11) (* 10 ?y1)) ?v_34) 0) (< (+ (+ (+ (+ (* (- 56) ?y5) ?v_25) ?v_13) (* (- 16) ?y1)) (* 88 x1)) 94)))) (or (and (or (or (or (>= (+ (+ (+ (+ (+ ?v_22 (* 93 ?y5)) (* 52 ?y3)) (* (- 13) ?y2)) (* (- 69) ?y1)) (* 14 x1)) 0) (= (+ (+ (+ (+ ?v_17 ?v_12) (* (- 86) ?y2)) (* (- 20) ?y1)) (* (- 58) x1)) 57)) (or (> (+ (+ (+ (+ ?v_10 ?v_27) (* (- 5) ?y2)) (* 23 ?y1)) ?v_16) (- 1)) (> (+ (+ (+ (+ (* 28 ?y6) (* 52 ?y5)) (* 77 ?y3)) (* 58 ?y2)) (* (- 63) x1)) 86))) (or (< (+ (+ (+ (+ (+ ?v_26 (* 88 ?y5)) (* 88 ?y3)) ?v_11) ?v_9) ?v_20) 46) (or (>= (+ (+ (* 3 ?y5) (* 61 ?y3)) (* (- 19) ?y1)) 67) (= (+ (+ (+ (+ (* (- 21) ?y6) ?v_24) ?v_12) ?v_13) (* (- 81) x1)) 15)))) (and (and (< (+ (+ (+ (+ (+ ?v_21 ?v_18) ?v_12) ?v_32) (* 13 ?y1)) (* 57 x1)) 22) (>= (+ (+ ?v_41 (* 90 ?y1)) (* (- 52) x1)) 28)) (or (not (= (+ (+ (+ (* 27 ?y6) (* (- 9) ?y5)) (* 35 ?y3)) ?v_29) (- 48))) (>= (+ (+ (+ (+ ?v_14 (* 13 ?y3)) (* 65 ?y2)) (* 11 ?y1)) (* 52 x1)) (- 59))))) (and (and (or (> (+ (+ (+ (* (- 19) ?y5) (* (- 3) ?y3)) (* (- 85) ?y1)) (* (- 31) x1)) 0) (not (= (+ (+ (* 99 ?y6) ?v_35) (* 77 ?y2)) (- 54)))) (< (+ (+ (+ (* 15 ?y6) (* 77 ?y5)) (* 100 ?y2)) (* (- 73) x1)) (- 29))) (and (= (+ (+ (+ (* (- 65) ?y6) (* (- 91) ?y5)) (* 82 ?y3)) (* (- 7) ?y1)) 6) (or (<= (+ (+ (+ (+ ?v_15 (* 26 ?y3)) (* (- 19) ?y2)) ?v_39) (* 35 x1)) 5) (>= (+ (+ ?v_50 (* (- 73) ?y3)) ?v_16) (- 35))))))) (and (and (and (and (or (and (<= (+ (+ (+ (* 71 ?y6) (* 86 ?y3)) (* 92 ?y2)) (* (- 3) ?y1)) 69) (< (+ (+ (* 69 ?y6) (* 2 ?y5)) (* 53 ?y3)) (- 5))) (not (= (+ (+ (+ (+ (+ (* 4 ?y6) ?v_17) (* 2 ?y3)) (* 40 ?y2)) (* (- 86) ?y1)) (* (- 94) x1)) (- 36)))) (and (or (>= (+ (+ (+ (* (- 84) ?y5) (* (- 74) ?y3)) (* (- 35) ?y1)) (* (- 4) x1)) 0) (< (+ (+ (+ (* 72 ?y6) (* (- 44) ?y3)) ?v_37) (* 21 ?y1)) 55)) (and (< (+ (+ (+ (+ (* 62 ?y6) (* 72 ?y5)) (* 76 ?y3)) ?v_46) (* 10 x1)) 31) (>= (+ (+ (+ (+ (* (- 74) ?y6) (* (- 20) ?y5)) (* 16 ?y3)) (* (- 57) ?y1)) (* (- 24) x1)) 0)))) (and (and (or (= (+ (+ (* 96 ?y5) (* 45 ?y3)) (* 85 ?y2)) 93) (= (+ (+ (+ (+ (* (- 10) ?y6) (* 26 ?y5)) (* (- 27) ?y2)) (* (- 77) ?y1)) ?v_16) 18)) (or (< (+ (+ (+ (+ (+ (* 79 ?y6) ?v_18) ?v_51) (* (- 68) ?y2)) ?v_19) (* 71 x1)) 4) (not (= (+ (+ (+ (+ (* (- 55) ?y5) (* 98 ?y3)) ?v_45) (* (- 44) ?y1)) (* 42 x1)) 0)))) (or (and (< (+ (+ (+ (* 58 ?y5) (* 89 ?y3)) (* (- 28) ?y2)) ?v_19) (- 8)) (> (+ (+ (+ (+ (* (- 27) ?y6) (* (- 100) ?y3)) ?v_6) (* 57 ?y1)) (* (- 95) x1)) 41)) (and (< (+ (+ (+ (+ (+ (* 2 ?y6) (* 47 ?y5)) (* (- 35) ?y3)) (* 64 ?y2)) (* 46 ?y1)) (* (- 48) x1)) (- 62)) (>= (+ (+ (* (- 5) ?y6) (* (- 40) ?y1)) ?v_20) 79))))) (or (or (and (or (>= (+ (+ (+ ?v_21 (* 42 ?y5)) (* 99 ?y2)) (* (- 12) x1)) 64) (>= (+ (+ (+ (* 21 ?y6) (* 62 ?y5)) ?v_33) (* (- 87) x1)) 0)) (and (= (+ (+ (+ (+ ?v_22 (* (- 98) ?y3)) (* (- 79) ?y2)) (* 38 ?y1)) (* (- 80) x1)) (- 21)) (<= (+ (+ (+ (* (- 2) ?y5) (* (- 40) ?y3)) ?v_23) (* 62 ?y1)) 0))) (and (or (> (+ (+ (+ (+ (* 33 ?y6) ?v_24) (* (- 91) ?y3)) (* (- 21) ?y1)) (* 53 x1)) 41) (< (+ (+ (+ (* 17 ?y5) (* 93 ?y2)) (* (- 93) ?y1)) (* 58 x1)) (- 59))) (and (< (+ (+ (+ (+ (* 80 ?y6) (* 97 ?y5)) (* (- 30) ?y3)) ?v_0) (* (- 98) ?y1)) (- 14)) (<= (+ (+ (+ (* 55 ?y5) ?v_25) (* 36 ?y2)) (* (- 48) ?y1)) 0)))) (or (or (or (not (= (+ (+ (+ (+ ?v_26 (* 35 ?y5)) (* 7 ?y3)) (* 57 ?y2)) (* (- 11) x1)) 0)) (> (+ (+ (* (- 29) ?y5) (* 48 ?y2)) (* (- 21) x1)) 5)) (<= (+ (* (- 69) ?y5) ?v_40) 11)) (or (and (> (+ (+ ?v_27 (* (- 2) ?y2)) ?v_28) 14) (> (+ (+ (+ (+ (+ (* (- 19) ?y6) (* (- 3) ?y5)) (* (- 31) ?y3)) (* (- 54) ?y2)) ?v_29) (* (- 43) x1)) (- 37))) (and (< (+ ?v_30 ?v_31) 34) (< (+ (+ (+ (+ (+ (* (- 90) ?y6) (* (- 54) ?y5)) (* 29 ?y3)) (* 79 ?y2)) (* (- 95) ?y1)) (* (- 86) x1)) (- 80))))))) (and (and (or (or (or (= (+ (+ (+ (+ ?v_36 (* 60 ?y3)) ?v_32) ?v_9) (* (- 29) x1)) (- 30)) (<= (+ (+ (+ (+ (* 7 ?y6) (* (- 93) ?y5)) ?v_38) (* 74 ?y1)) ?v_42) (- 63))) (= (+ (+ (+ (+ (+ ?v_22 (* (- 74) ?y5)) ?v_33) (* 42 ?y2)) (* 33 ?y1)) ?v_34) 68)) (and (and (< (+ (+ (+ (+ (* (- 24) ?y6) (* 50 ?y5)) (* (- 94) ?y3)) (* 98 ?y1)) (* (- 68) x1)) 13) (> (+ (+ (+ (* (- 11) ?y6) ?v_35) (* 21 ?y3)) (* (- 22) ?y2)) 80)) (or (>= (+ (+ (+ (+ (* (- 61) ?y6) ?v_36) (* 72 ?y2)) (* 7 ?y1)) (* (- 16) x1)) 0) (> (+ (+ (+ (+ (+ (* 78 ?y6) (* 60 ?y5)) (* (- 97) ?y3)) ?v_37) (* 55 ?y1)) (* 5 x1)) (- 52))))) (or (and (or (< (+ (+ (+ (+ (+ (* (- 8) ?y6) (* (- 64) ?y5)) (* 94 ?y3)) ?v_38) ?v_39) ?v_40) (- 98)) (not (= (+ (+ (+ (+ (* 84 ?y6) ?v_41) (* 70 ?y2)) (* 48 ?y1)) ?v_42) (- 37)))) (not (= (+ (+ (* (- 47) ?y6) ?v_44) (* (- 88) ?y1)) 90))) (and (= (+ (+ (+ (* (- 77) ?y6) (* (- 4) ?y5)) (* (- 70) ?y1)) (* (- 17) x1)) 0) (= (+ (+ (+ (* (- 23) ?y6) (* 97 ?y3)) (* 89 ?y2)) ?v_47) 0)))) (and (and (and (or (<= (+ (+ (+ (+ (* 68 ?y6) (* (- 82) ?y5)) (* (- 32) ?y3)) ?v_43) (* 33 x1)) 6) (< (+ (+ (+ (+ (* 73 ?y6) ?v_44) ?v_45) (* 78 ?y1)) (* 54 x1)) 76)) (and (>= (+ (+ (+ (+ (+ (* 52 ?y6) (* (- 14) ?y5)) (* (- 39) ?y3)) (* 34 ?y2)) ?v_46) ?v_47) 43) (> (+ (+ (+ (+ (* (- 81) ?y6) (* 94 ?y5)) (* (- 78) ?y2)) (* 28 ?y1)) ?v_53) (- 82)))) (and (and (= (+ (+ (+ (* (- 64) ?y6) (* 11 ?y5)) (* (- 62) ?y3)) (* (- 22) ?y1)) 27) (>= (+ (+ (+ (* (- 99) ?y6) (* (- 98) ?y5)) (* (- 82) ?y3)) (* (- 36) x1)) 1)) (and (not (= (+ (+ (+ (+ (* 20 ?y6) ?v_48) (* (- 68) ?y3)) ?v_52) ?v_49) 0)) (not (= (+ (+ (+ (+ (* (- 33) ?y6) (* 80 ?y5)) (* (- 59) ?y3)) ?v_0) (* 19 ?y1)) 5))))) (and (and (> (+ (+ (+ ?v_50 (* 73 ?y3)) (* (- 20) ?y2)) (* 26 ?y1)) 0) (>= (+ (+ (+ (+ (* (- 70) ?y6) (* (- 39) ?y5)) (* (- 72) ?y3)) (* (- 15) ?y2)) (* (- 96) ?y1)) (- 41))) (or (> (+ (+ (+ (+ (+ (* 57 ?y6) (* 65 ?y5)) ?v_51) ?v_52) (* 50 ?y1)) ?v_53) (- 60)) (not (= (+ (+ (+ (+ (* (- 95) ?y6) (* 38 ?y5)) ?v_54) (* (- 16) ?y2)) (* 94 x1)) 93)))))))))) (forall ((?y6 Real)) (let ((?v_60 (* 58 ?y3)) (?v_59 (* 31 ?y2)) (?v_62 (* 45 x1)) (?v_57 (* 76 ?y5)) (?v_64 (* 77 ?y1)) (?v_56 (* (- 21) ?y1)) (?v_58 (* (- 11) x1)) (?v_63 (* (- 33) ?y6)) (?v_55 (* (- 79) ?y1)) (?v_61 (* (- 28) ?y1))) (or (or (and (and (> (+ (+ (+ ?v_63 (* (- 100) ?y5)) (* (- 9) ?y2)) (* (- 57) ?y1)) 0) (or (= (+ (+ (* (- 21) ?y6) ?v_60) (* (- 54) ?y2)) 15) (> (+ (+ (+ (+ (* 95 ?y5) (* (- 25) ?y3)) (* (- 49) ?y2)) (* 20 ?y1)) (* 18 x1)) (- 19)))) (or (and (not (= (+ (+ (* (- 47) ?y3) (* 51 ?y2)) ?v_56) 17)) (= (+ (+ (+ (+ (* (- 43) ?y6) (* (- 93) ?y5)) (* 10 ?y3)) (* 20 ?y2)) (* 85 ?y1)) (- 57))) (and (<= (+ (+ (+ (+ (* 79 ?y6) (* 76 ?y3)) (* 30 ?y2)) (* (- 1) ?y1)) (* 90 x1)) 0) (= (+ (* 37 ?y3) (* (- 30) ?y2)) 15)))) (or (and (or (not (= (+ (+ (+ (+ (* (- 83) ?y5) (* 83 ?y3)) (* 91 ?y2)) (* (- 59) ?y1)) (* (- 94) x1)) 0)) (<= (+ (+ (+ (+ (+ (* 69 ?y6) (* (- 53) ?y5)) (* (- 28) ?y3)) ?v_59) (* 66 ?y1)) (* (- 63) x1)) 0)) (>= (+ (+ (+ (+ (+ (* (- 35) ?y6) (* 7 ?y5)) (* (- 18) ?y3)) (* 21 ?y2)) (* 93 ?y1)) (* (- 21) x1)) (- 62))) (and (<= (+ (+ (+ (* (- 98) ?y6) (* (- 75) ?y5)) (* (- 83) ?y2)) (* (- 40) ?y1)) 47) (or (>= (+ (+ (+ (+ (* 86 ?y6) (* (- 35) ?y5)) (* (- 63) ?y2)) (* 9 ?y1)) ?v_62) 0) (= (+ (+ (+ (* 58 ?y5) (* 84 ?y2)) (* 92 ?y1)) ?v_58) 69))))) (or (or (and (and (and (or (not (= (+ (+ (+ (* (- 88) ?y5) (* 70 ?y2)) (* (- 3) ?y1)) (* (- 44) x1)) 0)) (< (+ (+ (+ (* (- 66) ?y6) (* (- 2) ?y3)) (* 88 ?y2)) (* 16 ?y1)) 46)) (or (>= (+ (+ (* (- 89) ?y6) (* 48 ?y5)) (* (- 20) ?y2)) 0) (> (+ (+ (+ (* 46 ?y5) (* 55 ?y3)) ?v_55) (* 7 x1)) (- 79)))) (and (>= (+ (+ (+ (+ (* 44 ?y6) (* (- 12) ?y5)) (* 70 ?y3)) ?v_55) (* (- 78) x1)) (- 83)) (<= (+ (+ (+ (+ (* (- 74) ?y6) (* 62 ?y5)) (* (- 31) ?y3)) (* 69 ?y1)) (* (- 8) x1)) 80))) (and (and (<= (+ (+ (+ (+ (* (- 12) ?y6) (* (- 7) ?y5)) (* (- 64) ?y3)) ?v_56) (* 66 x1)) 62) (< (+ (+ (+ (+ (* (- 77) ?y5) (* (- 84) ?y3)) (* (- 86) ?y2)) (* (- 98) ?y1)) (* (- 71) x1)) 37)) (or (= (+ (+ (* (- 61) ?y2) ?v_61) (* 11 x1)) 0) (= (+ (+ (+ (* 76 ?y6) ?v_57) (* 17 ?y3)) (* (- 100) ?y2)) 0)))) (or (or (or (or (not (= (+ (+ (+ (* (- 17) ?y6) ?v_57) (* (- 35) ?y3)) (* (- 97) ?y1)) 0)) (< (+ (+ (+ (* 81 ?y5) (* (- 27) ?y3)) (* (- 64) ?y1)) ?v_58) 76)) (< (+ (+ (+ (+ (* (- 20) ?y6) (* 35 ?y5)) ?v_59) (* (- 51) ?y1)) (* 78 x1)) 0)) (or (and (< (+ (+ (+ (+ (* 67 ?y6) (* 57 ?y5)) (* (- 1) ?y3)) (* 84 ?y1)) (* (- 41) x1)) (- 95)) (= (+ (+ (+ (* (- 62) ?y3) (* 48 ?y2)) (* (- 99) ?y1)) (* (- 86) x1)) (- 90))) (or (>= (+ (+ (+ (* 92 ?y5) (* 9 ?y3)) (* (- 32) ?y2)) (* 75 x1)) (- 77)) (<= (+ (+ (+ (* 72 ?y6) (* (- 82) ?y5)) (* (- 89) ?y2)) (* 96 ?y1)) 0)))) (and (and (>= (+ (+ (+ (* (- 6) ?y6) (* (- 42) ?y2)) (* (- 24) ?y1)) (* 100 x1)) 79) (> (+ (+ (+ (+ (* 94 ?y6) (* 29 ?y3)) (* 82 ?y2)) ?v_64) (* (- 27) x1)) 0)) (or (= (+ (+ (* (- 85) ?y3) (* (- 17) ?y2)) (* (- 88) x1)) 0) (< (+ (+ (+ (+ (+ (* (- 31) ?y6) (* 51 ?y5)) (* 11 ?y3)) (* 6 ?y2)) (* (- 96) ?y1)) (* 86 x1)) 0))))) (and (or (or (< (+ (+ (+ (* 28 ?y5) (* (- 36) ?y3)) (* 51 ?y1)) (* 69 x1)) (- 29)) (or (< (+ (+ (+ (+ (+ (* (- 58) ?y6) (* (- 51) ?y5)) (* 23 ?y3)) (* 85 ?y2)) (* 12 ?y1)) (* 48 x1)) 0) (<= (+ (+ (+ (+ (* 95 ?y6) (* 18 ?y5)) (* (- 39) ?y3)) ?v_8) (* 36 ?y1)) 17))) (and (or (<= (+ (+ (+ (+ (* (- 97) ?y5) (* 13 ?y3)) (* 61 ?y2)) (* 88 ?y1)) (* 25 x1)) (- 1)) (>= (+ (+ (+ (+ (* (- 49) ?y6) (* (- 91) ?y5)) ?v_60) ?v_61) (* 30 x1)) (- 59))) (or (> (+ (+ (+ (+ (* (- 25) ?y6) (* 21 ?y3)) (* 64 ?y2)) (* 6 ?y1)) (* (- 2) x1)) 0) (> (+ (+ (+ (+ (* 61 ?y6) (* 13 ?y5)) (* (- 74) ?y3)) (* (- 83) ?y1)) (* (- 43) x1)) 0)))) (or (or (>= (+ (+ (+ (* 68 ?y6) (* 61 ?y3)) (* (- 65) ?y1)) ?v_62) (- 35)) (not (= (+ (+ (+ (+ ?v_63 (* (- 61) ?y5)) (* 52 ?y2)) ?v_64) (* (- 67) x1)) 0))) (and (< (+ (+ (+ (* 47 ?y6) (* 60 ?y2)) (* 31 ?y1)) (* (- 49) x1)) (- 62)) (= (+ (+ (+ (+ (* (- 23) ?y6) (* (- 20) ?y5)) (* (- 93) ?y3)) (* 14 ?y2)) (* (- 100) x1)) (- 96))))))))))) (or (or (exists ((?y5 Real)) (and (or (and (exists ((?y6 Real)) (or (or (not (= (+ (+ (+ (+ (+ (* (- 39) ?y6) (* 45 ?y5)) (* 33 ?y3)) (* 35 ?y2)) (* (- 99) ?y1)) (* (- 8) x1)) (- 36))) (> (+ (+ (* (- 51) ?y5) (* (- 50) ?y3)) (* (- 12) ?y1)) 0)) (and (> (+ (+ (+ (* 22 ?y5) (* (- 29) ?y2)) (* (- 71) ?y1)) (* (- 92) x1)) 0) (< (+ (+ (+ (* (- 38) ?y6) (* (- 70) ?y3)) (* 63 ?y2)) (* (- 45) ?y1)) 0)))) (forall ((?y6 Real)) (and (and (or (<= (+ (+ (* (- 35) ?y5) (* (- 11) ?y3)) (* (- 73) ?y1)) 0) (> (+ (+ (+ (+ (* 36 ?y6) (* 59 ?y5)) (* (- 86) ?y3)) (* (- 66) ?y1)) (* (- 65) x1)) 83)) (or (not (= (+ (+ (+ (+ (* (- 21) ?y6) (* 48 ?y5)) (* 33 ?y3)) (* (- 7) ?y2)) (* (- 94) ?y1)) 0)) (not (= (+ (+ (+ (+ (* (- 43) ?y6) (* 27 ?y5)) (* (- 22) ?y3)) ?v_2) (* 5 x1)) 0)))) (and (>= (+ (+ (+ (* 30 ?y6) (* (- 15) ?y5)) (* 90 ?y3)) (* (- 40) x1)) 16) (> (+ (+ (+ (+ (* 37 ?y6) (* (- 50) ?y5)) (* 9 ?y2)) (* 68 ?y1)) (* (- 5) x1)) 0))))) (forall ((?y6 Real)) (let ((?v_65 (* (- 90) ?y6)) (?v_66 (* (- 33) ?y3))) (or (or (and (> (+ (+ (+ (* (- 1) ?y6) (* 90 ?y3)) (* 61 ?y2)) (* (- 66) x1)) 0) (not (= (+ (+ (+ ?v_65 (* 88 ?y5)) (* 89 ?y2)) (* 66 ?y1)) (- 66)))) (or (not (= (+ (+ (+ (+ (* 87 ?y6) (* 29 ?y5)) ?v_66) (* (- 15) ?y2)) (* (- 38) x1)) (- 60))) (not (= (+ (+ (+ (+ (* 30 ?y6) (* (- 94) ?y3)) (* (- 42) ?y2)) (* (- 59) ?y1)) (* 60 x1)) 9)))) (or (< (+ (+ (+ ?v_65 (* 34 ?y3)) (* (- 84) ?y2)) (* 88 ?y1)) (- 68)) (or (<= (+ (+ (+ (* (- 50) ?y5) ?v_66) (* (- 2) ?y1)) (* 81 x1)) 17) (<= (+ (+ (+ (* 53 ?y6) (* 10 ?y3)) (* (- 87) ?y2)) (* (- 80) x1)) (- 70)))))))) (exists ((?y6 Real)) (let ((?v_67 (* 45 ?y3)) (?v_70 (* 21 ?y6)) (?v_69 (* 80 x1)) (?v_68 (* 88 ?y6)) (?v_71 (* (- 55) ?y3))) (or (or (or (or (and (<= (+ (+ (+ (+ (* (- 40) ?y6) (* (- 93) ?y5)) (* 35 ?y3)) (* 49 ?y2)) (* 20 ?y1)) 6) (= (+ (+ (+ (* 95 ?y6) (* 67 ?y5)) (* 58 ?y1)) (* (- 35) x1)) (- 96))) (and (< (+ (+ (+ (* (- 46) ?y6) (* (- 60) ?y3)) (* 95 ?y2)) (* 31 ?y1)) (- 35)) (<= (+ (+ (+ (+ (* (- 27) ?y6) (* 68 ?y5)) (* (- 31) ?y3)) (* 16 ?y1)) (* (- 14) x1)) 0))) (or (>= (+ (+ (+ (+ (* (- 82) ?y6) (* 32 ?y5)) ?v_67) (* 30 ?y2)) (* 87 ?y1)) 73) (< (+ (+ (* (- 55) ?y6) (* (- 45) ?y5)) (* (- 68) ?y1)) 73))) (or (or (and (> (+ (+ (+ (+ ?v_70 (* 99 ?y5)) (* 48 ?y3)) (* (- 36) ?y1)) ?v_69) 83) (<= (+ (+ (+ (+ (+ (* (- 56) ?y6) (* (- 22) ?y5)) (* (- 50) ?y3)) (* (- 61) ?y2)) (* (- 80) ?y1)) (* 63 x1)) 0)) (and (< (+ (+ (+ (+ (* 97 ?y6) (* 48 ?y5)) (* 56 ?y3)) (* (- 5) ?y2)) (* 60 ?y1)) 46) (>= (+ (+ (* (- 82) ?y5) ?v_67) (* (- 4) ?y1)) 0))) (and (not (= (+ (+ (+ (+ ?v_68 (* (- 70) ?y5)) (* 6 ?y3)) (* 14 ?y2)) (* 60 x1)) (- 72))) (< (+ (+ (+ (+ ?v_68 (* 65 ?y5)) (* (- 35) ?y3)) (* 48 ?y2)) (* 81 x1)) 0)))) (or (and (and (and (= (+ (+ (* 66 ?y6) (* 6 ?y1)) ?v_69) 42) (> (+ (+ (+ (* (- 65) ?y6) (* (- 49) ?y5)) (* 69 ?y1)) (* 46 x1)) 8)) (and (not (= (+ (+ (* 13 ?y6) (* 23 ?y2)) (* 30 ?y1)) 0)) (= (+ (+ (+ ?v_71 (* 68 ?y2)) (* (- 52) ?y1)) (* 40 x1)) (- 99)))) (and (= (+ (+ (+ (+ (* (- 97) ?y6) (* (- 49) ?y3)) (* (- 100) ?y2)) (* (- 85) ?y1)) (* 15 x1)) (- 55)) (>= (+ (+ (+ (+ ?v_70 (* 82 ?y5)) (* (- 4) ?y3)) (* (- 74) ?y1)) (* 5 x1)) 73))) (and (or (<= (+ (+ (+ (+ (+ (* (- 70) ?y6) (* (- 55) ?y5)) (* (- 61) ?y3)) (* 29 ?y2)) (* 95 ?y1)) (* 65 x1)) 59) (> (+ (+ (+ (* (- 43) ?y5) (* (- 65) ?y3)) (* 17 ?y1)) (* 64 x1)) 3)) (or (= (+ (+ (+ (+ (* (- 5) ?y5) ?v_71) (* (- 26) ?y2)) (* (- 20) ?y1)) (* (- 68) x1)) 0) (< (+ (+ (* 91 ?y6) (* 43 ?y3)) (* 50 ?y1)) 0))))))))) (or (and (exists ((?y5 Real)) (let ((?v_72 (* 24 x1))) (or (or (or (and (<= (+ (+ (* 100 ?y5) (* (- 99) ?y3)) (* 21 ?y2)) (- 28)) (> (+ (+ (+ (+ (* (- 6) ?y5) (* (- 25) ?y3)) (* (- 84) ?y2)) (* (- 8) ?y1)) (* (- 43) x1)) (- 57))) (and (= (+ (+ (* 22 ?y5) (* 80 ?y1)) ?v_72) 0) (not (= (+ (+ (* (- 44) ?y3) (* 98 ?y1)) ?v_72) 69)))) (exists ((?y6 Real)) (and (and (< (+ (+ (+ (* 14 ?y6) (* 76 ?y2)) (* 79 ?y1)) (* 63 x1)) (- 56)) (< (+ (+ (* 9 ?y5) (* 79 ?y2)) (* (- 50) ?y1)) (- 23))) (and (> (+ (+ (+ (+ (* 36 ?y6) (* (- 65) ?y5)) (* (- 92) ?y3)) (* (- 27) ?y2)) (* (- 9) ?y1)) 35) (<= (+ (+ (+ (* 10 ?y6) (* 99 ?y3)) (* 65 ?y2)) (* (- 16) x1)) 9))))) (exists ((?y6 Real)) (and (and (not (= (+ (+ (+ (+ (* 60 ?y6) (* 6 ?y5)) (* (- 35) ?y3)) (* 72 ?y1)) (* (- 16) x1)) 0)) (> (+ (+ (+ (+ (+ (* (- 37) ?y6) (* (- 53) ?y5)) (* 82 ?y3)) (* 13 ?y2)) (* (- 38) ?y1)) (* 13 x1)) 0)) (> (+ (+ (+ (* 40 ?y6) (* (- 54) ?y5)) (* 50 ?y2)) (* 11 x1)) (- 76))))))) (and (or (<= (+ (+ (* (- 95) ?y3) ?v_6) (* 45 ?y1)) 0) (<= (* 64 ?y3) 0)) (or (> (+ (+ ?v_0 (* 5 ?y1)) (* (- 87) x1)) (- 13)) (< (+ (+ (+ (* 9 ?y3) (* 68 ?y2)) ?v_3) ?v_1) 79)))) (or (or (or (or (and (= (+ (* (- 40) ?y2) (* (- 1) x1)) 6) (< (+ (+ (+ (* 82 ?y3) (* 83 ?y2)) (* 31 ?y1)) (* 57 x1)) (- 41))) (>= (+ (* (- 87) ?y3) (* 64 ?y2)) 13)) (or (= (+ (* 77 ?y3) (* 4 ?y1)) 56) (not (= (+ (* 70 ?y3) ?v_2) 27)))) (and (and (<= (+ (* 1 ?y1) (* 73 x1)) (- 85)) (not (= (+ (+ (* 100 ?y3) (* 34 ?y2)) (* 9 x1)) 15))) (and (or (= (+ (* 40 ?y3) (* 82 x1)) (- 9)) (= (+ (* 43 ?y3) (* 41 ?y1)) (- 75))) (> (+ (* 25 ?y1) ?v_4) 0)))) (or (or (and (= (+ (+ (+ (* (- 61) ?y3) (* (- 75) ?y2)) (* (- 40) ?y1)) (* (- 14) x1)) 0) (>= (+ (+ (* 4 ?y3) (* 74 ?y1)) (* (- 99) x1)) 10)) (and (and (< (+ (+ (+ (* 68 ?y3) (* 69 ?y2)) (* 22 ?y1)) (* (- 70) x1)) (- 32)) (>= (+ (+ (+ (* (- 86) ?y3) ?v_8) (* (- 43) ?y1)) (* 47 x1)) 79)) (or (> (+ (+ (+ (* (- 32) ?y3) (* (- 42) ?y2)) (* (- 53) ?y1)) ?v_7) (- 79)) (= (* 88 ?y2) (- 78))))) (and (<= (+ (+ (* 41 ?y3) (* (- 46) ?y1)) (* (- 20) x1)) (- 82)) (= (+ (+ (+ (* (- 98) ?y3) ?v_5) (* 39 ?y1)) (* (- 86) x1)) (- 94))))))) (and (and (or (or (exists ((?y6 Real)) (and (or (>= (+ (+ (+ (* (- 63) ?y6) (* (- 84) ?y3)) (* 17 ?y1)) ?v_4) 0) (= (+ (+ (* (- 33) ?y3) (* (- 21) ?y1)) (* (- 100) x1)) 18)) (or (not (= (+ (* (- 60) ?y2) (* 89 x1)) 74)) (<= (+ (+ (+ (* 64 ?y6) (* (- 72) ?y2)) (* (- 17) ?y1)) (* 47 x1)) 0)))) (exists ((?y5 Real)) (forall ((?y6 Real)) (and (and (and (>= (+ (* (- 7) ?y2) (* (- 24) ?y1)) 46) (<= (+ (+ (+ (+ (+ (* (- 27) ?y6) (* 58 ?y5)) (* (- 7) ?y3)) (* (- 88) ?y2)) (* (- 55) ?y1)) (* (- 6) x1)) (- 87))) (and (> (+ (+ (+ (* 40 ?y6) (* (- 56) ?y5)) (* (- 77) ?y3)) (* 79 ?y1)) (- 70)) (>= (+ (+ (* (- 89) ?y5) (* (- 78) ?y3)) (* (- 7) x1)) 76))) (or (and (< (+ (+ (+ (+ (+ (* 63 ?y6) (* (- 69) ?y5)) (* (- 10) ?y3)) (* 60 ?y2)) (* (- 49) ?y1)) (* 20 x1)) 58) (<= (+ (+ (+ (+ (* 26 ?y6) (* (- 33) ?y5)) (* (- 85) ?y3)) (* (- 94) ?y2)) (* (- 65) x1)) (- 75))) (and (= (+ (+ (+ (* 23 ?y5) (* (- 48) ?y3)) (* (- 37) ?y2)) (* (- 1) ?y1)) 42) (<= (+ (+ (+ (+ (+ (* (- 25) ?y6) (* (- 86) ?y5)) (* 28 ?y3)) (* 6 ?y2)) (* (- 98) ?y1)) (* 56 x1)) 0))))))) (forall ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_73 (* (- 28) ?y4))) (and (or (and (and (not (= (+ (+ (+ (* 93 ?y4) (* 38 ?y2)) (* (- 12) ?y1)) (* 55 x1)) 0)) (>= (+ (+ (+ (* 20 ?y5) (* (- 43) ?y4)) (* 79 ?y3)) (* 76 x1)) (- 14))) (or (> (+ (+ (+ (* 95 ?y5) (* (- 27) ?y2)) (* 93 ?y1)) (* 58 x1)) (- 4)) (<= (+ (+ (+ (+ (* 61 ?y5) (* (- 8) ?y4)) (* (- 97) ?y3)) (* 34 ?y2)) (* 72 x1)) 0))) (and (and (not (= (+ (+ (+ (+ (+ (* 89 ?y5) (* 7 ?y4)) (* (- 5) ?y3)) (* (- 97) ?y2)) (* (- 70) ?y1)) (* (- 82) x1)) 0)) (not (= (+ (+ (+ (+ (+ (* 43 ?y5) (* (- 35) ?y4)) (* 49 ?y3)) (* (- 70) ?y2)) (* (- 72) ?y1)) (* (- 74) x1)) (- 94)))) (or (not (= (+ (+ (* 15 ?y4) (* (- 87) ?y1)) (* (- 41) x1)) (- 1))) (< (+ (+ (+ (+ (+ (* 30 ?y5) (* (- 63) ?y4)) (* (- 50) ?y3)) (* 87 ?y2)) (* (- 9) ?y1)) (* 16 x1)) 16)))) (and (or (<= (+ (+ (+ (+ (* 12 ?y5) (* 57 ?y4)) (* (- 28) ?y3)) (* (- 71) ?y2)) (* 19 x1)) 29) (> (+ (+ ?v_73 (* (- 15) ?y1)) (* (- 37) x1)) (- 90))) (and (and (< (+ (+ (+ (* (- 9) ?y5) (* (- 19) ?y4)) (* (- 65) ?y1)) (* 29 x1)) (- 5)) (not (= (+ (+ (+ (+ (* 79 ?y5) (* 54 ?y4)) (* (- 4) ?y2)) (* 94 ?y1)) (* (- 76) x1)) 83))) (or (not (= (+ (+ (+ (+ (+ (* (- 11) ?y5) ?v_73) (* (- 56) ?y3)) (* (- 22) ?y2)) (* (- 88) ?y1)) (* 85 x1)) 0)) (<= (+ (+ (+ (+ (* 86 ?y4) (* (- 100) ?y3)) (* 83 ?y2)) (* (- 100) ?y1)) (* (- 44) x1)) 0))))))))) (and (or (or (and (< (+ (+ (* (- 64) ?y2) (* (- 35) ?y1)) (* (- 23) x1)) 49) (< (+ (* 91 ?y3) (* (- 97) x1)) 10)) (or (and (< (+ (+ (* 87 ?y3) ?v_0) ?v_1) 16) (>= (+ (+ (+ (* 67 ?y3) ?v_2) ?v_3) (* (- 96) x1)) 0)) (and (>= (+ (* (- 32) ?y2) (* (- 83) x1)) 34) (<= (+ (+ (* 66 ?y2) (* 20 ?y1)) ?v_4) 0)))) (or (or (<= (+ (+ (+ (* (- 45) ?y3) ?v_5) (* 86 ?y1)) (* (- 47) x1)) (- 55)) (or (< (+ (+ (+ (* (- 63) ?y3) (* 91 ?y2)) (* 38 ?y1)) (* (- 15) x1)) (- 92)) (= (+ (+ ?v_6 (* 21 ?y1)) (* 13 x1)) 66))) (or (or (not (= (+ (* 16 ?y2) (* 72 x1)) 0)) (= (+ (+ (+ (* 46 ?y3) (* (- 5) ?y2)) (* 15 ?y1)) ?v_1) (- 51))) (not (= (+ (+ (+ (* 57 ?y3) (* 75 ?y2)) (* (- 9) ?y1)) (* 51 x1)) 54))))) (or (or (and (>= (+ (+ (* (- 57) ?y3) (* 60 ?y2)) (* (- 63) ?y1)) (- 71)) (< (+ (* (- 1) ?y3) ?v_7) 97)) (or (not (= (+ (* (- 81) ?y2) (* 13 ?y1)) 45)) (not (= ?v_8 (- 63))))) (and (and (> (+ (+ (* 16 ?y3) (* (- 34) ?y2)) (* 33 x1)) 27) (< (+ (+ (* 79 ?y3) (* 50 ?y2)) (* 97 x1)) (- 14))) (and (< (+ (+ (* (- 24) ?y2) (* (- 6) ?y1)) (* 23 x1)) (- 35)) (>= (+ (+ (* 9 ?y2) (* 36 ?y1)) (* (- 59) x1)) (- 59))))))) (forall ((?y4 Real)) (or (and (or (and (> (+ (+ (+ (+ (* (- 98) ?y4) (* 98 ?y3)) (* 96 ?y2)) (* 67 ?y1)) ?v_1) 48) (or (>= (+ (+ (* 82 ?y4) (* (- 19) ?y2)) (* (- 61) ?y1)) (- 38)) (<= (+ (+ (* 70 ?y3) (* (- 29) ?y2)) (* 12 ?y1)) (- 78)))) (or (or (> (+ (+ (* 44 ?y4) (* (- 36) ?y3)) (* 50 x1)) (- 91)) (= (+ (+ (* (- 56) ?y4) (* 53 ?y2)) (* (- 12) x1)) 75)) (or (> (+ (+ (+ (* (- 23) ?y4) (* 82 ?y2)) (* (- 68) ?y1)) (* 88 x1)) 29) (not (= (+ (+ (+ (* 6 ?y4) (* (- 12) ?y3)) (* 83 ?y1)) (* (- 66) x1)) 0))))) (and (or (<= (+ (+ (* 75 ?y4) (* 77 ?y3)) (* (- 82) x1)) (- 67)) (= (* 31 ?y3) 0)) (and (and (> (+ (+ (* 75 ?y3) (* (- 54) ?y2)) (* 72 x1)) (- 79)) (> (+ (+ (+ (+ (* (- 90) ?y4) (* (- 15) ?y3)) (* 42 ?y2)) (* (- 26) ?y1)) (* 96 x1)) 95)) (>= (+ (+ (* 59 ?y3) (* 97 ?y2)) (* 39 x1)) 34)))) (forall ((?y6 Real)) (let ((?v_79 (* 26 ?y1)) (?v_74 (* 55 ?y3)) (?v_78 (* (- 52) x1)) (?v_75 (* (- 70) ?y2)) (?v_76 (* (- 41) ?y4)) (?v_77 (* (- 7) ?y4))) (or (and (or (and (and (>= (+ (+ (+ (* (- 46) ?y6) (* (- 77) ?y4)) ?v_74) (* 22 x1)) (- 11)) (<= (+ (+ (+ ?v_74 (* (- 38) ?y2)) (* 34 ?y1)) (* (- 98) x1)) 0)) (or (>= (+ (+ (+ (+ (* 93 ?y6) ?v_76) (* (- 49) ?y3)) ?v_75) (* (- 41) ?y1)) (- 44)) (not (= (+ (+ (+ (+ (* 14 ?y6) (* (- 73) ?y4)) (* (- 36) ?y3)) (* 98 ?y2)) ?v_78) 0)))) (= (+ (+ (+ (* (- 4) ?y6) (* (- 98) ?y4)) (* (- 29) ?y2)) (* (- 65) x1)) 63)) (or (and (or (>= (+ (+ (+ (* (- 51) ?y3) (* 25 ?y2)) (* (- 60) ?y1)) (* 40 x1)) 25) (>= (+ (+ (+ (+ (+ (* 49 ?y6) (* 91 ?y4)) (* 22 ?y3)) (* (- 84) ?y2)) (* (- 38) ?y1)) (* 86 x1)) 0)) (and (> (+ (+ (+ (+ (+ (* 66 ?y6) ?v_77) (* (- 90) ?y3)) (* (- 8) ?y2)) (* (- 42) ?y1)) (* 24 x1)) 98) (>= (+ (+ (+ (* 50 ?y4) (* 94 ?y2)) (* (- 33) ?y1)) (* (- 30) x1)) 82))) (or (<= (+ (+ (+ (* 95 ?y6) (* (- 42) ?y4)) ?v_75) (* 1 x1)) 5) (and (not (= (+ (+ (+ (+ (* 8 ?y6) ?v_76) (* 29 ?y3)) (* 73 ?y2)) (* (- 85) ?y1)) (- 76))) (< (+ (+ (+ (+ (* (- 22) ?y6) (* 68 ?y4)) (* (- 82) ?y3)) (* 51 ?y2)) ?v_79) 73))))) (or (and (and (< (+ (+ (* 78 ?y3) (* 12 ?y2)) (* 13 ?y1)) (- 11)) (not (= (+ (+ (+ (* 96 ?y6) (* (- 71) ?y4)) (* 29 ?y1)) (* (- 36) x1)) 9))) (or (and (> (+ (+ (+ (+ (* (- 79) ?y6) (* 34 ?y4)) (* 24 ?y3)) (* (- 72) ?y2)) (* (- 37) x1)) (- 22)) (> (+ (+ (+ (+ (+ (* 45 ?y6) ?v_77) (* 43 ?y3)) (* (- 19) ?y2)) (* 87 ?y1)) (* 83 x1)) 53)) (not (= (+ (+ (+ (+ (+ (* (- 62) ?y6) (* 65 ?y4)) (* 34 ?y3)) (* 65 ?y2)) (* 59 ?y1)) ?v_78) (- 72))))) (or (or (and (> (+ (+ (+ (+ (+ (* 65 ?y6) (* (- 21) ?y4)) (* (- 47) ?y3)) (* 31 ?y2)) (* 96 ?y1)) (* (- 47) x1)) 74) (< (+ (+ (+ (* 23 ?y4) (* (- 29) ?y3)) (* (- 2) ?y1)) (* 72 x1)) 49)) (and (>= (+ (+ (+ (+ (* 23 ?y6) (* (- 86) ?y4)) (* (- 66) ?y3)) ?v_79) (* (- 95) x1)) 0) (= (+ (+ (+ (+ (+ (* (- 73) ?y6) (* (- 81) ?y4)) (* 92 ?y3)) (* (- 94) ?y2)) (* (- 21) ?y1)) (* 14 x1)) 15))) (and (> (+ (+ (+ (+ (* 39 ?y6) (* 75 ?y3)) (* 74 ?y2)) (* (- 26) ?y1)) (* 16 x1)) (- 87)) (> (+ (+ (+ (* (- 95) ?y6) (* (- 13) ?y3)) (* (- 31) ?y2)) (* 95 ?y1)) 0)))))))))))))))) (or (and (or (or (and (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (and (or (and (or (<= (+ (* (- 36) ?y4) (* 48 ?y2)) 0) (< (+ (+ (* 3 ?y5) (* 62 ?y4)) (* 72 ?y3)) (- 74))) (and (= (+ (+ (+ (+ (* 41 ?y6) (* 99 ?y5)) (* 30 ?y4)) (* 11 ?y3)) (* (- 12) ?y2)) (- 75)) (<= (+ (+ (+ (+ (+ (* (- 16) ?y6) (* 55 ?y5)) (* (- 95) ?y4)) (* 6 ?y3)) (* 95 ?y2)) (* (- 8) x1)) 0))) (and (= (+ (+ (+ (+ (* 99 ?y6) (* (- 93) ?y5)) (* (- 75) ?y4)) (* (- 14) ?y3)) (* 55 ?y2)) (- 46)) (< (+ (+ (+ (+ (* 89 ?y6) (* 30 ?y5)) (* 93 ?y4)) (* (- 27) ?y2)) (* (- 11) x1)) 67))) (and (or (not (= (+ (+ (+ (+ (* (- 32) ?y6) (* (- 4) ?y5)) (* (- 28) ?y4)) (* (- 59) ?y3)) (* (- 1) x1)) (- 96))) (not (= (+ (+ (* 68 ?y5) (* (- 11) ?y2)) (* 98 x1)) 81))) (or (>= (+ (+ (+ (* (- 92) ?y6) (* 76 ?y5)) (* (- 80) ?y4)) (* 5 ?y2)) 1) (>= (+ (+ (+ (* (- 24) ?y6) (* (- 69) ?y4)) (* (- 61) ?y3)) (* 9 x1)) 7))))))))) (or (exists ((?y2 Real)) (and (forall ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (and (or (not (= (+ (+ (* (- 47) ?y6) (* 40 ?y4)) (* (- 37) x1)) 42)) (> (+ (+ (+ (* (- 82) ?y6) (* (- 72) ?y4)) (* (- 95) ?y2)) (* 7 x1)) 0)) (or (>= (+ (+ (* (- 67) ?y6) (* (- 97) ?y2)) (* (- 31) x1)) (- 56)) (>= (+ (* (- 70) ?y5) (* (- 27) ?y2)) (- 80))))))) (or (exists ((?y3 Real)) (forall ((?y5 Real)) (forall ((?y6 Real)) (and (not (= (+ (+ (+ (+ (* 82 ?y6) (* 5 ?y5)) (* 77 ?y3)) (* (- 19) ?y2)) (* (- 43) x1)) 48)) (<= (+ (* (- 63) ?y3) (* 26 ?y2)) (- 85)))))) (exists ((?y3 Real)) (exists ((?y4 Real)) (and (exists ((?y6 Real)) (>= (+ (+ (+ (+ (* 72 ?y6) (* 53 ?y4)) (* (- 17) ?y3)) (* (- 86) ?y2)) (* 48 x1)) 34)) (forall ((?y6 Real)) (> (+ (+ (* (- 88) ?y6) (* 44 ?y3)) (* 24 ?y2)) 0)))))))) (or (forall ((?y2 Real)) (and (and (or (exists ((?y3 Real)) (forall ((?y4 Real)) (exists ((?y5 Real)) (< (+ (+ (+ (+ (* 79 ?y5) (* 92 ?y4)) (* (- 93) ?y3)) (* (- 12) ?y2)) (* 92 x1)) 34)))) (forall ((?y3 Real)) (or (forall ((?y4 Real)) (< (+ (+ (+ (* (- 76) ?y4) (* 16 ?y3)) (* (- 27) ?y2)) (* 34 x1)) 4)) (exists ((?y4 Real)) (<= (+ (+ (* 99 ?y4) (* 19 ?y3)) (* (- 34) x1)) 30))))) (or (exists ((?y4 Real)) (and (< (+ (* 30 ?y4) (* 20 ?y2)) (- 74)) (> (+ (+ (* (- 65) ?y4) (* (- 40) ?y2)) (* (- 20) x1)) 0))) (forall ((?y4 Real)) (and (<= (+ (* (- 42) ?y2) (* (- 75) x1)) 47) (>= (+ (* (- 2) ?y4) (* 84 x1)) (- 80)))))) (exists ((?y3 Real)) (forall ((?y4 Real)) (and (exists ((?y6 Real)) (> (+ (+ (+ (* (- 41) ?y6) (* 57 ?y4)) (* (- 10) ?y2)) (* (- 27) x1)) 0)) (exists ((?y6 Real)) (>= (+ (+ (+ (* (- 84) ?y6) (* (- 56) ?y4)) (* (- 36) ?y3)) (* (- 35) ?y2)) 28))))))) (or (exists ((?y2 Real)) (exists ((?y5 Real)) (forall ((?y6 Real)) (< (+ (+ (* 18 ?y6) (* 28 ?y5)) (* (- 36) x1)) 16)))) (forall ((?y2 Real)) (or (and (exists ((?y4 Real)) (or (< (+ (* (- 63) ?y2) (* 39 x1)) 0) (>= (+ (+ (* 93 ?y4) (* (- 20) ?y2)) (* (- 55) x1)) 88))) (and (> (+ (* 99 ?y2) (* (- 57) x1)) 98) (= (+ (* (- 78) ?y2) (* (- 21) x1)) 21))) (forall ((?y3 Real)) (or (forall ((?y4 Real)) (or (>= (+ (+ (+ (* 24 ?y4) (* 44 ?y3)) (* (- 42) ?y2)) (* 53 x1)) 0) (not (= (+ (+ (+ (* 12 ?y4) (* 42 ?y3)) (* 61 ?y2)) (* 71 x1)) 0)))) (forall ((?y4 Real)) (forall ((?y5 Real)) (> (+ (+ (+ (* (- 6) ?y5) (* 23 ?y4)) (* 57 ?y2)) (* 1 x1)) (- 91)))))))))))) (and (forall ((?y2 Real)) (or (forall ((?y3 Real)) (let ((?v_80 (* 28 ?y3))) (and (exists ((?y6 Real)) (and (and (>= (+ (* 47 ?y3) (* 77 x1)) 0) (= (+ (+ (+ (* 93 ?y6) (* 86 ?y3)) (* 63 ?y2)) (* (- 78) x1)) 33)) (and (= (+ (+ (+ (* 76 ?y6) (* (- 66) ?y3)) (* (- 31) ?y2)) (* (- 16) x1)) 84) (not (= (+ (+ (+ (* (- 59) ?y6) (* 60 ?y3)) (* 35 ?y2)) (* (- 13) x1)) 0))))) (and (and (exists ((?y6 Real)) (not (= (+ (+ (+ (* 74 ?y6) (* 41 ?y3)) (* 46 ?y2)) (* 24 x1)) 0))) (and (= (+ (+ ?v_80 (* 6 ?y2)) (* (- 50) x1)) 75) (<= (+ (+ ?v_80 (* (- 55) ?y2)) (* 95 x1)) (- 87)))) (forall ((?y5 Real)) (and (or (not (= (+ (+ (* 83 ?y5) (* 52 ?y3)) (* 10 ?y2)) 60)) (>= (+ (+ (* (- 27) ?y3) (* 92 ?y2)) (* (- 50) x1)) (- 62))) (or (= (+ (+ (* (- 4) ?y5) (* (- 18) ?y3)) (* 39 ?y2)) 0) (= (+ (+ (+ (* 73 ?y5) (* (- 36) ?y3)) (* 41 ?y2)) (* 24 x1)) 0)))))))) (and (and (and (and (> (+ (* 12 ?y2) (* (- 41) x1)) (- 72)) (and (exists ((?y4 Real)) (= (+ (* 20 ?y4) (* 7 ?y2)) 59)) (or (< (* (- 19) x1) (- 59)) (forall ((?y3 Real)) (> (+ (+ (* 75 ?y3) (* 94 ?y2)) (* 26 x1)) 77))))) (exists ((?y3 Real)) (and (or (and (<= (+ (* (- 57) ?y2) (* (- 47) x1)) 0) (not (= (+ (+ (* 14 ?y3) (* (- 6) ?y2)) (* 90 x1)) 80))) (or (> (* 73 ?y3) 26) (>= (+ (* 46 ?y3) (* 76 ?y2)) 58))) (not (= (+ (* (- 19) ?y2) (* 4 x1)) 0))))) (and (and (exists ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (> (+ (+ (* 8 ?y5) (* (- 13) ?y4)) (* (- 13) x1)) 14)))) (exists ((?y3 Real)) (let ((?v_81 (* 25 ?y2))) (or (and (< (+ ?v_81 (* 91 x1)) 52) (not (= (+ (* 85 ?y3) (* 88 x1)) 0))) (or (<= (+ (+ (* 73 ?y3) (* (- 32) ?y2)) (* 51 x1)) 24) (<= (+ ?v_81 (* 4 x1)) 0)))))) (forall ((?y3 Real)) (or (exists ((?y5 Real)) (< (+ (+ (* 4 ?y5) (* (- 71) ?y3)) (* 16 x1)) 76)) (exists ((?y5 Real)) (< (+ (* (- 89) ?y2) (* 18 x1)) (- 95))))))) (and (or (exists ((?y3 Real)) (or (and (forall ((?y4 Real)) (< (+ (+ (* (- 24) ?y4) (* (- 47) ?y3)) (* 11 x1)) 97)) (forall ((?y4 Real)) (> (+ (+ (* 23 ?y4) (* 31 ?y2)) (* (- 30) x1)) (- 97)))) (exists ((?y4 Real)) (forall ((?y5 Real)) (< (+ (+ (+ (* (- 20) ?y5) (* 86 ?y4)) (* (- 39) ?y3)) (* 64 x1)) 76))))) (exists ((?y3 Real)) (or (not (= (+ (+ (* 100 ?y3) (* 40 ?y2)) (* 3 x1)) 0)) (forall ((?y5 Real)) (>= (+ (* 78 ?y2) (* 88 x1)) 55))))) (exists ((?y3 Real)) (or (and (or (or (>= (+ (* (- 47) ?y2) (* 46 x1)) (- 35)) (> (+ (* 43 ?y3) (* (- 48) ?y2)) 29)) (or (not (= (+ (+ (* (- 22) ?y3) (* 66 ?y2)) (* (- 99) x1)) (- 64))) (not (= (+ (+ (* (- 70) ?y3) (* 54 ?y2)) (* (- 29) x1)) (- 55))))) (exists ((?y4 Real)) (and (> (+ (+ (* (- 89) ?y4) (* 37 ?y3)) (* (- 61) ?y2)) (- 58)) (<= (+ (+ (* 100 ?y4) (* (- 76) ?y3)) (* 93 ?y2)) 0)))) (or (exists ((?y5 Real)) (= (+ (+ (+ (* 92 ?y5) (* 23 ?y3)) (* (- 70) ?y2)) (* 13 x1)) 59)) (and (>= (+ (* 82 ?y3) (* (- 11) x1)) 43) (>= (+ (+ (* (- 35) ?y3) (* 22 ?y2)) (* (- 24) x1)) 58))))))))) (or (exists ((?y2 Real)) (forall ((?y3 Real)) (and (and (and (<= (* 86 ?y3) (- 46)) (< (* 47 x1) 0)) (>= (+ (+ (* (- 6) ?y3) (* 12 ?y2)) (* 35 x1)) 0)) (exists ((?y6 Real)) (or (or (not (= (* 15 ?y2) 35)) (> (+ (+ (* (- 84) ?y6) (* 79 ?y2)) (* (- 51) x1)) (- 49))) (or (= (* (- 68) ?y6) (- 75)) (not (= (+ (* 19 ?y6) (* 84 ?y3)) (- 16))))))))) (forall ((?y2 Real)) (or (exists ((?y3 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (and (or (> (+ (+ (+ (* (- 77) ?y6) (* 27 ?y3)) (* (- 69) ?y2)) (* (- 81) x1)) 0) (<= (+ (+ (+ (+ (* (- 40) ?y6) (* 11 ?y5)) (* (- 60) ?y3)) (* (- 20) ?y2)) (* 88 x1)) (- 22))) (or (<= (+ (+ (+ (* 67 ?y6) (* (- 31) ?y5)) (* (- 21) ?y3)) (* (- 75) ?y2)) (- 22)) (not (= (+ (+ (+ (+ (* (- 83) ?y6) (* 77 ?y5)) (* 85 ?y3)) (* (- 62) ?y2)) (* (- 67) x1)) 96))))))) (exists ((?y3 Real)) (and (and (exists ((?y6 Real)) (>= (+ (+ (+ (* 36 ?y6) (* 8 ?y3)) (* (- 29) ?y2)) (* 61 x1)) 0)) (forall ((?y5 Real)) (exists ((?y6 Real)) (>= (+ (+ (+ (* (- 86) ?y6) (* (- 60) ?y3)) (* 68 ?y2)) (* 91 x1)) (- 29))))) (or (forall ((?y4 Real)) (forall ((?y5 Real)) (forall ((?y6 Real)) (not (= (+ (+ (+ (+ (* 91 ?y6) (* (- 44) ?y5)) (* (- 43) ?y4)) (* 59 ?y3)) (* 36 x1)) 0))))) (or (exists ((?y4 Real)) (forall ((?y5 Real)) (<= (+ (+ (+ (* (- 50) ?y5) (* 75 ?y4)) (* 39 ?y3)) (* 36 ?y2)) 0))) (forall ((?y5 Real)) (<= (+ (* (- 4) ?y2) (* 32 x1)) 77))))))))))) (forall ((?y2 Real)) (exists ((?y3 Real)) (exists ((?y4 Real)) (and (or (and (and (and (or (forall ((?y5 Real)) (<= (+ (+ (+ (* (- 5) ?y5) (* 22 ?y4)) (* 45 ?y3)) (* 65 ?y2)) 45)) (or (< (+ (+ (+ (* 91 ?y4) (* 37 ?y3)) (* 16 ?y2)) (* (- 91) x1)) (- 80)) (< (+ (+ (* 88 ?y4) (* 62 ?y3)) (* (- 23) ?y2)) 31))) (exists ((?y5 Real)) (> (+ (+ (+ (* 80 ?y4) (* 34 ?y3)) (* (- 39) ?y2)) (* 60 x1)) 21))) (or (not (= (+ (+ (* 68 ?y4) (* (- 67) ?y3)) (* (- 89) x1)) 0)) (and (not (= (+ (+ (* 74 ?y3) (* 50 ?y2)) (* 91 x1)) 30)) (= (+ (+ (* 10 ?y4) (* (- 99) ?y2)) (* 31 x1)) 0)))) (and (or (exists ((?y5 Real)) (exists ((?y6 Real)) (= (+ (+ (* 28 ?y6) (* (- 46) ?y5)) (* 89 x1)) 42))) (forall ((?y5 Real)) (exists ((?y6 Real)) (>= (+ (+ (+ (* (- 25) ?y5) (* 91 ?y3)) (* (- 64) ?y2)) (* 26 x1)) (- 83))))) (or (exists ((?y6 Real)) (= (+ (+ (* 7 ?y6) (* 14 ?y4)) (* 67 ?y3)) 71)) (>= (+ (* (- 41) ?y2) (* (- 51) x1)) 19)))) (and (exists ((?y6 Real)) (= (+ (+ (+ (* 11 ?y6) (* (- 99) ?y4)) (* (- 77) ?y2)) (* (- 38) x1)) 0)) (exists ((?y5 Real)) (and (and (<= (+ (+ (+ (* (- 61) ?y5) (* (- 89) ?y4)) (* 11 ?y3)) (* 6 ?y2)) (- 64)) (> (+ (+ (+ (* (- 53) ?y5) (* (- 78) ?y4)) (* 41 ?y3)) (* 10 ?y2)) 0)) (forall ((?y6 Real)) (or (<= (+ (+ (+ (+ (* (- 68) ?y6) (* (- 41) ?y5)) (* (- 81) ?y4)) (* 55 ?y3)) (* (- 1) ?y2)) 0) (not (= (+ (+ (+ (* (- 69) ?y6) (* 59 ?y5)) (* 5 ?y4)) (* 16 x1)) 65)))))))) (exists ((?y5 Real)) (and (and (forall ((?y6 Real)) (or (and (<= (+ (+ (+ (+ (* 62 ?y6) (* 59 ?y5)) (* (- 15) ?y4)) (* 82 ?y2)) (* (- 80) x1)) 57) (not (= (+ (+ (+ (+ (* (- 12) ?y6) (* 91 ?y5)) (* 13 ?y4)) (* (- 96) ?y2)) (* 33 x1)) 0))) (or (<= (+ (+ (+ (+ (* 70 ?y5) (* 70 ?y4)) (* (- 88) ?y3)) (* 95 ?y2)) (* 65 x1)) 51) (<= (+ (+ (+ (+ (+ (* 68 ?y6) (* 40 ?y5)) (* 36 ?y4)) (* 77 ?y3)) (* 47 ?y2)) (* 86 x1)) 54)))) (or (< (+ (+ (+ (+ (* (- 11) ?y5) (* 25 ?y4)) (* 19 ?y3)) (* (- 3) ?y2)) (* 21 x1)) (- 95)) (exists ((?y6 Real)) (and (< (+ (+ (* 29 ?y6) (* (- 7) ?y5)) (* 40 ?y3)) 73) (< (+ (+ (+ (+ (+ (* 82 ?y6) (* (- 69) ?y5)) (* 62 ?y4)) (* (- 60) ?y3)) (* (- 1) ?y2)) (* (- 80) x1)) (- 77)))))) (forall ((?y6 Real)) (or (and (= (+ (+ (+ (* (- 56) ?y4) (* (- 87) ?y3)) (* (- 30) ?y2)) (* (- 32) x1)) 0) (<= (+ (+ (* 45 ?y5) (* 84 ?y2)) (* (- 17) x1)) (- 19))) (or (and (= (+ (+ (+ (+ (* 15 ?y6) (* 21 ?y4)) (* (- 96) ?y3)) (* 49 ?y2)) (* (- 66) x1)) (- 39)) (= (+ (+ (+ (+ (* 55 ?y6) (* (- 39) ?y5)) (* 86 ?y4)) (* (- 59) ?y3)) (* 72 x1)) 75)) (or (not (= (+ (+ (+ (+ (+ (* (- 38) ?y6) (* 77 ?y5)) (* (- 31) ?y4)) (* 40 ?y3)) (* (- 63) ?y2)) (* (- 24) x1)) 50)) (< (+ (* (- 95) ?y4) (* (- 23) ?y2)) 10)))))))))))) (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_96 (* 89 x1)) (?v_109 (* 19 x1)) (?v_85 (* 21 x1)) (?v_83 (* 8 ?y4)) (?v_105 (* 71 ?y3)) (?v_93 (* 90 ?y4)) (?v_90 (* 62 ?y3)) (?v_84 (* 16 ?y5)) (?v_86 (* 10 ?y3)) (?v_101 (* 10 ?y5)) (?v_87 (* 63 ?y5)) (?v_99 (* 95 ?y3)) (?v_88 (* 18 ?y4)) (?v_91 (* 96 ?y3)) (?v_89 (* 39 ?y5)) (?v_110 (* 92 ?y3)) (?v_95 (* 19 ?y4)) (?v_108 (* 46 ?y3)) (?v_103 (* 41 ?y3)) (?v_111 (* (- 98) x1)) (?v_97 (* (- 48) ?y2)) (?v_82 (* (- 43) ?y5)) (?v_94 (* (- 8) ?y4)) (?v_112 (* (- 55) ?y2)) (?v_106 (* (- 71) ?y5)) (?v_102 (* (- 35) ?y2)) (?v_98 (* (- 36) ?y3)) (?v_104 (* (- 60) ?y5)) (?v_92 (* (- 73) ?y2)) (?v_113 (* (- 38) ?y5)) (?v_107 (* (- 8) ?y5)) (?v_100 (* (- 95) ?y2))) (or (and (or (and (or (or (= (+ (+ (+ (+ (* 14 ?y5) (* 15 ?y4)) (* (- 78) ?y3)) (* (- 3) ?y2)) (* (- 11) x1)) 45) (= (+ (+ (+ (+ (* 38 ?y5) (* (- 61) ?y4)) (* 29 ?y3)) (* 68 ?y2)) (* 42 x1)) 72)) (> (* 67 ?y3) 69)) (or (and (or (< (+ (+ (+ ?v_83 (* 60 ?y3)) (* 49 ?y2)) (* (- 76) x1)) (- 38)) (< (+ (+ (+ (+ (* (- 76) ?y5) (* 23 ?y4)) (* (- 29) ?y3)) (* 45 ?y2)) (* 16 x1)) 76)) (and (> (+ (+ (* 35 ?y5) (* 92 ?y4)) (* 84 ?y3)) 3) (< (+ (+ (* 58 ?y5) (* 66 ?y3)) (* 69 x1)) 0))) (and (or (> (+ (+ (+ (+ (* (- 33) ?y5) (* 7 ?y4)) ?v_105) (* (- 13) ?y2)) (* (- 32) x1)) 99) (>= (+ (+ (* (- 78) ?y5) ?v_93) ?v_85) (- 71))) (and (< (+ (+ (* (- 87) ?y5) ?v_97) (* (- 52) x1)) (- 44)) (<= (+ ?v_90 (* 93 x1)) (- 37)))))) (or (and (or (and (not (= (+ ?v_82 (* 57 ?y2)) 96)) (<= (+ (+ (* (- 34) ?y5) (* (- 87) ?y4)) (* 59 x1)) (- 40))) (or (<= (+ (+ ?v_84 (* (- 33) ?y4)) (* (- 15) ?y3)) 98) (= (+ (+ (+ (+ ?v_82 (* (- 21) ?y4)) ?v_86) (* 66 ?y2)) (* (- 7) x1)) 17))) (and (or (< (+ (+ (+ (* 13 ?y5) ?v_94) (* 45 ?y3)) (* (- 24) x1)) 97) (not (= (+ (+ (+ ?v_101 (* 77 ?y3)) ?v_112) (* 49 x1)) 51))) (or (< (+ (+ (+ ?v_106 ?v_83) (* (- 20) ?y3)) ?v_102) (- 56)) (not (= (+ (+ (* (- 15) ?y4) (* (- 51) ?y2)) ?v_111) (- 69)))))) (and (and (and (<= (+ (+ (+ (+ (* 79 ?y5) (* (- 26) ?y4)) (* (- 100) ?y3)) (* (- 98) ?y2)) (* (- 23) x1)) 29) (> (+ (* (- 41) ?y4) (* (- 33) ?y2)) 0)) (< (+ (* (- 55) ?y3) (* 100 x1)) (- 14))) (and (or (= (+ (+ ?v_98 (* (- 39) ?y2)) ?v_96) (- 37)) (> (+ (+ (+ (+ ?v_87 (* (- 35) ?y4)) (* 49 ?y3)) (* (- 80) ?y2)) (* (- 75) x1)) 0)) (or (not (= (+ (+ (+ (+ ?v_104 (* 49 ?y4)) (* 31 ?y3)) (* 30 ?y2)) (* (- 6) x1)) (- 84))) (< (+ (+ (+ ?v_84 ?v_83) ?v_99) ?v_85) 0)))))) (and (and (and (or (> (+ (+ (+ (* 76 ?y5) ?v_88) (* 71 ?y2)) (* (- 37) x1)) 68) (> (+ (+ (+ (* (- 41) ?y5) ?v_86) (* 14 ?y2)) (* (- 77) x1)) (- 61))) (and (not (= (+ (+ (+ ?v_87 ?v_91) ?v_92) (* (- 55) x1)) (- 70))) (< (+ (+ (+ (* 42 ?y5) ?v_88) (* (- 65) ?y3)) (* (- 97) ?y2)) (- 41)))) (and (or (<= (+ (+ (+ (+ ?v_89 (* 67 ?y4)) (* 82 ?y3)) (* 85 ?y2)) (* (- 48) x1)) (- 18)) (<= (+ (+ ?v_113 ?v_110) (* (- 68) ?y2)) 0)) (not (= (+ (+ (* (- 53) ?y4) (* 12 ?y3)) (* 27 ?y2)) 60)))) (or (or (or (<= (+ (+ (+ (+ (* 50 ?y5) (* (- 70) ?y4)) (* 20 ?y3)) (* 51 ?y2)) (* 99 x1)) (- 51)) (< (+ (+ (+ (+ ?v_89 (* 22 ?y4)) ?v_90) (* 99 ?y2)) (* 70 x1)) 67)) (and (<= (+ (+ (+ (* (- 95) ?y4) ?v_91) (* (- 29) ?y2)) (* 63 x1)) (- 42)) (> (+ (+ (+ (* 37 ?y5) ?v_95) ?v_92) (* (- 3) x1)) 68))) (or (and (< (+ (* 74 ?y5) (* 41 ?y4)) (- 95)) (not (= (+ (+ (+ (+ (* 21 ?y5) (* 20 ?y4)) (* 58 ?y3)) (* 95 ?y2)) (* 71 x1)) 0))) (and (> (+ (* (- 28) ?y2) (* (- 68) x1)) (- 4)) (<= (+ (+ (+ (* (- 97) ?y5) ?v_93) (* 87 ?y3)) (* 69 ?y2)) 0)))))) (or (or (and (and (or (= (+ (+ (+ (* 51 ?y5) ?v_94) (* 23 ?y3)) (* 89 ?y2)) 42) (= (+ (+ (+ (* (- 90) ?y5) (* 54 ?y4)) (* (- 9) ?y3)) (* (- 34) x1)) (- 18))) (or (= (+ (+ (+ (+ (* (- 11) ?y5) (* 76 ?y4)) (* 90 ?y3)) (* (- 62) ?y2)) (* (- 15) x1)) 75) (not (= (+ (+ (+ (* (- 46) ?y5) ?v_95) ?v_108) (* 52 ?y2)) (- 10))))) (> (+ (+ ?v_107 ?v_103) (* (- 26) x1)) 47)) (and (and (not (= (+ (+ (+ (+ (* (- 88) ?y5) (* (- 3) ?y4)) (* 5 ?y3)) (* 75 ?y2)) ?v_96) 9)) (> (+ (+ (+ (* 97 ?y5) ?v_86) (* 83 ?y2)) ?v_85) 57)) (and (and (<= (+ (+ (+ (* 66 ?y5) (* 36 ?y4)) ?v_97) (* 68 x1)) 39) (and (< (+ (+ (+ (+ (* 61 ?y5) (* 73 ?y4)) (* (- 80) ?y3)) (* (- 46) ?y2)) (* 20 x1)) (- 5)) (> (+ (+ (+ (* 36 ?y5) (* 99 ?y4)) ?v_98) ?v_100) 0))) (or (or (> (+ (+ (* 60 ?y4) ?v_99) (* 87 x1)) 54) (<= (+ (+ (+ (* (- 10) ?y4) (* 73 ?y3)) (* 33 ?y2)) (* (- 92) x1)) (- 10))) (or (> (+ (+ (* (- 64) ?y5) ?v_100) (* (- 96) x1)) (- 54)) (<= (+ (+ (+ (+ ?v_101 (* (- 79) ?y4)) (* (- 92) ?y3)) ?v_102) (* (- 44) x1)) 5)))))) (and (and (or (and (or (= (+ (+ (* (- 98) ?y4) (* (- 19) ?y3)) (* (- 78) x1)) 20) (>= (+ (+ (* (- 92) ?y5) (* 11 ?y4)) (* (- 72) ?y3)) 25)) (or (= (+ (+ (+ (* (- 4) ?y4) ?v_103) (* (- 54) ?y2)) ?v_109) (- 40)) (>= (+ (+ (* 96 ?y4) (* 99 ?y3)) (* (- 93) x1)) 91))) (and (> (+ (+ (+ (* 7 ?y5) (* 88 ?y4)) (* (- 43) ?y3)) (* (- 43) ?y2)) 95) (<= (+ (+ (+ (* (- 39) ?y4) (* (- 32) ?y3)) (* 8 ?y2)) (* 74 x1)) 0))) (and (or (and (<= (+ (+ (+ ?v_104 (* 34 ?y4)) (* (- 22) ?y3)) (* 10 ?y2)) 53) (>= (+ (+ (+ (* 19 ?y5) (* 81 ?y4)) (* (- 38) ?y3)) (* 14 x1)) 1)) (or (< (+ (+ (* (- 72) ?y4) ?v_105) (* 62 ?y2)) 22) (= (+ (+ (+ (* (- 39) ?y5) (* (- 64) ?y4)) (* 59 ?y2)) (* (- 30) x1)) 0))) (or (and (< (+ (* (- 72) ?y5) (* 43 ?y3)) (- 14)) (not (= (+ (+ ?v_106 (* 5 ?y2)) (* 75 x1)) 33))) (and (< (+ (+ (+ (* 82 ?y5) (* 95 ?y4)) (* 32 ?y2)) (* 22 x1)) 0) (> (+ (+ (+ ?v_107 ?v_90) (* (- 63) ?y2)) (* 50 x1)) (- 81)))))) (and (and (>= (+ (+ (+ (* 45 ?y5) ?v_108) (* (- 52) ?y2)) (* (- 57) x1)) (- 2)) (< (+ (+ (+ (* 43 ?y5) (* (- 6) ?y4)) (* 56 ?y2)) ?v_109) 0)) (and (or (< (+ (* 71 ?y4) ?v_110) (- 14)) (<= (+ (* (- 10) ?y5) ?v_111) 0)) (or (and (> (+ (+ (* 77 ?y4) (* 6 ?y2)) (* 45 x1)) 0) (not (= (+ (+ (* 61 ?y3) ?v_112) (* (- 66) x1)) 60))) (and (< (+ (+ ?v_113 (* (- 58) ?y2)) (* (- 53) x1)) 0) (not (= (+ (+ (+ (* 2 ?y5) (* 66 ?y4)) (* (- 6) ?y2)) (* (- 20) x1)) (- 24)))))))))))))))) (and (exists ((?y1 Real)) (exists ((?y2 Real)) (or (and (or (exists ((?y4 Real)) (forall ((?y5 Real)) (or (or (and (< (+ (+ (+ (* 52 ?y5) (* 73 ?y4)) (* (- 47) ?y2)) (* (- 51) x1)) 70) (= (+ (+ (+ (+ (* 85 ?y5) (* 49 ?y4)) (* 28 ?y2)) (* 32 ?y1)) (* 10 x1)) 48)) (and (= (+ (+ (+ (* (- 95) ?y4) (* (- 44) ?y2)) (* 23 ?y1)) (* (- 44) x1)) (- 30)) (> (+ (+ (+ (* 48 ?y5) (* (- 39) ?y4)) (* 10 ?y1)) (* (- 92) x1)) (- 70)))) (or (<= (+ (+ (+ (+ (* (- 94) ?y5) (* (- 8) ?y4)) (* 40 ?y2)) (* (- 59) ?y1)) (* (- 85) x1)) 47) (> (+ (+ (+ (* 1 ?y5) (* (- 64) ?y2)) (* 42 ?y1)) (* (- 45) x1)) 27))))) (forall ((?y4 Real)) (and (and (and (or (or (forall ((?y5 Real)) (not (= (+ (+ (+ (* (- 22) ?y5) (* (- 12) ?y4)) (* (- 23) ?y2)) (* (- 79) x1)) 0))) (and (<= (+ (+ (+ (* 30 ?y4) (* 15 ?y2)) (* 96 ?y1)) (* (- 61) x1)) 0) (<= (+ (+ (* (- 55) ?y2) (* 84 ?y1)) (* 27 x1)) 0))) (or (and (< (+ (+ (* (- 97) ?y2) (* 36 ?y1)) (* (- 43) x1)) 43) (= (+ (+ (* (- 74) ?y4) (* 57 ?y1)) (* 74 x1)) (- 6))) (and (> (+ (* 2 ?y2) (* 77 ?y1)) 8) (< (+ (+ (* (- 17) ?y4) (* 20 ?y2)) (* 68 ?y1)) 4)))) (or (exists ((?y5 Real)) (and (> (+ (+ (+ (+ (* 38 ?y5) (* 61 ?y4)) (* (- 69) ?y2)) (* (- 45) ?y1)) (* 36 x1)) 29) (>= (+ (+ (+ (+ (* 72 ?y5) (* (- 88) ?y4)) (* 74 ?y2)) (* 84 ?y1)) (* 4 x1)) 0))) (= (+ (+ (* (- 27) ?y4) (* (- 37) ?y2)) (* 81 x1)) (- 30)))) (exists ((?y5 Real)) (and (and (exists ((?y6 Real)) (= (+ (+ (+ (* (- 87) ?y6) (* 95 ?y5)) (* (- 58) ?y4)) (* 26 ?y1)) 39)) (= (+ (* 29 ?y4) (* (- 81) ?y1)) (- 25))) (and (and (<= (+ (+ (+ (* 36 ?y5) (* 56 ?y4)) (* 32 ?y2)) (* 90 x1)) 0) (not (= (+ (+ (+ (* (- 63) ?y5) (* 31 ?y4)) (* 11 ?y2)) (* 43 x1)) 0))) (forall ((?y6 Real)) (= (+ (+ (+ (+ (* 62 ?y6) (* (- 47) ?y5)) (* 78 ?y4)) (* (- 85) ?y1)) (* 85 x1)) 3)))))) (exists ((?y5 Real)) (exists ((?y6 Real)) (or (or (and (< (+ (+ (+ (+ (* 27 ?y6) (* 14 ?y5)) (* (- 37) ?y4)) (* (- 52) ?y2)) (* (- 97) x1)) (- 2)) (<= (+ (+ (* (- 73) ?y4) (* (- 38) ?y2)) (* 24 x1)) 0)) (>= (+ (+ (* (- 81) ?y6) (* 29 ?y4)) (* 82 x1)) 58)) (or (and (>= (+ (+ (+ (* 69 ?y6) (* 36 ?y5)) (* (- 74) ?y4)) (* (- 35) ?y1)) 0) (<= (+ (+ (+ (* (- 59) ?y6) (* (- 93) ?y5)) (* 11 ?y4)) (* 1 x1)) (- 15))) (and (< (+ (+ (+ (+ (+ (* (- 38) ?y6) (* 45 ?y5)) (* 97 ?y4)) (* 84 ?y2)) (* 57 ?y1)) (* 88 x1)) 40) (<= (+ (+ (+ (+ (* (- 60) ?y6) (* 16 ?y5)) (* 59 ?y2)) (* 93 ?y1)) (* 49 x1)) (- 36)))))))))) (or (and (forall ((?y3 Real)) (and (exists ((?y5 Real)) (forall ((?y6 Real)) (and (or (<= (+ (+ (+ (* (- 48) ?y6) (* (- 41) ?y5)) (* 8 ?y2)) (* (- 34) ?y1)) 0) (>= (+ (+ (+ (* (- 87) ?y6) (* (- 2) ?y5)) (* 80 ?y3)) (* (- 47) x1)) 19)) (and (not (= (+ (+ (+ (+ (+ (* (- 82) ?y6) (* (- 90) ?y5)) (* 51 ?y3)) (* 95 ?y2)) (* 42 ?y1)) (* 2 x1)) 0)) (> (+ (* 95 ?y3) (* 22 x1)) 32))))) (exists ((?y4 Real)) (exists ((?y6 Real)) (and (or (not (= (+ (+ (+ (+ (* 48 ?y6) (* (- 93) ?y4)) (* (- 90) ?y2)) (* 83 ?y1)) (* (- 9) x1)) (- 58))) (<= (+ (+ (+ (* 11 ?y6) (* (- 42) ?y2)) (* (- 65) ?y1)) (* 83 x1)) 0)) (or (not (= (+ (+ (* (- 19) ?y6) (* (- 47) ?y4)) (* 12 ?y3)) 0)) (= (+ (+ (+ (+ (* (- 62) ?y6) (* (- 94) ?y3)) (* (- 40) ?y2)) (* 71 ?y1)) (* (- 95) x1)) (- 69)))))))) (forall ((?y3 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (or (or (or (not (= (+ (+ (+ (+ (* (- 59) ?y6) (* 60 ?y5)) (* (- 53) ?y2)) (* (- 8) ?y1)) (* (- 10) x1)) 35)) (< (+ (+ (+ (+ (* 91 ?y6) (* (- 12) ?y3)) (* (- 50) ?y2)) (* 76 ?y1)) (* 19 x1)) (- 83))) (< (+ (+ (+ (+ (+ (* 44 ?y6) (* (- 52) ?y5)) (* 88 ?y3)) (* 99 ?y2)) (* (- 4) ?y1)) (* (- 69) x1)) 0)) (or (or (<= (+ (+ (+ (+ (* 37 ?y6) (* 12 ?y5)) (* 100 ?y3)) (* (- 92) ?y2)) (* 84 ?y1)) 0) (>= (+ (* (- 42) ?y5) (* (- 47) ?y2)) 0)) (< (+ (+ (+ (+ (* 31 ?y6) (* 86 ?y3)) (* (- 25) ?y2)) (* 56 ?y1)) (* 51 x1)) 0))))))) (or (or (exists ((?y3 Real)) (and (exists ((?y4 Real)) (exists ((?y5 Real)) (and (= (+ (+ (+ (* 47 ?y5) (* 79 ?y3)) (* 64 ?y1)) (* 29 x1)) (- 21)) (<= (+ (+ (+ (+ (* 54 ?y5) (* (- 7) ?y3)) (* 13 ?y2)) (* 9 ?y1)) (* 12 x1)) (- 45))))) (exists ((?y5 Real)) (and (= (+ (+ (+ (* (- 61) ?y5) (* 19 ?y3)) (* 45 ?y2)) (* (- 6) ?y1)) 0) (forall ((?y6 Real)) (>= (+ (+ (+ (+ (* (- 51) ?y6) (* 1 ?y3)) (* 22 ?y2)) (* 57 ?y1)) (* (- 52) x1)) 31)))))) (or (or (and (and (or (<= (+ (* (- 47) ?y1) (* (- 94) x1)) 0) (not (= (+ (* (- 97) ?y1) (* 3 x1)) 32))) (forall ((?y4 Real)) (> (+ (+ (+ (* 13 ?y4) (* 71 ?y2)) (* (- 59) ?y1)) (* 65 x1)) (- 4)))) (or (or (forall ((?y3 Real)) (<= (+ (* (- 27) ?y3) (* (- 59) ?y2)) (- 28))) (or (< (+ (* (- 53) ?y1) (* (- 44) x1)) 64) (> (* (- 62) x1) 0))) (and (or (not (= (* (- 52) x1) 72)) (= (+ (+ (* (- 54) ?y2) (* (- 99) ?y1)) (* 81 x1)) 0)) (forall ((?y3 Real)) (<= (+ (+ (* (- 42) ?y2) (* 54 ?y1)) (* (- 9) x1)) 62))))) (and (exists ((?y3 Real)) (forall ((?y5 Real)) (> (+ (+ (+ (+ (* 69 ?y5) (* 67 ?y3)) (* 92 ?y2)) (* 100 ?y1)) (* 38 x1)) (- 13)))) (exists ((?y4 Real)) (or (>= (+ (* (- 2) ?y2) (* 23 ?y1)) (- 53)) (not (= (+ (+ (* (- 53) ?y4) (* 25 ?y2)) (* 88 x1)) 0)))))) (and (or (exists ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (<= (+ (+ (+ (+ (+ (* 38 ?y5) (* (- 55) ?y4)) (* 79 ?y3)) (* (- 2) ?y2)) (* 100 ?y1)) (* 36 x1)) 38)))) (forall ((?y3 Real)) (or (<= (+ (+ (+ (* (- 84) ?y3) (* 59 ?y2)) (* 91 ?y1)) (* 86 x1)) 15) (> (+ (* (- 100) ?y1) (* 62 x1)) (- 58))))) (forall ((?y3 Real)) (and (exists ((?y4 Real)) (exists ((?y5 Real)) (not (= (+ (+ (+ (+ (+ (* (- 97) ?y5) (* 83 ?y4)) (* 3 ?y3)) (* (- 25) ?y2)) (* (- 88) ?y1)) (* (- 80) x1)) 96)))) (forall ((?y4 Real)) (exists ((?y5 Real)) (>= (+ (+ (+ (+ (* (- 76) ?y5) (* 41 ?y4)) (* 3 ?y3)) (* (- 22) ?y1)) (* (- 6) x1)) 82)))))))) (or (forall ((?y4 Real)) (and (or (= (+ (+ (+ (* (- 79) ?y4) (* 53 ?y2)) (* 52 ?y1)) (* 70 x1)) (- 9)) (>= (+ (* (- 5) ?y2) (* (- 46) ?y1)) 0)) (or (exists ((?y5 Real)) (forall ((?y6 Real)) (= (+ (+ (+ (+ (+ (* (- 92) ?y6) (* 23 ?y5)) (* 79 ?y4)) (* 65 ?y2)) (* 33 ?y1)) (* (- 14) x1)) (- 60)))) (and (forall ((?y5 Real)) (not (= (+ (+ (+ (* 13 ?y4) (* (- 30) ?y2)) (* 3 ?y1)) (* 36 x1)) 92))) (and (< (+ (+ (* 45 ?y4) (* 15 ?y2)) (* 24 ?y1)) 100) (not (= (+ (+ (* 70 ?y4) (* (- 65) ?y1)) (* 41 x1)) 50))))))) (forall ((?y4 Real)) (forall ((?y5 Real)) (and (forall ((?y6 Real)) (or (not (= (+ (+ (* 51 ?y2) (* 100 ?y1)) (* (- 1) x1)) (- 88))) (= (+ (+ (+ (+ (* (- 19) ?y6) (* 69 ?y4)) (* (- 61) ?y2)) (* 11 ?y1)) (* (- 41) x1)) 51))) (or (= (+ (+ (+ (+ (* 84 ?y5) (* 74 ?y4)) (* 62 ?y2)) (* 100 ?y1)) (* 58 x1)) 0) (or (= (+ (+ (+ (+ (* (- 100) ?y5) (* 31 ?y4)) (* 17 ?y2)) (* 44 ?y1)) (* (- 95) x1)) (- 6)) (<= (+ (+ (+ (* (- 85) ?y5) (* (- 10) ?y2)) (* 5 ?y1)) (* (- 52) x1)) (- 63))))))))))) (forall ((?y4 Real)) (and (forall ((?y6 Real)) (let ((?v_114 (* (- 20) ?y2)) (?v_115 (* (- 11) ?y6))) (or (and (and (not (= (+ (+ (* (- 59) ?y4) (* 74 ?y2)) (* 26 ?y1)) (- 39))) (or (= (+ (+ (+ (* (- 2) ?y6) (* 94 ?y4)) (* (- 17) ?y2)) (* (- 67) x1)) (- 60)) (>= (+ (+ (* 6 ?y6) (* (- 76) ?y1)) (* 80 x1)) 97))) (or (or (and (>= (+ (* (- 6) ?y6) (* (- 23) x1)) 94) (>= (+ (* (- 65) ?y6) (* (- 93) ?y1)) (- 68))) (and (not (= (+ (+ (+ (* (- 70) ?y6) ?v_114) (* 61 ?y1)) (* (- 62) x1)) 18)) (not (= (+ (+ (* (- 37) ?y6) (* 4 ?y4)) (* (- 83) x1)) (- 90))))) (and (or (= (+ (* 89 ?y2) (* (- 53) ?y1)) 59) (<= (+ (+ (* 32 ?y6) (* 69 ?y1)) (* 100 x1)) (- 7))) (or (= (+ (+ (+ (* (- 71) ?y6) (* 36 ?y4)) (* (- 85) ?y2)) (* 57 ?y1)) 47) (not (= (+ (+ (+ (+ (* 86 ?y6) (* 28 ?y4)) (* (- 83) ?y2)) (* 13 ?y1)) (* 75 x1)) (- 9))))))) (or (and (<= (+ (+ (+ (* (- 67) ?y6) (* 23 ?y4)) (* (- 91) ?y2)) (* (- 82) x1)) 17) (> (+ (+ (+ (+ ?v_115 (* (- 75) ?y4)) (* 82 ?y2)) (* 4 ?y1)) (* 25 x1)) 81)) (or (and (not (= (+ (+ (* (- 32) ?y6) (* 10 ?y4)) (* (- 70) ?y1)) 0)) (= (+ (+ (+ (* (- 46) ?y6) (* (- 50) ?y4)) (* (- 48) ?y1)) (* (- 11) x1)) 90)) (and (and (<= (+ (+ (+ (* (- 29) ?y6) (* (- 27) ?y4)) (* (- 100) ?y2)) (* (- 15) x1)) 41) (> (+ (+ (+ (* 68 ?y6) (* 32 ?y4)) ?v_114) (* (- 60) x1)) (- 6))) (and (<= (+ (+ (+ (+ ?v_115 (* 29 ?y4)) (* 48 ?y2)) (* 44 ?y1)) (* 33 x1)) (- 67)) (> (+ (+ (+ (+ (* 15 ?y6) (* (- 10) ?y4)) (* (- 64) ?y2)) (* (- 77) ?y1)) (* (- 2) x1)) 6)))))))) (or (and (or (exists ((?y6 Real)) (and (and (< (+ (+ (+ (+ (* (- 48) ?y6) (* 15 ?y4)) (* 75 ?y2)) (* (- 62) ?y1)) (* (- 10) x1)) 1) (>= (+ (* 21 ?y6) (* (- 55) ?y2)) (- 2))) (or (= (+ (+ (* 46 ?y6) (* 79 ?y4)) (* (- 80) x1)) 0) (>= (+ (+ (* (- 49) ?y6) (* 25 ?y2)) (* (- 57) ?y1)) 58)))) (forall ((?y6 Real)) (and (<= (+ (+ (* 9 ?y6) (* (- 70) ?y2)) (* (- 81) x1)) 90) (and (> (+ (+ (+ (+ (* (- 71) ?y6) (* 92 ?y4)) (* 99 ?y2)) (* 71 ?y1)) (* 74 x1)) 0) (<= (+ (+ (+ (* 8 ?y6) (* (- 37) ?y4)) (* (- 31) ?y2)) (* (- 36) ?y1)) 62))))) (and (exists ((?y5 Real)) (or (and (exists ((?y6 Real)) (< (+ (+ (* 18 ?y6) (* (- 1) ?y5)) (* (- 1) ?y1)) 46)) (forall ((?y6 Real)) (< (+ (+ (+ (* 27 ?y5) (* 22 ?y2)) (* (- 78) ?y1)) (* (- 68) x1)) (- 35)))) (and (= (+ (+ (+ (+ (* 80 ?y5) (* (- 18) ?y4)) (* 45 ?y2)) (* 6 ?y1)) (* (- 23) x1)) 95) (< (+ (+ (+ (+ (* 19 ?y5) (* (- 89) ?y4)) (* 48 ?y2)) (* 73 ?y1)) (* 58 x1)) 0)))) (exists ((?y6 Real)) (and (<= (+ (+ (+ (* (- 69) ?y6) (* (- 10) ?y4)) (* 98 ?y2)) (* 6 x1)) (- 87)) (and (= (+ (+ (* 81 ?y6) (* (- 36) ?y1)) (* (- 8) x1)) 0) (> (+ (+ (* 38 ?y6) (* (- 54) ?y2)) (* (- 17) ?y1)) (- 3))))))) (forall ((?y6 Real)) (and (or (or (not (= (+ (* 32 ?y4) (* 66 ?y2)) (- 97))) (not (= (+ (+ (* (- 86) ?y6) (* 50 ?y2)) (* (- 40) ?y1)) (- 19)))) (and (> (+ (+ (+ (* 20 ?y6) (* 13 ?y4)) (* (- 27) ?y2)) (* 7 x1)) 68) (> (+ (+ (+ (+ (* (- 81) ?y6) (* 64 ?y4)) (* (- 10) ?y2)) (* 89 ?y1)) (* (- 79) x1)) (- 67)))) (or (= (+ (+ (+ (* (- 20) ?y6) (* (- 15) ?y2)) (* (- 86) ?y1)) (* (- 94) x1)) 80) (or (> (+ (+ (* 86 ?y4) (* 87 ?y2)) (* (- 5) ?y1)) 86) (not (= (+ (* 72 ?y6) (* 3 ?y4)) 0)))))))))))) (exists ((?y1 Real)) (or (exists ((?y2 Real)) (exists ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_116 (* 94 ?y4)) (?v_120 (* 21 ?y1)) (?v_121 (* 45 ?y5)) (?v_119 (* 84 ?y4)) (?v_122 (* 14 ?y5)) (?v_117 (* (- 81) ?y4)) (?v_118 (* (- 20) ?y4))) (or (or (or (or (and (and (= (+ (+ (+ (* 88 ?y5) (* (- 13) ?y2)) (* (- 100) ?y1)) (* (- 24) x1)) 12) (not (= (+ ?v_116 (* (- 54) ?y2)) (- 25)))) (and (< (+ (+ (+ (+ (+ (* 91 ?y6) (* 6 ?y5)) (* 71 ?y4)) (* (- 15) ?y2)) (* 32 ?y1)) (* (- 5) x1)) (- 32)) (< (+ (+ (+ (+ (* (- 43) ?y6) ?v_116) (* 61 ?y2)) ?v_120) (* 51 x1)) (- 20)))) (and (= (+ (+ (+ (+ (* (- 22) ?y6) (* (- 67) ?y4)) (* 91 ?y2)) (* (- 43) ?y1)) (* (- 44) x1)) (- 100)) (not (= (+ (+ (+ (+ (* (- 99) ?y6) (* 64 ?y4)) (* (- 91) ?y2)) (* (- 55) ?y1)) (* (- 60) x1)) (- 69))))) (or (or (or (< (+ (+ (* (- 95) ?y6) (* (- 74) ?y5)) (* (- 77) ?y4)) (- 23)) (not (= (+ (+ (+ (+ (+ (* (- 79) ?y6) (* (- 14) ?y5)) (* 49 ?y4)) (* 86 ?y2)) (* 83 ?y1)) (* 84 x1)) 20))) (or (= (+ (+ (+ (+ (+ (* (- 71) ?y6) (* (- 51) ?y5)) (* (- 33) ?y4)) (* (- 47) ?y2)) (* (- 9) ?y1)) (* (- 55) x1)) 90) (>= (+ (+ (+ (+ (+ (* (- 67) ?y6) ?v_121) ?v_116) (* (- 36) ?y2)) (* (- 68) ?y1)) (* (- 43) x1)) (- 98)))) (and (and (not (= (+ (+ (+ (* 60 ?y5) ?v_117) (* 50 ?y1)) (* (- 97) x1)) 80)) (not (= (+ (+ (+ (+ (* 94 ?y6) (* 33 ?y5)) (* 98 ?y4)) (* 25 ?y2)) (* (- 39) ?y1)) 0))) (and (< (+ (+ (+ (+ (* (- 62) ?y6) (* (- 61) ?y5)) (* (- 73) ?y4)) (* 66 ?y2)) (* 67 x1)) 76) (<= (+ (+ (+ (+ (* (- 78) ?y6) (* 65 ?y5)) ?v_119) (* 61 ?y1)) (* 87 x1)) (- 12)))))) (and (and (and (or (<= (+ (+ (+ (* 97 ?y6) (* 96 ?y5)) (* 14 ?y1)) (* 30 x1)) 0) (> (+ (+ (+ (+ (+ (* (- 84) ?y6) (* 42 ?y5)) (* (- 32) ?y4)) (* 97 ?y2)) (* 39 ?y1)) (* 63 x1)) (- 94))) (and (<= (+ (+ (+ (* 50 ?y6) (* 83 ?y4)) (* (- 26) ?y2)) (* (- 96) x1)) (- 33)) (= (+ (+ (* 85 ?y6) ?v_116) (* 90 x1)) (- 3)))) (and (and (> (+ (+ (+ (+ (* 87 ?y6) (* (- 59) ?y4)) (* 80 ?y2)) (* 96 ?y1)) (* (- 13) x1)) (- 100)) (< (+ (+ (+ (* (- 94) ?y6) (* (- 50) ?y5)) (* (- 99) ?y2)) (* (- 47) ?y1)) 7)) (= (+ (+ (+ (+ (* (- 69) ?y6) ?v_122) (* 33 ?y4)) (* (- 38) ?y1)) (* (- 2) x1)) 0))) (or (and (> (+ (+ (+ (* (- 25) ?y6) (* 62 ?y5)) (* (- 6) ?y4)) (* 50 x1)) (- 33)) (>= (+ (+ (+ (+ (* 38 ?y5) (* 24 ?y4)) (* (- 12) ?y2)) (* 33 ?y1)) (* 27 x1)) 49)) (and (and (< (+ (+ (+ (+ (* 35 ?y6) ?v_117) (* 32 ?y2)) (* 98 ?y1)) (* (- 41) x1)) (- 71)) (> (+ (+ (+ (* (- 20) ?y6) ?v_118) (* 93 ?y2)) (* 30 ?y1)) (- 76))) (<= (+ (+ (+ (+ (+ (* (- 92) ?y6) (* (- 88) ?y5)) (* (- 76) ?y4)) (* (- 43) ?y2)) (* (- 93) ?y1)) (* 61 x1)) (- 40)))))) (or (or (< (+ (+ (+ (* (- 40) ?y5) (* (- 24) ?y2)) (* (- 87) ?y1)) (* 35 x1)) 34) (or (or (> (+ (+ (+ (+ (* (- 24) ?y6) (* 61 ?y5)) ?v_118) (* 78 ?y2)) (* (- 26) x1)) (- 84)) (<= (+ (+ (+ (* 11 ?y6) (* (- 3) ?y5)) (* 63 ?y2)) (* (- 66) ?y1)) (- 67))) (and (>= (+ (+ (+ (+ (* (- 60) ?y6) (* 10 ?y4)) (* (- 1) ?y2)) (* 42 ?y1)) (* (- 53) x1)) 52) (< (+ (+ (+ ?v_119 (* (- 49) ?y2)) (* 5 ?y1)) (* 8 x1)) 0)))) (or (and (= (+ (+ (+ (+ (* (- 75) ?y6) (* 67 ?y5)) (* (- 35) ?y4)) (* 55 ?y1)) (* (- 14) x1)) 63) (> (+ (+ (+ (* 25 ?y6) (* 41 ?y5)) ?v_120) (* 24 x1)) 98)) (or (<= (+ (+ (+ (+ (* 53 ?y6) ?v_121) (* 44 ?y4)) (* 39 ?y2)) (* (- 82) x1)) 21) (>= (+ (+ (+ (+ (+ (* (- 5) ?y6) ?v_122) (* (- 11) ?y4)) (* 90 ?y2)) (* 25 ?y1)) (* (- 37) x1)) 97)))))))))) (exists ((?y2 Real)) (and (forall ((?y3 Real)) (exists ((?y5 Real)) (let ((?v_123 (* 24 ?y5))) (and (and (forall ((?y6 Real)) (or (or (>= (+ (+ (* (- 65) ?y5) (* (- 80) ?y3)) (* (- 19) ?y2)) (- 80)) (not (= (+ (+ (* 18 ?y3) (* 54 ?y2)) (* 49 x1)) (- 75)))) (or (>= (+ (+ (+ (* (- 24) ?y6) (* 76 ?y5)) (* (- 86) ?y3)) (* (- 68) ?y1)) (- 23)) (< (+ (+ (+ (+ (+ (* (- 68) ?y6) (* 15 ?y5)) (* (- 57) ?y3)) (* 36 ?y2)) (* 18 ?y1)) (* (- 86) x1)) 0)))) (or (or (and (exists ((?y6 Real)) (<= (+ (+ (+ (* 6 ?y6) (* (- 94) ?y3)) (* (- 82) ?y2)) (* 59 ?y1)) 0)) (forall ((?y6 Real)) (not (= (+ (+ (+ (* (- 51) ?y6) (* 90 ?y2)) (* (- 64) ?y1)) (* 56 x1)) (- 49))))) (or (>= (+ (+ ?v_123 (* 86 ?y2)) (* (- 52) x1)) 49) (exists ((?y6 Real)) (not (= (+ (+ (+ (+ (* 74 ?y6) (* (- 79) ?y3)) (* (- 38) ?y2)) (* (- 86) ?y1)) (* (- 46) x1)) 44))))) (or (and (not (= (+ (+ (+ ?v_123 (* (- 77) ?y2)) (* 58 ?y1)) (* (- 36) x1)) 15)) (= (+ (+ (+ (* (- 63) ?y5) (* (- 26) ?y3)) (* 34 ?y2)) (* 2 x1)) 44)) (or (not (= (+ (+ (+ (* 21 ?y3) (* (- 47) ?y2)) (* (- 91) ?y1)) (* (- 23) x1)) (- 45))) (< (+ (+ (+ (* 27 ?y5) (* (- 75) ?y3)) (* (- 49) ?y1)) (* 88 x1)) 100))))) (or (and (forall ((?y6 Real)) (< (+ (+ (+ (+ (* 75 ?y6) (* 86 ?y5)) (* 28 ?y2)) (* (- 50) ?y1)) (* (- 83) x1)) 43)) (and (exists ((?y6 Real)) (>= (+ (+ (+ (+ (* (- 12) ?y6) (* (- 16) ?y3)) (* (- 91) ?y2)) (* 23 ?y1)) (* (- 92) x1)) (- 11))) (and (or (>= (+ (+ (* 84 ?y5) (* 23 ?y3)) (* 3 x1)) 0) (< (+ (+ (+ (* (- 45) ?y5) (* 11 ?y3)) (* 3 ?y2)) (* (- 33) ?y1)) 76)) (and (<= (+ (+ (+ (* (- 50) ?y5) (* (- 86) ?y3)) (* 99 ?y2)) (* 82 ?y1)) 0) (< (+ (+ (* 60 ?y5) (* (- 27) ?y3)) (* 54 x1)) 25))))) (or (and (or (> (+ (+ (* (- 56) ?y5) (* 18 ?y3)) (* (- 32) ?y1)) 60) (not (= (+ (+ (* (- 65) ?y3) (* (- 89) ?y2)) (* 88 ?y1)) 90))) (< (+ (+ (* (- 8) ?y3) (* (- 44) ?y1)) (* 44 x1)) 85)) (and (>= (+ (+ (+ (+ (* 34 ?y5) (* 100 ?y3)) (* 11 ?y2)) (* (- 19) ?y1)) (* (- 97) x1)) 0) (and (> (+ (+ (+ (+ (* 95 ?y5) (* (- 46) ?y3)) (* 75 ?y2)) (* (- 50) ?y1)) (* (- 25) x1)) 0) (< (+ (* (- 35) ?y2) (* (- 23) ?y1)) 0))))))))) (forall ((?y3 Real)) (or (and (exists ((?y4 Real)) (and (exists ((?y5 Real)) (and (<= (+ (+ (+ (+ (* 21 ?y5) (* (- 62) ?y4)) (* 6 ?y3)) (* (- 71) ?y2)) (* 21 x1)) 71) (or (>= (+ (* 37 ?y4) (* (- 26) ?y3)) 0) (<= (+ (+ (+ (* 76 ?y4) (* 61 ?y3)) (* 63 ?y2)) (* (- 97) x1)) 0)))) (and (or (exists ((?y5 Real)) (forall ((?y6 Real)) (> (+ (+ (+ (+ (+ (* (- 78) ?y6) (* (- 10) ?y5)) (* (- 33) ?y4)) (* 20 ?y3)) (* (- 50) ?y2)) (* (- 73) ?y1)) (- 75)))) (exists ((?y6 Real)) (= (+ (+ (+ (* 49 ?y6) (* (- 13) ?y3)) (* 55 ?y1)) (* 49 x1)) 66))) (exists ((?y5 Real)) (exists ((?y6 Real)) (or (= (+ (+ (+ (* 14 ?y6) (* (- 72) ?y5)) (* (- 27) ?y1)) (* 19 x1)) 26) (= (+ (+ (+ (+ (+ (* 92 ?y5) (* (- 39) ?y4)) (* (- 7) ?y3)) (* 5 ?y2)) (* 96 ?y1)) (* 3 x1)) (- 4)))))))) (forall ((?y4 Real)) (or (or (and (and (exists ((?y5 Real)) (= (+ (+ (+ (* 82 ?y4) (* 12 ?y3)) (* 1 ?y1)) (* 59 x1)) 0)) (or (= (+ (+ (+ (* (- 80) ?y4) (* 21 ?y3)) (* 100 ?y1)) (* 32 x1)) 0) (= (* 41 ?y4) 2))) (>= (+ (+ (* (- 48) ?y4) (* 35 ?y2)) (* 79 x1)) 88)) (exists ((?y5 Real)) (and (exists ((?y6 Real)) (> (+ (+ (+ (+ (* 21 ?y6) (* (- 52) ?y5)) (* 73 ?y4)) (* (- 13) ?y3)) (* (- 76) x1)) 0)) (not (= (+ (+ (+ (+ (* 2 ?y5) (* 62 ?y4)) (* 86 ?y3)) (* 66 ?y2)) (* 69 x1)) 56))))) (and (forall ((?y6 Real)) (or (not (= (+ (+ (* 91 ?y4) (* 4 ?y3)) (* (- 52) ?y2)) 17)) (>= (+ (+ (+ (+ (* 88 ?y6) (* (- 28) ?y4)) (* (- 6) ?y3)) (* (- 25) ?y2)) (* 100 ?y1)) (- 23)))) (and (>= (+ (+ (+ (+ (* 83 ?y4) (* 88 ?y3)) (* 77 ?y2)) (* (- 84) ?y1)) (* 69 x1)) (- 50)) (= (+ (* (- 20) ?y1) (* (- 99) x1)) 0)))))) (exists ((?y4 Real)) (exists ((?y5 Real)) (or (and (and (or (> (+ (+ (+ (+ (+ (* (- 17) ?y5) (* (- 8) ?y4)) (* (- 95) ?y3)) (* (- 43) ?y2)) (* 42 ?y1)) (* 68 x1)) (- 22)) (= (+ (+ (+ (* 25 ?y5) (* (- 36) ?y4)) (* 67 ?y3)) (* (- 8) ?y2)) (- 93))) (and (<= (+ (+ (+ (+ (* (- 74) ?y5) (* 19 ?y3)) (* 99 ?y2)) (* (- 22) ?y1)) (* (- 81) x1)) 0) (= (+ (+ (+ (+ (+ (* 50 ?y5) (* 55 ?y4)) (* 87 ?y3)) (* 4 ?y2)) (* 64 ?y1)) (* (- 32) x1)) 81))) (or (and (> (+ (+ (+ (* 63 ?y5) (* (- 56) ?y4)) (* 64 ?y3)) (* 86 x1)) 47) (< (+ (* 80 ?y5) (* (- 11) ?y4)) 4)) (or (< (+ (+ (+ (+ (* (- 88) ?y4) (* (- 77) ?y3)) (* (- 81) ?y2)) (* 24 ?y1)) (* 60 x1)) (- 26)) (< (+ (+ (+ (+ (* 19 ?y4) (* 21 ?y3)) (* 7 ?y2)) (* (- 26) ?y1)) (* (- 44) x1)) 28)))) (and (and (and (= (+ (+ (+ (+ (* (- 7) ?y4) (* (- 66) ?y3)) (* (- 5) ?y2)) (* (- 58) ?y1)) (* 2 x1)) (- 21)) (> (+ (+ (+ (* (- 1) ?y5) (* 70 ?y4)) (* 89 ?y1)) (* 17 x1)) (- 55))) (> (+ (+ (+ (+ (+ (* 81 ?y5) (* (- 67) ?y4)) (* (- 47) ?y3)) (* 65 ?y2)) (* 91 ?y1)) (* (- 90) x1)) 75)) (and (> (+ (+ (+ (+ (* 87 ?y5) (* (- 40) ?y4)) (* (- 3) ?y3)) (* 20 ?y1)) (* (- 92) x1)) 48) (and (< (+ (+ (* 37 ?y4) (* (- 32) ?y1)) (* (- 63) x1)) 52) (<= (+ (+ (+ (* 33 ?y3) (* 68 ?y2)) (* 69 ?y1)) (* 72 x1)) 0)))))))))))))))))
(check-sat)
(exit)
