(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(assert (exists ((?y1 Real)) (exists ((?y2 Real)) (and (or (forall ((?y3 Real)) (and (or (and (forall ((?y4 Real)) (and (forall ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_0 (* (- 96) ?y5))) (or (or (>= (+ (+ (+ (+ (* (- 77) ?y6) (* (- 34) ?y4)) (* 31 ?y2)) (* (- 86) ?y1)) (* 47 x1)) 64) (>= (+ (+ (+ (* (- 92) ?y4) (* (- 95) ?y3)) (* (- 67) ?y2)) (* 40 ?y1)) (- 14))) (and (or (and (not (= (+ (+ (+ (* (- 100) ?y6) ?v_0) (* (- 83) ?y4)) (* (- 92) x1)) (- 54))) (>= (+ (+ (+ (+ (+ (* (- 61) ?y6) ?v_0) (* 9 ?y4)) (* (- 47) ?y3)) (* 38 ?y2)) (* (- 27) ?y1)) (- 62))) (and (not (= (+ (+ (+ (+ (+ (* (- 66) ?y6) (* 41 ?y5)) (* (- 73) ?y4)) (* 89 ?y3)) (* (- 93) ?y2)) (* 97 x1)) (- 48))) (>= (+ (+ (+ (+ (* (- 25) ?y5) (* (- 66) ?y4)) (* 27 ?y3)) (* 65 ?y2)) (* (- 43) ?y1)) (- 74)))) (or (and (>= (+ (+ (+ (+ (* (- 99) ?y6) (* 20 ?y5)) (* (- 63) ?y4)) (* (- 43) ?y3)) (* (- 58) x1)) 46) (<= (+ (+ (+ (+ (+ (* (- 44) ?y6) (* 18 ?y5)) (* 12 ?y4)) (* (- 31) ?y3)) (* (- 64) ?y2)) (* (- 40) ?y1)) 44)) (>= (+ (+ (+ (+ (+ (* 87 ?y5) (* (- 69) ?y4)) (* 26 ?y3)) (* 95 ?y2)) (* (- 82) ?y1)) (* (- 85) x1)) 4))))))) (and (and (forall ((?y5 Real)) (and (exists ((?y6 Real)) (or (<= (+ (+ (+ (+ (+ (+ (* 42 ?y6) (* (- 9) ?y5)) (* (- 33) ?y4)) (* 59 ?y3)) (* (- 56) ?y2)) (* 16 ?y1)) (* 8 x1)) 32) (> (+ (+ (* (- 99) ?y6) (* (- 88) ?y4)) (* (- 52) ?y3)) 39))) (or (and (> (+ (+ (+ (+ (* (- 31) ?y5) (* 63 ?y4)) (* 47 ?y3)) (* (- 9) ?y2)) (* (- 71) x1)) 0) (= (+ (* 34 ?y4) (* 26 ?y3)) 62)) (and (<= (+ (* 17 ?y4) (* (- 53) ?y2)) 11) (= (+ (+ (+ (* 62 ?y5) (* (- 44) ?y3)) (* (- 89) ?y2)) (* (- 91) ?y1)) 0))))) (and (or (forall ((?y5 Real)) (exists ((?y6 Real)) (>= (+ (+ (+ (+ (+ (+ (* 67 ?y6) (* (- 72) ?y5)) (* 40 ?y4)) (* (- 54) ?y3)) (* (- 68) ?y2)) (* 77 ?y1)) (* 26 x1)) (- 29)))) (or (or (<= (+ (+ (+ (+ (* (- 57) ?y4) (* 52 ?y3)) (* (- 26) ?y2)) (* 10 ?y1)) (* (- 58) x1)) 98) (>= (+ (+ (+ (+ (* 44 ?y4) (* (- 38) ?y3)) (* 6 ?y2)) (* (- 61) ?y1)) (* (- 96) x1)) (- 50))) (forall ((?y5 Real)) (< (+ (+ (+ (+ (+ (* (- 11) ?y5) (* 79 ?y4)) (* (- 35) ?y3)) (* (- 34) ?y2)) (* (- 6) ?y1)) (* 71 x1)) 61)))) (and (exists ((?y5 Real)) (exists ((?y6 Real)) (= (+ (+ (+ (+ (* (- 58) ?y5) (* 71 ?y4)) (* 64 ?y3)) (* 18 ?y2)) (* (- 100) ?y1)) (- 79)))) (forall ((?y6 Real)) (= (+ (+ (+ (+ (* 71 ?y4) (* (- 95) ?y3)) (* (- 51) ?y2)) (* (- 85) ?y1)) (* (- 33) x1)) 42))))) (exists ((?y5 Real)) (or (exists ((?y6 Real)) (and (= (+ (+ (+ (+ (* (- 25) ?y6) (* 56 ?y5)) (* (- 53) ?y3)) (* (- 92) ?y2)) (* 76 ?y1)) (- 39)) (or (<= (+ (+ (+ (+ (+ (+ (* (- 85) ?y6) (* (- 87) ?y5)) (* (- 6) ?y4)) (* (- 85) ?y3)) (* (- 95) ?y2)) (* (- 66) ?y1)) (* (- 81) x1)) (- 70)) (not (= (+ (* (- 67) ?y4) (* 28 ?y1)) (- 45)))))) (forall ((?y6 Real)) (and (not (= (+ (+ (+ (+ (+ (* 8 ?y5) (* (- 72) ?y4)) (* 49 ?y3)) (* (- 87) ?y2)) (* (- 82) ?y1)) (* 62 x1)) 0)) (<= (+ (+ (+ (+ (+ (+ (* (- 4) ?y6) (* 45 ?y5)) (* (- 69) ?y4)) (* 38 ?y3)) (* 63 ?y2)) (* 4 ?y1)) (* (- 24) x1)) 0)))))))) (and (or (forall ((?y5 Real)) (forall ((?y6 Real)) (and (or (and (= (+ (+ (+ (+ (* (- 38) ?y6) (* 65 ?y5)) (* 20 ?y3)) (* (- 90) ?y1)) (* 76 x1)) (- 30)) (> (+ (+ (+ (+ (* (- 2) ?y5) (* (- 25) ?y3)) (* 36 ?y2)) (* (- 60) ?y1)) (* 8 x1)) (- 43))) (not (= (+ (+ (+ (+ (* (- 51) ?y6) (* 82 ?y5)) (* (- 70) ?y3)) (* (- 56) ?y1)) (* 25 x1)) 9))) (or (< (+ (+ (+ (+ (+ (* (- 67) ?y6) (* 64 ?y5)) (* 68 ?y3)) (* 45 ?y2)) (* 17 ?y1)) (* 71 x1)) 0) (< (+ (+ (+ (+ (* 74 ?y6) (* (- 44) ?y5)) (* 72 ?y3)) (* 82 ?y2)) (* (- 23) x1)) (- 53)))))) (or (or (or (and (> (+ (+ (+ (* 52 ?y3) (* 58 ?y2)) (* (- 20) ?y1)) (* 34 x1)) 0) (not (= (+ (* (- 30) ?y3) (* 2 ?y2)) 90))) (and (> (+ (* (- 92) ?y2) (* 15 ?y1)) (- 57)) (<= (+ (+ (+ (* (- 6) ?y3) (* 32 ?y2)) (* (- 9) ?y1)) (* 28 x1)) 44))) (exists ((?y5 Real)) (and (<= (+ (+ (+ (* 53 ?y5) (* (- 37) ?y3)) (* (- 74) ?y2)) (* 33 x1)) (- 46)) (not (= (+ (+ (* (- 2) ?y5) (* 84 ?y3)) (* 60 ?y2)) 87))))) (forall ((?y6 Real)) (and (> (+ (+ (* 39 ?y3) (* 16 ?y1)) (* (- 31) x1)) (- 4)) (> (* 3 x1) 68))))) (exists ((?y5 Real)) (and (and (forall ((?y6 Real)) (and (> (+ (+ (+ (+ (* (- 75) ?y6) (* 67 ?y5)) (* (- 42) ?y3)) (* 93 ?y2)) (* (- 30) x1)) 84) (or (> (+ (+ (* (- 82) ?y5) (* (- 34) ?y2)) (* 1 x1)) (- 19)) (not (= (+ (+ (+ (* (- 90) ?y6) (* 10 ?y3)) (* (- 25) ?y2)) (* 73 ?y1)) 0))))) (forall ((?y6 Real)) (and (or (= (+ (+ (+ (+ (* 36 ?y6) (* 32 ?y5)) (* (- 59) ?y3)) (* 48 ?y2)) (* (- 40) x1)) 81) (not (= (+ (+ (+ (+ (+ (* 39 ?y6) (* (- 21) ?y5)) (* (- 81) ?y3)) (* 94 ?y2)) (* 51 ?y1)) (* 74 x1)) 0))) (or (> (* 26 ?y2) 50) (not (= (+ (+ (+ (+ (* (- 82) ?y6) (* 19 ?y5)) (* (- 44) ?y3)) (* (- 63) ?y2)) (* (- 37) ?y1)) 77)))))) (exists ((?y6 Real)) (and (or (>= (+ (+ (+ (+ (* (- 97) ?y6) (* (- 12) ?y5)) (* 47 ?y3)) (* (- 63) ?y2)) (* (- 79) x1)) (- 44)) (>= (+ (+ (+ (+ (* 91 ?y6) (* 54 ?y5)) (* 1 ?y3)) (* (- 77) ?y2)) (* (- 7) x1)) (- 95))) (and (and (> (+ (+ (* (- 5) ?y6) (* (- 75) ?y5)) (* (- 68) ?y1)) 29) (not (= (+ (+ (+ (* 12 ?y6) (* 40 ?y3)) (* 45 ?y2)) (* (- 80) ?y1)) 0))) (or (< (+ (+ (+ (* 38 ?y3) (* (- 7) ?y2)) (* 66 ?y1)) (* 91 x1)) (- 11)) (<= (+ (+ (* 75 ?y5) (* 95 ?y3)) (* 69 x1)) 0))))))))) (or (and (exists ((?y5 Real)) (forall ((?y6 Real)) (and (and (or (and (<= (+ (+ (+ (+ (+ (* (- 42) ?y6) (* 7 ?y5)) (* 18 ?y3)) (* (- 47) ?y2)) (* (- 25) ?y1)) (* (- 97) x1)) 0) (> (+ (+ (* 95 ?y6) (* (- 10) ?y5)) (* (- 96) ?y1)) 29)) (or (< (+ (+ (+ (+ (* (- 5) ?y6) (* 27 ?y5)) (* (- 12) ?y3)) (* (- 88) ?y2)) (* (- 11) x1)) (- 11)) (< (+ (+ (+ (+ (+ (* (- 24) ?y6) (* (- 47) ?y5)) (* (- 18) ?y3)) (* 5 ?y2)) (* 56 ?y1)) (* (- 47) x1)) (- 92)))) (and (> (+ (+ (+ (* 89 ?y5) (* 84 ?y3)) (* (- 25) ?y2)) (* 44 x1)) 0) (= (+ (+ (+ (* 80 ?y6) (* 44 ?y5)) (* (- 90) ?y2)) (* (- 73) ?y1)) 0))) (or (or (or (<= (+ (+ (* (- 50) ?y6) (* (- 94) ?y5)) (* 61 ?y3)) 0) (not (= (+ (+ (* (- 84) ?y6) (* (- 24) ?y5)) (* (- 84) ?y1)) (- 1)))) (and (> (+ (+ (+ (+ (* 67 ?y6) (* 22 ?y5)) (* 74 ?y3)) (* 2 ?y2)) (* (- 79) ?y1)) (- 34)) (>= (+ (+ (+ (* 17 ?y5) (* (- 3) ?y2)) (* (- 82) ?y1)) (* 2 x1)) 76))) (and (or (> (+ (+ (* (- 75) ?y3) (* (- 21) ?y1)) (* (- 2) x1)) 17) (<= (+ (+ (+ (* 62 ?y6) (* (- 29) ?y3)) (* 9 ?y2)) (* (- 69) x1)) 0)) (or (= (+ (+ (+ (+ (* 58 ?y5) (* (- 98) ?y3)) (* (- 43) ?y2)) (* (- 90) ?y1)) (* (- 62) x1)) (- 87)) (<= (+ (+ (* (- 66) ?y6) (* (- 60) ?y3)) (* 74 ?y2)) 0))))))) (forall ((?y5 Real)) (forall ((?y6 Real)) (or (and (or (and (< (+ (+ (+ (* (- 92) ?y5) (* 41 ?y3)) (* (- 65) ?y2)) (* (- 54) x1)) 25) (not (= (+ (+ (+ (* (- 90) ?y5) (* (- 60) ?y2)) (* 71 ?y1)) (* 3 x1)) 0))) (or (< (+ (+ (+ (+ (+ (* (- 31) ?y6) (* (- 34) ?y5)) (* 25 ?y3)) (* 88 ?y2)) (* 43 ?y1)) (* 5 x1)) 52) (< (+ (+ (+ (+ (* (- 69) ?y6) (* 17 ?y5)) (* 27 ?y3)) (* (- 97) ?y1)) (* (- 51) x1)) (- 62)))) (and (and (= (+ (+ (+ (* (- 26) ?y5) (* 11 ?y3)) (* (- 3) ?y1)) (* 74 x1)) (- 66)) (= (+ (+ (+ (* (- 86) ?y6) (* (- 3) ?y5)) (* (- 50) ?y3)) (* 68 ?y2)) (- 54))) (and (>= (+ (+ (+ (+ (+ (* 23 ?y6) (* 35 ?y5)) (* 21 ?y3)) (* 4 ?y2)) (* 90 ?y1)) (* 69 x1)) 0) (>= (+ (+ (+ (* (- 65) ?y6) (* (- 87) ?y5)) (* 41 ?y2)) (* 90 x1)) 1)))) (or (>= (+ (+ (+ (+ (+ (* 100 ?y6) (* 45 ?y5)) (* (- 100) ?y3)) (* (- 39) ?y2)) (* (- 20) ?y1)) (* 30 x1)) (- 74)) (> (+ (+ (* (- 61) ?y3) (* 28 ?y1)) (* 40 x1)) (- 46))))))) (forall ((?y6 Real)) (let ((?v_4 (* 17 ?y3)) (?v_2 (* (- 52) ?y2)) (?v_1 (* (- 22) ?y6)) (?v_3 (* (- 65) ?y6)) (?v_5 (* (- 26) x1))) (and (and (or (and (and (not (= (+ (+ (* 27 ?y6) (* 41 ?y2)) (* (- 39) x1)) 36)) (< (+ (+ (+ (+ (* 60 ?y6) (* 98 ?y3)) ?v_2) (* (- 70) ?y1)) (* 35 x1)) 0)) (>= (+ (+ (* (- 56) ?y6) (* (- 100) ?y3)) (* 64 ?y1)) (- 89))) (and (>= (+ (+ (* (- 71) ?y6) (* (- 43) ?y1)) (* 76 x1)) 7) (and (>= (+ (+ (+ (* 44 ?y6) (* (- 3) ?y3)) (* (- 31) ?y2)) (* 64 x1)) (- 53)) (>= (+ (+ (+ (* (- 54) ?y3) (* 51 ?y2)) (* 28 ?y1)) (* (- 5) x1)) 49)))) (and (and (< (+ (+ (+ (+ (* 77 ?y6) (* (- 43) ?y3)) (* 17 ?y2)) (* 18 ?y1)) (* (- 46) x1)) (- 2)) (= (+ (+ (+ (+ ?v_1 (* 77 ?y3)) (* (- 14) ?y2)) (* (- 15) ?y1)) (* (- 18) x1)) (- 99))) (>= (+ (+ ?v_3 (* (- 2) ?y1)) ?v_5) (- 74)))) (or (and (and (and (> (+ (+ (+ ?v_1 (* (- 81) ?y3)) (* 15 ?y2)) (* (- 70) x1)) 42) (not (= (+ (+ (+ (* (- 18) ?y6) (* 55 ?y3)) (* (- 99) ?y2)) (* 34 ?y1)) (- 72)))) (or (> (+ (+ (+ (+ (* (- 8) ?y6) (* (- 70) ?y3)) ?v_2) (* 21 ?y1)) (* 75 x1)) 0) (> (+ (* (- 74) ?y6) (* (- 21) x1)) 0))) (or (or (< (+ (+ (+ ?v_3 (* (- 47) ?y3)) (* (- 86) ?y2)) (* 98 x1)) 0) (= (+ (+ (+ (* 93 ?y6) ?v_4) (* 1 ?y2)) (* 79 x1)) 0)) (>= (+ (+ (+ (* 31 ?y6) ?v_4) (* 19 ?y2)) (* (- 16) ?y1)) (- 53)))) (and (or (or (< (+ (+ (+ (* (- 75) ?y6) (* 24 ?y2)) (* 36 ?y1)) (* (- 88) x1)) 0) (= (+ (+ (+ (* 69 ?y6) (* (- 81) ?y2)) (* (- 84) ?y1)) (* (- 10) x1)) 80)) (or (>= (+ (* (- 6) ?y3) (* (- 25) ?y2)) (- 17)) (>= (+ (+ (* (- 95) ?y3) (* (- 72) ?y1)) (* 34 x1)) (- 98)))) (or (and (< (+ (+ (* 4 ?y6) (* (- 80) ?y2)) (* 51 x1)) 16) (<= (+ (+ (+ (+ (* 22 ?y6) (* 38 ?y3)) (* (- 3) ?y2)) (* 70 ?y1)) (* (- 3) x1)) (- 73))) (or (not (= (+ (* 76 ?y3) (* (- 86) ?y1)) (- 12))) (> (+ (+ (+ (+ (* 59 ?y6) (* (- 93) ?y3)) (* 14 ?y2)) (* (- 8) ?y1)) ?v_5) (- 39))))))))))) (forall ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_32 (* 5 ?y2)) (?v_42 (* 30 x1)) (?v_6 (* 53 ?y2)) (?v_21 (* 85 ?y5)) (?v_11 (* 37 ?y1)) (?v_19 (* 96 ?y1)) (?v_30 (* 19 ?y3)) (?v_18 (* 91 ?y6)) (?v_23 (* 78 ?y2)) (?v_15 (* 63 ?y1)) (?v_8 (* 49 ?y1)) (?v_33 (* 34 ?y6)) (?v_28 (* 20 x1)) (?v_37 (* 44 ?y6)) (?v_31 (* 83 ?y1)) (?v_39 (* 72 ?y6)) (?v_40 (* 97 ?y2)) (?v_41 (* 15 ?y6)) (?v_44 (* 13 ?y2)) (?v_29 (* 26 ?y5)) (?v_34 (* 50 ?y1)) (?v_22 (* (- 100) ?y3)) (?v_38 (* (- 81) ?y2)) (?v_35 (* (- 80) ?y2)) (?v_43 (* (- 65) x1)) (?v_36 (* (- 37) x1)) (?v_7 (* (- 82) ?y2)) (?v_13 (* (- 49) ?y6)) (?v_10 (* (- 17) ?y1)) (?v_9 (* (- 82) ?y5)) (?v_24 (* (- 73) ?y3)) (?v_12 (* (- 57) x1)) (?v_25 (* (- 53) ?y6)) (?v_17 (* (- 88) ?y1)) (?v_14 (* (- 4) ?y3)) (?v_20 (* (- 29) ?y2)) (?v_26 (* (- 1) ?y5)) (?v_16 (* (- 30) ?y2)) (?v_27 (* (- 13) ?y3))) (or (or (or (or (or (and (and (>= (+ (+ (+ (+ (* (- 83) ?y6) (* 89 ?y5)) (* 75 ?y3)) (* (- 68) ?y2)) (* (- 59) x1)) 0) (> (+ (+ (+ (* (- 40) ?y5) ?v_6) (* 3 ?y1)) ?v_43) (- 73))) (<= (+ (+ (* (- 9) ?y6) (* 98 ?y5)) (* (- 100) x1)) 62)) (and (>= (+ (+ (* 41 ?y6) (* (- 95) ?y3)) (* (- 58) x1)) (- 41)) (> (+ (+ (+ (* (- 42) ?y3) (* (- 43) ?y2)) (* (- 9) ?y1)) ?v_36) 0))) (or (or (and (>= (+ (+ (+ (+ (* 11 ?y6) (* 32 ?y3)) (* (- 57) ?y2)) (* (- 54) ?y1)) (* (- 28) x1)) 0) (<= (+ (+ (* 5 ?y5) ?v_7) (* (- 98) x1)) 87)) (and (< (+ (+ (+ (+ (* 73 ?y6) ?v_21) (* 26 ?y2)) (* (- 38) ?y1)) (* (- 63) x1)) (- 98)) (= (+ (+ (* (- 87) ?y2) (* (- 43) ?y1)) (* (- 42) x1)) (- 84)))) (and (and (> (+ (+ (+ (+ (+ ?v_13 (* (- 61) ?y5)) (* 41 ?y3)) ?v_38) (* 4 ?y1)) (* (- 35) x1)) (- 1)) (> (+ (+ (+ (+ (+ (* 50 ?y6) (* (- 24) ?y5)) (* 73 ?y3)) (* 76 ?y2)) (* (- 30) ?y1)) (* (- 21) x1)) (- 46))) (or (>= (+ (+ (+ (+ (* 88 ?y6) (* 3 ?y3)) (* (- 46) ?y2)) ?v_10) (* 96 x1)) (- 98)) (not (= (+ (+ (+ (* (- 25) ?y6) ?v_6) ?v_11) (* (- 29) x1)) 0)))))) (and (or (or (and (>= (+ (+ (+ (+ (* 40 ?y6) (* (- 16) ?y5)) (* (- 45) ?y3)) (* (- 45) ?y2)) (* 95 x1)) (- 14)) (>= (+ (+ (+ (+ (* 64 ?y6) (* (- 36) ?y5)) (* 49 ?y3)) (* (- 95) ?y2)) (* 68 x1)) 61)) (and (not (= (+ (+ (+ (+ (* (- 99) ?y6) (* 59 ?y5)) (* 30 ?y3)) (* (- 15) ?y2)) ?v_19) (- 79))) (< (+ (+ (+ (+ (+ (* (- 8) ?y6) ?v_9) ?v_24) (* (- 11) ?y2)) (* 88 ?y1)) ?v_12) (- 92)))) (not (= (+ (+ (+ (+ (* (- 20) ?y6) (* (- 31) ?y5)) ?v_30) (* 74 ?y2)) (* 42 ?y1)) 17))) (and (and (or (< (+ (+ (+ (+ (+ ?v_18 (* (- 30) ?y5)) (* 38 ?y3)) (* (- 1) ?y2)) (* 53 ?y1)) (* 3 x1)) 10) (= (+ (+ (+ (* (- 86) ?y6) (* (- 2) ?y3)) (* (- 75) ?y2)) (* (- 93) ?y1)) 84)) (or (<= (+ (+ (+ ?v_25 (* 6 ?y3)) (* 33 ?y2)) (* (- 91) ?y1)) 0) (not (= (+ (+ (+ (* 28 ?y6) (* 31 ?y5)) (* 70 ?y3)) (* 75 ?y1)) 0)))) (or (or (< (+ (+ (+ (+ (* (- 5) ?y6) (* 93 ?y5)) (* (- 90) ?y2)) ?v_17) (* (- 94) x1)) (- 74)) (< (+ (+ (+ (* 17 ?y6) (* 57 ?y5)) (* 46 ?y2)) (* 24 x1)) (- 53))) (and (>= (+ (+ (+ (+ (* 37 ?y5) (* (- 8) ?y3)) ?v_32) (* (- 15) ?y1)) (* (- 49) x1)) 0) (<= (+ (+ (+ (+ (* (- 74) ?y6) (* (- 78) ?y5)) (* (- 100) ?y2)) (* (- 99) ?y1)) (* (- 99) x1)) 0)))))) (and (or (or (or (not (= (+ (+ (+ (+ (* (- 41) ?y6) (* 12 ?y5)) ?v_14) ?v_23) (* 86 x1)) (- 24))) (or (>= (+ (+ (+ (+ (+ (* 66 ?y6) (* 35 ?y5)) (* (- 50) ?y3)) (* 99 ?y2)) ?v_15) (* (- 47) x1)) 0) (>= (+ (+ (* 63 ?y5) ?v_20) ?v_8) 64))) (and (and (not (= (+ (+ (+ (+ (+ (* (- 57) ?y6) (* (- 12) ?y5)) (* 17 ?y3)) ?v_6) (* (- 8) ?y1)) (* (- 5) x1)) (- 88))) (> (+ (+ (+ (+ ?v_33 (* (- 66) ?y5)) (* 94 ?y3)) (* 23 ?y2)) ?v_28) (- 64))) (or (< (+ (+ (+ ?v_37 (* (- 25) ?y3)) ?v_7) ?v_8) 73) (>= (+ (+ (+ (+ (* (- 64) ?y6) ?v_9) (* (- 93) ?y3)) (* 3 ?y2)) ?v_10) (- 20))))) (or (> (+ (+ (+ (* (- 91) ?y6) (* (- 9) ?y3)) (* (- 22) ?y2)) ?v_31) 95) (not (= (+ (+ ?v_39 (* 44 ?y3)) (* (- 53) x1)) 0)))) (and (or (> (+ (+ (+ (* 27 ?y6) (* 49 ?y5)) (* (- 80) ?y3)) (* (- 62) x1)) (- 79)) (and (= (+ (+ (+ ?v_26 (* 68 ?y3)) ?v_40) (* (- 87) ?y1)) (- 37)) (= (+ (+ (+ (+ (+ (* (- 4) ?y6) (* (- 44) ?y5)) (* (- 91) ?y3)) ?v_16) ?v_11) ?v_12) 0))) (and (or (not (= (+ (+ (+ (+ ?v_13 (* (- 58) ?y5)) ?v_14) (* (- 20) ?y2)) (* (- 29) ?y1)) (- 15))) (< (+ (+ (+ (* (- 85) ?y6) (* 98 ?y2)) (* (- 78) ?y1)) (* (- 50) x1)) (- 29))) (and (and (= (+ (+ (+ (* 76 ?y5) (* 96 ?y3)) ?v_15) (* 82 x1)) (- 63)) (>= (+ (+ (+ (+ (+ (* (- 2) ?y6) (* (- 52) ?y5)) (* (- 35) ?y3)) (* 22 ?y2)) (* (- 82) ?y1)) (* (- 55) x1)) 40)) (or (<= (+ (+ (+ (+ (* (- 58) ?y6) (* (- 53) ?y5)) (* 50 ?y3)) (* (- 35) ?y2)) (* 75 x1)) 39) (not (= (+ (+ (+ (+ (* (- 18) ?y5) (* (- 55) ?y3)) (* 50 ?y2)) (* 71 ?y1)) (* (- 75) x1)) 0)))))))) (and (or (and (or (not (= (+ (+ (+ (+ (* (- 35) ?y6) (* 34 ?y5)) (* 42 ?y2)) (* (- 20) ?y1)) (* 84 x1)) 0)) (and (and (> (+ (+ (+ (* 38 ?y6) (* (- 98) ?y5)) (* (- 5) ?y2)) (* (- 97) ?y1)) (- 40)) (<= (+ (+ (+ (+ (+ (* (- 93) ?y6) (* 53 ?y5)) (* (- 60) ?y3)) (* (- 26) ?y2)) (* (- 28) ?y1)) (* 43 x1)) (- 36))) (or (< (+ (+ (+ (* 79 ?y6) (* 20 ?y3)) ?v_16) ?v_17) (- 83)) (< (+ (+ (+ (+ (* (- 98) ?y6) (* 97 ?y5)) (* (- 98) ?y2)) (* 91 ?y1)) (* 16 x1)) (- 80))))) (or (or (or (> (+ (+ (+ (* 16 ?y6) (* (- 23) ?y3)) (* 47 ?y2)) (* 64 ?y1)) (- 55)) (>= (+ (+ (+ (+ ?v_18 (* 73 ?y5)) ?v_22) (* 72 ?y1)) (* 15 x1)) 0)) (or (< (+ (+ (* (- 92) ?y6) ?v_35) ?v_19) (- 95)) (<= (+ (+ (+ (+ (+ (* (- 82) ?y6) (* (- 59) ?y5)) ?v_27) ?v_20) (* 1 ?y1)) (* (- 70) x1)) 0))) (and (and (<= (+ (+ (+ (* (- 39) ?y3) (* 4 ?y2)) (* 60 ?y1)) (* (- 45) x1)) 0) (not (= (+ (+ (+ (+ (+ ?v_41 ?v_21) ?v_22) ?v_23) (* (- 1) ?y1)) (* (- 32) x1)) (- 73)))) (< (+ (+ (+ (* (- 76) ?y6) (* 36 ?y5)) ?v_24) (* 64 ?y2)) (- 59))))) (or (and (> (+ (* 15 ?y5) ?v_44) 80) (>= (+ (+ (+ (+ (* (- 31) ?y6) ?v_29) (* 59 ?y3)) (* 37 ?y2)) (* 28 ?y1)) 0)) (and (or (and (<= (+ (+ (+ (+ (+ ?v_25 ?v_26) (* 9 ?y3)) ?v_6) (* 48 ?y1)) (* 45 x1)) 0) (< (+ (+ (* (- 92) ?y5) (* 69 ?y3)) (* (- 44) x1)) 55)) (or (not (= (+ (+ (+ (* (- 97) ?y5) (* 80 ?y3)) (* (- 14) ?y2)) (* (- 69) x1)) 0)) (>= (+ (+ (+ (+ (* 14 ?y6) (* (- 69) ?y5)) ?v_27) (* (- 2) ?y2)) (* 20 ?y1)) (- 89)))) (or (<= (+ (+ (* 28 ?y3) ?v_34) (* (- 33) x1)) 59) (>= (+ (+ (+ (* 10 ?y6) (* 77 ?y3)) (* 30 ?y1)) ?v_28) 73))))) (or (or (and (and (or (< (+ (+ (+ (* 51 ?y5) (* (- 66) ?y2)) (* (- 75) ?y1)) (* 39 x1)) (- 80)) (= (+ (* 46 ?y5) (* (- 85) ?y2)) (- 21))) (and (< (+ (+ (+ (+ (* (- 18) ?y6) (* 1 ?y5)) (* 8 ?y2)) (* (- 52) ?y1)) (* 44 x1)) (- 32)) (>= (+ (+ (+ (+ (* 2 ?y6) ?v_29) (* (- 3) ?y3)) (* 75 ?y2)) (* 76 ?y1)) 13))) (and (= (+ (* (- 3) ?y6) (* 12 ?y1)) (- 4)) (or (>= (+ (+ (+ (+ (* (- 72) ?y6) ?v_30) (* (- 67) ?y2)) ?v_31) (* 28 x1)) (- 44)) (<= (+ (+ (+ (* 84 ?y6) (* 62 ?y3)) (* 60 ?y2)) (* 29 ?y1)) 0)))) (or (and (<= (+ (+ (+ (+ (* (- 56) ?y6) (* (- 34) ?y3)) ?v_32) (* 54 ?y1)) (* (- 85) x1)) (- 34)) (> (+ (+ (+ (+ ?v_33 (* (- 65) ?y5)) (* (- 97) ?y3)) ?v_34) ?v_42) (- 30))) (or (and (>= (+ (+ (+ (+ (* (- 6) ?y5) (* 79 ?y3)) (* 1 ?y2)) (* (- 27) ?y1)) (* 80 x1)) 46) (= (+ (+ (+ (+ (* 96 ?y6) (* (- 70) ?y5)) (* 49 ?y2)) (* (- 37) ?y1)) ?v_12) (- 12))) (and (not (= (+ (+ (+ (+ (* (- 54) ?y6) (* (- 89) ?y3)) ?v_35) (* 40 ?y1)) (* 98 x1)) 0)) (< (+ (* 68 ?y5) (* (- 66) x1)) 100))))) (and (and (or (and (< (+ (+ (+ (+ (* 76 ?y6) (* 38 ?y5)) (* (- 24) ?y2)) (* (- 71) ?y1)) ?v_36) 19) (> (+ (+ (+ (+ (* (- 43) ?y6) (* (- 62) ?y3)) (* 77 ?y2)) (* (- 81) ?y1)) (* 61 x1)) 86)) (and (not (= (+ (+ (+ (+ (+ (* (- 28) ?y6) (* (- 88) ?y5)) (* 56 ?y3)) (* 24 ?y2)) ?v_8) (* (- 46) x1)) (- 100))) (< (+ (+ (+ (+ ?v_37 (* 14 ?y5)) (* 26 ?y3)) ?v_38) (* 69 ?y1)) 85))) (or (and (= (+ (+ (+ (+ ?v_39 (* (- 43) ?y5)) (* (- 90) ?y3)) ?v_40) (* (- 25) ?y1)) 21) (>= (+ (+ (+ (+ ?v_41 (* (- 48) ?y5)) (* 62 ?y2)) (* (- 61) ?y1)) ?v_42) (- 47))) (and (< (+ (* 41 ?y2) (* 44 ?y1)) 1) (not (= (+ (+ (* (- 79) ?y3) (* (- 90) ?y1)) ?v_43) 0))))) (and (>= (+ (+ (+ (+ (+ (* (- 15) ?y6) (* (- 33) ?y5)) (* (- 24) ?y3)) (* (- 73) ?y2)) (* (- 42) ?y1)) (* 55 x1)) (- 77)) (= (+ (+ (+ (* (- 80) ?y6) (* 28 ?y5)) ?v_44) (* 67 x1)) 30))))))))))) (and (and (and (exists ((?y4 Real)) (exists ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_45 (* (- 27) ?y2))) (and (or (or (= (+ (+ (+ (+ (+ (* (- 19) ?y6) (* 97 ?y5)) (* (- 20) ?y4)) ?v_45) (* (- 23) ?y1)) (* (- 62) x1)) (- 93)) (or (= (+ (+ (+ (* 19 ?y6) (* (- 13) ?y4)) (* (- 92) ?y2)) (* 84 ?y1)) 0) (>= (+ (+ (+ (+ (+ (* 48 ?y6) (* (- 79) ?y5)) (* (- 39) ?y4)) (* (- 86) ?y2)) (* (- 14) ?y1)) (* 83 x1)) 94))) (and (and (> (+ (+ (+ (* (- 29) ?y6) (* 55 ?y4)) (* (- 15) ?y2)) (* 63 ?y1)) 75) (>= (+ (+ (+ (* 40 ?y6) (* 23 ?y5)) (* (- 60) ?y2)) (* 41 ?y1)) 61)) (not (= (+ (+ (+ (+ (+ (* (- 31) ?y6) (* (- 61) ?y5)) (* (- 15) ?y4)) (* (- 71) ?y2)) (* 67 ?y1)) (* (- 89) x1)) 0)))) (or (or (or (and (<= (+ (* (- 78) ?y5) (* 75 ?y2)) 0) (>= (+ (+ (+ (+ (* 15 ?y5) (* 44 ?y4)) (* 4 ?y2)) (* (- 55) ?y1)) (* 35 x1)) (- 50))) (and (> (+ (+ (+ (+ (* 18 ?y6) (* 7 ?y5)) (* (- 99) ?y4)) (* (- 16) ?y2)) (* (- 75) x1)) 38) (< (+ (+ (* 53 ?y5) (* (- 30) ?y1)) (* (- 87) x1)) 46))) (or (or (< (+ (+ (+ (+ (* (- 25) ?y5) (* 93 ?y4)) ?v_45) (* (- 21) ?y1)) (* (- 43) x1)) (- 38)) (<= (+ (+ (+ (* 53 ?y6) (* 42 ?y5)) (* 65 ?y2)) (* (- 42) ?y1)) (- 39))) (or (> (+ (+ (+ (* (- 41) ?y6) (* 49 ?y5)) (* (- 94) ?y2)) (* (- 20) x1)) 71) (<= (+ (+ (+ (* 75 ?y6) (* 29 ?y5)) (* (- 78) ?y1)) (* 2 x1)) 9)))) (or (and (>= (+ (+ (+ (+ (* (- 16) ?y5) (* (- 40) ?y4)) (* (- 10) ?y2)) (* (- 31) ?y1)) (* (- 81) x1)) 1) (>= (* 86 ?y6) 40)) (or (and (= (+ (+ (+ (* 5 ?y6) (* (- 43) ?y5)) (* (- 63) ?y4)) (* 8 x1)) 15) (>= (+ (* (- 69) ?y4) (* (- 91) x1)) (- 92))) (or (< (+ (+ (* 11 ?y6) (* 38 ?y2)) (* (- 19) ?y1)) 67) (< (+ (* (- 26) ?y6) (* 77 ?y1)) (- 80))))))))))) (exists ((?y5 Real)) (let ((?v_48 (* 30 ?y1)) (?v_47 (* 96 ?y5)) (?v_46 (* 38 ?y1))) (and (and (or (and (and (= (+ (+ (+ (* 39 ?y5) (* (- 12) ?y2)) ?v_48) (* (- 24) x1)) (- 33)) (> (+ (+ (* (- 49) ?y5) (* 83 ?y2)) (* 95 x1)) 65)) (and (= (+ (* (- 11) ?y1) (* 79 x1)) (- 39)) (>= (+ (* 40 ?y5) (* 38 x1)) (- 38)))) (and (and (< (+ (+ (+ (* (- 62) ?y5) (* (- 1) ?y2)) (* 2 ?y1)) (* (- 14) x1)) 31) (< (+ (+ (+ (* 30 ?y5) (* 45 ?y2)) (* 18 ?y1)) (* (- 99) x1)) (- 74))) (and (not (= (+ (+ (* 12 ?y5) (* 92 ?y1)) (* (- 88) x1)) (- 31))) (= (+ (+ ?v_47 (* 30 ?y2)) (* (- 66) ?y1)) 39)))) (or (or (or (< (+ (* (- 25) ?y5) (* 39 x1)) 61) (< (+ (+ (* 13 ?y2) (* 60 ?y1)) (* (- 48) x1)) 25)) (<= (+ (+ (+ (* 48 ?y5) (* 97 ?y2)) (* (- 90) ?y1)) (* 73 x1)) 38)) (and (and (= (+ (+ (* (- 92) ?y5) (* (- 40) ?y2)) (* 37 x1)) (- 3)) (>= (+ (+ (* (- 47) ?y5) ?v_46) (* 71 x1)) 0)) (or (not (= (+ (+ (+ (* (- 57) ?y5) (* 67 ?y2)) (* 26 ?y1)) (* 65 x1)) 0)) (<= (+ (+ (* (- 3) ?y5) (* 57 ?y2)) (* 15 x1)) (- 6)))))) (and (and (and (or (<= (+ (+ (* (- 99) ?y5) (* (- 77) ?y1)) (* 2 x1)) 0) (not (= (+ (+ (* 92 ?y5) (* 87 ?y1)) (* (- 51) x1)) 0))) (and (< (+ (+ (* 80 ?y2) (* (- 99) ?y1)) (* (- 4) x1)) (- 89)) (= (+ (+ (* 77 ?y5) (* (- 31) ?y2)) ?v_46) (- 72)))) (and (and (not (= (+ (+ (* 44 ?y2) (* (- 9) ?y1)) (* (- 90) x1)) (- 91))) (> (* (- 27) x1) 68)) (and (not (= (* 59 ?y5) (- 49))) (>= (+ (+ (+ (* (- 31) ?y5) (* (- 33) ?y2)) ?v_46) (* (- 43) x1)) 22)))) (or (and (and (not (= (+ (+ (+ (* (- 7) ?y5) (* (- 26) ?y2)) (* (- 71) ?y1)) (* 59 x1)) 0)) (<= (+ (+ (+ (* 82 ?y5) (* (- 42) ?y2)) (* 95 ?y1)) (* (- 13) x1)) (- 57))) (= (+ (+ (* (- 86) ?y5) (* (- 20) ?y2)) (* (- 25) x1)) 0)) (or (and (>= (+ (+ ?v_47 (* (- 13) ?y1)) (* (- 77) x1)) 0) (>= (+ (+ (+ (* (- 9) ?y5) (* (- 91) ?y2)) (* (- 76) ?y1)) (* (- 78) x1)) 0)) (or (<= (+ (* 22 ?y5) (* 26 ?y2)) 72) (<= (+ (+ (* 93 ?y5) (* 78 ?y2)) ?v_48) 0))))))))) (exists ((?y4 Real)) (let ((?v_49 (* 50 ?y2))) (and (forall ((?y5 Real)) (or (exists ((?y6 Real)) (or (or (or (not (= (+ (+ (+ (* (- 39) ?y6) (* 31 ?y5)) (* 89 ?y1)) (* 99 x1)) 3)) (= (+ (+ (+ (+ (+ (* 31 ?y6) (* (- 91) ?y5)) (* (- 84) ?y4)) (* 87 ?y2)) (* (- 60) ?y1)) (* (- 75) x1)) 0)) (not (= (+ (+ (+ (+ (+ (* 64 ?y6) (* 22 ?y5)) (* (- 96) ?y4)) (* 12 ?y2)) (* (- 2) ?y1)) (* (- 5) x1)) 0))) (and (or (= (+ (+ (+ (+ (* (- 57) ?y6) (* (- 52) ?y5)) (* (- 78) ?y4)) (* (- 1) ?y1)) (* (- 1) x1)) 0) (< (+ (+ (+ (+ (+ (* (- 75) ?y6) (* 4 ?y5)) (* (- 36) ?y4)) (* (- 76) ?y2)) (* 59 ?y1)) (* 51 x1)) 85)) (and (or (>= (+ (+ (+ (* (- 21) ?y6) (* (- 42) ?y2)) (* 9 ?y1)) (* (- 6) x1)) 0) (< (+ (+ (+ (+ (* 50 ?y6) (* 10 ?y5)) (* (- 84) ?y2)) (* (- 79) ?y1)) (* 81 x1)) 61)) (and (<= (* 74 ?y6) 0) (<= (+ (+ (+ (+ (* 98 ?y6) (* (- 99) ?y4)) (* 98 ?y2)) (* (- 40) ?y1)) (* (- 54) x1)) (- 36))))))) (or (or (< (+ (+ (+ (* (- 88) ?y5) (* (- 78) ?y4)) (* (- 96) ?y2)) (* (- 63) ?y1)) (- 95)) (< (+ (+ (+ (* 46 ?y5) (* 16 ?y4)) (* 53 ?y1)) (* 76 x1)) 0)) (> (+ (+ (* 39 ?y5) (* 99 ?y2)) (* (- 42) ?y1)) (- 82))))) (and (or (or (and (or (<= (+ (* 31 ?y2) (* (- 24) ?y1)) (- 21)) (<= (+ (* (- 31) ?y4) ?v_49) 3)) (exists ((?y6 Real)) (and (>= (+ (* 59 ?y6) (* 98 ?y1)) 76) (not (= (+ (+ (* 83 ?y4) (* 94 ?y1)) (* 72 x1)) 6))))) (exists ((?y6 Real)) (and (<= (+ (+ (* (- 68) ?y2) (* 10 ?y1)) (* (- 49) x1)) 0) (or (>= (+ (+ (+ (+ (* 27 ?y6) (* (- 86) ?y4)) (* (- 30) ?y2)) (* 16 ?y1)) (* 16 x1)) 85) (< (+ (+ (+ (+ (* (- 15) ?y6) (* 98 ?y4)) (* (- 33) ?y2)) (* (- 62) ?y1)) (* 91 x1)) (- 62)))))) (or (exists ((?y6 Real)) (or (and (= (+ (+ (+ (+ (* (- 26) ?y6) (* 29 ?y4)) (* (- 64) ?y2)) (* (- 81) ?y1)) (* (- 15) x1)) 0) (= (+ (+ (+ (* 36 ?y6) (* 74 ?y4)) (* (- 80) ?y2)) (* 24 x1)) 17)) (and (<= (+ (* (- 73) ?y6) (* (- 31) x1)) 20) (< (+ (+ (+ (+ (* (- 17) ?y6) (* 18 ?y4)) (* 34 ?y2)) (* 70 ?y1)) (* 70 x1)) 0)))) (and (and (> (+ ?v_49 (* (- 33) ?y1)) 89) (>= (+ (+ (+ (* (- 14) ?y4) (* (- 4) ?y2)) (* (- 43) ?y1)) (* (- 57) x1)) 13)) (or (< (* (- 70) x1) (- 26)) (<= (+ (+ (* (- 20) ?y4) (* 40 ?y1)) (* 24 x1)) 0))))) (and (and (forall ((?y6 Real)) (or (and (< (+ (+ (+ (+ (* 57 ?y6) (* 77 ?y4)) (* 65 ?y2)) (* 75 ?y1)) (* 73 x1)) 0) (<= (+ (+ (+ (* (- 54) ?y6) (* 54 ?y2)) (* (- 63) ?y1)) (* 46 x1)) (- 37))) (and (not (= (+ (+ (+ (+ (* (- 53) ?y6) (* 47 ?y4)) (* (- 60) ?y2)) (* 85 ?y1)) (* (- 66) x1)) 96)) (not (= (+ (+ (+ (+ (* (- 36) ?y6) (* (- 74) ?y4)) (* 19 ?y2)) (* 36 ?y1)) (* 4 x1)) 75))))) (or (<= (+ (+ (+ (* (- 66) ?y4) (* 23 ?y2)) (* 99 ?y1)) (* 60 x1)) (- 67)) (>= (+ (+ (+ (* 57 ?y4) (* 12 ?y2)) (* 93 ?y1)) (* (- 66) x1)) (- 14)))) (or (or (<= (+ (+ (* 47 ?y4) (* 30 ?y2)) (* 37 ?y1)) 86) (not (= (+ (+ (* (- 5) ?y4) (* 78 ?y2)) (* (- 27) ?y1)) 99))) (and (or (<= (+ (+ (+ (* 90 ?y4) (* (- 60) ?y2)) (* 15 ?y1)) (* (- 49) x1)) 0) (<= (+ (* (- 78) ?y2) (* 87 x1)) 21)) (and (>= (* 26 ?y2) 0) (>= (+ (+ (+ (* (- 57) ?y4) (* (- 59) ?y2)) (* 31 ?y1)) (* (- 98) x1)) 0)))))))))) (exists ((?y4 Real)) (let ((?v_50 (* 67 ?y2))) (and (and (exists ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_51 (* 3 ?y1)) (?v_52 (* (- 30) ?y2))) (or (and (> (+ (+ (+ (+ (* (- 84) ?y5) (* 22 ?y4)) ?v_52) (* (- 21) ?y1)) (* 43 x1)) 0) (and (or (<= (+ (+ (+ (+ (+ (* (- 40) ?y6) (* (- 94) ?y5)) (* (- 37) ?y4)) (* (- 91) ?y2)) (* 97 ?y1)) (* (- 41) x1)) 32) (< (+ (+ (* 40 ?y5) (* (- 85) ?y1)) (* 86 x1)) 97)) (and (<= (+ (+ (+ (* (- 55) ?y6) (* (- 22) ?y5)) (* 87 ?y4)) ?v_51) 35) (= (+ (+ (+ (+ (+ (* (- 29) ?y6) (* (- 99) ?y5)) (* (- 14) ?y4)) (* (- 6) ?y2)) (* (- 81) ?y1)) (* 62 x1)) 0)))) (and (and (and (= (+ (+ (+ (* (- 26) ?y5) (* (- 43) ?y4)) (* 46 ?y2)) (* (- 2) x1)) 23) (= (+ (+ (* 88 ?y5) (* (- 29) ?y2)) (* 66 ?y1)) 53)) (and (> (+ (+ (* 37 ?y5) ?v_51) (* (- 26) x1)) 0) (<= (+ (+ (+ (* 79 ?y4) (* 22 ?y2)) (* 85 ?y1)) (* 67 x1)) (- 67)))) (or (or (and (= (+ (+ (+ (+ (* (- 17) ?y6) (* 84 ?y5)) (* 92 ?y4)) (* (- 11) ?y2)) (* (- 25) ?y1)) (- 21)) (> (+ (+ (+ (+ (* (- 14) ?y6) (* 3 ?y5)) (* 32 ?y4)) ?v_52) (* (- 2) ?y1)) 47)) (and (< (+ (+ (+ (+ (* 2 ?y6) (* (- 36) ?y5)) (* 94 ?y4)) (* (- 95) ?y2)) (* 42 ?y1)) (- 47)) (not (= (+ (+ (* (- 70) ?y5) (* 77 ?y1)) (* (- 45) x1)) 0)))) (and (= (+ (+ (+ (* (- 38) ?y6) (* (- 25) ?y4)) (* (- 13) ?y2)) (* 13 ?y1)) 8) (and (<= (+ (+ (* (- 6) ?y5) (* 98 ?y4)) (* 48 ?y2)) (- 6)) (>= (+ (+ (+ (+ (* 79 ?y5) (* 75 ?y4)) (* (- 5) ?y2)) (* (- 52) ?y1)) (* (- 39) x1)) 88))))))))) (or (exists ((?y5 Real)) (forall ((?y6 Real)) (and (and (and (> (+ (+ (+ (* 42 ?y5) (* 49 ?y4)) (* 82 ?y2)) (* (- 83) x1)) (- 69)) (= (+ (+ (+ (+ (* (- 40) ?y6) (* 94 ?y5)) (* (- 96) ?y4)) (* (- 6) ?y1)) (* 79 x1)) (- 55))) (or (>= (+ (+ (+ (+ (* 54 ?y6) (* (- 32) ?y5)) (* 52 ?y4)) (* (- 83) ?y2)) (* 71 x1)) 94) (>= (+ (+ (+ (+ (* 4 ?y6) (* 90 ?y4)) (* 62 ?y2)) (* (- 77) ?y1)) (* (- 48) x1)) (- 59)))) (or (and (<= (+ (+ (+ (+ (+ (* 99 ?y6) (* 87 ?y5)) (* (- 55) ?y4)) (* (- 89) ?y2)) (* 91 ?y1)) (* (- 78) x1)) 50) (not (= (+ (+ (+ (+ (+ (* 34 ?y6) (* (- 99) ?y5)) (* (- 47) ?y4)) (* (- 5) ?y2)) (* (- 32) ?y1)) (* 100 x1)) 42))) (and (= (+ (+ (+ (+ (+ (* (- 55) ?y6) (* (- 52) ?y5)) (* (- 53) ?y4)) (* (- 77) ?y2)) (* (- 37) ?y1)) (* (- 32) x1)) 0) (<= (+ (+ (+ (+ (* (- 1) ?y6) (* 58 ?y5)) (* (- 64) ?y2)) (* 61 ?y1)) (* 75 x1)) 23)))))) (or (or (or (< (+ (+ (+ (* 29 ?y4) (* (- 33) ?y2)) (* 3 ?y1)) (* 87 x1)) 0) (>= (+ (+ (* (- 75) ?y4) ?v_50) (* (- 17) x1)) 94)) (or (or (or (< (+ (+ (* (- 34) ?y4) (* 84 ?y2)) (* 28 x1)) (- 53)) (> (+ (* (- 12) ?y4) (* 84 x1)) 66)) (forall ((?y6 Real)) (> (+ (+ (+ (* (- 70) ?y6) (* 47 ?y4)) (* 11 ?y1)) (* 27 x1)) 33))) (forall ((?y5 Real)) (or (= (+ (+ (+ (+ (* 68 ?y5) (* (- 60) ?y4)) (* (- 31) ?y2)) (* (- 97) ?y1)) (* (- 43) x1)) (- 7)) (> (+ (+ (+ (* 27 ?y5) (* 43 ?y4)) (* (- 26) ?y1)) (* 7 x1)) (- 72)))))) (or (and (or (<= (+ (+ (* (- 85) ?y4) (* 53 ?y2)) (* 72 ?y1)) 0) (= (+ (+ (+ (* (- 87) ?y4) (* 19 ?y2)) (* (- 16) ?y1)) (* (- 57) x1)) (- 42))) (or (exists ((?y5 Real)) (and (< (+ (+ (+ (+ (* (- 45) ?y5) (* 60 ?y4)) (* 35 ?y2)) (* (- 7) ?y1)) (* 51 x1)) (- 80)) (> (+ (+ (* (- 11) ?y5) (* (- 89) ?y4)) (* (- 19) ?y1)) (- 19)))) (and (forall ((?y5 Real)) (= (+ (+ (+ (+ (* 1 ?y5) (* 1 ?y4)) (* 28 ?y2)) (* 69 ?y1)) (* 42 x1)) (- 21))) (forall ((?y5 Real)) (>= (+ (* (- 19) ?y5) (* (- 25) ?y4)) 49))))) (and (exists ((?y6 Real)) (and (= (+ (* (- 6) ?y2) (* 85 x1)) 0) (> (+ (* 77 ?y1) (* (- 92) x1)) (- 12)))) (or (> (+ (+ (* (- 97) ?y4) (* 45 ?y1)) (* 82 x1)) (- 58)) (> (+ (+ (* 45 ?y4) ?v_50) (* (- 39) ?y1)) 44))))))) (forall ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_58 (* 92 ?y4)) (?v_54 (* (- 10) x1)) (?v_53 (* (- 3) x1)) (?v_56 (* (- 23) ?y1)) (?v_55 (* (- 45) ?y4)) (?v_59 (* (- 49) ?y2)) (?v_57 (* (- 76) x1))) (and (and (or (and (or (>= (+ (+ (+ (+ (* 70 ?y6) (* 93 ?y5)) (* 72 ?y4)) (* (- 74) ?y1)) (* 2 x1)) (- 35)) (<= (+ (+ (+ (+ (+ (* 32 ?y6) (* (- 12) ?y5)) (* 59 ?y4)) (* (- 46) ?y2)) (* (- 18) ?y1)) (* 46 x1)) (- 10))) (or (= (+ (+ (+ (+ (* (- 22) ?y6) (* (- 22) ?y5)) (* 97 ?y4)) (* 66 ?y2)) (* 94 ?y1)) (- 100)) (= (+ (+ (+ (* (- 5) ?y6) (* 64 ?y5)) (* (- 96) ?y2)) (* (- 23) x1)) 0))) (or (and (< (+ (+ (+ (+ (* 28 ?y6) (* (- 100) ?y5)) (* (- 63) ?y2)) (* (- 21) ?y1)) ?v_53) 0) (> (+ (+ (+ (* 50 ?y5) ?v_58) (* 32 ?y2)) ?v_53) 78)) (not (= (+ (+ (+ (+ (* 29 ?y6) (* (- 72) ?y4)) (* (- 76) ?y2)) (* (- 11) ?y1)) (* (- 58) x1)) 0)))) (and (or (or (not (= (+ (+ (* 78 ?y5) (* (- 82) ?y1)) (* (- 44) x1)) (- 63))) (not (= (+ (+ (* (- 28) ?y5) (* 71 ?y4)) ?v_54) (- 9)))) (or (= (+ (+ (+ (+ (* 99 ?y6) (* (- 6) ?y5)) (* (- 61) ?y4)) (* (- 30) ?y2)) (* 92 x1)) (- 22)) (= (+ (+ (* 47 ?y5) (* 50 ?y4)) (* 3 x1)) (- 4)))) (and (and (>= (+ (+ (* 39 ?y6) (* 86 ?y1)) (* (- 85) x1)) 37) (not (= (+ (+ (+ (* (- 62) ?y5) (* 84 ?y2)) (* 38 ?y1)) (* (- 45) x1)) 75))) (and (<= (+ (+ (* 66 ?y5) (* 81 ?y4)) (* (- 8) ?y2)) 89) (< (+ (+ (+ (* 63 ?y6) (* (- 46) ?y5)) (* (- 98) ?y4)) (* (- 84) ?y2)) 37))))) (or (or (or (and (< (+ (+ (+ (* (- 13) ?y6) (* 28 ?y5)) (* (- 34) ?y2)) (* 12 x1)) 46) (> (+ (+ (+ (+ (+ (* (- 4) ?y6) (* (- 33) ?y5)) (* 68 ?y4)) (* 95 ?y2)) (* 3 ?y1)) (* (- 78) x1)) 63)) (or (<= (+ (+ (+ (+ (+ (* 56 ?y6) (* (- 66) ?y5)) (* 88 ?y4)) (* (- 2) ?y2)) (* 43 ?y1)) (* 83 x1)) (- 31)) (not (= (+ (+ (+ (+ (* 52 ?y6) (* (- 18) ?y5)) (* 32 ?y4)) (* (- 68) ?y1)) (* 25 x1)) (- 30))))) (or (and (>= (+ (+ (+ (* (- 81) ?y6) (* (- 70) ?y2)) (* (- 16) ?y1)) (* (- 18) x1)) 88) (< (+ (+ (+ (+ (+ (* 57 ?y6) (* 8 ?y5)) ?v_55) ?v_59) ?v_56) ?v_54) 0)) (or (<= (+ (+ (+ (+ (* (- 73) ?y6) (* (- 50) ?y5)) (* (- 43) ?y2)) (* 95 ?y1)) ?v_57) 71) (= (+ (+ (+ (+ (* 90 ?y6) (* 10 ?y5)) (* (- 53) ?y4)) (* 62 ?y1)) (* 87 x1)) 0)))) (and (and (or (not (= (+ (+ (+ (* (- 17) ?y5) (* (- 85) ?y4)) (* 54 ?y2)) (* 84 ?y1)) 0)) (<= (+ (+ (+ (+ (+ (* 51 ?y6) (* 39 ?y5)) ?v_55) (* (- 38) ?y2)) (* (- 89) ?y1)) (* 41 x1)) 14)) (or (<= (+ (+ (+ (+ (* 42 ?y6) (* 17 ?y5)) (* (- 34) ?y4)) (* 86 ?y2)) (* 51 ?y1)) 86) (<= (+ (+ (+ (* 75 ?y6) (* (- 21) ?y5)) ?v_56) ?v_57) 35))) (and (> (+ (+ (+ (+ (+ (* 77 ?y6) (* 87 ?y5)) (* 85 ?y4)) (* (- 51) ?y2)) (* (- 81) ?y1)) (* (- 99) x1)) 2) (= (+ (+ (+ (+ (+ (* (- 82) ?y6) (* (- 51) ?y5)) ?v_58) ?v_59) (* 37 ?y1)) (* 45 x1)) (- 33)))))))))))))) (exists ((?y3 Real)) (exists ((?y4 Real)) (let ((?v_271 (* 31 ?y2)) (?v_312 (* 65 ?y2)) (?v_184 (* 77 ?y1)) (?v_161 (* 26 x1)) (?v_264 (* 28 ?y1)) (?v_252 (* 62 x1)) (?v_104 (* 17 ?y1)) (?v_208 (* 34 x1)) (?v_121 (* 2 ?y2)) (?v_203 (* 33 x1)) (?v_64 (* 48 ?y2)) (?v_268 (* 51 ?y1)) (?v_259 (* 26 ?y2)) (?v_309 (* 91 x1)) (?v_144 (* 2 x1)) (?v_60 (* 74 ?y2)) (?v_138 (* 88 ?y2)) (?v_82 (* 4 ?y2)) (?v_179 (* 17 ?y2)) (?v_178 (* 75 x1)) (?v_308 (* 36 ?y1)) (?v_217 (* 76 ?y2)) (?v_135 (* 37 ?y1)) (?v_151 (* 95 x1)) (?v_243 (* 68 x1)) (?v_254 (* 42 ?y1)) (?v_83 (* 53 ?y1)) (?v_214 (* 75 ?y1)) (?v_124 (* 3 ?y2)) (?v_223 (* 91 ?y1)) (?v_281 (* 15 x1)) (?v_63 (* 1 ?y1)) (?v_180 (* 48 ?y1)) (?v_232 (* 30 ?y1)) (?v_133 (* 39 x1)) (?v_169 (* 54 ?y1)) (?v_77 (* 69 ?y1)) (?v_99 (* 62 ?y2)) (?v_148 (* 67 x1)) (?v_227 (* 84 ?y1)) (?v_251 (* 83 ?y2)) (?v_98 (* 44 ?y2)) (?v_193 (* 81 x1)) (?v_199 (* 72 x1)) (?v_189 (* 46 x1)) (?v_125 (* 99 ?y1)) (?v_229 (* 11 ?y1)) (?v_136 (* 7 x1)) (?v_157 (* 28 ?y2)) (?v_256 (* 41 x1)) (?v_90 (* 58 ?y4)) (?v_190 (* 67 ?y4)) (?v_69 (* 84 ?y4)) (?v_92 (* 21 ?y3)) (?v_95 (* 57 ?y1)) (?v_257 (* 10 ?y4)) (?v_274 (* 96 ?y3)) (?v_113 (* 71 ?y3)) (?v_66 (* 29 ?y4)) (?v_91 (* 22 ?y3)) (?v_158 (* 21 x1)) (?v_73 (* 76 ?y4)) (?v_310 (* 35 ?y3)) (?v_67 (* 22 ?y1)) (?v_211 (* 37 ?y3)) (?v_233 (* 31 x1)) (?v_289 (* 90 ?y4)) (?v_176 (* 63 x1)) (?v_132 (* 85 ?y2)) (?v_260 (* 23 x1)) (?v_75 (* 56 ?y4)) (?v_79 (* 63 ?y3)) (?v_86 (* 31 ?y4)) (?v_155 (* 27 ?y4)) (?v_165 (* 6 ?y3)) (?v_70 (* 81 ?y3)) (?v_168 (* 33 ?y3)) (?v_187 (* 90 ?y3)) (?v_195 (* 50 x1)) (?v_167 (* 60 ?y4)) (?v_314 (* 17 x1)) (?v_172 (* 7 ?y4)) (?v_118 (* 10 ?y2)) (?v_216 (* 23 ?y4)) (?v_212 (* 53 ?y3)) (?v_84 (* 33 ?y4)) (?v_123 (* 34 ?y3)) (?v_120 (* 1 ?y3)) (?v_156 (* 7 ?y3)) (?v_228 (* 56 ?y2)) (?v_89 (* 86 ?y3)) (?v_294 (* 40 ?y3)) (?v_231 (* 94 ?y3)) (?v_301 (* 43 ?y2)) (?v_101 (* 16 ?y2)) (?v_220 (* 3 ?y4)) (?v_134 (* 89 ?y2)) (?v_119 (* 74 ?y1)) (?v_197 (* 67 ?y3)) (?v_139 (* 35 ?y1)) (?v_122 (* 97 ?y4)) (?v_282 (* 45 ?y3)) (?v_185 (* 55 ?y3)) (?v_127 (* 55 ?y2)) (?v_299 (* 18 x1)) (?v_245 (* 33 ?y1)) (?v_129 (* 69 ?y4)) (?v_293 (* 70 ?y3)) (?v_182 (* 69 ?y2)) (?v_137 (* 62 ?y3)) (?v_183 (* 26 ?y4)) (?v_194 (* 11 ?y4)) (?v_215 (* 63 ?y4)) (?v_163 (* 98 ?y4)) (?v_242 (* 79 ?y2)) (?v_230 (* 39 ?y4)) (?v_181 (* 61 ?y4)) (?v_300 (* 17 ?y4)) (?v_249 (* 52 ?y1)) (?v_263 (* 29 ?y3)) (?v_288 (* 32 ?y1)) (?v_253 (* 66 ?y3)) (?v_265 (* 27 ?y1)) (?v_296 (* 97 ?y3)) (?v_313 (* 19 ?y1)) (?v_154 (* (- 92) x1)) (?v_81 (* (- 9) ?y2)) (?v_142 (* (- 68) ?y2)) (?v_110 (* (- 61) ?y1)) (?v_304 (* (- 100) ?y1)) (?v_162 (* (- 95) ?y2)) (?v_306 (* (- 81) x1)) (?v_258 (* (- 90) ?y1)) (?v_285 (* (- 47) ?y2)) (?v_87 (* (- 25) ?y1)) (?v_145 (* (- 97) x1)) (?v_298 (* (- 96) ?y1)) (?v_303 (* (- 90) ?y2)) (?v_102 (* (- 79) ?y1)) (?v_295 (* (- 21) ?y1)) (?v_68 (* (- 2) x1)) (?v_286 (* (- 51) x1)) (?v_276 (* (- 39) ?y2)) (?v_146 (* (- 2) ?y1)) (?v_280 (* (- 70) x1)) (?v_273 (* (- 21) x1)) (?v_114 (* (- 59) x1)) (?v_222 (* (- 100) x1)) (?v_311 (* (- 37) x1)) (?v_226 (* (- 57) ?y2)) (?v_219 (* (- 35) x1)) (?v_283 (* (- 30) ?y1)) (?v_277 (* (- 17) ?y1)) (?v_236 (* (- 15) ?y2)) (?v_297 (* (- 57) x1)) (?v_153 (* (- 49) x1)) (?v_93 (* (- 100) ?y2)) (?v_248 (* (- 29) ?y2)) (?v_279 (* (- 29) ?y1)) (?v_237 (* (- 55) x1)) (?v_290 (* (- 98) ?y2)) (?v_131 (* (- 44) x1)) (?v_65 (* (- 2) ?y2)) (?v_210 (* (- 75) ?y1)) (?v_71 (* (- 66) x1)) (?v_198 (* (- 24) ?y2)) (?v_272 (* (- 71) ?y1)) (?v_188 (* (- 81) ?y1)) (?v_112 (* (- 42) ?y1)) (?v_250 (* (- 89) x1)) (?v_147 (* (- 11) ?y1)) (?v_261 (* (- 48) x1)) (?v_78 (* (- 40) ?y2)) (?v_109 (* (- 27) x1)) (?v_140 (* (- 91) ?y2)) (?v_72 (* (- 76) ?y2)) (?v_192 (* (- 63) ?y1)) (?v_302 (* (- 62) ?y1)) (?v_267 (* (- 6) ?y2)) (?v_239 (* (- 83) x1)) (?v_111 (* (- 49) ?y2)) (?v_244 (* (- 89) ?y1)) (?v_186 (* (- 76) ?y4)) (?v_62 (* (- 49) ?y3)) (?v_209 (* (- 68) x1)) (?v_100 (* (- 48) ?y3)) (?v_88 (* (- 47) ?y1)) (?v_61 (* (- 64) ?y4)) (?v_128 (* (- 52) x1)) (?v_103 (* (- 12) x1)) (?v_171 (* (- 51) ?y3)) (?v_74 (* (- 21) ?y3)) (?v_159 (* (- 72) ?y2)) (?v_269 (* (- 80) x1)) (?v_85 (* (- 37) ?y3)) (?v_80 (* (- 73) ?y4)) (?v_292 (* (- 41) ?y2)) (?v_105 (* (- 48) ?y1)) (?v_141 (* (- 29) ?y3)) (?v_117 (* (- 95) ?y3)) (?v_116 (* (- 92) ?y1)) (?v_108 (* (- 12) ?y1)) (?v_149 (* (- 56) ?y4)) (?v_238 (* (- 43) ?y3)) (?v_96 (* (- 60) ?y4)) (?v_106 (* (- 18) ?y4)) (?v_305 (* (- 5) ?y3)) (?v_107 (* (- 16) ?y3)) (?v_126 (* (- 57) ?y1)) (?v_76 (* (- 61) ?y2)) (?v_207 (* (- 67) ?y3)) (?v_150 (* (- 44) ?y2)) (?v_174 (* (- 86) x1)) (?v_275 (* (- 32) ?y4)) (?v_246 (* (- 52) ?y3)) (?v_213 (* (- 20) ?y4)) (?v_143 (* (- 64) x1)) (?v_202 (* (- 2) ?y4)) (?v_94 (* (- 27) ?y4)) (?v_166 (* (- 53) ?y3)) (?v_262 (* (- 5) ?y1)) (?v_152 (* (- 25) ?y4)) (?v_160 (* (- 97) ?y2)) (?v_225 (* (- 75) ?y4)) (?v_266 (* (- 28) ?y4)) (?v_164 (* (- 50) ?y1)) (?v_97 (* (- 85) ?y3)) (?v_234 (* (- 11) ?y4)) (?v_115 (* (- 4) ?y4)) (?v_175 (* (- 45) ?y4)) (?v_170 (* (- 92) ?y4)) (?v_206 (* (- 18) ?y2)) (?v_247 (* (- 82) ?y4)) (?v_173 (* (- 45) ?y3)) (?v_284 (* (- 57) ?y4)) (?v_130 (* (- 10) ?y1)) (?v_221 (* (- 9) x1)) (?v_177 (* (- 16) ?y4)) (?v_205 (* (- 81) ?y3)) (?v_270 (* (- 34) ?y1)) (?v_204 (* (- 54) ?y4)) (?v_240 (* (- 94) ?y1)) (?v_196 (* (- 8) ?y4)) (?v_218 (* (- 67) ?y4)) (?v_191 (* (- 32) ?y2)) (?v_201 (* (- 80) ?y3)) (?v_287 (* (- 67) ?y1)) (?v_224 (* (- 30) ?y3)) (?v_200 (* (- 21) ?y4)) (?v_278 (* (- 17) ?y2)) (?v_307 (* (- 71) ?y3)) (?v_291 (* (- 73) x1)) (?v_235 (* (- 1) ?y3)) (?v_255 (* (- 72) x1)) (?v_241 (* (- 59) ?y4))) (or (and (or (and (and (and (= (+ (+ ?v_90 (* (- 25) ?y3)) (* (- 36) x1)) 51) (not (= (+ (+ (+ ?v_186 ?v_64) (* (- 73) ?y1)) ?v_71) 0))) (or (<= (+ (+ (+ (+ ?v_190 ?v_62) ?v_290) (* (- 27) ?y1)) ?v_209) 0) (>= (+ (+ ?v_69 (* 85 ?y3)) ?v_83) (- 53)))) (and (<= (+ (+ ?v_60 ?v_210) ?v_133) (- 61)) (>= (+ (+ (+ (* (- 95) ?y4) (* (- 31) ?y3)) (* (- 54) ?y2)) (* (- 34) x1)) (- 62)))) (or (and (or (or (or (> (+ (+ (+ ?v_100 ?v_60) ?v_88) (* 87 x1)) (- 7)) (not (= (+ (+ (+ ?v_61 ?v_92) ?v_95) ?v_128) 0))) (and (and (not (= (+ ?v_61 ?v_254) (- 36))) (not (= (+ (+ (+ ?v_257 ?v_62) ?v_77) ?v_237) 30))) (and (<= (+ (+ (+ (+ (* (- 91) ?y4) ?v_274) ?v_65) (* (- 66) ?y1)) (* 8 x1)) (- 13)) (> (+ (+ (+ (* 6 ?y4) ?v_113) (* (- 50) ?y2)) ?v_63) 21)))) (or (and (and (> (+ (+ (+ (+ ?v_66 ?v_91) ?v_98) ?v_63) ?v_103) (- 15)) (= (+ (+ (+ ?v_171 ?v_64) (* (- 36) ?y1)) (* (- 53) x1)) 23)) (and (not (= (+ (+ (+ (* (- 93) ?y4) (* 53 ?y2)) (* (- 6) ?y1)) ?v_199) 72)) (<= (+ (+ (* 24 ?y3) ?v_125) ?v_250) 92))) (> (+ (+ ?v_74 ?v_65) ?v_158) (- 36)))) (and (or (and (or (< (+ (+ (+ (* (- 26) ?y3) ?v_159) ?v_146) ?v_269) (- 56)) (not (= (+ (+ (+ ?v_73 ?v_85) ?v_72) (* (- 26) x1)) 84))) (or (< (+ (+ (+ ?v_66 ?v_198) ?v_295) ?v_68) 25) (> (+ (+ ?v_80 ?v_310) (* (- 36) ?y2)) 0))) (and (and (<= ?v_67 (- 4)) (= (+ (+ (+ (* 59 ?y4) (* (- 91) ?y3)) ?v_292) (* 21 ?y1)) 77)) (and (< (+ (+ (+ (+ (* (- 19) ?y4) ?v_211) ?v_93) ?v_105) ?v_233) 0) (not (= (+ (+ (+ (* 30 ?y4) (* (- 3) ?y3)) (* (- 92) ?y2)) (* (- 91) ?y1)) 66))))) (or (and (or (not (= (+ (+ (+ (+ ?v_289 (* (- 32) ?y3)) (* (- 75) ?y2)) ?v_192) ?v_176) 18)) (= (+ (* (- 31) ?y4) ?v_132) 0)) (or (not (= (+ (+ (+ (* (- 62) ?y4) (* (- 22) ?y3)) ?v_67) ?v_68) (- 63))) (not (= (+ (* (- 17) ?y4) ?v_147) (- 24))))) (or (or (>= (+ (* (- 84) ?y4) ?v_260) 13) (>= (+ (+ (* (- 51) ?y4) ?v_141) (* (- 51) ?y1)) 64)) (not (= (+ (+ (* 72 ?y4) ?v_117) (* (- 46) ?y1)) 0)))))) (and (and (and (and (or (= (+ (+ (+ (+ ?v_75 ?v_79) ?v_138) ?v_277) (* (- 17) x1)) (- 13)) (> (+ ?v_69 (* 75 ?y3)) 87)) (and (not (= (+ ?v_86 (* (- 52) ?y2)) 27)) (> (+ (+ (+ (* 64 ?y3) (* (- 13) ?y2)) (* 89 ?y1)) (* 40 x1)) 0))) (and (and (> (+ (+ (+ ?v_155 (* (- 59) ?y3)) ?v_116) ?v_144) 0) (= (+ (+ (+ (* (- 58) ?y4) (* (- 62) ?y3)) (* (- 43) ?y2)) (* 49 ?y1)) 35)) (> (+ (+ ?v_165 (* 63 ?y2)) ?v_108) 20))) (or (or (= (+ (+ ?v_70 ?v_78) (* 99 x1)) (- 51)) (and (< (+ ?v_168 ?v_311) 0) (<= (+ (* 91 ?y2) ?v_87) 38))) (and (and (>= (+ (+ (+ ?v_149 ?v_238) (* 11 ?y2)) (* (- 38) ?y1)) 52) (<= (+ (* (- 58) ?y3) (* (- 46) x1)) (- 73))) (or (>= (+ (+ (* (- 9) ?y4) ?v_187) ?v_195) 85) (<= (+ (+ (+ ?v_167 ?v_70) (* (- 30) ?y2)) (* (- 30) x1)) 14))))) (or (and (= (+ (+ (+ (+ ?v_96 (* (- 19) ?y3)) ?v_248) (* (- 4) ?y1)) ?v_71) (- 73)) (not (= (+ (+ (+ (* 40 ?y4) ?v_217) (* 6 ?y1)) ?v_314) (- 6)))) (and (= (+ (+ (+ ?v_106 ?v_305) ?v_99) (* 85 x1)) (- 100)) (and (= (+ (+ (+ (* 4 ?y3) ?v_72) ?v_112) ?v_68) 12) (<= (+ (+ (+ (* 34 ?y4) ?v_107) (* (- 66) ?y2)) ?v_126) 0))))))) (or (or (and (and (or (and (= (+ ?v_73 ?v_76) (- 66)) (= (+ (+ (+ (+ ?v_172 ?v_207) ?v_118) ?v_67) (* 74 x1)) (- 21))) (not (= (+ (+ (+ ?v_216 ?v_150) ?v_227) ?v_174) (- 39)))) (or (or (or (<= (+ (+ ?v_275 ?v_74) (* 51 x1)) (- 46)) (<= (+ (+ (+ (* (- 80) ?y4) ?v_212) (* (- 86) ?y2)) (* (- 83) ?y1)) 23)) (and (< (+ (+ (+ ?v_75 ?v_246) ?v_76) ?v_77) (- 68)) (= (+ (+ (+ (+ ?v_84 ?v_123) (* 87 ?y2)) (* (- 3) ?y1)) (* 44 x1)) 38))) (and (or (= (+ (+ (+ (+ (* 80 ?y4) ?v_120) ?v_78) (* (- 8) ?y1)) (* 66 x1)) 0) (>= (+ (+ (+ ?v_213 ?v_79) ?v_81) ?v_143) (- 83))) (< (+ (+ ?v_202 ?v_110) ?v_286) (- 29))))) (and (and (or (and (>= (+ (+ ?v_82 ?v_102) ?v_281) (- 71)) (> (+ (+ (* 53 ?y4) (* (- 40) ?y3)) ?v_154) (- 54))) (>= (+ (+ (+ (+ ?v_94 ?v_156) ?v_228) (* 82 ?y1)) (* (- 11) x1)) 0)) (or (>= (+ (+ ?v_80 ?v_89) (* 95 ?y2)) (- 56)) (or (not (= (+ (+ (+ (+ (* 38 ?y4) (* (- 96) ?y3)) ?v_81) ?v_135) ?v_136) (- 6))) (>= (+ (+ (+ ?v_74 ?v_82) ?v_83) (* (- 23) x1)) 58)))) (and (or (or (not (= (+ (+ (+ (+ ?v_84 ?v_166) (* 18 ?y2)) ?v_262) (* 45 x1)) (- 18))) (> (+ (+ (+ ?v_152 ?v_85) ?v_104) ?v_145) 0)) (or (not (= (+ (+ ?v_86 (* (- 20) ?y2)) (* 61 x1)) 27)) (> (+ (+ (+ (+ (* 1 ?y4) ?v_294) ?v_160) ?v_87) ?v_239) 0))) (or (or (< (+ (+ ?v_231 ?v_124) (* 76 x1)) 0) (>= (+ (+ ?v_225 ?v_301) (* 65 x1)) (- 98))) (and (not (= (+ (+ ?v_266 ?v_88) ?v_109) (- 3))) (> (+ (+ (+ ?v_84 ?v_89) ?v_111) ?v_164) 90)))))) (or (and (or (or (> (+ (+ (+ ?v_97 ?v_101) ?v_87) (* (- 61) x1)) 8) (or (<= ?v_306 (- 28)) (>= (+ (+ (+ (+ ?v_90 ?v_91) (* (- 78) ?y2)) (* 96 ?y1)) (* 96 x1)) 31))) (> (+ (+ ?v_234 ?v_92) (* (- 77) ?y1)) (- 81))) (and (and (and (< (+ (+ (+ ?v_220 ?v_134) ?v_119) (* (- 67) x1)) 0) (= (+ (+ ?v_197 (* (- 85) ?y1)) ?v_203) 0)) (or (= (+ (+ (+ (* (- 65) ?y3) ?v_93) ?v_308) (* 6 x1)) 50) (not (= (+ (+ (+ ?v_94 (* 92 ?y2)) ?v_139) (* 32 x1)) (- 69))))) (and (or (<= (+ (+ (+ (+ ?v_122 (* 57 ?y3)) ?v_121) ?v_95) ?v_161) 83) (< (+ (+ ?v_96 ?v_244) (* (- 38) x1)) (- 92))) (or (>= ?v_97 7) (< (+ (+ (+ (+ ?v_115 ?v_282) ?v_98) ?v_214) ?v_297) (- 59)))))) (and (= (+ (+ (+ ?v_185 ?v_127) ?v_188) ?v_299) (- 12)) (> (* (- 64) ?y1) 41)))) (and (and (or (or (or (and (not (= (+ (+ (* 26 ?y3) ?v_99) (* 9 x1)) (- 66))) (not (= (+ (+ ?v_175 (* 82 ?y2)) ?v_68) 18))) (or (= (+ (+ (+ (+ ?v_170 ?v_100) ?v_101) ?v_102) (* 64 x1)) (- 7)) (not (= (+ (+ (+ (+ (* (- 70) ?y4) (* (- 79) ?y3)) ?v_206) ?v_245) ?v_103) (- 60))))) (or (and (< (+ (+ (+ (* 14 ?y4) (* (- 25) ?y2)) ?v_104) (* (- 5) x1)) 0) (> (+ (+ (+ ?v_75 (* 79 ?y3)) (* (- 5) ?y2)) ?v_283) 93)) (= (+ (+ (+ ?v_129 ?v_312) ?v_264) ?v_193) 66))) (and (or (> (+ ?v_293 ?v_182) (- 85)) (not (= (+ (+ (+ ?v_247 ?v_173) (* 86 ?y2)) (* 95 ?y1)) 0))) (and (<= (+ (+ (+ (+ (* 74 ?y4) ?v_70) ?v_101) ?v_105) (* 22 x1)) 0) (or (>= (+ (+ ?v_284 ?v_137) ?v_114) (- 80)) (> ?v_309 (- 66)))))) (or (and (or (< (+ (+ ?v_106 (* (- 70) ?y1)) ?v_151) (- 77)) (> (+ (+ (+ (+ ?v_183 ?v_107) ?v_162) ?v_108) ?v_178) (- 73))) (and (not (= (+ (+ (+ (* 92 ?y3) (* 59 ?y2)) ?v_130) ?v_109) 53)) (not (= (+ (+ (* 88 ?y3) ?v_110) (* (- 99) x1)) 95)))) (or (or (< (+ (+ ?v_111 ?v_112) ?v_221) (- 26)) (>= (+ (+ (* (- 90) ?y3) ?v_76) (* 86 ?y1)) 0)) (or (not (= (+ (+ (+ (+ (* 45 ?y4) ?v_113) (* (- 37) ?y2)) ?v_223) ?v_114) 0)) (>= (+ (+ (+ ?v_115 ?v_70) ?v_116) (* 94 x1)) (- 50)))))) (or (or (or (or (> (+ (+ (* 83 ?y3) ?v_140) (* 80 x1)) 65) (<= (+ (+ (+ ?v_117 ?v_118) ?v_119) ?v_131) 99)) (or (or (not (= (+ ?v_120 ?v_219) (- 66))) (<= (+ (+ (+ ?v_177 ?v_205) ?v_121) ?v_252) 32)) (<= (+ (+ (+ ?v_122 ?v_123) ?v_124) ?v_270) 0))) (or (or (> (+ (+ (* 41 ?y4) ?v_125) (* 98 x1)) 86) (and (> (+ (+ (+ (+ (* 81 ?y4) (* (- 78) ?y3)) (* 80 ?y2)) ?v_126) (* (- 42) x1)) 0) (not (= (+ (+ (* (- 88) ?y3) ?v_127) ?v_105) (- 60))))) (and (<= (+ (+ (+ (* 99 ?y4) ?v_226) ?v_180) ?v_128) 0) (and (= (+ (+ (+ (+ ?v_194 (* 61 ?y3)) ?v_157) (* (- 45) ?y1)) ?v_189) 0) (< (+ ?v_90 (* 14 ?y1)) 0))))) (and (and (and (or (>= (+ (+ (+ ?v_129 ?v_127) ?v_130) ?v_131) (- 14)) (> (+ (+ ?v_132 ?v_258) ?v_133) (- 96))) (or (not (= (+ (* (- 52) ?y4) ?v_64) (- 18))) (not (= (+ (+ (+ (* (- 94) ?y4) ?v_134) ?v_135) ?v_136) 39)))) (and (<= (+ (+ (+ (+ (* (- 61) ?y4) ?v_137) ?v_138) ?v_139) (* 52 x1)) 0) (or (>= (+ (+ (+ ?v_204 (* 59 ?y3)) (* 27 ?y2)) (* 86 x1)) 13) (< ?v_256 (- 53))))) (or (or (> (+ (+ (+ ?v_215 (* (- 10) ?y3)) ?v_142) ?v_112) 26) (not (= (+ ?v_140 (* (- 76) x1)) (- 61)))) (not (= (+ (+ ?v_141 ?v_303) ?v_148) (- 78))))))))) (or (and (and (and (or (or (and (not (= (+ (+ (+ ?v_90 (* 52 ?y3)) ?v_142) ?v_143) (- 85))) (< (+ (+ (+ (+ ?v_163 (* 31 ?y3)) (* 60 ?y2)) (* 62 ?y1)) ?v_144) 100)) (and (= (+ (+ (+ ?v_62 (* 52 ?y2)) ?v_240) ?v_145) (- 33)) (= (+ (+ (+ (* (- 89) ?y4) (* 19 ?y3)) (* 5 ?y2)) ?v_146) 21))) (or (and (not (= (+ (+ (+ (+ ?v_196 (* 46 ?y3)) ?v_242) ?v_147) ?v_148) (- 25))) (> (+ (+ ?v_179 ?v_146) (* (- 95) x1)) 35)) (or (> (+ (+ (+ (+ ?v_149 (* (- 24) ?y3)) ?v_150) ?v_169) ?v_153) (- 70)) (< (+ (* (- 45) ?y2) ?v_151) (- 80))))) (and (and (and (>= (+ (+ (+ (+ ?v_152 (* (- 35) ?y3)) (* (- 42) ?y2)) (* (- 59) ?y1)) (* 57 x1)) 0) (>= (+ (+ (+ ?v_218 (* 25 ?y3)) (* 49 ?y2)) (* 2 ?y1)) 0)) (and (= (+ (+ (+ (* 32 ?y4) ?v_101) (* 58 ?y1)) (* (- 20) x1)) 39) (< (+ (+ (+ (* 54 ?y4) ?v_99) (* (- 39) ?y1)) ?v_144) 64))) (< (+ (+ (+ (* 84 ?y3) ?v_65) ?v_130) ?v_153) (- 17)))) (and (and (and (or (or (< (+ (+ (+ ?v_230 ?v_236) (* 98 ?y1)) ?v_154) 0) (< (+ (+ ?v_155 ?v_156) ?v_157) (- 98))) (and (> (+ (+ (+ (* (- 69) ?y3) ?v_191) (* (- 24) ?y1)) ?v_158) (- 6)) (< (+ (* 7 ?y2) (* 97 x1)) 10))) (and (and (< (+ (+ (+ ?v_181 ?v_201) ?v_159) (* (- 93) x1)) (- 68)) (= (+ (+ (+ (+ (* 12 ?y4) (* 50 ?y3)) (* 38 ?y2)) (* (- 14) ?y1)) (* 27 x1)) 0)) (and (not (= (+ (+ (+ (+ (* (- 72) ?y4) (* 38 ?y3)) ?v_160) ?v_287) ?v_161) 69)) (> (+ (+ ?v_300 ?v_162) ?v_302) 60)))) (>= (+ (+ (+ ?v_163 ?v_224) (* 67 ?y2)) ?v_164) 0)) (and (or (and (not (= (+ (+ (+ ?v_200 ?v_165) (* (- 87) ?y2)) (* (- 87) x1)) 0)) (<= (+ (+ (+ ?v_166 ?v_159) ?v_272) ?v_103) 81)) (and (>= (+ (+ (+ ?v_167 ?v_168) ?v_169) ?v_208) (- 80)) (> (+ (+ (+ ?v_170 ?v_171) ?v_160) (* 53 x1)) (- 28)))) (and (and (and (>= (+ (+ (+ (+ ?v_172 ?v_173) (* (- 77) ?y2)) (* (- 53) ?y1)) ?v_174) 70) (<= (+ (* (- 14) ?y4) (* (- 96) ?y2)) (- 25))) (or (= (+ (* (- 68) ?y4) ?v_119) 20) (> (+ (+ (+ (+ ?v_175 (* (- 7) ?y3)) ?v_99) (* 50 ?y1)) ?v_176) (- 48)))) (or (< (+ (+ (+ (+ ?v_177 (* (- 99) ?y3)) ?v_150) ?v_249) ?v_178) 16) (>= (+ ?v_179 ?v_180) 0)))))) (and (and (or (and (or (and (not (= (+ (+ (+ (+ (* 87 ?y4) ?v_123) (* 22 ?y2)) ?v_184) ?v_174) 33)) (not (= (+ (+ (* (- 36) ?y4) ?v_263) (* (- 94) ?y2)) 96))) (< (+ ?v_181 ?v_182) (- 98))) (and (or (<= (+ (+ (+ (+ ?v_183 ?v_137) (* 70 ?y2)) ?v_184) ?v_176) (- 1)) (<= (+ (+ ?v_185 ?v_259) ?v_180) (- 82))) (and (> (+ (+ (+ (+ ?v_186 ?v_168) ?v_285) (* (- 88) ?y1)) (* 3 x1)) 0) (not (= (+ (+ ?v_187 ?v_278) (* (- 39) x1)) 87))))) (and (or (< (+ (+ (+ (+ (* 36 ?y4) (* 87 ?y3)) (* (- 4) ?y2)) ?v_188) ?v_189) 76) (> (+ (+ (+ ?v_190 ?v_307) ?v_191) ?v_291) (- 19))) (and (and (< (+ (+ (+ (* (- 39) ?y3) (* (- 59) ?y2)) ?v_192) ?v_193) (- 98)) (not (= (+ (+ (+ (+ ?v_194 (* (- 63) ?y3)) ?v_271) ?v_108) ?v_195) 9))) (or (> (+ (+ (+ (+ ?v_196 ?v_197) (* 97 ?y2)) ?v_288) (* (- 16) x1)) 24) (< (+ (+ (+ (* 49 ?y4) ?v_91) ?v_110) ?v_243) 73))))) (and (and (and (= (+ ?v_198 ?v_199) (- 81)) (<= (+ (+ (+ ?v_200 ?v_201) (* (- 7) ?y1)) (* 92 x1)) 15)) (and (<= (+ ?v_79 ?v_232) 0) (> (+ (+ ?v_202 (* (- 98) ?y3)) (* (- 25) x1)) 38))) (and (and (> (+ (+ (* 48 ?y3) ?v_77) ?v_203) 56) (not (= (+ (+ ?v_204 ?v_205) ?v_206) 0))) (< (+ (+ (+ ?v_207 (* (- 1) ?y2)) (* (- 97) ?y1)) ?v_208) (- 68))))) (and (or (or (= (+ (+ ?v_253 (* 39 ?y2)) ?v_209) 74) (not (= (+ (+ (+ (+ ?v_204 (* (- 50) ?y3)) ?v_276) (* 72 ?y1)) (* 24 x1)) 9))) (or (>= (+ (+ (+ ?v_75 (* 51 ?y3)) ?v_265) (* (- 19) x1)) 10) (< (+ (+ (+ ?v_170 ?v_85) ?v_210) (* 12 x1)) 10))) (< (+ (+ (+ ?v_69 ?v_211) (* 9 ?y2)) (* 16 x1)) (- 95))))) (and (and (or (and (or (or (not (= (+ (+ ?v_212 ?v_182) (* 8 ?y1)) 11)) (not (= (+ (+ ?v_213 ?v_214) ?v_208) 0))) (or (not (= (+ (+ (+ (+ ?v_215 (* 56 ?y3)) ?v_93) (* (- 84) ?y1)) ?v_222) (- 40))) (< (+ (+ ?v_216 (* 73 ?y3)) (* 45 ?y1)) (- 20)))) (or (or (> (+ (+ (+ (+ ?v_181 (* (- 86) ?y3)) ?v_217) (* 64 ?y1)) ?v_261) (- 16)) (and (<= (+ (+ (+ ?v_218 (* 65 ?y3)) ?v_72) ?v_219) 77) (not (= (+ (+ (+ (+ ?v_220 ?v_137) (* 6 ?y2)) (* 16 ?y1)) ?v_221) (- 42))))) (or (and (= (+ (+ (+ (* 44 ?y4) ?v_235) ?v_126) ?v_222) 0) (= (+ (+ (+ (+ (* 28 ?y4) (* 28 ?y3)) ?v_127) ?v_223) (* (- 82) x1)) 80)) (<= (+ (+ (+ ?v_80 ?v_224) ?v_119) ?v_209) 0)))) (and (and (and (< (+ (+ ?v_86 (* (- 35) ?y2)) (* 47 x1)) (- 95)) (and (< (+ (+ ?v_225 (* 45 ?y2)) ?v_273) 70) (< (+ (+ ?v_69 (* (- 87) ?y3)) ?v_226) (- 53)))) (and (or (not (= (+ (+ (+ (+ ?v_155 (* 47 ?y3)) (* 94 ?y2)) ?v_227) (* (- 31) x1)) (- 48))) (not (= (+ (+ ?v_66 (* (- 33) ?y2)) ?v_229) (- 3)))) (and (>= (+ (+ (+ (+ (* (- 99) ?y4) (* (- 94) ?y3)) ?v_228) ?v_229) ?v_255) (- 17)) (not (= (+ (+ (+ (+ ?v_230 ?v_231) (* (- 11) ?y2)) ?v_232) ?v_233) (- 51)))))) (or (and (>= (+ (+ (* (- 6) ?y4) (* (- 42) ?y3)) ?v_130) 0) (and (> (+ (+ (+ (+ ?v_234 ?v_235) ?v_236) (* (- 93) ?y1)) ?v_237) 51) (< (+ (+ (+ ?v_238 (* (- 12) ?y2)) (* (- 32) ?y1)) ?v_239) 0))) (or (and (<= (+ (+ (+ ?v_241 ?v_267) ?v_279) (* (- 63) x1)) (- 58)) (>= (+ (+ (* 5 ?y4) (* 25 ?y2)) ?v_240) 31)) (and (not (= (+ (+ ?v_241 ?v_251) ?v_268) (- 27))) (> (+ (+ (+ (+ (* 42 ?y4) ?v_70) ?v_242) ?v_169) ?v_243) 0)))))) (or (or (and (and (or (<= (+ (+ (+ (+ (* 13 ?y4) ?v_185) (* 19 ?y2)) ?v_244) ?v_145) 80) (not (= (+ (+ (+ (+ (* 47 ?y4) (* 98 ?y3)) ?v_138) ?v_245) (* (- 41) x1)) (- 24)))) (or (> ?v_246 (- 81)) (= (+ (+ ?v_247 ?v_63) ?v_195) (- 25)))) (or (and (< (+ (* (- 33) ?y3) ?v_240) 0) (<= (+ (+ (+ (+ (* 24 ?y4) (* (- 92) ?y3)) ?v_248) ?v_249) ?v_250) 47)) (or (<= (+ (+ (+ (* (- 72) ?y3) ?v_251) (* (- 65) ?y1)) ?v_252) 59) (> (+ (+ (+ ?v_253 (* 23 ?y2)) ?v_254) ?v_255) (- 87))))) (or (and (not (= (+ (+ ?v_202 (* (- 21) ?y2)) ?v_256) (- 19))) (<= (+ (+ ?v_84 (* 9 ?y1)) ?v_109) 12)) (and (= (+ (+ (+ ?v_257 (* (- 23) ?y2)) ?v_249) (* 20 x1)) (- 15)) (not (= (+ ?v_138 ?v_258) (- 85)))))) (or (or (and (>= (+ (+ ?v_177 ?v_259) (* (- 23) ?y1)) (- 98)) (< (+ (+ (+ (* (- 3) ?y4) ?v_197) ?v_67) ?v_260) (- 20))) (or (and (< (+ (+ (+ (+ (* (- 34) ?y4) (* 27 ?y3)) ?v_81) (* 13 ?y1)) ?v_261) (- 35)) (= (+ (* 22 ?y4) ?v_262) 20)) (or (not (= (+ (+ (* (- 23) ?y4) ?v_263) ?v_264) (- 15))) (<= (+ (+ ?v_200 ?v_296) ?v_265) (- 97))))) (and (and (and (= (+ (+ (+ (+ ?v_266 ?v_141) ?v_267) (* 43 ?y1)) ?v_280) 0) (< (+ (+ (* (- 28) ?y3) ?v_268) ?v_219) 0)) (or (>= (+ (+ ?v_191 ?v_102) ?v_269) (- 62)) (not (= (+ (+ (+ ?v_215 (* (- 57) ?y3)) (* (- 71) ?y2)) ?v_270) 24)))) (and (>= (+ (+ (+ ?v_200 ?v_271) ?v_272) ?v_273) 0) (or (= (+ (+ (+ (* (- 43) ?y4) (* (- 55) ?y3)) (* (- 95) ?y1)) ?v_222) 68) (not (= (+ (+ (+ (+ (* 15 ?y4) ?v_274) (* (- 80) ?y2)) ?v_304) (* (- 10) x1)) 39)))))))) (and (and (or (or (and (> (+ (+ (+ ?v_275 (* (- 83) ?y3)) ?v_276) ?v_277) 5) (< (+ (+ (* (- 99) ?y2) ?v_254) (* 84 x1)) 97)) (and (<= (+ (+ (+ (+ ?v_170 (* 17 ?y3)) ?v_132) (* (- 18) ?y1)) (* 36 x1)) 0) (>= (+ (+ (+ ?v_235 ?v_278) ?v_279) ?v_280) 0))) (or (and (<= (+ (+ ?v_179 (* (- 80) ?y1)) ?v_281) 57) (> (+ (+ ?v_282 ?v_159) ?v_283) 11)) (or (> (+ (+ (+ ?v_284 ?v_285) (* 59 ?y1)) ?v_286) (- 85)) (= (+ (+ (+ (* 2 ?y4) (* (- 46) ?y3)) ?v_287) (* (- 88) x1)) 6)))) (and (and (< (+ (+ (+ (+ (* (- 79) ?y4) (* (- 2) ?y3)) ?v_134) ?v_288) (* (- 28) x1)) (- 8)) (= (+ (+ ?v_289 ?v_290) ?v_291) (- 91))) (or (or (<= (+ (+ (+ (* (- 74) ?y4) ?v_235) ?v_292) (* 97 ?y1)) 0) (> (+ (+ (+ ?v_293 ?v_259) (* 94 ?y1)) ?v_178) 14)) (> (+ (+ (* (- 35) ?y4) ?v_294) ?v_295) 99)))) (or (or (and (or (= (+ (+ ?v_296 ?v_313) ?v_252) 21) (= ?v_71 (- 48))) (and (>= (+ (+ (+ (* 51 ?y4) ?v_197) (* (- 19) ?y2)) ?v_126) (- 35)) (< ?v_298 91))) (or (or (and (> (+ ?v_79 (* (- 58) ?y1)) (- 6)) (<= (+ (* (- 53) ?y2) ?v_297) 38)) (or (< (+ (+ (+ ?v_181 ?v_74) (* 90 ?y2)) ?v_151) (- 47)) (not (= (+ (+ (+ (* (- 71) ?y4) (* (- 97) ?y3)) ?v_298) ?v_174) 3)))) (or (or (> (+ (+ (+ ?v_275 ?v_70) ?v_108) ?v_299) 0) (not (= (+ (+ (+ (+ ?v_300 (* 23 ?y3)) ?v_301) ?v_302) (* (- 18) x1)) 60))) (or (< (+ (+ (+ (+ (* 43 ?y4) ?v_107) ?v_303) ?v_304) ?v_195) 0) (<= (+ (+ ?v_305 ?v_130) ?v_306) 44))))) (or (and (>= (+ (+ (+ (+ ?v_257 ?v_307) (* 34 ?y2)) ?v_308) ?v_309) (- 53)) (and (>= (+ (+ (+ (* (- 26) ?y4) (* (- 93) ?y3)) ?v_184) (* 29 x1)) 0) (= (+ (+ (+ ?v_247 ?v_310) (* 93 ?y2)) ?v_311) 0))) (or (>= (+ (+ (+ (+ (* (- 63) ?y4) (* 82 ?y3)) ?v_312) ?v_313) ?v_314) (- 20)) (<= (+ (+ (+ (* (- 23) ?y3) ?v_303) (* (- 74) ?y1)) ?v_239) (- 49))))))))))))))))
(check-sat)
(exit)
