(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y1 () Real)
(assert (or (and (and (and (exists ((?y2 Real)) (or (forall ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_0 (* 37 ?y5)) (?v_1 (* 43 x1))) (and (forall ((?y6 Real)) (let ((?v_2 (* 73 ?y2))) (and (and (or (>= (+ (+ (+ (* (- 38) ?y5) (* 1 ?y3)) (* (- 54) ?y2)) (* 59 x1)) 79) (> (+ (* (- 35) ?y3) (* (- 9) ?y2)) 0)) (and (= (+ (+ (+ (* 29 ?y6) (* (- 59) ?y3)) (* 89 ?y2)) (* 30 x1)) 77) (>= (+ (+ (+ (+ (* 43 ?y6) (* 85 ?y5)) (* (- 91) ?y3)) (* 16 ?y2)) (* (- 74) x1)) 34))) (or (or (or (< (+ (+ (+ (+ (* (- 57) ?y6) (* (- 18) ?y5)) (* (- 84) ?y4)) (* (- 90) ?y3)) ?v_2) (- 53)) (>= (+ (+ (+ (+ (* 5 ?y6) (* (- 40) ?y5)) (* (- 7) ?y4)) (* (- 58) ?y3)) (* 1 x1)) 0)) (not (= (+ (+ (+ (* (- 19) ?y6) (* (- 46) ?y4)) (* 12 ?y2)) (* 68 x1)) (- 12)))) (and (or (= (+ (+ (+ (+ (+ (* (- 27) ?y6) (* (- 49) ?y5)) (* (- 48) ?y4)) (* 41 ?y3)) (* (- 64) ?y2)) (* 79 x1)) 51) (<= (+ (+ (+ (+ (* (- 66) ?y6) (* 67 ?y5)) (* 84 ?y4)) (* 58 ?y3)) (* 78 x1)) 0)) (or (not (= (+ (+ (+ (+ (+ (* 26 ?y6) (* 62 ?y5)) (* 81 ?y4)) (* (- 70) ?y3)) ?v_2) (* 22 x1)) 0)) (not (= (+ (+ (+ (+ (* (- 41) ?y6) (* 49 ?y5)) (* (- 69) ?y4)) (* 42 ?y2)) (* (- 90) x1)) 0)))))))) (or (and (and (not (= (+ (+ (+ ?v_0 (* 74 ?y4)) (* (- 48) ?y3)) (* (- 36) ?y2)) 0)) (or (> (+ (+ (* (- 13) ?y5) (* 5 ?y2)) ?v_1) 0) (not (= (+ (+ (* 14 ?y5) (* 99 ?y3)) (* (- 68) ?y2)) 18)))) (and (<= (+ (* 93 ?y5) (* (- 3) ?y2)) 0) (> (+ (+ (+ (* 99 ?y5) (* (- 76) ?y3)) (* 23 ?y2)) (* (- 26) x1)) (- 25)))) (and (or (< (+ (+ (+ ?v_0 (* 84 ?y4)) (* (- 81) ?y3)) (* (- 49) x1)) (- 56)) (<= (+ (+ (* (- 45) ?y5) (* (- 16) ?y3)) (* 78 x1)) 90)) (or (>= (+ (+ (+ (* (- 10) ?y4) (* 89 ?y3)) (* 53 ?y2)) ?v_1) 0) (= (+ (+ (+ (* 88 ?y5) (* 12 ?y3)) (* (- 90) ?y2)) (* 45 x1)) 0))))))))) (or (exists ((?y3 Real)) (and (forall ((?y5 Real)) (or (or (and (= (+ (* 58 ?y3) (* (- 47) ?y2)) (- 54)) (> (+ (+ (+ (* (- 97) ?y5) (* (- 21) ?y3)) (* (- 52) ?y2)) (* 39 x1)) 50)) (and (= (+ (+ (+ (* (- 3) ?y5) (* 51 ?y3)) (* 74 ?y2)) (* 55 x1)) 30) (>= (+ (* 74 ?y5) (* 62 ?y2)) (- 44)))) (forall ((?y6 Real)) (or (> (+ (+ (+ (+ (* (- 26) ?y6) (* (- 70) ?y5)) (* 62 ?y3)) (* 20 ?y2)) (* 81 x1)) (- 94)) (>= (+ (+ (+ (+ (* 21 ?y6) (* 42 ?y5)) (* 55 ?y3)) (* (- 63) ?y2)) (* 2 x1)) 0))))) (or (exists ((?y6 Real)) (or (and (>= (+ (+ (* (- 47) ?y6) (* 74 ?y3)) (* (- 39) x1)) 0) (>= (+ (+ (* (- 23) ?y3) (* (- 9) ?y2)) (* (- 20) x1)) 0)) (> (+ (+ (+ (* (- 35) ?y6) (* 45 ?y3)) (* 15 ?y2)) (* 95 x1)) 27))) (exists ((?y6 Real)) (and (not (= (+ (+ (* (- 14) ?y6) (* (- 67) ?y3)) (* (- 5) ?y2)) 90)) (and (= (* (- 28) ?y3) (- 42)) (>= (+ (+ (+ (* (- 9) ?y6) (* 51 ?y3)) (* (- 67) ?y2)) (* (- 19) x1)) 97))))))) (and (exists ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_3 (* 21 x1))) (or (and (and (> (+ (* (- 47) ?y5) (* (- 54) x1)) 62) (= (+ (+ (+ (* 39 ?y6) (* (- 86) ?y5)) (* (- 96) ?y2)) (* 55 x1)) 21)) (or (< (+ (* (- 83) ?y2) ?v_3) 4) (< (+ (* (- 31) ?y6) (* 96 x1)) (- 44)))) (and (and (not (= (+ (+ (+ (* (- 62) ?y6) (* (- 92) ?y5)) (* 67 ?y2)) ?v_3) (- 28))) (<= (+ (+ (* 44 ?y6) (* (- 21) ?y5)) (* (- 68) ?y2)) (- 36))) (or (not (= (+ (+ (+ (* 27 ?y6) (* 73 ?y5)) (* (- 69) ?y2)) (* (- 96) x1)) 0)) (> (+ (+ (+ (* (- 75) ?y6) (* (- 93) ?y5)) (* (- 24) ?y2)) (* 74 x1)) 95))))))) (exists ((?y3 Real)) (exists ((?y4 Real)) (exists ((?y5 Real)) (and (forall ((?y6 Real)) (or (< (+ (+ (+ (+ (* (- 24) ?y5) (* (- 1) ?y4)) (* (- 8) ?y3)) (* 84 ?y2)) (* 18 x1)) 34) (or (< (+ (+ (* (- 63) ?y6) (* (- 74) ?y4)) (* (- 86) x1)) (- 2)) (<= (+ (+ (+ (+ (+ (* (- 33) ?y6) (* 26 ?y5)) (* (- 91) ?y4)) (* 57 ?y3)) (* (- 9) ?y2)) (* (- 71) x1)) (- 39))))) (or (< (+ (+ (+ (* 96 ?y4) (* (- 92) ?y3)) (* (- 89) ?y2)) (* (- 1) x1)) (- 83)) (or (not (= (+ (+ (* (- 3) ?y5) (* 82 ?y3)) (* 41 x1)) 78)) (>= (+ (+ (+ (* (- 47) ?y5) (* 49 ?y4)) (* (- 10) ?y3)) (* (- 100) ?y2)) 25))))))))))) (forall ((?y1 Real)) (forall ((?y2 Real)) (and (forall ((?y4 Real)) (forall ((?y5 Real)) (and (or (or (or (and (not (= (+ (* 39 ?y5) (* (- 49) x1)) 12)) (not (= (+ (+ (* 51 ?y5) (* (- 99) ?y2)) (* 8 ?y1)) (- 63)))) (or (= (+ (+ (* (- 20) ?y5) (* (- 8) ?y4)) (* 80 x1)) (- 64)) (not (= (+ (+ (+ (* (- 72) ?y5) (* (- 47) ?y4)) (* (- 60) ?y2)) (* (- 27) x1)) 3)))) (or (or (= (+ (+ (* 91 ?y5) (* 40 ?y4)) (* 86 x1)) 0) (< (+ (+ (+ (+ (* 28 ?y5) (* (- 80) ?y4)) (* (- 7) ?y2)) (* (- 40) ?y1)) (* (- 10) x1)) 0)) (or (<= (+ (+ (+ (* (- 61) ?y5) (* (- 30) ?y4)) (* 58 ?y1)) (* 59 x1)) (- 1)) (= (+ (+ (+ (* (- 7) ?y5) (* 66 ?y2)) (* (- 11) ?y1)) (* (- 90) x1)) (- 34))))) (or (or (or (< (+ (+ (+ (* 11 ?y5) (* (- 100) ?y4)) (* (- 3) ?y2)) (* (- 39) x1)) 0) (> (+ (+ (+ (+ (* (- 2) ?y5) (* (- 19) ?y4)) (* 46 ?y2)) (* 97 ?y1)) (* (- 54) x1)) 0)) (or (= (+ (+ (+ (* (- 77) ?y5) (* (- 36) ?y2)) (* 28 ?y1)) (* 75 x1)) 0) (<= (+ (+ (+ (* 92 ?y5) (* (- 24) ?y4)) (* 99 ?y1)) (* 9 x1)) (- 70)))) (or (and (> (+ (* 85 ?y2) (* 50 ?y1)) (- 27)) (<= (+ (* (- 39) ?y4) (* (- 33) ?y1)) (- 94))) (or (not (= (+ (+ (+ (* (- 19) ?y5) (* 96 ?y2)) (* 45 ?y1)) (* 18 x1)) 39)) (> (+ (+ (+ (* 1 ?y4) (* (- 14) ?y2)) (* 91 ?y1)) (* 43 x1)) 0))))) (forall ((?y6 Real)) (and (and (< (+ (+ (+ (* 20 ?y6) (* 39 ?y4)) (* (- 27) ?y2)) (* 22 ?y1)) 25) (>= (+ (+ (+ (* (- 51) ?y6) (* 98 ?y5)) (* 9 ?y4)) (* (- 89) ?y2)) 0)) (= (+ (+ (+ (+ (+ (* (- 61) ?y6) (* 58 ?y5)) (* (- 69) ?y4)) (* (- 28) ?y2)) (* 43 ?y1)) (* 93 x1)) (- 91))))))) (or (forall ((?y4 Real)) (or (exists ((?y5 Real)) (and (<= (+ (+ (* (- 78) ?y5) (* (- 8) ?y1)) (* (- 15) x1)) (- 49)) (or (< (+ (+ (+ (+ (* (- 17) ?y5) (* 82 ?y4)) (* (- 60) ?y2)) (* (- 99) ?y1)) (* (- 10) x1)) (- 35)) (>= (+ (+ (+ (+ (* 24 ?y5) (* (- 98) ?y4)) (* 58 ?y2)) (* (- 79) ?y1)) (* 27 x1)) 0)))) (forall ((?y5 Real)) (and (and (exists ((?y6 Real)) (or (< (+ (+ (+ (+ (* (- 88) ?y6) (* 80 ?y5)) (* 65 ?y4)) (* (- 89) ?y2)) (* 35 ?y1)) 22) (not (= (+ (+ (+ (+ (* (- 50) ?y6) (* (- 20) ?y5)) (* 14 ?y2)) (* (- 39) ?y1)) (* (- 71) x1)) 65)))) (and (forall ((?y6 Real)) (>= (+ (+ (+ (+ (+ (* 18 ?y6) (* 96 ?y5)) (* (- 38) ?y4)) (* 90 ?y2)) (* (- 7) ?y1)) (* (- 89) x1)) 0)) (<= (+ (+ (+ (+ (* (- 60) ?y5) (* 18 ?y4)) (* 35 ?y2)) (* (- 51) ?y1)) (* (- 76) x1)) (- 7)))) (or (forall ((?y6 Real)) (< (+ (+ (* 6 ?y6) (* (- 17) ?y1)) (* (- 73) x1)) (- 77))) (or (and (= (+ (+ (+ (* (- 46) ?y5) (* 51 ?y4)) (* (- 2) ?y2)) (* 9 x1)) (- 81)) (not (= (+ (+ (* (- 87) ?y4) (* (- 36) ?y1)) (* 6 x1)) (- 100)))) (exists ((?y6 Real)) (< (+ (+ (+ (+ (* 46 ?y6) (* 23 ?y5)) (* 11 ?y4)) (* 98 ?y2)) (* 3 ?y1)) (- 41))))))))) (and (forall ((?y4 Real)) (and (forall ((?y5 Real)) (or (or (forall ((?y6 Real)) (= (+ (+ (+ (+ (* 60 ?y5) (* (- 56) ?y4)) (* (- 3) ?y2)) (* 40 ?y1)) (* (- 41) x1)) 51)) (or (not (= (+ (+ (* 55 ?y5) (* (- 4) ?y1)) (* (- 79) x1)) 0)) (>= (+ (+ (+ (+ (* 59 ?y5) (* 75 ?y4)) (* (- 2) ?y2)) (* (- 93) ?y1)) (* (- 3) x1)) 0))) (> (+ (+ (* (- 23) ?y4) (* 51 ?y2)) (* (- 25) x1)) (- 55)))) (exists ((?y6 Real)) (> (+ (+ (* (- 71) ?y6) (* 58 ?y4)) (* (- 6) ?y1)) 0)))) (or (forall ((?y4 Real)) (and (or (or (exists ((?y5 Real)) (<= (+ (+ (+ (* (- 11) ?y5) (* (- 58) ?y2)) (* (- 91) ?y1)) (* (- 61) x1)) 0)) (forall ((?y5 Real)) (not (= (+ (+ (+ (+ (* 46 ?y5) (* 58 ?y4)) (* 80 ?y2)) (* 11 ?y1)) (* (- 65) x1)) 98)))) (exists ((?y5 Real)) (exists ((?y6 Real)) (<= (+ (* (- 70) ?y2) (* 32 x1)) 0)))) (or (exists ((?y5 Real)) (exists ((?y6 Real)) (>= (+ (+ (+ (+ (* 74 ?y5) (* (- 25) ?y4)) (* 87 ?y2)) (* (- 11) ?y1)) (* (- 25) x1)) (- 2)))) (exists ((?y5 Real)) (forall ((?y6 Real)) (= (+ (+ (+ (+ (+ (* 30 ?y6) (* 56 ?y5)) (* (- 98) ?y4)) (* 35 ?y2)) (* (- 55) ?y1)) (* (- 82) x1)) 96)))))) (forall ((?y5 Real)) (and (and (not (= (+ (+ (+ (* 30 ?y5) (* (- 85) ?y2)) (* 27 ?y1)) (* (- 36) x1)) 0)) (< (+ (+ (* (- 32) ?y5) (* (- 57) ?y2)) (* 93 x1)) 19)) (and (>= (+ (* 89 ?y2) (* 95 ?y1)) 0) (<= (+ (+ (* (- 25) ?y5) (* (- 67) ?y1)) (* 33 x1)) 0))))))))))) (or (and (forall ((?y1 Real)) (exists ((?y2 Real)) (forall ((?y3 Real)) (and (or (and (and (forall ((?y6 Real)) (or (< (+ (+ (+ (+ (* (- 97) ?y6) (* (- 84) ?y3)) (* (- 3) ?y2)) (* 15 ?y1)) (* 8 x1)) 0) (<= (+ (+ (+ (+ (* (- 52) ?y6) (* (- 49) ?y3)) (* 44 ?y2)) (* 7 ?y1)) (* 89 x1)) 98))) (or (<= (+ (* 40 ?y2) (* 3 x1)) 0) (or (<= (+ (+ (* (- 100) ?y3) (* (- 71) ?y2)) (* (- 34) x1)) 92) (>= (+ (+ (+ (* (- 55) ?y3) (* 44 ?y2)) (* 11 ?y1)) (* (- 42) x1)) (- 80))))) (and (forall ((?y6 Real)) (or (> (+ (+ (+ (+ (* (- 17) ?y6) (* (- 82) ?y3)) (* 20 ?y2)) (* 75 ?y1)) (* (- 46) x1)) (- 42)) (<= (+ (+ (+ (* 13 ?y6) (* 36 ?y2)) (* (- 38) ?y1)) (* 57 x1)) (- 94)))) (forall ((?y5 Real)) (exists ((?y6 Real)) (or (<= (+ (+ (+ (+ (* (- 62) ?y5) (* 5 ?y3)) (* 46 ?y2)) (* 40 ?y1)) (* 59 x1)) (- 45)) (>= (+ (+ (+ (* (- 81) ?y5) (* 81 ?y2)) (* (- 47) ?y1)) (* (- 66) x1)) 0)))))) (forall ((?y6 Real)) (and (and (>= (+ (+ (+ (* 29 ?y6) (* (- 90) ?y2)) (* 42 ?y1)) (* (- 40) x1)) 0) (> (+ (+ (+ (* 64 ?y6) (* 83 ?y3)) (* 83 ?y1)) (* (- 6) x1)) (- 58))) (<= (+ (+ (+ (+ (* 71 ?y6) (* (- 41) ?y3)) (* 7 ?y2)) (* 79 ?y1)) (* 22 x1)) (- 88))))) (forall ((?y5 Real)) (and (and (or (not (= (+ (+ (+ (* 60 ?y3) (* 62 ?y2)) (* (- 33) ?y1)) (* 50 x1)) 20)) (<= (+ (+ (+ (+ (* (- 53) ?y5) (* (- 9) ?y3)) (* 80 ?y2)) (* (- 10) ?y1)) (* (- 29) x1)) 0)) (or (and (>= (+ (+ (+ (+ (* 61 ?y5) (* (- 71) ?y3)) (* 32 ?y2)) (* (- 30) ?y1)) (* 76 x1)) (- 41)) (= (+ (+ (+ (* (- 55) ?y5) (* 89 ?y3)) (* 77 ?y2)) (* 46 x1)) (- 43))) (and (> (+ (* (- 81) ?y2) (* 52 ?y1)) 0) (< (+ (+ (+ (* 73 ?y5) (* 77 ?y3)) (* 48 ?y2)) (* 26 ?y1)) 0)))) (and (and (< (+ (+ (* 27 ?y5) (* (- 63) ?y3)) (* 10 x1)) 94) (< (+ (+ (+ (* 76 ?y5) (* 3 ?y3)) (* (- 11) ?y1)) (* (- 64) x1)) (- 53))) (exists ((?y6 Real)) (or (and (not (= (+ (+ (+ (* 10 ?y6) (* (- 56) ?y3)) (* (- 95) ?y2)) (* 13 ?y1)) 0)) (>= (+ (+ (* 95 ?y5) (* (- 75) ?y2)) (* (- 17) ?y1)) (- 23))) (or (> (+ (+ (+ (+ (+ (* 83 ?y6) (* 31 ?y5)) (* (- 24) ?y3)) (* (- 88) ?y2)) (* (- 12) ?y1)) (* 1 x1)) (- 43)) (not (= (+ (+ (+ (+ (* (- 24) ?y6) (* 35 ?y3)) (* (- 50) ?y2)) (* (- 19) ?y1)) (* (- 16) x1)) 0)))))))))))) (exists ((?y1 Real)) (forall ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_6 (* 88 x1)) (?v_4 (* 16 ?y1)) (?v_5 (* (- 23) ?y1))) (or (or (and (and (and (> (+ (* (- 82) ?y5) (* (- 84) x1)) 5) (= (+ (+ (+ (* 1 ?y4) (* 82 ?y2)) (* (- 12) ?y1)) ?v_6) (- 72))) (or (>= (* (- 74) ?y3) 0) (= (+ (* 46 ?y2) (* 53 ?y1)) 9))) (or (or (< (+ (+ (* 63 ?y5) (* (- 29) ?y3)) (* 58 x1)) 79) (> (+ (+ (+ (+ (* 29 ?y4) (* 60 ?y3)) (* 83 ?y2)) (* 35 ?y1)) (* (- 7) x1)) 11)) (and (< (+ (+ (+ (* (- 62) ?y5) (* (- 78) ?y2)) (* (- 45) ?y1)) (* (- 93) x1)) 1) (<= (+ (+ (+ (* (- 76) ?y4) (* 54 ?y3)) (* (- 75) ?y2)) (* 57 x1)) 0)))) (or (or (or (= (+ (+ (+ (+ (+ (* 46 ?y5) (* 10 ?y4)) (* (- 31) ?y3)) (* 86 ?y2)) ?v_4) (* (- 95) x1)) 84) (= (+ (+ (+ (+ (* 87 ?y5) (* (- 51) ?y4)) (* (- 37) ?y2)) ?v_5) (* 72 x1)) 51)) (or (<= (+ (+ (+ (+ (* 9 ?y5) (* 7 ?y4)) (* (- 32) ?y2)) (* 48 ?y1)) (* 31 x1)) 0) (= (+ (+ (+ (* (- 81) ?y5) (* 63 ?y4)) (* (- 72) ?y1)) (* 16 x1)) (- 15)))) (or (and (<= (+ (+ (+ (+ (* 71 ?y5) (* (- 10) ?y3)) (* (- 18) ?y2)) ?v_4) (* (- 60) x1)) 42) (= (+ (+ (+ (+ (* (- 31) ?y5) (* 4 ?y4)) (* 26 ?y3)) ?v_5) (* 42 x1)) 30)) (or (< (+ (+ (+ (* (- 94) ?y5) (* 89 ?y4)) (* 4 ?y2)) ?v_6) 4) (<= (+ (+ (* 74 ?y4) (* 85 ?y3)) (* (- 64) x1)) 0))))) (or (and (and (or (not (= (+ (+ (+ (+ (* (- 27) ?y4) (* 69 ?y3)) (* (- 65) ?y2)) (* (- 18) ?y1)) (* 54 x1)) (- 1))) (not (= (+ (+ (+ (+ (* 55 ?y5) (* 30 ?y4)) (* 56 ?y2)) (* 42 ?y1)) (* 67 x1)) 23))) (or (>= (+ (+ (* (- 100) ?y2) (* 47 ?y1)) (* 28 x1)) 0) (>= (+ (+ (+ (+ (* 22 ?y5) (* 28 ?y3)) (* 54 ?y2)) (* 15 ?y1)) (* (- 83) x1)) 0))) (and (and (> (+ (+ (+ (+ (* (- 77) ?y5) (* (- 69) ?y4)) (* (- 83) ?y3)) (* 48 ?y2)) (* (- 24) x1)) (- 58)) (>= (+ (+ (+ (* (- 38) ?y5) (* (- 87) ?y4)) (* 10 ?y3)) (* 85 x1)) 0)) (and (<= (+ (+ (* (- 75) ?y5) (* 4 ?y3)) (* (- 35) ?y2)) 0) (>= (+ (+ (* 88 ?y4) (* 37 ?y3)) (* 11 ?y2)) 0)))) (or (or (> (+ (* 93 ?y3) (* 69 ?y2)) 0) (> (+ (+ (+ (+ (+ (* (- 24) ?y5) (* (- 37) ?y4)) (* 1 ?y3)) (* 91 ?y2)) (* (- 35) ?y1)) (* 81 x1)) 93)) (and (<= (+ (+ (+ (+ (* (- 65) ?y5) (* 18 ?y4)) (* 77 ?y3)) (* (- 74) ?y2)) (* 100 x1)) (- 13)) (> (+ (+ (+ (+ (* 7 ?y5) (* (- 19) ?y4)) (* (- 47) ?y3)) (* (- 52) ?y2)) (* (- 27) x1)) 0)))))))))))) (or (and (or (and (or (forall ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (not (= (+ (+ (+ (* (- 52) ?y6) (* (- 53) ?y5)) (* (- 38) ?y4)) (* 49 x1)) (- 18)))))) (forall ((?y6 Real)) (= (+ (* 74 ?y6) (* (- 53) x1)) 0))) (exists ((?y4 Real)) (or (or (forall ((?y6 Real)) (not (= (+ (+ (* 92 ?y6) (* 89 ?y4)) (* 87 x1)) 21))) (exists ((?y5 Real)) (>= (+ (* (- 56) ?y4) (* 97 x1)) (- 56)))) (and (forall ((?y5 Real)) (and (> (+ (* (- 94) ?y5) (* (- 75) x1)) (- 82)) (< (* 29 x1) (- 26)))) (or (>= (* (- 86) x1) 55) (> (* 72 ?y4) (- 33))))))) (forall ((?y5 Real)) (forall ((?y6 Real)) (and (and (>= (+ (* (- 84) ?y6) (* 63 ?y5)) 0) (>= (+ (* 69 ?y5) (* (- 73) x1)) 0)) (and (< (+ (* 61 ?y6) (* 23 ?y5)) 76) (= (+ (+ (* (- 55) ?y6) (* (- 93) ?y5)) (* 64 x1)) 75)))))) (or (forall ((?y4 Real)) (exists ((?y6 Real)) (or (< (+ (+ (* 96 ?y6) (* (- 23) ?y4)) (* (- 38) x1)) 61) (<= (* (- 19) ?y4) (- 79))))) (exists ((?y4 Real)) (and (forall ((?y5 Real)) (or (or (or (>= (+ (* 18 ?y5) (* 83 x1)) (- 26)) (not (= (+ (+ (* 19 ?y5) (* 64 ?y4)) (* 18 x1)) 0))) (not (= (+ (* 89 ?y5) (* (- 35) ?y4)) 93))) (exists ((?y6 Real)) (or (>= (+ (+ (* (- 25) ?y6) (* (- 44) ?y4)) (* 73 x1)) 0) (< (+ (+ (* (- 40) ?y6) (* 68 ?y4)) (* (- 51) x1)) 16))))) (forall ((?y5 Real)) (and (and (>= (+ (* 98 ?y4) (* (- 28) x1)) (- 32)) (exists ((?y6 Real)) (< (+ (+ (* 88 ?y6) (* 62 ?y5)) (* (- 63) x1)) 43))) (or (< (+ (+ (* (- 29) ?y5) (* (- 2) ?y4)) (* 80 x1)) 0) (< (+ (* 53 ?y4) (* (- 13) x1)) 0)))))))) (and (and (or (exists ((?y3 Real)) (forall ((?y4 Real)) (and (< (+ (* 90 ?y4) (* (- 71) x1)) 58) (or (< (+ (* 88 ?y4) (* (- 95) ?y3)) (- 44)) (= (+ (* (- 49) ?y4) (* 70 x1)) (- 25)))))) (or (or (or (exists ((?y3 Real)) (or (or (not (= (+ (* 46 ?y3) (* (- 65) x1)) (- 93))) (= (+ (* (- 11) ?y3) (* 42 x1)) 5)) (not (= (+ (* (- 6) ?y3) (* (- 90) x1)) 0)))) (or (exists ((?y3 Real)) (not (= (+ (* (- 56) ?y3) (* 73 x1)) 0))) (or (< (* (- 61) x1) 0) (>= (* 53 x1) 61)))) (and (exists ((?y5 Real)) (<= (+ (* (- 48) ?y5) (* (- 14) x1)) 2)) (exists ((?y3 Real)) (exists ((?y4 Real)) (not (= (+ (+ (* 64 ?y4) (* (- 18) ?y3)) (* (- 13) x1)) 38)))))) (exists ((?y3 Real)) (forall ((?y4 Real)) (and (or (>= (+ (+ (* (- 10) ?y4) (* 9 ?y3)) (* (- 18) x1)) (- 68)) (<= (+ (+ (* (- 75) ?y4) (* 97 ?y3)) (* 36 x1)) 15)) (and (and (= (+ (+ (* (- 27) ?y4) (* 60 ?y3)) (* (- 55) x1)) 0) (<= (+ (+ (* 91 ?y4) (* 32 ?y3)) (* (- 85) x1)) (- 4))) (exists ((?y5 Real)) (> (+ (+ (* (- 40) ?y4) (* (- 39) ?y3)) (* (- 74) x1)) (- 36))))))))) (forall ((?y3 Real)) (forall ((?y4 Real)) (or (or (or (and (forall ((?y5 Real)) (>= (+ (+ (+ (* (- 82) ?y5) (* (- 50) ?y4)) (* 81 ?y3)) (* (- 23) x1)) 91)) (or (< (* 71 x1) (- 83)) (< (+ (* (- 63) ?y3) (* (- 96) x1)) 0))) (or (< (+ (+ (* 4 ?y4) (* 2 ?y3)) (* 74 x1)) (- 56)) (<= (+ (+ (* (- 79) ?y4) (* 27 ?y3)) (* 78 x1)) 0))) (exists ((?y5 Real)) (and (or (>= (+ (+ (* 14 ?y5) (* (- 49) ?y4)) (* (- 12) x1)) (- 14)) (> (* (- 35) ?y4) 0)) (exists ((?y6 Real)) (= (+ (+ (+ (* 15 ?y6) (* 43 ?y5)) (* (- 83) ?y4)) (* (- 35) ?y3)) (- 73)))))) (or (exists ((?y6 Real)) (> (+ (* 50 ?y6) (* 13 ?y4)) 0)) (forall ((?y5 Real)) (exists ((?y6 Real)) (< (+ (+ (+ (* (- 50) ?y6) (* 94 ?y5)) (* 55 ?y3)) (* 96 x1)) 37)))))))) (forall ((?y2 Real)) (and (exists ((?y3 Real)) (or (or (forall ((?y4 Real)) (and (and (> (+ (* (- 19) ?y2) (* (- 42) x1)) 74) (= (+ (+ (+ (* 64 ?y4) (* (- 64) ?y3)) (* (- 32) ?y2)) (* (- 72) x1)) (- 51))) (forall ((?y5 Real)) (<= (+ (+ (* (- 51) ?y5) (* 100 ?y3)) (* 27 x1)) 0)))) (and (forall ((?y5 Real)) (>= (+ (+ (* 33 ?y5) (* 87 ?y2)) (* 81 x1)) (- 65))) (exists ((?y5 Real)) (not (= (+ (+ (+ (* 58 ?y5) (* 14 ?y3)) (* 10 ?y2)) (* (- 4) x1)) 27))))) (and (or (or (exists ((?y4 Real)) (= (+ (+ (* 91 ?y4) (* (- 95) ?y2)) (* (- 42) x1)) 0)) (and (not (= (+ (* 17 ?y3) (* 39 x1)) 0)) (> (+ (+ (* 54 ?y3) (* (- 91) ?y2)) (* (- 25) x1)) (- 4)))) (exists ((?y4 Real)) (forall ((?y5 Real)) (< (+ (+ (+ (+ (* 42 ?y5) (* 45 ?y4)) (* (- 68) ?y3)) (* (- 80) ?y2)) (* 17 x1)) (- 92))))) (or (and (= (+ (* 39 ?y3) (* (- 28) ?y2)) 32) (and (not (= (+ (* (- 80) ?y3) (* 94 x1)) (- 67))) (not (= (+ (+ (* (- 100) ?y3) (* (- 80) ?y2)) (* (- 46) x1)) 0)))) (exists ((?y5 Real)) (> (+ (* (- 51) ?y5) (* (- 60) ?y3)) (- 78))))))) (and (forall ((?y3 Real)) (or (forall ((?y5 Real)) (< (+ (+ (* (- 77) ?y5) (* 26 ?y3)) (* (- 38) ?y2)) 0)) (and (exists ((?y5 Real)) (or (= (+ (+ (* (- 100) ?y5) (* 95 ?y3)) (* 63 x1)) 11) (<= (+ (+ (* (- 6) ?y5) (* (- 32) ?y3)) (* (- 86) x1)) (- 10)))) (exists ((?y5 Real)) (and (< (+ (+ (+ (* 57 ?y5) (* 34 ?y3)) (* 12 ?y2)) (* (- 86) x1)) 73) (> (+ (+ (* 87 ?y3) (* 36 ?y2)) (* (- 29) x1)) 0)))))) (and (forall ((?y3 Real)) (exists ((?y6 Real)) (or (< (+ (+ (* 53 ?y6) (* (- 25) ?y3)) (* 99 ?y2)) 88) (<= (+ (+ (* (- 42) ?y6) (* (- 30) ?y3)) (* (- 60) ?y2)) (- 42))))) (or (and (or (forall ((?y3 Real)) (and (not (= (+ (* (- 17) ?y2) (* 51 x1)) (- 67))) (<= (+ (* (- 10) ?y3) (* 82 ?y2)) 0))) (and (<= (* 88 x1) 41) (and (> (+ (* (- 65) ?y2) (* (- 79) x1)) 71) (> (+ (* 2 ?y2) (* 39 x1)) 14)))) (exists ((?y3 Real)) (or (>= (+ (+ (* (- 42) ?y3) (* (- 89) ?y2)) (* (- 11) x1)) 52) (< (+ (* 4 ?y3) (* 12 ?y2)) (- 98))))) (exists ((?y3 Real)) (and (forall ((?y4 Real)) (exists ((?y5 Real)) (> (+ (+ (* (- 89) ?y4) (* (- 35) ?y3)) (* (- 19) ?y2)) (- 97)))) (exists ((?y4 Real)) (<= (+ (* (- 69) ?y4) (* (- 3) x1)) (- 43)))))))))))))) (forall ((?y1 Real)) (exists ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (exists ((?y5 Real)) (let ((?v_23 (* 2 x1)) (?v_55 (* 9 x1)) (?v_13 (* 89 x1)) (?v_20 (* 3 x1)) (?v_46 (* 36 x1)) (?v_28 (* 34 ?y1)) (?v_98 (* 68 ?y5)) (?v_59 (* 64 ?y4)) (?v_18 (* 30 ?y1)) (?v_101 (* 2 ?y5)) (?v_81 (* 73 ?y3)) (?v_70 (* 60 ?y1)) (?v_38 (* 49 ?y1)) (?v_43 (* 86 ?y1)) (?v_7 (* 95 ?y4)) (?v_30 (* 25 ?y2)) (?v_69 (* 14 ?y4)) (?v_39 (* 41 ?y5)) (?v_83 (* 28 ?y2)) (?v_15 (* 50 ?y5)) (?v_9 (* 64 ?y2)) (?v_93 (* 18 ?y3)) (?v_53 (* 72 ?y1)) (?v_25 (* 11 ?y5)) (?v_102 (* 11 ?y4)) (?v_12 (* 46 ?y4)) (?v_58 (* 13 ?y2)) (?v_63 (* 84 ?y2)) (?v_19 (* 28 ?y4)) (?v_65 (* 80 ?y4)) (?v_66 (* 32 ?y3)) (?v_74 (* 50 ?y2)) (?v_47 (* 94 ?y5)) (?v_42 (* 40 ?y3)) (?v_40 (* 40 ?y1)) (?v_35 (* 15 ?y1)) (?v_104 (* 99 ?y3)) (?v_27 (* 61 ?y5)) (?v_36 (* 58 ?y5)) (?v_37 (* 19 ?y2)) (?v_99 (* 57 ?y1)) (?v_56 (* 25 ?y1)) (?v_94 (* 77 ?y2)) (?v_48 (* 3 ?y4)) (?v_54 (* 67 ?y4)) (?v_79 (* 69 ?y3)) (?v_51 (* 73 ?y2)) (?v_68 (* 47 x1)) (?v_57 (* 64 ?y1)) (?v_76 (* 86 ?y5)) (?v_90 (* 62 ?y2)) (?v_108 (* 62 ?y5)) (?v_29 (* (- 42) x1)) (?v_97 (* (- 40) x1)) (?v_34 (* (- 93) x1)) (?v_32 (* (- 28) x1)) (?v_16 (* (- 73) ?y3)) (?v_89 (* (- 25) ?y3)) (?v_31 (* (- 96) ?y1)) (?v_86 (* (- 14) ?y3)) (?v_87 (* (- 55) ?y3)) (?v_24 (* (- 63) ?y5)) (?v_78 (* (- 38) ?y5)) (?v_11 (* (- 3) ?y3)) (?v_112 (* (- 98) x1)) (?v_107 (* (- 45) ?y1)) (?v_8 (* (- 97) x1)) (?v_10 (* (- 27) ?y4)) (?v_77 (* (- 28) ?y5)) (?v_14 (* (- 97) ?y3)) (?v_95 (* (- 24) ?y1)) (?v_17 (* (- 98) ?y2)) (?v_21 (* (- 59) ?y2)) (?v_52 (* (- 41) ?y5)) (?v_73 (* (- 76) ?y3)) (?v_41 (+ (* 65 ?y5) (* (- 28) ?y4))) (?v_26 (* (- 97) ?y4)) (?v_44 (* (- 47) ?y3)) (?v_50 (* (- 35) ?y2)) (?v_22 (* (- 67) ?y3)) (?v_45 (* (- 88) ?y4)) (?v_96 (* (- 84) ?y3)) (?v_33 (* (- 72) ?y5)) (?v_103 (* (- 78) ?y1)) (?v_49 (* (- 44) ?y5)) (?v_72 (* (- 42) ?y5)) (?v_61 (* (- 72) ?y3)) (?v_109 (* (- 16) ?y3)) (?v_71 (* (- 94) ?y2)) (?v_110 (* (- 86) ?y2)) (?v_64 (* (- 98) ?y5)) (?v_100 (* (- 7) ?y2)) (?v_106 (* (- 45) x1)) (?v_62 (* (- 9) ?y2)) (?v_75 (* (- 87) ?y1)) (?v_60 (* (- 80) ?y1)) (?v_67 (* (- 17) ?y1)) (?v_92 (* (- 84) ?y4)) (?v_85 (* (- 51) ?y4)) (?v_84 (* (- 36) ?y1)) (?v_80 (* (- 61) ?y4)) (?v_82 (* (- 77) ?y4)) (?v_88 (* (- 60) ?y5)) (?v_91 (* (- 97) ?y1)) (?v_111 (* (- 41) ?y1)) (?v_105 (* (- 99) ?y5))) (and (or (and (or (and (or (< (+ (+ ?v_16 (* (- 45) ?y2)) (* (- 76) ?y1)) 61) (and (>= (+ (+ (+ (* (- 3) ?y5) (* (- 99) ?y4)) ?v_89) (* (- 28) ?y1)) (- 8)) (not (= (+ (* 97 ?y5) (* (- 73) ?y2)) 15)))) (or (>= (+ (+ (+ (* (- 29) ?y5) (* 27 ?y2)) ?v_28) (* (- 91) x1)) 1) (<= (+ (+ (* 71 ?y5) ?v_31) ?v_29) 12))) (and (>= (+ (+ (+ ?v_98 ?v_59) ?v_86) ?v_18) (- 47)) (and (and (not (= (+ (+ (+ ?v_101 ?v_87) (* 5 ?y2)) (* (- 18) x1)) (- 42))) (< (+ (+ (+ (* (- 12) ?y4) ?v_81) (* 70 ?y2)) (* (- 60) ?y1)) 7)) (or (= (+ (+ (+ (+ (* (- 21) ?y5) (* (- 14) ?y4)) (* (- 48) ?y3)) (* 83 ?y2)) ?v_70) 0) (>= (+ (+ (+ (+ ?v_24 (* 17 ?y4)) (* 24 ?y3)) (* (- 14) ?y2)) ?v_38) (- 32)))))) (and (and (and (or (not (= (+ (+ (* 45 ?y5) (* 49 ?y4)) ?v_43) 48)) (>= (+ (+ (+ (+ (* (- 82) ?y5) ?v_7) (* (- 21) ?y3)) ?v_30) (* 10 x1)) 79)) (and (>= (+ (+ (+ (* 1 ?y5) (* (- 59) ?y4)) (* (- 50) ?y2)) (* (- 37) x1)) (- 80)) (> (+ (+ (+ (+ ?v_78 ?v_7) ?v_11) (* (- 46) ?y1)) ?v_112) 0))) (and (> (+ (+ (+ (* (- 47) ?y5) ?v_69) ?v_107) (* (- 52) x1)) 38) (< (+ (+ (+ (* 48 ?y3) (* (- 11) ?y2)) (* 13 ?y1)) ?v_34) 46))) (or (or (>= (+ (+ (+ ?v_39 ?v_83) (* 98 ?y1)) ?v_8) 0) (or (> (+ (+ (+ (+ ?v_15 ?v_10) (* (- 97) ?y2)) (* (- 99) ?y1)) ?v_8) 0) (not (= (+ (+ (+ ?v_77 ?v_14) (* 86 ?y2)) ?v_32) 90)))) (or (> (+ (+ (+ (* (- 55) ?y5) (* 38 ?y4)) ?v_9) ?v_95) 35) (> (+ (+ (+ (+ (* 63 ?y5) (* (- 60) ?y4)) ?v_93) (* 71 ?y2)) (* 94 x1)) (- 91)))))) (and (or (and (or (< (+ (+ (+ (* (- 79) ?y3) ?v_9) ?v_53) ?v_20) 25) (<= (+ (+ (+ ?v_25 ?v_10) ?v_17) (* (- 61) x1)) (- 78))) (= (+ (+ (* 66 ?y5) (* 21 ?y1)) ?v_13) 0)) (or (or (and (>= (+ (+ (+ (+ (* (- 50) ?y5) ?v_102) ?v_11) ?v_21) (* (- 58) ?y1)) (- 80)) (<= (+ (+ (+ (+ (* 37 ?y5) ?v_12) (* 31 ?y3)) (* 2 ?y2)) (* 8 ?y1)) 23)) (and (<= (+ (+ (+ (+ ?v_52 (* 42 ?y4)) ?v_73) (* 79 ?y2)) (* 1 ?y1)) 74) (<= (+ (+ (+ (+ (+ (* 20 ?y5) ?v_12) (* (- 81) ?y3)) ?v_58) (* 3 ?y1)) ?v_13) 83))) (> (+ (+ (+ ?v_41 ?v_14) (* (- 31) ?y2)) (* (- 99) x1)) 0))) (or (and (or (> (+ (+ (* 23 ?y5) (* 73 ?y4)) (* 84 ?y1)) (- 19)) (not (= (+ (+ (+ (+ (* (- 1) ?y5) ?v_26) (* 33 ?y3)) ?v_63) (* (- 13) x1)) 0))) (and (or (= (+ (+ (+ (+ ?v_15 (* (- 79) ?y4)) ?v_44) (* 18 ?y2)) (* (- 39) x1)) 0) (< (+ (+ ?v_19 (* 63 ?y3)) ?v_50) 0)) (or (< (+ (+ (* (- 37) ?y3) (* 42 ?y2)) (* (- 7) x1)) 49) (> (+ (+ (+ (+ (+ (* (- 88) ?y5) (* (- 15) ?y4)) ?v_16) ?v_17) ?v_18) ?v_23) 42)))) (and (or (= (+ (+ (+ ?v_19 ?v_22) (* 99 ?y2)) (* 32 ?y1)) (- 66)) (not (= (+ (+ (+ (+ (+ (* 34 ?y5) ?v_65) ?v_66) (* (- 65) ?y2)) (* 23 ?y1)) ?v_20) 0))) (or (and (<= (+ (+ (+ (+ (* (- 18) ?y4) (* (- 93) ?y3)) ?v_21) (* (- 81) ?y1)) (* 59 x1)) (- 73)) (<= (+ (+ (* 96 ?y5) ?v_74) (* (- 18) ?y1)) 74)) (and (= (+ (+ (+ (+ ?v_47 (* (- 80) ?y4)) ?v_42) (* (- 26) ?y2)) ?v_40) 0) (<= (+ (+ (* (- 43) ?y5) ?v_22) (* 91 x1)) (- 1)))))))) (and (and (and (and (or (or (and (> (+ (+ (* 33 ?y5) ?v_35) ?v_23) (- 28)) (<= (+ (+ (+ (+ (* (- 34) ?y5) (* 69 ?y4)) ?v_104) (* 99 ?y1)) (* 37 x1)) 0)) (or (= (+ (+ (+ (+ ?v_24 ?v_45) (* 88 ?y2)) (* (- 25) ?y1)) (* (- 59) x1)) (- 18)) (= (+ (+ (+ ?v_27 (* (- 25) ?y2)) (* (- 4) ?y1)) (* (- 17) x1)) 45))) (or (or (<= (+ (+ (+ (+ ?v_25 ?v_26) (* (- 15) ?y3)) (* 24 ?y1)) (* (- 82) x1)) 0) (= (+ (+ (+ ?v_36 (* 34 ?y4)) (* (- 70) ?y2)) (* 33 ?y1)) (- 30))) (> (+ (+ (+ (* 91 ?y4) (* (- 19) ?y3)) ?v_37) (* 35 ?y1)) 12))) (or (or (and (not (= (+ (* 38 ?y5) (* (- 73) x1)) (- 4))) (<= (+ (+ (+ (+ (+ ?v_27 (* 16 ?y4)) (* (- 34) ?y3)) (* (- 89) ?y2)) (* (- 13) ?y1)) (* 29 x1)) 0)) (or (>= (+ (+ (+ (+ (+ (* 40 ?y5) (* (- 53) ?y4)) ?v_96) (* 16 ?y2)) ?v_99) (* (- 54) x1)) 0) (not (= (+ (+ (+ (+ (+ ?v_33 (* 44 ?y4)) (* (- 100) ?y3)) (* (- 18) ?y2)) ?v_28) ?v_29) 0)))) (or (and (not (= (+ (+ (+ (+ (+ (* (- 2) ?y5) (* 43 ?y4)) (* 89 ?y3)) ?v_30) ?v_31) (* (- 12) x1)) (- 22))) (= (+ (+ (+ (+ (* 52 ?y5) (* 12 ?y4)) (* 64 ?y3)) (* (- 100) ?y2)) ?v_32) 78)) (or (> (+ (+ (+ (+ ?v_33 (* 51 ?y4)) (* 71 ?y3)) ?v_103) (* 55 x1)) (- 40)) (<= (+ (+ (+ (+ ?v_49 (* 71 ?y4)) (* 1 ?y3)) ?v_56) ?v_34) 96))))) (or (and (= (+ (+ (+ (+ (+ ?v_72 (* 37 ?y4)) (* 65 ?y3)) (* 9 ?y2)) (* (- 23) ?y1)) ?v_55) (- 63)) (and (and (< (+ (+ (+ (+ (+ (* 10 ?y5) (* (- 9) ?y4)) (* 19 ?y3)) ?v_94) ?v_35) (* (- 44) x1)) 1) (not (= (+ (+ (* (- 98) ?y4) (* (- 6) ?y3)) (* (- 90) ?y1)) 0))) (or (> (+ (+ (+ (+ (+ ?v_36 (* 83 ?y4)) ?v_61) ?v_37) ?v_38) ?v_46) 77) (> (+ (+ (+ ?v_39 (* (- 70) ?y4)) ?v_109) ?v_40) (- 16))))) (or (or (and (>= (+ (+ ?v_41 (* (- 93) ?y2)) (* (- 15) ?y1)) 0) (>= (+ (+ (+ ?v_48 ?v_42) (* 14 ?y1)) (* 14 x1)) 0)) (or (> (+ (* 95 ?y3) (* (- 22) x1)) 74) (> (+ (+ (* 80 ?y5) ?v_54) ?v_79) 95))) (or (and (> (+ (+ (+ (+ (+ ?v_36 (* 29 ?y4)) (* (- 69) ?y3)) ?v_51) ?v_43) (* (- 36) x1)) 20) (<= (+ (+ (+ (* (- 51) ?y5) (* (- 24) ?y2)) (* 89 ?y1)) (* (- 65) x1)) (- 18))) (and (= (+ (+ (+ (+ (+ (* (- 53) ?y5) (* (- 92) ?y4)) ?v_44) ?v_71) (* (- 7) ?y1)) (* (- 1) x1)) 42) (not (= (+ (+ (+ (+ (* 17 ?y5) (* 27 ?y4)) (* (- 23) ?y3)) ?v_110) (* (- 88) x1)) 32))))))) (or (or (or (and (= (+ (+ (+ (* 35 ?y5) (* 96 ?y4)) (* 58 ?y1)) (* 65 x1)) 0) (>= (+ (+ (+ (+ ?v_45 (* (- 77) ?y3)) (* 82 ?y2)) (* 83 ?y1)) ?v_68) 52)) (and (and (< (+ (+ (* 100 ?y4) ?v_57) ?v_46) 13) (<= (+ (+ (+ (* (- 34) ?y4) (* (- 74) ?y2)) (* 97 ?y1)) (* 70 x1)) 24)) (or (> (+ (+ (+ (+ ?v_64 ?v_16) (* (- 60) ?y2)) (* 26 ?y1)) (* (- 94) x1)) (- 91)) (> (+ (+ (+ (* 47 ?y5) (* (- 94) ?y4)) ?v_100) ?v_106) 5)))) (or (<= (+ (+ (+ (+ (+ ?v_47 ?v_48) (* (- 33) ?y3)) (* 55 ?y2)) (* 20 ?y1)) ?v_97) 0) (> (+ (+ (+ (+ ?v_49 (* 86 ?y4)) (* 12 ?y3)) ?v_62) ?v_75) (- 7)))) (and (and (and (or (>= (+ (+ (+ (+ (* (- 65) ?y5) (* (- 58) ?y3)) ?v_50) (* 43 ?y1)) (* (- 31) x1)) (- 98)) (> (+ (+ (+ (+ (* (- 81) ?y5) (* (- 24) ?y4)) (* 22 ?y3)) (* (- 75) ?y2)) (* 59 ?y1)) 68)) (and (= (+ (+ (+ (+ ?v_76 (* 42 ?y3)) ?v_51) ?v_60) (* (- 72) x1)) (- 99)) (< (+ (+ (+ (+ (+ ?v_52 (* (- 47) ?y4)) (* 30 ?y3)) (* (- 46) ?y2)) ?v_67) (* 75 x1)) 7))) (or (not (= (+ (+ (+ (+ (* 78 ?y5) (* 94 ?y4)) (* (- 13) ?y3)) ?v_90) (* 78 x1)) (- 36))) (or (not (= (+ (+ (+ (+ (* (- 73) ?y5) ?v_92) (* (- 10) ?y3)) (* (- 56) ?y2)) ?v_53) 0)) (>= (+ (+ (+ (* (- 8) ?y4) (* (- 8) ?y3)) (* (- 21) ?y2)) (* (- 32) x1)) 13)))) (or (or (or (= (+ (+ (+ (+ ?v_108 ?v_54) (* 81 ?y3)) (* 74 ?y1)) ?v_55) 87) (>= (+ (+ (+ (+ (* (- 66) ?y5) (* 33 ?y4)) (* (- 98) ?y3)) ?v_56) (* (- 8) x1)) (- 29))) (or (>= (+ (+ (+ (+ (* 88 ?y5) (* (- 39) ?y4)) (* 77 ?y3)) (* 49 ?y2)) ?v_57) (- 56)) (= (+ (+ (+ (+ ?v_85 (* (- 42) ?y3)) ?v_58) (* (- 85) ?y1)) (* 85 x1)) 27))) (or (and (>= (+ (+ (+ ?v_36 ?v_59) (* 13 ?y3)) ?v_60) 55) (< (+ (+ (+ (* 54 ?y5) ?v_26) ?v_9) (* 28 ?y1)) (- 38))) (and (<= (+ (+ (+ (+ (* (- 23) ?y5) (* (- 91) ?y4)) (* 4 ?y3)) (* (- 47) ?y1)) (* 46 x1)) 0) (>= (+ (+ (+ (* (- 62) ?y5) ?v_61) ?v_62) (* 21 x1)) 0))))))) (or (or (and (and (and (and (= (+ (+ (+ (+ (* 91 ?y5) (* (- 67) ?y4)) ?v_63) ?v_84) (* (- 66) x1)) 72) (<= (+ (+ (+ (+ ?v_64 ?v_80) (* (- 41) ?y3)) (* (- 84) ?y2)) (* (- 89) ?y1)) 63)) (not (= (+ (+ (+ (* (- 57) ?y5) ?v_82) (* 92 ?y2)) (* 93 ?y1)) 12))) (= (+ (+ (+ (+ (* (- 46) ?y5) ?v_65) ?v_66) (* (- 38) ?y1)) (* 7 x1)) (- 15))) (and (or (< (+ (+ (+ (+ (* 24 ?y5) (* 85 ?y4)) (* 27 ?y3)) (* 91 ?y2)) (* 83 x1)) 73) (not (= (+ (+ (+ (* 77 ?y5) (* 57 ?y2)) ?v_67) ?v_68) 69))) (or (and (< (+ (+ ?v_88 ?v_69) ?v_91) 52) (= (+ (* (- 88) ?y3) (* (- 76) x1)) 87)) (or (< (+ (+ (* (- 85) ?y4) (* (- 95) ?y2)) ?v_70) 28) (< (+ (+ (+ (* (- 57) ?y3) ?v_71) (* 22 ?y1)) (* 16 x1)) 82))))) (or (or (and (and (> (+ (+ (+ (+ (+ ?v_72 (* 25 ?y4)) ?v_73) (* (- 30) ?y2)) ?v_111) (* 62 x1)) 47) (< (+ (+ (+ (* 15 ?y4) (* (- 86) ?y3)) ?v_74) ?v_75) (- 35))) (or (< (+ ?v_76 (* (- 82) ?y3)) (- 89)) (not (= (+ (* (- 31) ?y3) (* (- 81) ?y2)) 0)))) (and (or (not (= (+ (+ (+ ?v_77 (* (- 41) ?y4)) (* 43 ?y2)) (* 42 x1)) 0)) (= (+ (+ (+ (+ ?v_78 (* (- 86) ?y4)) ?v_79) (* (- 1) ?y2)) (* (- 55) x1)) (- 12))) (or (>= (+ (+ ?v_105 ?v_80) ?v_81) (- 26)) (>= (+ (+ (+ (+ (+ (* (- 11) ?y5) ?v_82) (* 51 ?y3)) ?v_83) ?v_84) (* (- 47) x1)) 0)))) (or (or (> (+ (+ (+ (+ (+ (* (- 39) ?y5) ?v_85) ?v_86) (* (- 38) ?y2)) (* 71 ?y1)) (* (- 64) x1)) 66) (<= (+ (+ (+ (+ (* (- 77) ?y5) ?v_87) (* 11 ?y2)) (* 42 ?y1)) (* 50 x1)) (- 49))) (and (< (* (- 54) ?y4) 0) (not (= (+ (+ (+ ?v_88 (* (- 17) ?y4)) (* (- 12) ?y2)) (* 82 x1)) 63)))))) (or (and (or (or (>= (+ (+ (+ (* (- 61) ?y5) ?v_89) ?v_90) (* (- 54) ?y1)) 10) (>= (+ (+ (+ (+ (* (- 30) ?y5) (* (- 29) ?y3)) (* (- 13) ?y2)) ?v_91) (* (- 35) x1)) 67)) (or (< (+ (+ (+ (+ (+ (* (- 15) ?y5) ?v_92) (* 76 ?y3)) (* (- 96) ?y2)) (* 95 ?y1)) (* (- 43) x1)) 82) (< (+ (+ (+ (+ (* 4 ?y5) (* (- 43) ?y4)) ?v_93) (* (- 28) ?y2)) (* 48 x1)) 0))) (and (and (> (+ (+ (+ (* (- 10) ?y5) ?v_94) ?v_95) (* 22 x1)) 0) (< (+ (+ (+ (* (- 100) ?y5) (* 35 ?y4)) (* 72 ?y3)) (* 41 ?y2)) 0)) (<= (+ (+ (+ (+ (* 81 ?y5) ?v_96) (* 7 ?y2)) (* (- 31) ?y1)) ?v_97) 69))) (or (or (not (= (+ (+ (* (- 35) ?y5) ?v_83) (* (- 48) x1)) 77)) (or (>= (+ (* 5 ?y4) (* (- 44) ?y1)) 4) (< (+ ?v_98 ?v_99) 0))) (and (and (not (= (+ (+ (+ (+ (+ (* (- 4) ?y5) (* 62 ?y4)) (* 11 ?y3)) ?v_100) (* (- 88) ?y1)) (* (- 68) x1)) 66)) (> (+ (+ (+ (+ (+ ?v_101 ?v_102) (* 84 ?y3)) (* (- 72) ?y2)) ?v_103) ?v_34) 0)) (and (and (= (+ (+ (+ (+ (* 7 ?y5) (* (- 30) ?y4)) ?v_104) (* 87 ?y1)) ?v_23) 21) (>= (+ (+ (+ (+ (+ ?v_105 (* (- 68) ?y4)) (* (- 61) ?y3)) (* (- 42) ?y2)) (* (- 57) ?y1)) ?v_106) (- 92))) (and (> (+ (+ (+ (* 29 ?y3) (* 29 ?y2)) ?v_107) (* 1 x1)) 74) (= (+ (+ (+ (+ (+ ?v_108 (* (- 38) ?y4)) ?v_109) ?v_110) ?v_111) ?v_112) 48)))))))))))))))) (exists ((?y1 Real)) (forall ((?y2 Real)) (and (forall ((?y3 Real)) (forall ((?y4 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_198 (* 81 x1)) (?v_229 (* 93 x1)) (?v_184 (* 54 x1)) (?v_180 (* 90 ?y2)) (?v_113 (* 94 ?y4)) (?v_148 (* 92 ?y1)) (?v_176 (* 33 ?y3)) (?v_188 (* 40 ?y1)) (?v_174 (* 83 ?y6)) (?v_117 (* 50 ?y1)) (?v_133 (* 12 ?y3)) (?v_239 (* 10 ?y1)) (?v_116 (* 47 ?y5)) (?v_172 (* 63 ?y2)) (?v_156 (* 62 ?y1)) (?v_123 (* 79 ?y6)) (?v_143 (* 60 ?y2)) (?v_135 (* 5 ?y2)) (?v_168 (* 30 ?y1)) (?v_131 (* 80 ?y3)) (?v_220 (* 48 ?y2)) (?v_119 (* 13 ?y5)) (?v_122 (* 84 ?y3)) (?v_140 (* 89 ?y5)) (?v_146 (* 77 ?y4)) (?v_213 (* 6 ?y3)) (?v_170 (* 37 ?y2)) (?v_186 (* 74 ?y3)) (?v_217 (* 11 ?y4)) (?v_160 (* 19 ?y5)) (?v_189 (* 70 ?y6)) (?v_221 (* 19 ?y1)) (?v_128 (* 44 ?y5)) (?v_150 (* 99 x1)) (?v_134 (* 89 ?y3)) (?v_139 (* 24 x1)) (?v_161 (* 16 ?y5)) (?v_151 (* 15 ?y4)) (?v_141 (* 82 ?y2)) (?v_224 (* 62 ?y6)) (?v_179 (* 73 ?y3)) (?v_222 (* 94 ?y6)) (?v_235 (* 15 ?y2)) (?v_153 (* 14 ?y5)) (?v_196 (* 45 ?y4)) (?v_155 (* 99 ?y5)) (?v_233 (* 31 ?y1)) (?v_158 (* 9 ?y3)) (?v_191 (* 68 ?y1)) (?v_199 (* 22 ?y3)) (?v_187 (* 78 ?y2)) (?v_152 (* 40 x1)) (?v_154 (* 74 ?y2)) (?v_227 (* 54 ?y3)) (?v_240 (* 89 ?y6)) (?v_159 (* 89 ?y2)) (?v_162 (* 70 ?y3)) (?v_228 (* 38 ?y2)) (?v_209 (* 23 ?y2)) (?v_185 (* 78 ?y5)) (?v_225 (* 92 x1)) (?v_195 (* 90 ?y1)) (?v_204 (* 70 ?y1)) (?v_192 (* 60 ?y6)) (?v_201 (* 17 ?y4)) (?v_219 (* 41 ?y6)) (?v_200 (* 79 ?y5)) (?v_231 (* 74 ?y6)) (?v_234 (* 21 ?y3)) (?v_205 (* (- 54) x1)) (?v_163 (* (- 73) x1)) (?v_142 (* (- 41) x1)) (?v_215 (* (- 3) x1)) (?v_194 (* (- 40) x1)) (?v_178 (* (- 68) x1)) (?v_114 (* (- 45) ?y3)) (?v_115 (* (- 8) ?y5)) (?v_167 (* (- 15) ?y2)) (?v_175 (* (- 52) ?y1)) (?v_130 (* (- 47) ?y5)) (?v_137 (* (- 54) ?y4)) (?v_124 (* (- 21) x1)) (?v_118 (* (- 83) ?y4)) (?v_120 (* (- 42) ?y6)) (?v_121 (* (- 97) ?y1)) (?v_157 (* (- 18) ?y4)) (?v_238 (* (- 66) ?y2)) (?v_165 (* (- 19) ?y1)) (?v_132 (* (- 31) ?y5)) (?v_197 (* (- 69) ?y3)) (?v_190 (* (- 93) ?y1)) (?v_138 (* (- 92) ?y3)) (?v_126 (* (- 51) ?y2)) (?v_181 (* (- 71) ?y1)) (?v_144 (* (- 91) ?y1)) (?v_230 (* (- 73) ?y4)) (?v_125 (* (- 50) ?y3)) (?v_129 (* (- 5) ?y1)) (?v_145 (* (- 47) ?y4)) (?v_136 (* (- 40) ?y6)) (?v_203 (* (- 38) ?y4)) (?v_127 (* (- 100) ?y3)) (?v_149 (* (- 70) ?y4)) (?v_226 (* (- 61) ?y6)) (?v_166 (* (- 79) ?y6)) (?v_216 (* (- 7) ?y5)) (?v_211 (* (- 5) ?y2)) (?v_164 (* (- 23) ?y3)) (?v_171 (* (- 79) ?y5)) (?v_206 (* (- 51) ?y4)) (?v_207 (* (- 69) ?y2)) (?v_182 (* (- 9) ?y3)) (?v_147 (* (- 70) ?y5)) (?v_210 (* (- 65) ?y4)) (?v_237 (* (- 14) ?y3)) (?v_202 (* (- 68) ?y2)) (?v_177 (* (- 26) ?y5)) (?v_173 (* (- 76) ?y1)) (?v_236 (* (- 45) ?y1)) (?v_212 (* (- 17) ?y4)) (?v_218 (* (- 33) ?y6)) (?v_169 (* (- 34) ?y4)) (?v_183 (* (- 96) ?y1)) (?v_232 (* (- 8) ?y2)) (?v_193 (* (- 88) ?y3)) (?v_208 (* (- 53) ?y4)) (?v_214 (* (- 67) ?y2)) (?v_223 (* (- 74) ?y3))) (and (and (and (or (and (or (or (not (= (+ (+ (+ (+ (+ (* 67 ?y6) (* 83 ?y5)) (* (- 71) ?y4)) ?v_114) ?v_180) (* (- 56) ?y1)) 0)) (and (>= (+ (+ (+ (+ (+ (* 80 ?y6) ?v_113) (* 49 ?y3)) (* 69 ?y2)) (* 16 ?y1)) ?v_142) (- 77)) (not (= (+ (+ (+ (+ (+ (* 27 ?y6) ?v_115) (* 65 ?y3)) ?v_167) (* (- 14) ?y1)) ?v_198) (- 45))))) (and (and (not (= (+ (+ (+ (+ (+ (* 18 ?y5) ?v_113) ?v_114) (* 49 ?y2)) ?v_175) (* (- 95) x1)) 84)) (<= (+ (+ ?v_130 ?v_137) ?v_148) (- 37))) (and (>= (+ (+ (+ (+ (+ (* (- 80) ?y6) (* 10 ?y5)) ?v_176) (* (- 89) ?y2)) ?v_188) (* (- 52) x1)) (- 44)) (<= (+ (+ (+ (+ (+ (+ ?v_174 (* (- 39) ?y5)) (* 82 ?y4)) (* (- 24) ?y3)) (* 9 ?y2)) ?v_117) ?v_124) 80)))) (and (and (<= (+ (+ (+ (+ (+ (* 86 ?y6) ?v_115) ?v_118) ?v_133) (* (- 58) ?y2)) ?v_239) 33) (> (+ (+ (+ (* 58 ?y6) ?v_116) (* (- 80) ?y3)) ?v_172) (- 46))) (or (<= (+ (+ (+ (+ (+ (+ ?v_120 (* (- 22) ?y5)) (* 73 ?y4)) (* 93 ?y3)) (* 3 ?y2)) ?v_156) (* (- 26) x1)) (- 36)) (and (<= (+ (+ (+ (+ (+ ?v_123 (* (- 97) ?y5)) (* 76 ?y4)) (* (- 95) ?y3)) ?v_143) (* (- 43) x1)) 8) (<= (+ (+ (+ (+ (+ (* 3 ?y6) (* 27 ?y5)) (* 31 ?y4)) ?v_135) ?v_168) (* (- 77) x1)) (- 28)))))) (and (or (and (<= (+ (+ (+ (+ (* (- 88) ?y6) ?v_131) (* 64 ?y2)) (* (- 67) ?y1)) (* (- 4) x1)) 0) (>= (+ (+ (+ (* (- 2) ?y6) ?v_115) ?v_220) ?v_121) (- 71))) (<= (+ (+ (+ (+ (+ (* 84 ?y6) ?v_119) ?v_157) ?v_122) (* 25 ?y2)) (* (- 69) x1)) (- 79))) (or (and (or (>= (+ (+ (+ (+ (* 33 ?y6) (* (- 16) ?y5)) (* (- 17) ?y3)) ?v_238) (* 26 x1)) 7) (> (+ (+ (+ (+ (+ ?v_140 (* (- 46) ?y4)) (* (- 40) ?y3)) (* (- 22) ?y2)) ?v_165) (* 86 x1)) 0)) (<= (+ (+ (+ ?v_116 ?v_146) ?v_117) (* 90 x1)) 90)) (and (> (+ (+ (+ (+ (+ (* 95 ?y5) (* 91 ?y4)) ?v_213) ?v_170) (* (- 43) ?y1)) (* 51 x1)) (- 100)) (or (>= (+ (+ (+ ?v_132 ?v_118) ?v_197) (* (- 85) x1)) 34) (= (+ (+ (+ (+ (* 34 ?y6) (* 62 ?y5)) ?v_114) ?v_190) (* 27 x1)) 0)))))) (or (or (and (< (+ (+ (+ (+ (+ (* (- 82) ?y6) (* (- 30) ?y5)) (* 48 ?y4)) ?v_138) (* (- 74) ?y2)) (* (- 17) ?y1)) 40) (or (>= (+ (+ (+ (+ (+ (+ (* 11 ?y6) (* (- 83) ?y5)) (* (- 99) ?y4)) ?v_186) ?v_126) ?v_181) ?v_205) 0) (not (= (+ (+ (+ (+ (* 99 ?y6) ?v_119) ?v_217) (* 95 ?y3)) (* (- 18) ?y1)) 0)))) (or (and (<= (+ (+ (+ (+ (+ (* (- 10) ?y6) (* 77 ?y5)) (* (- 33) ?y4)) (* 1 ?y3)) (* 6 ?y2)) ?v_144) 57) (< (+ (+ (+ (+ (+ ?v_120 (* 9 ?y5)) ?v_230) ?v_125) (* (- 57) ?y2)) (* 11 ?y1)) (- 5))) (and (and (>= (+ (+ (+ (+ ?v_160 (* 67 ?y4)) (* (- 75) ?y3)) (* 53 ?y2)) ?v_129) (- 41)) (>= (+ (+ ?v_145 ?v_121) (* 31 x1)) 76)) (and (>= (+ (+ (+ (+ ?v_189 (* (- 56) ?y5)) (* (- 29) ?y2)) (* (- 58) ?y1)) (* (- 30) x1)) (- 53)) (>= (+ (+ ?v_136 ?v_122) (* 64 ?y1)) 94))))) (and (and (>= (+ (+ (+ (+ (+ (+ (* (- 87) ?y6) (* 70 ?y5)) ?v_203) ?v_127) (* (- 91) ?y2)) ?v_221) (* 5 x1)) 16) (> (+ (+ (+ (+ ?v_123 ?v_128) (* (- 36) ?y3)) (* (- 84) ?y2)) ?v_124) 18)) (<= (+ (+ (+ (+ (+ (* (- 64) ?y6) (* (- 37) ?y5)) (* (- 3) ?y3)) (* 29 ?y2)) (* (- 37) ?y1)) ?v_194) 0)))) (or (and (or (and (not (= (+ (+ (+ (+ (+ (* (- 73) ?y6) (* 26 ?y5)) ?v_149) ?v_125) ?v_126) ?v_150) (- 6))) (or (< (+ (+ (+ (+ ?v_226 (* 79 ?y4)) ?v_127) (* 87 ?y2)) (* (- 73) ?y1)) (- 74)) (not (= (+ (+ (+ (+ ?v_166 ?v_128) ?v_134) (* (- 2) ?y2)) ?v_129) 26)))) (or (<= (+ (+ (+ (+ (+ (* (- 81) ?y6) ?v_130) (* 41 ?y4)) ?v_114) (* 45 ?y2)) ?v_139) (- 19)) (< (+ (+ (+ (+ (* 75 ?y6) (* (- 10) ?y4)) (* 85 ?y2)) (* (- 2) ?y1)) ?v_178) 40))) (or (and (and (>= (+ (+ (+ (+ (* (- 66) ?y6) ?v_216) (* (- 20) ?y3)) (* (- 60) ?y2)) (* (- 48) x1)) 94) (< (+ (+ (+ (* 1 ?y6) ?v_161) ?v_151) (* 27 ?y3)) 46)) (or (<= (+ (+ (+ (+ (+ (* 30 ?y6) (* 11 ?y5)) (* (- 59) ?y4)) ?v_131) ?v_141) (* (- 11) x1)) 0) (<= (+ (+ (+ (+ ?v_132 (* (- 66) ?y4)) ?v_133) ?v_211) (* 88 x1)) 90))) (or (and (< (+ (+ (+ (* (- 31) ?y6) (* 44 ?y4)) (* 32 ?y3)) (* (- 96) ?y2)) (- 86)) (>= (+ (+ (+ (+ (+ ?v_224 (* (- 21) ?y5)) ?v_179) (* 77 ?y2)) (* 8 ?y1)) (* 23 x1)) (- 74))) (or (>= (+ (+ (+ (+ (+ ?v_222 (* (- 41) ?y5)) ?v_134) ?v_235) (* 49 ?y1)) (* 62 x1)) (- 83)) (<= (+ (+ (+ (+ (+ (* (- 96) ?y6) (* (- 50) ?y5)) (* (- 91) ?y4)) (* 15 ?y3)) ?v_135) (* (- 82) ?y1)) 42))))) (or (or (or (and (<= (+ (+ (+ (+ ?v_130 (* (- 41) ?y4)) ?v_164) (* 32 ?y1)) (* 39 x1)) 0) (= (+ (+ (* (- 50) ?y6) ?v_171) (* (- 7) ?y4)) (- 45))) (and (not (= (+ (+ (+ (+ (+ (+ ?v_136 (* (- 13) ?y5)) ?v_206) (* 79 ?y3)) (* (- 18) ?y2)) (* 28 ?y1)) (* 49 x1)) 0)) (not (= (+ (+ (+ (+ ?v_153 ?v_137) ?v_207) (* 12 ?y1)) ?v_124) 0)))) (<= (+ (+ (+ (* (- 69) ?y6) (* (- 86) ?y4)) ?v_138) (* (- 37) x1)) 0)) (or (or (>= (+ (+ (+ (* (- 60) ?y5) ?v_196) (* (- 75) ?y1)) ?v_139) (- 32)) (and (= (+ (+ (+ (+ (* 77 ?y6) ?v_140) (* (- 42) ?y4)) ?v_182) (* 38 ?y1)) (- 18)) (<= (+ (+ (+ (+ (* (- 83) ?y6) ?v_155) (* 89 ?y4)) (* (- 1) ?y1)) (* 98 x1)) 0))) (or (and (< (+ (+ (+ (* (- 6) ?y6) (* (- 12) ?y2)) ?v_233) (* (- 22) x1)) 16) (not (= (+ (+ (+ (+ (+ (* 13 ?y6) ?v_147) ?v_158) ?v_141) (* (- 92) ?y1)) ?v_142) 0))) (>= (+ (+ (+ (+ (* 64 ?y6) (* (- 87) ?y5)) ?v_210) (* (- 100) ?y2)) (* 14 ?y1)) (- 92))))))) (and (or (or (or (or (and (= (+ (+ (+ (* (- 48) ?y4) ?v_143) (* 41 ?y1)) (* (- 65) x1)) 57) (= (+ (+ (+ (+ (+ (* (- 60) ?y6) (* (- 3) ?y5)) (* 28 ?y4)) ?v_126) ?v_144) ?v_184) 6)) (or (= (+ (+ (+ (+ (* (- 39) ?y6) ?v_145) (* (- 77) ?y3)) ?v_191) (* (- 29) x1)) 75) (< (+ (+ ?v_123 (* 25 ?y1)) (* (- 96) x1)) 70))) (or (or (not (= (+ (+ (+ (+ (+ (+ (* 37 ?y6) (* 82 ?y5)) (* (- 81) ?y4)) ?v_199) ?v_187) (* (- 80) ?y1)) (* 82 x1)) 11)) (<= (+ (+ (+ (+ (* (- 97) ?y6) (* 71 ?y5)) ?v_146) ?v_237) (* (- 47) ?y1)) (- 63))) (or (<= (+ (+ (+ (+ (+ ?v_147 (* 96 ?y4)) (* (- 41) ?y3)) ?v_202) ?v_148) ?v_152) 0) (>= (+ (+ (+ (* (- 62) ?y6) (* 77 ?y3)) ?v_154) (* (- 93) x1)) 1)))) (or (and (not (= (+ (+ (+ (+ (+ (+ (* (- 48) ?y6) ?v_177) (* (- 97) ?y4)) ?v_227) (* (- 63) ?y2)) ?v_173) (* (- 70) x1)) (- 45))) (not (= (+ (+ (+ (* (- 34) ?y6) ?v_149) (* 63 ?y3)) ?v_150) 48))) (and (or (= (+ (+ (+ (* 9 ?y6) (* (- 68) ?y4)) (* (- 36) ?y2)) ?v_163) (- 90)) (= (+ (+ (+ (+ ?v_240 (* 38 ?y5)) ?v_151) (* 96 ?y3)) ?v_152) 96)) (and (not (= (+ (+ (+ (+ (+ (* 19 ?y6) ?v_153) (* 50 ?y4)) (* 100 ?y3)) ?v_154) (* (- 59) x1)) (- 94))) (= (+ (+ (+ (+ (+ (* (- 100) ?y6) ?v_155) (* 46 ?y4)) (* (- 54) ?y2)) ?v_236) (* 57 x1)) (- 42)))))) (and (or (and (and (or (>= (+ (+ (+ (+ (+ (* 93 ?y5) ?v_212) (* (- 42) ?y3)) ?v_159) (* 80 ?y1)) (* (- 60) x1)) (- 8)) (< (+ (+ (+ ?v_115 ?v_162) ?v_156) (* 33 x1)) (- 29))) (and (< (+ (+ (+ (+ (+ (* 67 ?y5) ?v_157) (* (- 10) ?y3)) ?v_228) (* (- 89) ?y1)) (* 60 x1)) 0) (< (+ (+ (+ (* (- 57) ?y6) (* 57 ?y4)) ?v_209) (* 36 x1)) 0))) (and (and (< (+ (+ (+ (+ (+ ?v_185 (* 34 ?y4)) ?v_158) ?v_159) (* 89 ?y1)) ?v_225) 67) (not (= (+ (+ (+ (+ (+ (* 51 ?y6) ?v_160) (* (- 88) ?y4)) (* (- 82) ?y3)) (* 76 ?y2)) (* 47 ?y1)) (- 90)))) (and (not (= (+ (+ (+ (+ (* (- 52) ?y6) ?v_161) ?v_162) (* (- 34) ?y2)) ?v_163) (- 21))) (< (+ (+ (+ (+ (+ ?v_218 (* (- 23) ?y5)) (* (- 84) ?y4)) ?v_164) (* (- 98) ?y2)) ?v_165) 0)))) (and (and (<= (+ (* 73 ?y2) (* 79 x1)) 36) (= (+ (+ (+ (+ ?v_169 (* (- 87) ?y3)) (* (- 97) ?y2)) ?v_195) (* (- 71) x1)) (- 84))) (or (not (= (+ (+ (+ (+ (+ (+ ?v_166 (* 37 ?y5)) (* 75 ?y4)) (* 72 ?y3)) ?v_167) ?v_204) (* (- 55) x1)) 11)) (= (+ (+ (+ (+ (* (- 68) ?y6) (* (- 80) ?y4)) (* (- 53) ?y3)) ?v_168) (* 47 x1)) 15)))) (and (or (and (< (+ (+ (+ ?v_192 (* (- 12) ?y5)) ?v_145) ?v_142) 34) (<= (+ (+ (+ (+ (* (- 51) ?y5) ?v_169) ?v_133) ?v_170) (* 82 ?y1)) 0)) (and (or (< (+ (+ (+ ?v_171 (* 35 ?y4)) ?v_172) ?v_173) 0) (not (= (+ (+ (+ (+ (* 28 ?y6) ?v_140) (* 57 ?y3)) (* (- 17) ?y2)) ?v_183) (- 66)))) (and (= (+ (+ (+ (+ (+ ?v_174 ?v_116) (* 25 ?y4)) (* 29 ?y3)) ?v_175) (* 55 x1)) 0) (>= (+ (+ (+ (+ (+ (* 65 ?y6) (* (- 17) ?y5)) ?v_176) (* 54 ?y2)) (* (- 90) ?y1)) (* (- 10) x1)) (- 2))))) (or (or (= (+ (+ (+ ?v_177 (* (- 33) ?y2)) (* 66 ?y1)) (* 21 x1)) 75) (< (+ (+ (+ (* (- 12) ?y6) ?v_201) (* 87 ?y1)) ?v_178) (- 77))) (or (< (+ (+ (+ (+ (+ (+ (* (- 77) ?y6) (* 35 ?y5)) (* (- 67) ?y4)) ?v_179) ?v_180) ?v_181) (* 97 x1)) (- 65)) (or (<= (+ (+ (+ (+ ?v_219 (* (- 62) ?y5)) ?v_151) ?v_182) (* 43 ?y2)) (- 76)) (<= (+ (+ (+ (+ (+ (+ (* (- 9) ?y6) (* 61 ?y5)) (* 27 ?y4)) (* 26 ?y3)) (* 21 ?y2)) ?v_183) ?v_184) 38))))))) (or (or (and (and (or (and (> (+ (+ (+ (+ (+ ?v_185 ?v_145) ?v_186) ?v_187) ?v_188) (* (- 32) x1)) 0) (not (= (+ (+ (+ (+ ?v_189 (* 50 ?y5)) (* 4 ?y4)) (* (- 16) ?y2)) (* 63 ?y1)) 60))) (and (< (+ (+ (+ (+ (+ (* (- 28) ?y6) (* (- 15) ?y4)) (* 39 ?y3)) ?v_232) ?v_190) (* 46 x1)) 70) (>= (+ (+ (+ ?v_200 ?v_193) (* 34 ?y2)) ?v_191) (- 35)))) (and (<= (+ (+ (+ (+ (+ ?v_192 ?v_208) ?v_193) (* (- 21) ?y2)) (* (- 31) ?y1)) ?v_194) 0) (= (+ (+ (+ (+ (* 66 ?y6) (* 81 ?y5)) (* 46 ?y3)) (* (- 48) ?y2)) (* (- 72) ?y1)) (- 93)))) (and (and (= (+ (+ (+ (+ (+ (* (- 13) ?y6) (* (- 68) ?y5)) (* 72 ?y4)) (* 5 ?y3)) (* (- 55) ?y1)) (* 64 x1)) 0) (and (<= (+ (+ (+ (+ (+ (+ (* 17 ?y6) (* 75 ?y5)) (* 32 ?y4)) (* (- 67) ?y3)) (* 81 ?y2)) (* (- 29) ?y1)) (* 42 x1)) (- 85)) (<= (+ (+ (+ (* 26 ?y6) (* (- 66) ?y3)) ?v_195) (* 25 x1)) 86))) (or (or (< (+ (+ (+ (+ (+ (+ (* 8 ?y6) (* (- 67) ?y5)) ?v_196) ?v_197) (* 30 ?y2)) (* (- 70) ?y1)) (* (- 67) x1)) 0) (> (+ (+ (+ (+ ?v_231 (* 22 ?y5)) (* (- 40) ?y4)) (* (- 14) ?y2)) ?v_198) 90)) (or (> (+ (+ (+ (* (- 63) ?y6) ?v_199) (* 6 ?y1)) (* (- 75) x1)) (- 51)) (<= (+ (+ (+ (+ (+ (* 24 ?y6) ?v_200) ?v_201) ?v_214) (* (- 98) ?y1)) (* 83 x1)) 2))))) (or (or (and (> (+ (+ (+ (+ (+ (* (- 72) ?y6) ?v_185) (* (- 74) ?y4)) (* 81 ?y3)) ?v_202) (* (- 64) ?y1)) (- 7)) (= (+ (+ (+ (+ (+ (+ (* (- 19) ?y6) (* 8 ?y5)) ?v_203) ?v_223) (* 96 ?y2)) ?v_204) ?v_205) (- 78))) (or (>= (+ (+ (+ (+ (+ (* 23 ?y6) (* 53 ?y5)) ?v_206) ?v_207) (* 17 ?y1)) ?v_215) 0) (<= (+ (+ (+ (+ (* 78 ?y6) ?v_119) (* (- 45) ?y4)) (* 55 ?y1)) ?v_229) 0))) (or (> (+ (+ (+ (* 96 ?y5) ?v_208) ?v_209) (* (- 100) ?y1)) 0) (and (= ?v_210 3) (= (+ (+ (+ (* (- 75) ?y6) ?v_211) (* 76 ?y1)) ?v_142) (- 48)))))) (and (and (or (and (or (= (+ (+ (+ (+ (+ (* (- 99) ?y6) ?v_212) ?v_213) ?v_214) (* (- 87) ?y1)) (* 43 x1)) 0) (> (+ (+ (+ (+ (+ ?v_116 (* (- 55) ?y4)) ?v_133) (* 16 ?y2)) (* (- 51) ?y1)) ?v_215) 0)) (or (< (+ (+ (+ (+ (+ ?v_216 ?v_217) (* 47 ?y3)) (* (- 49) ?y2)) (* 61 ?y1)) (* 77 x1)) 0) (<= (+ (+ (+ ?v_218 (* (- 69) ?y5)) (* (- 91) ?y3)) (* 79 ?y2)) (- 94)))) (or (and (= (+ (+ (+ (+ (* (- 27) ?y6) (* 3 ?y5)) (* 85 ?y3)) (* (- 70) ?y2)) (* (- 47) x1)) 0) (> (+ (+ (+ (+ (+ ?v_219 (* (- 94) ?y5)) (* 23 ?y4)) (* 3 ?y3)) ?v_220) ?v_221) 0)) (and (<= (+ (+ (+ (+ (+ ?v_222 ?v_200) (* (- 77) ?y4)) ?v_223) (* (- 59) ?y1)) (* 3 x1)) 71) (= (+ (+ (+ (+ (+ (+ ?v_224 (* (- 35) ?y5)) (* (- 29) ?y4)) ?v_127) (* (- 10) ?y2)) (* (- 61) ?y1)) ?v_225) (- 100))))) (and (and (and (<= (+ (+ (+ (+ (+ (+ ?v_226 (* 6 ?y5)) (* 99 ?y4)) ?v_227) ?v_228) (* 52 ?y1)) ?v_229) 44) (<= (+ (+ (* 52 ?y5) (* (- 13) ?y3)) (* 66 ?y2)) (- 91))) (= (+ (+ (+ (+ (* (- 49) ?y6) ?v_230) ?v_234) (* (- 94) ?y2)) (* 91 ?y1)) 48)) (or (and (>= (+ (+ (+ (+ (+ ?v_231 (* (- 36) ?y5)) (* 82 ?y3)) ?v_232) ?v_233) (* 7 x1)) (- 41)) (< (+ (+ (+ (+ (+ (+ (* (- 26) ?y6) (* (- 98) ?y5)) (* 39 ?y4)) ?v_234) ?v_235) ?v_236) (* (- 8) x1)) 97)) (and (>= (+ (+ (+ (* (- 14) ?y4) ?v_237) ?v_238) (* 65 x1)) 22) (= (+ (+ (+ (+ (* 48 ?y6) (* (- 77) ?y5)) (* (- 75) ?y4)) (* (- 76) ?y3)) (* 33 ?y2)) (- 91)))))) (and (>= (+ (+ (+ (+ (+ (+ (* (- 24) ?y6) (* (- 93) ?y5)) (* 97 ?y4)) (* (- 60) ?y3)) (* (- 42) ?y2)) ?v_239) (* (- 94) x1)) (- 17)) (= (+ (+ (+ (+ (+ ?v_240 (* 65 ?y5)) (* 84 ?y4)) (* (- 84) ?y3)) (* (- 1) ?y2)) (* 76 x1)) 27))))))))))) (forall ((?y4 Real)) (exists ((?y5 Real)) (let ((?v_269 (* 33 x1)) (?v_246 (* 48 ?y2)) (?v_262 (* 12 ?y1)) (?v_270 (* 89 ?y1)) (?v_268 (* 79 ?y2)) (?v_247 (* 32 ?y4)) (?v_241 (* 61 ?y5)) (?v_242 (* 73 ?y4)) (?v_273 (* 67 ?y2)) (?v_271 (* 69 ?y5)) (?v_274 (* 56 ?y5)) (?v_253 (* 16 ?y5)) (?v_248 (* 14 ?y2)) (?v_255 (* 81 ?y4)) (?v_263 (* 5 ?y1)) (?v_260 (* 96 ?y1)) (?v_267 (* 45 ?y4)) (?v_264 (* 2 ?y2)) (?v_254 (* 7 ?y1)) (?v_259 (* 52 ?y4)) (?v_251 (* (- 15) x1)) (?v_245 (* (- 73) ?y1)) (?v_275 (* (- 2) ?y1)) (?v_261 (* (- 59) ?y1)) (?v_258 (* (- 47) ?y2)) (?v_256 (* (- 11) ?y2)) (?v_266 (* (- 77) ?y4)) (?v_244 (* (- 54) ?y1)) (?v_243 (* (- 49) ?y5)) (?v_252 (* (- 81) ?y2)) (?v_249 (* (- 64) ?y4)) (?v_250 (* (- 86) ?y1)) (?v_265 (* (- 31) ?y5)) (?v_257 (* (- 14) ?y5)) (?v_272 (* (- 81) ?y4))) (and (or (or (and (or (and (>= (+ ?v_247 (* (- 91) ?y2)) (- 32)) (or (not (= (+ (* (- 52) ?y5) (* 63 ?y4)) 0)) (< (+ (+ (+ (+ (* 1 ?y5) (* 6 ?y4)) (* (- 29) ?y2)) (* 78 ?y1)) (* (- 14) x1)) 94))) (or (or (and (not (= (+ (+ (+ (+ (* (- 61) ?y5) (* (- 67) ?y4)) (* (- 2) ?y2)) (* (- 77) ?y1)) ?v_269) 99)) (< (+ (+ (+ ?v_241 ?v_242) (* (- 92) ?y1)) (* 55 x1)) 0)) (and (>= (+ (+ (+ (+ (* 63 ?y5) (* 25 ?y4)) (* 53 ?y2)) (* (- 62) ?y1)) (* (- 8) x1)) 100) (= (+ (+ (* 65 ?y4) (* (- 97) ?y2)) (* (- 72) x1)) (- 76)))) (or (and (> (+ (+ (+ (* (- 58) ?y5) (* (- 65) ?y4)) (* (- 61) ?y1)) (* (- 79) x1)) 0) (not (= (+ (+ (+ ?v_241 (* (- 23) ?y4)) ?v_246) (* (- 39) ?y1)) (- 9)))) (> (+ (+ (+ (* 38 ?y5) (* 28 ?y2)) (* 69 ?y1)) (* (- 39) x1)) 23)))) (or (and (> (+ (+ (+ (* 78 ?y5) (* 77 ?y4)) (* (- 26) ?y2)) (* (- 51) x1)) (- 33)) (or (>= (+ (* 16 ?y1) (* 77 x1)) 0) (>= (+ (+ (* 44 ?y5) ?v_258) (* 20 ?y1)) 0))) (and (or (> (+ (* (- 29) ?y1) (* (- 59) x1)) 47) (not (= (+ (+ (+ (* (- 23) ?y5) (* (- 37) ?y4)) (* 37 ?y1)) (* (- 92) x1)) 0))) (and (= (+ (* (- 26) ?y4) ?v_256) (- 90)) (>= (+ (+ (+ (* (- 6) ?y5) ?v_273) (* 30 ?y1)) (* 22 x1)) 0))))) (or (or (or (= (+ (+ ?v_271 ?v_266) (* 52 ?y1)) 5) (or (not (= (+ (+ (+ ?v_242 (* (- 38) ?y2)) ?v_244) (* (- 78) x1)) 0)) (<= (+ (+ (+ ?v_274 (* 84 ?y4)) ?v_245) (* 5 x1)) 0))) (or (or (or (= (+ (+ (* 71 ?y4) (* 48 ?y1)) (* (- 37) x1)) (- 19)) (< (+ (+ (+ (+ ?v_253 (* (- 32) ?y4)) ?v_268) (* 54 ?y1)) (* (- 80) x1)) (- 92))) (or (>= (+ (+ (+ (+ ?v_243 (* 4 ?y4)) ?v_248) (* 51 ?y1)) (* 16 x1)) (- 80)) (> (+ (+ (+ (+ (* (- 99) ?y5) ?v_255) (* 99 ?y2)) (* 28 ?y1)) (* (- 62) x1)) 51))) (or (> (+ (+ (+ (* (- 60) ?y5) (* (- 76) ?y4)) (* (- 49) ?y2)) (* 2 x1)) (- 70)) (> (+ (+ (+ (+ ?v_243 (* (- 84) ?y4)) (* (- 21) ?y2)) (* (- 34) ?y1)) (* (- 76) x1)) 65)))) (and (or (or (and (> (+ (+ (* 72 ?y4) (* 46 ?y2)) (* (- 54) x1)) 0) (<= (+ (* (- 34) ?y4) (* (- 51) ?y1)) 44)) (or (= (+ (+ (* (- 51) ?y5) (* (- 50) ?y2)) (* 29 x1)) 38) (<= (+ (+ (* 33 ?y5) (* (- 62) ?y4)) ?v_251) (- 7)))) (and (or (<= (+ (+ (+ (* 50 ?y4) ?v_252) ?v_244) (* (- 16) x1)) (- 82)) (< (+ (+ (+ (+ (* (- 38) ?y5) (* 94 ?y4)) (* (- 63) ?y2)) ?v_245) (* (- 83) x1)) 0)) (or (> (+ (+ (* (- 26) ?y5) (* 9 ?y4)) (* (- 68) ?y1)) 0) (> (+ (+ (+ (* (- 93) ?y4) ?v_246) (* 31 ?y1)) (* 42 x1)) (- 21))))) (or (and (and (<= (+ (+ (+ (+ (* 93 ?y5) ?v_247) (* 82 ?y2)) (* (- 75) ?y1)) (* (- 75) x1)) (- 97)) (not (= (+ (+ (* 46 ?y5) ?v_249) ?v_250) (- 72)))) (or (< (+ (+ (* 69 ?y2) (* (- 57) ?y1)) (* (- 87) x1)) (- 20)) (<= (+ (+ (+ ?v_265 (* 21 ?y4)) (* 6 ?y2)) (* 27 x1)) 44))) (or (not (= (+ (+ (+ (* 45 ?y5) (* (- 90) ?y4)) ?v_263) (* 36 x1)) 0)) (<= (+ (+ (+ (+ (* (- 56) ?y5) (* (- 79) ?y4)) ?v_248) ?v_261) (* 46 x1)) (- 36))))))) (or (and (and (or (and (and (> (+ (+ (+ (* (- 90) ?y5) (* (- 12) ?y4)) ?v_260) (* 76 x1)) 51) (<= (+ (+ (+ ?v_267 ?v_264) (* 45 ?y1)) (* 28 x1)) (- 16))) (and (>= (+ (+ (+ (+ ?v_257 (* 10 ?y4)) (* 37 ?y2)) (* 40 ?y1)) (* 35 x1)) (- 32)) (> (+ (+ (+ (+ (* (- 13) ?y5) ?v_249) (* (- 84) ?y2)) ?v_254) (* 9 x1)) 0))) (and (= (+ (+ (+ (* 69 ?y4) (* (- 73) ?y2)) ?v_250) ?v_251) (- 54)) (<= (+ (+ (+ (* (- 84) ?y5) (* 58 ?y4)) (* 10 ?y1)) (* (- 91) x1)) 63))) (and (and (>= (+ (+ (+ (* (- 82) ?y4) (* (- 39) ?y2)) (* 87 ?y1)) ?v_251) 0) (< (+ ?v_259 ?v_252) 22)) (and (= (+ (+ (+ (* (- 69) ?y5) (* (- 1) ?y4)) (* (- 9) ?y1)) (* (- 52) x1)) (- 87)) (< (+ ?v_253 ?v_254) (- 32))))) (or (and (and (and (<= (+ (+ ?v_255 (* (- 88) ?y2)) (* 55 ?y1)) 77) (>= (+ (+ (+ (* (- 62) ?y5) (* (- 36) ?y4)) ?v_256) (* 94 x1)) (- 23))) (> (+ (+ (* (- 21) ?y5) (* 12 ?y4)) (* 8 ?y1)) 77)) (or (or (< (+ (+ ?v_257 (* (- 84) ?y1)) (* (- 82) x1)) (- 11)) (> (+ (+ ?v_258 (* (- 16) ?y1)) (* (- 63) x1)) 0)) (or (<= (+ (+ (+ (+ (* (- 37) ?y5) ?v_259) (* (- 32) ?y2)) (* 36 ?y1)) (* (- 28) x1)) 59) (< (+ (+ (* (- 29) ?y4) ?v_262) (* (- 10) x1)) 0)))) (and (or (or (< (+ (+ (+ (* (- 7) ?y5) (* 83 ?y2)) (* (- 90) ?y1)) (* (- 61) x1)) 46) (>= (+ (+ (* 95 ?y5) ?v_260) (* (- 70) x1)) (- 2))) (or (<= (+ (+ (+ (* (- 80) ?y5) (* 82 ?y4)) (* (- 89) ?y2)) ?v_261) (- 73)) (not (= (* (- 22) ?y1) (- 33))))) (and (and (>= (+ (+ (+ (+ (* 5 ?y5) (* 3 ?y4)) (* (- 34) ?y2)) ?v_262) (* (- 21) x1)) (- 68)) (< (+ (+ (+ (* 24 ?y5) (* 24 ?y4)) (* 7 ?y2)) (* 72 x1)) 0)) (<= (+ (+ (+ (* (- 53) ?y5) (* (- 88) ?y4)) (* (- 42) ?y2)) ?v_263) 0))))) (or (or (< (+ (+ (+ (+ (* 53 ?y5) (* (- 60) ?y4)) ?v_264) (* (- 35) ?y1)) (* (- 42) x1)) (- 86)) (and (and (>= (+ (+ (+ (+ (* (- 28) ?y5) ?v_272) (* 25 ?y2)) ?v_270) (* (- 100) x1)) 1) (= (+ (+ (+ ?v_265 (* 47 ?y2)) (* (- 7) ?y1)) (* (- 96) x1)) (- 63))) (or (<= (+ (+ ?v_266 (* (- 19) ?y2)) (* 75 x1)) 0) (> (+ (+ ?v_267 ?v_268) ?v_269) (- 52))))) (and (and (or (< (+ (* (- 1) ?y2) ?v_270) 79) (> (+ (+ (+ ?v_271 (* 17 ?y2)) ?v_275) (* (- 18) x1)) 38)) (or (<= (+ (+ (+ (* 32 ?y5) ?v_272) ?v_273) (* (- 44) x1)) (- 12)) (>= (+ (+ (+ (+ ?v_274 ?v_242) (* 63 ?y2)) ?v_275) (* 25 x1)) (- 20)))) (or (< (+ (+ (+ (* 34 ?y5) (* (- 99) ?y2)) (* 61 ?y1)) (* 14 x1)) 0) (> (+ (+ (* 85 ?y4) (* 100 ?y2)) (* (- 48) ?y1)) 0)))))) (forall ((?y6 Real)) (let ((?v_305 (* 95 x1)) (?v_284 (* 74 x1)) (?v_276 (* 24 x1)) (?v_291 (* 82 ?y1)) (?v_283 (* 94 ?y4)) (?v_277 (* 95 ?y6)) (?v_278 (* 61 ?y6)) (?v_290 (* 53 ?y4)) (?v_285 (* 22 ?y6)) (?v_295 (* 81 ?y1)) (?v_292 (* 76 ?y6)) (?v_296 (* 91 ?y6)) (?v_297 (* (- 41) x1)) (?v_289 (* (- 40) x1)) (?v_301 (* (- 77) x1)) (?v_280 (* (- 17) ?y1)) (?v_300 (* (- 91) ?y1)) (?v_281 (* (- 14) ?y2)) (?v_282 (* (- 6) ?y5)) (?v_304 (* (- 50) ?y2)) (?v_279 (* (- 98) ?y4)) (?v_286 (* (- 68) ?y5)) (?v_288 (* (- 20) ?y1)) (?v_302 (* (- 83) ?y6)) (?v_298 (* (- 1) ?y6)) (?v_299 (* (- 30) ?y6)) (?v_293 (* (- 2) ?y6)) (?v_287 (* (- 90) ?y2)) (?v_303 (* (- 96) ?y4)) (?v_294 (* (- 65) ?y2))) (and (and (or (and (and (and (>= (+ (+ (+ (+ ?v_277 (* (- 37) ?y5)) (* (- 74) ?y4)) (* 41 ?y1)) (* (- 42) x1)) 37) (<= (+ (+ (* (- 20) ?y6) (* (- 98) ?y5)) (* (- 78) ?y4)) (- 28))) (> (+ (+ (+ (+ (* 34 ?y5) (* (- 23) ?y4)) (* 65 ?y2)) (* (- 24) ?y1)) ?v_276) 11)) (or (not (= (+ (+ (+ (+ (+ (* 51 ?y6) (* 21 ?y5)) (* (- 88) ?y4)) (* 8 ?y2)) (* (- 57) ?y1)) (* (- 45) x1)) (- 46))) (= (+ (+ (+ (* 57 ?y6) (* 66 ?y5)) ?v_279) (* 13 ?y2)) (- 54)))) (or (or (and (< (+ (* (- 71) ?y6) (* 83 x1)) 0) (<= (+ (+ (* (- 24) ?y6) ?v_256) (* 8 x1)) (- 55))) (<= (+ (+ (+ (+ (* (- 33) ?y6) (* (- 55) ?y4)) (* 62 ?y2)) ?v_263) (* (- 91) x1)) 39)) (or (and (< (+ (+ (+ ?v_286 (* (- 46) ?y2)) (* 43 ?y1)) (* 94 x1)) 0) (< (+ (+ (+ (+ (+ (* 47 ?y6) (* 27 ?y5)) (* 71 ?y4)) (* (- 31) ?y2)) (* (- 26) ?y1)) (* (- 7) x1)) (- 35))) (<= (+ (+ (+ (+ (+ (* 44 ?y6) (* (- 20) ?y5)) (* 98 ?y4)) (* (- 41) ?y2)) ?v_288) (* (- 25) x1)) (- 96))))) (and (or (or (or (= (+ (+ (+ (+ ?v_302 (* 11 ?y5)) (* (- 58) ?y4)) ?v_304) (* 81 x1)) 50) (not (= (+ (+ (+ (+ (* (- 21) ?y5) (* (- 75) ?y4)) (* 21 ?y2)) (* (- 29) ?y1)) (* (- 92) x1)) 51))) (<= (+ (+ (* (- 10) ?y5) (* 80 ?y4)) (* 78 x1)) 0)) (and (and (> (+ (+ (+ (+ (* 94 ?y5) (* 20 ?y4)) (* (- 83) ?y2)) (* (- 23) ?y1)) ?v_276) 0) (<= (+ (+ (+ (+ (* (- 53) ?y6) (* (- 17) ?y5)) (* (- 23) ?y2)) (* 93 ?y1)) (* 52 x1)) 59)) (or (<= (+ (+ (+ (+ (* (- 14) ?y6) (* (- 32) ?y5)) (* 98 ?y2)) ?v_250) (* 19 x1)) (- 73)) (not (= (+ (+ (+ ?v_278 (* 16 ?y4)) (* 28 ?y1)) (* (- 34) x1)) (- 18)))))) (or (or (>= (+ (+ (+ (* (- 74) ?y6) (* (- 28) ?y5)) (* 65 ?y4)) (* (- 48) ?y1)) 0) (>= (+ (+ (+ ?v_298 (* 6 ?y5)) ?v_259) (* 86 x1)) 0)) (and (>= (+ (+ (+ (+ (* 60 ?y6) (* 77 ?y5)) (* (- 40) ?y4)) (* 74 ?y1)) (* 34 x1)) (- 2)) (>= (+ (+ (+ (+ (+ ?v_277 (* (- 81) ?y5)) (* (- 85) ?y4)) (* 1 ?y2)) ?v_291) (* 38 x1)) 0))))) (and (and (and (and (and (or (= (+ (+ (+ (+ (+ (* (- 69) ?y6) (* 25 ?y5)) (* (- 44) ?y4)) (* 28 ?y2)) (* 40 ?y1)) (* 22 x1)) (- 24)) (= (+ (+ (+ (+ (* (- 34) ?y5) (* (- 10) ?y4)) (* 6 ?y2)) (* 15 ?y1)) (* (- 65) x1)) (- 21))) (not (= (+ (+ (+ (* (- 28) ?y4) (* (- 21) ?y2)) (* (- 92) ?y1)) ?v_284) 12))) (and (and (not (= (+ (+ (+ ?v_278 (* 98 ?y5)) (* 99 ?y2)) (* (- 20) x1)) 59)) (= (+ (+ (+ (+ (+ ?v_277 (* 62 ?y5)) ?v_283) (* (- 10) ?y2)) (* (- 94) ?y1)) (* (- 24) x1)) 18)) (or (= (+ (* (- 19) ?y6) (* (- 4) ?y5)) (- 15)) (< (+ (+ (+ (+ ?v_299 (* (- 33) ?y5)) (* 5 ?y4)) ?v_281) (* (- 93) x1)) 79)))) (and (and (or (<= (+ (+ ?v_279 (* 17 ?y2)) ?v_297) (- 96)) (> (+ (+ (+ (+ ?v_293 (* (- 48) ?y5)) ?v_290) ?v_287) ?v_289) 68)) (= (+ (+ (+ (+ (+ ?v_285 (* 9 ?y5)) (* (- 8) ?y4)) (* (- 35) ?y2)) ?v_280) ?v_305) (- 16))) (and (or (< (+ (+ (+ (+ (* 15 ?y5) (* (- 1) ?y4)) (* (- 74) ?y2)) (* (- 46) ?y1)) (* (- 95) x1)) 55) (not (= (+ (+ (* (- 35) ?y4) (* (- 93) ?y2)) ?v_295) 0))) (and (> (+ (+ (+ (+ (+ ?v_292 ?v_282) (* 86 ?y4)) (* (- 68) ?y2)) ?v_280) (* 64 x1)) (- 49)) (= (+ (+ (+ (+ (* (- 23) ?y6) (* (- 50) ?y5)) ?v_281) (* (- 37) ?y1)) (* (- 81) x1)) 78))))) (and (or (or (or (< (+ (+ (+ (* 49 ?y4) (* 4 ?y2)) (* 25 ?y1)) (* 44 x1)) (- 95)) (= (+ (+ (+ (+ (* (- 13) ?y6) ?v_282) ?v_303) (* 83 ?y1)) (* (- 94) x1)) (- 24))) (not (= (+ (+ (+ (* 62 ?y4) (* (- 95) ?y2)) (* 16 ?y1)) (* (- 83) x1)) 66))) (or (or (< (+ (+ (+ (* (- 13) ?y5) ?v_283) (* (- 69) ?y2)) (* (- 32) x1)) 31) (> (+ (+ (+ (* (- 66) ?y6) (* 10 ?y4)) (* (- 91) ?y2)) ?v_284) (- 85))) (or (< (+ (+ ?v_285 (* (- 58) ?y5)) (* 14 x1)) (- 59)) (<= (+ (+ (+ (+ (* 77 ?y6) (* 8 ?y4)) ?v_248) (* (- 80) ?y1)) (* (- 13) x1)) 0)))) (or (and (>= (+ (+ (+ (* 4 ?y6) (* 63 ?y5)) (* (- 14) ?y4)) (* 49 ?y2)) (- 74)) (and (>= (+ (+ (+ (* (- 94) ?y6) (* (- 42) ?y4)) ?v_294) (* 56 ?y1)) 0) (<= (+ (+ (+ (+ (* (- 7) ?y6) ?v_286) ?v_287) ?v_288) ?v_289) 0))) (and (and (> (+ (* 52 ?y2) (* (- 49) x1)) 83) (<= (+ (+ (+ ?v_277 ?v_274) ?v_290) (* (- 50) ?y1)) 0)) (and (= (+ (+ (+ (+ (* (- 94) ?y5) (* 78 ?y4)) (* (- 82) ?y2)) (* 18 ?y1)) ?v_301) 90) (<= (+ (* 8 ?y6) ?v_291) (- 27))))))) (or (or (or (>= (+ (+ ?v_292 (* 75 ?y5)) (* (- 51) x1)) 0) (> (+ (+ (+ ?v_293 ?v_294) (* 48 ?y1)) (* 47 x1)) 11)) (and (not (= (+ (+ (+ (+ ?v_296 (* 99 ?y4)) (* (- 76) ?y2)) ?v_295) (* (- 35) x1)) 0)) (>= (+ (+ (+ (+ ?v_296 (* 81 ?y5)) (* 89 ?y4)) (* 9 ?y1)) ?v_297) (- 32)))) (or (or (or (and (not (= (+ (+ (+ (+ ?v_298 (* 97 ?y5)) (* (- 32) ?y4)) ?v_300) (* (- 3) x1)) 0)) (<= (+ (+ (+ ?v_299 (* (- 83) ?y5)) (* (- 6) ?y4)) (* (- 88) x1)) 0)) (and (<= (+ (+ (+ (+ (* 36 ?y5) (* 97 ?y4)) ?v_268) (* 75 ?y1)) (* 99 x1)) 0) (= (+ (+ (+ (+ (+ (* (- 67) ?y6) (* 44 ?y5)) (* (- 25) ?y4)) (* (- 100) ?y2)) ?v_300) (* 91 x1)) 90))) (or (and (> (+ (+ (+ (* (- 58) ?y6) (* 70 ?y5)) (* (- 20) ?y2)) ?v_301) 29) (> (+ (+ (+ (+ (* (- 89) ?y5) (* (- 99) ?y4)) (* (- 49) ?y2)) ?v_288) (* (- 76) x1)) (- 61))) (or (< (+ (+ (+ ?v_302 (* 44 ?y4)) (* (- 68) ?y1)) (* (- 73) x1)) (- 11)) (> (+ (+ (+ (* 70 ?y6) (* 32 ?y5)) ?v_303) (* (- 7) ?y2)) (- 19))))) (or (and (<= (+ (+ (+ (+ (* 66 ?y6) (* (- 2) ?y5)) (* 30 ?y4)) (* 82 ?y2)) (* 60 ?y1)) (- 70)) (< (+ (* 13 ?y4) (* (- 63) ?y2)) 0)) (or (= (+ (+ (+ (+ (* (- 9) ?y6) (* (- 39) ?y4)) ?v_304) (* (- 82) ?y1)) ?v_305) (- 82)) (<= (+ (+ (* 59 ?y5) (* (- 65) ?y4)) ?v_276) 50))))))))))))))))))
(check-sat)
(exit)
