(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun y3 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y2 () Real)
(declare-fun y4 () Real)
(assert (and (forall ((?y3 Real)) (forall ((?y5 Real)) (and (exists ((?y6 Real)) (let ((?v_6 (* 60 x1)) (?v_3 (* 83 x1)) (?v_4 (* 98 x1)) (?v_8 (* 49 ?y6)) (?v_5 (* 93 ?y5)) (?v_12 (* 9 ?y6)) (?v_20 (* 36 ?y5)) (?v_1 (* 59 ?y3)) (?v_7 (* 4 x1)) (?v_9 (* 46 ?y5)) (?v_14 (* 53 x1)) (?v_17 (* 31 ?y5)) (?v_16 (* 93 ?y3)) (?v_13 (* 24 ?y6)) (?v_18 (* 82 ?y6)) (?v_15 (* 54 x1)) (?v_2 (* (- 35) ?y5)) (?v_0 (* (- 99) x1)) (?v_11 (* (- 62) x1)) (?v_10 (* (- 31) ?y3)) (?v_19 (* (- 66) ?y5)) (?v_21 (* (- 91) ?y3))) (and (or (or (and (and (>= (+ (+ (* (- 33) ?y6) (* (- 16) ?y5)) (* 75 ?y3)) 94) (and (and (> (+ (+ (+ (* (- 29) ?y6) (* 23 ?y5)) (* (- 95) ?y3)) ?v_6) 0) (not (= (+ (* 65 ?y5) (* (- 77) ?y3)) 24))) (and (<= (+ (* 76 ?y3) ?v_3) 56) (> (+ ?v_2 ?v_4) (- 93))))) (or (or (or (<= (+ (+ (* (- 59) ?y5) (* 3 ?y3)) ?v_0) (- 64)) (<= (+ (+ (+ (* 26 ?y6) (* 76 ?y5)) (* (- 41) ?y3)) (* 33 x1)) (- 88))) (and (> (+ (+ (* 61 ?y5) (* 2 ?y3)) ?v_0) 0) (not (= (+ (+ (* (- 82) ?y6) (* 47 ?y3)) ?v_11) (- 6))))) (or (> (+ (+ (+ ?v_8 (* 63 ?y5)) (* (- 81) ?y3)) (* 77 x1)) (- 73)) (<= (+ (+ (* (- 41) ?y6) (* 74 ?y5)) (* (- 21) ?y3)) 0)))) (and (and (and (and (not (= (+ (+ (* (- 93) ?y6) (* 73 ?y3)) (* 51 x1)) 87)) (= (* (- 32) x1) 50)) (or (>= (+ (+ (* 15 ?y6) (* 33 ?y5)) (* 57 ?y3)) 58) (< (+ ?v_5 (* (- 43) x1)) 0))) (or (and (>= (+ (+ (+ (* (- 10) ?y6) (* 17 ?y5)) (* (- 56) ?y3)) (* (- 69) x1)) 94) (>= (+ (+ ?v_12 ?v_20) (* 32 ?y3)) 100)) (or (> (+ (+ (* 25 ?y6) (* (- 20) ?y3)) (* (- 51) x1)) 0) (>= (+ (+ (* (- 79) ?y6) ?v_1) (* 88 x1)) 49)))) (or (and (= (+ (+ (+ (* 63 ?y6) (* (- 83) ?y5)) ?v_1) (* (- 8) x1)) 75) (< (+ (+ (+ (* 2 ?y6) (* 44 ?y5)) (* (- 53) ?y3)) ?v_7) 100)) (and (and (= (+ (+ (+ (* (- 17) ?y6) ?v_2) (* (- 12) ?y3)) ?v_3) 0) (>= (+ ?v_10 (* (- 31) x1)) 91)) (and (= (+ (+ (+ (* (- 81) ?y6) (* (- 5) ?y5)) (* 4 ?y3)) ?v_4) 0) (<= (+ (* (- 7) ?y5) (* (- 90) ?y3)) 2)))))) (and (and (or (and (< (+ (+ (* 84 ?y6) ?v_9) (* 84 x1)) 49) (>= (+ (+ ?v_5 (* 16 ?y3)) (* 93 x1)) 0)) (or (or (= (+ (+ (+ (* 7 ?y6) (* 37 ?y5)) (* 80 ?y3)) (* 94 x1)) 8) (< (+ (+ (+ (* (- 16) ?y6) (* (- 57) ?y5)) (* (- 93) ?y3)) (* 52 x1)) 0)) (or (> (+ (+ (* 72 ?y6) (* 6 ?y3)) ?v_14) (- 36)) (< (+ ?v_17 (* (- 18) x1)) 1)))) (or (and (and (> (+ (+ (* 27 ?y5) ?v_16) ?v_6) (- 12)) (not (= (+ (+ (* (- 61) ?y6) (* (- 70) ?y3)) (* (- 55) x1)) (- 12)))) (or (<= (+ (* (- 12) ?y5) (* (- 48) ?y3)) (- 19)) (= (+ (+ (* 18 ?y6) (* (- 23) ?y5)) ?v_7) 29))) (and (and (> (* (- 43) ?y3) 93) (< (+ (+ ?v_8 (* 35 ?y3)) (* 57 x1)) (- 20))) (or (<= (+ (+ (+ (* 67 ?y6) ?v_9) ?v_10) (* 92 x1)) (- 76)) (not (= (+ (+ (+ (* (- 70) ?y6) (* (- 52) ?y5)) (* 40 ?y3)) (* (- 92) x1)) 45)))))) (or (and (and (and (= (+ (+ ?v_13 (* (- 79) ?y5)) (* 21 ?y3)) 68) (>= (+ (+ (* 28 ?y6) (* 70 ?y5)) ?v_11) (- 68))) (or (not (= (+ (+ (* 49 ?y5) (* (- 89) ?y3)) (* 11 x1)) (- 78))) (= (+ (+ (* (- 1) ?y6) (* (- 4) ?y5)) (* 46 x1)) 59))) (or (and (= (+ (+ (* (- 97) ?y5) (* 84 ?y3)) (* (- 59) x1)) 0) (< (+ (+ (+ ?v_12 (* (- 41) ?y5)) (* 95 ?y3)) (* (- 29) x1)) 73)) (and (> (+ ?v_18 (* 33 ?y3)) 0) (= (+ (+ (+ (* (- 97) ?y6) (* (- 8) ?y5)) (* 62 ?y3)) (* (- 80) x1)) 0)))) (or (and (or (> (+ (* 55 ?y6) (* 1 x1)) 0) (not (= (+ (+ ?v_13 (* (- 74) ?y5)) (* (- 79) x1)) 78))) (not (= (+ (* (- 29) ?y5) ?v_14) (- 58)))) (and (not (= (+ (+ (* 86 ?y5) (* 89 ?y3)) (* 70 x1)) 2)) (and (>= (+ (+ (+ (* (- 55) ?y6) (* 56 ?y5)) (* (- 87) ?y3)) ?v_15) 55) (> (+ (+ (* (- 94) ?y6) (* (- 64) ?y5)) (* 92 ?y3)) 0))))))) (or (or (and (and (and (>= (+ (+ (* 32 ?y5) (* (- 44) ?y3)) ?v_15) (- 14)) (>= (+ (+ (+ (* 91 ?y6) (* (- 28) ?y5)) (* (- 64) ?y3)) (* (- 82) x1)) (- 44))) (or (>= (+ (* (- 18) ?y6) ?v_19) 0) (<= (+ (+ (* 39 ?y6) (* (- 49) ?y3)) (* (- 30) x1)) 0))) (and (and (<= (+ (+ (+ (* 75 ?y6) (* 43 ?y5)) (* (- 14) ?y3)) (* (- 84) x1)) 0) (> (+ (* 92 ?y6) (* (- 59) ?y3)) (- 64))) (or (< (+ (+ (* 19 ?y6) (* (- 30) ?y5)) (* 58 ?y3)) (- 23)) (= (+ (+ (* (- 49) ?y6) (* 7 ?y5)) (* (- 10) x1)) (- 36))))) (and (or (>= (+ ?v_16 (* 99 x1)) (- 2)) (>= (+ (* 97 ?y5) (* 75 x1)) 73)) (or (<= (+ (* (- 43) ?y6) (* 32 x1)) 77) (or (not (= (+ (+ (+ (* 14 ?y6) (* (- 56) ?y5)) (* 37 ?y3)) (* (- 19) x1)) 0)) (<= (+ (+ (* (- 39) ?y6) ?v_17) ?v_6) 0))))) (and (or (or (not (= (+ (+ (+ ?v_18 (* 18 ?y5)) (* (- 45) ?y3)) (* 28 x1)) (- 63))) (not (= (* (- 36) x1) (- 48)))) (and (not (= (+ (* 78 ?y6) ?v_21) 42)) (= (+ (* 42 ?y6) (* (- 34) x1)) 0))) (and (and (>= (+ (+ (* (- 91) ?y5) (* (- 92) ?y3)) (* 36 x1)) (- 5)) (= (+ (+ (* 50 ?y6) (* (- 32) ?y3)) (* (- 56) x1)) 0)) (and (not (= (+ (+ ?v_19 (* 54 ?y3)) (* 20 x1)) (- 36))) (not (= (+ (+ (+ (* (- 90) ?y6) ?v_20) ?v_21) (* 80 x1)) (- 48)))))))))) (forall ((?y6 Real)) (let ((?v_39 (* 65 ?y5)) (?v_119 (* 33 x1)) (?v_104 (* 47 ?y3)) (?v_44 (* 57 ?y3)) (?v_118 (* 32 ?y3)) (?v_85 (* 53 x1)) (?v_23 (* 35 ?y3)) (?v_55 (* 95 ?y3)) (?v_84 (* 86 ?y5)) (?v_103 (* 92 ?y3)) (?v_139 (* 32 ?y5)) (?v_101 (* 58 ?y3)) (?v_43 (* 99 x1)) (?v_130 (* 32 x1)) (?v_28 (* 36 x1)) (?v_67 (* 56 ?y3)) (?v_87 (* 3 ?y5)) (?v_122 (* 95 ?y5)) (?v_59 (* 18 ?y6)) (?v_48 (* 55 x1)) (?v_120 (* 62 ?y6)) (?v_37 (* 34 ?y5)) (?v_66 (* 27 ?y3)) (?v_33 (* 13 ?y3)) (?v_63 (* 20 ?y3)) (?v_47 (* 32 ?y6)) (?v_77 (* 8 ?y5)) (?v_115 (* 81 ?y5)) (?v_35 (* 12 ?y3)) (?v_98 (* 52 ?y5)) (?v_86 (* 98 ?y6)) (?v_114 (* 74 ?y6)) (?v_78 (* 81 x1)) (?v_41 (* 67 ?y3)) (?v_75 (* 68 ?y5)) (?v_117 (* 61 x1)) (?v_42 (* 89 ?y5)) (?v_53 (* 56 x1)) (?v_54 (* 42 ?y6)) (?v_100 (* 39 ?y6)) (?v_89 (* 93 ?y6)) (?v_62 (* 26 ?y6)) (?v_132 (* 98 ?y5)) (?v_131 (* 26 ?y3)) (?v_99 (* 18 x1)) (?v_108 (* 22 ?y5)) (?v_68 (* 25 ?y5)) (?v_116 (* 8 ?y3)) (?v_142 (* 58 x1)) (?v_90 (* 29 ?y5)) (?v_121 (* 99 ?y3)) (?v_127 (* 83 ?y5)) (?v_123 (* 94 ?y6)) (?v_112 (* 60 ?y5)) (?v_136 (* 11 ?y5)) (?v_135 (* 30 ?y3)) (?v_141 (* 29 x1)) (?v_70 (* (- 77) ?y3)) (?v_88 (* (- 41) ?y3)) (?v_110 (* (- 62) x1)) (?v_129 (* (- 21) ?y3)) (?v_95 (* (- 31) ?y3)) (?v_61 (* (- 57) ?y5)) (?v_26 (* (- 12) ?y5)) (?v_32 (* (- 48) ?y3)) (?v_137 (* (- 29) x1)) (?v_113 (* (- 79) x1)) (?v_134 (* (- 64) ?y5)) (?v_52 (* (- 44) ?y3)) (?v_57 (* (- 66) ?y5)) (?v_45 (* (- 91) ?y3)) (?v_93 (* (- 32) ?y3)) (?v_49 (* (- 69) ?y6)) (?v_24 (* (- 60) ?y5)) (?v_51 (* (- 20) x1)) (?v_30 (* (- 41) ?y6)) (?v_22 (* (- 81) ?y5)) (?v_74 (* (- 13) x1)) (?v_27 (* (- 54) ?y6)) (?v_38 (* (- 55) ?y5)) (?v_140 (* (- 5) ?y3)) (?v_72 (* (- 87) ?y6)) (?v_65 (* (- 16) x1)) (?v_25 (* (- 46) ?y3)) (?v_29 (* (- 21) ?y5)) (?v_107 (* (- 17) ?y5)) (?v_92 (* (- 70) ?y6)) (?v_73 (* (- 94) ?y5)) (?v_69 (* (- 55) ?y3)) (?v_105 (* (- 68) x1)) (?v_138 (* (- 36) ?y5)) (?v_50 (* (- 38) ?y6)) (?v_31 (* (- 75) ?y5)) (?v_111 (* (- 39) ?y3)) (?v_96 (* (- 76) x1)) (?v_64 (* (- 18) ?y3)) (?v_109 (* (- 81) ?y6)) (?v_46 (* (- 78) x1)) (?v_97 (* (- 32) ?y5)) (?v_40 (* (- 2) x1)) (?v_83 (* (- 77) ?y6)) (?v_56 (* (- 66) ?y6)) (?v_81 (* (- 30) ?y6)) (?v_126 (* (- 48) ?y6)) (?v_80 (* (- 27) ?y5)) (?v_34 (* (- 5) ?y6)) (?v_36 (* (- 44) ?y5)) (?v_82 (* (- 25) x1)) (?v_106 (* (- 7) x1)) (?v_58 (* (- 49) x1)) (?v_60 (* (- 42) ?y3)) (?v_71 (* (- 6) ?y6)) (?v_94 (* (- 96) x1)) (?v_76 (* (- 53) ?y6)) (?v_125 (* (- 24) ?y5)) (?v_79 (* (- 90) ?y6)) (?v_91 (* (- 10) ?y3)) (?v_102 (* (- 35) x1)) (?v_133 (* (- 88) ?y3)) (?v_128 (* (- 57) x1)) (?v_124 (* (- 89) ?y5))) (or (and (and (or (and (or (and (<= (+ (+ (* (- 36) ?y6) (* (- 63) ?y5)) (* (- 9) ?y3)) 14) (>= (* 14 ?y3) (- 14))) (or (or (<= (+ (+ ?v_49 (* (- 23) ?y5)) ?v_43) 0) (<= (+ (* 61 ?y5) ?v_67) 12)) (and (> (+ (+ (+ (* (- 93) ?y6) ?v_24) ?v_44) ?v_51) (- 28)) (> (+ (+ (+ ?v_30 ?v_22) (* 70 ?y3)) ?v_74) (- 91))))) (or (or (and (= (+ (* 78 ?y5) ?v_32) 93) (> (+ ?v_39 (* (- 66) ?y3)) (- 67))) (> (+ (+ ?v_27 (* 45 ?y5)) (* 4 x1)) 45)) (and (and (= (+ (+ (* 19 ?y6) ?v_103) (* 14 x1)) 18) (= (+ (+ (* 5 ?y6) ?v_87) (* 2 x1)) (- 42))) (or (> (+ (+ (+ (* (- 57) ?y6) ?v_38) ?v_140) (* 43 x1)) (- 28)) (= (+ (* 59 ?y5) ?v_23) 96))))) (or (or (and (>= (+ (+ ?v_122 ?v_104) ?v_28) (- 35)) (< (+ (+ (+ ?v_72 ?v_22) ?v_23) ?v_65) 0)) (and (and (= (+ (+ (* 58 ?y6) ?v_26) ?v_119) (- 27)) (<= (+ (+ (* 96 ?y6) ?v_25) (* (- 98) x1)) 0)) (not (= ?v_29 (- 99))))) (or (and (or (<= (+ (+ (+ ?v_59 ?v_107) (* 46 ?y3)) (* 89 x1)) 0) (>= (+ (+ ?v_92 ?v_24) (* (- 71) x1)) (- 71))) (and (not (= (+ (+ (* (- 65) ?y6) (* 10 ?y5)) (* 35 x1)) 0)) (> (+ (+ (* (- 62) ?y6) ?v_73) ?v_69) 77))) (< (+ (+ (+ (* 70 ?y6) (* 50 ?y5)) ?v_25) ?v_105) (- 5))))) (and (and (or (or (and (>= (+ ?v_138 (* (- 73) ?y3)) (- 35)) (not (= (+ ?v_50 ?v_31) 0))) (or (>= (+ (+ (* 76 ?y6) (* (- 39) ?y5)) (* 71 x1)) 0) (> (+ (+ (+ (* (- 46) ?y6) ?v_84) ?v_55) (* (- 1) x1)) 74))) (or (or (< (+ (+ (* (- 98) ?y5) ?v_111) ?v_85) 10) (not (= (+ (+ (* (- 42) ?y6) ?v_26) (* 91 x1)) 0))) (or (>= (+ (+ (* (- 87) ?y5) (* (- 86) ?y3)) ?v_48) (- 83)) (> (+ (+ ?v_120 (* 80 ?y5)) ?v_96) 86)))) (or (and (= ?v_64 50) (< (+ ?v_27 (* 15 ?y5)) 0)) (or (> (+ (+ (+ (* 83 ?y6) ?v_37) ?v_66) (* (- 67) x1)) 0) (= (+ (* 66 ?y6) ?v_33) 2)))) (and (or (or (and (not (= (+ (+ (+ ?v_109 (* 96 ?y5)) (* 91 ?y3)) ?v_46) 0)) (<= (+ (+ (* (- 49) ?y6) (* 71 ?y3)) (* (- 92) x1)) (- 75))) (and (>= (+ (+ (* (- 79) ?y6) ?v_134) (* 1 x1)) 0) (> (+ (+ (+ (* 21 ?y6) ?v_97) ?v_63) ?v_28) 23))) (and (<= (+ (+ (+ ?v_47 ?v_29) (* 89 ?y3)) ?v_40) 74) (not (= (+ (+ (+ ?v_83 (* (- 53) ?y5)) (* 38 ?y3)) (* (- 86) x1)) 27)))) (or (or (and (< (+ (+ ?v_56 (* 66 ?y5)) (* 51 x1)) 1) (>= (+ ?v_81 ?v_77) (- 32))) (not (= (+ (+ (+ ?v_126 ?v_80) (* (- 83) ?y3)) (* (- 60) x1)) 36))) (and (and (> (* 31 ?y5) 74) (not (= (+ (+ (+ ?v_34 ?v_36) ?v_23) (* (- 85) x1)) 2))) (or (< (+ (+ (+ (* 60 ?y6) ?v_115) ?v_52) ?v_82) 55) (<= (+ (* 92 ?y5) (* 42 x1)) 0))))))) (and (or (and (and (> (+ (+ (* (- 30) ?y5) ?v_35) (* 97 x1)) 83) (= (+ (+ (+ ?v_30 ?v_31) ?v_32) ?v_106) 12)) (= (+ ?v_98 ?v_45) 0)) (or (or (= (+ (+ ?v_86 (* (- 22) ?y5)) ?v_95) 99) (<= (+ (+ (* (- 99) ?y5) ?v_33) (* 66 x1)) 69)) (and (< (+ (+ (+ (* (- 28) ?y6) ?v_61) (* 73 ?y3)) ?v_137) (- 35)) (< ?v_110 55)))) (or (or (or (or (or (>= (+ (+ (+ ?v_34 (* 49 ?y5)) (* 11 ?y3)) ?v_58) 0) (not (= (+ (+ (* (- 51) ?y6) (* (- 86) ?y5)) (* (- 28) x1)) (- 94)))) (or (>= (+ (+ (+ ?v_114 (* 42 ?y5)) ?v_35) ?v_78) 0) (<= (+ ?v_36 ?v_41) 0))) (and (and (> (+ (* (- 39) ?y6) (* 39 ?y3)) (- 97)) (> (+ (+ (+ (* 78 ?y6) ?v_75) (* 96 ?y3)) (* (- 12) x1)) 11)) (or (= (+ ?v_101 ?v_117) (- 87)) (not (= (+ (+ (* (- 55) ?y6) ?v_42) ?v_129) 92))))) (or (and (not (= ?v_37 (- 81))) (and (= (+ (+ ?v_38 (* 85 ?y3)) ?v_53) 87) (= (+ (+ (* (- 58) ?y6) ?v_39) (* (- 26) ?y3)) (- 90)))) (or (not (= (+ (* (- 60) ?y3) ?v_40) (- 27))) (and (> (+ ?v_54 ?v_41) 74) (>= (+ (+ (+ ?v_100 ?v_42) ?v_33) ?v_43) (- 98)))))) (or (or (and (= (+ (+ (+ ?v_89 ?v_24) ?v_44) (* 40 x1)) (- 1)) (>= (+ (+ (* (- 8) ?y6) (* (- 85) ?y5)) ?v_45) (- 44))) (or (< (+ ?v_62 (* (- 63) x1)) 0) (= (+ (+ ?v_37 (* 19 ?y3)) ?v_46) 0))) (and (or (<= (+ (+ (+ ?v_47 ?v_57) (* (- 22) ?y3)) ?v_113) 5) (> (+ (+ (* 38 ?y5) ?v_60) ?v_48) 0)) (and (not (= (+ (+ ?v_49 (* (- 14) ?y5)) (* 7 x1)) (- 90))) (> (+ (+ (+ ?v_50 (* 71 ?y5)) ?v_70) ?v_51) 0))))))) (or (or (and (and (or (or (< (+ (+ (* 87 ?y6) ?v_52) ?v_53) 88) (= (+ (+ (* 11 ?y6) (* (- 69) ?y5)) (* (- 32) x1)) 0)) (or (or (not (= (+ (+ ?v_54 (* (- 41) ?y5)) (* (- 27) x1)) 0)) (< (+ (+ (+ ?v_71 (* 9 ?y5)) ?v_55) (* 31 x1)) (- 74))) (and (> (+ (+ (+ (* (- 99) ?y6) (* (- 68) ?y5)) ?v_88) (* 60 x1)) 2) (>= ?v_132 73)))) (or (or (and (<= (+ (+ ?v_56 ?v_131) (* (- 97) x1)) (- 39)) (< (+ (+ (+ (* (- 43) ?y6) ?v_57) (* 77 ?y3)) ?v_58) (- 35))) (or (= (+ (* 17 ?y5) (* (- 16) ?y3)) (- 39)) (< (* (- 21) ?y6) 91))) (or (and (<= (+ (+ ?v_59 (* (- 1) ?y5)) ?v_99) (- 42)) (>= (+ (+ (* 21 ?y5) ?v_60) (* (- 46) x1)) (- 26))) (and (not (= (+ (* (- 45) ?y6) ?v_61) 17)) (> (+ (+ (* (- 73) ?y6) ?v_108) (* 76 ?y3)) 20))))) (and (and (and (and (>= (+ (+ (* (- 77) ?y5) ?v_32) (* (- 45) x1)) 0) (< (+ (+ ?v_62 ?v_68) ?v_63) (- 14))) (or (>= (+ (* 67 ?y6) (* 18 ?y3)) 64) (= (+ (+ (* (- 15) ?y5) ?v_64) ?v_94) (- 33)))) (or (or (not (= (+ (+ ?v_76 (* 7 ?y5)) (* 64 ?y3)) (- 61))) (not (= (+ (* (- 60) ?y6) ?v_65) 0))) (and (>= (+ (+ ?v_61 ?v_66) (* 11 x1)) 0) (= (+ (+ ?v_125 ?v_67) ?v_130) 66)))) (and (and (and (> (+ (+ ?v_68 ?v_69) (* 27 x1)) (- 28)) (= (+ (+ (+ ?v_79 (* 40 ?y5)) (* 83 ?y3)) (* 64 x1)) (- 36))) (or (not (= (+ (+ (+ (* 17 ?y6) ?v_36) (* 59 ?y3)) ?v_43) (- 43))) (not (= (+ (+ (* 16 ?y6) (* 88 ?y3)) (* 74 x1)) 0)))) (or (not (= (+ (+ (+ (* 2 ?y6) (* (- 16) ?y5)) ?v_70) (* 72 x1)) (- 3))) (<= (+ (+ (* (- 24) ?y6) (* 12 ?y5)) (* (- 7) ?y3)) 53))))) (or (and (or (>= (+ (+ (+ ?v_71 (* 94 ?y5)) (* (- 23) ?y3)) (* (- 87) x1)) 73) (< (+ (+ ?v_72 (* (- 5) ?y5)) (* (- 10) x1)) (- 68))) (or (< (+ (+ ?v_73 (* 100 ?y3)) ?v_74) (- 17)) (not (= (+ (+ (* 90 ?y6) (* 62 ?y5)) (* (- 3) x1)) 0)))) (or (or (or (not (= (+ (+ (+ (* 72 ?y6) (* (- 97) ?y5)) (* 36 ?y3)) (* (- 24) x1)) (- 9))) (<= (+ (+ (+ (* 89 ?y6) ?v_75) (* (- 65) ?y3)) (* (- 69) x1)) 74)) (and (= (+ (+ ?v_30 ?v_116) (* (- 8) x1)) 0) (= (+ (+ (+ (* 99 ?y6) (* (- 50) ?y5)) (* 80 ?y3)) ?v_142) 0))) (and (or (> (+ (+ (+ ?v_76 ?v_77) ?v_91) ?v_78) (- 69)) (= (+ (+ (+ ?v_79 ?v_90) ?v_93) (* (- 34) x1)) 0)) (and (<= (+ (+ (* (- 100) ?y6) ?v_80) (* 84 ?y3)) 80) (>= (+ (+ ?v_81 (* 51 ?y5)) ?v_82) 25)))))) (or (and (and (and (and (or (>= (+ (+ ?v_83 ?v_84) ?v_85) 0) (> (+ (+ ?v_86 (* (- 34) ?y3)) (* 16 x1)) 56)) (or (< (+ (* 25 ?y3) ?v_65) 34) (<= (+ (+ (+ (* 97 ?y6) ?v_87) ?v_88) (* 100 x1)) 0))) (or (and (>= (+ (+ ?v_89 ?v_90) (* (- 37) ?y3)) 0) (< (+ (+ ?v_38 (* 9 ?y3)) (* 65 x1)) (- 56))) (and (= (+ (+ (* 25 ?y6) (* 70 ?y5)) ?v_91) 60) (not (= (+ (+ (+ ?v_92 (* (- 40) ?y5)) ?v_121) (* 98 x1)) 68))))) (and (and (and (= (+ (+ (* 44 ?y5) ?v_93) ?v_94) (- 30)) (> (+ ?v_77 ?v_95) (- 16))) (or (< (+ (+ (* (- 74) ?y6) ?v_127) ?v_96) 61) (< (+ (+ ?v_123 ?v_97) (* 39 x1)) (- 38)))) (or (or (<= (+ (* (- 44) ?y6) (* 44 ?y3)) (- 57)) (>= (+ (+ ?v_98 (* (- 89) ?y3)) ?v_102) (- 59))) (or (< (+ (* 7 ?y6) ?v_99) 28) (= (+ (* (- 11) ?y6) (* 54 x1)) 72))))) (or (and (and (or (< (+ (+ ?v_100 ?v_101) ?v_102) (- 80)) (> (+ (+ (+ (* (- 89) ?y6) (* (- 88) ?y5)) ?v_103) ?v_28) (- 31))) (or (> (+ (+ (* (- 1) ?y6) ?v_104) ?v_105) 32) (> (+ (+ (+ ?v_56 (* (- 79) ?y5)) ?v_133) ?v_106) (- 49)))) (and (or (not (= (+ (+ (* (- 50) ?y6) ?v_107) (* (- 4) x1)) (- 88))) (>= (+ (+ ?v_108 ?v_101) (* 62 x1)) 0)) (or (<= (+ (+ ?v_109 (* (- 38) ?y5)) ?v_43) (- 48)) (not (= (+ ?v_112 (* 69 x1)) 0))))) (or (and (and (> (+ (* (- 71) ?y5) (* (- 100) x1)) 95) (= (+ (+ (+ (* 15 ?y6) (* 93 ?y5)) (* 82 ?y3)) ?v_128) 84)) (= (+ (+ (* (- 12) ?y6) (* 17 ?y3)) ?v_110) 65)) (and (= (+ (+ (* (- 35) ?y6) (* (- 8) ?y5)) ?v_111) 0) (and (not (= (+ (+ ?v_112 ?v_23) ?v_113) 0)) (= (+ (+ (+ ?v_114 (* 23 ?y5)) ?v_118) (* (- 84) x1)) (- 18))))))) (or (or (and (and (< (+ ?v_89 (* (- 33) ?y3)) 0) (or (not (= (+ ?v_115 ?v_116) 35)) (< (+ (* 41 ?y3) ?v_117) (- 56)))) (or (or (= (+ (+ ?v_136 ?v_118) (* (- 61) x1)) (- 42)) (< (+ ?v_124 ?v_119) (- 86))) (<= (+ (+ (* (- 9) ?y6) (* 4 ?y3)) ?v_102) (- 25)))) (or (and (or (<= (+ (+ (+ ?v_120 ?v_26) ?v_121) (* 90 x1)) 0) (<= (+ (+ (* 77 ?y6) (* (- 33) ?y5)) (* 41 x1)) 0)) (or (= (+ (+ ?v_122 ?v_135) (* 70 x1)) 30) (>= (+ (+ (* 24 ?y6) (* 63 ?y3)) ?v_74) 0))) (or (and (not (= (+ (+ (* 29 ?y6) (* 90 ?y5)) (* (- 97) ?y3)) (- 97))) (< (+ (+ (+ ?v_120 ?v_139) (* (- 57) ?y3)) ?v_117) (- 74))) (or (> (+ (+ ?v_123 ?v_124) (* 87 x1)) 11) (>= (+ ?v_125 (* (- 58) ?y3)) 0))))) (or (and (and (and (<= (+ (* 75 ?y5) ?v_103) 0) (not (= (+ (+ (+ ?v_126 ?v_127) (* (- 2) ?y3)) ?v_128) 0))) (or (= (+ (+ (* (- 25) ?y5) ?v_129) ?v_130) (- 84)) (> (+ ?v_32 (* 28 x1)) 47))) (or (not (= (+ ?v_131 ?v_141) (- 42))) (and (= (+ (+ ?v_59 ?v_132) ?v_133) (- 12)) (< (+ ?v_134 ?v_135) 61)))) (or (or (or (not (= (+ (+ (+ (* (- 27) ?y6) ?v_136) (* (- 61) ?y3)) ?v_137) 0)) (< (+ (+ (+ (* (- 80) ?y6) ?v_122) (* 86 ?y3)) (* 78 x1)) (- 95))) (and (<= (+ ?v_138 (* (- 25) ?y3)) 0) (= (+ (+ (+ (* 35 ?y6) ?v_139) (* (- 84) ?y3)) (* (- 54) x1)) (- 81)))) (and (or (>= (+ (+ (+ (* 63 ?y6) ?v_115) ?v_140) ?v_141) (- 89)) (<= (+ (+ ?v_71 (* 3 ?y3)) (* 13 x1)) (- 96))) (and (> (+ (+ (+ (* (- 64) ?y6) (* 47 ?y5)) ?v_23) ?v_142) (- 7)) (= (+ (* 88 ?y6) ?v_42) 3)))))))))))))) (and (exists ((?y2 Real)) (forall ((?y3 Real)) (exists ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_161 (* 36 ?y4)) (?v_146 (* 28 ?y3)) (?v_157 (* 69 ?y2)) (?v_165 (* 50 ?y2)) (?v_172 (* 1 ?y3)) (?v_178 (* 80 ?y5)) (?v_148 (* 95 x1)) (?v_174 (* 33 ?y3)) (?v_149 (* 86 ?y3)) (?v_167 (* 35 ?y2)) (?v_150 (* 30 ?y5)) (?v_154 (* 87 ?y3)) (?v_160 (* 17 x1)) (?v_170 (* 58 ?y2)) (?v_162 (* 27 ?y2)) (?v_156 (* 98 ?y2)) (?v_166 (* 79 ?y4)) (?v_158 (* 19 ?y3)) (?v_159 (* 90 ?y5)) (?v_184 (* 55 ?y4)) (?v_169 (* 27 ?y4)) (?v_181 (* 34 ?y3)) (?v_179 (* 3 ?y3)) (?v_183 (* 44 ?y5)) (?v_175 (* (- 98) x1)) (?v_164 (* (- 24) ?y5)) (?v_143 (* (- 33) ?y2)) (?v_173 (* (- 84) ?y5)) (?v_152 (* (- 60) ?y2)) (?v_147 (* (- 65) ?y5)) (?v_153 (* (- 47) ?y2)) (?v_145 (* (- 58) ?y5)) (?v_176 (* (- 65) ?y4)) (?v_163 (* (- 36) ?y4)) (?v_144 (* (- 100) ?y2)) (?v_180 (* (- 82) ?y4)) (?v_155 (* (- 11) x1)) (?v_151 (* (- 16) ?y4)) (?v_171 (* (- 47) ?y4)) (?v_168 (* (- 97) ?y5)) (?v_177 (* (- 74) x1)) (?v_182 (* (- 85) ?y2))) (and (and (or (and (and (not (= (+ (+ (+ ?v_161 ?v_146) ?v_157) (* (- 3) x1)) (- 31))) (>= (+ (+ (* 5 ?y5) (* (- 32) ?y3)) (* 7 ?y2)) (- 95))) (or (> (+ (+ (+ ?v_164 (* 73 ?y4)) (* (- 100) ?y3)) (* 51 ?y2)) (- 55)) (or (<= (+ (+ (* 95 ?y5) (* 16 ?y4)) (* (- 41) x1)) 68) (< (+ (+ (+ (+ (* (- 2) ?y5) (* 42 ?y4)) (* 99 ?y3)) ?v_165) (* 82 x1)) 0)))) (and (and (or (and (= (+ (+ (+ (* 92 ?y5) ?v_172) (* 14 ?y2)) (* 30 x1)) (- 96)) (<= (+ (+ ?v_178 (* (- 57) ?y4)) ?v_148) 0)) (and (not (= (+ (+ (+ (* (- 56) ?y5) (* (- 1) ?y4)) (* 5 ?y3)) ?v_143) 0)) (<= (+ (+ (+ (* 13 ?y4) ?v_174) (* (- 4) ?y2)) (* 26 x1)) (- 9)))) (or (not (= (+ (+ (+ ?v_173 (* (- 6) ?y4)) ?v_143) (* (- 94) x1)) (- 96))) (> (+ (+ ?v_149 ?v_152) (* 8 x1)) 0))) (or (or (and (not (= (+ (+ (+ (+ ?v_147 (* (- 98) ?y4)) (* 54 ?y3)) ?v_153) (* 87 x1)) (- 70))) (< (+ (+ (+ (+ (* 43 ?y5) (* (- 12) ?y4)) (* 24 ?y3)) (* 73 ?y2)) (* (- 47) x1)) (- 68))) (and (= (+ (+ (+ ?v_145 (* (- 89) ?y4)) (* (- 35) ?y3)) (* 38 x1)) (- 99)) (= (+ (+ (+ (+ (* 65 ?y5) ?v_176) (* (- 15) ?y3)) ?v_167) ?v_175) (- 51)))) (or (and (>= (+ (+ (+ (+ ?v_150 (* 38 ?y4)) (* (- 51) ?y3)) (* (- 17) ?y2)) (* (- 34) x1)) 0) (> (+ (+ (+ (+ (* 28 ?y5) ?v_163) ?v_154) ?v_144) (* 86 x1)) (- 40))) (or (>= (+ (* 88 ?y5) ?v_144) 0) (<= (+ (+ (+ (+ (* 66 ?y5) (* (- 69) ?y4)) (* 22 ?y3)) (* (- 3) ?y2)) (* (- 17) x1)) 96)))))) (and (and (and (or (or (and (>= (+ (+ (* (- 87) ?y4) (* (- 94) ?y3)) (* 73 x1)) 31) (< (+ (+ (* (- 83) ?y5) (* 94 ?y3)) (* (- 38) x1)) 0)) (or (= (* (- 75) ?y2) 0) (<= (+ (+ (* 16 ?y3) (* (- 48) ?y2)) (* (- 39) x1)) 89))) (or (or (> (+ (+ (+ (+ (* (- 27) ?y5) (* 61 ?y4)) (* 49 ?y3)) (* 99 ?y2)) ?v_160) (- 75)) (= (+ (+ (* (- 52) ?y5) (* 22 ?y4)) ?v_170) 0)) (or (< (+ (+ (+ (+ ?v_145 ?v_180) ?v_146) (* (- 98) ?y2)) (* (- 79) x1)) 0) (< (+ (+ (+ (+ ?v_147 (* 89 ?y4)) (* 82 ?y3)) ?v_162) ?v_148) 22)))) (and (or (> (+ (* 82 ?y4) (* (- 92) ?y2)) (- 58)) (not (= (+ (+ (* 84 ?y3) ?v_156) (* 51 x1)) 0))) (and (< (+ (+ (+ (* 87 ?y5) ?v_166) (* (- 37) ?y2)) ?v_155) (- 86)) (not (= (+ (+ (* (- 18) ?y5) ?v_151) ?v_149) 68))))) (and (and (not (= (+ (+ (+ ?v_150 (* (- 76) ?y3)) (* (- 29) ?y2)) (* 3 x1)) 6)) (>= (+ (+ (+ (* (- 16) ?y5) ?v_151) ?v_158) ?v_152) (- 59))) (and (> (+ (+ (+ (+ (* (- 85) ?y5) ?v_171) (* (- 53) ?y3)) ?v_153) (* 20 x1)) 0) (>= (+ (+ ?v_145 (* (- 98) ?y3)) (* (- 5) x1)) 58)))) (and (and (or (and (>= (+ (+ (+ ?v_168 (* 70 ?y3)) (* (- 72) ?y2)) (* (- 52) x1)) 67) (>= (+ (+ (+ (* (- 86) ?y5) (* 12 ?y4)) ?v_154) (* (- 28) x1)) 85)) (and (>= (+ (+ (* 49 ?y5) (* (- 53) ?y4)) ?v_155) 0) (> (+ (+ (+ (+ (* 67 ?y5) (* 58 ?y4)) (* 30 ?y3)) ?v_156) (* 62 x1)) (- 34)))) (or (and (not (= (+ (+ (+ (+ ?v_159 (* (- 25) ?y4)) (* 9 ?y3)) ?v_157) ?v_177) 0)) (= (+ (+ (* 50 ?y5) (* (- 55) ?y4)) (* 48 ?y3)) (- 36))) (or (and (> (+ (+ (* 54 ?y5) ?v_158) (* 74 ?y2)) 0) (> (+ (+ (+ (* (- 10) ?y4) (* 55 ?y3)) (* (- 54) ?y2)) (* 34 x1)) (- 21))) (or (= (+ (+ (* (- 5) ?y5) ?v_182) (* (- 30) x1)) 0) (<= (+ (+ (+ ?v_159 ?v_184) (* 37 ?y3)) (* 58 x1)) (- 88)))))) (or (or (or (or (>= (+ (+ (+ (* (- 31) ?y5) (* 74 ?y4)) (* (- 93) ?y3)) (* 23 ?y2)) (- 26)) (= (+ (+ (* 45 ?y5) (* (- 74) ?y4)) (* (- 13) x1)) 0)) (not (= (+ (+ (* 83 ?y5) (* 10 ?y3)) (* (- 51) x1)) 0))) (and (or (not (= (+ (+ (+ (* 7 ?y5) (* 35 ?y4)) (* (- 1) ?y3)) (* 39 ?y2)) (- 30))) (< (+ (+ (+ (+ (* 18 ?y5) ?v_169) ?v_181) (* 95 ?y2)) ?v_160) (- 77))) (and (>= (+ (+ (+ (+ (* (- 20) ?y5) (* 65 ?y4)) (* 23 ?y3)) (* 25 ?y2)) (* 90 x1)) 37) (< (+ (* (- 87) ?y5) ?v_161) (- 77))))) (or (and (or (>= (+ (+ (* 39 ?y3) ?v_162) (* 76 x1)) 97) (not (= (+ (+ (+ (* 40 ?y5) ?v_163) (* 80 ?y3)) (* (- 44) ?y2)) (- 42)))) (and (> (+ (+ (+ ?v_164 (* 76 ?y3)) (* (- 41) ?y2)) (* (- 75) x1)) 0) (< (+ (+ (+ (+ (* (- 32) ?y5) (* 56 ?y4)) (* 83 ?y3)) ?v_165) (* 18 x1)) (- 35)))) (or (or (<= (+ (+ (+ (* 8 ?y4) (* 62 ?y3)) (* (- 57) ?y2)) (* (- 87) x1)) 5) (> (+ (+ (+ (* (- 61) ?y5) ?v_166) (* 51 ?y3)) (* (- 65) x1)) 0)) (or (>= (+ (+ (+ (* 17 ?y5) (* (- 84) ?y4)) ?v_167) (* 66 x1)) 55) (= (+ (+ (+ ?v_168 ?v_169) (* (- 50) ?y3)) ?v_170) 0)))))))) (and (and (or (and (and (not (= (+ (+ (* 33 ?y5) (* (- 94) ?y4)) (* 74 ?y3)) (- 21))) (< (+ (+ (+ (+ (* 82 ?y5) ?v_171) ?v_172) (* 85 ?y2)) (* (- 33) x1)) 25)) (and (<= (+ (+ (* 14 ?y4) (* (- 68) ?y3)) (* 85 x1)) 32) (not (= (+ (* (- 71) ?y4) ?v_155) 21)))) (or (or (> (+ (+ (+ (+ ?v_173 (* 3 ?y4)) ?v_174) (* (- 25) ?y2)) ?v_175) (- 54)) (= (+ (+ (+ (* 66 ?y4) ?v_179) (* 40 ?y2)) (* (- 90) x1)) (- 13))) (or (< (+ (+ (+ (* (- 72) ?y5) (* (- 80) ?y3)) (* 93 ?y2)) (* 9 x1)) 40) (> (+ (+ (* (- 82) ?y5) ?v_176) (* (- 12) x1)) (- 3))))) (and (and (and (forall ((?y6 Real)) (or (or (>= (+ (+ (* 9 ?y5) (* 82 ?y4)) (* (- 5) x1)) (- 23)) (>= (+ (+ (+ (* 41 ?y6) (* 46 ?y5)) (* 17 ?y3)) (* 30 x1)) 0)) (< (+ (+ (+ (+ (* 67 ?y6) (* 3 ?y5)) (* 64 ?y4)) (* (- 29) ?y2)) (* (- 24) x1)) 88))) (or (and (forall ((?y6 Real)) (not (= (+ (+ (+ (+ (* 5 ?y6) (* 72 ?y4)) (* (- 42) ?y3)) (* 19 ?y2)) (* (- 59) x1)) 14))) (forall ((?y6 Real)) (= (+ (* 10 ?y6) (* 28 x1)) 0))) (and (forall ((?y6 Real)) (>= (+ (+ (+ (* (- 34) ?y6) (* (- 82) ?y5)) (* 8 ?y4)) (* 74 x1)) 0)) (forall ((?y6 Real)) (not (= (+ (+ (+ (+ (+ (* 94 ?y6) (* (- 91) ?y5)) (* (- 97) ?y4)) (* (- 22) ?y3)) (* (- 29) ?y2)) (* (- 65) x1)) 0)))))) (and (and (and (and (= (+ (+ (+ (* 76 ?y5) ?v_166) (* 49 ?y2)) (* 83 x1)) 66) (>= (+ (+ (+ (+ (* 77 ?y5) (* (- 33) ?y4)) (* 4 ?y3)) (* 79 ?y2)) (* 69 x1)) (- 29))) (<= (+ (* (- 60) ?y5) ?v_177) 77)) (and (or (>= (+ (+ (+ (+ (* 56 ?y5) ?v_161) ?v_158) (* (- 71) ?y2)) (* (- 82) x1)) 19) (not (= (+ (+ (+ ?v_178 (* 68 ?y4)) ?v_179) (* 15 x1)) 83))) (exists ((?y6 Real)) (>= (+ (+ (+ (+ (* (- 5) ?y6) (* 69 ?y5)) (* (- 33) ?y4)) (* 59 ?y3)) (* 1 x1)) 0)))) (or (or (or (<= (+ (+ ?v_180 ?v_181) (* 70 ?y2)) (- 24)) (not (= (+ (+ (+ (* (- 28) ?y5) (* (- 35) ?y4)) (* (- 55) ?y3)) (* (- 43) ?y2)) 14))) (> (+ (+ (+ ?v_183 (* (- 19) ?y4)) (* 18 ?y3)) (* (- 61) ?y2)) (- 30))) (or (or (<= (+ (+ (+ (* (- 21) ?y5) (* (- 42) ?y3)) (* 28 ?y2)) (* 25 x1)) 24) (>= (+ (+ (+ (+ (* 38 ?y5) (* (- 59) ?y4)) (* (- 91) ?y3)) ?v_182) (* 89 x1)) (- 20))) (< (+ (+ ?v_183 ?v_184) (* 77 x1)) (- 77)))))) (forall ((?y6 Real)) (and (or (> (+ (+ (+ (+ (* (- 33) ?y6) (* (- 7) ?y4)) (* 72 ?y3)) (* 41 ?y2)) (* (- 1) x1)) 44) (and (> (+ (* 52 ?y6) (* 25 ?y5)) 0) (= (+ (+ (+ (+ (+ (* (- 64) ?y6) (* (- 93) ?y5)) (* 54 ?y4)) (* 71 ?y3)) (* (- 67) ?y2)) (* 32 x1)) 0))) (and (and (>= (+ (+ (+ (* 68 ?y6) (* 41 ?y5)) (* 42 ?y4)) (* (- 12) x1)) (- 56)) (= (+ (+ (+ (* (- 71) ?y6) (* 49 ?y4)) (* (- 54) ?y3)) (* 36 x1)) 65)) (and (>= (+ (+ (* 34 ?y5) (* 56 ?y4)) (* 82 x1)) (- 26)) (<= (+ (+ (* 51 ?y6) (* (- 6) ?y4)) (* (- 53) ?y2)) (- 67)))))))) (exists ((?y6 Real)) (let ((?v_190 (* 22 ?y2)) (?v_189 (* 76 ?y2)) (?v_187 (* (- 11) ?y2)) (?v_186 (* (- 49) ?y2)) (?v_185 (* (- 66) ?y5)) (?v_188 (* (- 39) ?y3))) (and (or (and (or (or (not (= (+ (+ (+ (* (- 99) ?y6) ?v_159) (* (- 15) ?y4)) (* 95 ?y3)) 81)) (<= (+ (+ (+ (* 36 ?y5) (* 35 ?y4)) ?v_172) ?v_155) (- 19))) (and (= (+ (+ (* 62 ?y6) (* (- 99) ?y5)) (* (- 46) ?y3)) (- 34)) (not (= (+ (+ (* 99 ?y3) ?v_187) (* (- 6) x1)) (- 15))))) (or (or (= (+ (+ (+ (* 19 ?y6) (* (- 42) ?y5)) (* 75 ?y4)) ?v_186) 0) (= (+ (+ (+ (* 54 ?y6) (* (- 34) ?y4)) (* 20 ?y2)) (* 27 x1)) 0)) (and (not (= (+ (+ (+ (+ (* (- 95) ?y6) ?v_185) (* (- 49) ?y3)) ?v_190) (* (- 79) x1)) (- 69))) (<= (+ (+ (+ (+ (* 35 ?y6) (* (- 87) ?y4)) (* (- 72) ?y3)) ?v_189) (* (- 7) x1)) (- 22))))) (and (and (= (+ (+ (+ (+ (* (- 83) ?y6) (* 75 ?y5)) (* (- 64) ?y4)) (* (- 60) ?y3)) (* (- 69) x1)) 63) (<= (+ (+ (+ (+ (* 94 ?y6) (* (- 62) ?y4)) (* 14 ?y3)) (* (- 61) ?y2)) (* 77 x1)) 51)) (or (and (<= (+ (+ (+ (* (- 15) ?y5) ?v_188) (* 53 ?y2)) (* (- 64) x1)) (- 76)) (< (+ (+ (+ (+ (* (- 21) ?y6) ?v_185) (* (- 8) ?y3)) ?v_186) ?v_177) 0)) (and (not (= (+ (+ (* (- 61) ?y5) (* (- 93) ?y4)) (* 47 x1)) 54)) (>= (+ (+ (+ (* 1 ?y4) (* (- 90) ?y3)) (* 61 ?y2)) (* (- 66) x1)) (- 83)))))) (and (and (and (>= (+ (+ (+ (+ (* 68 ?y6) (* 33 ?y5)) (* 78 ?y4)) (* (- 80) ?y3)) (* (- 55) ?y2)) 0) (not (= (+ (+ (+ (+ (* 51 ?y6) (* (- 56) ?y5)) (* 70 ?y4)) ?v_187) (* 98 x1)) (- 64)))) (and (> (+ (+ (* (- 8) ?y6) ?v_188) (* 53 x1)) 2) (< (+ (+ (+ (+ (* (- 59) ?y6) (* (- 69) ?y5)) (* 42 ?y3)) ?v_189) (* (- 32) x1)) 55))) (or (and (and (>= (+ (+ (+ (* 11 ?y6) (* 13 ?y3)) ?v_190) (* 64 x1)) (- 20)) (not (= (+ (+ (+ (* 17 ?y6) (* 69 ?y5)) (* (- 88) ?y4)) (* (- 74) ?y2)) 33))) (or (>= (+ (+ (+ (+ (+ (* (- 23) ?y6) (* (- 53) ?y5)) (* (- 8) ?y4)) (* 11 ?y3)) (* (- 59) ?y2)) (* (- 40) x1)) (- 59)) (>= (+ (+ (+ (+ (+ (* 67 ?y6) (* 29 ?y5)) (* 30 ?y4)) (* 93 ?y3)) ?v_190) (* (- 87) x1)) (- 20)))) (>= (+ (+ (+ (+ (* 55 ?y6) (* (- 11) ?y5)) (* 49 ?y4)) (* (- 65) ?y3)) (* 26 ?y2)) 28))))))))))))) (exists ((?y2 Real)) (or (or (or (and (or (exists ((?y4 Real)) (or (or (exists ((?y5 Real)) (and (forall ((?y6 Real)) (> (+ (+ (+ (* (- 73) ?y5) (* 76 ?y4)) (* (- 35) ?y2)) (* 88 x1)) 0)) (and (< (+ (* 96 ?y4) (* (- 6) ?y2)) 0) (not (= (+ (* 34 ?y5) (* (- 46) ?y4)) (- 42)))))) (or (exists ((?y5 Real)) (forall ((?y6 Real)) (not (= (+ (+ (* 22 ?y6) (* 49 ?y4)) (* (- 51) x1)) (- 75))))) (exists ((?y5 Real)) (exists ((?y6 Real)) (= (+ (+ (* (- 61) ?y6) (* (- 37) ?y5)) (* (- 69) ?y2)) (- 79)))))) (and (or (> (* (- 26) ?y4) 66) (= (+ (* (- 23) ?y2) (* 56 x1)) 0)) (<= (+ (* 30 ?y4) (* 40 x1)) (- 34))))) (or (and (exists ((?y4 Real)) (or (< (+ (* 78 ?y2) (* (- 39) x1)) 0) (and (< (+ (+ (* 43 ?y4) (* 69 ?y2)) (* 98 x1)) (- 8)) (forall ((?y5 Real)) (= (+ (+ (* (- 22) ?y5) (* (- 20) ?y2)) (* 6 x1)) 8))))) (exists ((?y3 Real)) (and (or (and (not (= (* (- 44) x1) 0)) (>= (+ (* (- 90) ?y2) (* (- 65) x1)) 88)) (and (>= (+ (+ (* (- 71) ?y3) (* (- 44) ?y2)) (* 58 x1)) (- 17)) (>= (+ (* 15 ?y2) (* (- 3) x1)) 49))) (or (< (+ (* 23 ?y3) (* 80 ?y2)) (- 44)) (exists ((?y5 Real)) (>= (+ (+ (+ (* (- 46) ?y5) (* 78 ?y3)) (* (- 51) ?y2)) (* (- 33) x1)) 34)))))) (forall ((?y5 Real)) (or (or (and (< (+ (* 55 ?y2) (* (- 50) x1)) 46) (<= (+ (* (- 78) ?y5) (* 36 x1)) (- 93))) (and (> (+ (+ (* 4 ?y5) (* (- 55) ?y2)) (* (- 54) x1)) 74) (>= (+ (+ (* 43 ?y5) (* (- 36) ?y2)) (* 94 x1)) 0))) (or (exists ((?y6 Real)) (>= (+ (+ (* 3 ?y5) (* 100 ?y2)) (* 32 x1)) (- 38))) (exists ((?y6 Real)) (< (+ (+ (+ (* 66 ?y6) (* 28 ?y5)) (* (- 78) ?y2)) (* (- 65) x1)) (- 8)))))))) (and (and (or (or (forall ((?y4 Real)) (and (and (= (+ (+ (* 50 ?y4) (* 54 ?y2)) (* (- 13) x1)) 0) (<= (+ (* 70 ?y4) (* 19 x1)) 23)) (> (+ (* (- 56) ?y2) (* 74 x1)) (- 67)))) (and (forall ((?y4 Real)) (or (< (* 62 ?y2) 0) (not (= (+ (+ (* (- 64) ?y4) (* 64 ?y2)) (* 71 x1)) (- 12))))) (exists ((?y4 Real)) (forall ((?y5 Real)) (< (+ (+ (* 64 ?y4) (* 49 ?y2)) (* (- 19) x1)) 70))))) (and (forall ((?y5 Real)) (and (< (+ (* 67 ?y5) (* (- 48) ?y2)) (- 59)) (> (+ (+ (* 3 ?y5) (* (- 2) ?y2)) (* (- 28) x1)) 74))) (exists ((?y5 Real)) (forall ((?y6 Real)) (= (+ (+ (* (- 31) ?y6) (* 96 ?y2)) (* 32 x1)) 15))))) (and (exists ((?y5 Real)) (exists ((?y6 Real)) (or (<= (+ (+ (* (- 58) ?y6) (* 99 ?y2)) (* 53 x1)) 3) (= (+ (+ (+ (* (- 99) ?y6) (* (- 27) ?y5)) (* (- 56) ?y2)) (* 33 x1)) 42)))) (or (forall ((?y4 Real)) (exists ((?y5 Real)) (forall ((?y6 Real)) (= (+ (+ (* (- 49) ?y4) (* 13 ?y2)) (* (- 17) x1)) (- 97))))) (exists ((?y4 Real)) (forall ((?y6 Real)) (< (* 81 ?y6) (- 2))))))) (forall ((?y5 Real)) (and (or (forall ((?y6 Real)) (or (= (+ (+ (* 71 ?y6) (* (- 97) ?y5)) (* 98 x1)) (- 90)) (< (* (- 57) ?y5) (- 2)))) (exists ((?y6 Real)) (and (< (+ (+ (* 15 ?y5) (* 24 ?y2)) (* 99 x1)) 97) (<= (+ (+ (+ (* 32 ?y6) (* 87 ?y5)) (* 64 ?y2)) (* (- 14) x1)) 0)))) (and (and (< (+ (* (- 60) ?y5) (* (- 38) x1)) (- 8)) (> (* (- 44) ?y2) (- 66))) (and (>= (+ (+ (* 82 ?y5) (* 27 ?y2)) (* (- 40) x1)) (- 23)) (not (= (* (- 35) ?y2) (- 18))))))))) (exists ((?y3 Real)) (forall ((?y4 Real)) (and (and (> (+ (+ (* (- 58) ?y3) (* 96 ?y2)) (* (- 56) x1)) 0) (<= (+ (+ (+ (* (- 1) ?y4) (* 71 ?y3)) (* 28 ?y2)) (* 67 x1)) (- 49))) (or (< (+ (+ (* (- 40) ?y3) (* (- 61) ?y2)) (* (- 91) x1)) 0) (and (or (< (+ (* 81 ?y4) (* 14 ?y3)) (- 26)) (>= (+ (* (- 100) ?y4) (* 19 ?y2)) (- 23))) (and (< (+ (+ (* 70 ?y4) (* (- 39) ?y2)) (* (- 5) x1)) 0) (= (+ (* (- 74) ?y4) (* 35 x1)) 44)))))))) (exists ((?y3 Real)) (or (forall ((?y5 Real)) (let ((?v_191 (* (- 89) x1))) (and (forall ((?y6 Real)) (let ((?v_192 (* 20 ?y3))) (and (and (and (and (not (= (+ (+ (+ (+ (* (- 65) ?y6) (* (- 93) ?y5)) (* 10 ?y3)) (* (- 51) ?y2)) (* 2 x1)) 69)) (>= (+ (+ (+ (+ (* (- 63) ?y6) (* 96 ?y5)) (* 63 ?y3)) (* 90 ?y2)) (* (- 38) x1)) 73)) (or (>= (+ (+ (* (- 26) ?y5) (* 32 ?y3)) (* (- 17) ?y2)) 34) (<= (+ (+ (+ (* (- 96) ?y6) (* (- 54) ?y5)) ?v_192) (* (- 23) ?y2)) (- 46)))) (and (or (> (+ (+ (+ (+ (* 75 ?y6) (* (- 69) ?y5)) (* 25 ?y3)) (* 4 ?y2)) (* (- 6) x1)) 0) (< (+ (* 82 ?y3) (* (- 31) x1)) 0)) (or (>= (+ (+ (* (- 13) ?y5) ?v_192) (* (- 29) x1)) (- 5)) (= (+ (+ (* (- 47) ?y6) (* (- 59) ?y2)) (* (- 13) x1)) (- 91))))) (and (or (or (= (+ (+ (* (- 49) ?y6) (* 55 ?y5)) (* (- 67) ?y2)) 0) (<= (+ (+ (+ (+ (* (- 74) ?y6) (* (- 76) ?y5)) (* (- 2) ?y3)) (* 44 ?y2)) (* (- 69) x1)) 53)) (and (= (+ (+ (+ (* 11 ?y6) (* 51 ?y5)) (* (- 32) ?y3)) (* 19 ?y2)) 98) (> (+ (+ (+ (+ (* 71 ?y6) (* 72 ?y5)) (* 56 ?y3)) (* 11 ?y2)) (* (- 66) x1)) 0))) (= (+ (+ (* 53 ?y5) (* (- 85) ?y2)) (* (- 78) x1)) 0))))) (or (and (or (= (+ (+ (* (- 25) ?y5) (* (- 77) ?y3)) ?v_191) 71) (or (>= (+ (+ (* (- 97) ?y5) (* 31 ?y2)) (* (- 72) x1)) (- 26)) (= (+ (* 48 ?y3) (* (- 91) ?y2)) (- 21)))) (and (and (not (= (+ (* (- 90) ?y5) (* (- 37) ?y2)) 0)) (< (+ (+ (* 44 ?y5) (* (- 65) ?y2)) ?v_191) (- 44))) (<= (+ (+ (+ (* 93 ?y5) (* 60 ?y3)) (* 10 ?y2)) (* (- 41) x1)) 80))) (or (and (not (= (+ (* (- 10) ?y5) (* (- 98) ?y3)) 0)) (>= (+ (* 68 ?y2) (* 97 x1)) 40)) (or (not (= (+ (+ (* 85 ?y5) (* (- 4) ?y2)) (* 42 x1)) 96)) (< (+ (+ (* (- 69) ?y5) (* (- 5) ?y2)) (* (- 61) x1)) 19))))))) (and (exists ((?y4 Real)) (or (forall ((?y5 Real)) (forall ((?y6 Real)) (or (and (>= (+ (+ (+ (+ (* 64 ?y6) (* (- 6) ?y5)) (* (- 78) ?y4)) (* (- 14) ?y2)) (* 11 x1)) (- 8)) (= (+ (* 94 ?y6) (* (- 23) ?y3)) 92)) (and (>= (+ (+ (+ (+ (* 2 ?y6) (* 83 ?y5)) (* 71 ?y4)) (* (- 42) ?y2)) (* (- 50) x1)) (- 68)) (<= (+ (+ (+ (+ (* 11 ?y6) (* 54 ?y5)) (* 42 ?y3)) (* (- 64) ?y2)) (* 62 x1)) 59))))) (or (forall ((?y6 Real)) (and (or (>= (+ (+ (* 49 ?y6) (* (- 96) ?y2)) (* 76 x1)) (- 8)) (>= (+ (+ (* (- 66) ?y6) (* (- 78) ?y3)) (* (- 13) ?y2)) 94)) (< (+ (+ (+ (+ (* (- 60) ?y6) (* 67 ?y4)) (* 100 ?y3)) (* (- 45) ?y2)) (* (- 32) x1)) 19))) (or (exists ((?y6 Real)) (or (not (= (+ (+ (+ (+ (* (- 42) ?y6) (* (- 70) ?y4)) (* 71 ?y3)) (* (- 71) ?y2)) (* 56 x1)) (- 60))) (>= (* 7 x1) 97))) (and (= (+ (+ (* 78 ?y4) (* 52 ?y3)) (* 25 x1)) (- 48)) (<= (+ (+ (* 36 ?y4) (* (- 33) ?y2)) (* 87 x1)) 0)))))) (forall ((?y4 Real)) (forall ((?y5 Real)) (or (and (and (or (<= (+ (+ (* 41 ?y5) (* 41 ?y4)) (* (- 30) x1)) 89) (> (+ (+ (* 87 ?y5) (* (- 66) ?y4)) (* 2 x1)) 63)) (and (<= (+ (+ (* 6 ?y5) (* (- 100) ?y4)) (* 30 x1)) (- 52)) (>= (+ (+ (* (- 65) ?y4) (* 42 ?y2)) (* 89 x1)) 100))) (or (<= (+ (+ (* (- 31) ?y5) (* 79 ?y4)) (* (- 3) x1)) 0) (or (>= (+ (+ (* (- 87) ?y3) (* (- 1) ?y2)) (* (- 55) x1)) 82) (not (= (+ (+ (+ (* (- 50) ?y5) (* (- 38) ?y3)) (* (- 31) ?y2)) (* (- 10) x1)) 3))))) (and (forall ((?y6 Real)) (and (or (not (= (+ (+ (* (- 8) ?y6) (* (- 79) ?y5)) (* (- 19) x1)) 86)) (= (+ (+ (+ (+ (* 87 ?y6) (* (- 84) ?y4)) (* 32 ?y3)) (* (- 30) ?y2)) (* 59 x1)) (- 60))) (or (< (+ (+ (+ (+ (* (- 56) ?y6) (* 36 ?y5)) (* 40 ?y4)) (* 11 ?y3)) (* (- 64) ?y2)) 52) (<= (+ (+ (* (- 16) ?y6) (* 92 ?y2)) (* 1 x1)) 0)))) (forall ((?y6 Real)) (and (and (= (+ (+ (+ (+ (* (- 57) ?y5) (* (- 41) ?y4)) (* 31 ?y3)) (* 6 ?y2)) (* 99 x1)) 90) (= (+ (+ (+ (+ (* 19 ?y6) (* 80 ?y5)) (* 74 ?y4)) (* (- 94) ?y3)) (* 78 x1)) (- 18))) (and (not (= (+ (+ (* (- 2) ?y5) (* (- 80) ?y3)) (* (- 9) x1)) 0)) (= (+ (+ (+ (+ (* (- 99) ?y6) (* 51 ?y5)) (* (- 44) ?y4)) (* (- 61) ?y2)) (* 70 x1)) (- 15))))))))))))) (and (forall ((?y3 Real)) (exists ((?y4 Real)) (exists ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_193 (* (- 99) ?y2))) (and (or (or (or (< (+ (+ (+ (+ (* 20 ?y6) (* 86 ?y5)) (* (- 20) ?y4)) (* 75 ?y3)) (* 33 ?y2)) 28) (< (+ (+ (* (- 96) ?y6) (* 5 ?y5)) (* (- 34) ?y4)) 25)) (< (+ (+ (* 26 ?y6) (* (- 12) ?y5)) (* 89 ?y2)) 88)) (or (>= (* (- 40) ?y6) (- 35)) (not (= (+ (+ (* 68 ?y6) (* (- 14) ?y3)) (* 36 x1)) (- 45))))) (and (or (and (and (> (+ (+ (+ (* 95 ?y6) (* 38 ?y4)) (* 46 ?y3)) (* (- 16) ?y2)) 0) (<= (+ (+ (+ (* 63 ?y6) (* 74 ?y5)) (* (- 68) ?y4)) (* 95 ?y3)) 17)) (or (>= (+ (+ (* 96 ?y4) (* (- 97) ?y3)) (* 70 ?y2)) 43) (= (+ (+ (+ (+ (* 11 ?y6) (* (- 24) ?y5)) (* (- 50) ?y3)) ?v_193) (* (- 39) x1)) 5))) (and (>= (+ (+ (+ (* 69 ?y6) (* 62 ?y4)) (* 27 ?y3)) (* 61 x1)) 0) (< (+ (+ (+ (+ (* 48 ?y6) (* (- 38) ?y5)) (* 6 ?y4)) (* 39 ?y3)) ?v_193) 70))) (and (and (>= (+ (+ (+ (* (- 40) ?y5) (* (- 69) ?y4)) (* 7 ?y3)) (* (- 73) x1)) 40) (and (< (+ (+ (+ (+ (* (- 91) ?y5) (* (- 15) ?y4)) (* 93 ?y3)) (* 87 ?y2)) (* (- 75) x1)) 0) (> (+ (+ (+ (* 1 ?y6) (* (- 80) ?y5)) (* (- 5) ?y4)) (* 91 ?y2)) 48))) (and (<= (+ (+ (+ (+ (* (- 19) ?y6) (* 17 ?y5)) (* 97 ?y4)) (* (- 35) ?y2)) (* 24 x1)) 0) (>= (+ (+ (+ (* 61 ?y5) (* 29 ?y4)) (* (- 43) ?y3)) (* 6 ?y2)) 0)))))))))) (forall ((?y3 Real)) (forall ((?y5 Real)) (or (exists ((?y6 Real)) (and (and (and (or (< (+ (+ (+ (* 26 ?y6) (* (- 92) ?y5)) (* 82 ?y3)) (* 67 ?y2)) (- 53)) (<= (+ (+ (* 7 ?y3) (* (- 47) ?y2)) (* (- 67) x1)) (- 36))) (not (= (+ (* 93 ?y5) (* 69 ?y2)) 42))) (and (> (+ (+ (+ (* 4 ?y5) (* 80 ?y3)) (* (- 28) ?y2)) (* (- 27) x1)) (- 48)) (or (= (+ (+ (+ (+ (* 76 ?y6) (* 66 ?y5)) (* 79 ?y3)) (* (- 66) ?y2)) (* 55 x1)) 30) (<= (+ (+ (+ (* (- 2) ?y5) (* (- 1) ?y3)) (* 55 ?y2)) (* (- 12) x1)) (- 69))))) (and (and (and (and (<= (+ (+ (* 16 ?y6) (* (- 96) ?y5)) (* (- 83) ?y2)) (- 16)) (= (+ (* 15 ?y6) (* 73 ?y3)) 0)) (<= (+ (+ (+ (* 48 ?y6) (* 19 ?y5)) (* 87 ?y3)) (* 82 ?y2)) 0)) (or (> (+ (+ (+ (* 39 ?y6) (* (- 90) ?y3)) (* 58 ?y2)) (* 48 x1)) (- 13)) (< (+ (+ (+ (+ (* 96 ?y6) (* (- 47) ?y5)) (* (- 26) ?y3)) (* (- 13) ?y2)) (* (- 14) x1)) (- 8)))) (or (or (or (>= (+ (+ (* (- 74) ?y6) (* 1 ?y5)) (* (- 66) ?y3)) 67) (> (+ (+ (+ (+ (* 50 ?y6) (* (- 20) ?y5)) (* 63 ?y3)) (* 76 ?y2)) (* 23 x1)) 0)) (>= (+ (+ (+ (* 56 ?y6) (* (- 56) ?y5)) (* (- 5) ?y3)) (* (- 38) ?y2)) 0)) (or (and (< (+ (+ (* 38 ?y6) (* (- 49) ?y5)) (* (- 34) ?y3)) 0) (= (+ (+ (* (- 35) ?y6) (* (- 55) ?y5)) (* 94 ?y2)) (- 40))) (or (not (= (+ (+ (+ (* 51 ?y6) (* 24 ?y5)) (* 17 ?y2)) (* (- 94) x1)) (- 21))) (< (+ (+ (* (- 60) ?y6) (* 76 ?y5)) (* 73 ?y2)) 85))))))) (exists ((?y6 Real)) (let ((?v_195 (* (- 51) ?y2)) (?v_194 (* (- 5) ?y6)) (?v_196 (* (- 43) ?y2))) (or (and (or (and (or (<= (+ (+ (+ (* (- 61) ?y6) (* 6 ?y3)) (* (- 88) ?y2)) (* 31 x1)) (- 4)) (not (= (+ (+ (+ (* 65 ?y6) (* 70 ?y5)) (* 9 ?y3)) (* 78 x1)) (- 57)))) (> (+ (+ (* 90 ?y3) (* 9 ?y2)) (* 100 x1)) (- 1))) (and (or (> (+ (+ (* 3 ?y6) (* (- 11) ?y3)) (* 56 ?y2)) 21) (<= (+ (+ (* (- 53) ?y6) (* (- 94) ?y3)) (* (- 24) ?y2)) 62)) (or (>= (+ (+ (+ (* 77 ?y6) (* 93 ?y5)) ?v_195) (* (- 100) x1)) (- 95)) (not (= (+ (+ ?v_194 (* 91 ?y5)) (* (- 75) ?y3)) (- 18)))))) (or (or (>= (+ (+ (* 13 ?y6) (* 55 ?y3)) (* (- 19) ?y2)) 0) (= (+ ?v_194 (* 12 ?y2)) 63)) (and (not (= (+ (+ (* (- 63) ?y6) (* 83 ?y5)) (* (- 34) x1)) 0)) (= (+ (+ (* (- 30) ?y6) (* (- 60) ?y5)) (* 52 ?y3)) 90)))) (or (or (or (not (= (+ (+ (+ (* (- 60) ?y6) (* (- 38) ?y5)) (* (- 33) ?y3)) (* (- 50) ?y2)) 0)) (> (+ (+ (+ (* (- 45) ?y5) (* 4 ?y3)) (* 10 ?y2)) (* (- 98) x1)) 56)) (and (<= (* 12 ?y5) (- 48)) (or (<= (+ (+ (+ (* 1 ?y6) (* (- 17) ?y5)) ?v_195) (* 8 x1)) (- 22)) (> (+ (+ (+ (* (- 100) ?y5) (* (- 39) ?y3)) (* (- 29) ?y2)) (* (- 17) x1)) 0)))) (and (and (= (+ (+ (+ (* 50 ?y6) (* (- 23) ?y5)) ?v_196) (* 69 x1)) 81) (or (>= (+ (+ (* (- 23) ?y6) (* 32 ?y3)) (* 88 ?y2)) 34) (> (+ (+ (* 39 ?y6) ?v_196) (* 90 x1)) 57))) (or (or (<= (+ (+ (+ (* (- 91) ?y6) (* (- 35) ?y5)) (* 45 ?y3)) (* 74 ?y2)) 86) (<= (+ (+ (+ (+ (* (- 6) ?y6) (* (- 29) ?y5)) (* (- 68) ?y3)) (* (- 57) ?y2)) (* (- 46) x1)) 5)) (and (not (= (+ (+ (+ (+ (* (- 1) ?y6) (* (- 40) ?y5)) (* 11 ?y3)) (* 89 ?y2)) (* 49 x1)) (- 57))) (not (= (+ (+ (+ (+ (* (- 35) ?y6) (* 15 ?y5)) (* (- 23) ?y3)) (* 33 ?y2)) (* 75 x1)) (- 57)))))))))))))))))))
(check-sat)
(exit)
