(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_4 (* 14 ?x3)) (?v_0 (* 20 ?x1)) (?v_30 (* 53 ?x1)) (?v_7 (* 11 ?x2)) (?v_21 (* 21 ?x3)) (?v_26 (* 63 ?x3)) (?v_31 (* 78 ?x2)) (?v_5 (* 97 ?x3)) (?v_58 (* 19 ?x2)) (?v_48 (* 92 ?x2)) (?v_29 (* 62 ?x2)) (?v_11 (* 61 ?x3)) (?v_19 (* 94 ?x1)) (?v_54 (* 61 ?x1)) (?v_25 (* 30 ?x1)) (?v_37 (* 67 ?x2)) (?v_60 (* 62 ?x3)) (?v_17 (* 98 ?x1)) (?v_41 (* 39 ?x3)) (?v_20 (* 32 ?x2)) (?v_36 (* 14 ?x1)) (?v_12 (* 96 ?x3)) (?v_33 (* 93 ?x2)) (?v_28 (* 4 ?x1)) (?v_59 (* 100 ?x2)) (?v_27 (* 99 ?x2)) (?v_51 (* 25 ?x3)) (?v_42 (* 71 ?x1)) (?v_43 (* 59 ?x1)) (?v_14 (* (- 33) ?x1)) (?v_39 (* (- 92) ?x2)) (?v_49 (* (- 43) ?x3)) (?v_1 (* (- 51) ?x2)) (?v_18 (* (- 67) ?x2)) (?v_2 (* (- 24) ?x1)) (?v_40 (* (- 74) ?x1)) (?v_22 (* (- 30) ?x2)) (?v_3 (* (- 47) ?x2)) (?v_13 (* (- 75) ?x2)) (?v_16 (* (- 80) ?x3)) (?v_15 (* (- 68) ?x2)) (?v_45 (* (- 65) ?x1)) (?v_50 (* (- 42) ?x1)) (?v_8 (* (- 76) ?x2)) (?v_38 (* (- 74) ?x3)) (?v_47 (* (- 2) ?x1)) (?v_9 (* (- 29) ?x2)) (?v_23 (* (- 37) ?x3)) (?v_57 (* (- 100) ?x3)) (?v_6 (* (- 65) ?x2)) (?v_35 (* (- 76) ?x1)) (?v_10 (* (- 64) ?x3)) (?v_55 (* (- 40) ?x1)) (?v_32 (* (- 42) ?x2)) (?v_24 (* (- 53) ?x3)) (?v_52 (* (- 4) ?x3)) (?v_34 (* (- 65) ?x3)) (?v_53 (* (- 27) ?x1)) (?v_56 (* (- 10) ?x1)) (?v_44 (* (- 85) ?x2)) (?v_46 (* (- 60) ?x1))) (and (and (and (and (and (or (and (< (+ (+ (* (- 86) ?x1) (* (- 87) ?x2)) (* (- 20) ?x3)) 19) (not (= (+ (* 10 ?x2) ?v_4) 14))) (or (and (>= ?v_0 (- 80)) (not (= (* (- 5) ?x1) (- 57)))) (and (< (+ ?v_30 (* (- 11) ?x2)) (- 23)) (not (= (+ (+ ?v_14 ?v_39) ?v_49) (- 60)))))) (or (or (or (< (+ ?v_0 ?v_1) (- 50)) (<= ?v_7 32)) (or (= (* (- 64) ?x1) 50) (>= (+ (* (- 4) ?x1) (* 54 ?x3)) 46))) (and (or (< (+ (+ (* 5 ?x1) (* 75 ?x2)) (* 37 ?x3)) (- 86)) (> (+ (* (- 44) ?x1) (* (- 12) ?x3)) 0)) (or (>= (+ (+ (* 28 ?x1) ?v_1) (* (- 84) ?x3)) (- 80)) (> ?v_21 0))))) (and (and (and (and (not (= (+ (* (- 97) ?x2) ?v_26) 69)) (> (+ (* (- 89) ?x1) ?v_18) 0)) (and (>= (+ (+ ?v_2 (* 22 ?x2)) (* 41 ?x3)) (- 98)) (= (+ (* 64 ?x1) (* (- 28) ?x3)) (- 52)))) (not (= (+ (* (- 94) ?x1) (* (- 1) ?x3)) 63))) (or (> (+ (+ ?v_40 ?v_22) (* 8 ?x3)) 0) (and (and (not (= (+ ?v_2 (* (- 55) ?x3)) 15)) (<= (+ (* 36 ?x1) ?v_31) (- 97))) (and (not (= (+ ?v_3 (* (- 77) ?x3)) 99)) (< (+ (* (- 17) ?x2) ?v_5) 0)))))) (or (and (and (and (or (<= (+ (+ (* 50 ?x1) ?v_13) (* (- 76) ?x3)) (- 4)) (>= (+ (* 89 ?x1) (* 30 ?x3)) (- 35))) (and (not (= (+ (* 19 ?x1) (* 5 ?x3)) 72)) (<= (+ (* (- 37) ?x1) ?v_16) 95))) (and (and (<= (+ (+ (* 9 ?x1) (* (- 77) ?x2)) (* (- 8) ?x3)) 50) (>= (+ ?v_15 (* (- 29) ?x3)) (- 80))) (or (> (+ (* (- 14) ?x1) ?v_58) (- 6)) (< (+ (* (- 80) ?x1) (* 23 ?x2)) 34)))) (and (and (and (< (* 28 ?x3) (- 2)) (<= (+ (* (- 15) ?x2) (* 33 ?x3)) (- 22))) (and (<= (+ (* 82 ?x2) (* (- 27) ?x3)) (- 73)) (= (* 47 ?x2) 0))) (or (= (+ (* (- 8) ?x1) ?v_48) 0) (and (>= (+ (* 7 ?x1) (* (- 32) ?x3)) 88) (<= (+ ?v_3 (* (- 16) ?x3)) (- 82)))))) (and (not (= (+ ?v_45 (* 65 ?x3)) (- 4))) (or (>= (+ (+ ?v_50 ?v_29) (* 75 ?x3)) (- 92)) (= (+ ?v_8 ?v_38) 20))))) (or (or (or (or (= (+ (* (- 91) ?x2) (* 22 ?x3)) 0) (> (+ (* 46 ?x2) (* 26 ?x3)) 0)) (< (+ (+ (* 40 ?x1) (* 95 ?x2)) ?v_11) 88)) (or (or (and (= (+ ?v_47 (* (- 17) ?x3)) 30) (= (+ (+ (* 95 ?x1) ?v_9) ?v_23) 75)) (or (= (+ (+ ?v_19 (* 16 ?x2)) ?v_57) (- 66)) (< (+ (+ (* 69 ?x1) (* (- 28) ?x2)) ?v_4) (- 71)))) (not (= (+ (* 76 ?x1) (* (- 40) ?x3)) 8)))) (or (or (or (or (= (+ (+ ?v_54 (* 84 ?x2)) (* 17 ?x3)) (- 90)) (< (+ (+ (* 2 ?x1) (* (- 37) ?x2)) (* 99 ?x3)) (- 26))) (and (or (< (+ (+ (* (- 99) ?x1) ?v_6) (* (- 71) ?x3)) (- 86)) (not (= (+ (+ (* (- 59) ?x1) (* (- 16) ?x2)) ?v_5) 48))) (or (> ?v_25 (- 75)) (< (+ ?v_35 (* (- 98) ?x2)) 0)))) (or (> (+ (+ (* 31 ?x1) ?v_6) ?v_10) 0) (or (<= (+ (* (- 96) ?x2) (* (- 99) ?x3)) 0) (= (+ (+ (* (- 46) ?x1) ?v_7) (* 83 ?x3)) 72)))) (or (or (or (not (= (+ (* 47 ?x1) ?v_8) 0)) (> ?v_37 44)) (or (not (= (+ (+ (* 41 ?x1) (* (- 5) ?x2)) ?v_60) 0)) (>= (+ (+ ?v_17 ?v_9) (* (- 41) ?x3)) (- 50)))) (or (or (and (>= (+ (* (- 77) ?x1) ?v_41) (- 47)) (= (+ (* 99 ?x1) ?v_20) 0)) (or (not (= (+ (+ ?v_36 (* (- 55) ?x2)) (* (- 75) ?x3)) (- 51))) (> (+ (+ (* 91 ?x1) (* (- 89) ?x2)) ?v_10) 0))) (or (and (= (+ ?v_55 (* (- 7) ?x3)) 0) (> (+ (* 83 ?x2) ?v_12) 96)) (and (not (= (+ ?v_32 (* (- 68) ?x3)) (- 63))) (>= (+ (* (- 39) ?x1) ?v_11) (- 32))))))))) (or (or (and (or (and (or (and (<= (+ (+ (* 38 ?x1) ?v_33) ?v_12) (- 91)) (>= (+ (* (- 61) ?x1) (* 40 ?x3)) (- 20))) (and (>= (+ ?v_13 ?v_24) (- 23)) (= (+ (+ ?v_14 ?v_15) (* (- 79) ?x3)) 0))) (or (not (= (* (- 98) ?x1) 0)) (or (<= (+ (* 35 ?x1) (* (- 9) ?x3)) (- 70)) (not (= ?v_9 33))))) (or (and (or (not (= (+ (+ (* 77 ?x1) (* (- 82) ?x2)) ?v_16) (- 54))) (> ?v_17 0)) (or (= (+ (+ (* (- 30) ?x1) (* (- 100) ?x2)) (* (- 35) ?x3)) (- 25)) (> (+ (* 82 ?x1) (* (- 73) ?x2)) (- 18)))) (and (> (+ (+ (* (- 82) ?x1) ?v_18) ?v_52) 32) (> (+ (+ ?v_2 (* (- 25) ?x2)) (* 95 ?x3)) 23)))) (or (and (or (>= (+ (+ ?v_28 (* 59 ?x2)) (* (- 92) ?x3)) 82) (or (>= (+ (+ ?v_19 ?v_20) ?v_34) 67) (= (+ (+ ?v_53 ?v_59) ?v_21) (- 25)))) (or (> (* (- 33) ?x3) (- 31)) (< (+ (* 65 ?x1) ?v_22) (- 2)))) (or (or (and (not (= (+ ?v_27 ?v_23) 33)) (> (+ (* 97 ?x2) ?v_24) 0)) (or (>= (+ (* 84 ?x1) (* (- 52) ?x2)) (- 62)) (= (+ (+ (* (- 43) ?x1) ?v_15) (* (- 34) ?x3)) 0))) (or (= (+ ?v_25 ?v_26) 75) (= (+ (+ (* (- 78) ?x1) (* 57 ?x2)) (* (- 67) ?x3)) 24))))) (and (or (or (and (= (+ (+ (* (- 17) ?x1) ?v_27) (* (- 48) ?x3)) (- 33)) (< (+ (+ ?v_28 (* 45 ?x2)) (* (- 13) ?x3)) (- 17))) (and (> (+ (+ (* (- 1) ?x1) ?v_29) (* (- 85) ?x3)) (- 79)) (<= (+ (+ ?v_30 (* 56 ?x2)) (* 78 ?x3)) 0))) (or (= (+ ?v_31 ?v_51) 53) (and (>= (+ (+ (* (- 13) ?x1) (* (- 78) ?x2)) (* 24 ?x3)) (- 41)) (> (+ ?v_42 ?v_32) (- 61))))) (and (and (and (and (> (+ (+ (* 58 ?x1) ?v_33) ?v_34) 0) (<= (* 32 ?x1) 14)) (>= (+ ?v_35 ?v_20) 0)) (and (< (* (- 93) ?x2) 79) (> (+ (+ (* (- 96) ?x1) (* 73 ?x2)) ?v_24) 14))) (or (and (>= (+ ?v_36 (* 76 ?x3)) 40) (< (+ (* 75 ?x1) ?v_37) 0)) (or (>= (+ ?v_56 ?v_38) (- 5)) (> (+ (+ ?v_43 (* 2 ?x2)) (* 23 ?x3)) 23)))))) (or (and (or (and (or (or (> (+ (* 63 ?x2) ?v_5) (- 78)) (= (+ (* 3 ?x1) ?v_44) 0)) (and (> (+ (* 6 ?x1) (* 72 ?x3)) 0) (>= (* 55 ?x3) (- 98)))) (or (or (< (+ (+ (* 57 ?x1) ?v_39) (* 11 ?x3)) (- 68)) (< (+ ?v_46 (* (- 2) ?x2)) (- 80))) (and (> (+ (* 13 ?x2) (* (- 44) ?x3)) 27) (<= (* (- 49) ?x3) (- 16))))) (and (or (or (< (+ (* 40 ?x2) (* 68 ?x3)) 97) (<= (+ (* 74 ?x1) ?v_23) (- 70))) (> (* (- 57) ?x3) 5)) (and (< (+ (+ ?v_40 (* 44 ?x2)) ?v_41) (- 92)) (< (+ (* (- 3) ?x1) (* (- 99) ?x2)) 61)))) (or (or (or (and (> (+ ?v_42 (* 30 ?x2)) (- 21)) (> (+ (+ (* 29 ?x1) (* 96 ?x2)) (* 35 ?x3)) (- 78))) (and (< (+ (+ ?v_43 (* 76 ?x2)) (* 9 ?x3)) (- 11)) (>= (+ (+ (* (- 9) ?x1) ?v_44) (* (- 66) ?x3)) 70))) (= (+ (* 85 ?x1) (* (- 79) ?x2)) (- 25))) (and (and (and (< (+ (+ ?v_45 ?v_15) (* 3 ?x3)) 79) (= (+ (+ ?v_46 (* 54 ?x2)) (* 87 ?x3)) (- 31))) (and (< (+ ?v_2 (* 87 ?x2)) 37) (not (= (* (- 18) ?x3) (- 3))))) (or (<= (+ (* (- 74) ?x2) (* 70 ?x3)) (- 87)) (or (> (+ (+ ?v_47 ?v_48) (* (- 91) ?x3)) 0) (>= ?v_49 7)))))) (and (and (and (and (= (+ (+ (* (- 85) ?x1) (* (- 20) ?x2)) (* 12 ?x3)) 3) (>= (+ ?v_50 ?v_51) 0)) (or (= (+ (* 43 ?x2) (* 69 ?x3)) 51) (<= (+ (+ (* 56 ?x1) (* (- 1) ?x2)) ?v_52) 48))) (and (>= (+ (+ ?v_53 (* 71 ?x2)) (* (- 42) ?x3)) 4) (and (= (+ (* 92 ?x1) (* 74 ?x3)) (- 69)) (not (= (+ ?v_54 (* (- 26) ?x2)) 0))))) (and (and (and (> (+ (+ ?v_55 ?v_31) (* 89 ?x3)) 92) (<= (+ ?v_56 ?v_57) (- 87))) (and (> (+ (+ (* (- 90) ?x1) ?v_58) (* 64 ?x3)) (- 79)) (<= (+ (+ (* (- 18) ?x1) ?v_59) ?v_60) 0))) (or (> (+ (* 23 ?x1) ?v_6) 0) (<= (+ (* (- 71) ?x1) (* 15 ?x3)) 38))))))))))))
(check-sat)
(exit)
