(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_55 (* 98 ?x1)) (?v_12 (* 64 ?x2)) (?v_20 (* 11 ?x3)) (?v_5 (* 52 ?x3)) (?v_1 (* 40 ?x1)) (?v_3 (* 80 ?x3)) (?v_4 (* 4 ?x2)) (?v_10 (* 14 ?x3)) (?v_35 (* 1 ?x2)) (?v_7 (* 2 ?x1)) (?v_45 (* 76 ?x1)) (?v_30 (* 59 ?x2)) (?v_6 (* 35 ?x2)) (?v_41 (* 18 ?x2)) (?v_54 (* 26 ?x3)) (?v_62 (* 48 ?x3)) (?v_31 (* 89 ?x3)) (?v_26 (* 49 ?x1)) (?v_16 (* 27 ?x1)) (?v_24 (* 9 ?x2)) (?v_53 (* 98 ?x2)) (?v_56 (* 4 ?x1)) (?v_13 (* 4 ?x3)) (?v_22 (* 51 ?x3)) (?v_48 (* 29 ?x1)) (?v_50 (* 30 ?x3)) (?v_37 (* 86 ?x2)) (?v_36 (* 90 ?x1)) (?v_39 (* 100 ?x2)) (?v_44 (* 40 ?x2)) (?v_52 (* 29 ?x2)) (?v_66 (* 37 ?x3)) (?v_43 (* 13 ?x1)) (?v_60 (* 61 ?x3)) (?v_32 (* (- 20) ?x1)) (?v_0 (* (- 80) ?x1)) (?v_40 (* (- 2) ?x1)) (?v_19 (* (- 86) ?x2)) (?v_2 (* (- 63) ?x2)) (?v_29 (* (- 48) ?x1)) (?v_70 (* (- 41) ?x2)) (?v_9 (* (- 13) ?x2)) (?v_11 (* (- 11) ?x3)) (?v_21 (* (- 27) ?x1)) (?v_46 (* (- 99) ?x1)) (?v_42 (* (- 30) ?x3)) (?v_61 (* (- 64) ?x2)) (?v_47 (* (- 100) ?x2)) (?v_14 (* (- 46) ?x2)) (?v_28 (* (- 15) ?x1)) (?v_18 (* (- 47) ?x2)) (?v_15 (* (- 14) ?x1)) (?v_8 (* (- 77) ?x3)) (?v_27 (* (- 61) ?x1)) (?v_49 (* (- 51) ?x2)) (?v_51 (* (- 16) ?x3)) (?v_17 (* (- 46) ?x3)) (?v_23 (* (- 28) ?x1)) (?v_33 (* (- 97) ?x2)) (?v_69 (* (- 78) ?x1)) (?v_25 (* (- 67) ?x3)) (?v_34 (* (- 34) ?x3)) (?v_57 (* (- 39) ?x3)) (?v_38 (* (- 4) ?x1)) (?v_63 (* (- 17) ?x2)) (?v_64 (* (- 83) ?x3)) (?v_58 (* (- 72) ?x2)) (?v_59 (* (- 82) ?x1)) (?v_65 (* (- 19) ?x2)) (?v_68 (* (- 41) ?x3)) (?v_67 (* (- 55) ?x2))) (and (and (or (or (or (or (or (and (>= (+ (+ (* (- 5) ?x1) (* 94 ?x2)) (* (- 9) ?x3)) (- 62)) (> (+ (+ (* (- 76) ?x1) (* 37 ?x2)) (* (- 20) ?x3)) 39)) (and (>= (+ (+ (* (- 69) ?x1) (* (- 79) ?x2)) (* (- 40) ?x3)) (- 83)) (< (+ (+ ?v_55 (* 43 ?x2)) (* (- 53) ?x3)) (- 95)))) (and (or (= (+ (+ ?v_32 ?v_12) ?v_20) 0) (not (= (+ (+ ?v_0 (* (- 32) ?x2)) ?v_5) (- 93)))) (and (< (+ (+ (* (- 74) ?x1) (* 49 ?x2)) (* (- 80) ?x3)) 0) (<= (+ (+ ?v_40 (* 75 ?x2)) (* 54 ?x3)) 62)))) (and (and (and (= (+ (+ ?v_1 ?v_19) (* (- 17) ?x3)) (- 94)) (<= (+ (+ (* (- 37) ?x1) ?v_2) ?v_3) (- 19))) (or (> (+ (+ ?v_29 ?v_70) (* (- 25) ?x3)) 0) (<= (+ ?v_0 (* (- 95) ?x2)) (- 67)))) (or (and (<= (+ ?v_1 ?v_4) 44) (<= (+ (* 96 ?x1) (* 36 ?x3)) 83)) (or (= (+ (+ (* (- 32) ?x1) ?v_2) (* (- 31) ?x3)) 0) (>= (* 92 ?x2) (- 59)))))) (and (or (or (>= (* (- 76) ?x2) (- 80)) (< (+ (* 33 ?x1) ?v_10) (- 71))) (< (+ (+ (* 77 ?x1) ?v_9) ?v_3) 0)) (or (and (> (+ (+ (* (- 41) ?x1) ?v_35) (* (- 92) ?x3)) 53) (not (= (+ ?v_7 (* 56 ?x3)) 0))) (and (not (= (+ (+ (* 64 ?x1) (* 78 ?x2)) (* (- 12) ?x3)) 0)) (>= (+ (+ ?v_45 ?v_30) ?v_11) 0))))) (or (or (and (or (not (= (+ ?v_21 ?v_6) 93)) (< (+ (+ (* 59 ?x1) ?v_4) ?v_5) 0)) (and (<= (+ (+ ?v_46 (* (- 77) ?x2)) (* (- 78) ?x3)) 56) (> (+ (+ (* (- 22) ?x1) (* 19 ?x2)) (* 58 ?x3)) 0))) (or (or (<= (+ (* 17 ?x2) (* 68 ?x3)) 26) (> (+ (+ (* 94 ?x1) ?v_41) ?v_54) 33)) (or (>= (+ (* 72 ?x1) (* 36 ?x2)) 28) (<= (+ (* (- 69) ?x2) ?v_42) 20)))) (and (or (and (and (not (= (+ (* 32 ?x1) ?v_61) 3)) (>= (+ ?v_47 ?v_62) 64)) (and (<= (+ (+ (* (- 35) ?x1) ?v_6) ?v_31) (- 67)) (< (+ (+ (* 7 ?x1) ?v_14) (* (- 6) ?x3)) 0))) (or (or (> (+ (* (- 71) ?x1) (* (- 84) ?x2)) 0) (not (= (+ (+ ?v_28 (* (- 68) ?x2)) (* (- 18) ?x3)) (- 54)))) (or (not (= (+ (+ (* (- 63) ?x1) ?v_18) (* 34 ?x3)) 84)) (< (+ (* 19 ?x1) (* (- 72) ?x3)) (- 29))))) (or (and (< (+ (* (- 46) ?x1) ?v_4) 7) (< (+ ?v_15 ?v_8) 58)) (and (not (= (+ (+ ?v_27 (* 33 ?x2)) (* 97 ?x3)) 0)) (< (+ (+ ?v_26 ?v_49) (* 77 ?x3)) (- 41))))))) (or (or (or (or (>= (+ (+ ?v_7 (* (- 89) ?x2)) (* 1 ?x3)) 4) (>= (+ (+ ?v_16 (* 90 ?x2)) ?v_51) (- 92))) (and (or (or (> (+ (* (- 31) ?x2) (* (- 22) ?x3)) 0) (>= (+ ?v_24 (* 20 ?x3)) 43)) (or (>= ?v_8 16) (>= (+ ?v_53 ?v_17) (- 86)))) (or (or (= (+ (+ (* 68 ?x1) (* 85 ?x2)) (* 84 ?x3)) 0) (> (+ (+ ?v_56 (* (- 22) ?x2)) (* (- 62) ?x3)) 0)) (and (= (+ (* 51 ?x2) (* 38 ?x3)) 0) (>= (+ (+ (* (- 43) ?x1) ?v_9) (* 47 ?x3)) 4))))) (or (or (or (<= (+ (* 46 ?x1) ?v_13) 57) (or (>= (+ (* 1 ?x1) ?v_22) (- 59)) (<= (+ (+ (* 81 ?x1) (* (- 65) ?x2)) ?v_10) 38))) (and (and (<= (* 97 ?x2) (- 94)) (not (= (* (- 44) ?x3) 54))) (and (> (+ (+ ?v_23 ?v_33) ?v_11) 0) (> (+ (+ ?v_48 ?v_12) ?v_50) 0)))) (or (and (not (= (+ (+ (* 10 ?x1) ?v_37) (* 57 ?x3)) 0)) (> (+ (+ (* (- 54) ?x1) (* (- 59) ?x2)) ?v_13) (- 79))) (and (> ?v_69 29) (> (* 65 ?x2) (- 70)))))) (or (and (and (< (* 7 ?x3) (- 2)) (= (+ (+ (* 63 ?x1) ?v_14) (* 33 ?x3)) (- 76))) (and (and (and (< (+ (+ ?v_15 (* (- 93) ?x2)) (* (- 99) ?x3)) 0) (>= (+ (* 18 ?x1) (* 9 ?x3)) (- 74))) (or (<= (+ ?v_16 (* (- 65) ?x3)) 2) (> (+ ?v_36 ?v_17) 0))) (and (or (>= (+ ?v_18 ?v_25) 22) (< (+ (* (- 34) ?x2) (* (- 45) ?x3)) 67)) (and (= (+ (+ (* (- 86) ?x1) (* (- 87) ?x2)) (* (- 73) ?x3)) 65) (= (+ (+ (* 48 ?x1) ?v_19) (* 95 ?x3)) 0))))) (or (or (= (+ (+ (* (- 77) ?x1) ?v_39) ?v_20) (- 12)) (not (= (+ (+ (* (- 17) ?x1) (* 72 ?x2)) (* 64 ?x3)) (- 100)))) (= (+ (* (- 19) ?x1) (* (- 28) ?x3)) 0))))) (or (and (and (and (and (and (or (<= (+ (+ ?v_21 ?v_44) ?v_22) (- 91)) (<= (+ (+ ?v_23 ?v_52) (* (- 82) ?x3)) 23)) (or (< (+ ?v_24 ?v_25) (- 77)) (<= (+ (+ ?v_26 (* (- 16) ?x2)) (* 23 ?x3)) (- 76)))) (or (and (not (= (+ (+ ?v_21 (* (- 4) ?x2)) ?v_34) (- 3))) (not (= (* 67 ?x2) (- 60)))) (or (< (+ (* (- 92) ?x1) (* 71 ?x3)) 85) (>= (+ (+ (* (- 72) ?x1) (* (- 29) ?x2)) (* (- 8) ?x3)) (- 32))))) (and (and (and (<= (+ (+ (* (- 40) ?x1) (* 21 ?x2)) (* 10 ?x3)) 98) (= (+ (+ ?v_27 (* (- 21) ?x2)) (* (- 3) ?x3)) 0)) (and (< (+ (+ ?v_28 (* 80 ?x2)) (* (- 49) ?x3)) 0) (= (+ (* (- 23) ?x1) (* 100 ?x3)) (- 100)))) (and (= (+ (+ ?v_29 ?v_30) ?v_57) 0) (<= (+ (* (- 49) ?x2) ?v_31) 0)))) (and (or (and (or (= (+ (+ ?v_38 (* 45 ?x2)) ?v_66) (- 58)) (= (+ (+ (* (- 94) ?x1) (* 16 ?x2)) (* (- 42) ?x3)) 0)) (or (not (= (+ (+ ?v_32 (* (- 90) ?x2)) (* (- 54) ?x3)) 96)) (<= (+ (+ ?v_43 (* (- 71) ?x2)) ?v_8) (- 97)))) (and (and (= (+ (+ (* 20 ?x1) ?v_33) ?v_60) (- 19)) (< (* (- 24) ?x1) 0)) (not (= (+ (* 83 ?x2) ?v_34) 6)))) (or (or (= (+ (* (- 92) ?x2) (* 32 ?x3)) (- 15)) (> (+ ?v_35 (* 73 ?x3)) (- 94))) (or (> (+ (+ (* (- 31) ?x1) (* (- 15) ?x2)) (* 50 ?x3)) 62) (or (> (+ ?v_36 ?v_37) (- 27)) (<= (+ (* (- 7) ?x1) (* 95 ?x2)) 95)))))) (or (and (and (and (or (not (= (+ (* (- 87) ?x1) (* 74 ?x3)) (- 54))) (> (+ (* (- 13) ?x1) (* 25 ?x2)) 0)) (and (not (= (+ (+ (* 66 ?x1) ?v_63) (* 92 ?x3)) 3)) (= (+ (* 16 ?x1) (* (- 27) ?x3)) (- 100)))) (or (< (+ (* (- 68) ?x1) (* 44 ?x2)) (- 11)) (< (+ ?v_38 ?v_39) 28))) (or (or (and (>= (+ ?v_40 ?v_41) (- 32)) (= (+ (+ (* 9 ?x1) (* 69 ?x2)) ?v_8) 0)) (and (< (+ (* 96 ?x2) ?v_42) (- 11)) (< (+ (+ ?v_43 (* 82 ?x2)) (* 62 ?x3)) 34))) (or (or (< (+ (+ (* 99 ?x1) (* (- 70) ?x2)) ?v_42) 0) (> (+ (+ (* (- 75) ?x1) ?v_44) (* (- 14) ?x3)) 0)) (and (>= (* 89 ?x1) 46) (= (+ (* 53 ?x1) (* (- 76) ?x3)) 0))))) (and (and (or (<= (+ (+ ?v_45 (* 81 ?x2)) (* 19 ?x3)) 0) (= (+ (* 34 ?x2) (* 66 ?x3)) 69)) (and (or (= (+ ?v_46 (* 79 ?x2)) 71) (> (+ (* 66 ?x2) (* (- 79) ?x3)) 0)) (or (>= (+ (* (- 12) ?x2) (* (- 90) ?x3)) 85) (<= (+ ?v_0 ?v_64) (- 64))))) (and (or (or (<= ?v_47 95) (> ?v_48 0)) (and (<= (+ (+ (* 95 ?x1) ?v_49) ?v_50) 77) (not (= (+ (* (- 37) ?x2) (* (- 29) ?x3)) 72)))) (and (>= (+ (* (- 1) ?x1) ?v_24) 0) (<= (* (- 56) ?x3) 30)))))) (or (and (and (or (or (not (= (+ (+ (* 31 ?x1) ?v_58) ?v_51) 0)) (<= (+ ?v_52 (* (- 94) ?x3)) 27)) (or (not (= (+ (+ (* (- 79) ?x1) ?v_53) ?v_54) 2)) (>= (* 37 ?x1) 31))) (and (and (<= (+ (+ (* (- 52) ?x1) ?v_35) (* 55 ?x3)) 0) (>= (+ ?v_55 (* (- 13) ?x3)) 0)) (and (>= (* (- 91) ?x1) (- 5)) (>= (+ (+ ?v_56 (* 60 ?x2)) (* 83 ?x3)) (- 17))))) (and (or (> (+ (+ ?v_59 (* 5 ?x2)) (* (- 43) ?x3)) (- 78)) (or (= (+ (* 57 ?x1) (* (- 93) ?x3)) 15) (< (+ (* 24 ?x1) ?v_57) (- 29)))) (or (> (+ (+ ?v_23 (* (- 91) ?x2)) (* 65 ?x3)) (- 13)) (and (= (+ (+ (* (- 6) ?x1) ?v_49) (* 91 ?x3)) 81) (not (= (* 92 ?x1) 0)))))) (or (or (and (or (<= (+ ?v_58 (* (- 91) ?x3)) 36) (<= (+ (* 38 ?x2) ?v_31) 0)) (or (> (+ (+ (* 54 ?x1) (* 13 ?x2)) (* 29 ?x3)) 20) (not (= (+ ?v_59 (* (- 33) ?x2)) 32)))) (or (or (= (+ (+ (* (- 21) ?x1) (* 46 ?x2)) ?v_60) 96) (= (+ (+ ?v_55 ?v_61) ?v_62) (- 60))) (and (> (+ (+ (* (- 9) ?x1) ?v_65) ?v_68) 11) (<= (+ ?v_67 (* (- 33) ?x3)) (- 9))))) (and (or (or (< (+ (+ (* (- 44) ?x1) ?v_63) ?v_64) 61) (< (+ (+ (* (- 45) ?x1) ?v_65) ?v_66) 97)) (and (>= (+ (* (- 53) ?x2) (* 18 ?x3)) 0) (< (+ (* (- 7) ?x2) (* 82 ?x3)) 88))) (and (or (not (= (* (- 66) ?x2) 0)) (> (+ (+ (* 39 ?x1) ?v_67) ?v_68) (- 67))) (or (>= (+ ?v_69 ?v_70) 0) (not (= (+ (+ (* 22 ?x1) (* 31 ?x2)) ?v_11) (- 34)))))))))))))))
(check-sat)
(exit)
