(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_0 (* 70 ?x3)) (?v_295 (* 10 ?x1)) (?v_139 (* 25 ?x2)) (?v_6 (* 48 ?x2)) (?v_58 (* 60 ?x3)) (?v_296 (* 86 ?x3)) (?v_102 (* 11 ?x1)) (?v_147 (* 64 ?x3)) (?v_2 (* 74 ?x3)) (?v_16 (* 5 ?x1)) (?v_290 (* 66 ?x3)) (?v_7 (* 48 ?x3)) (?v_254 (* 99 ?x3)) (?v_48 (* 96 ?x1)) (?v_44 (* 27 ?x1)) (?v_74 (* 16 ?x2)) (?v_82 (* 83 ?x1)) (?v_107 (* 17 ?x3)) (?v_5 (* 86 ?x1)) (?v_235 (* 95 ?x3)) (?v_12 (* 79 ?x1)) (?v_10 (* 33 ?x3)) (?v_68 (* 62 ?x3)) (?v_91 (* 97 ?x1)) (?v_29 (* 9 ?x3)) (?v_19 (* 98 ?x1)) (?v_25 (* 27 ?x2)) (?v_32 (* 26 ?x3)) (?v_14 (* 87 ?x3)) (?v_100 (* 23 ?x1)) (?v_83 (* 71 ?x3)) (?v_22 (* 26 ?x2)) (?v_101 (* 81 ?x3)) (?v_69 (* 5 ?x2)) (?v_18 (* 53 ?x3)) (?v_50 (* 72 ?x1)) (?v_40 (* 13 ?x3)) (?v_9 (* 2 ?x3)) (?v_62 (* 93 ?x2)) (?v_224 (* 12 ?x3)) (?v_184 (* 98 ?x2)) (?v_120 (* 93 ?x1)) (?v_115 (* 59 ?x3)) (?v_98 (* 14 ?x2)) (?v_200 (* 23 ?x3)) (?v_106 (* 40 ?x1)) (?v_81 (* 77 ?x3)) (?v_43 (* 79 ?x2)) (?v_110 (* 80 ?x2)) (?v_87 (* 72 ?x3)) (?v_63 (* 47 ?x3)) (?v_85 (* 21 ?x1)) (?v_158 (* 75 ?x1)) (?v_133 (* 21 ?x2)) (?v_33 (* 46 ?x3)) (?v_277 (* 14 ?x3)) (?v_59 (* 22 ?x1)) (?v_292 (* 78 ?x1)) (?v_251 (* 63 ?x3)) (?v_155 (* 85 ?x3)) (?v_249 (* 35 ?x1)) (?v_45 (* 32 ?x3)) (?v_228 (* 33 ?x1)) (?v_54 (* 34 ?x3)) (?v_64 (* 95 ?x1)) (?v_61 (* 27 ?x3)) (?v_204 (* 39 ?x3)) (?v_118 (* 18 ?x1)) (?v_167 (* 20 ?x3)) (?v_129 (* 28 ?x3)) (?v_141 (* 13 ?x1)) (?v_84 (* 40 ?x2)) (?v_187 (* 55 ?x2)) (?v_135 (* 82 ?x1)) (?v_145 (* 13 ?x2)) (?v_77 (* 80 ?x3)) (?v_93 (* 95 ?x2)) (?v_140 (* 85 ?x2)) (?v_148 (* 90 ?x3)) (?v_128 (* 39 ?x2)) (?v_121 (* 15 ?x2)) (?v_73 (* 63 ?x2)) (?v_177 (* 94 ?x3)) (?v_164 (* 64 ?x2)) (?v_143 (* 75 ?x2)) (?v_205 (* 30 ?x3)) (?v_95 (* 87 ?x2)) (?v_197 (* 25 ?x3)) (?v_268 (* 96 ?x3)) (?v_113 (* 39 ?x1)) (?v_134 (* 40 ?x3)) (?v_153 (* 4 ?x3)) (?v_215 (* 48 ?x1)) (?v_179 (* 83 ?x3)) (?v_183 (* 61 ?x1)) (?v_217 (* 41 ?x1)) (?v_154 (* 47 ?x2)) (?v_132 (* 5 ?x3)) (?v_104 (* 83 ?x2)) (?v_203 (* 89 ?x3)) (?v_157 (* 18 ?x2)) (?v_213 (* 17 ?x1)) (?v_271 (* 34 ?x2)) (?v_255 (* 38 ?x1)) (?v_137 (* 1 ?x3)) (?v_190 (* 23 ?x2)) (?v_211 (* 61 ?x3)) (?v_159 (* 91 ?x2)) (?v_136 (* 30 ?x1)) (?v_223 (* 68 ?x1)) (?v_214 (* 68 ?x2)) (?v_274 (* 92 ?x1)) (?v_207 (* 42 ?x3)) (?v_168 (* 41 ?x2)) (?v_227 (* 78 ?x3)) (?v_195 (* 29 ?x3)) (?v_162 (* 3 ?x3)) (?v_175 (* 82 ?x2)) (?v_231 (* 84 ?x1)) (?v_248 (* 88 ?x2)) (?v_216 (* 42 ?x2)) (?v_208 (* 32 ?x2)) (?v_259 (* 73 ?x2)) (?v_178 (* 91 ?x3)) (?v_180 (* 50 ?x2)) (?v_237 (* 43 ?x2)) (?v_284 (* 69 ?x1)) (?v_233 (* 12 ?x1)) (?v_275 (* 9 ?x2)) (?v_302 (* 71 ?x2)) (?v_225 (* 51 ?x1)) (?v_232 (* 31 ?x2)) (?v_236 (* 24 ?x1)) (?v_282 (* 61 ?x2)) (?v_252 (* 26 ?x1)) (?v_300 (* 10 ?x2)) (?v_242 (* 20 ?x1)) (?v_239 (* 76 ?x1)) (?v_250 (* 19 ?x2)) (?v_273 (* 70 ?x1)) (?v_263 (* 88 ?x1)) (?v_260 (* 31 ?x3)) (?v_298 (* 8 ?x2)) (?v_238 (* 90 ?x1)) (?v_261 (* 87 ?x1)) (?v_278 (* 59 ?x2)) (?v_256 (* 70 ?x2)) (?v_283 (* 78 ?x2)) (?v_267 (* (- 87) ?x1)) (?v_192 (* (- 82) ?x2)) (?v_1 (* (- 78) ?x3)) (?v_279 (* (- 20) ?x1)) (?v_13 (* (- 17) ?x1)) (?v_189 (* (- 97) ?x2)) (?v_49 (* (- 51) ?x3)) (?v_24 (* (- 42) ?x2)) (?v_4 (* (- 77) ?x3)) (?v_53 (* (- 7) ?x1)) (?v_51 (* (- 69) ?x1)) (?v_78 (* (- 60) ?x2)) (?v_52 (* (- 91) ?x1)) (?v_194 (* (- 4) ?x2)) (?v_39 (* (- 16) ?x2)) (?v_287 (* (- 90) ?x2)) (?v_15 (* (- 5) ?x1)) (?v_226 (* (- 88) ?x2)) (?v_163 (* (- 92) ?x1)) (?v_31 (* (- 68) ?x2)) (?v_186 (* (- 34) ?x3)) (?v_201 (* (- 73) ?x1)) (?v_289 (* (- 84) ?x2)) (?v_188 (* (- 15) ?x3)) (?v_3 (* (- 18) ?x2)) (?v_35 (* (- 27) ?x1)) (?v_151 (* (- 29) ?x3)) (?v_144 (* (- 9) ?x1)) (?v_23 (* (- 46) ?x2)) (?v_46 (* (- 45) ?x2)) (?v_191 (* (- 39) ?x1)) (?v_123 (* (- 64) ?x1)) (?v_174 (* (- 73) ?x3)) (?v_243 (* (- 14) ?x3)) (?v_55 (* (- 91) ?x2)) (?v_126 (* (- 68) ?x1)) (?v_21 (* (- 75) ?x2)) (?v_210 (* (- 27) ?x2)) (?v_41 (* (- 48) ?x1)) (?v_294 (* (- 12) ?x2)) (?v_20 (* (- 75) ?x3)) (?v_130 (* (- 78) ?x1)) (?v_8 (* (- 41) ?x3)) (?v_150 (* (- 51) ?x2)) (?v_96 (* (- 88) ?x1)) (?v_36 (* (- 46) ?x1)) (?v_27 (* (- 85) ?x2)) (?v_301 (* (- 67) ?x1)) (?v_42 (* (- 43) ?x2)) (?v_258 (* (- 66) ?x1)) (?v_79 (* (- 31) ?x3)) (?v_26 (* (- 86) ?x2)) (?v_103 (* (- 74) ?x2)) (?v_202 (* (- 92) ?x2)) (?v_246 (* (- 36) ?x2)) (?v_70 (* (- 71) ?x3)) (?v_11 (* (- 53) ?x1)) (?v_90 (* (- 2) ?x3)) (?v_17 (* (- 67) ?x2)) (?v_67 (* (- 50) ?x2)) (?v_80 (* (- 55) ?x1)) (?v_88 (* (- 19) ?x2)) (?v_30 (* (- 5) ?x2)) (?v_47 (* (- 47) ?x1)) (?v_116 (* (- 77) ?x1)) (?v_270 (* (- 74) ?x1)) (?v_241 (* (- 44) ?x2)) (?v_303 (* (- 2) ?x2)) (?v_173 (* (- 30) ?x2)) (?v_138 (* (- 24) ?x1)) (?v_172 (* (- 33) ?x1)) (?v_131 (* (- 34) ?x2)) (?v_86 (* (- 9) ?x3)) (?v_56 (* (- 85) ?x1)) (?v_264 (* (- 56) ?x2)) (?v_160 (* (- 25) ?x1)) (?v_286 (* (- 29) ?x2)) (?v_65 (* (- 38) ?x2)) (?v_94 (* (- 62) ?x3)) (?v_161 (* (- 20) ?x3)) (?v_28 (* (- 80) ?x1)) (?v_75 (* (- 40) ?x2)) (?v_269 (* (- 61) ?x2)) (?v_72 (* (- 58) ?x1)) (?v_38 (* (- 4) ?x3)) (?v_57 (* (- 10) ?x1)) (?v_34 (* (- 15) ?x1)) (?v_209 (* (- 57) ?x2)) (?v_127 (* (- 88) ?x3)) (?v_125 (* (- 23) ?x1)) (?v_66 (* (- 2) ?x1)) (?v_105 (* (- 30) ?x3)) (?v_297 (* (- 90) ?x1)) (?v_122 (* (- 46) ?x3)) (?v_37 (* (- 5) ?x3)) (?v_60 (* (- 40) ?x1)) (?v_229 (* (- 12) ?x3)) (?v_253 (* (- 86) ?x1)) (?v_149 (* (- 100) ?x1)) (?v_234 (* (- 63) ?x2)) (?v_181 (* (- 52) ?x1)) (?v_109 (* (- 4) ?x1)) (?v_257 (* (- 90) ?x3))) (let ((?v_97 (+ ?v_47 ?v_21)) (?v_182 (* (- 98) ?x2)) (?v_76 (* (- 59) ?x3)) (?v_119 (* (- 71) ?x1)) (?v_185 (* (- 43) ?x1)) (?v_299 (* (- 6) ?x1)) (?v_206 (* (- 99) ?x2)) (?v_71 (* (- 1) ?x3)) (?v_99 (* (- 76) ?x1)) (?v_111 (* (- 23) ?x3)) (?v_304 (* (- 94) ?x1)) (?v_219 (* (- 59) ?x1)) (?v_108 (* (- 48) ?x2)) (?v_171 (* (- 58) ?x3)) (?v_156 (* (- 10) ?x3)) (?v_114 (* (- 39) ?x2)) (?v_92 (* (- 8) ?x3)) (?v_176 (* (- 37) ?x1)) (?v_166 (* (- 65) ?x1)) (?v_89 (* (- 16) ?x1)) (?v_218 (* (- 31) ?x2)) (?v_142 (* (- 11) ?x3)) (?v_112 (* (- 62) ?x1)) (?v_169 (* (- 83) ?x1)) (?v_124 (* (- 80) ?x3)) (?v_146 (* (- 26) ?x1)) (?v_152 (* (- 52) ?x2)) (?v_222 (* (- 89) ?x2)) (?v_117 (* (- 82) ?x3)) (?v_199 (* (- 93) ?x2)) (?v_280 (* (- 1) ?x2)) (?v_262 (* (- 89) ?x1)) (?v_196 (* (- 51) ?x1)) (?v_240 (* (- 22) ?x2)) (?v_165 (* (- 81) ?x3)) (?v_170 (* (- 53) ?x3)) (?v_193 (* (- 12) ?x1)) (?v_281 (* (- 36) ?x1)) (?v_230 (* (- 41) ?x2)) (?v_198 (* (- 26) ?x3)) (?v_285 (* (- 1) ?x1)) (?v_245 (* (- 13) ?x3)) (?v_220 (* (- 3) ?x2)) (?v_247 (* (- 66) ?x3)) (?v_212 (* (- 86) ?x3)) (?v_266 (* (- 77) ?x2)) (?v_288 (* (- 40) ?x3)) (?v_293 (* (- 70) ?x2)) (?v_221 (* (- 87) ?x3)) (?v_305 (* (- 60) ?x1)) (?v_276 (* (- 95) ?x2)) (?v_244 (* (- 50) ?x1)) (?v_291 (* (- 99) ?x3)) (?v_265 (* (- 25) ?x2)) (?v_272 (* (- 55) ?x3))) (and (and (and (and (and (or (and (or (>= (+ (+ ?v_267 ?v_192) ?v_1) 19) (< (+ (+ ?v_279 (* 22 ?x2)) ?v_0) (- 86))) (or (= (+ ?v_295 ?v_139) 14) (or (not (= (+ ?v_6 ?v_58) 0)) (> (+ (+ ?v_13 ?v_189) ?v_296) 14)))) (or (and (or (< (+ (* 38 ?x2) ?v_49) (- 80)) (not (= (+ ?v_24 ?v_4) 20))) (or (or (not (= ?v_53 (- 57))) (> (+ (+ ?v_51 ?v_78) ?v_0) 0)) (and (< (+ ?v_102 ?v_147) (- 5)) (< (+ ?v_52 ?v_194) 0)))) (and (and (or (< (+ (+ (* 7 ?x1) ?v_39) ?v_2) (- 23)) (< ?v_287 (- 11))) (or (= (+ ?v_15 ?v_1) 53) (= (+ (+ ?v_16 ?v_226) ?v_290) 0))) (or (= (+ (+ ?v_163 ?v_31) ?v_7) (- 60)) (or (not (= ?v_186 (- 33))) (<= (+ (+ ?v_201 ?v_289) ?v_254) (- 43))))))) (or (or (or (or (and (< (+ (+ ?v_48 (* 86 ?x2)) ?v_188) (- 50)) (not (= (+ ?v_44 ?v_3) (- 51)))) (<= (+ (+ ?v_35 ?v_74) ?v_151) 20)) (and (or (<= (+ ?v_144 ?v_23) 32) (= (+ ?v_82 ?v_46) 11)) (and (< ?v_107 0) (> (+ ?v_191 ?v_2) 0)))) (or (= ?v_123 50) (and (or (>= (+ ?v_5 ?v_235) 46) (> ?v_174 0)) (and (<= (* 99 ?x1) (- 4)) (> ?v_243 54))))) (and (or (or (and (< (+ ?v_55 ?v_0) (- 86)) (not (= (+ (+ ?v_12 (* (- 26) ?x2)) ?v_10) 75))) (or (<= (+ (* (- 72) ?x2) ?v_68) 5) (>= (+ ?v_91 (* (- 48) ?x3)) 37))) (and (or (> (* 2 ?x1) 0) (> (+ ?v_126 ?v_3) 0)) (or (>= (+ (+ (* 44 ?x1) ?v_21) ?v_29) (- 44)) (> (+ (+ ?v_19 ?v_25) ?v_32) (- 12))))) (or (and (or (>= (+ ?v_210 (* (- 61) ?x3)) (- 80)) (not (= (+ (+ ?v_41 ?v_294) ?v_14) (- 51)))) (and (>= (* 20 ?x2) 28) (> (+ (* (- 98) ?x1) ?v_20) (- 84)))) (and (or (> (+ (+ ?v_100 (* (- 33) ?x2)) ?v_4) 0) (> (+ ?v_130 ?v_8) 0)) (and (= (+ (* (- 97) ?x1) ?v_83) 0) (not (= (+ (+ ?v_5 ?v_22) (* (- 27) ?x3)) 21)))))))) (and (and (and (and (and (or (not (= (* 57 ?x2) 69)) (<= (+ (+ (* 25 ?x1) ?v_150) ?v_101) (- 97))) (or (< (+ ?v_96 ?v_69) 0) (not (= (+ ?v_36 ?v_27) 63)))) (and (<= (+ (+ ?v_301 ?v_6) (* 16 ?x3)) 0) (>= (+ ?v_42 ?v_18) (- 89)))) (and (or (>= (+ ?v_50 ?v_40) 22) (or (not (= (+ (+ ?v_258 (* (- 87) ?x2)) ?v_9) (- 24))) (= (+ (* 28 ?x1) ?v_79) 41))) (or (and (= (+ ?v_26 ?v_7) (- 52)) (< (+ ?v_103 ?v_8) 0)) (and (>= (+ (* 16 ?x1) ?v_202) 64) (<= (+ ?v_246 ?v_70) (- 28)))))) (or (and (not (= (+ ?v_11 ?v_9) 63)) (> (+ ?v_62 ?v_224) 0)) (and (<= (+ ?v_184 ?v_10) (- 94)) (= (+ ?v_11 ?v_90) (- 1))))) (or (or (and (> (+ (+ ?v_12 (* (- 66) ?x2)) (* 73 ?x3)) 0) (not (= (+ ?v_17 ?v_4) (- 30)))) (or (>= (+ (+ ?v_120 ?v_67) (* (- 32) ?x3)) (- 74)) (<= (+ ?v_13 ?v_14) 8))) (and (and (or (= (+ (* 4 ?x2) ?v_115) 15) (= (+ ?v_80 (* 37 ?x2)) (- 24))) (and (and (<= (+ (+ ?v_15 ?v_98) ?v_200) (- 97)) (not (= (+ ?v_106 ?v_88) 78))) (and (> (+ (+ ?v_12 ?v_30) ?v_81) 36) (> ?v_43 0)))) (and (and (= (+ (+ ?v_47 ?v_110) ?v_87) 99) (>= (+ (+ ?v_116 (* 44 ?x2)) ?v_63) 0)) (and (and (< (+ ?v_270 (* 67 ?x2)) 0) (>= (+ ?v_85 ?v_241) (- 17))) (and (< (+ ?v_16 ?v_303) 0) (>= (+ (+ ?v_158 ?v_17) ?v_18) 97)))))))) (or (and (and (and (or (and (or (<= (+ (+ (* 67 ?x1) ?v_173) (* (- 96) ?x3)) (- 4)) (> (+ (+ ?v_19 (* (- 13) ?x2)) ?v_18) (- 75))) (and (<= (+ (+ ?v_138 ?v_133) ?v_33) 50) (= ?v_20 (- 76)))) (and (or (>= (+ (+ ?v_172 ?v_131) ?v_277) (- 35)) (> (+ ?v_59 ?v_86) 0)) (and (<= (+ ?v_56 ?v_264) 89) (not (= (+ ?v_160 ?v_286) 30))))) (and (and (= (+ ?v_65 ?v_94) 72) (or (>= (+ (+ ?v_292 ?v_21) ?v_251) 19) (<= (+ (+ (* (- 84) ?x1) ?v_22) ?v_161) 5))) (or (> ?v_155 95) (> (+ ?v_28 ?v_23) (- 37))))) (and (and (or (or (<= (+ (* (- 73) ?x2) (* 38 ?x3)) 50) (< (+ ?v_249 ?v_45) (- 77))) (or (not (= (+ ?v_228 ?v_54) 9)) (< (+ ?v_64 ?v_75) (- 8)))) (and (and (>= (+ ?v_24 (* 75 ?x3)) (- 80)) (>= (+ (* 29 ?x1) ?v_269) (- 68))) (and (< (+ (+ ?v_72 (* 74 ?x2)) ?v_1) 0) (< (+ (* 46 ?x1) ?v_38) (- 29))))) (or (or (and (> (+ (+ (* 77 ?x1) (* (- 24) ?x2)) ?v_61) (- 6)) (< (+ ?v_25 ?v_204) 19)) (and (< (+ ?v_118 ?v_167) (- 14)) (> (+ (+ ?v_57 ?v_26) ?v_129) 0))) (and (or (< (+ (+ ?v_34 ?v_27) (* (- 38) ?x3)) 34) (<= (+ (+ ?v_28 ?v_209) ?v_29) 23)) (and (>= ?v_127 (- 80)) (> ?v_125 0)))))) (and (and (and (and (or (< (+ (+ ?v_66 ?v_30) ?v_105) (- 2)) (> (+ (+ ?v_297 ?v_31) ?v_32) 0)) (or (< (+ (+ ?v_141 ?v_84) (* (- 16) ?x3)) 0) (>= ?v_33 28))) (and (and (<= (+ ?v_187 ?v_122) (- 22)) (> (+ (* (- 23) ?x2) ?v_37) (- 15))) (or (= ?v_60 0) (> (+ ?v_34 (* (- 65) ?x2)) 33)))) (and (and (> (+ (+ ?v_135 ?v_145) ?v_229) (- 73)) (not (= ?v_35 0))) (and (or (= (+ ?v_253 (* (- 67) ?x3)) 0) (<= (+ ?v_36 ?v_33) 47)) (and (> (* (- 100) ?x3) 0) (not (= (+ ?v_149 ?v_37) 0)))))) (or (or (and (and (= (+ ?v_234 ?v_77) 0) (<= (+ (+ ?v_36 (* (- 83) ?x2)) ?v_38) 92)) (< (+ ?v_39 ?v_40) (- 8))) (or (and (< (+ (+ ?v_41 ?v_42) (* (- 7) ?x3)) 0) (> (+ (+ ?v_181 ?v_43) (* 56 ?x3)) 0)) (or (= (+ (* (- 21) ?x1) ?v_93) 0) (= (+ (+ ?v_44 ?v_140) ?v_148) 0)))) (and (and (< ?v_128 88) (or (< (+ (+ (* 47 ?x1) (* 84 ?x2)) ?v_45) 7) (< (+ (+ ?v_109 ?v_46) ?v_257) (- 32)))) (or (> ?v_97 (- 82)) (or (> (+ (+ ?v_48 ?v_121) ?v_49) 0) (= (+ ?v_50 ?v_182) (- 16)))))))) (and (or (and (not (= (+ (* (- 22) ?x1) (* (- 49) ?x2)) (- 4))) (= (+ (+ ?v_51 ?v_73) ?v_76) 0)) (or (< (+ (* 62 ?x2) ?v_177) (- 65)) (> ?v_119 65))) (or (and (and (>= (+ ?v_52 (* (- 74) ?x3)) (- 92)) (<= (+ ?v_53 ?v_54) 62)) (and (> (+ (+ ?v_185 ?v_55) (* 45 ?x3)) (- 42)) (not (= ?v_56 75)))) (and (and (= (* 8 ?x3) 20) (= (+ (+ ?v_299 ?v_206) ?v_71) (- 76))) (or (> (+ (* 73 ?x1) ?v_164) 0) (>= (+ (+ ?v_57 ?v_143) ?v_58) (- 74)))))))) (or (or (or (or (and (not (= (+ ?v_52 (* 11 ?x2)) 0)) (>= (+ ?v_59 ?v_205) 0)) (and (and (> (+ (+ ?v_60 ?v_95) ?v_61) 0) (< (+ (+ ?v_99 ?v_46) ?v_197) 46)) (and (< (+ (+ (* 43 ?x1) ?v_62) ?v_63) 0) (<= (+ (* 97 ?x2) ?v_0) 26)))) (>= (+ (+ ?v_64 ?v_65) ?v_111) 88)) (or (or (and (or (not (= ?v_8 30)) (< ?v_13 (- 2))) (or (or (= (+ (+ ?v_66 ?v_67) ?v_268) 75) (>= ?v_68 (- 29))) (or (not (= (+ (+ ?v_304 ?v_69) ?v_70) 95)) (> (+ ?v_219 ?v_71) (- 37))))) (or (and (or (= (+ (+ ?v_113 ?v_108) ?v_134) (- 66)) (>= (+ (+ ?v_72 ?v_73) ?v_153) 16)) (or (< (+ (+ (* 60 ?x1) ?v_74) ?v_171) 94) (not (= (+ ?v_215 ?v_179) (- 100))))) (and (>= (* (- 28) ?x1) (- 71)) (not (= (+ (+ (* 14 ?x1) (* (- 81) ?x2)) ?v_156) 69))))) (and (or (not (= (+ (+ ?v_12 ?v_75) ?v_76) 8)) (<= ?v_77 0)) (and (< (+ (+ (* (- 8) ?x1) ?v_78) ?v_79) 76) (> ?v_183 (- 40)))))) (or (or (or (or (or (or (= (* 97 ?x3) (- 90)) (= (+ (+ ?v_80 ?v_114) ?v_92) 84)) (and (>= (+ ?v_217 ?v_81) 61) (> (+ (+ ?v_82 ?v_154) ?v_132) 17))) (and (or (< (+ ?v_66 ?v_83) (- 26)) (> (+ ?v_84 (* 51 ?x3)) (- 37))) (and (> (+ (+ ?v_85 ?v_104) ?v_86) 2) (<= (+ ?v_176 (* (- 54) ?x3)) 99)))) (and (or (or (>= (+ ?v_166 ?v_87) (- 86)) (or (not (= (+ (+ ?v_89 ?v_88) ?v_203) (- 99))) (< (+ ?v_218 ?v_142) (- 71)))) (and (= (+ ?v_89 ?v_90) 48) (< (+ (+ ?v_91 ?v_22) ?v_92) (- 59)))) (or (or (> (+ (+ ?v_112 ?v_157) ?v_33) (- 75)) (= (+ (+ ?v_213 ?v_93) ?v_94) 0)) (or (and (< (+ (+ ?v_169 (* 24 ?x2)) ?v_124) 0) (< (+ (* 53 ?x1) ?v_39) (- 98))) (or (<= (+ (+ (* 54 ?x1) ?v_95) (* (- 35) ?x3)) (- 76)) (< (+ ?v_96 ?v_271) 0)))))) (or (and (or (> (+ ?v_97 ?v_71) 0) (>= (+ (+ ?v_255 ?v_98) ?v_137) (- 65))) (and (>= (+ ?v_99 ?v_190) 31) (<= ?v_100 (- 64)))) (or (and (> (+ (+ (* (- 96) ?x1) ?v_3) ?v_101) 0) (= (+ (+ (* (- 99) ?x1) ?v_22) (* 36 ?x3)) 0)) (and (not (= (+ (+ ?v_102 (* (- 8) ?x2)) (* (- 37) ?x3)) 72)) (or (> (+ (+ ?v_146 ?v_103) ?v_211) (- 46)) (not (= (+ (+ (* (- 81) ?x1) ?v_104) ?v_70) 83))))))) (or (or (or (and (= (+ (+ ?v_99 ?v_159) ?v_105) 0) (<= (+ (* (- 54) ?x2) ?v_1) 47)) (or (and (> (+ (+ ?v_106 ?v_152) ?v_107) 44) (< (+ ?v_136 ?v_108) 67)) (and (>= (+ (+ ?v_223 ?v_222) (* 24 ?x3)) 0) (not (= (+ (+ ?v_109 ?v_110) (* (- 22) ?x3)) 0))))) (or (or (= (+ (+ ?v_15 ?v_110) (* 43 ?x3)) 0) (or (not (= (* (- 3) ?x3) 41)) (not (= (+ (* (- 80) ?x2) ?v_45) 62)))) (and (< (+ (* (- 29) ?x1) (* (- 94) ?x2)) (- 50)) (and (> (+ ?v_93 ?v_111) 98) (< (+ ?v_112 ?v_214) (- 41)))))) (or (or (and (and (< (+ (* (- 10) ?x2) (* (- 64) ?x3)) (- 47)) (>= (+ (+ ?v_113 ?v_114) ?v_117) (- 77))) (or (and (= (+ (+ ?v_47 ?v_43) ?v_115) 0) (<= (+ (+ ?v_116 ?v_42) ?v_4) 32)) (and (> (+ ?v_274 ?v_117) 99) (> (+ (+ ?v_52 ?v_199) ?v_207) 0)))) (or (or (and (not (= ?v_118 (- 51))) (<= (+ ?v_119 (* 46 ?x2)) (- 55))) (and (<= (+ ?v_120 ?v_104) 14) (not (= (+ ?v_280 ?v_63) (- 75))))) (or (<= (+ (+ ?v_262 ?v_121) ?v_122) 0) (>= (+ ?v_123 ?v_124) 91)))) (and (and (and (not (= (+ (+ ?v_125 ?v_75) ?v_38) (- 63))) (> (+ (+ ?v_112 ?v_168) ?v_227) (- 42))) (>= (+ (+ ?v_126 ?v_26) (* 79 ?x3)) 0)) (or (and (>= (+ ?v_196 ?v_127) (- 32)) (< (+ ?v_128 ?v_129) 0)) (and (> (+ (+ ?v_130 ?v_131) ?v_132) (- 39)) (>= (+ ?v_133 ?v_134) 61))))))))) (or (or (and (or (and (or (and (and (and (<= ?v_240 (- 91)) (> ?v_17 93)) (or (<= (+ ?v_135 (* 21 ?x3)) 38) (> (+ (+ ?v_106 ?v_65) ?v_195) 96))) (or (or (>= (+ (+ ?v_136 (* 65 ?x2)) ?v_162) (- 20)) (< (+ (+ ?v_52 (* (- 64) ?x2)) ?v_137) 0)) (and (<= (+ ?v_175 ?v_92) (- 61)) (< (+ (+ ?v_231 ?v_110) ?v_165) 40)))) (and (>= (+ ?v_21 ?v_170) (- 23)) (or (or (= (+ (+ ?v_138 ?v_139) ?v_10) 0) (>= (+ (+ (* 52 ?x1) ?v_140) (* 52 ?x3)) (- 68))) (and (not (= (+ (* (- 28) ?x2) (* (- 65) ?x3)) (- 33))) (<= (* 45 ?x1) (- 79)))))) (or (and (= (+ (* 29 ?x2) ?v_37) 0) (or (< ?v_60 (- 98)) (<= (+ (+ ?v_141 ?v_248) ?v_142) 0))) (or (and (or (<= (+ ?v_19 ?v_143) (- 70)) (= (+ (* 3 ?x1) ?v_216) 0)) (> (+ ?v_144 ?v_14) 35)) (and (or (not (= (+ (* (- 18) ?x1) ?v_8) 33)) (< ?v_145 (- 29))) (and (< (+ ?v_146 (* (- 9) ?x2)) 0) (= (+ (+ (* (- 11) ?x1) ?v_208) ?v_147) 0)))))) (or (and (or (and (= (+ (* (- 82) ?x1) ?v_259) (- 54)) (> (+ (+ ?v_28 ?v_62) ?v_117) 77)) (or (<= (+ ?v_46 ?v_18) 0) (not (= ?v_148 98)))) (or (or (not (= (+ (+ ?v_149 ?v_150) ?v_151) (- 25))) (= (+ (+ (* (- 35) ?x1) ?v_152) ?v_153) (- 30))) (and (and (> (+ ?v_154 ?v_155) (- 18)) (<= ?v_193 (- 73))) (and (>= (+ ?v_139 ?v_156) 82) (> ?v_157 0))))) (and (and (or (> (+ (+ ?v_126 (* 89 ?x2)) ?v_101) 32) (not (= (+ (+ ?v_158 ?v_159) ?v_178) (- 67)))) (<= (+ ?v_109 ?v_180) (- 82))) (and (and (> (+ (+ ?v_160 ?v_152) ?v_161) 23) (> ?v_109 (- 25))) (and (= (+ ?v_46 ?v_162) (- 24)) (> (+ (+ ?v_112 (* 77 ?x2)) ?v_63) 95)))))) (or (and (or (or (< (+ (+ (* 59 ?x1) ?v_237) ?v_142) 82) (>= (+ (+ ?v_163 ?v_164) ?v_165) 4)) (or (and (or (>= (+ (+ (* 50 ?x1) ?v_143) ?v_77) 67) (<= (+ (+ ?v_281 ?v_143) ?v_132) 32)) (>= (+ (+ ?v_166 (* 99 ?x2)) ?v_167) 94)) (and (or (= ?v_168 (- 25)) (< (+ (+ ?v_169 ?v_46) ?v_170) 100)) (= (+ (+ ?v_85 ?v_30) ?v_155) (- 27))))) (or (or (<= ?v_171 (- 31)) (= (+ ?v_172 (* (- 21) ?x2)) 0)) (< (+ (* 65 ?x1) ?v_173) (- 2)))) (or (or (and (and (and (not (= (+ ?v_284 ?v_174) 33)) (not (= (+ ?v_175 ?v_171) 99))) (<= (+ (+ ?v_176 ?v_230) ?v_177) 0)) (or (and (> (+ (* (- 54) ?x1) ?v_178) 0) (>= (+ (* (- 79) ?x1) ?v_179) 97)) (and (= (+ ?v_13 (* (- 36) ?x3)) 0) (>= (+ (+ ?v_233 ?v_180) (* 57 ?x3)) (- 53))))) (or (or (< (+ (+ ?v_181 ?v_182) ?v_0) (- 62)) (or (not (= (+ ?v_88 (* (- 39) ?x3)) 84)) (> (+ (+ ?v_183 ?v_184) ?v_198) 0))) (= (+ (+ ?v_185 ?v_31) ?v_186) 0))) (or (and (not (= ?v_275 75)) (not (= (+ (+ (* 63 ?x1) ?v_187) ?v_188) 30))) (or (not (= (+ (+ (* 57 ?x1) ?v_189) ?v_132) 24)) (or (= (+ ?v_19 ?v_190) (- 78)) (> (+ ?v_285 ?v_302) (- 67)))))))) (and (or (and (or (<= (+ (* 62 ?x1) ?v_139) (- 79)) (= (+ ?v_56 ?v_153) (- 1))) (or (or (<= (+ (+ ?v_225 ?v_22) ?v_94) 0) (not (= (+ (+ ?v_191 ?v_192) ?v_8) 56))) (or (> (+ (+ ?v_193 ?v_194) ?v_245) 53) (= (+ (+ ?v_120 ?v_232) ?v_195) 78)))) (or (or (and (= ?v_19 53) (> (+ (+ ?v_196 ?v_108) ?v_197) 78)) (and (= ?v_37 0) (>= (+ ?v_220 ?v_162) 25))) (and (= (+ (+ ?v_236 (* 30 ?x2)) ?v_198) (- 13)) (or (and (> (+ ?v_199 ?v_200) (- 61)) (= (+ (+ ?v_201 ?v_93) ?v_148) (- 42))) (or (> (+ ?v_202 ?v_247) 71) (<= (+ (+ ?v_41 ?v_154) ?v_203) 0)))))) (and (and (and (and (or (or (> ?v_197 0) (not (= (+ (+ ?v_146 ?v_74) ?v_212) 93))) (or (< (+ (+ ?v_169 ?v_282) ?v_204) 58) (>= (+ (+ ?v_252 ?v_266) ?v_205) (- 65)))) (or (> (+ ?v_206 (* (- 19) ?x3)) 14) (not (= ?v_207 32)))) (>= (+ ?v_99 ?v_208) 0)) (and (or (>= (+ (+ (* (- 93) ?x1) ?v_209) ?v_288) 79) (= (+ (* (- 55) ?x2) ?v_83) 0)) (or (or (> (+ ?v_300 ?v_76) 14) (>= (+ ?v_242 ?v_210) 73)) (and (<= (+ (+ ?v_176 ?v_69) (* (- 83) ?x3)) (- 96)) (>= (+ (* (- 30) ?x1) ?v_61) (- 53)))))) (or (and (or (< (+ ?v_67 ?v_211) 40) (<= ?v_239 14)) (and (or (> (* 19 ?x3) 11) (and (= (+ ?v_181 ?v_25) 0) (< (+ ?v_293 ?v_9) 0))) (and (< (+ (+ ?v_51 ?v_184) ?v_212) 0) (< (+ ?v_116 ?v_10) 67)))) (or (or (and (>= (+ ?v_250 ?v_179) (- 5)) (<= (+ ?v_213 ?v_214) 0)) (and (> (+ (+ ?v_215 ?v_74) ?v_221) (- 10)) (< (+ ?v_273 ?v_117) (- 74)))) (or (and (> ?v_216 23) (> (+ (+ ?v_217 (* (- 79) ?x2)) (* 76 ?x3)) 2)) (and (not (= (+ (+ ?v_263 ?v_218) (* 100 ?x3)) 59)) (> (+ (+ ?v_219 ?v_220) ?v_221) 23)))))))) (or (and (or (and (or (or (and (> (+ ?v_305 ?v_55) (- 78)) (not (= (+ (+ ?v_181 ?v_276) (* (- 25) ?x3)) 63))) (and (< ?v_260 0) (>= (+ (+ ?v_5 ?v_298) ?v_153) 97))) (or (or (= (+ (+ ?v_213 (* (- 6) ?x2)) ?v_38) 0) (= (+ (+ ?v_238 ?v_222) (* (- 98) ?x3)) (- 85))) (or (not (= (+ (+ ?v_34 (* 90 ?x2)) ?v_129) 3)) (> ?v_207 0)))) (or (or (and (and (< (+ ?v_223 ?v_115) (- 68)) (< ?v_79 (- 92))) (and (> (+ (+ ?v_261 ?v_173) ?v_224) 57) (= (+ (+ ?v_225 ?v_226) (* (- 24) ?x3)) 11))) (or (< ?v_227 (- 80)) (>= (+ (+ ?v_228 ?v_21) (* (- 72) ?x3)) (- 2)))) (and (and (and (> ?v_204 27) (>= (+ ?v_278 ?v_229) 13)) (or (> (+ ?v_230 (* (- 50) ?x3)) 0) (>= (+ (+ ?v_231 ?v_232) ?v_117) (- 44)))) (or (or (<= (+ (* 71 ?x1) (* 54 ?x2)) (- 16)) (= (+ (+ ?v_233 ?v_234) ?v_45) 0)) (and (< (+ ?v_216 ?v_235) 0) (<= (+ ?v_5 ?v_24) (- 49))))))) (and (or (or (and (>= (+ (+ ?v_106 (* (- 35) ?x2)) (* (- 76) ?x3)) 97) (>= (+ ?v_223 ?v_226) 0)) (and (and (<= (+ (+ ?v_236 ?v_173) ?v_4) (- 70)) (= ?v_191 0)) (and (<= (+ ?v_237 (* (- 56) ?x3)) 74) (<= (+ (+ ?v_238 ?v_256) (* 15 ?x3)) (- 37))))) (or (or (> (+ (+ ?v_239 ?v_240) (* 98 ?x3)) 5) (not (= (+ ?v_244 ?v_4) 0))) (or (<= (+ ?v_57 ?v_241) 0) (<= (+ (+ ?v_59 ?v_152) (* (- 42) ?x3)) (- 57))))) (and (or (or (< (+ (+ ?v_242 ?v_164) ?v_243) (- 92)) (> (+ (+ ?v_244 (* (- 59) ?x2)) ?v_18) 44)) (or (< (+ ?v_234 ?v_79) (- 74)) (<= (+ ?v_172 ?v_245) 39))) (and (or (< (+ ?v_47 ?v_77) 61) (<= (+ (+ ?v_11 ?v_194) ?v_221) (- 99))) (or (= (+ (+ ?v_158 ?v_128) (* 84 ?x3)) (- 3)) (>= (+ (+ ?v_125 ?v_246) ?v_247) 0)))))) (or (or (or (and (and (<= (+ (+ ?v_136 ?v_180) (* 22 ?x3)) (- 21)) (not (= (+ ?v_248 ?v_227) 71))) (or (and (> (+ (+ ?v_166 (* 12 ?x2)) ?v_137) (- 78)) (> (+ (+ (* 74 ?x1) ?v_164) ?v_142) 96)) (> (+ (+ ?v_249 ?v_250) ?v_251) 29))) (and (or (and (< (+ ?v_252 ?v_121) (- 11)) (>= (+ ?v_149 ?v_207) 76)) (and (<= (+ ?v_218 ?v_211) 59) (> (+ (+ ?v_253 (* 94 ?x2)) ?v_254) 9))) (or (or (>= (+ (+ ?v_255 ?v_55) ?v_291) 70) (<= (+ ?v_5 ?v_256) (- 85))) (or (not (= (+ ?v_15 ?v_105) (- 9))) (not (= (+ (+ ?v_34 (* 36 ?x2)) ?v_153) (- 66))))))) (and (>= (+ ?v_113 ?v_30) 85) (= (+ ?v_50 ?v_122) 0))) (and (and (and (and (>= (+ (+ ?v_126 ?v_265) ?v_257) 79) (and (>= (+ ?v_283 ?v_155) (- 65)) (not (= (+ (+ ?v_258 ?v_259) ?v_81) 3)))) (or (and (= (+ ?v_13 ?v_260) (- 31)) (> (+ ?v_215 ?v_40) 54)) (<= (+ ?v_261 ?v_79) (- 60)))) (and (or (or (< (+ ?v_262 (* (- 60) ?x3)) 37) (not (= (+ (+ ?v_144 ?v_175) ?v_272) 87))) (or (> (+ ?v_263 ?v_264) (- 24)) (> (+ (+ ?v_50 ?v_265) (* (- 43) ?x3)) 0))) (or (or (not (= (+ ?v_236 ?v_266) (- 3))) (> ?v_90 0)) (or (> (+ ?v_267 ?v_268) 0) (> ?v_269 (- 18)))))) (or (or (> (+ (+ ?v_270 ?v_271) ?v_272) (- 87)) (< (+ (+ ?v_273 ?v_42) (* 67 ?x3)) 0)) (or (and (<= (+ (+ ?v_274 ?v_275) ?v_198) 0) (or (>= (+ (* 37 ?x1) ?v_143) (- 2)) (<= (+ ?v_276 ?v_277) (- 91)))) (or (or (>= ?v_278 7) (< ?v_17 0)) (>= (+ ?v_185 ?v_71) 0))))))) (and (and (and (and (or (not (= (+ (+ ?v_279 ?v_131) ?v_161) 3)) (<= (+ (+ ?v_233 ?v_150) ?v_178) (- 85))) (and (or (>= (+ ?v_279 ?v_280) 0) (<= (+ (+ (* 58 ?x1) ?v_269) (* (- 91) ?x3)) 0)) (and (= ?v_206 (- 42)) (< (+ (+ ?v_281 ?v_46) ?v_235) 25)))) (or (and (or (= ?v_282 51) (< (+ ?v_252 ?v_283) 43)) (= ?v_284 0)) (and (> (+ (+ ?v_285 ?v_286) ?v_178) 48) (= (+ (+ ?v_109 ?v_287) ?v_288) 56)))) (and (or (not (= (+ (+ ?v_279 ?v_175) ?v_148) (- 27))) (not (= (+ (+ (* 80 ?x1) ?v_289) ?v_122) (- 42)))) (and (and (and (= (+ (* 55 ?x1) ?v_241) (- 69)) (not (= (+ (* 32 ?x1) ?v_290) 0))) (or (> (+ (* 81 ?x2) ?v_4) 92) (> (+ ?v_85 (* 92 ?x2)) 74))) (and (= (+ ?v_146 ?v_150) 0) (< (+ ?v_46 ?v_291) 61))))) (and (and (and (or (<= ?v_292 92) (= (+ (* 89 ?x1) ?v_180) (- 40))) (or (or (<= (+ (+ ?v_263 ?v_293) ?v_186) (- 87)) (>= (+ ?v_294 (* (- 63) ?x3)) 0)) (or (> (+ ?v_295 ?v_152) (- 10)) (> (+ (+ ?v_160 ?v_139) ?v_296) (- 100))))) (and (> (+ (+ ?v_297 ?v_250) ?v_147) (- 79)) (or (or (<= (+ (+ ?v_172 ?v_298) (* 41 ?x3)) 0) (< (+ (* 64 ?x1) (* 55 ?x3)) 100)) (and (= (+ (+ ?v_299 ?v_300) ?v_179) (- 18)) (> (+ (+ ?v_89 ?v_103) ?v_245) 62))))) (or (or (and (> (+ ?v_213 ?v_103) 0) (>= (+ (+ ?v_301 ?v_302) ?v_10) (- 65))) (and (<= (+ ?v_50 (* (- 49) ?x3)) 23) (> (+ (+ ?v_34 ?v_303) ?v_87) 0))) (and (or (<= ?v_304 38) (> (* 6 ?x2) 0)) (and (>= (+ ?v_305 (* (- 71) ?x2)) (- 71)) (not (= (+ (+ ?v_80 (* (- 100) ?x2)) ?v_142) 15))))))))))))))))
(check-sat)
(exit)
