(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_112 (* 45 ?x2)) (?v_106 (* 22 ?x2)) (?v_4 (* 33 ?x3)) (?v_84 (* 17 ?x1)) (?v_152 (* 10 ?x2)) (?v_147 (* 67 ?x3)) (?v_128 (* 84 ?x3)) (?v_70 (* 68 ?x3)) (?v_125 (* 78 ?x2)) (?v_1 (* 60 ?x3)) (?v_39 (* 30 ?x1)) (?v_46 (* 29 ?x1)) (?v_83 (* 2 ?x3)) (?v_59 (* 25 ?x1)) (?v_60 (* 30 ?x3)) (?v_18 (* 33 ?x1)) (?v_21 (* 94 ?x3)) (?v_9 (* 26 ?x1)) (?v_158 (* 76 ?x1)) (?v_76 (* 90 ?x2)) (?v_202 (* 20 ?x2)) (?v_53 (* 71 ?x1)) (?v_33 (* 68 ?x1)) (?v_93 (* 77 ?x2)) (?v_90 (* 9 ?x2)) (?v_22 (* 6 ?x1)) (?v_20 (* 62 ?x2)) (?v_13 (* 100 ?x1)) (?v_55 (* 39 ?x3)) (?v_92 (* 54 ?x3)) (?v_124 (* 55 ?x2)) (?v_44 (* 86 ?x1)) (?v_172 (* 32 ?x1)) (?v_29 (* 28 ?x2)) (?v_28 (* 51 ?x1)) (?v_157 (* 18 ?x3)) (?v_27 (* 69 ?x1)) (?v_186 (* 93 ?x2)) (?v_118 (* 81 ?x1)) (?v_133 (* 48 ?x2)) (?v_131 (* 15 ?x2)) (?v_127 (* 66 ?x3)) (?v_204 (* 86 ?x2)) (?v_180 (* 1 ?x1)) (?v_30 (* 32 ?x3)) (?v_179 (* 17 ?x2)) (?v_52 (* 21 ?x3)) (?v_110 (* 64 ?x2)) (?v_89 (* 7 ?x1)) (?v_45 (* 36 ?x3)) (?v_197 (* 34 ?x1)) (?v_114 (* 71 ?x2)) (?v_109 (* 69 ?x2)) (?v_107 (* 41 ?x3)) (?v_167 (* 9 ?x3)) (?v_58 (* 98 ?x1)) (?v_141 (* 72 ?x2)) (?v_66 (* 83 ?x3)) (?v_47 (* 36 ?x1)) (?v_154 (* 98 ?x2)) (?v_69 (* 47 ?x1)) (?v_65 (* 15 ?x1)) (?v_51 (* 12 ?x2)) (?v_174 (* 86 ?x3)) (?v_41 (* 40 ?x2)) (?v_145 (* 65 ?x3)) (?v_50 (* 11 ?x1)) (?v_42 (* 50 ?x2)) (?v_130 (* 11 ?x3)) (?v_193 (* 100 ?x2)) (?v_71 (* 59 ?x1)) (?v_111 (* 2 ?x1)) (?v_85 (* 52 ?x3)) (?v_62 (* 5 ?x1)) (?v_115 (* 13 ?x3)) (?v_54 (* 23 ?x1)) (?v_79 (* 87 ?x3)) (?v_149 (* 44 ?x1)) (?v_87 (* 7 ?x3)) (?v_129 (* 25 ?x3)) (?v_61 (* 27 ?x2)) (?v_156 (* 99 ?x2)) (?v_113 (* 46 ?x3)) (?v_72 (* 3 ?x2)) (?v_200 (* 26 ?x3)) (?v_95 (* 75 ?x1)) (?v_67 (* 60 ?x2)) (?v_139 (* 41 ?x1)) (?v_75 (* 74 ?x3)) (?v_81 (* 34 ?x3)) (?v_120 (* 38 ?x1)) (?v_192 (* 57 ?x2)) (?v_211 (* 72 ?x1)) (?v_103 (* 4 ?x2)) (?v_184 (* 56 ?x2)) (?v_185 (* 58 ?x3)) (?v_121 (* 35 ?x2)) (?v_104 (* 87 ?x1)) (?v_173 (* 64 ?x3)) (?v_151 (* 94 ?x2)) (?v_122 (* 65 ?x2)) (?v_123 (* 17 ?x3)) (?v_144 (* 45 ?x1)) (?v_196 (* 33 ?x2)) (?v_205 (* 79 ?x3)) (?v_146 (* 14 ?x2)) (?v_168 (* 19 ?x2)) (?v_182 (* 69 ?x3)) (?v_198 (* 32 ?x2)) (?v_2 (* (- 26) ?x1)) (?v_88 (* (- 61) ?x3)) (?v_23 (* (- 93) ?x2)) (?v_116 (* (- 26) ?x3)) (?v_0 (* (- 47) ?x1)) (?v_17 (* (- 10) ?x2)) (?v_97 (* (- 60) ?x1)) (?v_40 (* (- 31) ?x2)) (?v_3 (* (- 78) ?x2)) (?v_15 (* (- 96) ?x1)) (?v_11 (* (- 63) ?x3)) (?v_165 (* (- 97) ?x3)) (?v_8 (* (- 52) ?x2)) (?v_5 (* (- 60) ?x3)) (?v_171 (* (- 76) ?x2)) (?v_49 (* (- 84) ?x2)) (?v_153 (* (- 18) ?x3)) (?v_14 (* (- 56) ?x1)) (?v_140 (* (- 25) ?x3)) (?v_37 (* (- 100) ?x1)) (?v_6 (* (- 88) ?x2)) (?v_16 (* (- 37) ?x3)) (?v_26 (* (- 49) ?x1)) (?v_135 (* (- 35) ?x1)) (?v_19 (* (- 34) ?x3)) (?v_24 (* (- 42) ?x2)) (?v_7 (* (- 76) ?x3)) (?v_32 (* (- 12) ?x2)) (?v_77 (* (- 91) ?x1)) (?v_117 (* (- 88) ?x3)) (?v_82 (* (- 96) ?x2)) (?v_38 (* (- 94) ?x3)) (?v_12 (* (- 39) ?x1)) (?v_208 (* (- 19) ?x1)) (?v_10 (* (- 6) ?x2)) (?v_108 (* (- 66) ?x1)) (?v_142 (* (- 38) ?x2)) (?v_102 (* (- 34) ?x2)) (?v_73 (* (- 81) ?x3)) (?v_132 (* (- 80) ?x2)) (?v_161 (* (- 52) ?x1)) (?v_57 (* (- 1) ?x3)) (?v_43 (* (- 41) ?x3)) (?v_134 (* (- 8) ?x3)) (?v_99 (* (- 65) ?x3)) (?v_64 (* (- 37) ?x2)) (?v_91 (* (- 10) ?x3)) (?v_98 (* (- 90) ?x1)) (?v_80 (* (- 57) ?x1)) (?v_31 (* (- 66) ?x2)) (?v_101 (* (- 64) ?x3)) (?v_56 (* (- 14) ?x1)) (?v_206 (* (- 45) ?x1)) (?v_25 (* (- 85) ?x3)) (?v_34 (* (- 38) ?x3)) (?v_36 (* (- 46) ?x2)) (?v_207 (* (- 17) ?x3)) (?v_35 (* (- 91) ?x2)) (?v_209 (* (- 50) ?x2)) (?v_68 (* (- 77) ?x3)) (?v_48 (* (- 20) ?x3)) (?v_166 (* (- 99) ?x1)) (?v_78 (* (- 68) ?x3)) (?v_176 (* (- 18) ?x1)) (?v_169 (* (- 32) ?x1)) (?v_148 (* (- 92) ?x1)) (?v_63 (* (- 23) ?x2)) (?v_194 (* (- 62) ?x3)) (?v_188 (* (- 18) ?x2)) (?v_94 (* (- 42) ?x3)) (?v_74 (* (- 88) ?x1)) (?v_96 (* (- 7) ?x1)) (?v_105 (* (- 39) ?x3)) (?v_138 (* (- 59) ?x3)) (?v_201 (* (- 58) ?x1)) (?v_195 (* (- 82) ?x3)) (?v_170 (* (- 89) ?x3)) (?v_150 (* (- 16) ?x3)) (?v_86 (* (- 51) ?x1)) (?v_160 (* (- 70) ?x2)) (?v_162 (* (- 50) ?x3)) (?v_181 (* (- 31) ?x1)) (?v_136 (* (- 98) ?x1)) (?v_155 (* (- 51) ?x3)) (?v_126 (* (- 7) ?x2)) (?v_119 (* (- 74) ?x3)) (?v_100 (* (- 92) ?x2)) (?v_178 (* (- 46) ?x1)) (?v_187 (* (- 95) ?x2)) (?v_175 (* (- 13) ?x3)) (?v_191 (* (- 33) ?x3)) (?v_137 (* (- 11) ?x3)) (?v_177 (* (- 36) ?x3)) (?v_143 (* (- 29) ?x3)) (?v_164 (* (- 49) ?x2)) (?v_203 (* (- 37) ?x1)) (?v_163 (* (- 12) ?x1)) (?v_159 (* (- 56) ?x3)) (?v_199 (* (- 34) ?x1)) (?v_189 (* (- 2) ?x2)) (?v_183 (* (- 78) ?x1)) (?v_190 (* (- 64) ?x1)) (?v_210 (* (- 93) ?x3))) (or (or (and (or (or (and (and (and (>= (+ (+ ?v_2 ?v_112) ?v_88) 49) (> (+ ?v_23 ?v_116) 0)) (or (< (+ (* 82 ?x1) ?v_106) 0) (<= (+ (+ ?v_0 ?v_17) ?v_4) 5))) (and (< (+ (+ ?v_84 ?v_152) ?v_147) 61) (> (+ (* (- 38) ?x1) ?v_128) (- 22)))) (and (not (= (+ (+ ?v_97 ?v_40) ?v_70) 30)) (and (not (= (+ (+ ?v_0 ?v_3) (* (- 92) ?x3)) (- 94))) (= (+ (+ ?v_15 (* 13 ?x2)) (* (- 99) ?x3)) 78)))) (and (or (or (or (or (= (+ (+ (* (- 80) ?x1) ?v_125) ?v_11) (- 60)) (<= (+ (* 47 ?x2) ?v_1) 0)) (or (>= (+ (+ (* 92 ?x1) (* 51 ?x2)) ?v_165) 0) (> (+ (+ ?v_39 ?v_8) ?v_5) 38))) (and (or (= ?v_171 51) (= (+ (+ (* (- 15) ?x1) (* 11 ?x2)) ?v_1) (- 42))) (or (>= (+ ?v_2 (* 90 ?x3)) 0) (not (= (+ (+ ?v_46 ?v_49) ?v_153) (- 49)))))) (or (and (= (+ (* 84 ?x1) ?v_83) 0) (= (+ (+ ?v_59 (* (- 5) ?x2)) (* 28 ?x3)) 11)) (or (or (< (+ (+ (* (- 48) ?x1) ?v_3) ?v_60) (- 92)) (< (+ (+ ?v_14 (* (- 64) ?x2)) (* 27 ?x3)) (- 23))) (or (not (= (+ ?v_18 ?v_21) 0)) (not (= (+ ?v_9 ?v_140) (- 61))))))) (and (and (or (> ?v_37 (- 81)) (and (not (= (+ (+ ?v_158 ?v_6) ?v_4) 50)) (= (+ (+ (* 74 ?x1) (* (- 15) ?x2)) (* 51 ?x3)) 9))) (or (>= (+ (+ (* 99 ?x1) ?v_76) ?v_16) (- 26)) (< (+ (+ ?v_26 ?v_202) ?v_5) (- 35)))) (and (and (and (= ?v_135 33) (< (+ ?v_53 ?v_19) 43)) (and (= (+ ?v_33 ?v_93) (- 15)) (<= (+ (+ (* 66 ?x1) ?v_24) ?v_7) 0))) (or (and (< (+ ?v_32 (* 70 ?x3)) (- 68)) (>= (+ ?v_77 ?v_90) 0)) (or (<= ?v_117 0) (< (+ (+ ?v_22 ?v_82) ?v_38) 46))))))) (or (or (or (or (> (+ ?v_12 ?v_6) 80) (or (and (= (+ (+ ?v_208 ?v_10) ?v_7) (- 51)) (= (+ ?v_108 ?v_20) 99)) (<= (+ ?v_13 ?v_8) 86))) (and (< ?v_142 (- 47)) (<= (+ ?v_102 ?v_55) (- 39)))) (and (or (or (and (< (+ ?v_9 (* (- 60) ?x2)) (- 17)) (>= (+ (* (- 82) ?x1) ?v_10) 0)) (not (= (+ (* (- 20) ?x1) ?v_73) (- 54)))) (and (or (< ?v_11 (- 95)) (>= (+ (+ ?v_12 ?v_132) (* 23 ?x3)) 34)) (<= (* 31 ?x2) 0))) (or (<= ?v_92 (- 52)) (and (> (+ (+ (* 50 ?x1) ?v_124) (* 55 ?x3)) (- 36)) (= (+ (* (- 56) ?x2) (* 96 ?x3)) 53))))) (and (and (or (not (= (+ ?v_13 (* (- 83) ?x3)) (- 94))) (< (+ (+ ?v_44 (* 80 ?x2)) (* 8 ?x3)) 7)) (and (> (+ ?v_2 (* 79 ?x2)) 98) (not (= (+ ?v_161 (* (- 30) ?x3)) 0)))) (and (and (and (or (< (+ (+ ?v_172 ?v_29) ?v_57) (- 17)) (= (+ (+ ?v_28 (* 41 ?x2)) ?v_157) 15)) (and (< (+ (+ (* (- 44) ?x1) ?v_6) ?v_43) 85) (> (* (- 53) ?x1) (- 19)))) (or (and (= ?v_14 42) (> (+ ?v_15 ?v_134) (- 10))) (or (< (+ (+ (* (- 75) ?x1) (* (- 26) ?x2)) ?v_99) 79) (= (+ ?v_64 ?v_91) (- 24))))) (and (= (+ (+ ?v_98 (* 1 ?x2)) (* 10 ?x3)) (- 36)) (and (<= (* (- 86) ?x3) (- 55)) (< (+ (+ ?v_80 ?v_31) ?v_16) 0))))))) (or (and (and (and (and (>= (+ (+ ?v_27 (* (- 21) ?x2)) ?v_101) 0) (and (>= (+ (+ ?v_56 ?v_17) (* (- 14) ?x3)) (- 17)) (<= (+ ?v_18 ?v_19) 35))) (and (or (> (+ (+ (* 12 ?x1) ?v_20) ?v_21) 0) (> (+ ?v_206 ?v_186) 0)) (>= (+ ?v_22 ?v_23) 0))) (and (and (and (= (+ (+ ?v_118 ?v_133) (* 6 ?x3)) 0) (>= (+ ?v_131 ?v_25) (- 59))) (>= (+ ?v_24 ?v_127) 49)) (or (or (not (= (+ (+ (* (- 54) ?x1) (* (- 33) ?x2)) ?v_34) 36)) (< (+ ?v_204 (* 72 ?x3)) 10)) (or (> (+ (+ ?v_180 (* 49 ?x2)) ?v_30) 30) (not (= (+ (+ (* (- 84) ?x1) ?v_179) ?v_52) (- 57))))))) (and (or (<= ?v_5 (- 55)) (or (and (and (not (= ?v_110 (- 73))) (> (+ (+ ?v_89 ?v_36) ?v_45) 2)) (= (+ ?v_197 ?v_114) (- 27))) (or (or (= (+ (* (- 17) ?x1) (* (- 40) ?x2)) (- 24)) (> ?v_207 (- 28))) (and (< (+ (* (- 13) ?x1) ?v_35) 49) (not (= (+ (* (- 83) ?x2) (* 95 ?x3)) 0)))))) (or (or (and (and (< ?v_25 (- 23)) (not (= (+ ?v_26 ?v_109) 0))) (or (= (+ ?v_12 ?v_107) (- 39)) (= (+ ?v_209 ?v_68) (- 30)))) (or (>= (+ (+ ?v_27 (* (- 16) ?x2)) (* 5 ?x3)) (- 83)) (and (<= (+ (+ ?v_28 ?v_29) ?v_167) (- 36)) (not (= (+ (+ ?v_58 ?v_141) ?v_30) (- 58)))))) (or (or (<= (+ ?v_31 ?v_48) 5) (not (= (+ (+ ?v_166 (* (- 48) ?x2)) ?v_66) 75))) (or (and (> ?v_47 44) (< (+ (+ (* (- 69) ?x1) ?v_154) (* 81 ?x3)) (- 41))) (< (+ ?v_69 (* (- 17) ?x2)) (- 14))))))) (and (or (or (or (or (>= (+ (+ ?v_65 ?v_51) (* 78 ?x3)) (- 59)) (= (+ ?v_32 ?v_174) 0)) (or (= (+ (+ (* 28 ?x1) ?v_41) ?v_145) (- 97)) (>= (+ (+ ?v_50 ?v_42) ?v_130) 91))) (or (or (and (<= (+ ?v_33 (* (- 61) ?x2)) 0) (>= (+ (* 97 ?x1) ?v_34) 0)) (or (> (+ ?v_193 (* (- 91) ?x3)) (- 76)) (<= (+ (+ ?v_71 (* 42 ?x2)) (* (- 84) ?x3)) (- 9)))) (not (= (* (- 4) ?x1) 83)))) (and (and (or (< (+ ?v_111 ?v_85) 0) (or (< (* 21 ?x2) (- 26)) (>= (+ (+ (* 3 ?x1) ?v_35) ?v_78) (- 26)))) (or (and (= (+ ?v_36 (* (- 70) ?x3)) (- 36)) (<= (+ ?v_37 (* (- 32) ?x3)) 0)) (and (> (+ ?v_62 ?v_115) 65) (= (+ ?v_54 ?v_38) 90)))) (and (or (or (> ?v_79 (- 40)) (> (+ ?v_149 (* (- 28) ?x3)) 86)) (<= (+ ?v_39 ?v_87) (- 70))) (or (or (= (+ (+ ?v_176 ?v_40) ?v_21) (- 3)) (= (+ ?v_41 ?v_129) 96)) (>= (+ ?v_42 (* 82 ?x3)) 4))))) (and (or (or (or (<= (+ ?v_169 (* (- 43) ?x3)) 95) (>= (+ ?v_148 ?v_43) 16)) (and (< (+ ?v_44 ?v_45) 0) (= (+ (+ ?v_46 ?v_63) ?v_194) 0))) (and (and (> (+ ?v_47 ?v_48) 27) (= (+ (* 18 ?x1) (* (- 28) ?x2)) 0)) (and (= (+ (+ ?v_12 ?v_49) (* 31 ?x3)) 0) (>= (+ (+ ?v_50 ?v_51) ?v_52) 25)))) (or (or (or (or (< (+ (+ ?v_53 ?v_61) (* (- 44) ?x3)) 82) (<= (+ (+ ?v_54 ?v_156) ?v_16) 96)) (or (<= (+ (* (- 74) ?x1) (* 100 ?x3)) 93) (not (= (+ (+ (* 65 ?x1) (* 43 ?x2)) ?v_113) 68)))) (or (or (not (= (+ ?v_72 ?v_16) 0)) (>= (+ (+ (* 13 ?x1) ?v_188) ?v_55) 0)) (not (= (+ ?v_56 ?v_200) 36)))) (and (> (+ (* 63 ?x2) ?v_94) 89) (<= (+ (+ ?v_74 (* (- 19) ?x2)) ?v_57) 0))))))) (and (and (and (or (or (and (and (and (>= (+ ?v_58 (* 39 ?x2)) (- 8)) (= (+ ?v_59 ?v_25) 63)) (or (and (<= (+ (+ ?v_95 ?v_67) ?v_60) 32) (= (+ (+ ?v_139 ?v_61) ?v_75) (- 34))) (and (> (+ ?v_96 ?v_105) 48) (>= ?v_37 (- 23))))) (and (and (= (+ ?v_62 (* (- 75) ?x3)) (- 78)) (<= ?v_30 24)) (and (>= (+ ?v_63 (* 45 ?x3)) 0) (< (+ (* (- 74) ?x2) ?v_138) 88)))) (and (and (or (< (+ (+ ?v_53 ?v_64) ?v_81) 94) (> (+ ?v_65 ?v_66) 8)) (and (or (not (= (+ (+ (* 22 ?x1) ?v_67) ?v_48) 12)) (> (+ (+ ?v_120 (* (- 4) ?x2)) ?v_68) 0)) (>= ?v_201 (- 20)))) (and (and (and (> ?v_69 0) (< (+ (* 78 ?x1) ?v_70) 0)) (or (not (= (+ (+ ?v_71 ?v_72) ?v_195) 45)) (> (+ (+ ?v_13 (* (- 59) ?x2)) ?v_73) 0))) (or (< (+ (+ ?v_74 ?v_192) ?v_75) 67) (<= (+ (+ ?v_62 ?v_76) ?v_170) 0))))) (and (and (and (>= (+ ?v_58 ?v_150) 76) (and (not (= (+ (+ ?v_77 ?v_36) (* 59 ?x3)) 0)) (> (+ (+ ?v_86 (* (- 24) ?x2)) ?v_78) 8))) (or (or (< (+ ?v_160 ?v_79) (- 2)) (> (+ ?v_80 ?v_19) 83)) (or (>= (+ (* 8 ?x2) (* 19 ?x3)) 0) (< (+ ?v_211 ?v_81) (- 86))))) (and (or (or (<= (+ (+ ?v_37 (* 95 ?x2)) ?v_162) 24) (not (= (* (- 71) ?x3) 5))) (or (> (+ ?v_69 ?v_82) 86) (= ?v_83 (- 63)))) (or (= (+ (+ ?v_181 ?v_103) ?v_34) 0) (>= (+ ?v_136 ?v_155) (- 44)))))) (and (or (and (and (or (< (+ ?v_84 ?v_85) (- 44)) (not (= (+ ?v_184 (* (- 35) ?x3)) (- 7)))) (< (+ (+ ?v_86 (* 84 ?x2)) (* (- 80) ?x3)) (- 35))) (or (and (<= (+ (* 93 ?x1) ?v_87) 24) (= (+ (+ (* (- 94) ?x1) (* (- 29) ?x2)) ?v_88) (- 12))) (and (= (+ (+ ?v_89 ?v_90) ?v_185) (- 75)) (< (+ (+ ?v_62 ?v_24) ?v_91) (- 77))))) (or (or (and (> (+ (+ ?v_18 ?v_121) ?v_92) 32) (< (+ ?v_93 (* 4 ?x3)) 40)) (or (>= (+ (+ ?v_104 (* 83 ?x2)) ?v_88) (- 77)) (not (= (+ ?v_126 (* (- 40) ?x3)) 29)))) (or (< ?v_119 (- 44)) (and (> (+ ?v_100 ?v_94) (- 91)) (= (+ ?v_95 ?v_45) 78))))) (and (or (or (and (or (<= (+ (+ ?v_96 (* (- 89) ?x2)) ?v_48) (- 88)) (>= (* (- 27) ?x1) 79)) (or (= (+ ?v_97 (* (- 46) ?x3)) 0) (> (+ (+ (* 43 ?x1) ?v_35) ?v_48) 0))) (or (>= (+ (+ ?v_98 (* 67 ?x2)) ?v_99) 0) (and (= (* (- 67) ?x2) 65) (< (+ (+ (* (- 21) ?x1) ?v_100) ?v_101) 10)))) (and (and (or (> (+ (+ (* (- 3) ?x1) ?v_102) ?v_78) 0) (not (= (+ (+ (* (- 83) ?x1) (* 85 ?x2)) (* 38 ?x3)) (- 54)))) (or (= (+ ?v_103 ?v_57) (- 37)) (not (= ?v_173 (- 51))))) (or (and (>= (* (- 3) ?x2) (- 65)) (= (+ (+ ?v_104 (* 36 ?x2)) ?v_105) 0)) (and (not (= (+ (+ ?v_178 ?v_106) ?v_107) 54)) (<= (+ ?v_9 ?v_151) 65))))) (or (or (or (not (= (+ ?v_35 ?v_79) (- 79))) (< (+ (+ ?v_108 ?v_187) ?v_79) (- 83))) (or (or (not (= ?v_109 6)) (= (+ (* 39 ?x1) ?v_110) 0)) (or (not (= (+ (+ ?v_13 ?v_122) ?v_175) 60)) (> (+ (+ ?v_111 ?v_112) ?v_113) 33)))) (or (or (or (= (+ (* (- 98) ?x2) ?v_123) 0) (< (+ ?v_114 ?v_115) 0)) (and (<= (+ (+ ?v_95 (* (- 90) ?x2)) ?v_116) 74) (<= (+ (+ (* (- 24) ?x1) (* (- 32) ?x2)) ?v_117) (- 91)))) (<= (+ (+ ?v_118 (* (- 13) ?x2)) ?v_191) (- 85))))))) (or (or (and (or (and (or (= (+ (* (- 40) ?x1) ?v_119) 12) (= (+ (+ ?v_120 ?v_121) (* (- 45) ?x3)) (- 48))) (and (not (= (+ (+ ?v_69 ?v_122) ?v_123) 0)) (not (= (+ ?v_114 (* (- 58) ?x3)) 11)))) (or (or (not (= (+ ?v_144 ?v_124) 0)) (< (+ (+ (* 9 ?x1) ?v_125) ?v_137) 91)) (and (> (+ (+ ?v_39 ?v_126) ?v_127) (- 22)) (= (+ ?v_196 ?v_128) (- 24))))) (or (and (< (+ (+ ?v_59 (* 82 ?x2)) ?v_87) (- 62)) (> (+ (+ ?v_54 ?v_24) (* (- 15) ?x3)) 42)) (or (= (+ (* 30 ?x2) ?v_129) 17) (>= (+ (+ ?v_47 ?v_106) ?v_205) (- 38))))) (or (or (not (= (+ (+ (* (- 28) ?x1) ?v_146) ?v_177) 0)) (and (and (< (+ (* 58 ?x1) ?v_130) (- 59)) (not (= (+ ?v_58 ?v_131) 0))) (and (< (+ (+ ?v_71 ?v_132) ?v_143) (- 83)) (> (+ (* (- 50) ?x1) ?v_133) 35)))) (or (and (or (> (+ (+ ?v_80 ?v_168) ?v_134) (- 22)) (not (= (+ (* 16 ?x1) ?v_91) 0))) (and (and (> (+ ?v_135 (* (- 73) ?x2)) 0) (= (+ (+ ?v_136 ?v_164) ?v_137) 0)) (and (>= (+ (+ ?v_203 (* (- 1) ?x2)) ?v_138) 100) (> (+ (+ (* 85 ?x1) ?v_133) (* (- 66) ?x3)) 0)))) (and (>= (+ ?v_139 ?v_140) 7) (and (<= (+ ?v_141 (* 16 ?x3)) (- 15)) (<= (+ (+ (* (- 23) ?x1) ?v_142) (* 22 ?x3)) 0)))))) (and (and (or (and (and (and (> (+ (+ ?v_71 (* (- 27) ?x2)) ?v_143) (- 39)) (not (= ?v_43 (- 24)))) (or (>= (+ ?v_144 ?v_35) 82) (< ?v_145 0))) (and (and (not (= (+ (+ ?v_163 ?v_29) ?v_159) 21)) (not (= (+ (+ (* (- 36) ?x1) ?v_146) ?v_147) (- 75)))) (= (+ (+ ?v_148 (* 2 ?x2)) ?v_182) (- 12)))) (or (or (or (>= (+ (+ ?v_149 (* (- 68) ?x2)) ?v_150) 67) (>= (* (- 14) ?x2) (- 77))) (> (+ ?v_151 (* (- 55) ?x3)) 74)) (and (or (= (+ (+ (* (- 10) ?x1) (* (- 30) ?x2)) (* 92 ?x3)) 62) (< (+ (* (- 6) ?x1) ?v_106) 0)) (and (= (+ (+ ?v_86 ?v_152) (* (- 3) ?x3)) 0) (> (+ ?v_144 ?v_153) 0))))) (or (= ?v_154 54) (not (= (+ (* (- 29) ?x1) ?v_155) 0)))) (and (and (or (or (or (not (= (+ (* 64 ?x1) ?v_156) 45)) (> (+ (+ (* 77 ?x1) ?v_6) ?v_38) 0)) (not (= (+ ?v_199 ?v_157) 0))) (and (= (+ ?v_158 ?v_189) 15) (< (+ (+ (* (- 73) ?x1) (* (- 25) ?x2)) ?v_159) 73))) (and (and (<= ?v_160 2) (>= (+ (+ ?v_161 (* 29 ?x2)) ?v_45) 100)) (and (= (+ (* 79 ?x1) (* 71 ?x3)) 0) (> (+ (+ ?v_18 (* (- 44) ?x2)) ?v_115) 0)))) (and (and (or (and (< (+ (* (- 2) ?x1) ?v_162) 0) (>= (+ ?v_131 ?v_99) 34)) (and (> (+ ?v_163 ?v_154) 21) (= (+ (+ (* 40 ?x1) ?v_164) ?v_165) 32))) (and (or (<= (+ ?v_166 ?v_34) 83) (= (+ ?v_76 (* 35 ?x3)) 86)) (< (+ ?v_163 (* 24 ?x2)) (- 71)))) (and (or (< (+ ?v_149 (* (- 87) ?x3)) 25) (and (not (= (+ (* 46 ?x1) ?v_167) 15)) (> (+ (+ ?v_149 ?v_168) (* 88 ?x3)) (- 57)))) (or (or (> (+ (+ ?v_169 (* 53 ?x2)) ?v_170) 0) (not (= (+ (+ ?v_183 ?v_171) ?v_60) (- 57)))) (or (>= (+ ?v_172 ?v_173) (- 47)) (< (+ (+ ?v_190 ?v_109) ?v_147) (- 92)))))))))) (and (or (and (and (or (or (not (= (+ (+ ?v_104 ?v_133) ?v_174) 63)) (<= (+ (+ ?v_161 ?v_198) ?v_175) (- 64))) (or (>= (+ (* (- 8) ?x2) (* 98 ?x3)) 16) (not (= (+ (+ ?v_176 ?v_20) ?v_177) 54)))) (= (+ (+ ?v_178 ?v_132) (* (- 53) ?x3)) 50)) (or (or (or (< ?v_179 76) (>= (+ ?v_180 ?v_60) 0)) (or (<= ?v_135 0) (= (+ ?v_181 ?v_182) (- 96)))) (and (or (not (= (+ (+ ?v_183 (* (- 86) ?x2)) ?v_137) 39)) (not (= (+ (+ ?v_22 (* 92 ?x2)) (* 73 ?x3)) (- 78)))) (and (not (= (+ ?v_71 (* 23 ?x2)) 0)) (> (* (- 22) ?x3) (- 69)))))) (or (or (and (or (> (+ (+ (* 37 ?x1) (* 7 ?x2)) (* 14 ?x3)) 0) (= (+ ?v_184 ?v_185) 17)) (or (< (+ (+ ?v_97 ?v_186) (* (- 31) ?x3)) 0) (<= (+ (* 80 ?x1) (* (- 77) ?x2)) 92))) (or (< (+ (+ (* 73 ?x1) (* (- 47) ?x2)) ?v_123) (- 74)) (> (+ (+ ?v_169 ?v_122) (* 76 ?x3)) 65))) (and (and (and (not (= (+ (+ ?v_120 (* (- 69) ?x2)) ?v_21) (- 3))) (> (+ ?v_187 ?v_101) (- 72))) (or (< (+ (* (- 62) ?x1) (* (- 71) ?x2)) 0) (>= (+ ?v_146 (* (- 48) ?x3)) (- 74)))) (or (<= (+ ?v_188 ?v_210) 96) (not (= (+ (* 88 ?x1) ?v_189) 0)))))) (or (or (or (and (and (= (+ ?v_8 ?v_48) 0) (<= (+ ?v_190 ?v_81) (- 55))) (and (not (= (+ (+ (* (- 61) ?x1) (* (- 100) ?x2)) ?v_191) 51)) (> (+ (+ (* (- 42) ?x1) ?v_192) (* (- 49) ?x3)) 0))) (or (= (+ (* 31 ?x1) ?v_10) 75) (> (+ ?v_193 ?v_194) 44))) (or (and (not (= (+ (* (- 93) ?x1) ?v_155) (- 55))) (or (<= (+ (+ ?v_180 ?v_186) ?v_195) (- 76)) (>= (+ (+ (* 49 ?x1) ?v_196) ?v_87) 43))) (and (and (not (= (+ ?v_197 ?v_198) 33)) (< ?v_190 7)) (and (> (* 89 ?x3) (- 99)) (< (+ (+ ?v_139 (* 38 ?x2)) ?v_119) (- 11)))))) (and (or (or (and (> ?v_197 (- 73)) (<= (+ ?v_199 ?v_30) (- 45))) (<= (+ (+ ?v_97 ?v_72) ?v_200) 9)) (or (and (> (+ (+ ?v_201 ?v_202) (* 91 ?x3)) (- 87)) (not (= (+ (+ ?v_111 ?v_198) ?v_7) (- 12)))) (and (> (+ (+ ?v_203 ?v_204) (* 93 ?x3)) 0) (>= (+ ?v_158 ?v_205) (- 86))))) (and (and (not (= (+ ?v_206 ?v_207) (- 67))) (and (not (= (+ (+ ?v_208 ?v_209) ?v_210) 27)) (= (+ (+ (* 20 ?x1) ?v_41) (* (- 2) ?x3)) 0))) (and (<= ?v_84 0) (and (not (= (+ ?v_211 ?v_154) 30)) (not (= ?v_185 (- 51))))))))))))))))
(check-sat)
(exit)
