(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_68 (* 31 ?x2)) (?v_28 (* 47 ?x3)) (?v_52 (* 40 ?x3)) (?v_124 (* 4 ?x1)) (?v_14 (* 44 ?x2)) (?v_54 (* 39 ?x2)) (?v_260 (* 98 ?x2)) (?v_145 (* 56 ?x2)) (?v_215 (* 45 ?x2)) (?v_226 (* 9 ?x2)) (?v_61 (* 77 ?x3)) (?v_24 (* 91 ?x3)) (?v_84 (* 29 ?x2)) (?v_32 (* 80 ?x3)) (?v_171 (* 76 ?x3)) (?v_15 (* 23 ?x2)) (?v_274 (* 45 ?x1)) (?v_40 (* 30 ?x3)) (?v_91 (* 77 ?x2)) (?v_102 (* 31 ?x3)) (?v_205 (* 80 ?x2)) (?v_204 (* 41 ?x1)) (?v_9 (* 87 ?x2)) (?v_142 (* 50 ?x3)) (?v_267 (* 88 ?x1)) (?v_126 (* 3 ?x3)) (?v_51 (* 61 ?x1)) (?v_53 (* 40 ?x2)) (?v_73 (* 42 ?x1)) (?v_197 (* 16 ?x1)) (?v_37 (* 84 ?x1)) (?v_74 (* 28 ?x3)) (?v_104 (* 93 ?x2)) (?v_273 (* 17 ?x1)) (?v_208 (* 57 ?x2)) (?v_17 (* 37 ?x2)) (?v_34 (* 12 ?x2)) (?v_79 (* 64 ?x1)) (?v_127 (* 66 ?x2)) (?v_20 (* 34 ?x1)) (?v_119 (* 94 ?x3)) (?v_134 (* 72 ?x3)) (?v_56 (* 39 ?x3)) (?v_66 (* 93 ?x3)) (?v_27 (* 97 ?x2)) (?v_150 (* 51 ?x3)) (?v_109 (* 40 ?x1)) (?v_123 (* 42 ?x2)) (?v_180 (* 84 ?x3)) (?v_193 (* 38 ?x2)) (?v_121 (* 79 ?x2)) (?v_46 (* 13 ?x1)) (?v_64 (* 22 ?x3)) (?v_143 (* 37 ?x1)) (?v_33 (* 28 ?x1)) (?v_168 (* 92 ?x1)) (?v_36 (* 19 ?x3)) (?v_45 (* 55 ?x1)) (?v_149 (* 14 ?x1)) (?v_41 (* 50 ?x2)) (?v_38 (* 62 ?x3)) (?v_275 (* 20 ?x3)) (?v_172 (* 77 ?x1)) (?v_98 (* 30 ?x2)) (?v_132 (* 45 ?x3)) (?v_165 (* 1 ?x2)) (?v_118 (* 2 ?x1)) (?v_101 (* 26 ?x2)) (?v_115 (* 79 ?x3)) (?v_63 (* 68 ?x2)) (?v_192 (* 86 ?x2)) (?v_231 (* 72 ?x2)) (?v_100 (* 15 ?x3)) (?v_92 (* 54 ?x3)) (?v_224 (* 67 ?x1)) (?v_160 (* 70 ?x3)) (?v_207 (* 97 ?x1)) (?v_257 (* 83 ?x3)) (?v_88 (* 18 ?x2)) (?v_81 (* 53 ?x3)) (?v_122 (* 75 ?x3)) (?v_282 (* 15 ?x1)) (?v_155 (* 48 ?x1)) (?v_108 (* 92 ?x3)) (?v_220 (* 96 ?x2)) (?v_213 (* 22 ?x2)) (?v_96 (* 12 ?x1)) (?v_292 (* 12 ?x3)) (?v_117 (* 32 ?x3)) (?v_83 (* 85 ?x1)) (?v_221 (* 61 ?x3)) (?v_289 (* 75 ?x2)) (?v_80 (* 5 ?x3)) (?v_211 (* 44 ?x3)) (?v_258 (* 55 ?x2)) (?v_188 (* 76 ?x2)) (?v_246 (* 3 ?x1)) (?v_106 (* 59 ?x2)) (?v_223 (* 36 ?x1)) (?v_248 (* 74 ?x2)) (?v_158 (* 34 ?x3)) (?v_164 (* 65 ?x3)) (?v_141 (* 47 ?x2)) (?v_201 (* 93 ?x1)) (?v_259 (* 47 ?x1)) (?v_280 (* 37 ?x3)) (?v_139 (* 78 ?x2)) (?v_194 (* 90 ?x1)) (?v_228 (* 48 ?x2)) (?v_133 (* 70 ?x1)) (?v_179 (* 87 ?x1)) (?v_116 (* 3 ?x2)) (?v_200 (* 88 ?x2)) (?v_219 (* 98 ?x3)) (?v_130 (* 49 ?x3)) (?v_287 (* 94 ?x2)) (?v_146 (* 52 ?x3)) (?v_148 (* 90 ?x3)) (?v_140 (* 99 ?x1)) (?v_167 (* 23 ?x1)) (?v_250 (* 29 ?x1)) (?v_269 (* 67 ?x2)) (?v_264 (* 33 ?x1)) (?v_186 (* 27 ?x3)) (?v_279 (* 32 ?x1)) (?v_173 (* 59 ?x3)) (?v_243 (* 64 ?x2)) (?v_183 (* 63 ?x3)) (?v_240 (* 63 ?x1)) (?v_288 (* 57 ?x3)) (?v_181 (* 35 ?x1)) (?v_230 (* 39 ?x1)) (?v_239 (* 69 ?x3)) (?v_199 (* 31 ?x1)) (?v_229 (* 66 ?x1)) (?v_232 (* 27 ?x2)) (?v_185 (* 6 ?x2)) (?v_189 (* 38 ?x3)) (?v_238 (* 14 ?x3)) (?v_244 (* 76 ?x1)) (?v_249 (* 7 ?x3)) (?v_290 (* 60 ?x1)) (?v_268 (* 26 ?x3)) (?v_262 (* 24 ?x1)) (?v_294 (* 63 ?x2)) (?v_237 (* 34 ?x2)) (?v_297 (* 81 ?x2)) (?v_3 (* (- 86) ?x3)) (?v_2 (* (- 34) ?x1)) (?v_30 (* (- 95) ?x2)) (?v_8 (* (- 92) ?x1)) (?v_16 (* (- 62) ?x1)) (?v_72 (* (- 100) ?x2)) (?v_5 (* (- 61) ?x3)) (?v_12 (* (- 74) ?x1)) (?v_13 (* (- 66) ?x2)) (?v_7 (* (- 25) ?x1)) (?v_82 (* (- 85) ?x2)) (?v_154 (* (- 72) ?x3)) (?v_0 (* (- 4) ?x1))) (let ((?v_210 (+ ?v_0 ?v_215)) (?v_283 (* (- 69) ?x3)) (?v_6 (* (- 53) ?x3)) (?v_278 (* (- 46) ?x2)) (?v_235 (* (- 75) ?x2)) (?v_31 (* (- 97) ?x2)) (?v_1 (* (- 11) ?x1)) (?v_4 (* (- 92) ?x3)) (?v_253 (* (- 1) ?x2)) (?v_263 (* (- 87) ?x1)) (?v_49 (* (- 62) ?x3)) (?v_42 (* (- 54) ?x1)) (?v_43 (* (- 100) ?x1)) (?v_21 (* (- 20) ?x2)) (?v_10 (* (- 89) ?x2)) (?v_110 (* (- 99) ?x1)) (?v_39 (* (- 65) ?x1)) (?v_35 (* (- 72) ?x1)) (?v_137 (* (- 22) ?x2)) (?v_26 (* (- 18) ?x3)) (?v_113 (* (- 74) ?x3)) (?v_93 (* (- 53) ?x1)) (?v_87 (* (- 17) ?x1)) (?v_23 (* (- 98) ?x3)) (?v_131 (* (- 12) ?x1)) (?v_25 (* (- 73) ?x2)) (?v_272 (* (- 39) ?x3)) (?v_44 (* (- 73) ?x1)) (?v_190 (* (- 83) ?x2)) (?v_241 (* (- 100) ?x3)) (?v_178 (* (- 51) ?x3)) (?v_254 (* (- 43) ?x2)) (?v_129 (* (- 42) ?x1)) (?v_157 (* (- 98) ?x1)) (?v_233 (* (- 84) ?x3)) (?v_60 (* (- 99) ?x2)) (?v_11 (* (- 8) ?x3)) (?v_58 (* (- 57) ?x2)) (?v_293 (* (- 7) ?x3)) (?v_29 (* (- 53) ?x2)) (?v_71 (* (- 5) ?x1)) (?v_76 (* (- 78) ?x2)) (?v_286 (* (- 41) ?x1)) (?v_18 (* (- 4) ?x3)) (?v_65 (* (- 57) ?x1)) (?v_135 (* (- 12) ?x2)) (?v_50 (* (- 20) ?x1)) (?v_85 (* (- 64) ?x3)) (?v_48 (* (- 91) ?x2)) (?v_177 (* (- 17) ?x3)) (?v_22 (* (- 80) ?x1)) (?v_78 (* (- 1) ?x1))) (let ((?v_284 (+ ?v_78 ?v_27)) (?v_202 (* (- 87) ?x2)) (?v_184 (* (- 29) ?x3)) (?v_166 (* (- 30) ?x2)) (?v_236 (* (- 57) ?x3)) (?v_69 (* (- 91) ?x1)) (?v_62 (* (- 49) ?x1)) (?v_19 (* (- 58) ?x2)) (?v_196 (* (- 85) ?x1)) (?v_191 (* (- 2) ?x3)) (?v_94 (* (- 36) ?x1)) (?v_57 (* (- 92) ?x2)) (?v_152 (* (- 82) ?x3)) (?v_256 (* (- 59) ?x1)) (?v_187 (* (- 76) ?x3)) (?v_90 (* (- 4) ?x2)) (?v_212 (* (- 81) ?x1)) (?v_225 (* (- 32) ?x3)) (?v_266 (* (- 90) ?x2)) (?v_291 (* (- 69) ?x2)) (?v_89 (* (- 33) ?x3)) (?v_59 (* (- 3) ?x3)) (?v_128 (* (- 70) ?x3)) (?v_77 (* (- 96) ?x3)) (?v_103 (* (- 97) ?x1)) (?v_111 (* (- 6) ?x2)) (?v_120 (* (- 70) ?x2)) (?v_47 (* (- 89) ?x3)) (?v_276 (* (- 47) ?x1)) (?v_107 (* (- 79) ?x3)) (?v_176 (* (- 24) ?x1)) (?v_252 (* (- 42) ?x2)) (?v_70 (* (- 54) ?x2)) (?v_151 (* (- 33) ?x1)) (?v_156 (* (- 27) ?x2)) (?v_271 (* (- 23) ?x2)) (?v_105 (* (- 29) ?x2)) (?v_55 (* (- 31) ?x1)) (?v_198 (* (- 61) ?x2)) (?v_216 (* (- 15) ?x3)) (?v_159 (* (- 50) ?x1)) (?v_67 (* (- 39) ?x1)) (?v_95 (* (- 74) ?x2)) (?v_161 (* (- 25) ?x2)) (?v_97 (* (- 90) ?x3)) (?v_125 (* (- 47) ?x3)) (?v_251 (* (- 6) ?x1)) (?v_242 (* (- 86) ?x1)) (?v_75 (* (- 75) ?x3)) (?v_99 (* (- 60) ?x2)) (?v_170 (* (- 2) ?x1)) (?v_162 (* (- 36) ?x3)) (?v_86 (* (- 80) ?x3)) (?v_175 (* (- 31) ?x3)) (?v_112 (* (- 14) ?x1)) (?v_114 (* (- 43) ?x3)) (?v_206 (* (- 27) ?x3)) (?v_255 (* (- 59) ?x2)) (?v_281 (* (- 41) ?x3)) (?v_234 (* (- 37) ?x1)) (?v_265 (* (- 23) ?x3)) (?v_136 (* (- 22) ?x1)) (?v_147 (* (- 81) ?x2)) (?v_153 (* (- 36) ?x2)) (?v_144 (* (- 13) ?x2)) (?v_138 (* (- 55) ?x3)) (?v_217 (* (- 33) ?x2)) (?v_163 (* (- 75) ?x1)) (?v_169 (* (- 21) ?x1)) (?v_174 (* (- 19) ?x2)) (?v_222 (* (- 76) ?x2)) (?v_182 (* (- 58) ?x3)) (?v_195 (* (- 28) ?x2)) (?v_247 (* (- 30) ?x1)) (?v_218 (* (- 68) ?x2)) (?v_270 (* (- 34) ?x2)) (?v_277 (* (- 51) ?x2)) (?v_295 (* (- 21) ?x2)) (?v_214 (* (- 93) ?x2)) (?v_203 (* (- 21) ?x3)) (?v_209 (* (- 60) ?x1)) (?v_298 (* (- 16) ?x2)) (?v_285 (* (- 66) ?x3)) (?v_227 (* (- 80) ?x2)) (?v_261 (* (- 82) ?x1)) (?v_245 (* (- 67) ?x1)) (?v_296 (* (- 32) ?x1))) (and (and (or (and (and (and (and (and (or (< ?v_3 64) (< (+ (+ ?v_2 ?v_68) ?v_28) (- 77))) (or (< (+ ?v_30 ?v_52) (- 14)) (<= (+ ?v_8 (* (- 67) ?x2)) 0))) (or (or (= (+ (+ ?v_16 ?v_72) ?v_5) (- 54)) (= (+ ?v_12 ?v_13) (- 48))) (>= (+ ?v_124 ?v_14) 46))) (or (or (<= (+ ?v_54 (* 11 ?x3)) 32) (>= (+ (+ (* (- 79) ?x1) ?v_260) (* 42 ?x3)) (- 29))) (and (or (= (+ ?v_7 ?v_145) (- 39)) (> (+ (* (- 45) ?x1) ?v_82) (- 70))) (or (not (= (+ (* 8 ?x2) ?v_154) 0)) (<= (+ ?v_210 ?v_283) 0))))) (and (and (= (+ ?v_226 ?v_6) (- 30)) (<= (+ (+ ?v_0 ?v_278) (* 68 ?x3)) 0)) (or (or (> (+ (* (- 19) ?x1) ?v_235) 84) (not (= (+ (* 50 ?x1) ?v_61) 81))) (or (>= (+ (+ (* (- 95) ?x1) ?v_31) ?v_24) (- 44)) (<= ?v_1 29))))) (and (and (or (or (> (+ (+ ?v_1 ?v_84) ?v_4) 0) (> ?v_32 0)) (or (> (+ (+ ?v_2 ?v_253) ?v_171) 0) (<= ?v_263 17))) (or (or (>= (+ (* 52 ?x1) ?v_49) 25) (or (= (+ ?v_42 ?v_3) (- 66)) (>= (+ (+ (* 1 ?x1) ?v_15) (* (- 65) ?x3)) 0))) (or (and (>= (+ (+ ?v_274 (* (- 39) ?x2)) ?v_40) (- 74)) (>= (+ (+ ?v_43 ?v_21) ?v_4) 100)) (<= ?v_5 (- 46))))) (or (or (= (+ (+ (* 7 ?x1) ?v_10) ?v_6) 36) (or (>= (+ (+ ?v_110 ?v_91) (* (- 22) ?x3)) (- 2)) (>= ?v_39 (- 74)))) (and (or (and (<= (+ (+ ?v_35 ?v_137) ?v_26) 42) (<= (+ (* (- 8) ?x2) ?v_113) 0)) (< (+ ?v_93 ?v_102) 0)) (or (< (+ (+ ?v_87 ?v_205) ?v_23) 0) (< (+ (+ ?v_131 ?v_25) ?v_272) 16)))))) (or (or (or (and (and (and (>= (+ ?v_44 ?v_190) 0) (and (<= (+ (* 98 ?x1) ?v_241) 62) (not (= ?v_178 (- 9))))) (or (< (+ ?v_204 (* (- 95) ?x3)) (- 41)) (and (> (+ ?v_254 (* (- 37) ?x3)) 0) (= (+ ?v_129 (* (- 9) ?x2)) 0)))) (and (< (+ (+ ?v_157 ?v_9) ?v_233) 0) (and (> (+ (+ (* (- 46) ?x1) (* (- 49) ?x2)) ?v_142) (- 1)) (and (< (+ ?v_267 ?v_126) (- 98)) (= ?v_7 0))))) (or (and (or (>= (+ (+ ?v_51 ?v_53) (* 64 ?x3)) (- 14)) (not (= (+ (+ ?v_8 ?v_60) ?v_11) (- 79)))) (and (= (+ (+ (* 74 ?x1) ?v_9) (* 10 ?x3)) 17) (and (< (+ (+ ?v_73 ?v_58) ?v_293) (- 20)) (>= (+ ?v_197 ?v_10) 19)))) (or (or (< (+ (+ ?v_37 (* 91 ?x2)) ?v_3) 10) (<= (+ ?v_29 ?v_74) 0)) (or (and (>= (+ ?v_71 ?v_104) (- 74)) (>= (+ ?v_273 ?v_208) (- 53))) (and (< (+ ?v_17 ?v_11) 0) (> (+ ?v_12 ?v_76) 0)))))) (or (and (or (and (= (+ (+ ?v_286 ?v_34) ?v_18) (- 24)) (>= (+ ?v_79 ?v_127) 0)) (and (and (= (+ (+ ?v_65 ?v_135) (* 17 ?x3)) (- 88)) (<= (+ (+ ?v_20 ?v_13) ?v_119) (- 64))) (< (+ (+ ?v_50 ?v_14) ?v_85) 73))) (> (+ ?v_48 ?v_134) 95)) (and (or (and (or (<= (+ ?v_15 ?v_56) (- 79)) (>= (+ ?v_16 ?v_177) 49)) (= (+ ?v_22 ?v_66) 27)) (and (or (= ?v_284 (- 37)) (> (+ (+ (* 68 ?x1) ?v_202) ?v_184) 0)) (or (= (+ (+ (* (- 44) ?x1) ?v_166) ?v_236) 0) (<= (+ (+ ?v_69 ?v_17) ?v_150) (- 4))))) (or (or (= (+ (+ ?v_62 ?v_19) ?v_18) (- 15)) (>= ?v_196 (- 29))) (or (= (+ ?v_109 ?v_191) (- 63)) (<= ?v_19 39)))))) (or (and (and (or (and (not (= (+ (+ ?v_20 ?v_123) ?v_180) 0)) (< ?v_21 (- 35))) (and (> (+ (+ ?v_94 ?v_193) (* (- 93) ?x3)) (- 40)) (< (+ (+ ?v_22 ?v_121) ?v_23) (- 83)))) (and (or (> (+ (* 16 ?x2) ?v_24) (- 55)) (< (+ ?v_57 ?v_152) (- 95))) (> (+ (+ ?v_256 ?v_25) ?v_187) 0))) (and (and (and (and (<= (+ (+ ?v_46 ?v_90) ?v_64) 80) (not (= (+ ?v_9 ?v_26) 15))) (or (= (* (- 16) ?x3) 0) (> (+ (+ ?v_212 ?v_27) ?v_28) 0))) (and (or (< (+ (+ ?v_143 (* (- 79) ?x2)) ?v_225) 0) (<= (+ ?v_29 (* (- 45) ?x3)) 26)) (or (<= (+ ?v_33 ?v_30) (- 31)) (<= (+ (+ ?v_168 ?v_266) ?v_36) 59)))) (or (or (<= (+ ?v_45 ?v_29) 0) (or (= (+ ?v_31 ?v_32) 0) (< (+ (+ ?v_149 ?v_291) (* (- 13) ?x3)) (- 89)))) (or (or (<= ?v_89 59) (< (+ (+ ?v_33 ?v_41) ?v_38) 0)) (and (>= ?v_275 73) (>= (+ (+ ?v_172 ?v_98) ?v_132) 10)))))) (or (and (or (or (or (>= (* 51 ?x2) (- 80)) (not (= (* 46 ?x2) (- 21)))) (and (>= (+ (* (- 18) ?x1) ?v_165) (- 32)) (< (+ (+ ?v_118 ?v_101) ?v_59) 13))) (and (> (+ ?v_34 ?v_128) (- 3)) (and (< (+ ?v_35 ?v_36) (- 44)) (> (+ ?v_37 ?v_38) 0)))) (or (and (or (<= (+ (* 5 ?x2) (* (- 85) ?x3)) (- 34)) (>= (+ (+ ?v_2 (* 54 ?x2)) ?v_77) (- 56))) (or (> (+ ?v_39 ?v_40) (- 30)) (>= (+ ?v_103 ?v_41) 34))) (or (or (< (+ ?v_111 ?v_115) 46) (not (= (+ (* 96 ?x1) ?v_120) (- 12)))) (and (= (+ ?v_42 ?v_47) 0) (>= ?v_63 100))))) (or (and (>= (+ (+ ?v_43 ?v_192) (* 85 ?x3)) 19) (or (= (+ (+ ?v_276 ?v_231) ?v_100) 21) (= ?v_107 0))) (and (or (or (< (+ (+ ?v_44 ?v_31) (* (- 20) ?x3)) (- 77)) (not (= (+ ?v_45 ?v_92) (- 33)))) (<= (+ ?v_176 ?v_252) (- 15))) (or (or (not (= ?v_46 30)) (>= (+ ?v_224 ?v_70) 28)) (or (>= (+ (* (- 15) ?x2) ?v_47) (- 80)) (= (+ (+ ?v_151 ?v_48) ?v_160) 0))))))))) (or (and (and (or (and (and (and (= (+ (+ ?v_207 ?v_156) ?v_49) (- 93)) (not (= (+ (+ ?v_50 ?v_271) ?v_257) (- 19)))) (= (+ (+ (* 94 ?x1) (* 19 ?x2)) (* 48 ?x3)) 0)) (or (> (+ (+ ?v_51 ?v_105) ?v_52) 75) (= (+ (+ ?v_55 ?v_198) ?v_216) 0))) (or (or (or (<= ?v_159 0) (> (+ (* 46 ?x1) ?v_88) 38)) (and (< (+ ?v_67 ?v_81) (- 38)) (> (+ (+ (* 9 ?x1) (* (- 41) ?x2)) ?v_122) 71))) (< (+ (+ ?v_282 ?v_53) (* 67 ?x3)) 1))) (or (or (or (and (= (+ (+ (* 65 ?x1) ?v_54) (* (- 49) ?x3)) (- 33)) (= (+ (* (- 38) ?x1) ?v_52) (- 39))) (>= (+ (+ ?v_55 ?v_95) ?v_56) 31)) (or (or (< (+ (* 25 ?x1) ?v_161) 61) (> (+ (+ ?v_155 ?v_27) ?v_97) 38)) (and (= (+ ?v_57 ?v_125) (- 3)) (not (= (+ (+ ?v_251 ?v_58) ?v_59) 0))))) (and (or (or (<= (+ ?v_60 ?v_108) 0) (< (+ ?v_35 ?v_61) (- 89))) (= (+ (+ ?v_62 ?v_63) ?v_64) (- 91))) (and (and (not (= (+ (+ ?v_65 (* (- 7) ?x2)) (* 82 ?x3)) 0)) (not (= (+ ?v_242 ?v_21) 0))) (or (>= (+ ?v_220 (* (- 9) ?x3)) 0) (<= (+ ?v_213 ?v_66) 72)))))) (and (and (and (and (or (= (+ ?v_67 ?v_68) 3) (or (= (+ (+ ?v_69 ?v_9) ?v_75) 0) (>= (+ (* (- 84) ?x1) ?v_99) 31))) (and (or (= (+ (+ ?v_96 ?v_70) ?v_292) 0) (>= (+ ?v_71 ?v_117) 22)) (and (>= (+ ?v_170 ?v_72) 64) (> (+ ?v_73 ?v_74) (- 96))))) (or (= (+ (+ ?v_83 ?v_58) ?v_75) 0) (< (+ (* 61 ?x2) ?v_162) 0))) (or (< (+ (+ (* (- 88) ?x1) ?v_76) ?v_77) (- 95)) (and (and (and (<= ?v_221 (- 82)) (not (= (+ (+ ?v_33 ?v_289) ?v_86) (- 42)))) (and (= (+ ?v_78 ?v_80) 0) (< (+ (+ ?v_79 (* 58 ?x2)) ?v_211) 0))) (or (or (not (= (+ (+ ?v_65 ?v_258) ?v_80) 39)) (< (+ (+ ?v_20 ?v_188) ?v_81) 0)) (= ?v_82 99))))) (or (and (or (and (<= (+ ?v_246 ?v_175) (- 21)) (< (+ (* 6 ?x1) ?v_106) 76)) (> (+ ?v_83 ?v_49) 0)) (or (and (or (= (+ (+ (* (- 26) ?x1) ?v_84) ?v_85) 0) (= (+ (+ ?v_223 ?v_248) ?v_86) 17)) (or (<= ?v_44 20) (< (+ (+ ?v_87 ?v_88) ?v_158) 0))) (or (<= (+ ?v_41 ?v_89) 89) (< (+ (+ ?v_112 ?v_90) ?v_114) 13)))) (and (or (or (and (< (+ (+ (* 57 ?x1) ?v_91) ?v_164) 0) (<= (+ ?v_42 ?v_92) (- 37))) (or (not (= (+ (+ ?v_93 ?v_141) (* (- 60) ?x3)) 96)) (not (= (+ (+ ?v_94 ?v_95) ?v_36) 75)))) (or (> (+ (+ (* (- 66) ?x1) ?v_15) (* 99 ?x3)) (- 67)) (and (>= (+ (+ ?v_96 ?v_13) ?v_97) (- 14)) (not (= ?v_201 57))))) (and (or (> (+ (+ ?v_259 ?v_98) ?v_280) 86) (= (+ (+ ?v_71 ?v_139) ?v_206) 99)) (and (or (> (+ (+ ?v_194 ?v_99) ?v_100) 0) (> ?v_76 21)) (or (< ?v_101 0) (< (+ (+ ?v_65 ?v_255) ?v_102) 0)))))))) (or (and (or (and (and (and (and (> (+ (+ ?v_103 ?v_48) (* (- 78) ?x3)) 0) (not (= (+ (+ (* (- 61) ?x1) (* 14 ?x2)) ?v_47) (- 30)))) (and (not (= (+ ?v_65 ?v_104) (- 84))) (>= (+ (+ (* 11 ?x1) ?v_105) ?v_38) 43))) (or (or (< (+ ?v_50 ?v_228) 0) (> (+ ?v_106 ?v_107) (- 21))) (< (+ ?v_133 ?v_77) 22))) (and (or (and (<= (+ (+ (* (- 94) ?x1) ?v_48) ?v_281) 32) (<= (+ (+ ?v_234 ?v_27) ?v_108) (- 40))) (and (< (+ ?v_109 (* 86 ?x3)) 97) (< (+ ?v_82 ?v_265) 0))) (and (or (<= ?v_136 35) (= (+ (+ ?v_179 ?v_116) (* (- 68) ?x3)) (- 55))) (and (= (+ (+ ?v_110 ?v_111) ?v_38) 0) (>= (+ (+ ?v_112 ?v_147) ?v_113) (- 29)))))) (or (and (and (not (= (+ (* (- 26) ?x2) ?v_114) 23)) (not (= ?v_200 53))) (or (<= ?v_17 0) (> ?v_115 (- 67)))) (or (and (or (not (= (+ (+ ?v_87 (* 84 ?x2)) ?v_108) (- 21))) (<= (+ (+ ?v_112 ?v_116) ?v_117) 47)) (and (>= (+ (+ ?v_118 ?v_153) ?v_119) (- 47)) (= ?v_120 0))) (or (and (= ?v_144 8) (< (+ (+ ?v_7 (* 13 ?x2)) (* 100 ?x3)) (- 38))) (and (> (+ ?v_111 ?v_219) (- 6)) (< (+ ?v_121 ?v_122) 88)))))) (and (or (or (or (<= (+ ?v_123 ?v_130) (- 69)) (not (= (+ (+ (* (- 40) ?x1) ?v_287) ?v_77) (- 55)))) (and (< (+ (+ (* 54 ?x1) (* (- 32) ?x2)) ?v_146) 94) (< (+ ?v_124 ?v_148) (- 59)))) (or (or (> (+ (+ ?v_140 ?v_9) ?v_138) 50) (= (+ (+ ?v_20 ?v_60) ?v_125) 42)) (= (+ (+ ?v_167 (* (- 55) ?x2)) (* (- 1) ?x3)) 0))) (and (and (and (>= (+ (+ ?v_250 ?v_217) ?v_126) 0) (< (+ ?v_163 ?v_269) 94)) (and (>= (+ (+ ?v_264 ?v_127) ?v_128) (- 53)) (not (= (+ (+ ?v_35 ?v_63) ?v_186) (- 7))))) (and (or (<= (+ (+ ?v_129 ?v_82) (* (- 87) ?x3)) 0) (< (+ (+ ?v_169 ?v_174) ?v_130) (- 80))) (or (not (= ?v_131 0)) (> (+ (+ (* 44 ?x1) ?v_31) ?v_132) (- 58))))))) (or (and (and (or (and (< (+ (+ ?v_133 ?v_104) ?v_134) (- 35)) (> (+ (+ ?v_279 ?v_135) ?v_173) (- 10))) (or (not (= (+ (+ ?v_136 ?v_137) (* 97 ?x3)) (- 100))) (not (= (+ ?v_71 ?v_243) 0)))) (and (or (>= (+ ?v_33 ?v_72) 0) (<= (+ ?v_41 ?v_108) 78)) (or (not (= (+ ?v_222 ?v_182) 0)) (not (= (+ (+ ?v_35 (* (- 11) ?x2)) ?v_138) 29))))) (or (or (and (= ?v_139 (- 63)) (= (+ ?v_195 (* 71 ?x3)) (- 9))) (or (not (= (+ (+ ?v_140 ?v_111) ?v_5) (- 22))) (not (= (+ ?v_141 ?v_142) (- 4))))) (or (>= (+ (* 75 ?x1) ?v_54) 37) (<= (+ ?v_143 ?v_183) 89)))) (or (and (or (< (+ (+ ?v_240 ?v_144) ?v_18) 46) (<= (+ (+ ?v_247 ?v_145) ?v_146) (- 31))) (and (>= (+ ?v_147 ?v_288) 88) (<= (+ ?v_25 ?v_148) 71))) (and (or (not (= (+ ?v_149 ?v_150) 0)) (<= (+ (+ ?v_181 ?v_123) ?v_122) 86)) (> (+ (+ ?v_151 ?v_91) ?v_152) 2))))))) (and (and (and (or (or (and (and (not (= ?v_7 51)) (< (+ ?v_153 ?v_154) 58)) (or (= (+ ?v_25 ?v_107) 0) (<= (+ ?v_155 ?v_13) (- 76)))) (and (or (> (+ (+ ?v_62 ?v_156) (* 89 ?x3)) 0) (>= (+ (+ ?v_157 ?v_218) (* (- 19) ?x3)) 67)) (and (and (>= (+ (+ (* 53 ?x1) ?v_99) ?v_158) (- 53)) (< (+ (+ ?v_159 ?v_105) ?v_160) 85)) (and (<= (+ ?v_161 ?v_162) 84) (<= (+ (+ ?v_96 ?v_270) (* (- 46) ?x3)) 0))))) (or (and (and (<= ?v_163 (- 61)) (> (+ (+ (* 81 ?x1) (* 43 ?x2)) (* (- 94) ?x3)) 0)) (and (< (+ (+ ?v_230 ?v_277) ?v_239) 0) (= (+ (+ ?v_199 ?v_295) ?v_164) 74))) (or (< (+ ?v_55 (* 8 ?x3)) (- 62)) (and (>= (+ ?v_2 ?v_165) (- 95)) (> ?v_166 (- 54)))))) (or (and (or (and (<= ?v_85 (- 7)) (not (= (+ (+ (* (- 13) ?x1) ?v_98) (* 21 ?x3)) (- 36)))) (and (and (<= (+ ?v_167 ?v_84) (- 15)) (= (+ ?v_168 ?v_214) 72)) (and (<= (+ ?v_169 ?v_74) (- 36)) (>= (+ (+ ?v_170 (* 21 ?x2)) ?v_203) 0)))) (or (or (or (>= (+ ?v_37 ?v_171) (- 56)) (>= (+ ?v_84 (* (- 73) ?x3)) 25)) (or (> (+ ?v_172 ?v_173) (- 4)) (>= (+ (+ ?v_229 ?v_174) ?v_40) 0))) (and (or (= (+ (* 90 ?x2) ?v_175) 18) (= (+ (+ ?v_176 (* (- 62) ?x2)) ?v_177) (- 63))) (and (< (+ (+ ?v_79 (* (- 84) ?x2)) ?v_178) 13) (not (= (+ (* 72 ?x1) ?v_30) 0)))))) (and (and (or (or (not (= (+ (+ ?v_179 ?v_145) ?v_180) (- 13))) (= ?v_68 27)) (and (<= (+ (+ ?v_181 ?v_232) ?v_182) 0) (> (+ ?v_185 ?v_183) 20))) (and (not (= ?v_189 (- 51))) (>= (+ (+ ?v_83 ?v_25) ?v_238) 52))) (and (and (= (+ (+ ?v_209 ?v_174) ?v_184) (- 73)) (and (= ?v_185 (- 6)) (>= (+ (+ ?v_244 (* 17 ?x2)) ?v_186) 40))) (or (or (not (= (+ ?v_71 ?v_119) (- 100))) (= (+ (+ (* 62 ?x1) (* 85 ?x2)) ?v_180) (- 18))) (or (= (+ (* 4 ?x2) ?v_187) 12) (<= (+ (+ ?v_20 ?v_298) ?v_285) 0))))))) (and (and (or (and (not (= (+ (+ ?v_169 ?v_188) ?v_249) (- 66))) (not (= (+ ?v_167 (* (- 44) ?x3)) (- 39)))) (and (<= (+ (+ (* (- 68) ?x1) ?v_15) ?v_189) (- 46)) (= (+ (+ (* (- 29) ?x1) ?v_190) ?v_191) 0))) (and (and (and (< (+ ?v_42 ?v_81) (- 71)) (>= (+ (+ (* (- 27) ?x1) (* 7 ?x2)) (* 56 ?x3)) 0)) (and (>= (+ (+ ?v_44 ?v_192) (* 95 ?x3)) (- 56)) (= (+ (* 58 ?x1) ?v_193) (- 6)))) (and (and (= (+ (* 33 ?x2) (* (- 25) ?x3)) (- 18)) (= (+ ?v_68 (* 1 ?x3)) 27)) (or (>= (+ ?v_157 ?v_75) 0) (= (+ (+ ?v_194 ?v_195) (* 33 ?x3)) (- 3)))))) (and (or (and (or (and (<= (+ (+ ?v_196 ?v_161) ?v_180) 8) (< (+ (+ ?v_197 ?v_198) ?v_89) 0)) (> (+ ?v_199 (* 58 ?x3)) (- 28))) (and (or (> (+ (+ (* (- 77) ?x1) ?v_200) ?v_59) (- 81)) (not (= (+ ?v_201 ?v_19) 21))) (and (>= (+ ?v_202 ?v_203) (- 11)) (> (+ ?v_204 ?v_205) 0)))) (and (or (>= ?v_116 0) (not (= (+ (* (- 69) ?x1) ?v_206) 50))) (and (and (<= (+ (+ ?v_207 ?v_208) (* 2 ?x3)) 83) (< ?v_209 (- 92))) (or (>= ?v_82 7) (< (+ ?v_210 ?v_211) (- 59)))))) (and (and (and (= ?v_212 (- 12)) (>= (+ ?v_179 ?v_213) 55)) (and (not (= (+ (+ (* 18 ?x1) (* 52 ?x2)) ?v_177) 0)) (< (+ ?v_290 ?v_15) 55))) (and (and (> (+ (+ (* (- 64) ?x1) ?v_214) ?v_75) 41) (<= (+ (+ (* 82 ?x1) ?v_215) ?v_216) 0)) (> ?v_268 0)))))) (and (and (or (or (= (+ (+ ?v_7 ?v_217) ?v_128) (- 85)) (< (+ ?v_87 ?v_54) 0)) (or (< (+ ?v_218 ?v_219) 0) (= (+ (+ ?v_133 ?v_227) (* 16 ?x3)) 0))) (and (or (and (and (not (= (+ (+ ?v_157 ?v_220) ?v_221) 33)) (or (> (+ ?v_261 ?v_101) (- 1)) (<= (+ ?v_179 ?v_222) 0))) (and (or (< (+ (+ ?v_223 ?v_9) ?v_18) 76) (> (+ (+ ?v_224 (* (- 71) ?x2)) ?v_225) (- 19))) (< (+ (+ ?v_262 ?v_226) (* 73 ?x3)) (- 98)))) (or (and (or (= (* (- 24) ?x3) (- 81)) (<= (+ ?v_169 ?v_227) 15)) (or (<= ?v_294 0) (> (+ ?v_170 (* (- 98) ?x2)) 38))) (and (or (> ?v_228 56) (not (= (+ (+ ?v_42 ?v_147) ?v_26) 0))) (and (>= (+ (+ ?v_245 ?v_31) (* 87 ?x3)) (- 68)) (not (= (+ ?v_78 ?v_237) 0)))))) (or (or (or (or (not (= (+ ?v_229 ?v_203) 74)) (>= (+ (+ ?v_230 ?v_218) ?v_107) 0)) (or (= (+ (+ ?v_159 ?v_231) (* 36 ?x3)) 9) (<= (+ (+ ?v_67 (* 24 ?x2)) ?v_177) (- 54)))) (and (and (< (+ (+ (* 51 ?x1) ?v_232) ?v_233) 10) (> (+ ?v_174 ?v_40) 56)) (or (>= (+ (+ ?v_234 ?v_235) ?v_236) 10) (< (+ ?v_34 ?v_114) (- 92))))) (and (>= ?v_143 (- 95)) (or (> (+ (+ ?v_197 ?v_237) (* 13 ?x3)) 84) (not (= (+ (* (- 14) ?x2) ?v_238) 9))))))) (and (or (and (or (and (or (not (= (+ (* 53 ?x2) ?v_239) 11)) (not (= ?v_50 0))) (and (not (= (+ (+ ?v_240 ?v_145) ?v_241) (- 40))) (or (>= (+ (+ (* 73 ?x1) ?v_215) ?v_107) (- 20)) (= ?v_113 23)))) (and (and (or (<= (+ (+ ?v_242 ?v_243) (* (- 88) ?x3)) (- 16)) (< (+ (+ ?v_244 (* (- 48) ?x2)) ?v_187) 61)) (or (<= (+ (+ ?v_245 (* 65 ?x2)) ?v_187) 77) (not (= (+ (+ ?v_246 (* 62 ?x2)) (* 6 ?x3)) (- 42))))) (and (not (= (+ (+ (* 80 ?x1) ?v_14) ?v_74) 0)) (or (> (+ (+ ?v_247 ?v_248) ?v_249) 0) (<= (+ ?v_218 ?v_186) (- 73)))))) (or (or (or (< (+ ?v_199 (* (- 35) ?x3)) (- 95)) (>= (+ (+ ?v_93 ?v_235) ?v_180) 70)) (or (or (not (= (+ (+ (* 27 ?x1) ?v_141) ?v_119) (- 48))) (not (= (+ ?v_250 ?v_89) (- 3)))) (< (+ (+ (* (- 51) ?x1) ?v_60) ?v_56) (- 17)))) (or (or (>= (+ ?v_251 ?v_252) 0) (and (> (+ (+ ?v_1 ?v_253) ?v_216) 51) (< (+ ?v_254 (* (- 12) ?x3)) 0))) (and (> (+ (+ ?v_199 ?v_255) ?v_80) (- 58)) (and (not (= (+ ?v_256 ?v_257) (- 27))) (> (+ (+ ?v_73 ?v_297) ?v_115) 0)))))) (and (or (or (or (and (<= (+ (+ ?v_46 ?v_258) ?v_36) 80) (not (= (+ (+ ?v_259 ?v_260) (* 88 ?x3)) (- 24)))) (or (> (* (- 52) ?x2) (- 81)) (= ?v_261 (- 25)))) (or (and (< ?v_217 0) (<= (+ (+ ?v_262 ?v_57) ?v_184) 47)) (> ?v_263 59))) (and (or (not (= (+ ?v_170 ?v_203) (- 19))) (<= ?v_264 12)) (and (= (+ (* 10 ?x1) ?v_265) (- 15)) (or (= ?v_266 (- 85)) (> (+ ?v_267 (* 81 ?x3)) 0))))) (or (and (or (>= (+ (* (- 16) ?x1) ?v_268) (- 98)) (< (+ (* (- 3) ?x1) ?v_269) (- 20))) (and (>= (+ (+ (* 20 ?x1) ?v_270) ?v_64) (- 35)) (= (+ (+ ?v_103 ?v_271) ?v_203) (- 15)))) (or (or (not (= ?v_195 0)) (< (+ ?v_262 ?v_183) (- 62))) (or (>= (+ ?v_169 ?v_102) 0) (not (= (+ (+ ?v_230 ?v_254) ?v_100) 68))))))) (or (and (and (or (and (> (+ (+ ?v_296 ?v_190) ?v_272) 5) (< (* (- 99) ?x3) 97)) (> ?v_57 0)) (or (or (or (> ?v_227 57) (< (+ ?v_273 (* 15 ?x2)) 0)) (and (<= (+ (+ ?v_274 ?v_166) ?v_275) 11) (< (+ ?v_35 ?v_178) 0))) (and (or (<= (+ ?v_106 ?v_189) (- 85)) (not (= (+ (+ ?v_276 ?v_277) ?v_191) (- 57)))) (= (+ ?v_118 ?v_278) 6)))) (and (and (or (and (< (+ ?v_279 ?v_174) (- 8)) (< (+ (+ ?v_71 (* (- 10) ?x2)) ?v_241) (- 2))) (> (+ (+ (* 89 ?x1) ?v_195) ?v_280) (- 79))) (or (not (= ?v_281 (- 91))) (or (> (+ ?v_44 ?v_260) 90) (< (+ (+ ?v_282 (* 41 ?x2)) ?v_283) (- 98))))) (and (or (or (> (+ ?v_284 ?v_285) 0) (>= (+ ?v_286 ?v_24) (- 74))) (or (<= (+ (+ ?v_133 ?v_287) ?v_288) 14) (= (+ (* 26 ?x1) ?v_289) 0))) (or (or (> (+ ?v_169 ?v_122) 99) (< (+ (+ ?v_290 ?v_291) (* (- 59) ?x3)) 40)) (and (< ?v_292 (- 35)) (= (+ (* (- 89) ?x1) ?v_293) 0)))))) (or (and (and (and (> ?v_294 (- 6)) (<= ?v_6 38)) (or (< (+ (+ ?v_51 ?v_295) ?v_148) (- 47)) (not (= (+ (* (- 71) ?x1) ?v_31) 3)))) (and (or (> (+ ?v_296 ?v_297) 0) (not (= (+ (+ ?v_273 ?v_15) (* 43 ?x3)) 60))) (or (< (+ (+ (* 43 ?x1) ?v_298) ?v_97) 0) (<= (* (- 5) ?x2) 44)))) (and (< (* 10 ?x2) (- 53)) (< (+ ?v_62 (* (- 63) ?x2)) (- 20))))))))))))))))
(check-sat)
(exit)
