(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_107 (* 85 ?x2)) (?v_16 (* 51 ?x1)) (?v_0 (* 37 ?x2)) (?v_128 (* 18 ?x3)) (?v_104 (* 93 ?x2)) (?v_139 (* 99 ?x3)) (?v_133 (* 90 ?x1)) (?v_56 (* 89 ?x3)) (?v_46 (* 88 ?x1)) (?v_206 (* 50 ?x1)) (?v_291 (* 74 ?x3)) (?v_216 (* 21 ?x3)) (?v_13 (* 27 ?x1)) (?v_26 (* 21 ?x1)) (?v_265 (* 95 ?x3)) (?v_27 (* 96 ?x2)) (?v_118 (* 51 ?x3)) (?v_14 (* 3 ?x1)) (?v_24 (* 91 ?x2)) (?v_21 (* 28 ?x3)) (?v_137 (* 11 ?x1)) (?v_8 (* 46 ?x3)) (?v_10 (* 96 ?x3)) (?v_15 (* 1 ?x2)) (?v_20 (* 22 ?x1)) (?v_222 (* 81 ?x2)) (?v_23 (* 69 ?x2)) (?v_22 (* 4 ?x3)) (?v_76 (* 1 ?x3)) (?v_211 (* 34 ?x3)) (?v_167 (* 34 ?x2)) (?v_19 (* 23 ?x1)) (?v_42 (* 24 ?x3)) (?v_79 (* 65 ?x1)) (?v_316 (* 18 ?x2)) (?v_196 (* 6 ?x1)) (?v_84 (* 58 ?x1)) (?v_173 (* 68 ?x3)) (?v_212 (* 19 ?x2)) (?v_220 (* 60 ?x2)) (?v_238 (* 62 ?x3)) (?v_83 (* 80 ?x3)) (?v_72 (* 61 ?x1)) (?v_199 (* 77 ?x3)) (?v_33 (* 73 ?x1)) (?v_129 (* 77 ?x2)) (?v_162 (* 48 ?x3)) (?v_64 (* 33 ?x3)) (?v_217 (* 17 ?x3)) (?v_30 (* 63 ?x1)) (?v_85 (* 29 ?x2)) (?v_319 (* 9 ?x2)) (?v_51 (* 71 ?x2)) (?v_100 (* 88 ?x2)) (?v_58 (* 37 ?x3)) (?v_134 (* 5 ?x3)) (?v_53 (* 18 ?x1)) (?v_81 (* 77 ?x1)) (?v_125 (* 76 ?x1)) (?v_78 (* 75 ?x3)) (?v_224 (* 90 ?x2)) (?v_198 (* 37 ?x1)) (?v_145 (* 27 ?x3)) (?v_67 (* 32 ?x1)) (?v_323 (* 43 ?x3)) (?v_228 (* 53 ?x2)) (?v_241 (* 97 ?x1)) (?v_95 (* 68 ?x1)) (?v_50 (* 64 ?x2)) (?v_269 (* 2 ?x1)) (?v_115 (* 73 ?x3)) (?v_126 (* 95 ?x2)) (?v_82 (* 95 ?x1)) (?v_190 (* 14 ?x2)) (?v_68 (* 23 ?x2)) (?v_52 (* 94 ?x3)) (?v_98 (* 13 ?x1)) (?v_230 (* 13 ?x2)) (?v_88 (* 65 ?x3)) (?v_65 (* 28 ?x1)) (?v_227 (* 8 ?x2)) (?v_143 (* 67 ?x1)) (?v_97 (* 86 ?x2)) (?v_73 (* 38 ?x1)) (?v_66 (* 3 ?x3)) (?v_89 (* 26 ?x3)) (?v_158 (* 50 ?x3)) (?v_264 (* 16 ?x3)) (?v_272 (* 73 ?x2)) (?v_243 (* 99 ?x2)) (?v_147 (* 80 ?x1)) (?v_207 (* 74 ?x2)) (?v_156 (* 33 ?x2)) (?v_163 (* 11 ?x2)) (?v_213 (* 16 ?x2)) (?v_175 (* 44 ?x2)) (?v_294 (* 43 ?x2)) (?v_149 (* 12 ?x2)) (?v_295 (* 71 ?x3)) (?v_77 (* 9 ?x1)) (?v_209 (* 67 ?x2)) (?v_283 (* 65 ?x2)) (?v_184 (* 27 ?x2)) (?v_231 (* 96 ?x1)) (?v_168 (* 58 ?x2)) (?v_130 (* 82 ?x2)) (?v_93 (* 47 ?x3)) (?v_144 (* 83 ?x2)) (?v_136 (* 5 ?x1)) (?v_165 (* 94 ?x1)) (?v_314 (* 12 ?x1)) (?v_106 (* 7 ?x1)) (?v_229 (* 78 ?x1)) (?v_237 (* 94 ?x2)) (?v_121 (* 62 ?x2)) (?v_159 (* 91 ?x1)) (?v_249 (* 92 ?x2)) (?v_170 (* 5 ?x2)) (?v_306 (* 19 ?x3)) (?v_177 (* 85 ?x1)) (?v_148 (* 83 ?x3)) (?v_174 (* 57 ?x2)) (?v_244 (* 69 ?x3)) (?v_322 (* 4 ?x1)) (?v_278 (* 41 ?x2)) (?v_194 (* 14 ?x3)) (?v_252 (* 76 ?x3)) (?v_141 (* 62 ?x1)) (?v_250 (* 84 ?x1)) (?v_151 (* 80 ?x2)) (?v_176 (* 10 ?x3)) (?v_157 (* 47 ?x1)) (?v_202 (* 63 ?x2)) (?v_297 (* 79 ?x2)) (?v_312 (* 6 ?x2)) (?v_282 (* 34 ?x1)) (?v_205 (* 15 ?x3)) (?v_290 (* 82 ?x3)) (?v_271 (* 67 ?x3)) (?v_317 (* 79 ?x3)) (?v_219 (* 41 ?x1)) (?v_260 (* 45 ?x2)) (?v_309 (* 16 ?x1)) (?v_304 (* 88 ?x3)) (?v_258 (* 44 ?x3)) (?v_210 (* 57 ?x3)) (?v_225 (* 78 ?x2)) (?v_326 (* 30 ?x3)) (?v_221 (* 60 ?x1)) (?v_292 (* 66 ?x3)) (?v_274 (* 61 ?x2)) (?v_247 (* 70 ?x1)) (?v_325 (* 66 ?x1)) (?v_287 (* 86 ?x3)) (?v_284 (* 55 ?x2)) (?v_277 (* 100 ?x1)) (?v_273 (* 63 ?x3)) (?v_305 (* 52 ?x3)) (?v_101 (* (- 38) ?x2)) (?v_39 (* (- 12) ?x2)) (?v_122 (* (- 25) ?x1)) (?v_69 (* (- 45) ?x3)) (?v_34 (* (- 10) ?x2)) (?v_48 (* (- 97) ?x3)) (?v_1 (* (- 44) ?x1)) (?v_2 (* (- 3) ?x2)) (?v_60 (* (- 26) ?x2)) (?v_123 (* (- 35) ?x3)) (?v_35 (* (- 42) ?x1)) (?v_40 (* (- 14) ?x2)) (?v_18 (* (- 31) ?x3)) (?v_3 (* (- 24) ?x2)) (?v_70 (* (- 1) ?x3)) (?v_197 (* (- 39) ?x1)) (?v_4 (* (- 63) ?x2)) (?v_94 (* (- 33) ?x3)) (?v_5 (* (- 47) ?x3)) (?v_41 (* (- 63) ?x1)) (?v_182 (* (- 20) ?x2)) (?v_300 (* (- 72) ?x3)) (?v_102 (* (- 61) ?x2)) (?v_187 (* (- 7) ?x3)) (?v_7 (* (- 100) ?x2)) (?v_6 (* (- 3) ?x3)) (?v_9 (* (- 2) ?x1)) (?v_31 (* (- 77) ?x1)) (?v_119 (* (- 39) ?x2)) (?v_25 (* (- 19) ?x1)) (?v_38 (* (- 14) ?x3)) (?v_235 (* (- 27) ?x2)) (?v_90 (* (- 88) ?x1)) (?v_62 (* (- 1) ?x1)) (?v_111 (* (- 28) ?x1)) (?v_109 (* (- 6) ?x3)) (?v_160 (* (- 31) ?x2)) (?v_29 (* (- 65) ?x3)) (?v_61 (* (- 59) ?x2)) (?v_11 (* (- 9) ?x2))) (let ((?v_253 (+ ?v_19 ?v_11)) (?v_281 (* (- 78) ?x1)) (?v_108 (* (- 17) ?x2)) (?v_71 (* (- 88) ?x2)) (?v_28 (* (- 50) ?x3)) (?v_181 (* (- 7) ?x1)) (?v_120 (* (- 60) ?x3)) (?v_296 (* (- 41) ?x1)) (?v_12 (* (- 55) ?x1)) (?v_286 (* (- 6) ?x2)) (?v_189 (* (- 51) ?x3)) (?v_86 (* (- 53) ?x1)) (?v_17 (* (- 81) ?x3)) (?v_266 (* (- 64) ?x2)) (?v_172 (* (- 43) ?x1)) (?v_80 (* (- 23) ?x2)) (?v_43 (* (- 82) ?x1)) (?v_226 (* (- 74) ?x3)) (?v_201 (>= (* (- 62) ?x1) 1)) (?v_315 (* (- 15) ?x1)) (?v_299 (* (- 94) ?x2)) (?v_117 (* (- 77) ?x2)) (?v_32 (* (- 38) ?x3)) (?v_232 (* (- 75) ?x1)) (?v_146 (* (- 37) ?x1)) (?v_138 (* (- 27) ?x3)) (?v_45 (* (- 47) ?x1)) (?v_132 (* (- 82) ?x3)) (?v_54 (* (- 79) ?x1)) (?v_262 (* (- 32) ?x1)) (?v_37 (* (- 25) ?x3)) (?v_178 (* (- 68) ?x1)) (?v_36 (* (- 73) ?x3)) (?v_195 (* (- 65) ?x1)) (?v_87 (* (- 92) ?x2)) (?v_124 (* (- 84) ?x1)) (?v_164 (* (- 42) ?x3)) (?v_47 (* (- 97) ?x1)) (?v_91 (* (- 43) ?x3)) (?v_44 (* (- 3) ?x1)) (?v_49 (* (- 99) ?x2)) (?v_99 (* (- 29) ?x1)) (?v_169 (* (- 21) ?x1)) (?v_59 (* (- 48) ?x3)) (?v_256 (* (- 21) ?x3)) (?v_185 (* (- 59) ?x1)) (?v_57 (* (- 50) ?x2)) (?v_293 (* (- 46) ?x2)) (?v_116 (* (- 11) ?x1)) (?v_110 (* (- 57) ?x3)) (?v_152 (* (- 4) ?x3)) (?v_192 (* (- 15) ?x3)) (?v_55 (* (- 27) ?x1)) (?v_63 (* (- 97) ?x2)) (?v_276 (* (- 9) ?x3)) (?v_171 (* (- 28) ?x3)) (?v_242 (* (- 60) ?x1)) (?v_92 (* (- 98) ?x2)) (?v_140 (* (- 61) ?x3)) (?v_112 (* (- 41) ?x2)) (?v_131 (* (- 31) ?x1)) (?v_114 (* (- 99) ?x1)) (?v_261 (* (- 56) ?x3)) (?v_96 (* (- 65) ?x2)) (?v_74 (* (- 34) ?x3)) (?v_324 (* (- 19) ?x3)) (?v_105 (* (- 53) ?x2)) (?v_214 (* (- 84) ?x3)) (?v_75 (* (- 72) ?x1)) (?v_180 (* (- 100) ?x3)) (?v_142 (* (- 16) ?x3)) (?v_155 (* (- 69) ?x3)) (?v_223 (* (- 51) ?x1)) (?v_275 (* (- 23) ?x3)) (?v_103 (* (- 41) ?x3)) (?v_320 (* (- 13) ?x3)) (?v_191 (* (- 73) ?x2)) (?v_127 (* (- 66) ?x3)) (?v_280 (* (- 98) ?x1)) (?v_113 (* (- 38) ?x1)) (?v_154 (* (- 18) ?x1)) (?v_183 (* (- 60) ?x2)) (?v_321 (* (- 85) ?x2)) (?v_135 (* (- 35) ?x1)) (?v_270 (* (- 42) ?x2)) (?v_307 (* (- 86) ?x2)) (?v_240 (* (- 49) ?x1)) (?v_208 (* (- 54) ?x2)) (?v_179 (* (- 13) ?x2)) (?v_248 (* (- 12) ?x3)) (?v_188 (* (- 40) ?x1)) (?v_166 (* (- 44) ?x2)) (?v_233 (* (- 7) ?x2)) (?v_204 (* (- 68) ?x3)) (?v_257 (* (- 72) ?x2)) (?v_161 (* (- 30) ?x2)) (?v_285 (* (- 45) ?x1)) (?v_150 (* (- 80) ?x2)) (?v_153 (* (- 8) ?x1)) (?v_301 (* (- 83) ?x1)) (?v_218 (* (- 67) ?x3)) (?v_193 (* (- 83) ?x3)) (?v_308 (* (- 40) ?x3)) (?v_236 (* (- 100) ?x1)) (?v_239 (* (- 91) ?x1)) (?v_259 (* (- 36) ?x1)) (?v_186 (* (- 50) ?x1)) (?v_255 (* (- 49) ?x3)) (?v_203 (* (- 70) ?x1)) (?v_215 (* (- 51) ?x2)) (?v_302 (* (- 21) ?x2)) (?v_246 (* (- 91) ?x3)) (?v_268 (* (- 79) ?x2)) (?v_245 (* (- 92) ?x1)) (?v_251 (* (- 1) ?x2)) (?v_200 (* (- 70) ?x2)) (?v_267 (* (- 52) ?x1)) (?v_234 (* (- 33) ?x1)) (?v_254 (* (- 80) ?x1)) (?v_318 (* (- 2) ?x3)) (?v_263 (* (- 69) ?x2)) (?v_303 (* (- 75) ?x3)) (?v_288 (* (- 79) ?x3)) (?v_279 (* (- 76) ?x3)) (?v_298 (* (- 20) ?x1)) (?v_311 (* (- 28) ?x2)) (?v_313 (* (- 81) ?x2)) (?v_310 (* (- 74) ?x1)) (?v_289 (* (- 24) ?x1))) (or (and (and (and (and (or (or (and (< ?v_101 79) (and (not (= (* 29 ?x1) 77)) (< (+ (* 43 ?x1) ?v_107) 34))) (< (+ ?v_16 ?v_39) (- 53))) (and (or (= (+ ?v_0 ?v_128) 0) (> (+ (+ ?v_122 ?v_104) ?v_139) 0)) (or (>= (+ (+ ?v_133 ?v_0) ?v_69) (- 56)) (or (>= (+ ?v_34 ?v_56) 0) (= (+ ?v_46 (* 12 ?x3)) 0))))) (or (or (and (and (= (+ ?v_206 ?v_48) (- 54)) (= (+ (+ ?v_1 ?v_2) ?v_291) 30)) (<= (+ ?v_60 ?v_216) (- 94))) (and (< (+ ?v_13 ?v_123) 0) (not (= (+ (+ ?v_35 ?v_40) (* 97 ?x3)) 90)))) (or (or (and (> (+ ?v_26 (* 39 ?x3)) 62) (< (+ ?v_1 ?v_18) 4)) (= (+ (* (- 36) ?x2) ?v_265) (- 28))) (and (or (>= (+ ?v_3 ?v_70) 34) (< (+ (+ ?v_197 ?v_4) ?v_94) (- 2))) (or (< (+ ?v_27 (* (- 92) ?x3)) (- 83)) (= (+ (+ (* 25 ?x1) ?v_2) ?v_5) 78)))))) (or (or (or (and (or (= (+ (+ ?v_41 (* 39 ?x2)) ?v_118) 12) (not (= (+ (+ ?v_14 ?v_182) ?v_300) (- 64)))) (and (not (= (+ ?v_24 ?v_21) 0)) (> (+ (+ (* (- 34) ?x1) ?v_102) ?v_187) (- 1)))) (and (and (or (< (+ (+ ?v_137 ?v_7) ?v_6) 0) (> (+ (+ ?v_9 (* (- 19) ?x2)) ?v_8) 0)) (or (= (+ ?v_31 (* (- 36) ?x3)) 0) (<= (+ (* 92 ?x1) ?v_3) (- 70)))) (or (and (> (* 85 ?x3) (- 27)) (<= ?v_119 (- 94))) (and (not (= (+ ?v_25 ?v_10) 39)) (> (+ ?v_15 ?v_38) 0))))) (and (or (and (< ?v_235 25) (or (<= (+ (+ ?v_20 ?v_4) (* (- 86) ?x3)) 20) (not (= (+ (+ ?v_90 ?v_222) ?v_5) 39)))) (and (or (< (+ (* (- 89) ?x1) ?v_23) 0) (<= (+ (* (- 8) ?x2) ?v_22) 98)) (and (not (= ?v_76 (- 51))) (> (+ ?v_62 ?v_211) 9)))) (and (or (not (= (+ ?v_111 ?v_109) (- 91))) (and (>= (+ ?v_160 ?v_29) 58) (not (= ?v_167 93)))) (and (and (= (+ ?v_61 ?v_6) (- 61)) (>= ?v_253 43)) (not (= (+ (* (- 94) ?x1) (* (- 90) ?x3)) (- 69))))))) (or (or (or (<= ?v_281 (- 49)) (>= (+ ?v_108 ?v_42) (- 35))) (and (and (< (+ (+ ?v_79 ?v_71) ?v_28) 22) (>= (+ (+ ?v_181 ?v_316) ?v_120) 0)) (and (>= ?v_196 (- 77)) (= (+ (+ ?v_296 ?v_7) ?v_8) (- 81))))) (and (or (not (= ?v_12 51)) (and (<= (+ (+ ?v_84 ?v_286) ?v_173) 0) (< ?v_189 (- 71)))) (or (> (+ ?v_9 ?v_10) 0) (= ?v_212 0)))))) (or (and (or (or (or (not (= (+ ?v_220 ?v_238) 20)) (<= (+ (+ ?v_86 ?v_11) ?v_83) 0)) (or (or (>= (+ (+ ?v_72 (* (- 71) ?x2)) (* 32 ?x3)) (- 41)) (= (+ (+ ?v_12 (* 89 ?x2)) ?v_199) (- 43))) (and (> ?v_17 0) (< (+ (+ ?v_33 ?v_129) ?v_162) 0)))) (and (or (< (+ ?v_13 ?v_4) 94) (or (>= (+ (+ ?v_14 (* (- 11) ?x2)) ?v_64) (- 53)) (< (+ ?v_266 ?v_217) 76))) (= (+ ?v_172 ?v_80) 0))) (and (or (or (and (and (<= ?v_43 5) (not (= ?v_15 (- 72)))) (< ?v_226 0)) (and (and (>= (+ ?v_30 (* (- 29) ?x3)) 79) (<= (+ ?v_85 (* 60 ?x3)) 11)) (or ?v_201 (> (+ (* (- 76) ?x2) (* 54 ?x3)) 0)))) (and (and (= (+ (+ ?v_16 (* 46 ?x2)) (* 87 ?x3)) 84) (<= (+ (+ ?v_315 ?v_319) ?v_17) 0)) (or (<= (+ (+ (* 30 ?x1) ?v_51) ?v_18) 42) (< ?v_299 4)))) (and (or (and (not (= (+ ?v_19 (* 55 ?x3)) (- 1))) (< (+ ?v_20 ?v_21) 0)) (and (> (+ ?v_117 ?v_32) (- 58)) (and (> (+ ?v_232 ?v_22) 0) (< (+ ?v_100 ?v_58) 0)))) (and (or (or (> ?v_23 0) (> (+ (* 93 ?x1) ?v_134) 0)) (or (> (+ (+ ?v_146 ?v_24) (* 81 ?x3)) 93) (not (= (+ (* 1 ?x1) (* (- 35) ?x2)) (- 24))))) (or (and (<= (+ (+ ?v_53 (* (- 74) ?x2)) (* 100 ?x3)) (- 13)) (< ?v_81 (- 65))) (and (> (+ (+ ?v_25 (* (- 52) ?x2)) ?v_138) 0) (< (+ ?v_45 (* 91 ?x3)) 7))))))) (or (and (or (= (+ ?v_26 ?v_132) (- 18)) (>= (+ ?v_125 ?v_78) 0)) (or (>= (+ ?v_54 ?v_27) 61) (>= ?v_262 (- 26)))) (and (and (or (>= (+ (+ ?v_1 ?v_224) ?v_37) 58) (not (= (+ ?v_178 (* 2 ?x2)) (- 93)))) (or (>= (+ (+ (* (- 14) ?x1) (* (- 56) ?x2)) ?v_36) 91) (> (+ (+ ?v_198 (* 50 ?x2)) ?v_28) 0))) (or (and (and (> (+ ?v_195 ?v_145) 74) (= (+ (+ ?v_67 ?v_87) (* (- 78) ?x3)) 0)) (or (>= (+ (+ ?v_124 (* (- 89) ?x2)) ?v_29) (- 68)) (<= (+ ?v_30 ?v_323) 27))) (and (and (>= (+ (+ ?v_31 (* 26 ?x2)) ?v_32) 0) (not (= (+ ?v_33 ?v_34) 11))) (or (< (+ (+ ?v_35 ?v_228) ?v_164) 88) (not (= (+ (+ ?v_47 (* 52 ?x2)) ?v_91) (- 67)))))))))) (or (and (or (and (or (and (>= ?v_36 61) (or (< (+ (+ ?v_44 ?v_49) ?v_37) (- 8)) (= ?v_241 15))) (and (< ?v_99 1) (> (* 71 ?x1) 12))) (or (< (+ (+ ?v_95 ?v_50) ?v_38) (- 47)) (or (or (= (+ ?v_269 (* (- 55) ?x3)) (- 42)) (>= (+ ?v_39 ?v_115) 7)) (and (not (= (+ (+ ?v_169 ?v_40) ?v_59) 0)) (< (+ (+ ?v_41 (* 17 ?x2)) ?v_42) (- 32)))))) (and (and (or (or (= (+ (* 45 ?x1) (* 49 ?x2)) 48) (< (+ (+ ?v_43 ?v_126) ?v_256) 79)) (and (>= (+ (+ ?v_185 ?v_57) (* (- 37) ?x3)) (- 80)) (or (> (+ ?v_82 (* (- 98) ?x3)) 0) (>= (+ ?v_44 ?v_293) (- 38))))) (or (<= (+ ?v_45 ?v_190) 38) (or (and (>= (+ ?v_116 ?v_110) 46) (< (+ (+ (* (- 93) ?x1) ?v_68) ?v_52) 0)) (or (= (+ ?v_98 ?v_230) 0) (not (= (+ (+ ?v_46 (* 66 ?x2)) ?v_88) 48)))))) (and (and (or (or (< (+ ?v_65 (* 7 ?x2)) 0) (< (+ (+ ?v_47 (* 24 ?x2)) ?v_152) 0)) (or (= (+ (+ (* 98 ?x1) ?v_227) ?v_192) 41) (< ?v_143 0))) (and (or (> (+ (+ ?v_55 ?v_63) ?v_48) 0) (<= (+ ?v_49 ?v_276) 50)) (and (not (= (+ ?v_97 ?v_171) 90)) (= (+ ?v_47 ?v_10) (- 28))))) (and (or (> (+ ?v_73 ?v_50) 35) (not (= (+ ?v_3 (* (- 96) ?x3)) (- 55)))) (and (> (+ (+ ?v_242 ?v_51) ?v_52) (- 91)) (= ?v_53 63)))))) (and (or (and (or (and (< (+ ?v_50 ?v_66) 25) (not (= (+ (+ ?v_54 (* 72 ?x2)) ?v_89) 0))) (or (<= (+ (+ ?v_55 ?v_92) ?v_140) (- 78)) (> ?v_158 11))) (and (= ?v_56 0) (> (* 21 ?x2) 66))) (or (and (>= (+ (+ ?v_19 ?v_57) ?v_58) (- 80)) (<= (+ (+ (* 83 ?x1) ?v_112) (* 20 ?x3)) 74)) (or (and (<= (+ ?v_131 ?v_59) 0) (> (+ (+ ?v_114 ?v_60) ?v_261) (- 28))) (and (> (+ ?v_61 ?v_264) 65) (> (* 78 ?x3) (- 97)))))) (and (or (and (<= (+ ?v_19 ?v_272) (- 19)) (= (+ (+ ?v_62 ?v_63) ?v_64) 0)) (not (= (+ (* 49 ?x1) (* 42 ?x3)) 0))) (and (and (or (= (+ ?v_65 ?v_243) (- 66)) (not (= (+ (+ (* (- 67) ?x1) (* 32 ?x2)) ?v_58) 0))) (or (not (= (+ (+ ?v_147 ?v_96) ?v_66) 0)) (< (+ (+ ?v_67 ?v_68) ?v_69) 34))) (> (+ ?v_207 ?v_70) (- 73)))))) (and (and (or (and (and (and (> (+ ?v_156 ?v_74) (- 28)) (and (not (= (+ ?v_41 ?v_71) (- 18))) (not (= ?v_72 45)))) (and (<= (+ (+ (* (- 30) ?x1) ?v_163) (* 58 ?x3)) 0) (<= (+ ?v_24 ?v_324) 12))) (and (or (or (= ?v_73 (- 4)) (> (+ (+ ?v_72 ?v_213) ?v_74) 0)) (and (< (+ (+ (* 40 ?x1) ?v_105) ?v_214) 0) (= (+ (+ ?v_75 ?v_175) ?v_180) 0))) (or (and (= (+ (+ ?v_9 ?v_294) ?v_56) (- 22)) (not (= (+ (+ (* 52 ?x1) ?v_149) (* 64 ?x3)) 78))) (and (<= (+ (+ ?v_75 (* 51 ?x2)) ?v_295) (- 40)) (> (+ (+ ?v_1 ?v_51) ?v_76) 96))))) (or (or (or (or (not (= (+ ?v_77 ?v_209) (- 63))) (>= (+ (+ ?v_77 (* (- 29) ?x2)) ?v_78) 37)) (<= (+ (+ ?v_79 ?v_80) (* (- 80) ?x3)) (- 42))) (>= (+ ?v_81 ?v_142) 1)) (or (and (>= ?v_283 0) (> (+ ?v_82 ?v_83) 74)) (and (or (<= (+ (+ ?v_84 ?v_85) ?v_155) 20) (> ?v_223 (- 18))) (and (not (= (+ (+ ?v_86 ?v_87) ?v_5) 42)) (= (+ (+ (* 17 ?x1) ?v_184) ?v_275) 32)))))) (and (and (and (or (or (= (+ ?v_231 ?v_88) 0) (= (+ ?v_168 ?v_89) 35)) (or (>= (+ (+ ?v_90 ?v_130) ?v_93) 52) (> (+ (+ ?v_31 ?v_144) ?v_91) 0))) (or (< (* 24 ?x1) 13) (> (+ (+ ?v_136 ?v_92) ?v_93) (- 91)))) (and (> (+ (+ ?v_165 (* 3 ?x2)) ?v_94) 0) (and (> (+ (* 86 ?x1) ?v_11) (- 7)) (< (+ ?v_314 (* (- 87) ?x2)) (- 44))))) (or (and (and (>= (+ (+ ?v_95 ?v_96) ?v_17) (- 98)) (= (+ (+ ?v_106 ?v_97) ?v_103) (- 99))) (and (= (+ (+ ?v_229 ?v_237) ?v_320) (- 36)) (not (= (+ ?v_98 ?v_191) 0)))) (or (or (= (+ (+ ?v_99 ?v_121) ?v_127) 87) (>= (+ ?v_13 ?v_100) (- 56))) (< ?v_101 55))))) (or (or (and (or (and (and (not (= (+ ?v_159 (* (- 67) ?x2)) 72)) (> (+ (+ ?v_280 ?v_102) ?v_103) 63)) (or (not (= (+ ?v_31 ?v_249) 12)) (> ?v_104 (- 57)))) (and (and (not (= (+ ?v_105 (* (- 87) ?x3)) (- 15))) (= (+ ?v_106 (* 20 ?x2)) 80)) (and (= (+ (+ ?v_113 ?v_170) (* 84 ?x3)) (- 46)) (<= (+ (+ ?v_154 ?v_107) ?v_306) 32)))) (or (or (and (< (+ (+ ?v_177 ?v_24) ?v_148) 73) (> (+ ?v_13 (* (- 95) ?x3)) 24)) (or (not (= (+ ?v_174 ?v_93) 69)) (= (+ ?v_108 ?v_109) 77))) (and (< (+ (* 87 ?x1) ?v_183) 52) (and (>= ?v_321 28) (>= ?v_110 82))))) (and (and (or (> (+ ?v_135 ?v_270) 47) (< ?v_97 (- 89))) (or (or (= (+ ?v_111 ?v_112) 0) (not (= (+ (+ ?v_113 ?v_307) ?v_244) (- 12)))) (and (< (+ (+ ?v_114 ?v_102) ?v_115) (- 26)) (< (+ (+ ?v_116 ?v_117) ?v_118) 0)))) (and (> (+ (+ ?v_240 ?v_119) (* (- 77) ?x3)) 66) (< (+ ?v_30 ?v_120) 0)))) (or (or (and (and (or (>= ?v_121 10) (<= (+ (+ ?v_122 ?v_208) ?v_93) (- 61))) (and (>= (+ ?v_179 ?v_123) 67) (> (+ (+ ?v_99 ?v_63) ?v_248) (- 30)))) (and (and (< (+ (+ ?v_124 (* (- 96) ?x2)) ?v_91) 82) (not (= (+ (+ ?v_125 ?v_126) ?v_127) (- 15)))) (>= (+ (+ ?v_322 (* (- 43) ?x2)) ?v_128) 0))) (and (and (or (> (+ ?v_129 (* 22 ?x3)) 0) (<= ?v_3 (- 10))) (and (< (+ (* 35 ?x1) ?v_278) 0) (<= (+ (* 72 ?x1) (* 53 ?x3)) (- 100)))) (and (or (> (+ (+ ?v_106 ?v_61) ?v_194) 69) (< (+ (+ ?v_188 ?v_130) ?v_252) 0)) (and (not (= (+ (+ ?v_131 ?v_63) ?v_132) 81)) (> (+ (+ ?v_133 ?v_7) ?v_134) (- 84)))))) (and (or (= ?v_135 77) (or (>= ?v_136 4) (> ?v_166 0))) (and (and (or (not (= (+ (+ ?v_141 ?v_233) ?v_204) 66)) (= (+ ?v_137 ?v_71) (- 4))) (and (> (+ (+ ?v_137 ?v_257) (* (- 93) ?x3)) 0) (<= (+ (+ ?v_250 (* (- 78) ?x2)) ?v_138) 2))) (and (or (not (= (+ (+ ?v_106 ?v_161) ?v_139) 21)) (< (+ (+ ?v_114 (* (- 68) ?x2)) ?v_140) (- 92))) (or (<= (* 29 ?x3) 74) (not (= (+ (+ ?v_141 ?v_101) ?v_142) 48))))))))))) (and (or (or (or (and (or (or (and (not (= (+ (+ ?v_143 ?v_144) (* (- 71) ?x3)) 0)) (< (+ (+ ?v_285 ?v_151) ?v_145) (- 77))) (or (= ?v_146 84) (< (+ (+ ?v_147 ?v_150) ?v_148) (- 44)))) (and (and (or (> (+ (+ ?v_153 ?v_149) ?v_176) 33) (<= (+ ?v_301 (* (- 58) ?x2)) 86)) (and (<= (+ ?v_157 ?v_150) (- 46)) (>= ?v_202 58))) (or (<= (+ (+ ?v_35 (* (- 22) ?x2)) ?v_115) (- 36)) (> (+ (+ ?v_111 ?v_297) ?v_66) 8)))) (and (and (or (and (> (+ ?v_151 ?v_218) 0) (<= (+ ?v_50 ?v_152) (- 88))) (and (< (+ ?v_153 ?v_48) (- 71)) (>= (* 48 ?x2) (- 2)))) (and (> (+ ?v_98 (* 84 ?x2)) (- 79)) (= (+ (+ ?v_154 (* 25 ?x2)) ?v_155) 84))) (and (and (< ?v_156 7) (and (> (+ ?v_157 ?v_158) 90) (= (+ ?v_81 (* 90 ?x3)) 0))) (or (or (<= (+ (+ ?v_82 ?v_312) ?v_91) (- 100)) (> (+ (+ ?v_159 ?v_0) ?v_118) 0)) (or (>= (+ ?v_160 ?v_193) 34) (= (+ ?v_282 ?v_121) 0)))))) (or (and (and (< (+ (+ ?v_43 ?v_161) ?v_162) 40) (< (+ ?v_163 ?v_139) 0)) (and (> (+ (+ (* (- 5) ?x1) ?v_34) ?v_164) 57) (or (< ?v_125 (- 41)) (< (+ (+ ?v_165 (* 70 ?x2)) ?v_308) (- 53))))) (and (or (and (or (>= (+ (+ ?v_236 ?v_166) ?v_109) 16) (>= (+ (* 19 ?x1) (* (- 52) ?x3)) 70)) (or (not (= (+ (+ ?v_239 ?v_167) (* (- 39) ?x3)) (- 87))) (< (+ (+ ?v_136 ?v_168) ?v_205) (- 38)))) (or (and (> (+ (+ ?v_259 ?v_3) ?v_42) 18) (<= ?v_24 44)) (and (>= (+ (+ ?v_124 ?v_27) ?v_148) 79) (> (+ ?v_169 ?v_170) 0)))) (and (and (and (> ?v_123 0) (not (= (+ (+ ?v_82 ?v_68) ?v_89) (- 3)))) (> (+ (+ ?v_146 ?v_150) ?v_290) (- 37))) (or (and (<= ?v_171 (- 64)) (= (+ ?v_172 ?v_74) 29)) (and (= ?v_271 0) (<= ?v_173 (- 40)))))))) (and (or (and (and (or (or (not (= (+ ?v_186 ?v_255) (- 6))) (= (+ ?v_174 ?v_127) 26)) (not (= (+ (+ ?v_203 ?v_215) ?v_139) (- 73)))) (or (< (+ (* (- 61) ?x1) ?v_317) (- 74)) (not (= (+ ?v_54 ?v_175) 26)))) (or (and (> (+ ?v_45 (* (- 45) ?x2)) (- 19)) (= (+ (+ ?v_219 ?v_260) ?v_42) (- 81))) (and (or (< (+ ?v_156 ?v_176) 40) (< (+ (+ ?v_9 ?v_166) (* 9 ?x3)) 0)) (and (> (+ ?v_177 ?v_32) 75) (<= (+ (+ ?v_178 ?v_179) ?v_180) (- 10)))))) (or (and (and (or (< (+ ?v_181 ?v_182) 94) (not (= (+ ?v_183 ?v_59) (- 66)))) (and (>= (+ ?v_309 ?v_184) 46) (>= (* 15 ?x1) 1))) (and (and (> (+ ?v_137 ?v_151) 0) (not (= (+ (+ ?v_185 ?v_130) (* (- 11) ?x3)) 30))) (and (> (+ ?v_131 ?v_149) 90) (= (+ (+ (* (- 66) ?x1) (* (- 5) ?x2)) ?v_304) 0)))) (and (and (< (+ ?v_131 ?v_258) (- 86)) (>= (+ ?v_141 ?v_302) (- 74))) (or (>= (+ ?v_165 ?v_112) (- 83)) (<= (+ (+ (* (- 96) ?x1) ?v_57) ?v_246) 42))))) (or (or (or (and (<= (+ (* (- 47) ?x2) ?v_103) 0) (= (+ (+ ?v_186 ?v_268) ?v_187) (- 45))) (or (not (= (+ (+ ?v_188 ?v_179) ?v_189) 0)) (not (= (+ ?v_190 (* (- 54) ?x3)) 0)))) (or (or (<= (+ (+ ?v_245 ?v_191) ?v_74) 0) (<= (+ (* 47 ?x2) ?v_192) 0)) (or (<= (+ ?v_251 ?v_22) (- 69)) (>= (+ ?v_146 (* 93 ?x3)) (- 86))))) (or (and (>= (+ ?v_183 (* 45 ?x3)) (- 32)) (not (= (+ ?v_129 ?v_193) (- 18)))) (and (or (< (* (- 6) ?x1) 16) (not (= (+ ?v_98 ?v_200) 0))) (and (< (+ (* (- 87) ?x1) ?v_194) (- 92)) (< (+ ?v_195 ?v_7) 64))))))) (or (and (and (or (or (not (= (+ ?v_196 ?v_120) 57)) (and (= (+ ?v_197 ?v_5) 75) (< (* 79 ?x1) 70))) (or (and (not (= (+ (+ ?v_198 ?v_130) ?v_17) 11)) (<= (+ (+ ?v_47 ?v_51) ?v_199) (- 63))) (and (<= (+ ?v_200 ?v_10) 0) ?v_201))) (or (and (not (= (+ (+ (* (- 48) ?x1) ?v_60) ?v_48) (- 45))) (or (= ?v_202 48) (> (+ ?v_203 ?v_139) (- 34)))) (or (and (= (+ ?v_77 ?v_204) (- 90)) (= (+ (+ (* 89 ?x1) (* 38 ?x2)) ?v_205) 96)) (and (and (= (+ (* 14 ?x1) (* 100 ?x2)) (- 94)) (< (+ (+ ?v_206 ?v_207) (* (- 59) ?x3)) 19)) (and (not (= (+ (* 99 ?x1) ?v_69) (- 42))) (<= (+ (+ (* 46 ?x1) ?v_208) ?v_210) (- 100))))))) (or (and (or (or (< ?v_99 (- 8)) (and (< (+ ?v_209 (* (- 18) ?x3)) 0) (< (+ (* (- 57) ?x1) ?v_210) 0))) (and (and (< (+ ?v_225 ?v_211) 67) (not (= (+ (+ ?v_16 ?v_212) (* (- 88) ?x3)) (- 90)))) (and (not (= (+ ?v_267 ?v_213) (- 21))) (< (+ (+ ?v_234 ?v_80) ?v_214) 0)))) (and (= ?v_74 (- 84)) (or (not (= (+ (+ ?v_54 ?v_0) ?v_78) 11)) (and (not (= (+ ?v_105 ?v_326) 15)) (< (+ ?v_254 ?v_93) (- 68)))))) (and (or (and (< (+ (+ ?v_221 ?v_39) ?v_5) 34) (<= (+ ?v_215 ?v_74) 0)) (< (+ (* (- 66) ?x2) ?v_318) 0)) (or (and (or (not (= (+ (* (- 26) ?x1) ?v_292) 75)) (= (+ (* (- 33) ?x2) ?v_216) 0)) (< (+ (* (- 12) ?x1) ?v_217) (- 77))) (and (< (+ (+ ?v_31 (* 35 ?x2)) ?v_218) (- 65)) (or (<= (+ (+ ?v_219 (* (- 62) ?x2)) ?v_205) (- 76)) (<= (+ (+ (* (- 9) ?x1) ?v_274) ?v_145) 38))))))) (and (and (or (and (> (+ (+ ?v_247 ?v_220) ?v_123) 0) (or (<= (+ ?v_221 (* (- 53) ?x3)) 0) (= (+ ?v_325 ?v_222) (- 93)))) (or (not (= (+ (+ (* (- 85) ?x1) ?v_179) ?v_287) 0)) (< (+ (+ ?v_223 ?v_224) (* 2 ?x3)) 0))) (or (and (and (> (+ (+ ?v_75 ?v_225) ?v_226) (- 7)) (= (+ (+ ?v_25 ?v_227) ?v_32) (- 78))) (or (>= (+ (+ ?v_19 ?v_228) ?v_189) 0) (<= (+ (+ ?v_229 ?v_230) ?v_69) 0))) (or (and (<= (+ ?v_231 ?v_180) 0) (>= (+ ?v_86 ?v_68) 0)) (or (= ?v_29 3) (= ?v_232 (- 48)))))) (and (and (and (and (not (= ?v_49 0)) (or (< (+ ?v_233 (* 11 ?x3)) 0) (<= (+ ?v_234 ?v_263) (- 94)))) (or (not (= (+ ?v_235 (* 41 ?x3)) 0)) (> (+ (+ ?v_236 ?v_237) ?v_238) 71))) (and (and (> (+ ?v_239 ?v_102) 44) (= (+ ?v_240 ?v_36) 48)) (or (< (+ (+ ?v_241 ?v_207) (* (- 26) ?x3)) (- 41)) (and (>= ?v_38 22) (= (+ (+ (* 48 ?x1) ?v_117) ?v_303) (- 91)))))) (and (and (or (and (< (+ ?v_242 ?v_150) (- 17)) (> (+ ?v_243 ?v_244) (- 60))) (or (> (+ ?v_245 ?v_284) (- 93)) (< (+ (+ ?v_77 (* 56 ?x2)) ?v_246) 10))) (or (<= (+ (+ ?v_35 ?v_68) ?v_288) (- 24)) (or (>= (+ (+ ?v_247 (* (- 25) ?x2)) ?v_248) 97) (<= (+ (* 33 ?x1) ?v_249) (- 94))))) (and (not (= (+ ?v_79 (* (- 84) ?x2)) 27)) (<= (+ (+ ?v_250 ?v_251) ?v_252) 89))))))) (and (and (or (and (or (< ?v_52 (- 32)) (or (not (= (+ ?v_277 ?v_279) 99)) (> (+ ?v_253 (* 38 ?x3)) 0))) (or (<= ?v_225 (- 33)) (> (* (- 90) ?x1) 47))) (or (or (not (= ?v_23 5)) (or (= (+ (+ ?v_254 ?v_87) ?v_118) (- 19)) (<= (+ (+ ?v_79 ?v_183) ?v_255) (- 70)))) (and (or (> (+ (+ ?v_73 ?v_175) ?v_187) 0) (<= ?v_256 (- 82))) (or (<= (+ (+ ?v_298 ?v_257) ?v_258) (- 97)) (= (+ (+ ?v_259 ?v_260) ?v_261) 0))))) (and (and (and (<= (+ (+ (* (- 54) ?x1) (* (- 32) ?x2)) ?v_273) 51) (or (< ?v_20 0) (not (= (+ (+ ?v_262 ?v_263) ?v_264) (- 87))))) (or (and (<= (+ (+ ?v_81 ?v_80) ?v_256) 77) (and (>= ?v_40 (- 11)) (> (* (- 37) ?x2) 59))) (and (or (>= (+ (+ ?v_9 ?v_233) ?v_265) 46) (> (+ ?v_234 ?v_150) (- 73))) (or (< (+ ?v_170 ?v_42) (- 68)) (<= (+ (+ ?v_86 ?v_71) ?v_164) 0))))) (or (or (and (or (< (+ (+ ?v_135 ?v_266) ?v_64) (- 86)) (= (+ ?v_267 ?v_268) (- 60))) (<= (+ (+ ?v_269 ?v_270) ?v_38) 53)) (or (< (+ (+ ?v_41 ?v_311) ?v_18) 1) (> ?v_267 0))) (and (or (or (< ?v_70 79) (> (+ (* 69 ?x1) ?v_217) 38)) (and (<= (+ (+ ?v_67 ?v_313) ?v_271) (- 12)) (>= (+ (+ (* 56 ?x1) ?v_272) ?v_273) (- 20)))) (or (and (>= (+ ?v_274 ?v_275) 0) (< (+ (+ ?v_114 ?v_190) (* 70 ?x3)) 34)) (or (<= (+ (+ ?v_177 (* (- 48) ?x2)) ?v_276) 0) (<= (+ ?v_277 ?v_145) 0))))))) (and (or (or (or (or (and (or (>= (+ ?v_146 ?v_164) 37) (<= (+ (+ ?v_310 ?v_278) ?v_279) 95)) (or (<= ?v_280 (- 28)) (>= (+ ?v_281 ?v_115) (- 20)))) (or (> (+ (+ ?v_282 ?v_283) ?v_42) 11) (or (< (+ (+ ?v_289 ?v_284) ?v_142) 0) (>= (+ ?v_20 ?v_238) (- 23))))) (and (and (and (= (+ (* 8 ?x1) ?v_176) (- 46)) (not (= (+ (+ ?v_285 ?v_119) ?v_110) 21))) (= (+ (+ ?v_90 (* (- 57) ?x2)) ?v_256) 51)) (and (and (not (= (+ ?v_98 ?v_173) (- 54))) (> (+ ?v_286 ?v_287) 66)) (and (> ?v_107 57) (< (+ ?v_215 ?v_288) (- 98)))))) (or (or (or (< ?v_148 0) (> ?v_289 (- 55))) (or (or (> (+ (+ ?v_141 ?v_71) ?v_290) 39) (< (+ (+ ?v_239 ?v_208) ?v_291) 0)) (and (not (= (+ (+ ?v_136 (* (- 55) ?x2)) ?v_305) (- 33))) (<= (+ (+ ?v_242 (* (- 15) ?x2)) ?v_292) (- 55))))) (or (or (and (< (+ (+ ?v_178 ?v_293) ?v_52) 0) (= ?v_294 0)) (>= (+ (+ ?v_157 ?v_184) ?v_295) (- 35))) (or (and (> (+ (+ ?v_296 ?v_297) ?v_22) (- 96)) (< (+ (+ ?v_122 (* 40 ?x2)) ?v_38) (- 20))) (or (= (+ (+ ?v_298 ?v_299) ?v_248) 44) (<= (+ ?v_220 ?v_300) 98)))))) (or (and (and (or (not (= (+ (+ ?v_301 ?v_163) (* (- 58) ?x3)) 50)) (= (+ ?v_302 ?v_303) 51)) (or (or (> (+ (* 36 ?x2) ?v_304) 0) (<= (+ ?v_229 ?v_224) (- 10))) (<= (+ ?v_147 ?v_261) 0))) (and (and (or (> (+ (+ ?v_165 (* (- 83) ?x2)) ?v_42) 0) (= (+ (* 20 ?x1) ?v_80) 0)) (or (<= (+ (+ (* (- 17) ?x1) ?v_80) ?v_305) 59) (>= (+ ?v_104 (* 49 ?x3)) (- 53)))) (and (or (<= (+ (+ ?v_262 (* 98 ?x2)) ?v_306) (- 73)) (< (+ ?v_307 ?v_308) (- 14))) (and (not (= ?v_74 (- 18))) (< (+ (+ ?v_309 (* 28 ?x2)) ?v_148) 61))))) (and (and (< (+ (+ ?v_310 ?v_311) ?v_88) 0) (< (+ (+ ?v_62 ?v_312) ?v_305) 0)) (or (< (+ (+ ?v_221 ?v_129) ?v_308) (- 2)) (< (+ (+ ?v_82 ?v_313) (* (- 85) ?x3)) 0))))) (and (or (or (and (not (= (+ ?v_314 ?v_302) (- 24))) (= (+ (+ ?v_315 ?v_316) ?v_317) 59)) (or (or (<= (+ ?v_95 ?v_318) (- 96)) (not (= (+ (+ ?v_20 ?v_319) (* (- 8) ?x3)) (- 16)))) (or (and (>= (+ (* 15 ?x2) ?v_70) 55) (= ?v_123 0)) (and (<= (+ (+ ?v_125 ?v_286) ?v_287) (- 49)) (not (= (+ (* (- 23) ?x1) ?v_57) 78)))))) (and (and (and (< (+ ?v_289 ?v_320) (- 95)) (= ?v_238 66)) (>= (+ ?v_185 ?v_321) 31)) (or (or (< (+ (+ ?v_322 ?v_202) ?v_38) (- 74)) (>= (+ ?v_299 ?v_187) 0)) (and (> ?v_265 83) (= (+ ?v_55 (* 8 ?x3)) 90))))) (and (or (or (or (>= (+ (* 75 ?x1) ?v_189) 0) (>= ?v_323 76)) (<= ?v_9 11)) (and (= (+ ?v_159 ?v_139) 0) (< (+ (+ ?v_159 ?v_222) ?v_56) (- 32)))) (and (and (or (not (= (+ ?v_251 (* (- 30) ?x3)) 0)) (<= (+ ?v_133 ?v_218) 0)) (<= (+ (+ ?v_116 ?v_102) ?v_324) 29)) (and (or (> (+ (+ ?v_325 (* (- 2) ?x2)) ?v_326) (- 70)) (>= (* 13 ?x3) 0)) (= (+ ?v_206 ?v_11) (- 82))))))))))))))))
(check-sat)
(exit)
