(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_89 (* 46 ?x3)) (?v_7 (* 96 ?x1)) (?v_65 (* 5 ?x2)) (?v_2 (* 66 ?x1)) (?v_0 (* 40 ?x1)) (?v_63 (* 30 ?x3)) (?v_34 (* 17 ?x1)) (?v_121 (* 76 ?x2)) (?v_13 (* 64 ?x2)) (?v_17 (* 13 ?x3)) (?v_1 (* 6 ?x1)) (?v_18 (* 89 ?x1)) (?v_46 (* 40 ?x2)) (?v_8 (* 24 ?x2)) (?v_41 (* 37 ?x3)) (?v_37 (* 72 ?x3)) (?v_27 (* 24 ?x1)) (?v_4 (* 41 ?x3)) (?v_120 (* 57 ?x1)) (?v_26 (* 44 ?x2)) (?v_33 (* 33 ?x1)) (?v_15 (* 87 ?x2)) (?v_110 (* 44 ?x1)) (?v_14 (* 96 ?x3)) (?v_21 (* 4 ?x1)) (?v_96 (* 47 ?x3)) (?v_49 (* 97 ?x3)) (?v_3 (* 67 ?x2)) (?v_20 (* 44 ?x3)) (?v_108 (* 61 ?x2)) (?v_52 (* 69 ?x3)) (?v_119 (* 47 ?x2)) (?v_6 (* 56 ?x2)) (?v_126 (* 36 ?x2)) (?v_47 (* 52 ?x1)) (?v_64 (* 67 ?x1)) (?v_78 (* 43 ?x2)) (?v_54 (* 38 ?x3)) (?v_30 (* 92 ?x2)) (?v_11 (* 3 ?x3)) (?v_74 (* 81 ?x2)) (?v_40 (* 13 ?x2)) (?v_112 (* 99 ?x1)) (?v_77 (* 22 ?x1)) (?v_80 (* 29 ?x1)) (?v_44 (* 2 ?x1)) (?v_53 (* 94 ?x1)) (?v_82 (* 16 ?x2)) (?v_86 (* 39 ?x1)) (?v_103 (* 30 ?x2)) (?v_43 (* 5 ?x3)) (?v_57 (* 19 ?x1)) (?v_105 (* 82 ?x3)) (?v_61 (* 16 ?x1)) (?v_32 (* 38 ?x2)) (?v_94 (* 76 ?x3)) (?v_55 (* 65 ?x1)) (?v_97 (* 48 ?x1)) (?v_51 (* 70 ?x3)) (?v_81 (* 1 ?x2)) (?v_124 (* 46 ?x2)) (?v_73 (* 32 ?x1)) (?v_127 (* 56 ?x3)) (?v_102 (* 25 ?x2)) (?v_75 (* 19 ?x3)) (?v_128 (* 61 ?x3)) (?v_113 (* 50 ?x2)) (?v_91 (* 45 ?x3)) (?v_111 (* 88 ?x1)) (?v_109 (* 65 ?x3)) (?v_104 (* 14 ?x3)) (?v_118 (* 54 ?x3)) (?v_106 (* (- 58) ?x3)) (?v_19 (* (- 11) ?x2)) (?v_48 (* (- 78) ?x3)) (?v_24 (* (- 28) ?x2)) (?v_25 (* (- 5) ?x3)) (?v_28 (* (- 33) ?x1)) (?v_35 (* (- 38) ?x3)) (?v_66 (* (- 5) ?x1)) (?v_84 (* (- 45) ?x1)) (?v_5 (* (- 72) ?x3)) (?v_50 (* (- 10) ?x2)) (?v_10 (* (- 56) ?x2)) (?v_31 (* (- 56) ?x3)) (?v_36 (* (- 97) ?x3)) (?v_70 (* (- 32) ?x1)) (?v_98 (* (- 6) ?x2)) (?v_79 (* (- 67) ?x3)) (?v_92 (* (- 55) ?x3)) (?v_23 (* (- 91) ?x3)) (?v_29 (* (- 76) ?x3)) (?v_69 (* (- 92) ?x1)) (?v_85 (* (- 26) ?x3)) (?v_39 (* (- 20) ?x3)) (?v_9 (* (- 68) ?x1)) (?v_38 (* (- 24) ?x2)) (?v_12 (* (- 100) ?x1)) (?v_62 (* (- 42) ?x3)) (?v_123 (* (- 1) ?x2)) (?v_131 (* (- 28) ?x3)) (?v_16 (* (- 4) ?x2)) (?v_22 (* (- 71) ?x1)) (?v_42 (* (- 47) ?x3)) (?v_83 (* (- 82) ?x3)) (?v_56 (* (- 20) ?x1)) (?v_59 (* (- 46) ?x3)) (?v_45 (* (- 98) ?x2)) (?v_58 (* (- 58) ?x1)) (?v_60 (* (- 99) ?x3)) (?v_115 (* (- 17) ?x2)) (?v_114 (* (- 58) ?x2)) (?v_100 (* (- 76) ?x1)) (?v_125 (* (- 83) ?x1)) (?v_107 (* (- 50) ?x1)) (?v_95 (* (- 57) ?x3)) (?v_130 (* (- 9) ?x1)) (?v_67 (* (- 7) ?x1)) (?v_122 (* (- 22) ?x1)) (?v_72 (* (- 17) ?x3)) (?v_101 (* (- 86) ?x1)) (?v_93 (* (- 63) ?x2)) (?v_68 (* (- 95) ?x1)) (?v_99 (* (- 96) ?x3)) (?v_71 (* (- 15) ?x2)) (?v_90 (* (- 49) ?x1)) (?v_76 (* (- 97) ?x2)) (?v_88 (* (- 46) ?x1)) (?v_129 (* (- 49) ?x2)) (?v_87 (* (- 30) ?x3)) (?v_116 (* (- 60) ?x1)) (?v_117 (* (- 21) ?x2))) (or (and (or (or (and (and (and (and (>= (* (- 70) ?x2) (- 77)) (<= (+ (* 95 ?x2) ?v_89) (- 52))) (and (= (+ (+ ?v_7 ?v_65) ?v_106) (- 85)) (= (+ ?v_19 ?v_48) 65))) (or (or (<= (+ (* (- 98) ?x1) (* 66 ?x2)) 77) (< (+ (+ ?v_2 ?v_24) ?v_25) 0)) (and (> (+ ?v_28 (* (- 14) ?x2)) (- 72)) (< (+ (+ ?v_0 (* 75 ?x2)) ?v_35) 52)))) (or (and (not (= (+ ?v_66 (* 55 ?x2)) (- 34))) (not (= (+ ?v_0 ?v_63) (- 16)))) (and (< ?v_84 67) (>= (+ (+ ?v_34 ?v_121) (* (- 22) ?x3)) (- 95))))) (or (or (or (and (>= (+ ?v_13 ?v_17) (- 80)) (= (+ ?v_1 (* 14 ?x2)) 0)) (and (< (+ (* (- 20) ?x2) ?v_5) (- 44)) (= (+ (+ ?v_18 ?v_46) (* 1 ?x3)) 0))) (and (> (+ (* 64 ?x1) (* (- 76) ?x2)) (- 13)) (< (+ (+ (* 95 ?x1) ?v_8) ?v_41) 94))) (and (or (not (= (+ (+ (* 1 ?x1) ?v_50) (* (- 65) ?x3)) (- 64))) (not (= (+ (+ ?v_1 (* 79 ?x2)) ?v_37) 59))) (or (<= (+ (+ ?v_27 ?v_10) ?v_4) 0) (< (+ (+ ?v_120 ?v_26) (* 84 ?x3)) 37))))) (and (and (= (+ (* (- 44) ?x1) ?v_31) 69) (>= (+ (+ ?v_33 ?v_15) ?v_36) 0)) (and (= (+ (+ ?v_70 ?v_98) ?v_79) 48) (< (+ (* (- 67) ?x2) ?v_92) 70)))) (or (or (or (or (and (or (and (= (+ ?v_2 ?v_23) 0) (<= (+ (+ ?v_110 (* 6 ?x2)) ?v_14) 32)) (or (<= (+ ?v_21 ?v_29) (- 10)) (>= (+ (* (- 66) ?x2) ?v_96) 7))) (and (or (or (> (+ (* (- 65) ?x1) ?v_49) 0) (not (= (+ (+ ?v_69 ?v_3) (* 99 ?x3)) 96))) (<= (+ (+ (* 90 ?x1) ?v_3) ?v_20) (- 6))) (or (and (not (= (+ ?v_108 ?v_52) (- 6))) (= (+ (+ (* (- 67) ?x1) ?v_119) ?v_4) 0)) (and (<= (+ (* (- 17) ?x1) ?v_5) (- 25)) (> (+ (+ ?v_1 ?v_6) ?v_85) (- 30)))))) (or (and (>= (+ (* (- 94) ?x1) ?v_39) 61) (<= (+ (+ ?v_9 ?v_126) (* 24 ?x3)) (- 16))) (or (and (or (> (+ ?v_47 ?v_38) 0) (= (+ (+ ?v_12 (* (- 54) ?x2)) (* 18 ?x3)) 0)) (or (< (+ ?v_6 (* (- 16) ?x3)) 0) (>= (+ (* (- 96) ?x1) (* (- 86) ?x3)) (- 98)))) (or (and (> (+ (+ ?v_7 ?v_8) ?v_62) (- 24)) (> (+ (+ ?v_64 ?v_78) (* (- 33) ?x3)) (- 9))) (not (= (+ (* (- 12) ?x1) ?v_123) 0)))))) (and (and (and (and (<= ?v_131 0) (and (<= (+ (+ (* 37 ?x1) ?v_16) ?v_54) (- 43)) (>= (+ (+ (* 70 ?x1) ?v_30) ?v_11) (- 14)))) (and (< (+ ?v_74 (* 50 ?x3)) (- 47)) (<= (+ ?v_9 (* 69 ?x2)) 66))) (and (or (or (< (+ (+ ?v_22 (* (- 19) ?x2)) (* 93 ?x3)) 4) (= (+ (+ (* 85 ?x1) ?v_40) (* (- 31) ?x3)) 20)) (and (not (= (+ (* 97 ?x1) (* 62 ?x2)) 66)) (>= (+ (+ ?v_112 ?v_10) ?v_11) 10))) (and (or (not (= (+ (+ (* (- 78) ?x1) (* (- 94) ?x2)) (* (- 10) ?x3)) 30)) (<= (+ (+ ?v_12 ?v_13) ?v_14) 26)) (or (>= (+ ?v_77 ?v_15) (- 29)) (<= (+ (+ ?v_80 (* (- 73) ?x2)) ?v_42) (- 100)))))) (and (or (< (+ ?v_6 ?v_83) 0) (= (+ (+ ?v_2 ?v_16) (* (- 12) ?x3)) 0)) (and (> (+ (+ ?v_56 (* (- 44) ?x2)) ?v_59) 0) (> (+ ?v_44 (* (- 52) ?x3)) 39))))) (and (not (= (+ ?v_3 ?v_17) (- 1))) (and (or (and (or (or (not (= (+ (* 41 ?x1) ?v_45) (- 48))) (< (+ (+ ?v_53 ?v_82) (* (- 43) ?x3)) 0)) (and (>= (+ ?v_18 (* 99 ?x2)) (- 62)) (< (+ (+ ?v_86 ?v_103) ?v_43) 64))) (< (+ (+ ?v_58 ?v_19) ?v_20) (- 14))) (or (and (>= (+ (* (- 52) ?x1) (* 94 ?x2)) 0) (not (= (+ (+ ?v_21 (* 57 ?x2)) ?v_60) 0))) (or (and (>= (+ (+ (* (- 91) ?x1) ?v_115) (* 71 ?x3)) 22) (> (+ (+ ?v_22 (* 35 ?x2)) ?v_23) 0)) (or (= (+ ?v_24 ?v_25) 0) (>= ?v_26 (- 83)))))) (and (and (or (or (> (+ (+ ?v_27 (* 4 ?x2)) (* 86 ?x3)) (- 36)) (= (+ ?v_28 (* (- 13) ?x2)) 0)) (or (<= (+ (+ (* (- 80) ?x1) (* (- 8) ?x2)) ?v_29) 17) (<= (+ (+ ?v_57 (* (- 43) ?x2)) (* (- 69) ?x3)) (- 91)))) (and (= (+ (+ (* (- 47) ?x1) ?v_114) ?v_105) 99) (= (+ (+ (* 28 ?x1) ?v_30) (* (- 92) ?x3)) 51))) (and (or (> (+ (+ ?v_61 ?v_32) (* (- 45) ?x3)) 89) (>= (+ (+ ?v_100 (* (- 2) ?x2)) ?v_31) 0)) (or (or (>= (+ (+ ?v_125 ?v_32) (* 64 ?x3)) 73) (<= (+ ?v_107 (* (- 61) ?x3)) 77)) (or (= (+ (+ ?v_33 (* (- 29) ?x2)) (* 43 ?x3)) (- 10)) (not (= (+ (* (- 62) ?x1) (* 35 ?x3)) (- 66)))))))))) (and (and (and (and (and (= (+ (* 3 ?x2) ?v_95) 83) (> (+ ?v_34 ?v_94) 0)) (or (> (+ (* 63 ?x1) ?v_35) 54) (= (+ (+ ?v_22 (* 2 ?x2)) ?v_36) 47))) (or (and (and (< (+ (+ (* (- 82) ?x1) (* (- 52) ?x2)) (* 95 ?x3)) 46) (> (+ (+ (* (- 66) ?x1) (* 82 ?x2)) (* 59 ?x3)) 74)) (and (>= (+ (* 21 ?x2) (* 15 ?x3)) 0) (not (= ?v_130 0)))) (and (or (not (= (* 82 ?x1) 0)) (not (= (+ (+ ?v_1 ?v_3) (* 17 ?x3)) 0))) (and (= (+ (+ (* 42 ?x1) (* 73 ?x2)) ?v_37) 21) (>= (+ ?v_55 ?v_38) 0))))) (and (and (or (or (not (= (+ (+ ?v_97 (* (- 16) ?x2)) (* (- 68) ?x3)) 14)) (> (+ (+ ?v_67 (* (- 31) ?x2)) ?v_39) 44)) (and (< (+ (+ ?v_12 ?v_40) ?v_41) 7) (> (+ (* 8 ?x1) ?v_42) 50))) (or (and (>= (+ (+ (* 79 ?x1) (* 52 ?x2)) ?v_43) (- 47)) (> (+ (+ ?v_44 ?v_45) ?v_11) (- 25))) (and (= (* (- 59) ?x1) 51) (< (+ ?v_122 ?v_72) (- 44))))) (or (or (or (not (= (+ ?v_101 ?v_46) (- 67))) (>= (+ ?v_47 ?v_48) 0)) (<= ?v_51 50)) (or (<= ?v_93 20) (>= (+ ?v_38 ?v_49) 94))))) (and (and (and (and (= (+ (* 78 ?x1) (* 42 ?x2)) 0) (> (+ ?v_68 ?v_99) 39)) (and (not (= (+ (* 80 ?x1) (* (- 32) ?x3)) (- 33))) (and (>= (+ (* (- 47) ?x2) ?v_11) 91) (< (+ (+ (* 14 ?x1) ?v_50) ?v_51) 64)))) (and (and (and (<= (+ (* (- 35) ?x2) (* (- 6) ?x3)) (- 60)) (< (+ (+ ?v_18 (* 26 ?x2)) (* (- 37) ?x3)) 73)) (or (not (= (+ (+ ?v_22 (* 72 ?x2)) ?v_52) 47)) (= (* 27 ?x2) (- 93)))) (or (or (= (+ (+ ?v_53 ?v_81) ?v_54) (- 48)) (< (+ (* 81 ?x1) ?v_6) 55)) (and (>= (+ (* (- 46) ?x2) (* 42 ?x3)) 0) (< (+ (+ ?v_55 (* 70 ?x2)) (* 81 ?x3)) (- 59)))))) (or (and (and (< (+ (+ ?v_1 (* (- 38) ?x2)) ?v_5) (- 98)) (>= ?v_56 (- 89))) (or (or (>= (+ (+ (* (- 36) ?x1) ?v_124) (* (- 90) ?x3)) 0) (= (+ (+ ?v_73 (* (- 85) ?x2)) ?v_127) 99)) (<= (* (- 40) ?x2) (- 64)))) (or (and (not (= (+ ?v_57 (* 6 ?x3)) 12)) (> (+ ?v_58 (* 31 ?x2)) (- 6))) (or (<= (+ (+ ?v_27 (* 89 ?x2)) ?v_59) 95) (<= (+ ?v_8 (* 79 ?x3)) 20)))))))) (or (and (and (and (or (not (= (+ (+ (* (- 6) ?x1) (* 93 ?x2)) (* 57 ?x3)) 3)) (<= (+ ?v_71 (* (- 50) ?x3)) 86)) (<= (+ (+ ?v_90 (* (- 96) ?x2)) (* (- 36) ?x3)) 24)) (and (or (< (+ (* (- 33) ?x2) ?v_60) 34) (not (= (+ (+ ?v_61 (* 29 ?x2)) ?v_49) (- 37)))) (or (or (not (= (+ (+ ?v_21 ?v_76) ?v_43) (- 78))) (not (= (+ (+ (* 91 ?x1) (* (- 61) ?x2)) ?v_62) 69))) (or (= (+ (+ ?v_88 ?v_8) ?v_63) 0) (not (= (+ ?v_64 ?v_65) (- 93))))))) (and (or (and (and (= (+ (* 53 ?x1) ?v_15) 24) (<= (+ (+ ?v_66 ?v_102) (* 22 ?x3)) 0)) (and (> ?v_67 (- 37)) (<= (+ (+ ?v_68 ?v_3) ?v_4) 0))) (or (or (>= (+ ?v_69 ?v_75) (- 17)) (not (= (+ (* 69 ?x1) ?v_129) (- 40)))) (> (* 12 ?x1) 63))) (or (or (and (and (not (= (+ (+ ?v_70 ?v_71) ?v_87) 27)) (> (+ ?v_16 ?v_72) (- 27))) (> (+ (+ ?v_73 ?v_40) ?v_41) 20)) (or (< (+ (* (- 93) ?x1) (* (- 32) ?x2)) 1) (< (+ (* 93 ?x1) ?v_128) 49))) (and (or (= (+ (+ (* (- 63) ?x1) (* 37 ?x2)) (* 48 ?x3)) 75) (or (<= (+ (+ (* (- 85) ?x1) ?v_74) ?v_75) (- 82)) (= (+ (* 15 ?x1) (* (- 36) ?x2)) 0))) (and (or (>= (* 84 ?x1) (- 62)) (>= (+ ?v_113 (* (- 15) ?x3)) 34)) (and (= (+ (* 38 ?x1) (* (- 74) ?x3)) 0) (<= ?v_91 (- 49)))))))) (or (and (or (= ?v_76 (- 39)) (not (= (+ (+ (* 30 ?x1) (* 22 ?x2)) (* (- 87) ?x3)) (- 28)))) (and (= (+ (+ ?v_77 (* 23 ?x2)) ?v_39) (- 96)) (or (> (+ (+ (* (- 26) ?x1) ?v_30) ?v_51) 0) (<= (+ (+ ?v_111 ?v_78) ?v_79) 71)))) (and (or (and (and (or (or (<= (+ (* 96 ?x2) ?v_109) 0) (not (= (+ (+ ?v_56 ?v_6) (* (- 71) ?x3)) 80))) (>= (+ ?v_80 (* (- 53) ?x2)) 55)) (or (and (or (not (= ?v_81 (- 9))) (> ?v_67 (- 99))) (or (= (+ (* (- 27) ?x1) ?v_82) 0) (>= (+ (* 72 ?x1) ?v_83) 13))) (and (or (= (+ (+ ?v_84 (* (- 62) ?x2)) ?v_85) 0) (= (+ (* (- 3) ?x1) ?v_17) 0)) (and (<= (+ (+ ?v_86 (* 45 ?x2)) (* 87 ?x3)) (- 61)) (not (= (+ ?v_55 ?v_87) 66)))))) (and (or (and (< (+ (+ ?v_88 (* 80 ?x2)) ?v_104) (- 11)) (= ?v_89 (- 27))) (and (or (>= ?v_89 (- 32)) (<= (+ ?v_90 (* 28 ?x3)) (- 13))) (< (+ (+ ?v_70 ?v_19) ?v_91) 82))) (or (or (or (= (+ (+ ?v_57 (* 12 ?x2)) ?v_92) (- 49)) (= (+ (+ (* (- 8) ?x1) ?v_93) ?v_94) 0)) (or (< (+ ?v_116 ?v_95) 0) (= (+ (* (- 37) ?x1) ?v_96) 0))) (or (or (< ?v_97 0) (= (+ ?v_67 ?v_98) 0)) (or (>= (+ (* (- 30) ?x1) ?v_99) 22) (> (+ ?v_100 (* 90 ?x2)) 18)))))) (or (and (and (and (<= (+ ?v_65 (* 29 ?x3)) 0) (> (+ (+ ?v_101 ?v_102) (* (- 54) ?x3)) (- 85))) (or (= (+ ?v_103 ?v_104) 17) (<= (+ (* 73 ?x1) ?v_105) 0))) (and (or (> (+ (* 55 ?x1) ?v_106) 83) (and (>= (+ (+ (* (- 48) ?x1) (* (- 45) ?x2)) (* 63 ?x3)) (- 74)) (= (+ (+ (* 36 ?x1) ?v_40) ?v_118) 92))) (and (> (+ ?v_117 (* (- 93) ?x3)) (- 46)) (or (<= (+ ?v_107 (* (- 40) ?x3)) (- 19)) (<= (+ (+ (* (- 73) ?x1) (* (- 23) ?x2)) ?v_62) 59))))) (or (and (and (>= (+ ?v_108 ?v_109) (- 23)) (and (<= (+ ?v_110 ?v_39) 35) (> (+ (* (- 81) ?x1) (* (- 5) ?x2)) 30))) (or (or (not (= (+ ?v_111 (* (- 77) ?x2)) 33)) (> (+ ?v_6 ?v_60) 0)) (and (not (= (+ (+ ?v_112 (* (- 26) ?x2)) (* (- 94) ?x3)) (- 90))) (< (+ (+ (* 11 ?x1) ?v_113) (* (- 51) ?x3)) (- 65))))) (or (or (>= (+ (* 62 ?x1) ?v_114) 0) (= (+ (+ (* 5 ?x1) ?v_115) (* (- 62) ?x3)) 24)) (< (+ (+ ?v_116 ?v_117) ?v_118) 0))))) (or (or (or (or (not (= ?v_119 90)) (<= (+ (+ (* (- 34) ?x1) (* 77 ?x2)) (* (- 88) ?x3)) (- 28))) (or (or (<= (+ (* 77 ?x1) ?v_71) 48) (= (+ (* (- 42) ?x1) ?v_45) (- 27))) (>= (+ (+ ?v_120 (* 8 ?x2)) ?v_99) (- 20)))) (and (and (> (+ (+ ?v_70 ?v_121) (* (- 29) ?x3)) 0) (not (= (+ (+ (* (- 70) ?x1) (* (- 78) ?x2)) ?v_29) 30))) (and (>= (+ (+ ?v_122 ?v_123) (* 85 ?x3)) (- 53)) (not (= (+ ?v_124 ?v_39) 36))))) (or (or (or (or (< (+ (+ ?v_125 (* 18 ?x2)) (* 60 ?x3)) (- 29)) (not (= (* 53 ?x3) 11))) (>= (+ ?v_126 ?v_127) 40)) (or (not (= (* (- 12) ?x2) (- 33))) (<= (+ ?v_117 ?v_128) (- 79)))) (or (and (not (= ?v_129 (- 84))) (= (+ (+ ?v_130 (* (- 92) ?x2)) ?v_131) 0)) (or (<= (+ (* (- 35) ?x1) (* 54 ?x2)) 17) (<= (+ ?v_7 (* 12 ?x3)) 20))))))))))))))
(check-sat)
(exit)
