(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(assert (exists ((?x1 Real)) (forall ((?x2 Real)) (exists ((?x3 Real)) (let ((?v_235 (* 16 ?x1)) (?v_259 (* 96 ?x3)) (?v_21 (* 84 ?x1)) (?v_331 (* 20 ?x3)) (?v_72 (* 97 ?x1)) (?v_0 (* 41 ?x2)) (?v_241 (* 45 ?x2)) (?v_25 (* 90 ?x1)) (?v_131 (* 10 ?x3)) (?v_1 (* 90 ?x3)) (?v_291 (* 14 ?x1)) (?v_142 (* 28 ?x3)) (?v_34 (* 6 ?x3)) (?v_197 (* 43 ?x1)) (?v_113 (* 73 ?x3)) (?v_246 (* 69 ?x2)) (?v_13 (* 68 ?x1)) (?v_326 (* 56 ?x3)) (?v_67 (* 24 ?x1)) (?v_314 (* 27 ?x2)) (?v_26 (* 49 ?x1)) (?v_178 (* 92 ?x3)) (?v_55 (* 54 ?x1)) (?v_19 (* 95 ?x2)) (?v_192 (* 16 ?x3)) (?v_191 (* 12 ?x1)) (?v_248 (* 36 ?x3)) (?v_118 (* 79 ?x2)) (?v_16 (* 8 ?x1)) (?v_245 (* 47 ?x1)) (?v_92 (* 83 ?x1)) (?v_10 (* 72 ?x2)) (?v_96 (* 31 ?x2)) (?v_123 (* 2 ?x3)) (?v_243 (* 23 ?x2)) (?v_33 (* 46 ?x2)) (?v_59 (* 19 ?x2)) (?v_20 (* 11 ?x3)) (?v_167 (* 9 ?x1)) (?v_121 (* 12 ?x2)) (?v_262 (* 79 ?x1)) (?v_252 (* 75 ?x2)) (?v_29 (* 36 ?x1)) (?v_14 (* 84 ?x3)) (?v_293 (* 55 ?x1)) (?v_39 (* 20 ?x1)) (?v_32 (* 11 ?x2)) (?v_12 (* 93 ?x1)) (?v_24 (* 19 ?x1)) (?v_87 (* 76 ?x2)) (?v_95 (* 6 ?x1)) (?v_22 (* 68 ?x2)) (?v_129 (* 80 ?x1)) (?v_15 (* 78 ?x2)) (?v_70 (* 91 ?x2)) (?v_17 (* 76 ?x3)) (?v_111 (* 67 ?x1)) (?v_106 (* 64 ?x1)) (?v_42 (* 59 ?x1)) (?v_31 (* 68 ?x3)) (?v_201 (* 3 ?x2)) (?v_101 (* 35 ?x2)) (?v_179 (* 39 ?x1)) (?v_35 (* 100 ?x2)) (?v_48 (* 44 ?x1)) (?v_27 (* 44 ?x2)) (?v_221 (* 71 ?x3)) (?v_321 (* 66 ?x2)) (?v_63 (* 89 ?x1)) (?v_84 (* 18 ?x1)) (?v_68 (* 57 ?x2)) (?v_53 (* 65 ?x3)) (?v_204 (* 75 ?x1)) (?v_125 (* 37 ?x3)) (?v_57 (* 3 ?x3)) (?v_75 (* 52 ?x2)) (?v_272 (* 71 ?x2)) (?v_216 (* 81 ?x2)) (?v_339 (* 82 ?x1)) (?v_196 (* 39 ?x3)) (?v_171 (* 23 ?x1)) (?v_211 (* 9 ?x3)) (?v_62 (* 61 ?x2)) (?v_130 (* 70 ?x3)) (?v_147 (* 95 ?x1)) (?v_60 (* 72 ?x1)) (?v_136 (* 56 ?x2)) (?v_54 (* 97 ?x2)) (?v_69 (* 94 ?x3)) (?v_73 (* 83 ?x2)) (?v_277 (* 16 ?x2)) (?v_78 (* 48 ?x1)) (?v_74 (* 5 ?x1)) (?v_233 (* 60 ?x1)) (?v_61 (* 58 ?x2)) (?v_132 (* 21 ?x2)) (?v_304 (* 8 ?x2)) (?v_203 (* 31 ?x3)) (?v_195 (* 63 ?x3)) (?v_143 (* 27 ?x3)) (?v_77 (* 1 ?x1)) (?v_104 (* 14 ?x3)) (?v_341 (* 41 ?x1)) (?v_89 (* 24 ?x3)) (?v_112 (* 61 ?x3)) (?v_295 (* 4 ?x2)) (?v_80 (* 55 ?x3)) (?v_169 (* 91 ?x3)) (?v_296 (* 94 ?x2)) (?v_345 (* 67 ?x3)) (?v_319 (* 78 ?x3)) (?v_274 (* 77 ?x3)) (?v_209 (* 62 ?x2)) (?v_107 (* 5 ?x3)) (?v_100 (* 59 ?x3)) (?v_324 (* 40 ?x3)) (?v_300 (* 82 ?x3)) (?v_223 (* 17 ?x2)) (?v_220 (* 65 ?x2)) (?v_212 (* 92 ?x1)) (?v_260 (* 28 ?x1)) (?v_238 (* 96 ?x1)) (?v_127 (* 35 ?x1)) (?v_166 (* 47 ?x2)) (?v_308 (* 94 ?x1)) (?v_134 (* 51 ?x2)) (?v_176 (* 19 ?x3)) (?v_133 (* 4 ?x1)) (?v_316 (* 18 ?x2)) (?v_183 (* 51 ?x1)) (?v_284 (* 98 ?x2)) (?v_226 (* 81 ?x1)) (?v_174 (* 43 ?x2)) (?v_181 (* 64 ?x2)) (?v_188 (* 45 ?x1)) (?v_239 (* 57 ?x1)) (?v_151 (* 6 ?x2)) (?v_152 (* 39 ?x2)) (?v_247 (* 46 ?x3)) (?v_271 (* 59 ?x2)) (?v_189 (* 18 ?x3)) (?v_144 (* 76 ?x1)) (?v_315 (* 24 ?x2)) (?v_273 (* 53 ?x1)) (?v_285 (* 26 ?x2)) (?v_162 (* 69 ?x3)) (?v_282 (* 77 ?x1)) (?v_187 (* 50 ?x1)) (?v_307 (* 86 ?x3)) (?v_199 (* 35 ?x3)) (?v_305 (* 65 ?x1)) (?v_302 (* 48 ?x2)) (?v_200 (* 10 ?x1)) (?v_253 (* 87 ?x1)) (?v_283 (* 22 ?x2)) (?v_279 (* 34 ?x2)) (?v_219 (* 88 ?x3)) (?v_214 (* 28 ?x2)) (?v_287 (* 38 ?x1)) (?v_213 (* 84 ?x2)) (?v_344 (* 43 ?x3)) (?v_335 (* 37 ?x1)) (?v_323 (* 61 ?x1)) (?v_217 (* 60 ?x2)) (?v_334 (* 49 ?x2)) (?v_310 (* 64 ?x3)) (?v_342 (* 89 ?x3)) (?v_275 (* 90 ?x2)) (?v_257 (* 54 ?x2)) (?v_218 (* 15 ?x1)) (?v_278 (* 62 ?x3)) (?v_299 (* 30 ?x2)) (?v_240 (* 69 ?x1)) (?v_281 (* 50 ?x2)) (?v_256 (* 99 ?x3)) (?v_330 (* 45 ?x3)) (?v_306 (* 99 ?x2)) (?v_309 (* 58 ?x3)) (?v_343 (* 36 ?x2)) (?v_276 (* 3 ?x1)) (?v_322 (* 46 ?x1)) (?v_311 (* 91 ?x1)) (?v_9 (* (- 75) ?x2)) (?v_41 (* (- 10) ?x2)) (?v_146 (* (- 24) ?x3)) (?v_38 (* (- 72) ?x2)) (?v_108 (* (- 81) ?x2)) (?v_8 (* (- 99) ?x3)) (?v_222 (* (- 7) ?x3)) (?v_110 (* (- 52) ?x1)) (?v_4 (* (- 10) ?x3)) (?v_124 (* (- 12) ?x1)) (?v_50 (* (- 49) ?x3)) (?v_2 (* (- 63) ?x1)) (?v_7 (* (- 73) ?x2)) (?v_45 (* (- 4) ?x1)) (?v_5 (* (- 40) ?x2)) (?v_102 (* (- 27) ?x3)) (?v_3 (* (- 53) ?x1)) (?v_93 (* (- 52) ?x2)) (?v_44 (* (- 10) ?x1)) (?v_202 (* (- 20) ?x1)) (?v_94 (* (- 91) ?x2)) (?v_182 (* (- 28) ?x3)) (?v_105 (* (- 11) ?x3)) (?v_58 (* (- 47) ?x1)) (?v_297 (* (- 21) ?x2)) (?v_40 (* (- 24) ?x1)) (?v_333 (* (- 26) ?x3)) (?v_301 (* (- 39) ?x1)) (?v_116 (* (- 36) ?x2)) (?v_18 (* (- 74) ?x3)) (?v_264 (* (- 97) ?x2)) (?v_141 (* (- 40) ?x3)) (?v_6 (* (- 71) ?x1)) (?v_98 (* (- 5) ?x2)) (?v_28 (* (- 86) ?x1)) (?v_198 (* (- 78) ?x2)) (?v_11 (* (- 16) ?x1)) (?v_37 (* (- 80) ?x2)) (?v_65 (* (- 25) ?x2)) (?v_161 (* (- 50) ?x1)) (?v_215 (* (- 40) ?x1)) (?v_251 (* (- 30) ?x1)) (?v_99 (* (- 100) ?x3)) (?v_168 (* (- 67) ?x1)) (?v_140 (* (- 64) ?x3)) (?v_86 (* (- 82) ?x3)) (?v_317 (* (- 32) ?x1)) (?v_83 (* (- 63) ?x2)) (?v_90 (* (- 31) ?x3)) (?v_51 (* (- 64) ?x1)) (?v_155 (* (- 74) ?x2)) (?v_43 (* (- 94) ?x1)) (?v_338 (* (- 98) ?x3)) (?v_76 (* (- 76) ?x3)) (?v_97 (* (- 81) ?x3)) (?v_318 (* (- 17) ?x2)) (?v_23 (* (- 78) ?x3)) (?v_138 (* (- 22) ?x1)) (?v_119 (* (- 12) ?x3)) (?v_64 (* (- 68) ?x2)) (?v_265 (* (- 86) ?x3)) (?v_82 (* (- 96) ?x1)) (?v_180 (* (- 2) ?x1)) (?v_47 (* (- 85) ?x2)) (?v_66 (* (- 83) ?x1)) (?v_337 (* (- 20) ?x3)) (?v_30 (* (- 13) ?x2)) (?v_126 (* (- 72) ?x3)) (?v_109 (* (- 9) ?x3)) (?v_81 (* (- 85) ?x3)) (?v_154 (* (- 99) ?x1)) (?v_139 (* (- 77) ?x2)) (?v_46 (* (- 52) ?x3)) (?v_268 (* (- 14) ?x3)) (?v_114 (* (- 50) ?x2)) (?v_122 (* (- 32) ?x3)) (?v_52 (* (- 100) ?x1)) (?v_49 (* (- 1) ?x2)) (?v_135 (* (- 79) ?x1)) (?v_36 (* (- 25) ?x1)) (?v_56 (* (- 13) ?x3)) (?v_225 (* (- 41) ?x3)) (?v_177 (* (- 66) ?x2)) (?v_157 (* (- 53) ?x3)) (?v_185 (* (- 2) ?x3)) (?v_190 (* (- 24) ?x2)) (?v_292 (* (- 89) ?x1)) (?v_289 (* (- 78) ?x1)) (?v_227 (* (- 83) ?x2)) (?v_120 (* (- 94) ?x3)) (?v_163 (* (- 37) ?x2)) (?v_340 (* (- 66) ?x3)) (?v_71 (* (- 9) ?x2)) (?v_91 (* (- 36) ?x3)) (?v_85 (* (- 54) ?x2)) (?v_346 (* (- 19) ?x2)) (?v_115 (* (- 84) ?x1)) (?v_336 (* (- 27) ?x2)) (?v_244 (* (- 84) ?x2)) (?v_88 (* (- 50) ?x3)) (?v_269 (* (- 56) ?x2)) (?v_148 (* (- 70) ?x2)) (?v_117 (* (- 46) ?x1)) (?v_128 (* (- 83) ?x3)) (?v_255 (* (- 16) ?x2)) (?v_261 (* (- 18) ?x3)) (?v_79 (* (- 96) ?x2)) (?v_234 (* (- 68) ?x1)) (?v_170 (* (- 68) ?x3)) (?v_325 (* (- 44) ?x2)) (?v_267 (* (- 23) ?x2)) (?v_160 (* (- 89) ?x3)) (?v_103 (* (- 65) ?x2)) (?v_242 (* (- 77) ?x1)) (?v_172 (* (- 92) ?x3)) (?v_193 (* (- 28) ?x2)) (?v_250 (* (- 39) ?x2)) (?v_205 (* (- 42) ?x3)) (?v_165 (* (- 14) ?x2)) (?v_149 (* (- 46) ?x3)) (?v_224 (* (- 7) ?x2)) (?v_153 (* (- 51) ?x3)) (?v_206 (* (- 19) ?x1)) (?v_173 (* (- 19) ?x3)) (?v_159 (* (- 93) ?x1)) (?v_137 (* (- 69) ?x2)) (?v_150 (* (- 27) ?x1)) (?v_158 (* (- 95) ?x1)) (?v_145 (* (- 31) ?x2)) (?v_303 (* (- 8) ?x3)) (?v_280 (* (- 43) ?x3))) (let ((?v_208 (+ ?v_135 ?v_136)) (?v_210 (* (- 28) ?x1)) (?v_164 (* (- 33) ?x3)) (?v_156 (* (- 22) ?x2)) (?v_175 (* (- 38) ?x3)) (?v_298 (* (- 82) ?x1)) (?v_328 (* (- 55) ?x1)) (?v_236 (* (- 79) ?x2)) (?v_237 (* (- 56) ?x1)) (?v_228 (* (- 96) ?x3)) (?v_186 (* (- 53) ?x2)) (?v_184 (* (- 41) ?x2)) (?v_258 (* (- 21) ?x3)) (?v_249 (* (- 70) ?x1)) (?v_270 (* (- 95) ?x3)) (?v_194 (* (- 54) ?x1)) (?v_207 (* (- 30) ?x2)) (?v_229 (* (- 92) ?x1)) (?v_332 (* (- 14) ?x1)) (?v_230 (* (- 37) ?x3)) (?v_329 (* (- 34) ?x3)) (?v_286 (* (- 23) ?x3)) (?v_232 (* (- 76) ?x1)) (?v_231 (* (- 29) ?x2)) (?v_312 (* (- 57) ?x2)) (?v_263 (* (- 54) ?x3)) (?v_254 (* (- 58) ?x2)) (?v_290 (* (- 88) ?x3)) (?v_313 (* (- 88) ?x2)) (?v_327 (* (- 41) ?x1)) (?v_266 (* (- 38) ?x2)) (?v_288 (* (- 57) ?x3)) (?v_294 (* (- 16) ?x3)) (?v_320 (* (- 60) ?x3)) (?v_347 (* (- 15) ?x2))) (and (and (or (or (or (or (or (and (or (and (>= (+ (+ ?v_235 ?v_9) ?v_259) (- 62)) (>= (+ (+ ?v_21 ?v_41) ?v_146) 94)) (or (< (+ ?v_38 ?v_331) (- 5)) (not (= (+ (+ ?v_72 ?v_108) ?v_8) (- 9))))) (or (and (> (+ ?v_0 ?v_222) 39) (>= ?v_241 37)) (or (= (+ (+ ?v_25 (* (- 11) ?x2)) ?v_131) (- 76)) (>= (+ ?v_110 ?v_4) (- 20))))) (and (or (and (>= (+ (+ ?v_124 (* 93 ?x2)) ?v_50) (- 83)) (<= (+ (+ ?v_2 ?v_7) ?v_1) (- 79))) (or (not (= (+ (+ ?v_291 (* (- 8) ?x2)) ?v_142) (- 69))) (<= (+ (+ ?v_45 ?v_5) ?v_34) (- 40)))) (or (>= (+ ?v_197 ?v_102) (- 95)) (> ?v_3 98)))) (and (or (and (and (= (+ ?v_93 ?v_113) 0) (< (+ ?v_44 ?v_246) 64)) (and (< (+ ?v_202 ?v_94) (- 20)) (= (+ (+ ?v_13 ?v_0) ?v_182) 11))) (and (or (not (= ?v_1 (- 93))) (>= (+ (* (- 69) ?x1) ?v_105) (- 32))) (or (>= (+ ?v_58 ?v_297) (- 80)) (>= (+ ?v_40 ?v_333) 52)))) (and (or (and (< (+ (+ ?v_301 ?v_116) ?v_326) 0) (< (+ (+ ?v_67 ?v_314) (* 4 ?x3)) 49)) (>= (+ (* (- 80) ?x1) ?v_18) (- 74))) (and (or (<= (+ (+ ?v_26 ?v_264) ?v_141) 62) (not (= (+ (+ ?v_6 ?v_98) ?v_178) 75))) (>= (+ ?v_55 ?v_19) (- 2)))))) (and (and (and (and (not (= (+ (+ ?v_28 ?v_198) ?v_192) (- 94))) (or (>= (+ ?v_11 ?v_37) 40) (>= (+ (+ ?v_191 ?v_65) ?v_248) (- 17)))) (and (> (+ ?v_2 (* (- 95) ?x2)) (- 19)) (or (<= ?v_161 (- 37)) (<= (+ (+ ?v_3 ?v_118) ?v_4) 80)))) (or (or (or (> (+ ?v_16 (* (- 4) ?x2)) 0) (>= (+ ?v_215 (* (- 22) ?x3)) (- 41))) (and (not (= ?v_245 (- 48))) (<= (+ ?v_92 ?v_10) (- 25)))) (or (or (<= (+ ?v_96 ?v_123) (- 67)) (>= (+ ?v_251 ?v_243) (- 95))) (< (+ ?v_33 ?v_99) (- 80))))) (or (and (and (or (<= (+ ?v_168 ?v_5) 44) (< (+ ?v_59 ?v_20) 4)) (or (< (+ (+ ?v_167 ?v_121) ?v_140) 40) (> ?v_262 0))) (and (> ?v_252 83) (= (+ (+ ?v_29 (* 10 ?x2)) ?v_86) 96))) (or (= (+ (+ ?v_317 ?v_83) ?v_90) 0) (and (and (>= ?v_14 (- 59)) (<= (+ (+ ?v_6 ?v_7) ?v_8) 92)) (and (< (+ (+ ?v_293 ?v_9) (* 57 ?x3)) 0) (> (+ ?v_39 ?v_10) 0))))))) (and (or (or (or (or (>= (+ ?v_51 ?v_155) (- 80)) (> (+ (+ ?v_43 ?v_32) ?v_338) (- 76))) (or (>= ?v_12 0) (<= (* (- 67) ?x3) 0))) (or (and (< (+ ?v_11 ?v_76) (- 71)) (<= (+ (+ ?v_24 ?v_87) ?v_97) 0)) (or (= ?v_95 33) (> (+ ?v_6 (* 26 ?x3)) 14)))) (and (and (< ?v_12 0) (= (+ ?v_13 ?v_22) (- 13))) (> ?v_129 77))) (or (and (or (not (= (+ (+ (* (- 58) ?x1) ?v_15) ?v_14) 0)) (>= (+ ?v_318 ?v_23) 0)) (and (not (= (+ (+ ?v_138 ?v_70) ?v_17) 2)) (> ?v_111 56))) (and (not (= (+ (+ ?v_106 ?v_15) ?v_119) 0)) (and (< (+ ?v_42 ?v_31) 0) (or (< (+ ?v_64 ?v_265) 76) (>= (+ (+ ?v_16 ?v_201) ?v_17) (- 11)))))))) (or (or (or (and (or (and (and (not (= (+ ?v_82 ?v_18) 93)) (<= (+ ?v_180 ?v_47) 35)) (or (> (+ (+ ?v_66 ?v_19) ?v_337) (- 27)) (= (+ ?v_30 ?v_126) 0))) (or (and (< (+ ?v_101 ?v_109) 0) (< (+ (+ ?v_179 ?v_35) ?v_81) 4)) (or (= (+ ?v_48 ?v_20) 59) (< (+ ?v_21 ?v_22) 52)))) (and (<= (+ (+ ?v_154 ?v_139) ?v_23) 56) (or (<= (+ ?v_24 ?v_46) 0) (or (<= (+ (+ ?v_25 ?v_27) ?v_221) (- 22)) (>= ?v_321 58))))) (or (or (or (or (<= (+ ?v_26 ?v_27) 26) (<= (+ ?v_63 ?v_268) 17)) (and (= (+ (+ ?v_28 ?v_114) ?v_122) 0) (<= (+ ?v_52 (* (- 18) ?x2)) 68))) (and (<= (+ ?v_84 ?v_15) 33) (< (+ (+ (* 26 ?x1) ?v_68) ?v_53) 94))) (or (and (< (+ ?v_29 ?v_49) 28) (= (+ ?v_30 ?v_31) 72)) (or (and (<= (+ ?v_32 ?v_18) 20) (not (= (+ (+ ?v_204 ?v_33) ?v_125) (- 69)))) (or (= (+ (+ ?v_135 (* (- 62) ?x2)) ?v_57) 0) (not (= (+ ?v_36 ?v_34) (- 30)))))))) (and (or (or (and (or (> (+ ?v_75 (* (- 79) ?x3)) 0) (>= (+ ?v_25 ?v_272) (- 29))) (>= ?v_35 73)) (and (and (not (= (+ (+ ?v_36 ?v_37) ?v_56) (- 57))) (< (+ ?v_216 ?v_1) 1)) (and (<= (+ (+ ?v_339 ?v_38) ?v_225) 5) (<= ?v_196 14)))) (and (and (< (+ ?v_39 (* (- 15) ?x3)) 76) (or (< (+ ?v_171 ?v_177) (- 77)) (= (+ ?v_11 (* 15 ?x2)) (- 40)))) (and (>= (+ (+ ?v_40 ?v_41) ?v_157) (- 86)) (and (>= (+ ?v_42 ?v_23) (- 71)) (not (= (+ (+ ?v_43 (* 96 ?x2)) ?v_211) 27)))))) (and (and (or (or (not (= ?v_27 (- 90))) (<= (+ ?v_44 ?v_185) (- 46))) (and (> (+ (+ ?v_45 ?v_62) ?v_130) 0) (not (= (+ (+ (* 31 ?x1) (* (- 71) ?x2)) ?v_46) 81)))) (or (or (> ?v_147 0) (= (* (- 60) ?x1) 0)) (and (< (+ ?v_60 ?v_47) 0) (> ?v_136 0)))) (and (or (< ?v_48 0) (or (= (+ ?v_54 ?v_69) (- 22)) (= ?v_190 0))) (and (or (< (+ (+ ?v_292 ?v_49) ?v_50) 91) (< (+ ?v_289 ?v_73) (- 83))) (and (>= (+ ?v_227 (* (- 3) ?x3)) 46) (> (+ (* (- 1) ?x1) ?v_120) 30))))))) (and (or (and (and (and (= ?v_51 3) (> ?v_277 32)) (or (or (>= (+ (+ (* (- 59) ?x1) ?v_163) ?v_340) 64) (<= (+ ?v_52 (* 77 ?x2)) (- 100))) (not (= (+ (+ ?v_78 ?v_71) ?v_53) 0)))) (and (and (and (<= (+ (+ ?v_26 ?v_54) ?v_91) (- 67)) (= (+ ?v_74 (* 32 ?x2)) 35)) (or (>= (+ (+ ?v_55 ?v_85) (* 49 ?x3)) (- 35)) (= ?v_346 89))) (or (and (< ?v_233 0) (<= (+ (+ ?v_13 ?v_61) ?v_56) (- 46))) (or (< (+ (+ ?v_13 (* (- 87) ?x2)) ?v_4) 7) (not (= (+ ?v_132 ?v_57) (- 6))))))) (or (or (or (<= (+ ?v_115 ?v_304) 0) (>= (+ (* 87 ?x2) (* (- 77) ?x3)) (- 71))) (or (>= (+ (+ (* 86 ?x1) ?v_336) ?v_203) (- 68)) (and (not (= (+ ?v_58 ?v_244) (- 15))) (not (= ?v_59 (- 18)))))) (or (or (or (not (= (+ ?v_60 ?v_61) 84)) (>= (+ (+ (* (- 91) ?x1) ?v_62) ?v_34) (- 47))) (and (> (+ ?v_63 ?v_195) (- 63)) (>= (+ ?v_64 ?v_88) 34))) (or (and (< (+ ?v_65 ?v_143) (- 29)) (= (+ ?v_77 ?v_269) 0)) (and (>= ?v_104 19) (> ?v_66 (- 72))))))) (or (and (and (or (< (+ ?v_341 ?v_89) 7) (< (+ ?v_67 ?v_59) 4)) (= ?v_68 (- 46))) (or (or (< (+ (* (- 49) ?x2) ?v_69) 58) (<= (+ (* 11 ?x1) ?v_112) 0)) (and (>= (+ (+ (* 27 ?x1) ?v_70) (* 1 ?x3)) (- 14)) (>= (+ (+ (* (- 48) ?x1) ?v_71) (* (- 45) ?x3)) (- 77))))) (and (and (= (+ (+ (* 33 ?x1) ?v_295) ?v_80) 0) (<= (+ (+ ?v_72 ?v_148) ?v_169) (- 61))) (and (or (< (+ (+ (* (- 17) ?x1) ?v_296) ?v_345) (- 41)) (= (+ (+ ?v_117 ?v_73) ?v_319) (- 51))) (or (< (+ (+ ?v_74 ?v_75) ?v_76) 49) (> (+ ?v_5 ?v_128) 77)))))))) (or (or (or (or (or (or (>= (* (- 44) ?x1) 4) (< (+ ?v_255 ?v_261) (- 89))) (> (+ (+ ?v_77 ?v_79) ?v_274) 2)) (and (and (>= (+ ?v_234 ?v_170) (- 92)) (> (+ (+ ?v_78 ?v_79) ?v_80) 90)) (or (not (= (+ (+ ?v_51 (* (- 89) ?x2)) ?v_81) 27)) (<= (+ (+ ?v_82 ?v_209) ?v_107) (- 16))))) (and (or (or (and (and (> (+ (* (- 37) ?x1) ?v_325) 0) (= (+ (* (- 5) ?x1) ?v_83) (- 31))) (and (= (+ (+ ?v_84 ?v_64) ?v_100) 0) (<= (+ ?v_267 ?v_324) (- 22)))) (or (and (>= ?v_300 43) (> (+ (+ ?v_45 ?v_65) (* (- 84) ?x3)) 9)) (and (< (+ ?v_85 ?v_160) 0) (<= (+ (+ ?v_6 ?v_223) (* 98 ?x3)) 20)))) (or (or (< (+ ?v_103 ?v_86) 16) (not (= ?v_242 0))) (or (and (>= (+ ?v_87 ?v_172) (- 86)) (<= (+ ?v_220 ?v_88) 98)) (or (> (+ ?v_212 ?v_89) 0) (= ?v_193 (- 46)))))) (or (or (or (or (= (+ (+ ?v_260 ?v_250) ?v_90) 0) (>= (+ ?v_238 ?v_91) 85)) (and (= (+ (+ (* (- 43) ?x1) (* 86 ?x2)) ?v_205) 68) (not (= (+ (+ ?v_92 ?v_93) (* 22 ?x3)) 84)))) (or (or (> (+ ?v_127 ?v_166) 0) (<= (+ ?v_308 ?v_165) (- 22))) (and (< (+ (* 99 ?x1) (* 12 ?x3)) 4) (>= (+ (+ (* 40 ?x1) ?v_94) ?v_18) (- 62))))) (and (= (+ ?v_134 (* 38 ?x3)) 0) (and (or (>= (+ ?v_95 ?v_56) 4) (<= (+ (* (- 98) ?x1) ?v_9) (- 13))) (and (<= (+ (+ ?v_55 ?v_9) ?v_176) (- 43)) (<= (+ (+ ?v_2 ?v_96) ?v_97) 47))))))) (or (or (or (and (and (<= (+ ?v_98 ?v_99) 57) (not (= (+ ?v_21 ?v_90) 0))) (>= (+ (+ ?v_133 ?v_316) ?v_100) 46)) (or (or (< (+ ?v_101 ?v_102) (- 59)) (< (+ (+ ?v_183 ?v_284) ?v_149) 1)) (<= (+ (+ ?v_226 ?v_103) ?v_104) 38))) (and (and (or (or (<= ?v_105 (- 94)) (>= (+ (+ ?v_58 ?v_85) ?v_76) 97)) (and (> (+ (+ ?v_106 (* (- 48) ?x2)) ?v_105) 0) (> (+ ?v_174 ?v_107) 0))) (not (= (* (- 44) ?x3) 54))) (and (or (and (> (+ (+ ?v_84 (* (- 46) ?x2)) (* (- 65) ?x3)) 0) (<= (+ ?v_108 ?v_109) (- 97))) (or (<= (+ (+ ?v_110 ?v_224) ?v_153) (- 28)) (>= ?v_111 (- 11)))) (or (and (> (+ (* (- 20) ?x2) ?v_112) 0) (>= ?v_181 64)) (and (<= ?v_113 29) (not (= (+ ?v_188 ?v_114) 30))))))) (or (and (and (or (not (= (+ (+ ?v_115 ?v_116) (* (- 17) ?x3)) 0)) (> (+ ?v_117 ?v_118) 86)) (>= (+ (+ ?v_239 ?v_62) ?v_8) 10)) (or (or (> (+ (+ ?v_206 ?v_151) ?v_119) (- 79)) (< (+ ?v_37 ?v_173) (- 59))) (and (<= (+ (+ ?v_106 ?v_152) ?v_120) (- 54)) (< (+ (+ ?v_159 ?v_121) ?v_247) 4)))) (and (or (<= (+ ?v_75 ?v_122) 29) (> (+ ?v_35 ?v_123) (- 78))) (and (or (> ?v_41 (- 70)) (> (+ ?v_124 ?v_125) 65)) (and (not (= ?v_93 0)) (>= (+ (+ (* (- 62) ?x1) ?v_137) ?v_126) 0))))))) (and (or (or (or (and (= (+ ?v_127 ?v_128) (- 12)) (< (+ ?v_129 ?v_130) 100)) (and (< (+ ?v_40 ?v_23) (- 77)) (> ?v_131 11))) (or (or (not (= (+ (+ ?v_150 ?v_132) ?v_125) (- 100))) (<= (+ ?v_271 (* 50 ?x3)) 72)) (and (>= (+ (+ ?v_158 ?v_145) (* (- 91) ?x3)) (- 17)) (< (+ (+ ?v_133 (* 82 ?x2)) ?v_303) 64)))) (and (or (= (+ (+ (* (- 7) ?x1) ?v_134) ?v_280) 0) (= ?v_208 0)) (not (= (+ (+ ?v_210 ?v_137) ?v_164) (- 19))))) (or (or (or (or (or (>= (+ ?v_2 ?v_79) 67) (>= (+ (+ ?v_138 (* (- 3) ?x2)) ?v_189) 79)) (and (not (= (+ (+ ?v_144 ?v_139) ?v_140) (- 27))) (< (+ (* 25 ?x1) ?v_141) 0))) (and (<= ?v_142 (- 12)) (not (= ?v_315 0)))) (and (or (= ?v_143 75) (= (+ ?v_144 ?v_156) 15)) (and (<= (+ ?v_49 ?v_123) 0) (and (not (= (+ ?v_145 ?v_146) 72)) (= (+ (+ ?v_147 ?v_148) ?v_149) (- 67)))))) (or (or (or (and (>= (+ (+ ?v_150 ?v_151) ?v_53) 88) (= ?v_44 0)) (= (+ (+ (* (- 97) ?x1) ?v_152) ?v_153) (- 30))) (or (and (= (+ (+ ?v_154 ?v_155) (* 13 ?x3)) (- 52)) (< (+ (+ ?v_273 ?v_156) ?v_157) 0)) (and (>= (+ (* (- 88) ?x1) ?v_54) (- 17)) (= (+ ?v_158 ?v_65) 41)))) (or (and (or (< (+ ?v_285 ?v_162) (- 5)) (< ?v_93 0)) (and (>= (+ ?v_159 ?v_10) (- 80)) (not (= (+ ?v_75 ?v_160) 72)))) (> (+ ?v_161 (* 20 ?x2)) (- 90)))))))) (or (and (and (and (and (and (or (or (and (<= (+ ?v_74 ?v_175) (- 91)) (>= (+ ?v_33 ?v_162) 40)) (or (not (= (+ (+ ?v_282 ?v_163) ?v_164) (- 27))) (> (+ (+ ?v_187 ?v_165) ?v_307) 51))) (and (> (+ (+ (* 29 ?x1) ?v_118) ?v_199) 23) (not (= (+ ?v_298 ?v_166) (- 28))))) (or (or (>= (+ ?v_167 (* (- 6) ?x2)) (- 77)) (>= (+ ?v_168 ?v_59) 0)) (and (or (<= (+ (+ ?v_328 ?v_98) ?v_169) (- 76)) (<= (+ ?v_236 ?v_170) (- 16))) (< (+ ?v_171 (* (- 75) ?x3)) 49)))) (or (and (or (and (not (= (+ ?v_11 ?v_157) (- 3))) (<= (+ ?v_305 ?v_172) (- 4))) (or (not (= (+ ?v_237 (* 38 ?x2)) (- 27))) (<= (+ (+ ?v_144 ?v_302) ?v_130) (- 34)))) (and (= (+ (+ ?v_111 ?v_83) ?v_228) (- 60)) (or (> (+ ?v_186 ?v_172) 0) (= ?v_173 0)))) (and (< (+ (+ (* (- 29) ?x1) ?v_174) ?v_175) (- 32)) (= (+ (+ (* (- 8) ?x1) (* 74 ?x2)) (* 79 ?x3)) (- 72))))) (and (and (and (or (> (+ (* 21 ?x1) ?v_176) 98) (> (+ (+ ?v_200 ?v_184) ?v_99) (- 40))) (or (and (= ?v_48 0) (not (= (+ ?v_28 ?v_258) (- 21)))) (or (= (+ (+ ?v_253 ?v_177) ?v_120) (- 61)) (not (= (+ (+ ?v_168 ?v_283) ?v_178) (- 3)))))) (and (and (or (< (+ ?v_179 (* 66 ?x3)) 0) (<= (+ (+ ?v_180 ?v_41) ?v_178) 80)) (<= (+ (+ (* (- 49) ?x1) ?v_279) ?v_219) (- 15))) (or (and (= (+ (* 73 ?x1) ?v_214) (- 100)) (= (+ (+ ?v_11 (* 40 ?x2)) ?v_100) 0)) (or (>= (+ (+ ?v_171 ?v_181) ?v_182) (- 23)) (>= (+ (+ ?v_183 ?v_184) ?v_185) 100))))) (and (or (or (= (+ ?v_95 ?v_186) 0) (> (+ ?v_187 ?v_86) 59)) (and (<= (+ (+ ?v_287 ?v_213) (* 7 ?x3)) (- 48)) (= (+ (* (- 82) ?x2) ?v_122) (- 39)))) (or (or (<= (+ ?v_39 ?v_15) 0) (> (+ ?v_249 ?v_137) (- 49))) (or (not (= (+ (+ ?v_106 (* 85 ?x2)) ?v_160) 0)) (> (+ (+ (* (- 18) ?x1) ?v_75) (* 95 ?x3)) 89)))))) (and (or (and (or (or (not (= (+ (+ ?v_188 ?v_85) ?v_189) (- 58))) (or (= (+ (+ ?v_111 ?v_190) ?v_344) (- 4)) (>= (+ (+ ?v_335 ?v_41) (* (- 63) ?x3)) 37))) (and (and (= (+ (* (- 36) ?x1) ?v_270) 0) (>= (+ ?v_117 ?v_56) 16)) (and (<= (+ (+ ?v_194 ?v_207) ?v_18) (- 94)) (not (= (+ (+ ?v_191 (* (- 2) ?x2)) (* (- 93) ?x3)) (- 42)))))) (or (and (or (not (= (+ (+ ?v_323 ?v_136) ?v_192) 96)) (not (= (+ ?v_74 ?v_193) (- 90)))) (< (+ ?v_194 ?v_195) (- 20))) (and (or (<= (+ (+ ?v_110 (* (- 12) ?x2)) ?v_196) (- 97)) (< (+ (+ ?v_197 ?v_198) ?v_199) (- 71))) (and (< (+ (+ ?v_200 ?v_201) (* (- 55) ?x3)) 13) (< ?v_202 (- 77)))))) (and (and (or (or (= (+ (+ ?v_229 ?v_217) (* (- 35) ?x3)) (- 19)) (<= (+ ?v_334 ?v_310) (- 97))) (and (<= (+ ?v_6 ?v_203) 20) (>= (+ (+ ?v_204 ?v_114) ?v_342) 61))) (and (or (< (+ ?v_180 ?v_205) 0) (< (+ ?v_206 ?v_207) 0)) (and (not (= (+ ?v_208 ?v_146) (- 24))) (< ?v_209 0)))) (or (and (or (= (+ (+ ?v_332 ?v_198) ?v_230) (- 4)) (= (+ ?v_207 (* 34 ?x3)) 0)) (or (= (+ ?v_275 ?v_130) 0) (= (+ (+ ?v_210 ?v_49) ?v_211) 0))) (not (= (+ ?v_73 ?v_329) 6))))) (or (or (and (or (= (+ ?v_212 ?v_152) (- 15)) (< (+ (+ ?v_210 ?v_213) (* (- 71) ?x3)) (- 92))) (or (>= (+ (+ ?v_171 ?v_214) ?v_286) 0) (not (= (+ (+ ?v_215 ?v_216) (* 81 ?x3)) 32)))) (> (+ (* 1 ?x2) ?v_113) (- 94))) (or (or (<= (* (- 15) ?x1) 62) (and (not (= ?v_257 (- 31))) (> (+ (+ ?v_218 ?v_217) ?v_278) 50))) (or (and (and (> (+ ?v_218 (* (- 45) ?x2)) (- 27)) (= (+ ?v_232 ?v_61) 86)) (and (> (+ ?v_231 (* (- 58) ?x3)) 90) (< (+ (+ ?v_215 ?v_312) ?v_219) 0))) (or (or (<= (+ ?v_167 ?v_99) 95) (<= (+ ?v_220 ?v_89) 95)) (and (= (+ (+ (* (- 34) ?x1) ?v_190) ?v_173) (- 7)) (< (* 37 ?x2) 0)))))))) (or (and (and (and (or (and (or (not (= (+ (+ ?v_197 ?v_71) ?v_221) (- 54))) (= (* 83 ?x3) 0)) (or (not (= (+ (+ (* (- 9) ?x1) ?v_299) ?v_222) (- 87))) (<= (+ ?v_167 ?v_223) 74))) (or (and (> (+ (+ ?v_240 ?v_94) ?v_143) 0) (>= (+ ?v_44 ?v_281) 25)) (and (<= (+ ?v_106 (* (- 51) ?x2)) (- 13)) (< (+ (+ (* (- 72) ?x1) ?v_33) ?v_263) 0)))) (and (and (and (not (= (+ (+ (* (- 65) ?x1) ?v_224) ?v_225) 3)) (< (+ (+ ?v_226 ?v_254) ?v_105) (- 17))) (= (+ (+ ?v_212 (* 92 ?x2)) ?v_192) 66)) (or (and (= (+ (+ ?v_197 ?v_227) ?v_189) (- 100)) (> (+ ?v_66 ?v_228) 0)) (or (>= (+ (+ ?v_229 ?v_71) ?v_230) 16) (not (= (+ (+ (* (- 35) ?x1) ?v_231) ?v_185) (- 27))))))) (or (or (or (< (+ ?v_232 ?v_20) (- 11)) (> (+ ?v_233 ?v_38) 44)) (or (>= ?v_211 (- 68)) (>= (+ (+ ?v_39 ?v_220) ?v_228) 0))) (or (and (< (+ ?v_234 ?v_35) 28) (>= (+ ?v_235 ?v_236) 100)) (and (> (+ (+ ?v_187 ?v_98) ?v_290) (- 4)) (not (= (+ (+ ?v_237 ?v_148) ?v_256) 0)))))) (or (or (and (or (or (>= ?v_39 (- 32)) (not (= (+ ?v_238 ?v_170) 18))) (or (< (+ (+ ?v_239 ?v_184) ?v_23) (- 2)) (< (+ (+ (* (- 45) ?x1) ?v_313) ?v_80) 0))) (and (not (= (+ ?v_240 ?v_241) 0)) (= (+ (+ ?v_242 ?v_243) ?v_113) 9))) (and (and (and (< (+ ?v_327 (* 53 ?x2)) (- 11)) (not (= (+ ?v_30 (* 85 ?x3)) 96))) (and (> (+ (+ ?v_161 ?v_244) ?v_20) 0) (> (+ (+ ?v_245 ?v_246) ?v_247) (- 30)))) (or (or (< (+ (+ ?v_43 ?v_137) ?v_330) 34) (< (+ (+ ?v_226 ?v_306) ?v_248) 82)) (or (>= (+ (* (- 87) ?x1) ?v_89) 13) (<= (+ (+ ?v_138 ?v_246) ?v_153) 62))))) (or (or (and (>= (+ (+ ?v_249 ?v_250) ?v_34) 0) (= (+ ?v_251 ?v_86) 99)) (or (and (> ?v_252 0) (>= ?v_309 40)) (and (not (= (+ (+ ?v_253 ?v_254) ?v_23) (- 75))) (< (+ (+ ?v_233 ?v_255) ?v_256) (- 14))))) (and (or (or (>= (+ ?v_74 ?v_4) 46) (= (+ ?v_237 ?v_64) 0)) (and (<= (+ (+ ?v_237 ?v_257) ?v_258) 89) (< (+ ?v_237 (* (- 56) ?x3)) 0))) (or (not (= ?v_259 0)) (> (+ ?v_232 ?v_343) 53)))))) (and (and (or (<= (+ (+ ?v_144 ?v_216) ?v_176) 0) (or (and (= (+ (+ ?v_28 ?v_94) ?v_14) 69) (>= (+ (+ ?v_260 (* 29 ?x2)) ?v_56) 34)) (and (>= ?v_58 0) (= (+ (+ ?v_276 ?v_118) ?v_261) 66)))) (and (or (and (not (= (+ (+ ?v_262 ?v_136) ?v_263) 71)) (<= (+ ?v_264 ?v_119) (- 99))) (and (or (> (* (- 25) ?x3) 0) (not (= (+ (* (- 92) ?x2) ?v_265) 66))) (or (< (+ (+ ?v_129 ?v_266) ?v_100) 0) (= (+ (+ ?v_42 ?v_266) ?v_164) (- 79))))) (or (and (< (+ ?v_124 ?v_267) 85) (>= (+ (+ (* (- 90) ?x1) (* (- 93) ?x2)) ?v_268) 0)) (and (and (<= (+ (+ ?v_74 ?v_269) ?v_270) (- 64)) (> (+ (+ (* (- 11) ?x1) ?v_37) ?v_125) 0)) (or (>= (+ (+ ?v_322 ?v_271) ?v_17) (- 80)) (< (+ (+ ?v_218 ?v_137) ?v_176) (- 83))))))) (and (or (or (and (> (+ (+ ?v_52 ?v_156) ?v_288) 95) (and (= (+ ?v_251 ?v_272) 0) (> (+ (* 66 ?x1) ?v_141) 0))) (and (and (> (+ ?v_273 ?v_274) 0) (< (+ (+ ?v_13 ?v_275) ?v_173) 0)) (or (<= (+ ?v_276 ?v_263) 29) (= (+ (+ ?v_72 ?v_277) ?v_278) 0)))) (and (and (and (<= (+ ?v_117 ?v_199) 77) (> (+ ?v_63 ?v_279) (- 51))) (> (+ (+ (* 30 ?x1) (* 89 ?x2)) ?v_157) 95)) (and (or (not (= (+ (+ ?v_202 ?v_98) ?v_280) 72)) (<= (+ ?v_124 ?v_281) (- 37))) (or (> ?v_213 0) (>= (+ ?v_282 ?v_283) (- 29)))))) (and (and (or (>= (+ ?v_284 (* 97 ?x3)) 0) (<= (+ ?v_179 ?v_294) 9)) (= ?v_172 (- 1))) (and (> (+ ?v_285 ?v_286) 30) (= ?v_237 0))))))) (or (and (and (or (or (or (and (not (= (+ (+ ?v_287 ?v_177) ?v_288) 0)) (<= (+ (+ ?v_289 (* 73 ?x2)) ?v_290) (- 72))) (>= (+ ?v_11 ?v_142) 31)) (or (and (<= ?v_97 27) (not (= (+ (+ ?v_291 ?v_223) ?v_76) 29))) (or (>= ?v_253 0) (> (+ (+ ?v_39 ?v_271) ?v_258) (- 94))))) (and (and (not (= (+ ?v_16 ?v_96) 2)) (> (+ ?v_2 ?v_164) 98)) (or (> (+ (+ ?v_292 ?v_152) ?v_14) (- 79)) (> ?v_147 26)))) (and (and (or (> (+ (+ ?v_77 (* 7 ?x2)) (* 60 ?x3)) 0) (<= (+ (+ ?v_293 ?v_5) ?v_294) (- 52))) (or (and (>= ?v_43 0) (<= (+ (+ ?v_28 ?v_295) (* 80 ?x3)) 0)) (or (> (+ (+ ?v_311 ?v_296) ?v_225) 98) (> ?v_226 (- 13))))) (and (and (< ?v_221 (- 5)) (= ?v_142 (- 91))) (or (< (+ ?v_233 ?v_320) (- 17)) (>= (+ (+ ?v_92 ?v_297) (* (- 90) ?x3)) 4))))) (and (or (> (+ (+ ?v_298 (* 5 ?x2)) ?v_280) (- 78)) (or (or (and (= (+ ?v_299 ?v_56) 15) (<= (+ (+ (* 13 ?x1) ?v_156) ?v_185) 0)) (or (= (+ (+ ?v_60 ?v_241) ?v_300) 57) (<= (+ ?v_180 (* (- 87) ?x3)) (- 93)))) (or (>= ?v_141 (- 29)) (> (+ (+ ?v_301 ?v_302) ?v_146) 24)))) (or (and (and (or (> (+ ?v_284 ?v_303) (- 13)) (> (+ ?v_6 ?v_304) (- 91))) (= (+ (+ ?v_305 ?v_306) ?v_307) (- 28))) (and (or (>= (+ ?v_308 ?v_116) (- 35)) (<= (+ (+ ?v_239 ?v_5) ?v_309) 0)) (and (>= (+ (* (- 21) ?x1) ?v_310) 0) (>= ?v_190 0)))) (and (or (not (= (+ (+ (* (- 51) ?x1) ?v_79) ?v_142) 81)) (not (= (+ (+ ?v_311 ?v_312) ?v_131) (- 6)))) (and (or (not (= (+ (+ ?v_92 ?v_313) ?v_192) 0)) (not (= (+ (+ ?v_249 ?v_314) ?v_185) 0))) (and (> (+ (+ ?v_179 ?v_118) ?v_31) 92) (not (= (+ (* 78 ?x1) ?v_169) 0)))))))) (or (or (and (or (and (and (<= (+ ?v_42 ?v_151) 36) (<= (+ ?v_202 ?v_172) (- 72))) (or (>= (+ (+ ?v_298 ?v_231) ?v_303) 0) (not (= (+ ?v_315 ?v_23) (- 91))))) (or (or (<= (+ (+ (* 62 ?x1) ?v_316) ?v_113) 0) (> (+ ?v_317 ?v_318) 38)) (< (+ ?v_63 ?v_319) 0))) (or (> (+ (+ ?v_55 (* 13 ?x2)) (* 29 ?x3)) 20) (or (or (not (= (+ ?v_167 ?v_224) 32)) (= (+ (+ ?v_276 ?v_156) ?v_320) (- 33))) (and (> (+ ?v_253 ?v_321) (- 82)) (<= (+ (+ (* 70 ?x1) (* 9 ?x2)) (* 54 ?x3)) 0))))) (or (or (or (not (= (+ (+ ?v_322 ?v_227) ?v_274) 96)) (> (+ (+ ?v_323 ?v_184) ?v_324) (- 21))) (or (not (= (+ ?v_51 ?v_5) (- 60))) (and (not (= (+ ?v_281 ?v_309) 98)) (<= (+ (+ ?v_133 ?v_325) ?v_326) 48)))) (and (and (<= ?v_206 11) (not (= (+ (+ ?v_327 ?v_347) ?v_14) (- 9)))) (or (> (+ (+ ?v_328 ?v_201) (* (- 59) ?x3)) (- 9)) (< (+ (* (- 33) ?x1) ?v_329) 0))))) (and (or (or (and (or (< (+ ?v_313 ?v_330) 61) (< (+ ?v_241 ?v_331) (- 17))) (or (< (+ ?v_332 ?v_53) (- 44)) (>= (+ (+ ?v_240 (* (- 35) ?x2)) ?v_333) (- 83)))) (or (>= (+ ?v_206 ?v_334) 97) (not (= (+ (+ ?v_335 ?v_336) ?v_337) (- 45))))) (and (or (and (>= ?v_55 0) (>= (+ (+ (* (- 31) ?x1) ?v_103) (* (- 4) ?x3)) (- 53))) (= (+ (+ ?v_84 ?v_73) ?v_338) 0)) (or (and (< (+ ?v_227 ?v_164) 88) (not (= (+ ?v_255 ?v_329) (- 7)))) (= (+ (+ ?v_339 ?v_151) (* (- 73) ?x3)) 0)))) (and (or (or (and (not (= ?v_171 0)) (= ?v_340 (- 66))) (or (not (= (+ ?v_341 (* 80 ?x2)) 0)) (<= (+ (+ ?v_239 ?v_275) ?v_192) 0))) (and (and (> (+ ?v_166 ?v_76) (- 67)) (> (+ ?v_245 ?v_342) (- 55))) (and (= (+ ?v_343 ?v_342) 39) (< (+ ?v_43 (* 30 ?x3)) (- 41))))) (or (or (< (+ (+ ?v_327 (* (- 61) ?x2)) ?v_344) 0) (not (= (+ ?v_94 ?v_248) (- 78)))) (or (and (not (= (+ (+ ?v_287 ?v_114) ?v_345) (- 34))) (>= (+ (+ ?v_200 ?v_346) ?v_300) 31)) (or (< (+ ?v_339 (* 93 ?x3)) 22) (>= (+ ?v_305 ?v_347) (- 11)))))))))))))))))
(check-sat)
(exit)
