(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_14 (* 14 ?x1)) (?v_0 (* 20 ?x2)) (?v_3 (* 79 ?x4)) (?v_32 (* 19 ?x4)) (?v_25 (* 92 ?x4)) (?v_10 (* 65 ?x3)) (?v_13 (* 62 ?x4)) (?v_30 (* 61 ?x3)) (?v_9 (* 94 ?x2)) (?v_26 (* 48 ?x1)) (?v_11 (* 30 ?x2)) (?v_7 (* 98 ?x3)) (?v_15 (* 93 ?x4)) (?v_16 (* 23 ?x1)) (?v_19 (* 59 ?x2)) (?v_27 (* 43 ?x4)) (?v_12 (* 99 ?x4)) (?v_20 (* 76 ?x4)) (?v_28 (* 71 ?x2)) (?v_5 (* (- 33) ?x3)) (?v_1 (* (- 51) ?x4)) (?v_2 (* (- 24) ?x2)) (?v_8 (* (- 30) ?x2)) (?v_4 (* (- 47) ?x4)) (?v_6 (* (- 75) ?x4)) (?v_18 (* (- 80) ?x1)) (?v_24 (* (- 2) ?x2)) (?v_33 (* (- 71) ?x1)) (?v_21 (* (- 65) ?x2)) (?v_31 (* (- 40) ?x2)) (?v_17 (* (- 98) ?x1)) (?v_22 (* (- 60) ?x3)) (?v_23 (* (- 74) ?x2)) (?v_29 (* (- 42) ?x3))) (and (and (and (and (and (or (< (+ (+ ?v_14 (* (- 86) ?x2)) (* (- 87) ?x4)) 19) (or (>= (+ (+ (* (- 57) ?x1) ?v_0) (* (- 5) ?x3)) (- 80)) (< (+ (+ (+ (* (- 60) ?x1) (* 53 ?x2)) ?v_5) (* (- 11) ?x4)) (- 23)))) (or (or (< (+ (+ (* 32 ?x1) ?v_0) ?v_1) (- 50)) (= (+ (+ (* 46 ?x1) (* (- 64) ?x2)) (* (- 4) ?x3)) 50)) (and (< (+ (+ (* 5 ?x2) (* (- 44) ?x3)) (* 75 ?x4)) (- 86)) (>= (+ (* 28 ?x2) ?v_1) (- 80))))) (and (and (and (not (= (+ (* (- 89) ?x3) (* (- 97) ?x4)) 69)) (>= (+ (+ (+ (* (- 52) ?x1) ?v_2) (* 64 ?x3)) (* 22 ?x4)) (- 98))) (= (+ (+ (* (- 94) ?x1) (* (- 1) ?x3)) (* (- 53) ?x4)) 63)) (or (<= (+ (+ (+ (* (- 74) ?x1) ?v_8) (* 8 ?x3)) ?v_3) 0) (and (not (= (+ (+ (* (- 97) ?x1) ?v_2) (* 36 ?x3)) 15)) (not (= ?v_4 99)))))) (or (and (and (and (<= (+ (+ (+ (* (- 35) ?x1) (* 50 ?x2)) (* 89 ?x3)) ?v_6) (- 4)) (not (= (+ (+ (* 95 ?x1) (* 19 ?x2)) (* (- 37) ?x3)) 72))) (and (<= (+ (+ ?v_18 (* 9 ?x2)) (* (- 77) ?x4)) 50) (> (+ (+ (+ (* 34 ?x1) (* (- 14) ?x2)) (* (- 80) ?x3)) ?v_32) (- 6)))) (and (and (< (* (- 22) ?x1) (- 2)) (<= (* 82 ?x4) (- 73))) (or (= (+ (* (- 8) ?x2) ?v_25) 0) (>= (+ (* (- 82) ?x1) (* 7 ?x2)) 88)))) (and (= (+ (+ (* (- 65) ?x1) ?v_10) (* (- 22) ?x4)) (- 4)) (>= (+ (+ (* 20 ?x1) (* (- 42) ?x2)) ?v_13) (- 92))))) (or (or (or (= (* (- 91) ?x4) 0) (>= (+ (+ (+ (* 40 ?x1) (* 95 ?x2)) ?v_30) (* (- 38) ?x4)) 88)) (or (or (= (+ (+ (* 75 ?x1) ?v_24) (* 95 ?x3)) 30) (= (+ (+ (+ ?v_33 ?v_9) (* 69 ?x3)) (* 16 ?x4)) (- 66))) (= (+ (+ (* 76 ?x1) (* (- 40) ?x3)) ?v_3) 8))) (or (or (or (= (+ (+ (+ (* (- 26) ?x1) (* 61 ?x2)) (* 2 ?x3)) (* 84 ?x4)) (- 90)) (and (< (+ (+ (+ ?v_26 (* (- 99) ?x2)) (* (- 59) ?x3)) (* (- 65) ?x4)) (- 86)) (> (+ ?v_11 (* (- 76) ?x3)) (- 75)))) (or (<= (+ (+ (+ (* 31 ?x1) ?v_21) (* (- 64) ?x3)) ?v_4) 0) (<= (+ (+ (* 72 ?x1) (* (- 46) ?x3)) (* (- 96) ?x4)) 0))) (or (or (not (= (+ (+ (* 44 ?x1) (* 47 ?x2)) (* (- 76) ?x4)) 0)) (not (= (+ (+ (+ (* (- 50) ?x1) (* 41 ?x2)) ?v_7) (* (- 5) ?x4)) 0))) (or (or (>= (+ (* (- 77) ?x2) (* 99 ?x3)) (- 47)) (not (= (+ (+ (* 14 ?x2) (* 91 ?x3)) (* (- 55) ?x4)) (- 51)))) (or (= (+ (* 96 ?x1) ?v_31) 0) (not (= (+ (+ (* (- 32) ?x1) (* (- 39) ?x3)) (* (- 42) ?x4)) (- 63))))))))) (or (or (and (or (and (or (<= (+ (+ (+ (* (- 20) ?x1) (* 38 ?x2)) (* (- 61) ?x3)) ?v_15) (- 91)) (>= (+ ?v_5 ?v_6) (- 23))) (or (= (+ ?v_17 (* 29 ?x4)) 0) (<= (+ (* 33 ?x1) (* 35 ?x2)) (- 70)))) (or (and (not (= (+ (+ (* 77 ?x2) ?v_7) (* (- 82) ?x4)) (- 54))) (= (+ (+ (+ (* (- 18) ?x1) ?v_8) (* 82 ?x3)) (* (- 100) ?x4)) (- 25))) (> (+ (+ (+ ?v_16 (* (- 82) ?x2)) (* (- 24) ?x3)) (* (- 67) ?x4)) 32))) (or (and (or (< (+ (+ (+ (* 4 ?x1) ?v_19) (* (- 92) ?x3)) ?v_27) 82) (>= (+ (+ (+ (* (- 25) ?x1) ?v_9) (* (- 27) ?x3)) (* 32 ?x4)) 67)) (> (+ (* (- 2) ?x1) ?v_10) (- 31))) (or (or (not (= ?v_12 33)) (>= (+ (+ (* 84 ?x2) (* (- 43) ?x3)) (* (- 52) ?x4)) (- 62))) (= (+ (+ (* 24 ?x1) ?v_11) (* (- 78) ?x3)) 75)))) (and (or (or (= (+ (+ (+ (* (- 17) ?x1) (* (- 17) ?x2)) (* 4 ?x3)) ?v_12) (- 33)) (> (+ (+ (* (- 1) ?x2) (* 53 ?x3)) ?v_13) (- 79))) (or (not (= (+ (+ (* 78 ?x2) (* 25 ?x3)) (* 98 ?x4)) 53)) (>= (+ (+ (+ (* (- 61) ?x1) (* (- 13) ?x2)) (* 71 ?x3)) (* (- 78) ?x4)) (- 41)))) (and (and (and (> (+ (+ (+ ?v_14 (* 58 ?x2)) (* 32 ?x3)) ?v_15) 0) (< (+ (+ (* (- 76) ?x1) (* 32 ?x2)) (* 60 ?x4)) 0)) (and (>= (+ (* (- 93) ?x2) (* (- 57) ?x4)) 79) (<= (+ (+ (* (- 96) ?x1) (* 73 ?x2)) (* (- 53) ?x3)) 14))) (or (and (< (+ (+ ?v_14 (* 76 ?x3)) (* (- 50) ?x4)) 40) (<= (* 75 ?x3) 11)) (>= (+ (+ ?v_16 (* (- 10) ?x2)) (* 59 ?x3)) (- 5)))))) (or (and (or (and (or (> (+ (* 3 ?x3) (* 63 ?x4)) (- 78)) (> (+ ?v_17 (* 6 ?x2)) 0)) (or (< (+ (+ (+ ?v_18 (* 57 ?x2)) ?v_22) (* (- 92) ?x4)) (- 68)) (> (+ (* (- 16) ?x1) (* 13 ?x4)) 27))) (and (or (< (+ (+ (* (- 70) ?x1) (* 74 ?x3)) (* 40 ?x4)) 97) (<= (+ (* (- 57) ?x3) ?v_20) 5)) (< (+ (+ (+ (* 61 ?x1) ?v_23) (* (- 3) ?x3)) (* 44 ?x4)) (- 92)))) (or (or (or (> (+ (+ (+ (* (- 78) ?x1) ?v_28) (* 29 ?x3)) (* 30 ?x4)) (- 21)) (< (+ (+ (+ (* 70 ?x1) ?v_19) (* (- 9) ?x3)) ?v_20) (- 11))) (not (= (+ (* 85 ?x1) (* (- 79) ?x2)) (- 25)))) (and (and (< (+ (+ (+ (* (- 31) ?x1) ?v_21) ?v_22) (* (- 68) ?x4)) 79) (< (+ (+ (* (- 3) ?x1) ?v_2) (* 87 ?x4)) 37)) (or (> (+ (+ ?v_23 (* 70 ?x3)) (* 34 ?x4)) (- 87)) (> (+ (+ (* 7 ?x1) ?v_24) ?v_25) 0))))) (and (and (and (= (+ (+ (* (- 85) ?x2) ?v_29) (* (- 20) ?x4)) 3) (= (+ (+ ?v_26 (* 56 ?x3)) ?v_27) 51)) (and (< (+ (+ (* (- 27) ?x1) ?v_28) ?v_29) 4) (= (+ (* 92 ?x2) ?v_30) (- 69)))) (and (and (> (+ (+ (+ (* (- 87) ?x1) ?v_31) (* (- 10) ?x3)) (* 78 ?x4)) 92) (> (+ (+ (* (- 90) ?x2) (* (- 18) ?x3)) ?v_32) (- 79))) (or (<= (+ (+ ?v_16 ?v_21) (* 17 ?x4)) 0) (> (+ (+ ?v_33 (* 15 ?x3)) (* (- 94) ?x4)) 38)))))))))))))
(check-sat)
(exit)
