(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_26 (* 98 ?x3)) (?v_1 (* 40 ?x2)) (?v_3 (* 4 ?x4)) (?v_7 (* 33 ?x3)) (?v_27 (* 1 ?x4)) (?v_2 (* 35 ?x4)) (?v_14 (* 49 ?x3)) (?v_5 (* 4 ?x3)) (?v_24 (* 29 ?x3)) (?v_20 (* 86 ?x4)) (?v_23 (* 79 ?x4)) (?v_25 (* 9 ?x4)) (?v_21 (* 13 ?x3)) (?v_17 (* (- 20) ?x2)) (?v_0 (* (- 80) ?x3)) (?v_10 (* (- 19) ?x1)) (?v_35 (* (- 67) ?x1)) (?v_16 (* (- 48) ?x2)) (?v_37 (* (- 41) ?x4)) (?v_11 (* (- 27) ?x2)) (?v_22 (* (- 99) ?x2)) (?v_4 (* (- 86) ?x1)) (?v_9 (* (- 77) ?x2)) (?v_29 (* (- 29) ?x1)) (?v_8 (* (- 47) ?x4)) (?v_6 (* (- 46) ?x2)) (?v_28 (* (- 43) ?x3)) (?v_30 (* (- 28) ?x2)) (?v_18 (* (- 97) ?x4)) (?v_36 (* (- 78) ?x2)) (?v_15 (* (- 100) ?x1)) (?v_12 (* (- 17) ?x3)) (?v_13 (* (- 28) ?x3)) (?v_33 (* (- 60) ?x1)) (?v_19 (* (- 15) ?x2)) (?v_34 (* (- 17) ?x4)) (?v_31 (* (- 51) ?x4)) (?v_32 (* (- 72) ?x4))) (and (and (or (or (or (or (or (>= (+ (+ (+ (* 39 ?x1) (* (- 5) ?x2)) (* (- 76) ?x3)) (* 94 ?x4)) (- 62)) (>= (+ (+ (+ (* (- 95) ?x1) (* (- 69) ?x2)) ?v_26) (* (- 79) ?x4)) (- 83))) (and (= (+ (+ (+ (* (- 93) ?x1) ?v_17) ?v_0) (* 64 ?x4)) 0) (< (+ (+ (+ (* 62 ?x1) (* (- 74) ?x2)) (* (- 2) ?x3)) (* 49 ?x4)) 0))) (and (and (= (+ (+ (+ ?v_10 ?v_1) (* (- 37) ?x3)) (* (- 86) ?x4)) (- 94)) (> (+ (+ (+ ?v_35 ?v_16) ?v_0) ?v_37) 0)) (or (<= (+ (+ (+ (* 83 ?x1) ?v_1) (* 96 ?x3)) ?v_3) 44) (= (+ (+ (* (- 59) ?x1) (* (- 32) ?x2)) (* (- 63) ?x4)) 0)))) (and (or (>= (+ (+ (* (- 71) ?x1) ?v_7) (* (- 76) ?x4)) (- 80)) (>= (+ (+ (+ (* 77 ?x1) (* (- 13) ?x2)) (* 80 ?x3)) (* 93 ?x4)) 0)) (or (> (+ (+ (* (- 41) ?x2) (* 2 ?x3)) ?v_27) 53) (not (= (+ (+ (* 64 ?x2) (* 76 ?x3)) (* 78 ?x4)) 0))))) (or (or (or (and (not (= (+ (+ ?v_11 (* 59 ?x3)) ?v_2) 93)) (<= (+ (+ ?v_22 (* (- 22) ?x3)) (* (- 77) ?x4)) 56)) (or (<= (+ (+ (* 33 ?x1) (* 94 ?x3)) (* 17 ?x4)) 26) (>= (+ (+ (* 20 ?x1) (* 72 ?x2)) (* 36 ?x4)) 28))) (and (or (> (+ (+ (+ (* (- 57) ?x1) (* 73 ?x2)) (* 5 ?x3)) (* (- 29) ?x4)) 0) (>= (+ (+ (+ ?v_4 ?v_9) (* (- 71) ?x3)) (* 20 ?x4)) 76)) (and (not (= (* (- 46) ?x4) (- 90))) (< (+ (+ (* 91 ?x1) (* (- 22) ?x2)) (* 46 ?x3)) (- 41))))) (and (or (and (not (= (+ (+ (* 64 ?x1) (* 32 ?x2)) (* (- 64) ?x4)) 3)) (<= (+ (+ (* (- 35) ?x2) (* 7 ?x3)) ?v_2) (- 67))) (or (> (+ (+ (+ (* (- 54) ?x1) (* (- 71) ?x2)) (* (- 15) ?x3)) (* (- 84) ?x4)) 0) (not (= (+ (+ (+ ?v_29 (* (- 63) ?x2)) (* 19 ?x3)) ?v_8) 84)))) (or (< (+ (+ (+ (* 58 ?x1) ?v_6) (* (- 14) ?x3)) ?v_3) 7) (not (= (+ (+ (+ (* (- 41) ?x1) (* (- 61) ?x2)) ?v_14) (* 33 ?x4)) 0)))))) (or (or (or (>= (+ (+ (+ (* (- 92) ?x1) (* 2 ?x2)) (* 27 ?x3)) (* (- 89) ?x4)) 4) (and (or (> (+ (* 43 ?x1) (* (- 31) ?x4)) 0) (>= ?v_4 16)) (or (= (+ (+ (* 68 ?x2) ?v_5) (* 85 ?x4)) 0) (= (+ (+ (* 4 ?x1) ?v_28) (* 51 ?x4)) 0)))) (or (or (or (> (+ (* 46 ?x1) ?v_5) 57) (>= (+ (+ (* 38 ?x1) (* 1 ?x2)) (* 81 ?x3)) (- 59))) (and (<= (+ (* 54 ?x1) (* 97 ?x4)) (- 94)) (> (+ (+ ?v_30 ?v_24) ?v_18) 0))) (or (not (= (+ (+ (+ (* (- 79) ?x1) (* 10 ?x2)) (* (- 54) ?x3)) ?v_20) 0)) (> (+ (* (- 70) ?x1) ?v_36) 29)))) (or (and (and (< (* 19 ?x1) (- 2)) (not (= (+ (+ (+ (* 63 ?x1) ?v_6) ?v_7) (* 15 ?x4)) (- 76)))) (and (and (< (+ (+ (+ (* (- 74) ?x1) (* (- 14) ?x2)) (* 18 ?x3)) (* (- 93) ?x4)) 0) (<= (+ (* 27 ?x2) (* 90 ?x3)) 2)) (and (>= (+ (* 67 ?x1) ?v_8) 22) (= (+ (+ (* (- 86) ?x2) (* 48 ?x3)) (* (- 87) ?x4)) 65)))) (and (or (= (+ (+ (+ ?v_15 ?v_9) ?v_12) (* 100 ?x4)) (- 12)) (not (= (+ (+ ?v_10 ?v_13) (* (- 7) ?x4)) 0))) (or (or (>= (+ (+ (* (- 12) ?x1) ?v_11) ?v_23) 67) (not (= (+ (* 15 ?x2) (* 72 ?x3)) 75))) (or (>= (+ (+ (* (- 52) ?x1) (* (- 30) ?x2)) ?v_12) 88) (< (+ (+ (* (- 90) ?x1) (* (- 80) ?x2)) (* (- 50) ?x3)) (- 5)))))))) (or (and (and (and (and (and (<= (+ (+ (+ (* 23 ?x1) ?v_11) ?v_13) (* 40 ?x4)) (- 91)) (< (+ (+ (* (- 76) ?x1) ?v_14) ?v_25) (- 77))) (or (not (= (+ (+ ?v_33 ?v_11) (* (- 4) ?x4)) (- 3))) (< (+ (+ (* (- 32) ?x1) (* (- 92) ?x2)) (* (- 72) ?x3)) 85))) (and (and (<= (+ (+ (* (- 40) ?x2) (* (- 61) ?x3)) (* 21 ?x4)) 98) (< (+ (+ (+ ?v_15 ?v_19) (* (- 23) ?x3)) (* 80 ?x4)) 0)) (= (+ ?v_16 (* 59 ?x4)) 0))) (and (or (and (= (+ (+ (* (- 4) ?x2) (* (- 94) ?x3)) (* 45 ?x4)) (- 58)) (not (= (+ (+ (+ (* (- 97) ?x1) ?v_17) ?v_21) (* (- 90) ?x4)) 96))) (and (= (+ (+ (* 20 ?x2) (* (- 24) ?x3)) ?v_18) (- 19)) (= (* 6 ?x1) (- 4)))) (or (= (+ (* (- 94) ?x1) (* (- 92) ?x4)) (- 15)) (or (<= (+ (+ (* (- 31) ?x1) ?v_19) (* 50 ?x3)) 62) (> (+ (+ (+ (* 95 ?x1) (* 90 ?x2)) (* (- 7) ?x3)) ?v_20) (- 27)))))) (or (and (and (and (not (= (+ (* (- 87) ?x2) (* (- 13) ?x3)) (- 54))) (not (= (+ (+ (+ ?v_15 (* 66 ?x2)) (* 16 ?x3)) ?v_34) 3))) (< (+ (+ (+ (* 28 ?x1) (* (- 68) ?x2)) (* (- 4) ?x3)) (* 44 ?x4)) (- 11))) (or (or (>= (+ (+ (* (- 2) ?x2) (* 9 ?x3)) (* 18 ?x4)) (- 32)) (< (+ (+ (* 34 ?x1) ?v_21) (* 96 ?x4)) (- 11))) (or (< (+ (+ (* 99 ?x2) (* (- 75) ?x3)) (* (- 70) ?x4)) 0) (>= (+ (* 89 ?x2) (* 53 ?x3)) 46)))) (and (and (<= (+ (+ (* 69 ?x1) (* 76 ?x2)) (* 81 ?x4)) 0) (and (= (+ ?v_22 ?v_23) 71) (>= (+ (+ (* (- 64) ?x1) ?v_0) (* (- 12) ?x4)) 85))) (and (or (<= (+ ?v_24 (* (- 100) ?x4)) 95) (<= (+ (+ (* 72 ?x1) (* 95 ?x2)) ?v_31) 77)) (>= (+ (+ (* 30 ?x1) (* (- 1) ?x2)) ?v_25) 0))))) (or (and (and (or (not (= (+ (+ (* 27 ?x1) (* 31 ?x2)) ?v_32) 0)) (not (= (+ (+ (+ (* 31 ?x1) (* (- 79) ?x2)) (* 37 ?x3)) (* 98 ?x4)) 2))) (and (<= (+ (+ (* (- 52) ?x2) ?v_26) ?v_27) 0) (>= (+ (+ (* (- 17) ?x1) (* (- 91) ?x2)) ?v_5) (- 5)))) (and (or (<= (+ (+ (* (- 82) ?x1) (* 5 ?x2)) ?v_28) (- 78)) (= (+ (+ ?v_29 (* 57 ?x2)) (* 24 ?x3)) 15)) (or (> (+ (+ (* (- 35) ?x1) ?v_30) (* (- 91) ?x4)) (- 13)) (= (+ (+ (* (- 6) ?x2) (* 92 ?x3)) ?v_31) 81)))) (or (or (and (<= ?v_32 36) (> (+ (+ (+ (* 32 ?x1) (* 54 ?x2)) (* (- 82) ?x3)) (* 13 ?x4)) 20)) (or (= (+ (+ (+ ?v_33 (* (- 21) ?x2)) ?v_26) (* 46 ?x4)) 96) (> (+ (+ (* (- 9) ?x1) (* (- 9) ?x2)) (* (- 19) ?x4)) 11))) (and (or (< (+ (+ (+ (* 97 ?x1) (* (- 44) ?x2)) (* (- 45) ?x3)) ?v_34) 61) (>= (+ (* 88 ?x1) (* (- 53) ?x4)) 0)) (and (not (= (+ (+ ?v_35 (* 39 ?x3)) (* (- 66) ?x4)) 0)) (>= (+ (+ (+ (* (- 34) ?x1) ?v_36) (* 22 ?x3)) ?v_37) 0)))))))))))))
(check-sat)
(exit)
