(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_27 (* 67 ?x3)) (?v_42 (* 50 ?x4)) (?v_25 (* 15 ?x3)) (?v_56 (* 41 ?x1)) (?v_58 (* 90 ?x1)) (?v_60 (* 32 ?x4)) (?v_22 (* 95 ?x2)) (?v_33 (* 51 ?x4)) (?v_7 (* 79 ?x1)) (?v_9 (* 76 ?x3)) (?v_17 (* 67 ?x4)) (?v_11 (* 16 ?x3)) (?v_54 (* 59 ?x1)) (?v_13 (* 10 ?x2)) (?v_81 (* 56 ?x3)) (?v_55 (* 18 ?x2)) (?v_34 (* 42 ?x1)) (?v_85 (* 63 ?x4)) (?v_30 (* 16 ?x1)) (?v_29 (* 34 ?x3)) (?v_44 (* 54 ?x3)) (?v_37 (* 98 ?x2)) (?v_23 (* 96 ?x3)) (?v_19 (* 75 ?x1)) (?v_45 (* 95 ?x1)) (?v_79 (* 75 ?x4)) (?v_52 (* 97 ?x3)) (?v_69 (* 49 ?x2)) (?v_48 (* 1 ?x1)) (?v_47 (* 48 ?x1)) (?v_35 (* 84 ?x2)) (?v_36 (* 97 ?x1)) (?v_76 (* 14 ?x2)) (?v_41 (* 60 ?x1)) (?v_80 (* 26 ?x1)) (?v_40 (* 76 ?x4)) (?v_74 (* 39 ?x4)) (?v_73 (* 67 ?x2)) (?v_66 (* 20 ?x2)) (?v_87 (* 81 ?x3)) (?v_2 (* (- 25) ?x3)) (?v_8 (* (- 9) ?x1)) (?v_1 (* (- 60) ?x3)) (?v_6 (* (- 1) ?x2)) (?v_16 (* (- 59) ?x3)) (?v_5 (* (- 35) ?x3)) (?v_43 (* (- 8) ?x3)) (?v_18 (* (- 36) ?x4)) (?v_4 (* (- 30) ?x4)) (?v_0 (* (- 37) ?x2)) (?v_3 (* (- 47) ?x3)) (?v_68 (* (- 100) ?x1)) (?v_78 (* (- 49) ?x4)) (?v_83 (* (- 93) ?x2)) (?v_21 (* (- 98) ?x2)) (?v_64 (* (- 20) ?x3)) (?v_84 (* (- 17) ?x4)) (?v_12 (* (- 90) ?x2)) (?v_14 (* (- 35) ?x1)) (?v_24 (* (- 62) ?x3)) (?v_51 (* (- 60) ?x2)) (?v_59 (* (- 35) ?x4)) (?v_86 (* (- 55) ?x2)) (?v_28 (* (- 56) ?x2)) (?v_32 (* (- 95) ?x2)) (?v_62 (* (- 32) ?x1)) (?v_10 (* (- 94) ?x2)) (?v_39 (* (- 70) ?x1)) (?v_70 (* (- 87) ?x2)) (?v_26 (* (- 75) ?x2)) (?v_20 (* (- 4) ?x1)) (?v_15 (* (- 14) ?x2)) (?v_75 (* (- 5) ?x1)) (?v_50 (* (- 45) ?x4)) (?v_38 (* (- 56) ?x3)) (?v_82 (* (- 23) ?x2)) (?v_31 (* (- 74) ?x4)) (?v_57 (* (- 32) ?x4)) (?v_65 (* (- 22) ?x2)) (?v_49 (* (- 64) ?x3)) (?v_88 (* (- 40) ?x4)) (?v_46 (* (- 14) ?x1)) (?v_67 (* (- 95) ?x4)) (?v_53 (* (- 59) ?x4)) (?v_63 (* (- 25) ?x2)) (?v_61 (* (- 81) ?x3)) (?v_77 (* (- 11) ?x3)) (?v_71 (* (- 67) ?x1)) (?v_72 (* (- 24) ?x2))) (or (and (or (or (and (and (and (< (+ (+ (+ (* 24 ?x1) (* (- 36) ?x2)) ?v_2) (* (- 80) ?x4)) 4) (= (+ (+ (+ ?v_8 (* (- 26) ?x2)) (* (- 38) ?x3)) (* (- 92) ?x4)) 12)) (or (>= (+ (+ (* (- 11) ?x1) (* (- 58) ?x2)) ?v_1) 0) (<= (+ (+ (* 94 ?x1) (* 94 ?x2)) (* (- 37) ?x4)) 0))) (or (and (>= (+ (+ (+ (* 46 ?x1) ?v_6) ?v_27) (* 57 ?x4)) 0) (>= (+ (+ (+ (* (- 48) ?x1) (* 28 ?x2)) ?v_16) ?v_42) 22)) (or (<= (+ (+ (* (- 29) ?x1) (* (- 54) ?x2)) ?v_25) 0) (= (+ (+ (+ (* 5 ?x1) (* (- 65) ?x2)) ?v_5) (* (- 91) ?x4)) 6)))) (and (and (> (+ (+ (* 93 ?x1) ?v_43) ?v_18) 69) (or (>= (+ (+ ?v_56 (* (- 21) ?x2)) (* (- 14) ?x3)) 64) (and (= (+ (+ (* 11 ?x1) (* 5 ?x2)) ?v_4) 0) (<= (+ (+ (* 34 ?x1) ?v_0) (* (- 80) ?x3)) 14)))) (or (or (and (not (= (+ (+ (* 68 ?x1) (* (- 63) ?x2)) (* 49 ?x3)) (- 30))) (>= (+ (+ (* 80 ?x2) (* (- 52) ?x3)) (* (- 24) ?x4)) 13)) (and (>= (+ (+ (+ ?v_58 ?v_0) ?v_3) (* (- 8) ?x4)) (- 98)) (= (+ (+ (* (- 77) ?x2) (* (- 23) ?x3)) (* (- 4) ?x4)) 0))) (> (+ (+ (* 27 ?x2) ?v_1) (* 43 ?x4)) 6)))) (or (and (or (and (and (> (+ (+ ?v_68 (* (- 9) ?x2)) (* (- 84) ?x4)) 0) (not (= (+ (+ (* (- 57) ?x2) (* 71 ?x3)) ?v_60) (- 33)))) (and (not (= (+ (+ (* (- 21) ?x1) (* 58 ?x3)) (* (- 54) ?x4)) 15)) (<= (+ (+ ?v_22 ?v_2) ?v_78) (- 19)))) (and (or (= (+ ?v_3 ?v_33) 17) (not (= (+ (+ (+ (* (- 43) ?x1) ?v_83) (* 10 ?x3)) (* 20 ?x4)) (- 57)))) (and (> (+ (+ ?v_7 ?v_9) (* 30 ?x4)) 0) (not (= (+ (* 37 ?x3) ?v_4) 15))))) (and (= (+ (* (- 62) ?x1) ?v_5) 0) (<= (+ (+ ?v_21 (* 69 ?x3)) (* (- 75) ?x4)) 47))) (and (or (or (not (= (+ (+ (* (- 83) ?x1) (* 80 ?x3)) (* 46 ?x4)) 0)) (> (+ (* 37 ?x2) (* (- 12) ?x4)) 62)) (or (or (= (+ (+ (* 76 ?x2) ?v_64) ?v_84) 0) (>= (+ (+ (* (- 77) ?x1) ?v_12) ?v_17) (- 95))) (and (>= (+ (* (- 6) ?x2) (* 94 ?x3)) 79) (= (* (- 31) ?x3) 0)))) (< (+ (+ ?v_14 ?v_6) ?v_24) (- 29))))) (or (and (or (and (not (= ?v_11 (- 36))) (> (+ (+ (+ (* (- 68) ?x1) ?v_51) (* 17 ?x3)) (* (- 66) ?x4)) 0)) (or (> (+ (+ (+ (* 83 ?x1) (* 73 ?x2)) (* (- 72) ?x3)) ?v_59) 6) (not (= (+ ?v_54 ?v_86) 42)))) (or (or (<= (+ ?v_28 (* (- 76) ?x3)) (- 28)) (or (<= (+ (+ ?v_32 (* 64 ?x3)) (* 11 ?x4)) 0) (> (+ (+ ?v_7 (* 9 ?x3)) (* 24 ?x4)) (- 13)))) (or (and (= (+ (+ (+ (* 56 ?x1) (* 13 ?x2)) (* 27 ?x3)) (* (- 41) ?x4)) 6) (> (+ ?v_8 (* 15 ?x2)) (- 85))) (or (not (= (+ (+ (+ ?v_62 ?v_13) (* (- 79) ?x3)) (* (- 61) ?x4)) 0)) (> (+ (+ (+ (* 62 ?x1) ?v_10) ?v_81) (* 41 ?x4)) (- 82)))))) (and (or (and (and (>= (+ (+ (* 74 ?x1) ?v_55) (* (- 63) ?x4)) 0) (and (< (+ (+ ?v_39 ?v_70) ?v_9) 46) (>= (+ (+ ?v_34 ?v_26) ?v_85) 58))) (or (and (= (+ ?v_20 ?v_15) 0) (= (+ (+ (+ (* (- 1) ?x1) ?v_10) ?v_11) (* 89 ?x4)) 0)) (> (+ (+ ?v_75 ?v_12) (* 12 ?x4)) 29))) (and (or (>= (+ (+ ?v_30 ?v_13) ?v_29) 49) (> (+ (+ (* (- 92) ?x2) ?v_44) ?v_50) (- 55))) (and (< (+ (+ (+ (* 45 ?x1) (* 97 ?x2)) (* (- 63) ?x3)) (* (- 57) ?x4)) (- 71)) (<= (+ (+ (+ ?v_14 ?v_15) ?v_16) (* 16 ?x4)) 27)))) (and (or (or (or (> (+ (+ (+ (* (- 98) ?x1) ?v_37) ?v_23) ?v_17) 48) (< (+ (* (- 78) ?x1) (* 82 ?x2)) (- 38))) (or (<= (+ (+ (+ ?v_19 (* 44 ?x2)) ?v_38) ?v_18) (- 91)) (<= (+ ?v_82 (* 6 ?x3)) 29))) (or (and (<= (+ ?v_19 (* 77 ?x2)) (- 67)) (= (* 31 ?x2) 0)) (and (<= (+ (+ ?v_45 (* (- 90) ?x3)) ?v_79) (- 79)) (>= (+ (* 59 ?x2) ?v_52) 34)))) (or (or (or (< (+ (* (- 44) ?x1) (* (- 46) ?x4)) (- 11)) (not (= (+ (+ ?v_20 ?v_21) (* (- 29) ?x4)) 63))) (or (< (+ (* 98 ?x1) (* 82 ?x3)) 25) (<= (+ (+ (+ (* (- 76) ?x1) ?v_22) (* 73 ?x3)) (* (- 42) ?x4)) 5))) (and (and (< (+ (* 9 ?x1) ?v_23) (- 11)) (<= (+ (+ (+ (* (- 72) ?x1) (* 53 ?x2)) ?v_24) (* (- 79) ?x4)) (- 22))) (and (<= (+ (+ ?v_69 ?v_25) (* 65 ?x4)) 74) (> (+ (* 39 ?x2) (* (- 95) ?x3)) (- 87))))))))) (or (and (or (or (and (and (<= (+ (+ (+ (* (- 46) ?x1) ?v_26) ?v_27) ?v_31) 0) (= (+ (+ (+ ?v_48 (* 81 ?x2)) (* 7 ?x3)) ?v_57) (- 96))) (or (= (+ (+ ?v_47 ?v_28) ?v_29) 42) (< (+ ?v_30 ?v_31) 34))) (and (or (>= (+ (+ ?v_35 (* 60 ?x3)) (* 33 ?x4)) 0) (<= (+ (+ ?v_36 ?v_76) ?v_5) (- 72))) (or (> (+ (* 35 ?x1) (* (- 75) ?x3)) (- 46)) (<= (+ ?v_65 (* (- 22) ?x4)) 0)))) (or (and (> (+ (* 42 ?x2) ?v_49) 45) (> (+ (+ ?v_32 (* (- 39) ?x3)) ?v_33) 57)) (and (and (> (+ (* 74 ?x2) (* (- 1) ?x3)) (- 7)) (>= (+ (+ ?v_41 ?v_26) (* (- 33) ?x4)) 0)) (and (>= (+ ?v_34 ?v_35) 0) (= (+ (+ (+ ?v_80 (* (- 16) ?x2)) (* (- 58) ?x3)) (* (- 97) ?x4)) (- 57)))))) (and (and (or (and (= (+ (+ (* 69 ?x1) (* 72 ?x2)) (* 14 ?x4)) 45) (>= (+ (+ (+ (* 99 ?x1) (* 3 ?x2)) (* (- 44) ?x3)) ?v_40) (- 38))) (or (= (+ (+ (+ ?v_36 ?v_37) ?v_38) ?v_88) 96) (> (+ (+ (* (- 37) ?x1) ?v_15) (* (- 84) ?x3)) 29))) (and (and (> (+ (+ (+ ?v_39 (* (- 61) ?x2)) (* (- 41) ?x3)) ?v_40) 68) (<= (+ ?v_41 ?v_74) (- 18))) (or (<= (+ (+ (+ (* (- 42) ?x1) ?v_73) (* 68 ?x3)) ?v_42) (- 51)) (< (+ ?v_20 (* 74 ?x4)) (- 95))))) (or (or (not (= (+ (+ (+ (* 47 ?x1) (* 75 ?x2)) ?v_43) (* (- 18) ?x4)) 42)) (not (= (+ (+ (+ (* 39 ?x1) (* 57 ?x2)) ?v_44) (* (- 88) ?x4)) 9))) (or (or (not (= (+ (+ ?v_45 (* (- 40) ?x2)) (* 25 ?x4)) 20)) (> (+ (+ ?v_46 (* 22 ?x2)) (* 1 ?x4)) 53)) (>= (+ ?v_46 (* 45 ?x4)) (- 2)))))) (and (and (and (and (or (or (>= (+ (+ (+ ?v_47 (* 52 ?x2)) (* 85 ?x3)) (* 73 ?x4)) 70) (not (= (+ (+ ?v_39 (* 48 ?x3)) ?v_67) (- 30)))) (or (<= (+ (+ (+ (* (- 94) ?x1) (* (- 8) ?x2)) (* 40 ?x3)) ?v_53) 47) (> (+ (+ ?v_48 ?v_49) (* 42 ?x4)) 27))) (and (or (= (+ (+ (* 29 ?x1) (* 43 ?x2)) (* (- 30) ?x3)) 0) (not (= (+ (+ ?v_63 (* 3 ?x3)) (* (- 87) ?x4)) 39))) (or (>= (+ (+ (* 58 ?x1) ?v_61) (* 27 ?x4)) (- 2)) (< (+ (+ (+ (* 40 ?x1) (* (- 15) ?x2)) (* (- 36) ?x3)) (* 69 ?x4)) 0)))) (or (and (<= (+ (* (- 58) ?x1) (* 19 ?x4)) 0) (not (= (* (- 83) ?x4) 35))) (or (= (+ (* 38 ?x3) ?v_50) (- 21)) (= (+ (* (- 88) ?x1) ?v_51) (- 9))))) (or (and (or (= (+ (+ (* (- 60) ?x1) ?v_52) ?v_53) (- 39)) (< (+ (+ (+ ?v_54 ?v_55) (* 47 ?x3)) (* (- 68) ?x4)) 94)) (and (> (+ (+ (+ (* 81 ?x1) (* (- 67) ?x2)) ?v_77) (* 23 ?x4)) 17) (not (= (+ (+ (+ ?v_56 (* 90 ?x2)) (* (- 67) ?x3)) ?v_57) 0)))) (and (and (>= (+ ?v_58 (* (- 2) ?x4)) 1) (< (+ (+ (* (- 87) ?x1) ?v_22) ?v_59) 46)) (or (and (= (+ (+ (* (- 19) ?x1) (* (- 86) ?x3)) ?v_60) (- 97)) (<= (+ (+ (+ ?v_71 ?v_66) ?v_61) (* 13 ?x4)) 68)) (not (= (+ (* 86 ?x1) (* (- 20) ?x2)) 80)))))) (and (or (and (or (or (not (= (+ (+ ?v_62 ?v_63) ?v_64) 12)) (= (+ (+ (* (- 69) ?x1) ?v_65) (* (- 99) ?x3)) (- 100))) (or (>= (+ (+ (+ ?v_58 ?v_66) (* (- 98) ?x3)) ?v_67) (- 23)) (= (+ (* 76 ?x1) (* (- 12) ?x3)) 80))) (and (<= (+ (+ ?v_68 (* (- 33) ?x2)) (* (- 94) ?x4)) 0) (<= (+ (+ (+ (* (- 71) ?x1) ?v_69) (* (- 40) ?x3)) (* (- 25) ?x4)) (- 33)))) (and (or (and (< (+ (+ (+ (* (- 40) ?x1) ?v_72) (* 35 ?x3)) (* 21 ?x4)) 34) (< (+ ?v_70 ?v_3) 0)) (and (> (+ (+ (+ ?v_71 ?v_72) (* 11 ?x3)) (* 61 ?x4)) (- 84)) (>= ?v_51 52))) (or (and (not (= (+ (+ (* (- 75) ?x1) ?v_73) ?v_5) 63)) (<= (+ (* 25 ?x1) (* 41 ?x2)) 98)) (and (> (+ (+ (+ (* 53 ?x1) (* 45 ?x2)) (* 44 ?x3)) ?v_74) 21) (< (+ (+ (+ ?v_75 ?v_76) ?v_77) (* 90 ?x4)) 97))))) (and (and (or (< (+ (* (- 23) ?x1) ?v_26) (- 80)) (<= (+ (+ (+ (* 15 ?x1) ?v_69) (* (- 45) ?x3)) ?v_78) 0)) (>= (+ (+ ?v_41 (* (- 11) ?x2)) ?v_79) 43)) (or (or (and (<= (+ (* 21 ?x2) (* (- 62) ?x4)) 71) (> (+ (+ (+ ?v_80 (* 66 ?x2)) (* (- 4) ?x3)) (* (- 78) ?x4)) (- 75))) (and (= (+ (* 88 ?x2) ?v_81) 0) (= (+ (* (- 50) ?x1) ?v_82) 17))) (and (or (<= (+ (+ ?v_83 ?v_87) ?v_84) (- 22)) (<= (+ (+ (+ (* (- 26) ?x1) (* 4 ?x2)) (* 28 ?x3)) ?v_85) 47)) (or (not (= (+ (+ ?v_19 ?v_86) ?v_87) (- 21))) (> (+ (+ (* 52 ?x1) (* 87 ?x2)) ?v_88) 48)))))))))))))))
(check-sat)
(exit)
