(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_74 (* 98 ?x1)) (?v_21 (* 64 ?x2)) (?v_31 (* 11 ?x3)) (?v_5 (* 52 ?x3)) (?v_6 (* 49 ?x4)) (?v_1 (* 40 ?x1)) (?v_3 (* 80 ?x3)) (?v_14 (* 8 ?x4)) (?v_4 (* 4 ?x2)) (?v_80 (* 59 ?x4)) (?v_8 (* 14 ?x3)) (?v_7 (* 1 ?x2)) (?v_15 (* 2 ?x1)) (?v_64 (* 76 ?x1)) (?v_43 (* 59 ?x2)) (?v_11 (* 35 ?x2)) (?v_57 (* 18 ?x2)) (?v_72 (* 26 ?x3)) (?v_18 (* 46 ?x1)) (?v_22 (* 30 ?x3)) (?v_85 (* 48 ?x3)) (?v_45 (* 89 ?x3)) (?v_37 (* 49 ?x1)) (?v_25 (* 27 ?x1)) (?v_35 (* 9 ?x2)) (?v_71 (* 98 ?x2)) (?v_76 (* 4 ?x1)) (?v_19 (* 35 ?x4)) (?v_44 (* 6 ?x4)) (?v_23 (* 4 ?x3)) (?v_33 (* 51 ?x3)) (?v_67 (* 29 ?x1)) (?v_50 (* 86 ?x2)) (?v_51 (* 15 ?x4)) (?v_49 (* 90 ?x1)) (?v_39 (* 43 ?x4)) (?v_54 (* 100 ?x2)) (?v_62 (* 40 ?x2)) (?v_63 (* 5 ?x4)) (?v_70 (* 29 ?x2)) (?v_58 (* 20 ?x4)) (?v_89 (* 37 ?x3)) (?v_60 (* 13 ?x1)) (?v_83 (* 61 ?x3)) (?v_82 (* 9 ?x4)) (?v_95 (* 38 ?x4)) (?v_90 (* 54 ?x4)) (?v_9 (* (- 40) ?x3)) (?v_46 (* (- 20) ?x1)) (?v_0 (* (- 80) ?x1)) (?v_61 (* (- 39) ?x4)) (?v_56 (* (- 2) ?x1)) (?v_29 (* (- 86) ?x2)) (?v_2 (* (- 63) ?x2)) (?v_42 (* (- 48) ?x1)) (?v_94 (* (- 41) ?x2)) (?v_26 (* (- 16) ?x4)) (?v_17 (* (- 13) ?x2)) (?v_20 (* (- 11) ?x3)) (?v_32 (* (- 27) ?x1)) (?v_78 (* (- 96) ?x4)) (?v_65 (* (- 99) ?x1)) (?v_10 (* (- 22) ?x1)) (?v_59 (* (- 30) ?x3)) (?v_38 (* (- 29) ?x2)) (?v_73 (* (- 25) ?x4)) (?v_30 (* (- 77) ?x1)) (?v_13 (* (- 71) ?x1)) (?v_12 (* (- 46) ?x2)) (?v_84 (* (- 64) ?x2)) (?v_66 (* (- 100) ?x2)) (?v_41 (* (- 15) ?x1)) (?v_28 (* (- 47) ?x2)) (?v_24 (* (- 14) ?x1)) (?v_16 (* (- 77) ?x3)) (?v_40 (* (- 61) ?x1)) (?v_68 (* (- 51) ?x2)) (?v_69 (* (- 16) ?x3)) (?v_55 (* (- 68) ?x4)) (?v_52 (* (- 65) ?x4)) (?v_27 (* (- 46) ?x3)) (?v_34 (* (- 28) ?x1)) (?v_47 (* (- 97) ?x2)) (?v_93 (* (- 78) ?x1)) (?v_36 (* (- 67) ?x3)) (?v_48 (* (- 34) ?x3)) (?v_77 (* (- 39) ?x3)) (?v_53 (* (- 4) ?x1)) (?v_86 (* (- 17) ?x2)) (?v_75 (* (- 94) ?x4)) (?v_87 (* (- 83) ?x3)) (?v_79 (* (- 72) ?x2)) (?v_81 (* (- 82) ?x1)) (?v_88 (* (- 19) ?x2)) (?v_92 (* (- 41) ?x3)) (?v_91 (* (- 55) ?x2))) (and (and (or (or (or (or (or (and (>= (+ (+ (+ (* (- 5) ?x1) (* 94 ?x2)) (* (- 9) ?x3)) (* 16 ?x4)) (- 62)) (> (+ (+ (* (- 76) ?x1) (* 37 ?x2)) (* (- 20) ?x3)) 39)) (and (>= (+ (+ (+ (* (- 69) ?x1) (* (- 79) ?x2)) ?v_9) (* (- 12) ?x4)) (- 83)) (< (+ (+ ?v_74 (* 43 ?x2)) (* (- 53) ?x3)) (- 95)))) (and (or (= (+ (+ ?v_46 ?v_21) ?v_31) 0) (not (= (+ (+ ?v_0 (* (- 32) ?x2)) ?v_5) (- 93)))) (and (< (+ (+ (+ (* (- 74) ?x1) (* 49 ?x2)) (* (- 80) ?x3)) ?v_61) 0) (<= (+ (+ (+ ?v_56 (* 75 ?x2)) (* 54 ?x3)) ?v_6) 62)))) (and (and (and (= (+ (+ (+ ?v_1 ?v_29) (* (- 17) ?x3)) (* (- 78) ?x4)) (- 94)) (<= (+ (+ (+ (* (- 37) ?x1) ?v_2) ?v_3) (* (- 95) ?x4)) (- 19))) (or (> (+ (+ (+ ?v_42 ?v_94) (* (- 25) ?x3)) ?v_14) 0) (<= (+ ?v_0 (* (- 95) ?x2)) (- 67)))) (or (and (<= (+ (+ ?v_1 ?v_4) (* (- 67) ?x4)) 44) (<= (+ (+ (* 96 ?x1) (* 36 ?x3)) (* 75 ?x4)) 83)) (or (= (+ (+ (+ (* (- 32) ?x1) ?v_2) (* (- 31) ?x3)) ?v_80) 0) (>= (* 92 ?x2) (- 59)))))) (and (or (or (>= (+ (* (- 76) ?x2) (* (- 64) ?x4)) (- 80)) (< (+ (+ (* 33 ?x1) ?v_8) ?v_26) (- 71))) (< (+ (+ (+ (* 77 ?x1) ?v_17) ?v_3) (* 93 ?x4)) 0)) (or (and (> (+ (+ (+ (* (- 41) ?x1) ?v_7) (* (- 92) ?x3)) (* 85 ?x4)) 53) (not (= (+ (+ ?v_15 (* 56 ?x3)) (* (- 58) ?x4)) 0))) (and (not (= (+ (+ (* 64 ?x1) (* 78 ?x2)) (* (- 12) ?x3)) 0)) (>= (+ (+ ?v_64 ?v_43) ?v_20) 0))))) (or (or (or (and (or (not (= (+ (+ ?v_32 ?v_11) ?v_78) 93)) (< (+ (+ (* 59 ?x1) ?v_4) ?v_5) 0)) (and (<= (+ (+ (+ ?v_65 (* (- 77) ?x2)) (* (- 78) ?x3)) (* 55 ?x4)) 56) (> (+ (+ ?v_10 (* 19 ?x2)) (* 58 ?x3)) 0))) (or (or (<= (+ (+ (* 17 ?x2) (* 68 ?x3)) ?v_6) 26) (> (+ (+ (+ (* 94 ?x1) ?v_57) ?v_72) (* 78 ?x4)) 33)) (or (>= (+ (+ (* 72 ?x1) (* 36 ?x2)) (* (- 1) ?x4)) 28) (<= (+ (* (- 69) ?x2) ?v_59) 20)))) (and (or (or (> (+ (* 73 ?x1) ?v_38) 0) (not (= (+ (+ (+ (* 5 ?x1) ?v_7) ?v_8) ?v_73) (- 57)))) (and (>= (+ (+ ?v_30 (* 20 ?x2)) ?v_9) 76) (< (+ (+ (+ ?v_13 (* (- 24) ?x2)) (* 27 ?x3)) (* (- 10) ?x4)) (- 86)))) (and (and (not (= (+ ?v_12 (* 81 ?x3)) (- 90))) (> (* 95 ?x4) 0)) (and (< ?v_10 (- 41)) (< (+ (+ (+ ?v_18 (* (- 83) ?x2)) ?v_22) (* (- 89) ?x4)) 91))))) (and (or (and (and (not (= (+ (* 32 ?x1) ?v_84) 3)) (>= (+ (+ ?v_66 ?v_85) (* (- 59) ?x4)) 64)) (and (<= (+ (+ (+ (* (- 35) ?x1) ?v_11) ?v_45) ?v_6) (- 67)) (< (+ (+ (+ (* 7 ?x1) ?v_12) (* (- 6) ?x3)) (* 60 ?x4)) 0))) (or (or (> (+ (+ ?v_13 (* (- 84) ?x2)) ?v_14) 0) (not (= (+ (+ ?v_41 (* (- 68) ?x2)) (* (- 18) ?x3)) (- 54)))) (or (not (= (+ (+ (+ (* (- 63) ?x1) ?v_28) (* 34 ?x3)) (* 72 ?x4)) 84)) (< (+ (* 19 ?x1) (* (- 72) ?x3)) (- 29))))) (or (and (< (+ (+ (* (- 46) ?x1) ?v_4) (* 41 ?x4)) 7) (< (+ ?v_24 ?v_16) 58)) (and (not (= (+ (+ (+ ?v_40 (* 33 ?x2)) (* 97 ?x3)) (* 4 ?x4)) 0)) (< (+ (+ (+ ?v_37 ?v_68) (* 77 ?x3)) (* (- 17) ?x4)) (- 41))))))) (or (or (or (or (>= (+ (+ (+ ?v_15 (* (- 89) ?x2)) (* 1 ?x3)) (* (- 44) ?x4)) 4) (>= (+ (+ (+ ?v_25 (* 90 ?x2)) ?v_69) ?v_55) (- 92))) (and (or (or (> (+ (+ (* (- 31) ?x2) (* (- 22) ?x3)) (* (- 37) ?x4)) 0) (>= (+ ?v_35 (* 20 ?x3)) 43)) (or (>= (+ ?v_16 ?v_52) 16) (>= (+ ?v_71 ?v_27) (- 86)))) (or (or (= (+ (+ (+ (* 68 ?x1) (* 85 ?x2)) (* 84 ?x3)) (* 28 ?x4)) 0) (> (+ (+ (+ ?v_76 (* (- 22) ?x2)) (* (- 62) ?x3)) ?v_19) 0)) (and (= (+ (* 51 ?x2) (* 38 ?x3)) 0) (>= (+ (+ (+ (* (- 43) ?x1) ?v_17) (* 47 ?x3)) ?v_44) 4))))) (or (or (or (<= (+ ?v_18 ?v_23) 57) (or (>= (+ (+ (* 1 ?x1) ?v_33) ?v_19) (- 59)) (<= (+ (+ (+ (* 81 ?x1) (* (- 65) ?x2)) ?v_8) (* 100 ?x4)) 38))) (and (and (<= (* 97 ?x2) (- 94)) (not (= (+ (* (- 44) ?x3) (* 68 ?x4)) 54))) (and (> (+ (+ (+ ?v_34 ?v_47) ?v_20) (* 18 ?x4)) 0) (> (+ (+ ?v_67 ?v_21) ?v_22) 0)))) (or (and (not (= (+ (+ (+ (* 10 ?x1) ?v_50) (* 57 ?x3)) (* (- 84) ?x4)) 0)) (> (+ (+ (+ (* (- 54) ?x1) (* (- 59) ?x2)) ?v_23) (* (- 19) ?x4)) (- 79))) (and (> (+ ?v_93 (* 52 ?x4)) 29) (> (* 65 ?x2) (- 70)))))) (or (and (and (or (< (* 7 ?x3) (- 2)) (>= (* (- 73) ?x4) 19)) (= (+ (+ (+ (* 63 ?x1) ?v_12) (* 33 ?x3)) ?v_51) (- 76))) (and (and (and (< (+ (+ (+ ?v_24 (* (- 93) ?x2)) (* (- 99) ?x3)) (* 2 ?x4)) 0) (>= (+ (* 18 ?x1) (* 9 ?x3)) (- 74))) (or (<= (+ (+ ?v_25 (* (- 65) ?x3)) ?v_26) 2) (> (+ ?v_49 ?v_27) 0))) (and (or (>= (+ (+ ?v_28 ?v_36) ?v_39) 22) (< (+ (* (- 34) ?x2) (* (- 45) ?x3)) 67)) (and (= (+ (+ (* (- 86) ?x1) (* (- 87) ?x2)) (* (- 73) ?x3)) 65) (= (+ (+ (+ (* 48 ?x1) ?v_29) (* 95 ?x3)) (* (- 11) ?x4)) 0))))) (or (or (= (+ (+ (+ ?v_30 ?v_54) ?v_31) ?v_19) (- 12)) (not (= (+ (+ (+ (* (- 17) ?x1) (* 72 ?x2)) (* 64 ?x3)) (* (- 27) ?x4)) (- 100)))) (= (+ (+ (* (- 19) ?x1) (* (- 28) ?x3)) (* (- 7) ?x4)) 0))))) (or (and (and (and (and (and (or (<= (+ (+ (+ ?v_32 ?v_62) ?v_33) ?v_63) (- 91)) (<= (+ (+ (+ ?v_34 ?v_70) (* (- 82) ?x3)) (* 79 ?x4)) 23)) (or (< (+ (+ ?v_35 ?v_36) (* (- 6) ?x4)) (- 77)) (<= (+ (+ (+ ?v_37 (* (- 16) ?x2)) (* 23 ?x3)) (* (- 55) ?x4)) (- 76)))) (or (and (not (= (+ (+ (+ ?v_32 (* (- 4) ?x2)) ?v_48) ?v_26) (- 3))) (not (= (+ (* 67 ?x2) (* (- 63) ?x4)) (- 60)))) (or (< (+ (* (- 92) ?x1) (* 71 ?x3)) 85) (>= (+ (+ (+ (* (- 72) ?x1) ?v_38) (* (- 8) ?x3)) ?v_39) (- 32))))) (and (and (and (<= (+ (+ (* (- 40) ?x1) (* 21 ?x2)) (* 10 ?x3)) 98) (= (+ (+ (+ ?v_40 (* (- 21) ?x2)) (* (- 3) ?x3)) (* 44 ?x4)) 0)) (and (< (+ (+ (+ ?v_41 (* 80 ?x2)) (* (- 49) ?x3)) (* 39 ?x4)) 0) (= (+ (+ (* (- 23) ?x1) (* 100 ?x3)) (* 73 ?x4)) (- 100)))) (and (= (+ (+ (+ ?v_42 ?v_43) ?v_77) ?v_44) 0) (<= (+ (+ (* (- 49) ?x2) ?v_45) ?v_58) 0)))) (and (or (and (or (= (+ (+ (+ ?v_53 (* 45 ?x2)) ?v_89) (* (- 54) ?x4)) (- 58)) (= (+ (+ (+ (* (- 94) ?x1) (* 16 ?x2)) (* (- 42) ?x3)) (* (- 36) ?x4)) 0)) (or (not (= (+ (+ (+ ?v_46 (* (- 90) ?x2)) (* (- 54) ?x3)) (* 61 ?x4)) 96)) (<= (+ (+ (+ ?v_60 (* (- 71) ?x2)) ?v_16) (* (- 52) ?x4)) (- 97)))) (and (and (= (+ (+ (+ (* 20 ?x1) ?v_47) ?v_83) (* (- 92) ?x4)) (- 19)) (< (+ (* (- 24) ?x1) (* (- 2) ?x4)) 0)) (or (= (* (- 14) ?x4) (- 4)) (not (= (+ (* 83 ?x2) ?v_48) 6))))) (or (or (= (+ (+ (* (- 92) ?x2) (* 32 ?x3)) (* 92 ?x4)) (- 15)) (> (+ (+ ?v_7 (* 73 ?x3)) (* 32 ?x4)) (- 94))) (or (> (+ (+ (* (- 31) ?x1) (* (- 15) ?x2)) (* 50 ?x3)) 62) (or (> (+ (+ ?v_49 ?v_50) ?v_51) (- 27)) (<= (+ (+ (* (- 7) ?x1) (* 95 ?x2)) ?v_82) 95)))))) (or (and (and (and (or (not (= (+ (+ (* (- 87) ?x1) (* 74 ?x3)) ?v_39) (- 54))) (> (+ (+ (* (- 13) ?x1) (* 25 ?x2)) (* 69 ?x4)) 0)) (and (not (= (+ (+ (+ (* 66 ?x1) ?v_86) (* 92 ?x3)) ?v_52) 3)) (= (+ (+ (* 16 ?x1) (* (- 27) ?x3)) ?v_39) (- 100)))) (or (< (+ (+ (* (- 68) ?x1) (* 44 ?x2)) (* (- 76) ?x4)) (- 11)) (< (+ (+ ?v_53 ?v_54) ?v_55) 28))) (or (or (and (>= (+ (+ ?v_56 ?v_57) ?v_58) (- 32)) (= (+ (+ (+ (* 9 ?x1) (* 69 ?x2)) ?v_16) (* 45 ?x4)) 0)) (and (< (+ (+ (* 96 ?x2) ?v_59) (* (- 41) ?x4)) (- 11)) (< (+ (+ (+ ?v_60 (* 82 ?x2)) (* 62 ?x3)) ?v_75) 34))) (or (or (< (+ (+ (+ (* 99 ?x1) (* (- 70) ?x2)) ?v_59) ?v_61) 0) (> (+ (+ (* (- 75) ?x1) ?v_62) (* (- 14) ?x3)) 0)) (and (>= (+ (* 89 ?x1) ?v_63) 46) (= (+ (* 53 ?x1) (* (- 76) ?x3)) 0))))) (and (and (or (<= (+ (+ (+ ?v_64 (* 81 ?x2)) (* 19 ?x3)) (* 27 ?x4)) 0) (= (+ (+ (* 34 ?x2) (* 66 ?x3)) (* (- 86) ?x4)) 69)) (and (or (= (+ (+ ?v_65 (* 79 ?x2)) (* 56 ?x4)) 71) (> (+ (* 66 ?x2) (* (- 79) ?x3)) 0)) (or (>= (+ (+ (* (- 12) ?x2) (* (- 90) ?x3)) (* (- 23) ?x4)) 85) (<= (+ (+ ?v_0 ?v_87) ?v_63) (- 64))))) (and (or (or (<= (+ ?v_66 (* (- 22) ?x4)) 95) (> (+ ?v_67 (* 53 ?x4)) 0)) (and (<= (+ (+ (+ (* 95 ?x1) ?v_68) ?v_22) (* (- 46) ?x4)) 77) (not (= (+ (+ (* (- 37) ?x2) (* (- 29) ?x3)) (* (- 20) ?x4)) 72)))) (and (>= (+ (* (- 1) ?x1) ?v_35) 0) (<= (+ (* (- 56) ?x3) (* 26 ?x4)) 30)))))) (or (and (and (or (or (not (= (+ (+ (+ (* 31 ?x1) ?v_79) ?v_69) ?v_95) 0)) (<= (+ ?v_70 (* (- 94) ?x3)) 27)) (or (not (= (+ (+ (+ (* (- 79) ?x1) ?v_71) ?v_72) ?v_14) 2)) (>= (+ (* 37 ?x1) ?v_73) 31))) (and (and (<= (+ (+ (+ (* (- 52) ?x1) ?v_7) (* 55 ?x3)) (* 7 ?x4)) 0) (>= (+ (+ ?v_74 (* (- 13) ?x3)) ?v_75) 0)) (and (>= (* (- 91) ?x1) (- 5)) (>= (+ (+ ?v_76 (* 60 ?x2)) (* 83 ?x3)) (- 17))))) (and (or (> (+ (+ ?v_81 (* 5 ?x2)) (* (- 43) ?x3)) (- 78)) (or (= (+ (* 57 ?x1) (* (- 93) ?x3)) 15) (< (+ (* 24 ?x1) ?v_77) (- 29)))) (or (and (> (+ (+ ?v_34 (* (- 91) ?x2)) (* 65 ?x3)) (- 13)) (>= (* 94 ?x4) (- 35))) (and (= (+ (+ (+ (* (- 6) ?x1) ?v_68) (* 91 ?x3)) ?v_78) 81) (not (= (+ (* 92 ?x1) (* 83 ?x4)) 0)))))) (or (or (and (or (<= (+ (+ ?v_79 (* (- 91) ?x3)) ?v_80) 36) (<= (+ (+ (* 38 ?x2) ?v_45) (* 62 ?x4)) 0)) (or (> (+ (+ (+ (* 54 ?x1) (* 13 ?x2)) (* 29 ?x3)) ?v_90) 20) (not (= (+ (+ ?v_81 (* (- 33) ?x2)) ?v_82) 32)))) (or (or (= (+ (+ (+ (* (- 21) ?x1) (* 46 ?x2)) ?v_83) (* (- 83) ?x4)) 96) (= (+ (+ (+ ?v_74 ?v_84) ?v_85) (* (- 40) ?x4)) (- 60))) (and (> (+ (+ (* (- 9) ?x1) ?v_88) ?v_92) 11) (<= (+ (+ ?v_91 (* (- 33) ?x3)) (* 3 ?x4)) (- 9))))) (and (or (or (< (+ (+ (* (- 44) ?x1) ?v_86) ?v_87) 61) (< (+ (+ (+ (* (- 45) ?x1) ?v_88) ?v_89) ?v_6) 97)) (and (>= (+ (+ (* (- 53) ?x2) (* 18 ?x3)) ?v_90) 0) (< (+ (* (- 7) ?x2) (* 82 ?x3)) 88))) (and (or (not (= (+ (* (- 66) ?x2) (* 23 ?x4)) 0)) (> (+ (+ (* 39 ?x1) ?v_91) ?v_92) (- 67))) (or (>= (+ (+ ?v_93 ?v_94) (* (- 61) ?x4)) 0) (not (= (+ (+ (+ (* 22 ?x1) (* 31 ?x2)) ?v_20) ?v_95) (- 34))))))))))))))))
(check-sat)
(exit)
