(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_334 (* 98 ?x3)) (?v_68 (* 69 ?x4)) (?v_66 (* 79 ?x1)) (?v_107 (* 83 ?x2)) (?v_72 (* 17 ?x4)) (?v_78 (* 93 ?x2)) (?v_408 (* 20 ?x2)) (?v_4 (* 7 ?x3)) (?v_40 (* 95 ?x4)) (?v_375 (* 22 ?x1)) (?v_0 (* 39 ?x2)) (?v_60 (* 40 ?x4)) (?v_252 (* 10 ?x2)) (?v_91 (* 66 ?x3)) (?v_2 (* 49 ?x2)) (?v_18 (* 86 ?x1)) (?v_247 (* 28 ?x3)) (?v_48 (* 88 ?x2)) (?v_49 (* 88 ?x3)) (?v_1 (* 15 ?x1)) (?v_224 (* 50 ?x1)) (?v_84 (* 43 ?x3)) (?v_13 (* 27 ?x1)) (?v_164 (* 35 ?x3)) (?v_95 (* 13 ?x3)) (?v_253 (* 99 ?x3)) (?v_17 (* 77 ?x2)) (?v_9 (* 100 ?x4)) (?v_105 (* 82 ?x1)) (?v_266 (* 4 ?x3)) (?v_218 (* 71 ?x4)) (?v_14 (* 31 ?x1)) (?v_365 (* 55 ?x2)) (?v_65 (* 4 ?x1)) (?v_217 (* 18 ?x2)) (?v_69 (* 41 ?x2)) (?v_79 (* 79 ?x3)) (?v_101 (* 50 ?x2)) (?v_51 (* 21 ?x3)) (?v_8 (* 42 ?x4)) (?v_333 (* 33 ?x2)) (?v_15 (* 87 ?x4)) (?v_342 (* 97 ?x4)) (?v_36 (* 35 ?x2)) (?v_154 (* 57 ?x4)) (?v_38 (* 48 ?x4)) (?v_128 (* 60 ?x3)) (?v_343 (* 7 ?x1)) (?v_129 (* 49 ?x1)) (?v_20 (* 51 ?x3)) (?v_31 (* 80 ?x1)) (?v_56 (* 50 ?x4)) (?v_257 (* 78 ?x3)) (?v_340 (* 84 ?x3)) (?v_171 (* 8 ?x4)) (?v_83 (* 89 ?x2)) (?v_119 (* 97 ?x1)) (?v_272 (* 27 ?x2)) (?v_287 (* 53 ?x4)) (?v_176 (* 71 ?x1)) (?v_63 (* 70 ?x3)) (?v_80 (* 95 ?x1)) (?v_59 (* 25 ?x2)) (?v_392 (* 2 ?x3)) (?v_113 (* 82 ?x2)) (?v_185 (* 27 ?x4)) (?v_155 (* 18 ?x1)) (?v_23 (* 20 ?x1)) (?v_165 (* 75 ?x4)) (?v_41 (* 51 ?x1)) (?v_24 (* 53 ?x3)) (?v_306 (* 18 ?x4)) (?v_361 (* 8 ?x3)) (?v_146 (* 99 ?x4)) (?v_246 (* 85 ?x1)) (?v_142 (* 74 ?x2)) (?v_85 (* 30 ?x1)) (?v_37 (* 57 ?x2)) (?v_58 (* 23 ?x4)) (?v_377 (* 90 ?x1)) (?v_62 (* 64 ?x2)) (?v_352 (* 37 ?x2)) (?v_304 (* 9 ?x2)) (?v_57 (* 45 ?x3)) (?v_227 (* 37 ?x3)) (?v_53 (* 69 ?x3)) (?v_234 (* 7 ?x2)) (?v_47 (* 21 ?x4)) (?v_274 (* 69 ?x1)) (?v_163 (* 86 ?x2)) (?v_302 (* 46 ?x2)) (?v_35 (* 76 ?x1)) (?v_149 (* 76 ?x2)) (?v_42 (* 17 ?x3)) (?v_183 (* 76 ?x4)) (?v_139 (* 31 ?x4)) (?v_206 (* 67 ?x1)) (?v_390 (* 92 ?x2)) (?v_54 (* 9 ?x3)) (?v_320 (* 72 ?x1)) (?v_321 (* 94 ?x3)) (?v_312 (* 85 ?x4)) (?v_323 (* 6 ?x2)) (?v_112 (* 86 ?x3)) (?v_178 (* 11 ?x1)) (?v_177 (* 28 ?x4)) (?v_205 (* 68 ?x4)) (?v_230 (* 45 ?x4)) (?v_189 (* 22 ?x4)) (?v_159 (* 83 ?x4)) (?v_344 (* 87 ?x2)) (?v_174 (* 30 ?x3)) (?v_194 (* 29 ?x4)) (?v_186 (* 17 ?x1)) (?v_50 (* 73 ?x1)) (?v_181 (* 73 ?x3)) (?v_337 (* 66 ?x4)) (?v_270 (* 3 ?x1)) (?v_89 (* 91 ?x3)) (?v_220 (* 14 ?x4)) (?v_93 (* 60 ?x2)) (?v_133 (* 6 ?x4)) (?v_74 (* 40 ?x1)) (?v_314 (* 64 ?x1)) (?v_366 (* 24 ?x1)) (?v_226 (* 68 ?x1)) (?v_385 (* 44 ?x1)) (?v_134 (* 82 ?x4)) (?v_286 (* 82 ?x3)) (?v_288 (* 100 ?x3)) (?v_131 (* 68 ?x2)) (?v_325 (* 64 ?x3)) (?v_353 (* 58 ?x2)) (?v_358 (* 63 ?x2)) (?v_268 (* 38 ?x4)) (?v_356 (* 61 ?x1)) (?v_237 (* 34 ?x4)) (?v_202 (* 15 ?x2)) (?v_137 (* 34 ?x1)) (?v_198 (* 57 ?x3)) (?v_212 (* 16 ?x2)) (?v_169 (* 67 ?x2)) (?v_209 (* 58 ?x3)) (?v_168 (* 96 ?x1)) (?v_196 (* 70 ?x1)) (?v_132 (* 12 ?x2)) (?v_216 (* 13 ?x4)) (?v_184 (* 27 ?x3)) (?v_298 (* 4 ?x4)) (?v_116 (* 60 ?x4)) (?v_143 (* 75 ?x1)) (?v_161 (* 59 ?x1)) (?v_121 (* 55 ?x3)) (?v_370 (* 49 ?x3)) (?v_284 (* 19 ?x4)) (?v_335 (* 25 ?x4)) (?v_172 (* 91 ?x2)) (?v_309 (* 66 ?x1)) (?v_324 (* 61 ?x4)) (?v_265 (* 8 ?x1)) (?v_204 (* 29 ?x3)) (?v_225 (* 51 ?x4)) (?v_197 (* 29 ?x2)) (?v_386 (* 34 ?x2)) (?v_348 (* 24 ?x3)) (?v_241 (* 45 ?x1)) (?v_138 (* 65 ?x1)) (?v_339 (* 65 ?x2)) (?v_140 (* 23 ?x2)) (?v_157 (* 93 ?x3)) (?v_405 (* 47 ?x3)) (?v_303 (* 79 ?x4)) (?v_403 (* 28 ?x1)) (?v_263 (* 28 ?x2)) (?v_235 (* 88 ?x4)) (?v_240 (* 33 ?x1)) (?v_406 (* 41 ?x4)) (?v_201 (* 14 ?x1)) (?v_277 (* 59 ?x4)) (?v_275 (* 36 ?x2)) (?v_236 (* 19 ?x3)) (?v_214 (* 51 ?x2)) (?v_191 (* 19 ?x2)) (?v_221 (* 96 ?x3)) (?v_231 (* 10 ?x3)) (?v_261 (* 42 ?x1)) (?v_372 (* 39 ?x1)) (?v_271 (* 62 ?x3)) (?v_291 (* 74 ?x4)) (?v_232 (* 5 ?x3)) (?v_262 (* 36 ?x4)) (?v_354 (* 43 ?x1)) (?v_260 (* 56 ?x4)) (?v_378 (* 32 ?x4)) (?v_278 (* 11 ?x3)) (?v_330 (* 45 ?x2)) (?v_293 (* 97 ?x3)) (?v_295 (* 32 ?x3)) (?v_384 (* 44 ?x3)) (?v_409 (* 37 ?x4)) (?v_369 (* 84 ?x2)) (?v_401 (* 87 ?x3)) (?v_374 (* 3 ?x2)) (?v_395 (* 91 ?x4)) (?v_394 (* 62 ?x2)) (?v_368 (* 21 ?x1)) (?v_399 (* 67 ?x3)) (?v_6 (* (- 80) ?x1)) (?v_76 (* (- 78) ?x3)) (?v_126 (* (- 65) ?x1)) (?v_90 (* (- 92) ?x1)) (?v_136 (* (- 6) ?x4)) (?v_371 (* (- 53) ?x1)) (?v_12 (* (- 38) ?x1)) (?v_10 (* (- 42) ?x3)) (?v_27 (* (- 25) ?x4)) (?v_28 (* (- 30) ?x4)) (?v_349 (* (- 76) ?x1)) (?v_5 (* (- 37) ?x1)) (?v_22 (* (- 21) ?x2)) (?v_316 (* (- 10) ?x1)) (?v_175 (* (- 80) ?x4)) (?v_19 (* (- 56) ?x2)) (?v_3 (* (- 30) ?x1)) (?v_73 (* (- 21) ?x4)) (?v_44 (* (- 1) ?x2)) (?v_7 (* (- 71) ?x4)) (?v_46 (* (- 70) ?x3)) (?v_86 (* (- 9) ?x2)) (?v_117 (* (- 54) ?x1)) (?v_87 (* (- 19) ?x4)) (?v_32 (* (- 7) ?x2)) (?v_33 (* (- 64) ?x3)) (?v_122 (* (- 38) ?x4)) (?v_29 (* (- 35) ?x1)) (?v_100 (* (- 36) ?x1)) (?v_43 (* (- 62) ?x1)) (?v_96 (* (- 59) ?x1)) (?v_279 (* (- 69) ?x1)) (?v_70 (* (- 28) ?x3)) (?v_11 (* (- 19) ?x3)) (?v_45 (* (- 90) ?x3)) (?v_147 (* (- 93) ?x2)) (?v_173 (* (- 44) ?x4)) (?v_97 (* (- 61) ?x2)) (?v_81 (* (- 8) ?x2)) (?v_61 (* (- 64) ?x4)) (?v_21 (* (- 47) ?x1)) (?v_75 (* (- 89) ?x2)) (?v_228 (* (- 4) ?x1)) (?v_52 (* (- 70) ?x2)) (?v_25 (* (- 45) ?x4)) (?v_16 (* (- 60) ?x3)) (?v_162 (* (- 58) ?x2)) (?v_311 (* (- 40) ?x2)) (?v_104 (* (- 68) ?x2)) (?v_160 (* (- 97) ?x4)) (?v_92 (* (- 57) ?x1)) (?v_357 (* (- 85) ?x3)) (?v_179 (* (- 99) ?x2)) (?v_222 (* (- 73) ?x4)) (?v_55 (* (- 54) ?x2)) (?v_67 (* (- 86) ?x3)) (?v_254 (* (- 92) ?x2)) (?v_88 (* (- 28) ?x4)) (?v_187 (* (- 52) ?x2)) (?v_223 (* (- 65) ?x3)) (?v_151 (* (- 85) ?x2)) (?v_200 (* (- 4) ?x3)) (?v_26 (* (- 11) ?x1)) (?v_267 (* (- 27) ?x3)) (?v_94 (* (- 1) ?x1)) (?v_347 (* (- 6) ?x3)) (?v_34 (* (- 100) ?x4)) (?v_30 (* (- 83) ?x4)) (?v_64 (* (- 75) ?x2)) (?v_326 (* (- 79) ?x3)) (?v_276 (* (- 74) ?x3)) (?v_264 (* (- 12) ?x4)) (?v_106 (* (- 12) ?x1)) (?v_120 (* (- 77) ?x2)) (?v_99 (* (- 84) ?x3)) (?v_141 (* (- 86) ?x4)) (?v_111 (* (- 61) ?x4)) (?v_39 (* (- 17) ?x2)) (?v_318 (* (- 20) ?x1)) (?v_281 (* (- 62) ?x3)) (?v_110 (* (- 82) ?x2)) (?v_242 (* (- 6) ?x2)) (?v_144 (* (- 88) ?x3)) (?v_259 (* (- 85) ?x1)) (?v_156 (* (- 91) ?x3)) (?v_376 (* (- 39) ?x4)) (?v_350 (* (- 20) ?x3)) (?v_127 (* (- 59) ?x2)) (?v_192 (* (- 38) ?x3)) (?v_305 (* (- 35) ?x2)) (?v_248 (* (- 70) ?x4)) (?v_98 (* (- 55) ?x4)) (?v_319 (* (- 5) ?x4)) (?v_256 (* (- 23) ?x2)) (?v_210 (* (- 37) ?x3)) (?v_180 (* (- 95) ?x1)) (?v_269 (* (- 87) ?x2)) (?v_158 (* (- 59) ?x3)) (?v_71 (* (- 84) ?x2)) (?v_77 (* (- 25) ?x3)) (?v_219 (* (- 41) ?x1)) (?v_109 (* (- 40) ?x3)) (?v_148 (* (- 14) ?x4)) (?v_338 (* (- 78) ?x1)) (?v_118 (* (- 42) ?x4)) (?v_82 (* (- 94) ?x1)) (?v_108 (* (- 63) ?x1)) (?v_391 (* (- 7) ?x4)) (?v_193 (* (- 27) ?x1)) (?v_379 (* (- 7) ?x3)) (?v_315 (* (- 88) ?x4)) (?v_114 (* (- 77) ?x3)) (?v_166 (* (- 75) ?x1)) (?v_182 (* (- 69) ?x4)) (?v_211 (* (- 43) ?x2)) (?v_115 (* (- 97) ?x3)) (?v_103 (* (- 50) ?x3)) (?v_124 (* (- 28) ?x2)) (?v_195 (* (- 43) ?x4)) (?v_328 (* (- 51) ?x2)) (?v_290 (* (- 63) ?x3)) (?v_190 (* (- 14) ?x1)) (?v_102 (* (- 34) ?x4)) (?v_208 (* (- 24) ?x4)) (?v_135 (* (- 52) ?x3)) (?v_345 (* (- 94) ?x3)) (?v_123 (* (- 29) ?x1)) (?v_130 (* (- 84) ?x4)) (?v_188 (* (- 2) ?x3)) (?v_170 (* (- 83) ?x3)) (?v_359 (* (- 66) ?x2)) (?v_308 (* (- 3) ?x3)) (?v_383 (* (- 57) ?x3)) (?v_125 (* (- 49) ?x4)) (?v_397 (* (- 95) ?x3)) (?v_294 (* (- 90) ?x1)) (?v_332 (* (- 81) ?x3)) (?v_300 (* (- 46) ?x1)) (?v_145 (* (- 16) ?x3)) (?v_307 (* (- 69) ?x2)) (?v_207 (* (- 51) ?x3)) (?v_400 (* (- 8) ?x4)) (?v_153 (* (- 41) ?x2)) (?v_167 (* (- 22) ?x1)) (?v_150 (* (- 82) ?x3)) (?v_327 (* (- 71) ?x1)) (?v_239 (* (- 72) ?x4)) (?v_404 (* (- 66) ?x3)) (?v_245 (* (- 47) ?x3)) (?v_336 (* (- 73) ?x3)) (?v_229 (* (- 26) ?x2)) (?v_285 (* (- 13) ?x1)) (?v_152 (* (- 74) ?x1)) (?v_299 (* (- 32) ?x1)) (?v_258 (* (- 59) ?x4)) (?v_310 (* (- 80) ?x3)) (?v_381 (* (- 24) ?x1)) (?v_215 (* (- 69) ?x3)) (?v_331 (* (- 36) ?x4)) (?v_250 (* (- 66) ?x4)) (?v_289 (* (- 6) ?x1)) (?v_360 (* (- 49) ?x2)) (?v_364 (* (- 31) ?x4)) (?v_282 (* (- 83) ?x2)) (?v_251 (* (- 39) ?x1)) (?v_280 (* (- 19) ?x2)) (?v_341 (* (- 33) ?x1)) (?v_238 (* (- 39) ?x3)) (?v_199 (* (- 46) ?x2)) (?v_297 (* (- 67) ?x1)) (?v_203 (* (- 3) ?x4)) (?v_351 (* (- 76) ?x3)) (?v_249 (* (- 44) ?x1)) (?v_296 (* (- 71) ?x2)) (?v_213 (* (- 33) ?x4)) (?v_233 (* (- 40) ?x1)) (?v_367 (* (- 34) ?x3)) (?v_255 (* (- 95) ?x4)) (?v_243 (* (- 10) ?x3)) (?v_244 (* (- 24) ?x3)) (?v_388 (* (- 10) ?x2)) (?v_389 (* (- 72) ?x2)) (?v_273 (* (- 81) ?x1)) (?v_373 (* (- 8) ?x3)) (?v_322 (* (- 54) ?x4)) (?v_396 (* (- 17) ?x1)) (?v_283 (* (- 45) ?x1)) (?v_313 (* (- 68) ?x3)) (?v_355 (* (- 22) ?x2)) (?v_346 (* (- 25) ?x1)) (?v_292 (* (- 60) ?x1)) (?v_301 (* (- 48) ?x4)) (?v_329 (* (- 47) ?x4)) (?v_317 (* (- 79) ?x2)) (?v_382 (* (- 68) ?x1)) (?v_362 (* (- 29) ?x4)) (?v_393 (* (- 13) ?x4)) (?v_363 (* (- 33) ?x3)) (?v_398 (* (- 36) ?x2)) (?v_387 (* (- 26) ?x3)) (?v_407 (* (- 3) ?x1)) (?v_380 (* (- 78) ?x4)) (?v_402 (* (- 56) ?x4))) (or (and (or (or (and (and (and (or (or (< (+ ?v_6 (* 34 ?x3)) 4) (= (+ ?v_334 ?v_68) (- 36))) (or (= (+ (+ (+ ?v_66 ?v_107) ?v_76) ?v_72) 24) (> (+ ?v_126 ?v_78) (- 25)))) (or (or (= (+ (+ (+ ?v_90 ?v_408) ?v_4) ?v_136) 12) (>= (+ (+ ?v_371 (* 2 ?x2)) ?v_40) (- 26))) (> (+ (+ (+ ?v_12 (* 99 ?x2)) ?v_10) ?v_27) (- 9)))) (or (or (< (+ (+ (* (- 58) ?x1) (* 18 ?x3)) ?v_28) 0) (or (>= (+ ?v_375 (* (- 86) ?x2)) (- 11)) (<= (+ ?v_349 ?v_0) (- 60)))) (and (and (<= (+ (+ (+ ?v_5 ?v_22) (* 63 ?x3)) ?v_60) 0) (< (+ (+ ?v_316 ?v_252) ?v_175) 94)) (>= (+ (+ ?v_19 ?v_91) (* (- 51) ?x4)) 94)))) (or (and (and (or (>= (+ (+ (* 57 ?x1) ?v_2) (* 93 ?x4)) 0) (> (+ (+ ?v_18 (* 94 ?x2)) ?v_247) (- 1))) (or (>= (+ (+ (+ ?v_3 ?v_48) ?v_49) ?v_73) 46) (>= (+ (+ ?v_1 (* (- 21) ?x3)) (* 3 ?x4)) 67))) (or (and (>= (+ (+ (+ ?v_224 ?v_44) ?v_84) ?v_7) 22) (< ?v_46 28)) (and (= (+ (+ ?v_13 ?v_86) ?v_164) (- 48)) (< (+ (+ ?v_0 ?v_95) (* 65 ?x4)) (- 59))))) (or (or (> (+ (+ ?v_117 ?v_253) ?v_87) 0) (>= (+ (+ ?v_1 ?v_17) ?v_9) (- 29))) (and (and (= (+ (* (- 91) ?x1) (* (- 82) ?x4)) 6) (< (+ (+ (+ ?v_105 ?v_32) ?v_33) ?v_122) (- 65))) (<= (+ ?v_29 (* (- 25) ?x2)) 5))))) (and (and (and (and (> (+ (+ (+ ?v_100 (* (- 5) ?x2)) ?v_266) ?v_218) 69) (< (+ ?v_14 ?v_365) 0)) (or (not (= (+ ?v_65 ?v_217) 93)) (>= (+ (+ ?v_43 ?v_69) ?v_79) (- 8)))) (or (or (and (>= (+ (+ ?v_101 ?v_51) ?v_8) 64) (= ?v_2 (- 21))) (and (> (+ (+ ?v_96 ?v_333) ?v_15) 41) (< (+ (* 80 ?x2) ?v_342) (- 14)))) (and (or (and (= (+ (+ (+ ?v_3 ?v_36) ?v_4) ?v_154) 0) (<= (+ (* (- 29) ?x2) ?v_38) 5)) (and (<= (+ ?v_279 (* 89 ?x3)) 11) (= ?v_70 0))) (or (> (+ ?v_5 ?v_11) 14) (< (+ (+ ?v_6 ?v_45) (* (- 92) ?x4)) 34))))) (or (or (and (or (and (not (= (+ (+ (* 100 ?x2) ?v_128) ?v_7) (- 30))) (> (+ (+ ?v_343 ?v_147) ?v_173) (- 63))) (not (= (+ (+ (+ ?v_129 (* (- 74) ?x2)) ?v_20) ?v_8) 68))) (or (< (+ (+ (+ ?v_31 (* (- 24) ?x2)) (* (- 11) ?x3)) ?v_56) 13) (>= (+ (+ (+ (* (- 52) ?x1) ?v_97) ?v_257) ?v_9) 0))) (and (and (< (+ (+ (+ ?v_5 ?v_81) ?v_340) ?v_61) (- 98)) (= (+ ?v_21 ?v_75) 90)) (or (or (= (+ (+ ?v_228 (* (- 17) ?x3)) ?v_171) 0) (< (+ ?v_52 (* (- 98) ?x4)) (- 77))) (or (= (+ (+ ?v_83 ?v_10) ?v_25) 0) (>= (+ ?v_119 (* 96 ?x4)) (- 23)))))) (> (+ (+ ?v_272 ?v_16) (* 43 ?x4)) 6)))) (or (and (or (and (and (or (and (> (+ (+ (+ (* (- 84) ?x1) ?v_162) ?v_11) ?v_8) 0) (> (+ ?v_12 ?v_311) (- 9))) (or (<= (+ ?v_13 ?v_287) (- 100)) (> (+ (+ ?v_14 ?v_104) ?v_160) 0))) (or (= (+ (+ ?v_92 (* 32 ?x2)) ?v_357) (- 33)) (>= (+ (+ ?v_176 ?v_179) ?v_222) 0))) (and (and (= ?v_55 15) (and (not (= ?v_63 (- 21))) (>= (+ (+ (+ ?v_80 ?v_59) ?v_392) ?v_15) 58))) (and (or (<= (+ (+ (+ (* (- 49) ?x1) ?v_113) ?v_16) ?v_185) (- 19)) (<= (+ (+ ?v_155 ?v_17) ?v_67) 95)) (or (= (+ (+ ?v_23 (* 85 ?x2)) (* 1 ?x4)) 0) (= (+ (+ (+ ?v_18 ?v_19) ?v_20) ?v_165) (- 25)))))) (and (or (and (and (= (+ (+ (+ ?v_41 ?v_254) ?v_24) ?v_88) 17) (< (+ (+ ?v_187 ?v_223) ?v_306) 0)) (<= (+ (+ (+ ?v_21 ?v_22) ?v_361) ?v_146) 0)) (or (not (= (+ (+ (+ ?v_23 ?v_151) ?v_24) (* 81 ?x4)) (- 57))) (or (= (+ (+ ?v_246 ?v_142) ?v_200) (- 43)) (>= (+ ?v_26 (* 80 ?x4)) 10)))) (and (or (or (> (+ (+ (+ ?v_85 ?v_37) (* (- 31) ?x3)) ?v_58) 0) (< (+ (+ (+ ?v_377 ?v_62) ?v_267) ?v_25) 0)) (and (< (+ (+ (+ ?v_94 ?v_352) ?v_347) ?v_34) 79) (< (+ (+ (+ ?v_26 ?v_304) ?v_57) ?v_27) 76))) (not (= (+ ?v_227 ?v_28) 15))))) (and (or (not (= (+ ?v_53 ?v_30) 0)) (< (+ (+ (+ ?v_29 ?v_234) (* (- 18) ?x3)) ?v_47) (- 62))) (and (> (+ (+ (* (- 98) ?x1) ?v_64) ?v_30) 47) (>= (+ (+ ?v_274 ?v_163) (* (- 35) ?x4)) 0)))) (and (or (or (and (= (+ ?v_302 ?v_326) 0) (>= (+ (+ (+ ?v_31 (* 44 ?x2)) ?v_276) ?v_264) (- 83))) (and (or (> (+ (+ ?v_106 ?v_32) ?v_33) 62) (>= (+ (+ ?v_120 ?v_99) ?v_141) 37)) (and (not (= ?v_111 0)) (not (= (+ (+ (+ ?v_35 ?v_149) ?v_42) ?v_34) 0))))) (or (or (and (not (= (+ (+ ?v_35 ?v_39) ?v_183) 0)) (>= (+ (+ ?v_318 ?v_36) ?v_139) 0)) (and (or (>= (+ (+ ?v_206 ?v_37) (* (- 1) ?x3)) (- 95)) (not (= (+ ?v_281 ?v_38) (- 90)))) (or (< (+ (+ ?v_390 ?v_54) (* (- 32) ?x4)) (- 77)) (> (+ (+ ?v_320 ?v_110) (* (- 89) ?x4)) 0)))) (and (>= (+ ?v_242 ?v_321) 79) (or (or (= (+ (+ ?v_39 ?v_144) ?v_312) 0) (= (+ (+ ?v_259 ?v_156) ?v_40) 0)) (or (< (+ (+ (+ ?v_41 ?v_323) ?v_112) ?v_376) 0) (<= (+ (+ ?v_178 (* (- 96) ?x2)) ?v_350) (- 31))))))) (and (or (< (+ ?v_42 ?v_177) (- 29)) (> ?v_127 (- 1))) (< (+ (+ ?v_43 (* (- 96) ?x3)) ?v_205) (- 35)))))) (or (and (or (and (and (or (not (= (+ (* (- 39) ?x2) ?v_230) (- 36))) (> (+ ?v_192 ?v_189) 0)) (<= (+ (* 16 ?x1) ?v_159) 0)) (or (and (> (+ (+ (* (- 66) ?x1) ?v_44) ?v_45) 0) (not (= (+ (+ (+ (* 9 ?x1) ?v_344) ?v_174) ?v_194) (- 60)))) (< (+ (+ ?v_186 (* (- 90) ?x2)) ?v_46) (- 68)))) (or (or (<= (+ (+ (+ ?v_50 ?v_305) ?v_181) (* (- 96) ?x4)) 6) (and (<= (+ (* 46 ?x1) ?v_47) 83) (not (= (+ (+ ?v_48 ?v_49) ?v_248) (- 72))))) (and (or (not (= (+ (+ (* 8 ?x2) (* (- 99) ?x3)) ?v_337) 42)) (= (+ (+ ?v_50 (* (- 97) ?x2)) ?v_51) (- 55))) (or (<= (+ (+ ?v_270 ?v_52) ?v_98) 59) (= (+ ?v_89 ?v_319) 0))))) (or (or (or (or (<= (+ (+ (* (- 57) ?x2) ?v_53) ?v_9) (- 28)) (>= (+ (+ (+ (* 35 ?x1) ?v_256) ?v_54) ?v_220) (- 56))) (and (not (= (+ (+ ?v_93 ?v_210) ?v_133) 0)) (<= (+ (+ ?v_74 ?v_55) ?v_56) (- 76)))) (or (and (> (+ (+ ?v_180 (* 11 ?x2)) ?v_57) 0) (> ?v_314 0)) (or (and (> (+ (+ (+ ?v_366 ?v_269) ?v_46) ?v_58) (- 13)) (not (= (+ (+ (+ (* 5 ?x1) ?v_59) ?v_158) ?v_60) 0))) (and (< (+ (+ (+ ?v_226 ?v_71) ?v_77) ?v_61) 79) (= (+ (+ ?v_385 (* 56 ?x3)) ?v_134) 9))))) (or (and (and (and (= (+ (+ ?v_219 ?v_286) (* (- 40) ?x4)) 6) (< (+ (* (- 87) ?x1) ?v_62) 13)) (= (+ (+ ?v_13 ?v_17) ?v_63) 56)) (and (<= (+ ?v_1 ?v_288) (- 85)) (not (= (+ ?v_64 ?v_60) (- 9))))) (or (or (or (not (= (+ (+ (+ (* (- 61) ?x1) ?v_64) ?v_109) ?v_148) 0)) (< (+ (+ ?v_65 (* 74 ?x3)) (* (- 99) ?x4)) 10)) (or (< (+ (+ (+ ?v_66 ?v_131) ?v_67) ?v_68) (- 32)) (> (+ (+ ?v_338 (* (- 32) ?x2)) ?v_118) (- 79)))) (and (<= (+ (+ ?v_82 ?v_69) (* (- 98) ?x3)) (- 82)) (<= (+ (* 56 ?x1) ?v_70) 62)))))) (and (or (and (and (or (and (>= (+ (+ ?v_108 ?v_71) ?v_72) 0) (= (+ (* (- 33) ?x2) ?v_73) 18)) (= ?v_325 74)) (and (and (or (< ?v_391 46) (> (+ (+ (+ ?v_193 ?v_353) ?v_379) ?v_315) (- 87))) (or (<= (+ (+ ?v_74 ?v_19) ?v_114) (- 70)) (< (+ ?v_75 ?v_76) 76))) (and (< (+ (+ (+ ?v_166 ?v_358) (* 26 ?x3)) ?v_182) 58) (= (+ ?v_77 ?v_58) 42)))) (or (and (and (and (= (+ ?v_78 ?v_268) 0) (< (+ (+ ?v_23 ?v_211) ?v_79) (- 14))) (and (<= (+ ?v_80 (* (- 27) ?x4)) (- 4)) (> (+ (+ (+ ?v_356 ?v_81) ?v_115) ?v_237) 0))) (and (not (= (+ (+ (+ ?v_82 ?v_83) ?v_84) (* 7 ?x4)) 0)) (and (= ?v_202 (- 1)) (>= (+ (+ (+ ?v_85 (* (- 63) ?x2)) ?v_103) ?v_15) 16)))) (or (or (> (+ (+ (+ (* 12 ?x1) ?v_37) ?v_70) ?v_7) 29) (<= ?v_124 (- 90))) (and (< (+ (+ (+ (* 83 ?x1) ?v_86) ?v_79) ?v_87) (- 5)) (not (= (+ (* (- 11) ?x2) ?v_88) 0)))))) (and (or (and (< (+ (+ (* 10 ?x1) ?v_89) ?v_61) 49) (>= (+ ?v_137 ?v_15) 16)) (and (<= (+ (+ (+ ?v_90 (* (- 45) ?x2)) ?v_91) ?v_195) (- 55)) (= (+ (+ (* 54 ?x1) ?v_328) ?v_198) 0))) (and (or (and (< (+ (+ ?v_92 ?v_93) ?v_290) (- 71)) (>= (+ ?v_94 (* (- 79) ?x4)) 97)) (or (= (+ (* (- 81) ?x2) ?v_95) 45) (= (* (- 98) ?x2) (- 63)))) (or (> (+ (+ (+ ?v_190 ?v_212) ?v_79) ?v_102) 27) (< (+ ?v_96 ?v_208) (- 35)))))) (and (or (or (or (or (<= (+ (+ (* 98 ?x1) ?v_169) ?v_209) 48) (< (+ (+ ?v_168 ?v_71) ?v_135) (- 98))) (and (or (< (+ ?v_97 (* (- 5) ?x3)) (- 38)) (< (+ (+ (* (- 19) ?x1) ?v_345) ?v_98) 82)) (and (> (+ (+ (+ ?v_196 ?v_132) ?v_99) ?v_216) (- 78)) (> ?v_123 0)))) (or (or (and (<= (+ ?v_100 ?v_130) (- 91)) (<= (+ (+ ?v_101 ?v_184) ?v_102) 44)) (or (not (= ?v_188 75)) (< (+ (+ (+ (* 53 ?x1) (* (- 12) ?x2)) ?v_103) (* (- 58) ?x4)) (- 56)))) (or (or (<= ?v_104 29) (< (+ (+ (+ ?v_105 ?v_48) ?v_170) ?v_298) (- 23))) (or (= (+ (+ ?v_106 ?v_107) ?v_49) 0) (> (+ (+ ?v_359 ?v_308) ?v_116) 6))))) (or (and (and (and (<= (+ (* (- 12) ?x3) (* (- 75) ?x4)) (- 67)) (= (+ (+ ?v_108 ?v_109) (* (- 46) ?x4)) 77)) (<= (+ (+ ?v_110 ?v_383) ?v_111) 75)) (or (or (= (+ ?v_112 ?v_125) 0) (>= (+ (+ (* (- 26) ?x1) ?v_113) ?v_114) 31)) (and (> (+ (* (- 30) ?x2) (* (- 41) ?x3)) 0) (= (+ (+ (+ (* 93 ?x1) ?v_107) ?v_115) ?v_116) 0)))) (and (or (and (<= (+ ?v_143 ?v_33) (- 79)) (= (+ (+ (+ ?v_117 (* 72 ?x2)) ?v_397) ?v_118) 0)) (> (+ (+ (+ ?v_294 (* (- 15) ?x2)) (* 42 ?x3)) (* (- 26) ?x4)) 95)) (or (< (+ (+ ?v_161 ?v_332) (* (- 11) ?x4)) 34) (not (= (+ (+ (+ ?v_119 ?v_0) ?v_109) (* 30 ?x4)) 0)))))) (or (or (or (and (or (< (+ (+ ?v_300 ?v_120) ?v_121) (- 11)) (> (+ ?v_121 ?v_122) 0)) (>= (+ (+ ?v_78 (* 14 ?x3)) (* (- 41) ?x4)) (- 44))) (or (and (not (= (+ (+ (+ ?v_123 ?v_124) ?v_145) ?v_125) 63)) (>= (+ ?v_126 ?v_127) (- 98))) (or (<= (+ ?v_307 ?v_128) (- 4)) (> (+ (+ (+ (* (- 77) ?x1) ?v_48) ?v_370) ?v_284) 0)))) (or (or (and (< (+ ?v_207 ?v_335) 25) (< (+ (+ (+ ?v_129 ?v_172) (* 22 ?x3)) ?v_130) 0)) (and (<= (+ (+ (+ ?v_309 ?v_32) ?v_45) ?v_400) 98) (< (+ ?v_101 (* 94 ?x4)) 82))) (and (or (<= (+ (+ (+ (* (- 42) ?x1) ?v_52) (* 1 ?x3)) ?v_324) 5) (<= ?v_70 95)) (or (= (+ (+ (+ ?v_265 ?v_153) ?v_204) (* 73 ?x4)) (- 76)) (>= (+ (+ (+ ?v_167 ?v_131) ?v_150) ?v_225) 73))))) (and (and (or (and (< (+ ?v_132 ?v_133) (- 11)) (= (+ (+ (+ (* 78 ?x1) (* 13 ?x2)) ?v_79) ?v_27) 0)) (or (not (= (+ ?v_327 (* (- 36) ?x3)) 9)) (not (= (+ (+ ?v_197 (* 75 ?x3)) ?v_134) 96)))) (or (and (<= (+ (+ (+ (* (- 79) ?x1) ?v_386) ?v_348) ?v_239) (- 22)) (<= (+ (+ (+ ?v_241 ?v_32) ?v_84) ?v_87) 53)) (or (not (= (+ (+ (+ ?v_138 ?v_339) ?v_135) ?v_136) (- 72))) (>= (+ (+ ?v_137 (* 59 ?x2)) ?v_404) (- 62))))) (and (and (and (<= (+ (+ (+ ?v_138 ?v_22) ?v_245) ?v_139) 74) (>= (+ ?v_140 (* (- 29) ?x3)) 49)) (>= (+ (+ (+ ?v_1 ?v_140) ?v_336) ?v_141) 0)) (and (or (> (+ (+ ?v_142 (* 16 ?x3)) (* (- 53) ?x4)) (- 87)) (not (= (+ ?v_143 ?v_229) 39))) (or (> (* (- 31) ?x2) 0) (>= (+ (+ ?v_285 (* 95 ?x2)) ?v_144) (- 95))))))))))) (or (and (or (or (and (and (and (or (<= ?v_152 0) (= (+ (+ ?v_69 ?v_145) ?v_146) (- 75))) (and (not (= (+ (+ (+ (* 99 ?x1) ?v_147) (* (- 75) ?x3)) ?v_148) (- 46))) (>= (+ (+ (* 89 ?x1) (* 30 ?x2)) ?v_157) 67))) (or (and (= (+ (+ (+ ?v_299 (* (- 4) ?x2)) ?v_70) ?v_258) (- 96)) (= ?v_131 81)) (or (< (+ (+ ?v_90 ?v_149) ?v_310) 1) (< (+ (+ ?v_381 ?v_215) ?v_111) 7)))) (or (and (and (= (+ (* (- 47) ?x2) ?v_150) 42) (< (+ ?v_6 (* (- 67) ?x2)) (- 56))) (not (= (+ (+ ?v_137 ?v_151) ?v_134) 48))) (or (or (< (+ (+ (+ ?v_152 (* 4 ?x2)) ?v_405) ?v_303) 34) (<= (+ (+ (+ ?v_403 ?v_153) ?v_99) ?v_154) 0)) (or (>= (+ (+ ?v_155 ?v_263) ?v_331) 16) (>= (+ (+ (* 98 ?x2) ?v_156) ?v_235) 0))))) (and (or (or (and (>= (+ (+ ?v_240 ?v_157) (* 47 ?x4)) 0) (= (+ (+ ?v_149 ?v_158) ?v_250) 84)) (and (not (= (+ (+ (+ ?v_143 ?v_142) (* (- 87) ?x3)) ?v_406) 0)) (= (+ (* (- 62) ?x2) ?v_159) 60))) (or (> (+ (+ ?v_201 (* 76 ?x3)) ?v_277) (- 72)) (or (< (+ (+ ?v_149 ?v_121) ?v_160) 97) (>= (+ (+ (+ ?v_161 ?v_162) ?v_84) ?v_61) (- 35))))) (or (and (or (> ?v_163 (- 46)) (>= (+ (+ (+ ?v_289 ?v_132) ?v_164) ?v_165) 0)) (= (+ (+ ?v_166 ?v_360) ?v_145) 35)) (or (or (<= (+ (+ ?v_167 ?v_120) ?v_109) 0) (> (+ (+ (+ ?v_168 ?v_169) ?v_170) ?v_364) (- 22))) (and (>= (+ (+ (+ ?v_123 ?v_275) ?v_67) ?v_171) 0) (not (= (+ (+ ?v_172 (* 77 ?x3)) ?v_173) 0))))))) (or (and (and (or (> (+ (+ (* 21 ?x2) ?v_174) ?v_175) 45) (not (= (+ (+ (+ ?v_176 ?v_282) ?v_236) ?v_177) 42))) (or (= (+ (+ ?v_178 ?v_179) (* (- 77) ?x4)) 0) (<= (+ (* 65 ?x3) ?v_111) (- 64)))) (and (<= (+ (+ ?v_180 ?v_214) ?v_181) 57) (not (= (+ (+ ?v_251 ?v_280) (* 50 ?x3)) 0)))) (and (and (or (and (> ?v_182 (- 7)) (> (+ (+ ?v_137 (* 69 ?x2)) ?v_183) 74)) (< (+ (+ (+ ?v_94 ?v_124) (* (- 48) ?x3)) ?v_148) 0)) (and (and (>= (+ (+ (+ ?v_341 ?v_191) ?v_184) ?v_185) 0) (<= (+ ?v_101 ?v_238) (- 75))) (and (= (+ (+ (+ ?v_106 ?v_64) (* 92 ?x3)) ?v_134) 60) (>= (+ (+ (+ ?v_186 ?v_187) ?v_188) ?v_189) 0)))) (and (and (and (>= (* (- 72) ?x3) 0) (<= (+ (+ (+ ?v_190 ?v_191) ?v_192) (* 9 ?x4)) 84)) (or (= (+ (+ ?v_193 ?v_69) ?v_221) 42) (>= (+ (* 56 ?x2) ?v_194) 0))) (and (or (= (+ (+ (+ (* (- 97) ?x1) ?v_199) (* 36 ?x3)) ?v_195) (- 57)) (> (+ (+ ?v_186 (* (- 64) ?x2)) ?v_98) (- 16))) (or (> (+ (+ (+ ?v_196 ?v_197) ?v_198) ?v_182) 26) (> (+ (+ (+ ?v_297 ?v_199) ?v_200) ?v_203) (- 58)))))))) (and (and (or (and (or (or (= (+ (+ (+ ?v_201 ?v_202) ?v_76) ?v_203) 45) (= (+ (+ (+ (* 38 ?x1) ?v_97) ?v_204) ?v_205) 72)) (and (<= (+ ?v_144 (* 64 ?x4)) 69) (>= (+ (+ ?v_206 ?v_207) ?v_208) 0))) (and (or (>= (+ (+ ?v_35 ?v_351) ?v_171) (- 38)) (<= (+ (+ ?v_36 ?v_209) (* 92 ?x4)) 3)) (> (+ (+ (+ ?v_249 ?v_296) ?v_210) ?v_213) 99))) (or (or (or (= (+ (+ ?v_233 ?v_211) ?v_367) 96) (> (+ (+ (+ ?v_186 ?v_212) (* (- 43) ?x3)) ?v_213) 98)) (< (+ (+ (+ (* (- 56) ?x1) ?v_214) ?v_215) ?v_216) 97)) (> (+ (+ ?v_5 (* (- 14) ?x2)) ?v_99) 29))) (and (and (or (or (> (+ (+ ?v_35 ?v_217) ?v_218) 68) (> (+ (+ ?v_219 ?v_231) ?v_220) (- 61))) (or (not (= (+ (+ (* 63 ?x1) ?v_221) ?v_222) (- 70))) (< (+ (+ (+ ?v_261 ?v_217) ?v_223) ?v_160) (- 41)))) (<= (+ (* 60 ?x1) (* 39 ?x4)) (- 18))) (or (or (and (<= (+ (+ (+ ?v_224 ?v_52) (* 20 ?x3)) ?v_225) (- 51)) (< (+ (+ (+ ?v_372 (* 22 ?x2)) ?v_271) ?v_146) 67)) (> (+ (+ ?v_226 ?v_227) ?v_255) (- 42))) (< (+ ?v_228 ?v_291) (- 95))))) (or (or (and (= (+ (+ (+ ?v_143 (* (- 18) ?x2)) ?v_243) ?v_225) 42) (or (<= ?v_244 47) (>= (+ (+ (* 41 ?x1) ?v_229) ?v_230) (- 8)))) (or (and (not (= (+ (+ (+ (* (- 88) ?x1) (* (- 3) ?x2)) ?v_232) ?v_165) 9)) (> (+ (+ ?v_119 ?v_231) ?v_159) 57)) (and (> (+ (+ (* (- 5) ?x1) (* 66 ?x2)) ?v_262) 39) (> (+ (+ ?v_117 ?v_388) ?v_232) 54)))) (or (or (and (= (+ (+ ?v_233 ?v_59) ?v_89) 20) (<= (+ ?v_234 ?v_235) 95)) (or (or (> (+ (+ (+ (* 1 ?x1) (* (- 60) ?x2)) ?v_236) ?v_237) 53) (>= (+ ?v_238 ?v_239) 22)) (and (>= (+ (+ ?v_240 ?v_389) (* (- 71) ?x3)) (- 14)) (>= (+ (+ (+ ?v_273 ?v_113) ?v_373) ?v_40) 0)))) (or (or (>= (+ (+ ?v_241 (* 46 ?x3)) (* (- 52) ?x4)) (- 2)) (< (+ (+ ?v_354 ?v_242) ?v_260) 0)) (or (>= (+ ?v_243 ?v_218) (- 14)) (> (+ ?v_93 ?v_244) 0))))))) (and (and (and (and (or (or (or (< (+ (+ (* 52 ?x1) (* 73 ?x2)) ?v_245) 70) (= (+ (+ (+ ?v_246 ?v_2) ?v_247) ?v_378) 48)) (and (and (not (= (+ (+ ?v_180 ?v_140) ?v_248) (- 30))) (= (+ (+ ?v_249 (* (- 44) ?x2)) ?v_250) 0)) (and (<= (+ (+ ?v_251 ?v_252) ?v_253) (- 70)) (> (+ ?v_254 ?v_255) 48)))) (or (and (and (<= (+ (+ (+ ?v_96 ?v_256) ?v_257) ?v_322) 47) (>= (+ (+ ?v_23 (* (- 44) ?x3)) ?v_258) (- 8))) (and (<= (+ (+ (+ ?v_259 ?v_37) (* 3 ?x3)) (* 89 ?x4)) (- 94)) (< (+ ?v_396 ?v_260) 40))) (or (or (> (+ (+ ?v_261 ?v_10) ?v_222) 27) (< (+ ?v_43 (* (- 32) ?x3)) 0)) (and (>= (+ (+ (+ ?v_283 ?v_147) (* 39 ?x3)) ?v_262) 1) (<= (+ (+ (+ ?v_65 ?v_263) ?v_313) ?v_9) (- 64)))))) (and (or (and (and (= (+ ?v_355 ?v_264) 0) (>= (+ (+ ?v_265 ?v_242) ?v_266) 43)) (> (+ (+ ?v_3 ?v_267) ?v_268) 29)) (and (= (+ (+ ?v_346 ?v_269) ?v_40) 39) (<= (+ (+ ?v_270 ?v_271) ?v_262) 0))) (or (and (< (+ ?v_272 ?v_220) (- 2)) (< (+ ?v_273 ?v_204) 58)) (and (and (< (+ (+ ?v_274 ?v_275) ?v_276) 0) (> (+ (+ ?v_96 ?v_147) ?v_278) (- 15))) (and (>= (+ (+ (+ ?v_12 ?v_330) ?v_293) (* 84 ?x4)) 40) (> (+ (+ ?v_292 ?v_212) ?v_277) (- 36))))))) (or (and (or (> (+ (+ ?v_191 ?v_295) ?v_301) 0) (or (not (= (+ (+ (* 48 ?x2) ?v_278) (* (- 93) ?x4)) (- 58))) (not (= (+ (+ (+ ?v_279 ?v_280) ?v_281) ?v_329) 0)))) (and (= (+ (+ ?v_282 ?v_384) ?v_258) 35) (> (+ (* 31 ?x3) ?v_409) 0))) (or (and (and (= (+ (+ ?v_283 (* 47 ?x2)) (* 54 ?x3)) (- 21)) (not (= (+ (+ (+ ?v_14 ?v_97) ?v_207) ?v_284) 0))) (and (<= (+ (+ (+ ?v_285 ?v_124) (* (- 53) ?x3)) (* (- 4) ?x4)) 0) (> (+ (+ (+ ?v_168 ?v_202) ?v_286) ?v_268) 38))) (and (and (= (+ ?v_317 ?v_287) (- 9)) (= (+ (+ (+ (* 92 ?x1) ?v_254) ?v_288) ?v_58) (- 60))) (and (not (= (+ ?v_41 ?v_11) (- 88))) (not (= (+ (+ (+ ?v_289 ?v_369) ?v_290) ?v_291) 0))))))) (or (and (or (= (+ (+ ?v_292 ?v_293) ?v_258) (- 39)) (and (and (< (+ (+ ?v_382 ?v_242) ?v_223) 94) (= (+ (+ ?v_294 ?v_52) ?v_210) 18)) (or (not (= (+ (* (- 7) ?x1) ?v_295) 59)) (not (= (+ (+ (+ (* (- 9) ?x1) ?v_296) ?v_112) ?v_262) 47))))) (and (or (<= (+ (+ ?v_297 ?v_140) ?v_156) 17) (> (+ (+ (+ ?v_26 ?v_64) ?v_286) ?v_298) 81)) (and (and (not (= (+ (+ ?v_299 ?v_252) ?v_248) 0)) (= (+ (+ ?v_300 (* (- 50) ?x2)) ?v_301) 90)) (<= (+ (+ (+ ?v_297 ?v_242) (* 6 ?x3)) ?v_362) 41)))) (and (and (and (and (>= (+ (+ (+ (* (- 2) ?x1) (* (- 48) ?x2)) ?v_51) (* 15 ?x4)) 1) (not (= (+ (+ (+ (* 58 ?x1) ?v_302) (* (- 49) ?x3)) ?v_303) 0))) (> (+ ?v_304 ?v_271) 90)) (or (>= (+ (+ ?v_80 ?v_305) ?v_306) 46) (> (+ (+ ?v_307 ?v_308) (* (- 10) ?x4)) (- 87)))) (or (and (or (and (= (+ (+ (* 32 ?x1) ?v_257) ?v_8) (- 97)) (< (+ (+ ?v_309 ?v_310) (* 2 ?x4)) 0)) (or (= (+ (+ ?v_311 ?v_54) ?v_312) (- 19)) (>= (+ ?v_224 ?v_313) (- 86)))) (or (and (<= (+ (+ (* 13 ?x1) (* 90 ?x3)) ?v_268) 68) (= (+ ?v_193 ?v_234) 20)) (and (<= (+ (+ ?v_314 ?v_83) ?v_315) (- 67)) (not (= (+ (+ (+ ?v_316 ?v_317) ?v_247) ?v_133) (- 81)))))) (and (= (+ (+ ?v_318 (* (- 15) ?x3)) ?v_141) 80) (or (> (+ (+ ?v_163 ?v_401) ?v_319) 86) (not (= (+ ?v_320 ?v_374) 0)))))))) (and (or (and (or (or (and (or (not (= (+ ?v_48 ?v_393) 12)) (= (+ ?v_321 ?v_322) (- 25))) (or (>= (+ (+ (+ (* 91 ?x1) ?v_323) (* 71 ?x3)) (* (- 15) ?x4)) (- 32)) (>= (+ (+ (* (- 43) ?x1) ?v_321) ?v_324) (- 20)))) (and (not (= (+ (+ ?v_167 (* (- 67) ?x3)) ?v_395) (- 100))) (= (+ (+ (* (- 99) ?x1) ?v_325) (* (- 91) ?x4)) (- 69)))) (or (and (< (+ (+ (+ ?v_23 (* (- 95) ?x2)) ?v_326) (* (- 74) ?x4)) (- 23)) (or (not (= (+ (+ (+ ?v_327 ?v_328) ?v_363) ?v_329) 90)) (< (+ (+ (+ ?v_297 ?v_330) ?v_321) ?v_331) (- 98)))) (and (or (= (+ ?v_93 ?v_332) 80) (= (+ (+ (+ (* 94 ?x1) ?v_333) ?v_334) ?v_335) 0)) (and (>= (+ (+ (+ ?v_43 ?v_97) ?v_336) ?v_337) 76) (> (+ (+ ?v_338 ?v_339) ?v_340) (- 12)))))) (and (or (> (+ (+ (+ ?v_341 (* (- 94) ?x2)) ?v_308) ?v_342) 0) (and (> (+ (+ ?v_343 ?v_344) ?v_345) (- 100)) (not (= (+ (+ ?v_279 (* 14 ?x2)) (* 33 ?x3)) 0)))) (and (or (<= (+ (+ ?v_346 ?v_394) ?v_347) (- 33)) (< (+ (+ (* 38 ?x2) ?v_348) ?v_264) 49)) (and (< (+ (+ ?v_349 ?v_36) ?v_350) (- 71)) (> (+ (+ (+ ?v_90 (* (- 88) ?x2)) ?v_351) ?v_195) (- 40)))))) (and (or (and (or (or (< (+ (+ ?v_368 ?v_352) ?v_56) 34) (> (+ (+ (+ ?v_138 ?v_242) ?v_95) (* 58 ?x4)) (- 24))) (and (= (+ (+ ?v_117 ?v_217) (* (- 57) ?x4)) (- 40)) (<= ?v_398 35))) (or (and (< (+ ?v_353 (* 44 ?x4)) 0) (not (= ?v_354 (- 87)))) (>= (+ (+ ?v_21 ?v_355) ?v_56) 0))) (and (and (and (> (+ (+ (+ ?v_356 (* 78 ?x2)) ?v_387) ?v_130) (- 84)) (> (+ (+ ?v_318 ?v_357) ?v_111) (- 24))) (or (<= (+ (+ ?v_407 ?v_358) ?v_255) (- 67)) (<= ?v_359 11))) (and (< (+ (+ ?v_292 ?v_231) (* (- 1) ?x4)) 52) (or (< (+ (+ ?v_360 ?v_361) ?v_362) 0) (> (+ (+ (+ (* 84 ?x1) (* 5 ?x2)) ?v_363) (* (- 68) ?x4)) 0))))) (or (and (and (= (+ (+ ?v_206 (* (- 14) ?x3)) ?v_364) 63) (= (+ (+ (+ ?v_29 ?v_365) ?v_399) ?v_220) (- 75))) (or (and (<= (+ ?v_52 (* (- 85) ?x4)) 98) (<= (+ (+ (+ ?v_366 ?v_22) ?v_367) (* (- 62) ?x4)) 41)) (or (< (+ (+ (+ ?v_368 ?v_369) ?v_370) (* 5 ?x4)) 25) (> (+ (+ ?v_371 ?v_84) ?v_335) 0)))) (and (and (or (> (+ (+ (+ ?v_372 ?v_142) ?v_373) ?v_175) 21) (not (= (+ (+ (* (- 82) ?x1) ?v_170) ?v_380) 45))) (or (<= (+ ?v_374 ?v_183) 53) (= (+ (+ (+ ?v_375 ?v_64) ?v_278) ?v_376) 44))) (or (or (< (+ (+ (+ ?v_377 ?v_179) ?v_145) ?v_378) 97) (= (+ (+ ?v_5 ?v_355) ?v_61) 14)) (< (+ (+ (+ ?v_26 ?v_59) ?v_379) ?v_380) (- 5))))))) (and (and (or (and (>= (+ ?v_166 (* (- 65) ?x4)) (- 80)) (and (< (+ (+ ?v_381 ?v_149) ?v_67) (- 23)) (>= (+ (+ (+ ?v_382 ?v_202) ?v_383) ?v_262) 0))) (and (> (+ (+ (+ ?v_129 ?v_360) ?v_384) ?v_133) 0) (or (= (+ (+ ?v_385 (* 24 ?x2)) ?v_290) 15) (= (+ (+ (* 100 ?x1) ?v_184) ?v_47) (- 45))))) (or (< (+ (+ ?v_26 (* 75 ?x2)) (* 86 ?x4)) 43) (or (> (+ (+ ?v_246 (* 90 ?x2)) ?v_402) 60) (< (+ ?v_386 ?v_9) 0)))) (or (or (and (and (or (<= (+ (+ (+ ?v_43 ?v_296) ?v_51) ?v_182) 71) (> (+ (* 6 ?x1) ?v_154) 21)) (or (< (+ ?v_352 ?v_387) 0) (> (+ (+ ?v_149 (* 61 ?x3)) (* 63 ?x4)) 0))) (and (and (> (+ (+ (+ ?v_338 ?v_388) ?v_363) (* 20 ?x4)) (- 75)) (not (= (+ ?v_129 (* (- 13) ?x3)) 66))) (and (= (+ ?v_201 ?v_389) 26) (= (+ (+ ?v_390 ?v_238) ?v_391) (- 4))))) (and (or (or (= (+ ?v_392 ?v_134) 0) (>= (+ (* (- 48) ?x1) ?v_164) 88)) (or (> (+ (+ (+ ?v_368 ?v_187) ?v_181) ?v_393) 0) (= (+ (+ (+ (* 2 ?x1) ?v_394) ?v_112) ?v_337) 56))) (or (not (= (+ (+ (* (- 23) ?x1) ?v_49) ?v_395) 17)) (< (+ ?v_107 ?v_235) (- 50))))) (and (or (and (or (<= (+ (+ (+ ?v_396 ?v_81) ?v_397) ?v_195) (- 22)) (not (= (+ (+ (+ (* 25 ?x1) ?v_398) ?v_399) ?v_400) (- 93)))) (or (> (+ (+ ?v_152 ?v_236) ?v_146) 0) (not (= (+ (+ (+ ?v_224 ?v_365) ?v_401) ?v_298) 81)))) (or (> (+ (+ (+ ?v_65 ?v_358) (* 80 ?x3)) ?v_402) 47) (< (+ ?v_403 ?v_315) (- 26)))) (or (or (and (not (= (+ (+ ?v_32 ?v_404) ?v_319) (- 21))) (<= (+ ?v_94 (* 70 ?x2)) (- 55))) (or (> (+ (+ (+ ?v_297 ?v_339) ?v_45) ?v_258) 75) (> (+ (+ (+ ?v_21 ?v_172) ?v_405) ?v_195) 81))) (or (or (> (+ (+ ?v_233 (* (- 92) ?x3)) ?v_406) 48) (> (+ (+ ?v_407 ?v_408) ?v_400) 87)) (< ?v_409 52))))))))))))))))
(check-sat)
(exit)
