(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_0 (* 70 ?x3)) (?v_409 (* 10 ?x1)) (?v_189 (* 25 ?x2)) (?v_36 (* 100 ?x4)) (?v_10 (* 48 ?x2)) (?v_78 (* 60 ?x3)) (?v_297 (* 26 ?x4)) (?v_410 (* 86 ?x3)) (?v_257 (* 38 ?x2)) (?v_8 (* 66 ?x4)) (?v_137 (* 11 ?x1)) (?v_198 (* 64 ?x3)) (?v_53 (* 84 ?x4)) (?v_315 (* 7 ?x1)) (?v_3 (* 74 ?x3)) (?v_61 (* 60 ?x4)) (?v_22 (* 5 ?x1)) (?v_403 (* 66 ?x3)) (?v_12 (* 48 ?x3)) (?v_129 (* 2 ?x4)) (?v_38 (* 48 ?x4)) (?v_358 (* 99 ?x3)) (?v_9 (* 33 ?x4)) (?v_66 (* 96 ?x1)) (?v_62 (* 27 ?x1)) (?v_101 (* 16 ?x2)) (?v_285 (* 7 ?x4)) (?v_112 (* 83 ?x1)) (?v_75 (* 85 ?x4)) (?v_144 (* 17 ?x3)) (?v_33 (* 99 ?x4)) (?v_7 (* 86 ?x1)) (?v_335 (* 95 ?x3)) (?v_17 (* 79 ?x1)) (?v_15 (* 33 ?x3)) (?v_92 (* 62 ?x3)) (?v_121 (* 97 ?x1)) (?v_109 (* 52 ?x4)) (?v_314 (* 2 ?x1)) (?v_29 (* 37 ?x4)) (?v_42 (* 9 ?x3)) (?v_25 (* 98 ?x1)) (?v_37 (* 27 ?x2)) (?v_46 (* 26 ?x3)) (?v_19 (* 87 ?x3)) (?v_86 (* 83 ?x4)) (?v_133 (* 23 ?x1)) (?v_382 (* 12 ?x4)) (?v_32 (* 18 ?x4)) (?v_113 (* 71 ?x3)) (?v_30 (* 26 ?x2)) (?v_135 (* 81 ?x3)) (?v_93 (* 5 ?x2)) (?v_24 (* 53 ?x3)) (?v_68 (* 72 ?x1)) (?v_56 (* 13 ?x3)) (?v_271 (* 24 ?x4)) (?v_14 (* 2 ?x3)) (?v_82 (* 93 ?x2)) (?v_322 (* 12 ?x3)) (?v_246 (* 98 ?x2)) (?v_379 (* 9 ?x4)) (?v_422 (* 47 ?x4)) (?v_162 (* 93 ?x1)) (?v_156 (* 59 ?x3)) (?v_21 (* 96 ?x4)) (?v_404 (* 63 ?x4)) (?v_131 (* 14 ?x2)) (?v_276 (* 23 ?x3)) (?v_143 (* 40 ?x1)) (?v_111 (* 77 ?x3)) (?v_59 (* 79 ?x2)) (?v_148 (* 80 ?x2)) (?v_117 (* 72 ?x3)) (?v_83 (* 47 ?x3)) (?v_136 (* 28 ?x4)) (?v_141 (* 8 ?x4)) (?v_115 (* 21 ?x1)) (?v_211 (* 75 ?x1)) (?v_168 (* 21 ?x2)) (?v_47 (* 46 ?x3)) (?v_398 (* 36 ?x4)) (?v_27 (* 76 ?x4)) (?v_384 (* 14 ?x3)) (?v_79 (* 22 ?x1)) (?v_406 (* 78 ?x1)) (?v_355 (* 63 ?x3)) (?v_207 (* 85 ?x3)) (?v_353 (* 35 ?x1)) (?v_63 (* 32 ?x3)) (?v_327 (* 33 ?x1)) (?v_73 (* 34 ?x3)) (?v_84 (* 95 ?x1)) (?v_386 (* 59 ?x4)) (?v_87 (* 46 ?x1)) (?v_81 (* 27 ?x3)) (?v_284 (* 39 ?x3)) (?v_160 (* 18 ?x1)) (?v_223 (* 20 ?x3)) (?v_177 (* 28 ?x3)) (?v_95 (* 90 ?x4)) (?v_192 (* 13 ?x1)) (?v_114 (* 40 ?x2)) (?v_100 (* 17 ?x4)) (?v_250 (* 55 ?x2)) (?v_183 (* 82 ?x1)) (?v_196 (* 13 ?x2)) (?v_336 (* 87 ?x4)) (?v_105 (* 80 ?x3)) (?v_123 (* 95 ?x2)) (?v_190 (* 85 ?x2)) (?v_199 (* 90 ?x3)) (?v_176 (* 39 ?x2)) (?v_125 (* 94 ?x4)) (?v_88 (* 15 ?x2)) (?v_173 (* 10 ?x4)) (?v_99 (* 63 ?x2)) (?v_236 (* 94 ?x3)) (?v_234 (* 1 ?x4)) (?v_150 (* 69 ?x4)) (?v_167 (* 45 ?x3)) (?v_218 (* 64 ?x2)) (?v_194 (* 75 ?x2)) (?v_320 (* 55 ?x4)) (?v_286 (* 30 ?x3)) (?v_127 (* 87 ?x2)) (?v_273 (* 25 ?x3)) (?v_316 (* 43 ?x1)) (?v_373 (* 96 ?x3)) (?v_154 (* 39 ?x1)) (?v_182 (* 40 ?x3)) (?v_293 (* 44 ?x4)) (?v_204 (* 4 ?x3)) (?v_300 (* 48 ?x1)) (?v_239 (* 83 ?x3)) (?v_245 (* 61 ?x1)) (?v_277 (* 72 ?x4)) (?v_169 (* 41 ?x1)) (?v_206 (* 47 ?x2)) (?v_181 (* 5 ?x3)) (?v_140 (* 83 ?x2)) (?v_281 (* 89 ?x3)) (?v_134 (* 58 ?x4)) (?v_209 (* 18 ?x2)) (?v_394 (* 31 ?x4)) (?v_261 (* 17 ?x1)) (?v_401 (* 53 ?x4)) (?v_376 (* 34 ?x2)) (?v_359 (* 38 ?x1)) (?v_186 (* 1 ?x3)) (?v_254 (* 23 ?x2)) (?v_296 (* 61 ?x3)) (?v_212 (* 91 ?x2)) (?v_210 (* 64 ?x4)) (?v_149 (* 71 ?x4)) (?v_185 (* 30 ?x1)) (?v_321 (* 68 ?x1)) (?v_299 (* 68 ?x2)) (?v_380 (* 92 ?x1)) (?v_289 (* 42 ?x3)) (?v_343 (* 65 ?x4)) (?v_416 (* 78 ?x4)) (?v_222 (* 99 ?x2)) (?v_224 (* 41 ?x2)) (?v_326 (* 78 ?x3)) (?v_260 (* 79 ?x3)) (?v_270 (* 29 ?x3)) (?v_216 (* 3 ?x3)) (?v_233 (* 82 ?x2)) (?v_331 (* 84 ?x1)) (?v_259 (* 45 ?x1)) (?v_352 (* 88 ?x2)) (?v_301 (* 42 ?x2)) (?v_291 (* 32 ?x2)) (?v_362 (* 73 ?x2)) (?v_244 (* 19 ?x4)) (?v_274 (* 3 ?x4)) (?v_253 (* 20 ?x4)) (?v_215 (* 34 ?x4)) (?v_237 (* 91 ?x3)) (?v_240 (* 50 ?x2)) (?v_339 (* 43 ?x2)) (?v_238 (* 62 ?x4)) (?v_395 (* 69 ?x1)) (?v_333 (* 12 ?x1)) (?v_381 (* 9 ?x2)) (?v_317 (* 71 ?x2)) (?v_349 (* 84 ?x3)) (?v_311 (* 90 ?x2)) (?v_323 (* 51 ?x1)) (?v_332 (* 31 ?x2)) (?v_338 (* 24 ?x1)) (?v_391 (* 61 ?x2)) (?v_356 (* 26 ?x1)) (?v_414 (* 10 ?x2)) (?v_345 (* 20 ?x1)) (?v_341 (* 76 ?x1)) (?v_354 (* 19 ?x2)) (?v_378 (* 70 ?x1)) (?v_366 (* 88 ?x1)) (?v_363 (* 31 ?x3)) (?v_412 (* 8 ?x2)) (?v_340 (* 90 ?x1)) (?v_364 (* 87 ?x1)) (?v_385 (* 59 ?x2)) (?v_360 (* 70 ?x2)) (?v_370 (* 77 ?x4)) (?v_393 (* 78 ?x2)) (?v_372 (* (- 87) ?x1)) (?v_267 (* (- 82) ?x2)) (?v_1 (* (- 78) ?x3)) (?v_387 (* (- 20) ?x1)) (?v_18 (* (- 17) ?x1)) (?v_252 (* (- 97) ?x2)) (?v_106 (* (- 82) ?x4)) (?v_67 (* (- 51) ?x3)) (?v_2 (* (- 56) ?x4)) (?v_34 (* (- 42) ?x2)) (?v_6 (* (- 77) ?x3)) (?v_72 (* (- 7) ?x1)) (?v_70 (* (- 69) ?x1)) (?v_107 (* (- 60) ?x2)) (?v_166 (* (- 78) ?x4)) (?v_71 (* (- 91) ?x1)) (?v_269 (* (- 4) ?x2)) (?v_55 (* (- 16) ?x2)) (?v_399 (* (- 90) ?x2)) (?v_20 (* (- 5) ?x1)) (?v_241 (* (- 70) ?x4)) (?v_324 (* (- 88) ?x2)) (?v_217 (* (- 92) ?x1)) (?v_45 (* (- 68) ?x2)) (?v_170 (* (- 34) ?x3)) (?v_278 (* (- 73) ?x1)) (?v_402 (* (- 84) ?x2)) (?v_251 (* (- 15) ?x3)) (?v_5 (* (- 18) ?x2)) (?v_49 (* (- 27) ?x1)) (?v_202 (* (- 29) ?x3)) (?v_195 (* (- 9) ?x1)) (?v_31 (* (- 46) ?x2)) (?v_64 (* (- 45) ?x2)) (?v_266 (* (- 39) ?x1)) (?v_69 (* (- 26) ?x4)) (?v_164 (* (- 64) ?x1)) (?v_310 (* (- 29) ?x4)) (?v_231 (* (- 73) ?x3)) (?v_346 (* (- 14) ?x3)) (?v_74 (* (- 91) ?x2)) (?v_4 (* (- 52) ?x4)) (?v_35 (* (- 72) ?x4)) (?v_174 (* (- 68) ?x1)) (?v_11 (* (- 41) ?x4)) (?v_28 (* (- 75) ?x2)) (?v_294 (* (- 27) ?x2)) (?v_319 (* (- 71) ?x4)) (?v_57 (* (- 48) ?x1)) (?v_408 (* (- 12) ?x2)) (?v_191 (* (- 98) ?x4)) (?v_26 (* (- 75) ?x3)) (?v_179 (* (- 78) ?x1)) (?v_13 (* (- 41) ?x3)) (?v_263 (* (- 97) ?x1)) (?v_159 (* (- 5) ?x4)) (?v_201 (* (- 51) ?x2)) (?v_128 (* (- 88) ?x1)) (?v_60 (* (- 79) ?x4)) (?v_51 (* (- 46) ?x1)) (?v_40 (* (- 85) ?x2)) (?v_417 (* (- 67) ?x1)) (?v_232 (* (- 19) ?x4)) (?v_58 (* (- 43) ?x2)) (?v_361 (* (- 66) ?x1)) (?v_108 (* (- 31) ?x3)) (?v_39 (* (- 86) ?x2)) (?v_50 (* (- 86) ?x4)) (?v_138 (* (- 74) ?x2)) (?v_172 (* (- 67) ?x4)) (?v_280 (* (- 92) ?x2)) (?v_350 (* (- 36) ?x2)) (?v_94 (* (- 71) ?x3)) (?v_16 (* (- 53) ?x1)) (?v_120 (* (- 2) ?x3)) (?v_23 (* (- 67) ?x2)) (?v_312 (* (- 21) ?x4)) (?v_91 (* (- 50) ?x2)) (?v_110 (* (- 55) ?x1)) (?v_118 (* (- 19) ?x2)) (?v_44 (* (- 5) ?x2)) (?v_225 (* (- 37) ?x4)) (?v_65 (* (- 47) ?x1)) (?v_329 (* (- 33) ?x4)) (?v_157 (* (- 77) ?x1)) (?v_375 (* (- 74) ?x1)) (?v_344 (* (- 44) ?x2)) (?v_418 (* (- 2) ?x2)) (?v_295 (* (- 40) ?x4)) (?v_230 (* (- 30) ?x2)) (?v_102 (* (- 77) ?x4)) (?v_188 (* (- 24) ?x1)) (?v_229 (* (- 33) ?x1)) (?v_180 (* (- 34) ?x2)) (?v_116 (* (- 9) ?x3)) (?v_76 (* (- 85) ?x1)) (?v_367 (* (- 56) ?x2)) (?v_213 (* (- 25) ?x1)) (?v_397 (* (- 29) ?x2)) (?v_85 (* (- 38) ?x2)) (?v_124 (* (- 62) ?x3)) (?v_214 (* (- 20) ?x3)) (?v_41 (* (- 80) ?x1)) (?v_103 (* (- 40) ?x2)) (?v_374 (* (- 61) ?x2)) (?v_98 (* (- 58) ?x1)) (?v_54 (* (- 4) ?x3)) (?v_77 (* (- 10) ?x1)) (?v_43 (* (- 84) ?x4)) (?v_48 (* (- 15) ?x1)) (?v_292 (* (- 57) ?x2)) (?v_175 (* (- 88) ?x3)) (?v_171 (* (- 23) ?x1)) (?v_90 (* (- 2) ?x1)) (?v_142 (* (- 30) ?x3)) (?v_411 (* (- 90) ?x1)) (?v_163 (* (- 46) ?x3)) (?v_126 (* (- 8) ?x4)) (?v_52 (* (- 5) ?x3)) (?v_80 (* (- 40) ?x1)) (?v_328 (* (- 12) ?x3)) (?v_357 (* (- 86) ?x1)) (?v_200 (* (- 100) ?x1)) (?v_334 (* (- 63) ?x2)) (?v_392 (* (- 57) ?x4)) (?v_242 (* (- 52) ?x1)) (?v_147 (* (- 4) ?x1)) (?v_264 (* (- 90) ?x3))) (let ((?v_130 (+ ?v_65 ?v_28)) (?v_243 (* (- 98) ?x2)) (?v_104 (* (- 59) ?x3)) (?v_161 (* (- 71) ?x1)) (?v_205 (* (- 55) ?x4)) (?v_248 (* (- 43) ?x1)) (?v_413 (* (- 6) ?x1)) (?v_288 (* (- 99) ?x2)) (?v_96 (* (- 1) ?x3)) (?v_97 (* (- 42) ?x4)) (?v_132 (* (- 76) ?x1)) (?v_178 (* (- 61) ?x4)) (?v_89 (* (- 68) ?x4)) (?v_151 (* (- 23) ?x3)) (?v_247 (* (- 26) ?x3)) (?v_290 (* (- 96) ?x4)) (?v_419 (* (- 94) ?x1)) (?v_304 (* (- 59) ?x1)) (?v_146 (* (- 48) ?x2)) (?v_228 (* (- 58) ?x3)) (?v_208 (* (- 10) ?x3)) (?v_155 (* (- 39) ?x2)) (?v_122 (* (- 8) ?x3)) (?v_389 (* (- 22) ?x4)) (?v_235 (* (- 37) ?x1)) (?v_221 (* (- 65) ?x1)) (?v_119 (* (- 16) ?x1)) (?v_302 (* (- 31) ?x2)) (?v_193 (* (- 11) ?x3)) (?v_279 (* (- 58) ?x4)) (?v_153 (* (- 62) ?x1)) (?v_226 (* (- 83) ?x1)) (?v_165 (* (- 80) ?x3)) (?v_368 (* (- 47) ?x4)) (?v_139 (* (- 2) ?x4)) (?v_318 (* (- 37) ?x3)) (?v_145 (* (- 88) ?x4)) (?v_197 (* (- 26) ?x1)) (?v_203 (* (- 52) ?x2)) (?v_309 (* (- 89) ?x2)) (?v_187 (* (- 45) ?x4)) (?v_152 (* (- 43) ?x4)) (?v_256 (* (- 29) ?x1)) (?v_249 (* (- 99) ?x4)) (?v_158 (* (- 82) ?x3)) (?v_262 (* (- 36) ?x4)) (?v_275 (* (- 93) ?x2)) (?v_265 (* (- 38) ?x4)) (?v_255 (* (- 62) ?x4)) (?v_388 (* (- 1) ?x2)) (?v_365 (* (- 89) ?x1)) (?v_184 (* (- 95) ?x4)) (?v_220 (* (- 13) ?x4)) (?v_282 (* (- 50) ?x4)) (?v_272 (* (- 51) ?x1)) (?v_342 (* (- 22) ?x2)) (?v_219 (* (- 81) ?x3)) (?v_227 (* (- 53) ?x3)) (?v_337 (* (- 39) ?x4)) (?v_258 (* (- 11) ?x1)) (?v_268 (* (- 12) ?x1)) (?v_283 (* (- 81) ?x4)) (?v_308 (* (- 54) ?x4)) (?v_390 (* (- 36) ?x1)) (?v_330 (* (- 41) ?x2)) (?v_287 (* (- 6) ?x4)) (?v_396 (* (- 1) ?x1)) (?v_421 (* (- 71) ?x2)) (?v_303 (* (- 10) ?x4)) (?v_348 (* (- 13) ?x3)) (?v_305 (* (- 3) ?x2)) (?v_351 (* (- 66) ?x3)) (?v_298 (* (- 86) ?x3)) (?v_371 (* (- 77) ?x2)) (?v_400 (* (- 40) ?x3)) (?v_307 (* (- 59) ?x4)) (?v_407 (* (- 70) ?x2)) (?v_306 (* (- 87) ?x3)) (?v_313 (* (- 79) ?x2)) (?v_325 (* (- 51) ?x4)) (?v_420 (* (- 60) ?x1)) (?v_383 (* (- 95) ?x2)) (?v_415 (* (- 76) ?x4)) (?v_347 (* (- 50) ?x1)) (?v_405 (* (- 99) ?x3)) (?v_369 (* (- 25) ?x2)) (?v_377 (* (- 55) ?x3))) (and (and (and (and (and (or (and (or (>= (+ (+ ?v_372 ?v_267) ?v_1) 19) (< (+ (+ ?v_387 (* 22 ?x2)) ?v_0) (- 86))) (or (= (+ (+ ?v_409 ?v_189) ?v_36) 14) (or (not (= (+ (+ ?v_10 ?v_78) ?v_297) 0)) (> (+ (+ (+ ?v_18 ?v_252) ?v_410) ?v_106) 14)))) (or (and (or (< (+ (+ ?v_257 ?v_67) ?v_2) (- 80)) (not (= (+ (+ ?v_34 ?v_6) (* 93 ?x4)) 20))) (or (or (not (= (+ ?v_72 (* (- 64) ?x4)) (- 57))) (> (+ (+ (+ ?v_70 ?v_107) ?v_0) ?v_8) 0)) (and (< (+ (+ ?v_137 ?v_198) ?v_166) (- 5)) (< (+ (+ ?v_71 ?v_269) ?v_53) 0)))) (and (and (or (< (+ (+ (+ ?v_315 ?v_55) ?v_3) ?v_61) (- 23)) (< ?v_399 (- 11))) (or (= (+ (+ ?v_20 ?v_1) ?v_241) 53) (= (+ (+ ?v_22 ?v_324) ?v_403) 0))) (or (= (+ (+ (+ ?v_217 ?v_45) ?v_12) ?v_129) (- 60)) (or (not (= (+ ?v_170 ?v_38) (- 33))) (<= (+ (+ (+ ?v_278 ?v_402) ?v_358) ?v_9) (- 43))))))) (or (or (or (or (and (< (+ (+ ?v_66 (* 86 ?x2)) ?v_251) (- 50)) (not (= (+ ?v_62 ?v_5) (- 51)))) (<= (+ (+ (+ ?v_49 ?v_101) ?v_202) ?v_285) 20)) (and (or (<= (+ ?v_195 ?v_31) 32) (= (+ (+ ?v_112 ?v_64) ?v_75) 11)) (and (< (+ ?v_144 ?v_2) 0) (> (+ (+ ?v_266 ?v_3) ?v_69) 0)))) (or (= (+ ?v_164 ?v_33) 50) (and (or (>= (+ (+ ?v_7 ?v_335) ?v_310) 46) (> ?v_231 0)) (and (<= (* 99 ?x1) (- 4)) (> ?v_346 54))))) (and (or (or (and (< (+ (+ ?v_74 ?v_0) ?v_4) (- 86)) (not (= (+ (+ (+ ?v_17 (* (- 26) ?x2)) ?v_15) ?v_4) 75))) (or (<= (+ (+ (* (- 72) ?x2) ?v_92) ?v_35) 5) (>= (+ (+ ?v_121 (* (- 48) ?x3)) ?v_109) 37))) (and (or (> (+ ?v_314 ?v_29) 0) (> (+ (+ ?v_174 ?v_5) ?v_11) 0)) (or (>= (+ (+ (* 44 ?x1) ?v_28) ?v_42) (- 44)) (> (+ (+ ?v_25 ?v_37) ?v_46) (- 12))))) (or (and (or (>= (+ (+ ?v_294 (* (- 61) ?x3)) ?v_319) (- 80)) (not (= (+ (+ (+ ?v_57 ?v_408) ?v_19) ?v_191) (- 51)))) (and (>= (+ (* 20 ?x2) ?v_86) 28) (> (+ (+ (* (- 98) ?x1) ?v_26) (* (- 75) ?x4)) (- 84)))) (and (or (> (+ (+ (+ ?v_133 (* (- 33) ?x2)) ?v_6) ?v_382) 0) (> (+ (+ ?v_179 ?v_13) ?v_32) 0)) (and (= (+ (+ ?v_263 ?v_113) ?v_159) 0) (not (= (+ (+ (+ ?v_7 ?v_30) (* (- 27) ?x3)) ?v_8) 21)))))))) (and (and (and (and (and (or (not (= (+ (* 57 ?x2) ?v_8) 69)) (<= (+ (+ (+ (* 25 ?x1) ?v_201) ?v_135) (* 16 ?x4)) (- 97))) (or (< (+ (+ ?v_128 ?v_93) ?v_60) 0) (not (= (+ (+ ?v_51 ?v_40) ?v_9) 63)))) (and (<= (+ (+ (+ ?v_417 ?v_10) (* 16 ?x3)) ?v_232) 0) (>= (+ (+ ?v_58 ?v_24) (* (- 69) ?x4)) (- 89)))) (and (or (>= (+ (+ ?v_68 ?v_56) ?v_271) 22) (or (not (= (+ (+ (+ ?v_361 (* (- 87) ?x2)) ?v_14) ?v_11) (- 24))) (= (+ (* 28 ?x1) ?v_108) 41))) (or (and (= (+ (+ ?v_39 ?v_12) ?v_50) (- 52)) (< (+ (+ ?v_138 ?v_13) ?v_172) 0)) (and (>= (+ (* 16 ?x1) ?v_280) 64) (<= (+ ?v_350 ?v_94) (- 28)))))) (or (and (not (= (+ (+ ?v_16 ?v_14) (* 68 ?x4)) 63)) (> (+ (+ ?v_82 ?v_322) (* 75 ?x4)) 0)) (and (<= (+ (+ ?v_246 ?v_15) ?v_379) (- 94)) (= (+ (+ ?v_16 ?v_120) ?v_422) (- 1))))) (or (or (and (> (+ (+ (+ ?v_17 (* (- 66) ?x2)) (* 73 ?x3)) (* (- 34) ?x4)) 0) (not (= (+ (+ ?v_23 ?v_6) ?v_312) (- 30)))) (or (>= (+ (+ (+ ?v_162 ?v_91) (* (- 32) ?x3)) (* (- 17) ?x4)) (- 74)) (<= (+ ?v_18 ?v_19) 8))) (and (and (or (= (+ (+ (* 4 ?x2) ?v_156) ?v_21) 15) (= (+ (+ ?v_110 (* 37 ?x2)) ?v_404) (- 24))) (and (and (<= (+ (+ (+ ?v_20 ?v_131) ?v_276) ?v_21) (- 97)) (not (= (+ (+ ?v_143 ?v_118) (* (- 14) ?x4)) 78))) (and (> (+ (+ (+ ?v_17 ?v_44) ?v_111) ?v_225) 36) (> ?v_59 0)))) (and (and (= (+ (+ (+ ?v_65 ?v_148) ?v_117) ?v_329) 99) (>= (+ (+ (+ ?v_157 (* 44 ?x2)) ?v_83) ?v_136) 0)) (and (and (< (+ (+ ?v_375 (* 67 ?x2)) ?v_141) 0) (>= (+ ?v_115 ?v_344) (- 17))) (and (< (+ (+ ?v_22 ?v_418) ?v_295) 0) (>= (+ (+ (+ ?v_211 ?v_23) ?v_24) (* 32 ?x4)) 97)))))))) (or (and (and (and (or (and (or (<= (+ (+ (+ (* 67 ?x1) ?v_230) (* (- 96) ?x3)) ?v_102) (- 4)) (> (+ (+ (+ ?v_25 (* (- 13) ?x2)) ?v_24) (* 25 ?x4)) (- 75))) (and (<= (+ (+ (+ ?v_188 ?v_168) ?v_47) ?v_398) 50) (= (+ ?v_26 ?v_27) (- 76)))) (and (or (>= (+ (+ (+ ?v_229 ?v_180) ?v_384) (* (- 46) ?x4)) (- 35)) (> (+ ?v_79 ?v_116) 0)) (and (<= (+ ?v_76 ?v_367) 89) (not (= (+ (+ ?v_213 ?v_397) ?v_27) 30))))) (and (and (= (+ (+ ?v_85 ?v_124) (* 13 ?x4)) 72) (or (>= (+ (+ (+ ?v_406 ?v_28) ?v_355) ?v_29) 19) (<= (+ (+ (* (- 84) ?x1) ?v_30) ?v_214) 5))) (or (> (+ ?v_207 (* (- 87) ?x4)) 95) (> (+ ?v_41 ?v_31) (- 37))))) (and (and (or (or (<= (+ (+ (* (- 73) ?x2) (* 38 ?x3)) ?v_32) 50) (< (+ (+ ?v_353 ?v_63) ?v_33) (- 77))) (or (not (= (+ ?v_327 ?v_73) 9)) (< (+ (+ ?v_84 ?v_103) ?v_29) (- 8)))) (and (and (>= (+ (+ ?v_34 (* 75 ?x3)) (* 92 ?x4)) (- 80)) (>= (+ (+ (* 29 ?x1) ?v_374) ?v_35) (- 68))) (and (< (+ (+ (+ ?v_98 (* 74 ?x2)) ?v_1) ?v_386) 0) (< (+ ?v_87 ?v_54) (- 29))))) (or (or (and (> (+ (+ (+ (* 77 ?x1) (* (- 24) ?x2)) ?v_81) ?v_36) (- 6)) (< (+ (+ ?v_37 ?v_284) ?v_38) 19)) (and (< (+ ?v_160 ?v_223) (- 14)) (> (+ (+ (+ ?v_77 ?v_39) ?v_177) ?v_43) 0))) (and (or (< (+ (+ (+ ?v_48 ?v_40) (* (- 38) ?x3)) ?v_95) 34) (<= (+ (+ ?v_41 ?v_292) ?v_42) 23)) (and (>= ?v_175 (- 80)) (> (+ ?v_171 ?v_43) 0)))))) (and (and (and (and (or (< (+ (+ ?v_90 ?v_44) ?v_142) (- 2)) (> (+ (+ ?v_411 ?v_45) ?v_46) 0)) (or (< (+ (+ ?v_192 ?v_114) (* (- 16) ?x3)) 0) (>= (+ ?v_47 ?v_100) 28))) (and (and (<= (+ (+ ?v_250 ?v_163) ?v_126) (- 22)) (> (+ (+ (* (- 23) ?x2) ?v_52) (* 5 ?x4)) (- 15))) (or (= ?v_80 0) (> (+ (+ ?v_48 (* (- 65) ?x2)) ?v_9) 33)))) (and (and (> (+ (+ (+ ?v_183 ?v_196) ?v_328) ?v_336) (- 73)) (not (= (+ ?v_49 ?v_50) 0))) (and (or (= (+ (+ ?v_357 (* (- 67) ?x3)) (* (- 49) ?x4)) 0) (<= (+ (+ ?v_51 ?v_47) (* 88 ?x4)) 47)) (and (> (* (- 100) ?x3) 0) (not (= (+ ?v_200 ?v_52) 0)))))) (or (or (and (and (= (+ (+ ?v_334 ?v_105) ?v_53) 0) (<= (+ (+ ?v_51 (* (- 83) ?x2)) ?v_54) 92)) (< (+ ?v_55 ?v_56) (- 8))) (or (and (< (+ (+ (+ ?v_57 ?v_58) (* (- 7) ?x3)) ?v_392) 0) (> (+ (+ (+ ?v_242 ?v_59) (* 56 ?x3)) ?v_60) 0)) (or (= (+ (+ (* (- 21) ?x1) ?v_123) ?v_61) 0) (= (+ (+ ?v_62 ?v_190) ?v_199) 0)))) (and (and (< ?v_176 88) (or (< (+ (+ (* 47 ?x1) (* 84 ?x2)) ?v_63) 7) (< (+ (+ (+ ?v_147 ?v_64) ?v_264) ?v_125) (- 32)))) (or (> (+ ?v_130 (* 89 ?x4)) (- 82)) (or (> (+ (+ (+ ?v_66 ?v_88) ?v_67) ?v_173) 0) (= (+ (+ ?v_68 ?v_243) ?v_69) (- 16)))))))) (and (or (and (not (= (+ (* (- 22) ?x1) (* (- 49) ?x2)) (- 4))) (= (+ (+ (+ ?v_70 ?v_99) ?v_104) (* 35 ?x4)) 0)) (or (< (+ (+ (* 62 ?x2) ?v_236) ?v_234) (- 65)) (> (+ ?v_161 ?v_150) 65))) (or (and (and (>= (+ (+ ?v_71 (* (- 74) ?x3)) ?v_205) (- 92)) (<= (+ ?v_72 ?v_73) 62)) (and (> (+ (+ (+ ?v_248 ?v_74) ?v_167) ?v_75) (- 42)) (not (= (+ ?v_76 (* (- 65) ?x4)) 75)))) (and (and (= (+ (* 8 ?x3) ?v_4) 20) (= (+ (+ ?v_413 ?v_288) ?v_96) (- 76))) (or (> (+ (+ (* 73 ?x1) ?v_218) ?v_97) 0) (>= (+ (+ (+ ?v_77 ?v_194) ?v_78) ?v_320) (- 74)))))))) (or (or (or (or (and (not (= (+ ?v_71 (* 11 ?x2)) 0)) (>= (+ ?v_79 ?v_286) 0)) (and (and (> (+ (+ ?v_80 ?v_127) ?v_81) 0) (< (+ (+ (+ ?v_132 ?v_64) ?v_273) ?v_178) 46)) (and (< (+ (+ ?v_316 ?v_82) ?v_83) 0) (<= (+ (+ (* 97 ?x2) ?v_0) ?v_89) 26)))) (and (>= (+ (+ (+ ?v_84 ?v_85) ?v_151) ?v_86) 88) (or (< (+ (+ (+ ?v_87 ?v_88) ?v_247) ?v_29) 40) (< (* 61 ?x4) 61)))) (or (or (and (or (not (= (+ ?v_13 ?v_89) 30)) (< (+ ?v_18 ?v_290) (- 2))) (or (or (= (+ (+ (+ ?v_90 ?v_91) ?v_373) (* (- 4) ?x4)) 75) (>= (+ ?v_92 (* (- 18) ?x4)) (- 29))) (or (not (= (+ (+ (+ ?v_419 ?v_93) ?v_94) ?v_95) 95)) (> (+ (+ ?v_304 ?v_96) ?v_97) (- 37))))) (or (and (or (= (+ (+ (+ ?v_154 ?v_146) ?v_182) ?v_293) (- 66)) (>= (+ (+ (+ ?v_98 ?v_99) ?v_204) ?v_100) 16)) (or (< (+ (+ (+ (* 60 ?x1) ?v_101) ?v_228) (* (- 97) ?x4)) 94) (not (= (+ (+ ?v_300 ?v_239) ?v_102) (- 100))))) (and (>= (* (- 28) ?x1) (- 71)) (not (= (+ (+ (+ (* 14 ?x1) (* (- 81) ?x2)) ?v_208) ?v_50) 69))))) (and (or (not (= (+ (+ (+ ?v_17 ?v_103) ?v_104) (* (- 7) ?x4)) 8)) (<= (+ ?v_105 ?v_106) 0)) (and (< (+ (+ (* (- 8) ?x1) ?v_107) ?v_108) 76) (> (+ ?v_245 ?v_109) (- 40)))))) (or (or (or (or (or (or (= (+ (* 97 ?x3) ?v_277) (- 90)) (= (+ (+ ?v_110 ?v_155) ?v_122) 84)) (and (>= (+ ?v_169 ?v_111) 61) (> (+ (+ (+ ?v_112 ?v_206) ?v_181) ?v_21) 17))) (and (or (< (+ (+ ?v_90 ?v_113) ?v_9) (- 26)) (> (+ (+ ?v_114 (* 51 ?x3)) ?v_389) (- 37))) (and (> (+ (+ ?v_115 ?v_140) ?v_116) 2) (<= (+ ?v_235 (* (- 54) ?x3)) 99)))) (and (or (or (>= (+ (+ ?v_221 ?v_117) ?v_4) (- 86)) (or (not (= (+ (+ (+ ?v_119 ?v_118) ?v_281) (* 21 ?x4)) (- 99))) (< (+ (+ ?v_302 ?v_193) ?v_279) (- 71)))) (and (= (+ (+ ?v_119 ?v_120) ?v_134) 48) (< (+ (+ (+ ?v_121 ?v_30) ?v_122) ?v_27) (- 59)))) (or (or (or (> (+ (+ (+ ?v_153 ?v_209) ?v_47) ?v_394) (- 75)) (= (+ (+ ?v_261 ?v_123) ?v_124) 0)) (= ?v_125 30)) (or (and (< (+ (+ (+ ?v_226 (* 24 ?x2)) ?v_165) ?v_401) 0) (< (+ (+ (* 53 ?x1) ?v_55) ?v_126) (- 98))) (or (<= (+ (+ (* 54 ?x1) ?v_127) (* (- 35) ?x3)) (- 76)) (< (+ (+ ?v_128 ?v_376) ?v_129) 0)))))) (or (and (or (> (+ (+ ?v_130 ?v_96) ?v_368) 0) (>= (+ (+ (+ ?v_359 ?v_131) ?v_186) ?v_139) (- 65))) (and (>= (+ (+ ?v_132 ?v_254) ?v_95) 31) (<= (+ ?v_133 ?v_134) (- 64)))) (or (and (> (+ (+ (+ (* (- 96) ?x1) ?v_5) ?v_135) ?v_136) 0) (= (+ (+ (+ (* (- 99) ?x1) ?v_30) (* 36 ?x3)) (* (- 53) ?x4)) 0)) (and (not (= (+ (+ (+ ?v_137 (* (- 8) ?x2)) ?v_318) ?v_145) 72)) (or (> (+ (+ (+ ?v_197 ?v_138) ?v_296) ?v_139) (- 46)) (not (= (+ (+ (+ (* (- 81) ?x1) ?v_140) ?v_94) ?v_141) 83))))))) (or (or (or (and (= (+ (+ (+ ?v_132 ?v_212) ?v_142) ?v_210) 0) (<= (+ (+ (* (- 54) ?x2) ?v_1) ?v_149) 47)) (or (and (> (+ (+ (+ ?v_143 ?v_203) ?v_144) ?v_145) 44) (< (+ ?v_185 ?v_146) 67)) (and (>= (+ (+ (+ ?v_321 ?v_309) (* 24 ?x3)) (* 22 ?x4)) 0) (not (= (+ (+ (+ ?v_147 ?v_148) (* (- 22) ?x3)) ?v_187) 0))))) (or (or (= (+ (+ (+ ?v_20 ?v_148) (* 43 ?x3)) ?v_149) 0) (or (not (= (* (- 3) ?x3) 41)) (not (= (+ (+ (* (- 80) ?x2) ?v_63) ?v_152) 62)))) (and (< (+ (+ ?v_256 (* (- 94) ?x2)) ?v_150) (- 50)) (and (> (+ (+ ?v_123 ?v_151) ?v_152) 98) (< (+ (+ ?v_153 ?v_299) ?v_249) (- 41)))))) (or (or (and (and (< (+ (+ (* (- 10) ?x2) (* (- 64) ?x3)) (* (- 16) ?x4)) (- 47)) (>= (+ (+ ?v_154 ?v_155) ?v_158) (- 77))) (or (and (= (+ (+ (+ ?v_65 ?v_59) ?v_156) ?v_262) 0) (<= (+ (+ (+ ?v_157 ?v_58) ?v_6) ?v_9) 32)) (and (> (+ (+ ?v_380 ?v_158) ?v_159) 99) (> (+ (+ (+ ?v_71 ?v_275) ?v_289) ?v_265) 0)))) (or (or (and (not (= (+ ?v_160 (* 97 ?x4)) (- 51))) (<= (+ (+ ?v_161 (* 46 ?x2)) ?v_343) (- 55))) (and (<= (+ (+ ?v_162 ?v_140) ?v_255) 14) (not (= (+ (+ ?v_388 ?v_83) (* 15 ?x4)) (- 75))))) (or (<= (+ (+ (+ ?v_365 ?v_88) ?v_163) ?v_416) 0) (>= (+ (+ ?v_164 ?v_165) ?v_129) 91)))) (or (and (and (not (= ?v_166 0)) (> (+ (+ (+ ?v_72 (* (- 53) ?x2)) ?v_63) ?v_184) (- 40))) (and (and (> (* 49 ?x3) 96) (= (+ ?v_222 ?v_167) 83)) (or (= (+ ?v_168 (* 41 ?x4)) 0) (not (= (+ (+ (+ ?v_169 (* (- 62) ?x2)) ?v_170) ?v_220) 96))))) (and (and (and (not (= (+ (+ (+ ?v_171 ?v_103) ?v_54) ?v_172) (- 63))) (> (+ (+ (+ ?v_153 ?v_224) ?v_326) ?v_173) (- 42))) (>= (+ (+ (+ ?v_174 ?v_39) ?v_260) ?v_282) 0)) (or (and (>= (+ (+ ?v_272 ?v_175) ?v_172) (- 32)) (< (+ (+ ?v_176 ?v_177) ?v_178) 0)) (and (> (+ (+ ?v_179 ?v_180) ?v_181) (- 39)) (>= (+ ?v_168 ?v_182) 61)))))))))) (or (or (and (or (and (or (and (and (and (<= ?v_342 (- 91)) (> (+ ?v_23 ?v_166) 93)) (or (<= (+ (+ ?v_183 (* 21 ?x3)) ?v_184) 38) (> (+ (+ (+ ?v_143 ?v_85) ?v_270) ?v_134) 96))) (or (or (>= (+ (+ ?v_185 (* 65 ?x2)) ?v_216) (- 20)) (< (+ (+ ?v_71 (* (- 64) ?x2)) ?v_186) 0)) (and (<= (+ (+ ?v_233 ?v_122) (* (- 48) ?x4)) (- 61)) (< (+ (+ ?v_331 ?v_148) ?v_219) 40)))) (and (>= (+ (+ ?v_28 ?v_227) ?v_187) (- 23)) (or (or (= (+ (+ ?v_188 ?v_189) ?v_15) 0) (>= (+ (+ (+ (* 52 ?x1) ?v_190) (* 52 ?x3)) ?v_50) (- 68))) (and (not (= (+ (+ (* (- 28) ?x2) (* (- 65) ?x3)) (* 91 ?x4)) (- 33))) (<= ?v_259 (- 79)))))) (or (and (= (+ (+ (* 29 ?x2) ?v_52) ?v_191) 0) (or (< (+ ?v_80 (* (- 1) ?x4)) (- 98)) (<= (+ (+ (+ ?v_192 ?v_352) ?v_193) (* 49 ?x4)) 0))) (or (and (or (<= (+ (+ ?v_25 ?v_194) (* 23 ?x4)) (- 70)) (= (+ (+ (* 3 ?x1) ?v_301) ?v_337) 0)) (> (+ ?v_195 ?v_19) 35)) (and (or (not (= (+ (* (- 18) ?x1) ?v_13) 33)) (< (+ ?v_196 (* (- 94) ?x4)) (- 29))) (and (< (+ (+ ?v_197 (* (- 9) ?x2)) ?v_187) 0) (= (+ (+ (+ ?v_258 ?v_291) ?v_198) (* (- 63) ?x4)) 0)))))) (or (and (or (and (= (+ (+ (* (- 82) ?x1) ?v_362) ?v_21) (- 54)) (> (+ (+ ?v_41 ?v_82) ?v_158) 77)) (or (<= (+ (+ ?v_64 ?v_24) (* (- 66) ?x4)) 0) (not (= (+ ?v_199 ?v_244) 98)))) (or (or (not (= (+ (+ (+ ?v_200 ?v_201) ?v_202) ?v_274) (- 25))) (= (+ (+ (+ (* (- 35) ?x1) ?v_203) ?v_204) ?v_205) (- 30))) (and (and (> (+ (+ ?v_206 ?v_207) ?v_253) (- 18)) (<= (+ ?v_268 ?v_215) (- 73))) (and (>= (+ (+ ?v_189 ?v_208) ?v_32) 82) (> ?v_209 0))))) (and (and (or (> (+ (+ (+ ?v_174 (* 89 ?x2)) ?v_135) ?v_210) 32) (not (= (+ (+ ?v_211 ?v_212) ?v_237) (- 67)))) (<= (+ (+ ?v_147 ?v_240) (* 45 ?x4)) (- 82))) (and (and (> (+ (+ (+ ?v_213 ?v_203) ?v_214) ?v_215) 23) (> ?v_147 (- 25))) (and (= (+ (+ ?v_64 ?v_216) (* 6 ?x4)) (- 24)) (> (+ (+ ?v_153 (* 77 ?x2)) ?v_83) 95)))))) (or (and (or (or (< (+ (+ (+ (* 59 ?x1) ?v_339) ?v_193) ?v_283) 82) (>= (+ (+ (+ ?v_217 ?v_218) ?v_219) ?v_308) 4)) (or (and (or (>= (+ (+ (+ (* 50 ?x1) ?v_194) ?v_105) ?v_238) 67) (<= (+ (+ (+ ?v_390 ?v_194) ?v_181) ?v_220) 32)) (>= (+ (+ (+ ?v_221 ?v_222) ?v_223) ?v_21) 94)) (and (or (= (+ ?v_224 ?v_225) (- 25)) (< (+ (+ (+ ?v_226 ?v_64) ?v_227) ?v_43) 100)) (= (+ (+ (+ ?v_115 ?v_44) ?v_207) (* 27 ?x4)) (- 27))))) (or (or (<= ?v_228 (- 31)) (= (+ ?v_229 (* (- 21) ?x2)) 0)) (< (+ (+ (* 65 ?x1) ?v_230) ?v_191) (- 2)))) (or (or (and (and (and (not (= (+ (+ ?v_395 ?v_231) ?v_232) 33)) (not (= (+ (+ ?v_233 ?v_228) ?v_234) 99))) (<= (+ (+ (+ ?v_235 ?v_330) ?v_236) ?v_159) 0)) (or (and (> (+ (+ (* (- 54) ?x1) ?v_237) ?v_238) 0) (>= (+ (+ (* (- 79) ?x1) ?v_239) ?v_220) 97)) (and (= (+ (+ ?v_18 (* (- 36) ?x3)) ?v_287) 0) (>= (+ (+ (+ ?v_333 ?v_240) (* 57 ?x3)) ?v_241) (- 53))))) (or (or (< (+ (+ (+ ?v_242 ?v_243) ?v_0) ?v_244) (- 62)) (or (not (= (+ ?v_118 (* (- 39) ?x3)) 84)) (> (+ (+ ?v_245 ?v_246) ?v_247) 0))) (= (+ (+ (+ ?v_248 ?v_45) ?v_170) (* (- 20) ?x4)) 0))) (or (and (not (= (+ ?v_381 ?v_249) 75)) (not (= (+ (+ (+ (* 63 ?x1) ?v_250) ?v_251) ?v_102) 30))) (or (not (= (+ (+ (+ (* 57 ?x1) ?v_252) ?v_181) ?v_253) 24)) (or (= (+ (+ ?v_25 ?v_254) ?v_255) (- 78)) (> (+ (+ ?v_396 ?v_317) ?v_53) (- 67)))))))) (and (or (or (and (and (and (= (* 74 ?x4) (- 33)) (= (+ (+ ?v_256 ?v_257) ?v_349) 99)) (or (< (+ (+ (+ ?v_174 ?v_218) ?v_135) ?v_249) (- 17)) (= (+ (+ (+ ?v_258 ?v_209) (* 68 ?x3)) ?v_141) (- 48)))) (or (>= (+ (+ (+ ?v_259 ?v_311) ?v_260) ?v_126) (- 17)) (or (>= (+ (+ (+ ?v_261 ?v_250) (* 37 ?x3)) ?v_262) 4) (not (= (+ (+ (+ ?v_263 ?v_421) ?v_264) ?v_265) (- 13)))))) (and (or (<= (+ (* 62 ?x1) ?v_189) (- 79)) (= (+ (+ ?v_76 ?v_204) ?v_303) (- 1))) (or (or (<= (+ (+ (+ ?v_323 ?v_30) ?v_124) (* (- 83) ?x4)) 0) (not (= (+ (+ ?v_266 ?v_267) ?v_13) 56))) (or (> (+ (+ ?v_268 ?v_269) ?v_348) 53) (= (+ (+ (+ ?v_162 ?v_332) ?v_270) (* (- 92) ?x4)) 78))))) (or (or (and (= (+ ?v_25 ?v_271) 53) (> (+ (+ ?v_272 ?v_146) ?v_273) 78)) (and (= ?v_52 0) (>= (+ (+ ?v_305 ?v_216) ?v_274) 25))) (and (= (+ (+ ?v_338 (* 30 ?x2)) ?v_247) (- 13)) (or (and (> (+ (+ ?v_275 ?v_276) ?v_277) (- 61)) (= (+ (+ (+ ?v_278 ?v_123) ?v_199) ?v_279) (- 42))) (or (> (+ ?v_280 ?v_351) 71) (<= (+ (+ (+ ?v_57 ?v_206) ?v_281) ?v_27) 0)))))) (and (and (and (and (or (or (> (+ ?v_273 ?v_282) 0) (not (= (+ (+ (+ ?v_197 ?v_101) ?v_298) ?v_283) 93))) (or (< (+ (+ (+ ?v_226 ?v_391) ?v_284) ?v_285) 58) (>= (+ (+ (+ ?v_356 ?v_371) ?v_286) ?v_287) (- 65)))) (or (> (+ (+ ?v_288 (* (- 19) ?x3)) ?v_2) 14) (not (= (+ ?v_289 ?v_290) 32)))) (>= (+ (+ ?v_132 ?v_291) ?v_61) 0)) (and (or (>= (+ (+ (* (- 93) ?x1) ?v_292) ?v_400) 79) (= (+ (+ (* (- 55) ?x2) ?v_113) ?v_293) 0)) (or (or (> (+ (+ ?v_414 ?v_104) (* 54 ?x4)) 14) (>= (+ ?v_345 ?v_294) 73)) (and (<= (+ (+ ?v_235 ?v_93) (* (- 83) ?x3)) (- 96)) (>= (+ (+ (* (- 30) ?x1) ?v_81) ?v_295) (- 53)))))) (or (and (or (< (+ (+ ?v_91 ?v_296) ?v_297) 40) (<= (+ ?v_341 ?v_134) 14)) (and (or (> (+ (* 19 ?x3) ?v_307) 11) (and (= (+ ?v_242 ?v_37) 0) (< (+ (+ ?v_407 ?v_14) (* (- 9) ?x4)) 0))) (and (< (+ (+ ?v_70 ?v_246) ?v_298) 0) (< (+ (+ ?v_157 ?v_15) (* (- 32) ?x4)) 67)))) (or (or (and (>= (+ ?v_354 ?v_239) (- 5)) (<= (+ (+ ?v_261 ?v_299) ?v_184) 0)) (and (> (+ (+ (+ ?v_300 ?v_101) ?v_306) ?v_149) (- 10)) (< (+ (+ ?v_378 ?v_158) ?v_277) (- 74)))) (or (and (> (+ ?v_301 ?v_172) 23) (> (+ (+ ?v_169 ?v_313) (* 76 ?x3)) 2)) (and (not (= (+ (+ (+ ?v_366 ?v_302) (* 100 ?x3)) ?v_303) 59)) (> (+ (+ (+ ?v_304 ?v_305) ?v_306) ?v_325) 23)))))))) (or (and (or (and (or (or (or (and (> (+ (+ ?v_420 ?v_74) ?v_184) (- 78)) (not (= (+ (+ (+ ?v_242 ?v_383) (* (- 25) ?x3)) ?v_100) 63))) (and (< ?v_363 0) (>= (+ (+ (+ ?v_7 ?v_412) ?v_204) ?v_307) 97))) (or (or (= (+ (+ (+ ?v_261 (* (- 6) ?x2)) ?v_54) ?v_308) 0) (= (+ (+ (+ ?v_340 ?v_309) (* (- 98) ?x3)) ?v_310) (- 85))) (or (not (= (+ (+ (+ ?v_48 ?v_311) ?v_177) ?v_312) 3)) (> (+ ?v_289 ?v_187) 0)))) (and (or (or (> (+ ?v_313 ?v_241) 0) (< (+ (+ ?v_314 (* (- 68) ?x3)) ?v_249) 0)) (or (> (+ (+ ?v_68 ?v_140) ?v_96) 6) (not (= (+ (+ (* (- 7) ?x2) ?v_116) (* 14 ?x4)) 72)))) (and (or (>= (+ (+ (+ ?v_315 ?v_294) (* 35 ?x3)) (* 43 ?x4)) (- 98)) (> (+ (+ (+ ?v_316 ?v_317) ?v_318) ?v_33) 0)) (and (> ?v_319 0) (< (+ (+ (+ (* 42 ?x1) ?v_123) ?v_273) ?v_320) 55))))) (or (or (and (and (< (+ (+ ?v_321 ?v_156) ?v_11) (- 68)) (< (+ ?v_108 (* 70 ?x4)) (- 92))) (and (> (+ (+ (+ ?v_364 ?v_230) ?v_322) ?v_29) 57) (= (+ (+ (+ ?v_323 ?v_324) (* (- 24) ?x3)) ?v_325) 11))) (or (or (< (+ ?v_326 ?v_415) (- 80)) (>= (+ (+ (+ ?v_327 ?v_28) (* (- 72) ?x3)) ?v_255) (- 2))) (= ?v_134 (- 60)))) (and (and (and (> (+ ?v_284 ?v_166) 27) (>= (+ (+ ?v_385 ?v_328) ?v_329) 13)) (or (> (+ (+ ?v_330 (* (- 50) ?x3)) ?v_150) 0) (>= (+ (+ (+ ?v_331 ?v_332) ?v_158) ?v_262) (- 44)))) (or (or (<= (+ (+ (* 71 ?x1) (* 54 ?x2)) ?v_320) (- 16)) (= (+ (+ (+ ?v_333 ?v_334) ?v_63) ?v_89) 0)) (and (< (+ (+ ?v_301 ?v_335) ?v_336) 0) (<= (+ (+ ?v_7 ?v_34) ?v_337) (- 49))))))) (and (or (or (and (>= (+ (+ ?v_143 (* (- 35) ?x2)) (* (- 76) ?x3)) 97) (>= (+ ?v_321 ?v_324) 0)) (and (and (<= (+ (+ (+ ?v_338 ?v_230) ?v_6) ?v_220) (- 70)) (= (+ ?v_266 ?v_86) 0)) (and (<= (+ (+ ?v_339 (* (- 56) ?x3)) (* 81 ?x4)) 74) (<= (+ (+ (+ ?v_340 ?v_360) (* 15 ?x3)) ?v_205) (- 37))))) (or (or (> (+ (+ (+ ?v_341 ?v_342) (* 98 ?x3)) ?v_370) 5) (not (= (+ (+ ?v_347 ?v_6) ?v_343) 0))) (or (<= (+ (+ ?v_77 ?v_344) ?v_220) 0) (<= (+ (+ (+ ?v_79 ?v_203) (* (- 42) ?x3)) (* (- 27) ?x4)) (- 57))))) (and (or (or (< (+ (+ (+ ?v_345 ?v_218) ?v_346) ?v_283) (- 92)) (> (+ (+ (+ ?v_347 (* (- 59) ?x2)) ?v_24) (* 38 ?x4)) 44)) (or (< (+ (+ ?v_334 ?v_108) ?v_126) (- 74)) (<= (+ (+ ?v_229 ?v_348) ?v_205) 39))) (and (or (< (+ (+ ?v_65 ?v_105) ?v_35) 61) (<= (+ (+ (+ ?v_16 ?v_269) ?v_306) ?v_277) (- 99))) (or (= (+ (+ (+ ?v_211 ?v_176) ?v_349) ?v_106) (- 3)) (>= (+ (+ (+ ?v_171 ?v_350) ?v_351) ?v_329) 0)))))) (or (or (or (and (and (<= (+ (+ ?v_185 ?v_240) (* 22 ?x3)) (- 21)) (not (= (+ ?v_352 ?v_326) 71))) (or (and (> (+ (+ (+ ?v_221 (* 12 ?x2)) ?v_186) ?v_274) (- 78)) (> (+ (+ (+ (* 74 ?x1) ?v_218) ?v_193) (* (- 35) ?x4)) 96)) (> (+ (+ (+ ?v_353 ?v_354) ?v_355) ?v_249) 29))) (and (or (and (< (+ (+ ?v_356 ?v_88) ?v_139) (- 11)) (>= (+ ?v_200 ?v_289) 76)) (and (<= (+ ?v_302 ?v_296) 59) (> (+ (+ ?v_357 (* 94 ?x2)) ?v_358) 9))) (or (or (>= (+ (+ ?v_359 ?v_74) ?v_405) 70) (<= (+ (+ ?v_7 ?v_360) ?v_241) (- 85))) (or (not (= (+ (+ ?v_20 ?v_142) (* (- 100) ?x4)) (- 9))) (not (= (+ (+ (+ ?v_48 (* 36 ?x2)) ?v_204) (* 86 ?x4)) (- 66))))))) (or (and (= (* (- 15) ?x2) (- 25)) (<= (* (- 73) ?x4) (- 79))) (and (>= (+ ?v_154 ?v_44) 85) (= (+ (+ ?v_68 ?v_163) (* 73 ?x4)) 0)))) (and (and (and (and (>= (+ (+ (+ ?v_174 ?v_369) ?v_264) ?v_253) 79) (and (>= (+ (+ ?v_393 ?v_207) ?v_325) (- 65)) (not (= (+ (+ (+ ?v_361 ?v_362) ?v_111) (* 67 ?x4)) 3)))) (or (and (= (+ (+ ?v_18 ?v_363) (* (- 93) ?x4)) (- 31)) (> (+ (+ ?v_300 ?v_56) ?v_134) 54)) (<= (+ (+ ?v_364 ?v_108) ?v_255) (- 60)))) (and (or (or (< (+ (+ ?v_365 (* (- 60) ?x3)) (* (- 30) ?x4)) 37) (not (= (+ (+ (+ ?v_195 ?v_233) ?v_377) (* (- 60) ?x4)) 87))) (or (> (+ (+ ?v_366 ?v_367) ?v_368) (- 24)) (> (+ (+ (+ ?v_68 ?v_369) (* (- 43) ?x3)) ?v_370) 0))) (or (or (not (= (+ (+ ?v_338 ?v_371) ?v_89) (- 3))) (> ?v_120 0)) (or (> (+ ?v_372 ?v_373) 0) (> ?v_374 (- 18)))))) (or (or (> (+ (+ ?v_375 ?v_376) ?v_377) (- 87)) (< (+ (+ (+ ?v_378 ?v_58) (* 67 ?x3)) ?v_379) 0)) (or (and (<= (+ (+ (+ ?v_380 ?v_381) ?v_247) (* 40 ?x4)) 0) (or (>= (+ (+ (* 37 ?x1) ?v_194) ?v_382) (- 2)) (<= (+ (+ ?v_383 ?v_384) ?v_2) (- 91)))) (or (or (>= (+ ?v_385 ?v_386) 7) (< (+ ?v_23 (* 98 ?x4)) 0)) (>= (+ (+ ?v_248 ?v_96) (* 42 ?x4)) 0))))))) (and (and (and (and (or (not (= (+ (+ ?v_387 ?v_180) ?v_214) 3)) (<= (+ (+ (+ ?v_333 ?v_201) ?v_237) ?v_287) (- 85))) (and (or (>= (+ (+ ?v_387 ?v_388) ?v_389) 0) (<= (+ (+ (+ (* 58 ?x1) ?v_374) (* (- 91) ?x3)) ?v_389) 0)) (and (= ?v_288 (- 42)) (< (+ (+ ?v_390 ?v_64) ?v_335) 25)))) (or (and (or (= (+ ?v_391 ?v_392) 51) (< (+ (+ ?v_356 ?v_393) ?v_394) 43)) (= ?v_395 0)) (and (> (+ (+ (+ ?v_396 ?v_397) ?v_237) ?v_398) 48) (= (+ (+ (+ ?v_147 ?v_399) ?v_400) ?v_401) 56)))) (and (or (not (= (+ (+ (+ ?v_387 ?v_233) ?v_199) ?v_287) (- 27))) (not (= (+ (+ (* 80 ?x1) ?v_402) ?v_163) (- 42)))) (and (and (and (= (+ (+ (* 55 ?x1) ?v_344) ?v_145) (- 69)) (not (= (+ (* 32 ?x1) ?v_403) 0))) (or (> (+ (* 81 ?x2) ?v_6) 92) (> (+ (+ ?v_115 (* 92 ?x2)) ?v_255) 74))) (and (= (+ (+ ?v_197 ?v_201) ?v_404) 0) (< (+ (+ ?v_64 ?v_405) ?v_173) 61))))) (and (and (and (or (<= ?v_406 92) (= (+ (* 89 ?x1) ?v_240) (- 40))) (or (or (<= (+ (+ ?v_366 ?v_407) ?v_170) (- 87)) (>= (+ ?v_408 (* (- 63) ?x3)) 0)) (or (> (+ (+ ?v_409 ?v_203) ?v_33) (- 10)) (> (+ (+ ?v_213 ?v_189) ?v_410) (- 100))))) (and (> (+ (+ (+ ?v_411 ?v_354) ?v_198) ?v_210) (- 79)) (or (or (<= (+ (+ ?v_229 ?v_412) (* 41 ?x3)) 0) (< (+ (+ (* 64 ?x1) (* 55 ?x3)) ?v_141) 100)) (and (= (+ (+ (+ ?v_413 ?v_414) ?v_239) ?v_415) (- 18)) (> (+ (+ (+ ?v_119 ?v_138) ?v_348) ?v_277) 62))))) (or (or (and (> (+ (+ ?v_261 ?v_138) ?v_416) 0) (>= (+ (+ (+ ?v_417 ?v_317) ?v_15) ?v_303) (- 65))) (and (<= (+ (+ ?v_68 (* (- 49) ?x3)) ?v_129) 23) (> (+ (+ (+ ?v_48 ?v_418) ?v_117) ?v_389) 0))) (and (or (<= (+ ?v_419 ?v_308) 38) (> (+ (* 6 ?x2) ?v_172) 0)) (and (>= (+ (+ ?v_420 ?v_421) ?v_422) (- 71)) (not (= (+ (+ ?v_110 (* (- 100) ?x2)) ?v_193) 15)))))))))))))))))
(check-sat)
(exit)
