(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_148 (* 1 ?x4)) (?v_145 (* 85 ?x2)) (?v_27 (* 51 ?x1)) (?v_0 (* 37 ?x2)) (?v_171 (* 18 ?x3)) (?v_142 (* 93 ?x2)) (?v_189 (* 99 ?x3)) (?v_179 (* 90 ?x1)) (?v_92 (* 84 ?x4)) (?v_82 (* 89 ?x3)) (?v_237 (* 53 ?x4)) (?v_64 (* 88 ?x1)) (?v_281 (* 50 ?x1)) (?v_139 (* 58 ?x4)) (?v_388 (* 74 ?x3)) (?v_9 (* 51 ?x4)) (?v_293 (* 21 ?x3)) (?v_23 (* 27 ?x1)) (?v_40 (* 21 ?x1)) (?v_355 (* 95 ?x3)) (?v_41 (* 96 ?x2)) (?v_158 (* 51 ?x3)) (?v_24 (* 3 ?x1)) (?v_38 (* 91 ?x2)) (?v_34 (* 28 ?x3)) (?v_72 (* 40 ?x4)) (?v_187 (* 11 ?x1)) (?v_13 (* 46 ?x3)) (?v_78 (* 97 ?x4)) (?v_159 (* 28 ?x4)) (?v_93 (* 50 ?x4)) (?v_15 (* 96 ?x3)) (?v_111 (* 45 ?x4)) (?v_19 (* 1 ?x2)) (?v_33 (* 22 ?x1)) (?v_300 (* 81 ?x2)) (?v_37 (* 69 ?x2)) (?v_35 (* 4 ?x3)) (?v_110 (* 1 ?x3)) (?v_286 (* 34 ?x3)) (?v_228 (* 34 ?x2)) (?v_42 (* 93 ?x4)) (?v_32 (* 23 ?x1)) (?v_11 (* 96 ?x4)) (?v_31 (* 89 ?x4)) (?v_60 (* 24 ?x3)) (?v_25 (* 82 ?x4)) (?v_114 (* 65 ?x1)) (?v_370 (* 80 ?x4)) (?v_420 (* 18 ?x2)) (?v_268 (* 6 ?x1)) (?v_119 (* 58 ?x1)) (?v_236 (* 68 ?x3)) (?v_287 (* 19 ?x2)) (?v_267 (* 30 ?x4)) (?v_409 (* 98 ?x2)) (?v_435 (* 13 ?x3)) (?v_26 (* 29 ?x2)) (?v_108 (* 64 ?x3)) (?v_271 (* 79 ?x1)) (?v_131 (* 7 ?x1)) (?v_298 (* 60 ?x2)) (?v_319 (* 62 ?x3)) (?v_118 (* 80 ?x3)) (?v_101 (* 61 ?x1)) (?v_273 (* 77 ?x3)) (?v_166 (* 52 ?x4)) (?v_49 (* 73 ?x1)) (?v_173 (* 77 ?x2)) (?v_220 (* 48 ?x3)) (?v_245 (* 26 ?x4)) (?v_91 (* 33 ?x3)) (?v_322 (* 6 ?x4)) (?v_295 (* 17 ?x3)) (?v_66 (* 47 ?x4)) (?v_28 (* 10 ?x4)) (?v_301 (* 46 ?x4)) (?v_46 (* 63 ?x1)) (?v_58 (* 83 ?x4)) (?v_424 (* 9 ?x2)) (?v_183 (* 7 ?x4)) (?v_73 (* 71 ?x2)) (?v_77 (* 54 ?x4)) (?v_137 (* 88 ?x2)) (?v_84 (* 37 ?x3)) (?v_85 (* 11 ?x4)) (?v_180 (* 5 ?x3)) (?v_76 (* 18 ?x1)) (?v_116 (* 77 ?x1)) (?v_168 (* 76 ?x1)) (?v_113 (* 75 ?x3)) (?v_303 (* 90 ?x2)) (?v_272 (* 37 ?x1)) (?v_197 (* 27 ?x3)) (?v_96 (* 32 ?x1)) (?v_431 (* 43 ?x3)) (?v_308 (* 53 ?x2)) (?v_400 (* 41 ?x4)) (?v_324 (* 97 ?x1)) (?v_262 (* 27 ?x4)) (?v_129 (* 68 ?x1)) (?v_71 (* 64 ?x2)) (?v_360 (* 2 ?x1)) (?v_356 (* 5 ?x4)) (?v_155 (* 73 ?x3)) (?v_144 (* 70 ?x4)) (?v_169 (* 95 ?x2)) (?v_107 (* 25 ?x4)) (?v_117 (* 95 ?x1)) (?v_70 (* 2 ?x4)) (?v_253 (* 3 ?x4)) (?v_259 (* 14 ?x2)) (?v_372 (* 87 ?x4)) (?v_97 (* 23 ?x2)) (?v_74 (* 94 ?x3)) (?v_134 (* 13 ?x1)) (?v_310 (* 13 ?x2)) (?v_122 (* 65 ?x3)) (?v_94 (* 28 ?x1)) (?v_306 (* 8 ?x2)) (?v_194 (* 67 ?x1)) (?v_132 (* 86 ?x2)) (?v_384 (* 31 ?x4)) (?v_103 (* 38 ?x1)) (?v_95 (* 3 ?x3)) (?v_123 (* 26 ?x3)) (?v_215 (* 50 ?x3)) (?v_234 (* 42 ?x4)) (?v_353 (* 16 ?x3)) (?v_133 (* 62 ?x4)) (?v_365 (* 73 ?x2)) (?v_327 (* 99 ?x2)) (?v_223 (* 77 ?x4)) (?v_200 (* 80 ?x1)) (?v_106 (* 16 ?x4)) (?v_282 (* 74 ?x2)) (?v_213 (* 33 ?x2)) (?v_221 (* 11 ?x2)) (?v_224 (* 19 ?x4)) (?v_289 (* 16 ?x2)) (?v_238 (* 44 ?x2)) (?v_392 (* 43 ?x2)) (?v_202 (* 12 ?x2)) (?v_393 (* 71 ?x3)) (?v_112 (* 9 ?x1)) (?v_284 (* 67 ?x2)) (?v_331 (* 23 ?x4)) (?v_379 (* 65 ?x2)) (?v_254 (* 73 ?x4)) (?v_250 (* 27 ?x2)) (?v_311 (* 96 ?x1)) (?v_229 (* 58 ?x2)) (?v_186 (* 69 ?x4)) (?v_175 (* 82 ?x2)) (?v_127 (* 47 ?x3)) (?v_195 (* 83 ?x2)) (?v_182 (* 5 ?x1)) (?v_225 (* 94 ?x1)) (?v_418 (* 12 ?x1)) (?v_309 (* 78 ?x1)) (?v_318 (* 94 ?x2)) (?v_163 (* 62 ?x2)) (?v_207 (* 67 ?x4)) (?v_216 (* 91 ?x1)) (?v_334 (* 92 ?x2)) (?v_264 (* 9 ?x4)) (?v_231 (* 5 ?x2)) (?v_410 (* 19 ?x3)) (?v_241 (* 85 ?x1)) (?v_201 (* 83 ?x3)) (?v_185 (* 57 ?x2)) (?v_328 (* 69 ?x3)) (?v_251 (* 90 ?x4)) (?v_430 (* 4 ?x1)) (?v_199 (* 18 ?x4)) (?v_373 (* 41 ?x2)) (?v_265 (* 14 ?x3)) (?v_338 (* 76 ?x3)) (?v_191 (* 62 ?x1)) (?v_336 (* 84 ?x1)) (?v_206 (* 80 ?x2)) (?v_240 (* 10 ?x3)) (?v_214 (* 47 ?x1)) (?v_276 (* 63 ?x2)) (?v_396 (* 79 ?x2)) (?v_416 (* 6 ?x2)) (?v_378 (* 34 ?x1)) (?v_279 (* 15 ?x3)) (?v_387 (* 82 ?x3)) (?v_364 (* 67 ?x3)) (?v_407 (* 34 ?x4)) (?v_421 (* 79 ?x3)) (?v_297 (* 41 ?x1)) (?v_348 (* 45 ?x2)) (?v_413 (* 16 ?x1)) (?v_405 (* 88 ?x3)) (?v_346 (* 44 ?x3)) (?v_339 (* 32 ?x4)) (?v_320 (* 79 ?x4)) (?v_285 (* 57 ?x3)) (?v_304 (* 78 ?x2)) (?v_434 (* 30 ?x3)) (?v_422 (* 61 ?x4)) (?v_299 (* 60 ?x1)) (?v_390 (* 66 ?x3)) (?v_367 (* 61 ?x2)) (?v_332 (* 70 ?x1)) (?v_433 (* 66 ?x1)) (?v_383 (* 86 ?x3)) (?v_404 (* 21 ?x4)) (?v_380 (* 55 ?x2)) (?v_371 (* 100 ?x1)) (?v_366 (* 63 ?x3)) (?v_408 (* 52 ?x3)) (?v_138 (* (- 38) ?x2)) (?v_36 (* (- 35) ?x4)) (?v_326 (* (- 59) ?x4)) (?v_315 (* (- 91) ?x4)) (?v_56 (* (- 12) ?x2)) (?v_164 (* (- 25) ?x1)) (?v_98 (* (- 45) ?x3)) (?v_50 (* (- 10) ?x2)) (?v_350 (* (- 90) ?x4)) (?v_67 (* (- 97) ?x3)) (?v_2 (* (- 44) ?x1)) (?v_3 (* (- 3) ?x2)) (?v_87 (* (- 26) ?x2)) (?v_165 (* (- 35) ?x3)) (?v_1 (* (- 47) ?x4)) (?v_52 (* (- 42) ?x1)) (?v_57 (* (- 14) ?x2)) (?v_184 (* (- 67) ?x4)) (?v_30 (* (- 31) ?x3)) (?v_18 (* (- 62) ?x4)) (?v_5 (* (- 24) ?x2)) (?v_99 (* (- 1) ?x3)) (?v_4 (* (- 8) ?x4)) (?v_269 (* (- 39) ?x1)) (?v_6 (* (- 63) ?x2)) (?v_128 (* (- 33) ?x3)) (?v_105 (* (- 89) ?x4)) (?v_7 (* (- 47) ?x3)) (?v_59 (* (- 63) ?x1)) (?v_247 (* (- 20) ?x2)) (?v_399 (* (- 72) ?x3)) (?v_140 (* (- 61) ?x2)) (?v_256 (* (- 7) ?x3)) (?v_8 (* (- 30) ?x4)) (?v_12 (* (- 100) ?x2)) (?v_10 (* (- 3) ?x3)) (?v_14 (* (- 2) ?x1)) (?v_47 (* (- 77) ?x1)) (?v_160 (* (- 39) ?x2)) (?v_20 (* (- 33) ?x4)) (?v_39 (* (- 19) ?x1)) (?v_55 (* (- 14) ?x3)) (?v_316 (* (- 27) ?x2)) (?v_124 (* (- 88) ?x1)) (?v_280 (* (- 63) ?x4)) (?v_43 (* (- 83) ?x4)) (?v_89 (* (- 1) ?x1)) (?v_151 (* (- 28) ?x1)) (?v_149 (* (- 6) ?x3)) (?v_217 (* (- 31) ?x2)) (?v_45 (* (- 65) ?x3)) (?v_174 (* (- 99) ?x4)) (?v_88 (* (- 59) ?x2)) (?v_21 (* (- 9) ?x2))) (let ((?v_340 (+ ?v_32 ?v_21)) (?v_16 (* (- 94) ?x1)) (?v_377 (* (- 78) ?x1)) (?v_17 (* (- 17) ?x2)) (?v_100 (* (- 88) ?x2)) (?v_44 (* (- 50) ?x3)) (?v_246 (* (- 7) ?x1)) (?v_162 (* (- 60) ?x3)) (?v_395 (* (- 41) ?x1)) (?v_22 (* (- 55) ?x1)) (?v_382 (* (- 6) ?x2)) (?v_258 (* (- 51) ?x3)) (?v_102 (* (- 97) ?x4)) (?v_288 (* (- 82) ?x4)) (?v_227 (* (- 52) ?x3)) (?v_205 (* (- 98) ?x4)) (?v_120 (* (- 53) ?x1)) (?v_146 (* (- 10) ?x4)) (?v_29 (* (- 81) ?x3)) (?v_357 (* (- 64) ?x2)) (?v_233 (* (- 43) ?x1)) (?v_115 (* (- 23) ?x2)) (?v_61 (* (- 82) ?x1)) (?v_305 (* (- 74) ?x3)) (?v_275 (* (- 62) ?x1)) (?v_419 (* (- 15) ?x1)) (?v_398 (* (- 94) ?x2)) (?v_81 (* (- 27) ?x4)) (?v_51 (* (- 100) ?x4)) (?v_157 (* (- 77) ?x2)) (?v_48 (* (- 38) ?x3)) (?v_218 (* (- 69) ?x4)) (?v_312 (* (- 75) ?x1)) (?v_198 (* (- 37) ?x1)) (?v_188 (* (- 27) ?x3)) (?v_235 (* (- 49) ?x4)) (?v_63 (* (- 47) ?x1)) (?v_178 (* (- 82) ?x3)) (?v_135 (* (- 84) ?x4)) (?v_79 (* (- 79) ?x1)) (?v_239 (* (- 23) ?x4)) (?v_351 (* (- 32) ?x1)) (?v_54 (* (- 25) ?x3)) (?v_242 (* (- 68) ?x1)) (?v_53 (* (- 73) ?x3)) (?v_266 (* (- 65) ?x1)) (?v_161 (* (- 51) ?x4)) (?v_121 (* (- 92) ?x2)) (?v_167 (* (- 84) ?x1)) (?v_222 (* (- 42) ?x3)) (?v_69 (* (- 25) ?x4)) (?v_65 (* (- 97) ?x1)) (?v_125 (* (- 43) ?x3)) (?v_196 (* (- 45) ?x4)) (?v_62 (* (- 3) ?x1)) (?v_68 (* (- 99) ?x2)) (?v_75 (* (- 73) ?x4)) (?v_136 (* (- 29) ?x1)) (?v_230 (* (- 21) ?x1)) (?v_86 (* (- 48) ?x3)) (?v_176 (* (- 14) ?x4)) (?v_344 (* (- 21) ?x3)) (?v_252 (* (- 59) ?x1)) (?v_83 (* (- 50) ?x2)) (?v_391 (* (- 46) ?x2)) (?v_156 (* (- 11) ?x1)) (?v_150 (* (- 57) ?x3)) (?v_208 (* (- 4) ?x3)) (?v_261 (* (- 15) ?x3)) (?v_80 (* (- 27) ?x1)) (?v_90 (* (- 97) ?x2)) (?v_369 (* (- 9) ?x3)) (?v_232 (* (- 28) ?x3)) (?v_362 (* (- 81) ?x4)) (?v_325 (* (- 60) ?x1)) (?v_126 (* (- 98) ?x2)) (?v_190 (* (- 61) ?x3)) (?v_152 (* (- 41) ?x2)) (?v_177 (* (- 31) ?x1)) (?v_154 (* (- 99) ?x1)) (?v_349 (* (- 56) ?x3)) (?v_130 (* (- 65) ?x2)) (?v_104 (* (- 34) ?x3)) (?v_432 (* (- 19) ?x3)) (?v_143 (* (- 53) ?x2)) (?v_290 (* (- 84) ?x3)) (?v_109 (* (- 72) ?x1)) (?v_244 (* (- 100) ?x3)) (?v_192 (* (- 16) ?x3)) (?v_172 (* (- 28) ?x4)) (?v_212 (* (- 69) ?x3)) (?v_302 (* (- 51) ?x1)) (?v_147 (* (- 94) ?x4)) (?v_368 (* (- 23) ?x3)) (?v_193 (* (- 86) ?x4)) (?v_307 (* (- 74) ?x4)) (?v_141 (* (- 41) ?x3)) (?v_427 (* (- 13) ?x3)) (?v_260 (* (- 73) ?x2)) (?v_170 (* (- 66) ?x3)) (?v_335 (* (- 39) ?x4)) (?v_375 (* (- 98) ?x1)) (?v_203 (* (- 44) ?x4)) (?v_153 (* (- 38) ?x1)) (?v_211 (* (- 18) ?x1)) (?v_248 (* (- 60) ?x2)) (?v_429 (* (- 85) ?x2)) (?v_428 (* (- 95) ?x4)) (?v_181 (* (- 35) ?x1)) (?v_361 (* (- 42) ?x2)) (?v_411 (* (- 86) ?x2)) (?v_354 (* (- 1) ?x4)) (?v_323 (* (- 49) ?x1)) (?v_283 (* (- 54) ?x2)) (?v_243 (* (- 13) ?x2)) (?v_333 (* (- 12) ?x3)) (?v_270 (* (- 77) ?x4)) (?v_257 (* (- 40) ?x1)) (?v_226 (* (- 44) ?x2)) (?v_313 (* (- 7) ?x2)) (?v_278 (* (- 68) ?x3)) (?v_210 (* (- 9) ?x4)) (?v_345 (* (- 72) ?x2)) (?v_219 (* (- 30) ?x2)) (?v_381 (* (- 45) ?x1)) (?v_204 (* (- 80) ?x2)) (?v_209 (* (- 8) ?x1)) (?v_401 (* (- 83) ?x1)) (?v_296 (* (- 67) ?x3)) (?v_363 (* (- 2) ?x4)) (?v_249 (* (- 16) ?x4)) (?v_263 (* (- 83) ?x3)) (?v_412 (* (- 40) ?x3)) (?v_294 (* (- 56) ?x4)) (?v_317 (* (- 100) ?x1)) (?v_425 (* (- 93) ?x4)) (?v_321 (* (- 91) ?x1)) (?v_347 (* (- 36) ?x1)) (?v_255 (* (- 50) ?x1)) (?v_342 (* (- 49) ?x3)) (?v_277 (* (- 70) ?x1)) (?v_292 (* (- 51) ?x2)) (?v_376 (* (- 13) ?x4)) (?v_402 (* (- 21) ?x2)) (?v_330 (* (- 91) ?x3)) (?v_359 (* (- 79) ?x2)) (?v_329 (* (- 92) ?x1)) (?v_291 (* (- 87) ?x4)) (?v_337 (* (- 1) ?x2)) (?v_406 (* (- 80) ?x4)) (?v_274 (* (- 70) ?x2)) (?v_358 (* (- 52) ?x1)) (?v_314 (* (- 33) ?x1)) (?v_341 (* (- 80) ?x1)) (?v_423 (* (- 2) ?x3)) (?v_394 (* (- 31) ?x4)) (?v_426 (* (- 68) ?x4)) (?v_352 (* (- 69) ?x2)) (?v_403 (* (- 75) ?x3)) (?v_343 (* (- 76) ?x4)) (?v_385 (* (- 79) ?x3)) (?v_374 (* (- 76) ?x3)) (?v_389 (* (- 58) ?x4)) (?v_397 (* (- 20) ?x1)) (?v_415 (* (- 28) ?x2)) (?v_417 (* (- 81) ?x2)) (?v_414 (* (- 74) ?x1)) (?v_386 (* (- 24) ?x1))) (or (and (and (and (and (or (or (and (and (< (+ ?v_138 ?v_148) 79) (<= ?v_36 0)) (and (not (= (+ (* 29 ?x1) ?v_326) 77)) (< (+ (+ (* 43 ?x1) ?v_145) ?v_315) 34))) (< (+ ?v_27 ?v_56) (- 53))) (and (or (= (+ (+ ?v_0 ?v_171) (* 74 ?x4)) 0) (> (+ (+ ?v_164 ?v_142) ?v_189) 0)) (or (>= (+ (+ (+ ?v_179 ?v_0) ?v_98) ?v_92) (- 56)) (or (>= (+ (+ ?v_50 ?v_82) ?v_237) 0) (= (+ (+ ?v_64 (* 12 ?x3)) ?v_350) 0))))) (or (or (and (and (= (+ (+ ?v_281 ?v_67) ?v_139) (- 54)) (= (+ (+ (+ ?v_2 ?v_3) ?v_388) ?v_9) 30)) (<= (+ (+ ?v_87 ?v_293) (* (- 70) ?x4)) (- 94))) (and (< (+ (+ ?v_23 ?v_165) ?v_1) 0) (not (= (+ (+ (+ ?v_52 ?v_57) (* 97 ?x3)) ?v_184) 90)))) (or (or (and (> (+ (+ ?v_40 (* 39 ?x3)) ?v_1) 62) (< (+ ?v_2 ?v_30) 4)) (= (+ (+ (* (- 36) ?x2) ?v_355) ?v_18) (- 28))) (and (or (>= (+ (+ ?v_5 ?v_99) ?v_4) 34) (< (+ (+ ?v_269 ?v_6) ?v_128) (- 2))) (or (< (+ (+ ?v_41 (* (- 92) ?x3)) ?v_105) (- 83)) (= (+ (+ (* 25 ?x1) ?v_3) ?v_7) 78)))))) (or (or (or (and (or (= (+ (+ ?v_59 (* 39 ?x2)) ?v_158) 12) (not (= (+ (+ (+ ?v_24 ?v_247) ?v_399) ?v_4) (- 64)))) (and (not (= (+ (+ ?v_38 ?v_34) ?v_72) 0)) (> (+ (+ (+ (* (- 34) ?x1) ?v_140) ?v_256) ?v_8) (- 1)))) (and (and (or (< (+ (+ ?v_187 ?v_12) ?v_10) 0) (> (+ (+ (+ ?v_14 (* (- 19) ?x2)) ?v_13) ?v_78) 0)) (or (= (+ (+ ?v_47 (* (- 36) ?x3)) ?v_159) 0) (<= (+ (+ (* 92 ?x1) ?v_5) (* 99 ?x4)) (- 70)))) (or (and (> (+ (* 85 ?x3) ?v_93) (- 27)) (<= (+ ?v_160 ?v_20) (- 94))) (and (not (= (+ (+ ?v_39 ?v_15) ?v_111) 39)) (> (+ (+ ?v_19 ?v_55) (* 91 ?x4)) 0))))) (and (or (and (< ?v_316 25) (or (<= (+ (+ (+ ?v_33 ?v_6) (* (- 86) ?x3)) (* 39 ?x4)) 20) (not (= (+ (+ (+ ?v_124 ?v_300) ?v_7) (* (- 7) ?x4)) 39)))) (and (or (< (+ (+ (* (- 89) ?x1) ?v_37) ?v_280) 0) (<= (+ (+ (* (- 8) ?x2) ?v_35) ?v_8) 98)) (and (not (= (+ ?v_110 ?v_43) (- 51))) (> (+ (+ ?v_89 ?v_286) ?v_9) 9)))) (and (or (not (= (+ ?v_151 ?v_149) (- 91))) (and (>= (+ (+ ?v_217 ?v_45) ?v_174) 58) (not (= (+ ?v_228 ?v_42) 93)))) (and (and (= (+ (+ ?v_88 ?v_10) (* (- 26) ?x4)) (- 61)) (>= (+ ?v_340 ?v_11) 43)) (and (not (= (+ ?v_16 (* (- 90) ?x3)) (- 69))) (<= ?v_31 53)))))) (or (or (or (<= (+ ?v_377 ?v_4) (- 49)) (>= (+ (+ ?v_17 ?v_60) ?v_25) (- 35))) (and (and (< (+ (+ (+ ?v_114 ?v_100) ?v_44) ?v_370) 22) (>= (+ (+ (+ ?v_246 ?v_420) ?v_162) ?v_11) 0)) (and (>= ?v_268 (- 77)) (= (+ (+ (+ ?v_395 ?v_12) ?v_13) (* (- 46) ?x4)) (- 81))))) (and (or (not (= ?v_22 51)) (and (<= (+ (+ ?v_119 ?v_382) ?v_236) 0) (< (+ ?v_258 (* 59 ?x4)) (- 71)))) (or (> (+ (+ ?v_14 ?v_15) (* 98 ?x4)) 0) (= (+ ?v_287 ?v_267) 0)))))) (or (and (or (and (and (< (+ (+ ?v_409 (* 92 ?x3)) ?v_102) 0) (and (<= (+ (+ (+ ?v_16 ?v_17) ?v_435) ?v_288) (- 42)) (<= ?v_18 (- 45)))) (and (< (+ (+ (* (- 58) ?x1) ?v_26) ?v_108) 0) (or (or (<= ?v_271 (- 88)) (>= (+ ?v_19 ?v_227) (- 41))) (not (= (+ (+ ?v_131 (* 22 ?x2)) ?v_205) 71))))) (or (or (or (not (= (+ (+ ?v_298 ?v_319) ?v_20) 20)) (<= (+ (+ (+ ?v_120 ?v_21) ?v_118) ?v_146) 0)) (or (or (>= (+ (+ (+ ?v_101 (* (- 71) ?x2)) (* 32 ?x3)) ?v_8) (- 41)) (= (+ (+ ?v_22 (* 89 ?x2)) ?v_273) (- 43))) (and (> (+ ?v_29 ?v_166) 0) (< (+ (+ (+ ?v_49 ?v_173) ?v_220) ?v_245) 0)))) (and (or (< (+ ?v_23 ?v_6) 94) (or (>= (+ (+ (+ ?v_24 (* (- 11) ?x2)) ?v_91) ?v_322) (- 53)) (< (+ (+ ?v_357 ?v_295) ?v_66) 76))) (= (+ (+ ?v_233 ?v_115) ?v_28) 0)))) (and (or (or (and (and (<= ?v_61 5) (not (= (+ ?v_19 ?v_25) (- 72)))) (and (< ?v_305 0) (not (= ?v_301 9)))) (and (and (>= (+ ?v_46 (* (- 29) ?x3)) 79) (<= (+ (+ ?v_26 (* 60 ?x3)) ?v_58) 11)) (or (>= (+ ?v_275 (* (- 78) ?x4)) 1) (> (+ (+ (* (- 76) ?x2) (* 54 ?x3)) (* (- 75) ?x4)) 0)))) (and (and (= (+ (+ (+ ?v_27 (* 46 ?x2)) (* 87 ?x3)) ?v_28) 84) (<= (+ (+ (+ ?v_419 ?v_424) ?v_29) ?v_183) 0)) (or (<= (+ (+ (* 30 ?x1) ?v_73) ?v_30) 42) (< (+ ?v_398 ?v_31) 4)))) (and (or (and (not (= (+ (+ ?v_32 (* 55 ?x3)) ?v_81) (- 1))) (or (< ?v_51 0) (< (+ (+ ?v_33 ?v_34) ?v_77) 0))) (and (> (+ (+ ?v_157 ?v_48) ?v_218) (- 58)) (and (> (+ (+ ?v_312 ?v_35) ?v_36) 0) (< (+ (+ ?v_137 ?v_84) ?v_85) 0)))) (and (or (or (> ?v_37 0) (> (+ (+ (* 93 ?x1) ?v_180) ?v_18) 0)) (or (> (+ (+ ?v_198 ?v_38) (* 81 ?x3)) 93) (not (= (+ (* 1 ?x1) (* (- 35) ?x2)) (- 24))))) (or (and (<= (+ (+ ?v_76 (* (- 74) ?x2)) (* 100 ?x3)) (- 13)) (< (+ ?v_116 (* (- 3) ?x4)) (- 65))) (and (> (+ (+ (+ ?v_39 (* (- 52) ?x2)) ?v_188) ?v_235) 0) (< (+ ?v_63 (* 91 ?x3)) 7))))))) (or (and (or (= (+ (+ ?v_40 ?v_178) (* (- 52) ?x4)) (- 18)) (>= (+ (+ ?v_168 ?v_113) ?v_135) 0)) (or (>= (+ (+ ?v_79 ?v_41) ?v_239) 61) (>= (+ ?v_351 ?v_42) (- 26)))) (and (and (or (>= (+ (+ ?v_2 ?v_303) ?v_54) 58) (not (= (+ ?v_242 (* 2 ?x2)) (- 93)))) (or (>= (+ (+ (+ (* (- 14) ?x1) (* (- 56) ?x2)) ?v_53) ?v_43) 91) (> (+ (+ (+ ?v_272 (* 50 ?x2)) ?v_44) (* 13 ?x4)) 0))) (or (and (and (> (+ (+ ?v_266 ?v_197) ?v_161) 74) (= (+ (+ ?v_96 ?v_121) (* (- 78) ?x3)) 0)) (or (>= (+ (+ ?v_167 (* (- 89) ?x2)) ?v_45) (- 68)) (<= (+ ?v_46 ?v_431) 27))) (and (and (>= (+ (+ ?v_47 (* 26 ?x2)) ?v_48) 0) (not (= (+ (+ ?v_49 ?v_50) ?v_51) 11))) (or (< (+ (+ (+ ?v_52 ?v_308) ?v_222) ?v_69) 88) (not (= (+ (+ (+ ?v_65 (* 52 ?x2)) ?v_125) ?v_400) (- 67)))))))))) (or (and (or (and (or (and (>= (+ ?v_53 ?v_196) 61) (or (< (+ (+ ?v_62 ?v_68) ?v_54) (- 8)) (= (+ ?v_324 ?v_75) 15))) (and (< (+ ?v_136 ?v_262) 1) (> (* 71 ?x1) 12))) (or (< (+ (+ ?v_129 ?v_71) ?v_55) (- 47)) (or (or (= (+ (+ ?v_360 (* (- 55) ?x3)) ?v_356) (- 42)) (>= (+ (+ ?v_56 ?v_155) ?v_144) 7)) (and (not (= (+ (+ (+ ?v_230 ?v_57) ?v_86) ?v_58) 0)) (< (+ (+ (+ ?v_59 (* 17 ?x2)) ?v_60) ?v_176) (- 32)))))) (and (and (or (or (= (+ (* 45 ?x1) (* 49 ?x2)) 48) (< (+ (+ (+ ?v_61 ?v_169) ?v_344) ?v_107) 79)) (and (>= (+ (+ ?v_252 ?v_83) (* (- 37) ?x3)) (- 80)) (or (> (+ (+ ?v_117 (* (- 98) ?x3)) ?v_70) 0) (>= (+ (+ ?v_62 ?v_391) ?v_253) (- 38))))) (or (<= (+ ?v_63 ?v_259) 38) (or (and (>= (+ (+ ?v_156 ?v_150) ?v_372) 46) (< (+ (+ (+ (* (- 93) ?x1) ?v_97) ?v_74) (* (- 21) ?x4)) 0)) (or (= (+ ?v_134 ?v_310) 0) (not (= (+ (+ (+ ?v_64 (* 66 ?x2)) ?v_122) (* 20 ?x4)) 48)))))) (and (and (or (or (< (+ (+ ?v_94 (* 7 ?x2)) (* (- 38) ?x4)) 0) (< (+ (+ (+ ?v_65 (* 24 ?x2)) ?v_208) ?v_66) 0)) (or (= (+ (+ (* 98 ?x1) ?v_306) ?v_261) 41) (< ?v_194 0))) (and (or (> (+ (+ ?v_80 ?v_90) ?v_67) 0) (<= (+ (+ ?v_68 ?v_369) ?v_69) 50)) (and (not (= (+ (+ ?v_132 ?v_232) ?v_70) 90)) (= (+ (+ ?v_65 ?v_15) ?v_384) (- 28))))) (and (or (> (+ (+ ?v_103 ?v_71) ?v_362) 35) (not (= (+ (+ ?v_5 (* (- 96) ?x3)) ?v_72) (- 55)))) (and (> (+ (+ (+ ?v_325 ?v_73) ?v_74) ?v_75) (- 91)) (= (+ ?v_76 ?v_77) 63)))))) (and (or (and (or (and (< (+ (+ ?v_71 ?v_95) ?v_78) 25) (not (= (+ (+ ?v_79 (* 72 ?x2)) ?v_123) 0))) (or (<= (+ (+ ?v_80 ?v_126) ?v_190) (- 78)) (> (+ ?v_215 ?v_81) 11))) (and (= (+ ?v_82 ?v_42) 0) (> (+ (* 21 ?x2) (* (- 66) ?x4)) 66))) (or (and (>= (+ (+ (+ ?v_32 ?v_83) ?v_84) ?v_85) (- 80)) (<= (+ (+ (+ (* 83 ?x1) ?v_152) (* 20 ?x3)) ?v_234) 74)) (or (and (<= (+ ?v_177 ?v_86) 0) (> (+ (+ ?v_154 ?v_87) ?v_349) (- 28))) (and (> (+ (+ ?v_88 ?v_353) ?v_133) 65) (> (* 78 ?x3) (- 97)))))) (and (or (and (<= (+ ?v_32 ?v_365) (- 19)) (= (+ (+ (+ ?v_89 ?v_90) ?v_91) ?v_92) 0)) (not (= (+ (+ (* 49 ?x1) (* 42 ?x3)) ?v_93) 0))) (and (and (or (= (+ (+ ?v_94 ?v_327) ?v_223) (- 66)) (not (= (+ (+ (* (- 67) ?x1) (* 32 ?x2)) ?v_84) 0))) (or (not (= (+ (+ (+ ?v_200 ?v_130) ?v_95) ?v_106) 0)) (< (+ (+ ?v_96 ?v_97) ?v_98) 34))) (> (+ ?v_282 ?v_99) (- 73)))))) (and (and (or (and (and (and (> (+ ?v_213 ?v_104) (- 28)) (and (not (= (+ (+ ?v_59 ?v_100) (* 88 ?x4)) (- 18))) (not (= (+ ?v_101 ?v_69) 45)))) (and (<= (+ (+ (+ (* (- 30) ?x1) ?v_221) (* 58 ?x3)) ?v_102) 0) (<= (+ (+ ?v_38 ?v_432) ?v_224) 12))) (and (or (or (= ?v_103 (- 4)) (> (+ (+ (+ ?v_101 ?v_289) ?v_104) ?v_105) 0)) (and (< (+ (+ (+ (* 40 ?x1) ?v_143) ?v_290) ?v_106) 0) (= (+ (+ (+ ?v_109 ?v_238) ?v_244) (* (- 18) ?x4)) 0))) (or (and (= (+ (+ (+ ?v_14 ?v_392) ?v_82) ?v_107) (- 22)) (not (= (+ (+ (+ (* 52 ?x1) ?v_202) ?v_108) ?v_51) 78))) (and (<= (+ (+ ?v_109 (* 51 ?x2)) ?v_393) (- 40)) (> (+ (+ ?v_2 ?v_73) ?v_110) 96))))) (or (or (or (or (not (= (+ (+ ?v_112 ?v_284) ?v_111) (- 63))) (>= (+ (+ (+ ?v_112 (* (- 29) ?x2)) ?v_113) (* (- 5) ?x4)) 37)) (<= (+ (+ (+ ?v_114 ?v_115) (* (- 80) ?x3)) ?v_331) (- 42))) (>= (+ (+ ?v_116 ?v_192) ?v_28) 1)) (or (and (>= (+ ?v_379 ?v_172) 0) (> (+ ?v_117 ?v_118) 74)) (and (or (<= (+ (+ (+ ?v_119 ?v_26) ?v_212) ?v_254) 20) (> (+ ?v_302 (* (- 24) ?x4)) (- 18))) (and (not (= (+ (+ (+ ?v_120 ?v_121) ?v_7) ?v_147) 42)) (= (+ (+ (+ (* 17 ?x1) ?v_250) ?v_368) ?v_193) 32)))))) (and (and (and (or (or (= (+ ?v_311 ?v_122) 0) (= (+ (+ ?v_229 ?v_123) ?v_186) 35)) (or (>= (+ (+ ?v_124 ?v_175) ?v_127) 52) (> (+ (+ (+ ?v_47 ?v_195) ?v_125) (* (- 4) ?x4)) 0))) (or (< (+ (* 24 ?x1) (* 100 ?x4)) 13) (> (+ (+ ?v_182 ?v_126) ?v_127) (- 91)))) (and (> (+ (+ (+ ?v_225 (* 3 ?x2)) ?v_128) (* 55 ?x4)) 0) (and (> (+ (* 86 ?x1) ?v_21) (- 7)) (< (+ (+ ?v_418 (* (- 87) ?x2)) ?v_307) (- 44))))) (or (and (and (>= (+ (+ ?v_129 ?v_130) ?v_29) (- 98)) (= (+ (+ ?v_131 ?v_132) ?v_141) (- 99))) (and (= (+ (+ (+ ?v_309 ?v_318) ?v_427) ?v_133) (- 36)) (not (= (+ (+ ?v_134 ?v_260) ?v_135) 0)))) (or (or (= (+ (+ (+ ?v_136 ?v_163) ?v_170) ?v_207) 87) (>= (+ (+ ?v_23 ?v_137) ?v_335) (- 56))) (< (+ ?v_138 ?v_139) 55))))) (or (or (and (or (and (and (not (= (+ (+ ?v_216 (* (- 67) ?x2)) ?v_92) 72)) (> (+ (+ (+ ?v_375 ?v_140) ?v_141) ?v_135) 63)) (or (not (= (+ ?v_47 ?v_334) 12)) (> (+ ?v_142 ?v_264) (- 57)))) (and (and (not (= (+ (+ ?v_143 (* (- 87) ?x3)) ?v_18) (- 15))) (= (+ (+ ?v_131 (* 20 ?x2)) ?v_203) 80)) (and (= (+ (+ (+ ?v_153 ?v_231) (* 84 ?x3)) ?v_144) (- 46)) (<= (+ (+ (+ ?v_211 ?v_145) ?v_410) ?v_146) 32)))) (or (or (and (< (+ (+ (+ ?v_241 ?v_38) ?v_201) ?v_147) 73) (> (+ (+ ?v_23 (* (- 95) ?x3)) ?v_148) 24)) (or (not (= (+ ?v_185 ?v_127) 69)) (= (+ ?v_17 ?v_149) 77))) (and (< (+ (+ (* 87 ?x1) ?v_248) (* 14 ?x4)) 52) (and (>= (+ ?v_429 ?v_428) 28) (>= (+ ?v_150 ?v_147) 82))))) (and (and (or (> (+ (+ ?v_181 ?v_361) ?v_107) 47) (< ?v_132 (- 89))) (or (or (= (+ (+ ?v_151 ?v_152) (* 43 ?x4)) 0) (not (= (+ (+ (+ ?v_153 ?v_411) ?v_328) ?v_354) (- 12)))) (and (< (+ (+ ?v_154 ?v_140) ?v_155) (- 26)) (< (+ (+ (+ ?v_156 ?v_157) ?v_158) ?v_159) 0)))) (and (> (+ (+ (+ ?v_323 ?v_160) (* (- 77) ?x3)) ?v_161) 66) (< (+ (+ ?v_46 ?v_162) (* (- 54) ?x4)) 0)))) (or (or (and (and (or (>= (+ ?v_163 (* 63 ?x4)) 10) (<= (+ (+ (+ ?v_164 ?v_283) ?v_127) (* 65 ?x4)) (- 61))) (and (>= (+ (+ ?v_243 ?v_165) ?v_85) 67) (> (+ (+ (+ ?v_136 ?v_90) ?v_333) ?v_166) (- 30)))) (and (and (< (+ (+ (+ ?v_167 (* (- 96) ?x2)) ?v_125) ?v_251) 82) (not (= (+ (+ ?v_168 ?v_169) ?v_170) (- 15)))) (>= (+ (+ (+ ?v_430 (* (- 43) ?x2)) ?v_171) ?v_172) 0))) (and (and (or (> (+ (+ ?v_173 (* 22 ?x3)) ?v_199) 0) (<= (+ ?v_5 ?v_42) (- 10))) (and (< (+ (+ (* 35 ?x1) ?v_373) ?v_270) 0) (<= (+ (+ (* 72 ?x1) (* 53 ?x3)) ?v_174) (- 100)))) (and (or (> (+ (+ (+ ?v_131 ?v_88) ?v_265) ?v_146) 69) (< (+ (+ (+ ?v_257 ?v_175) ?v_338) ?v_176) 0)) (and (not (= (+ (+ ?v_177 ?v_90) ?v_178) 81)) (> (+ (+ (+ ?v_179 ?v_12) ?v_180) (* (- 72) ?x4)) (- 84)))))) (and (or (= (+ ?v_181 ?v_159) 77) (or (or (>= (+ ?v_182 ?v_183) 4) (> (+ ?v_226 ?v_28) 0)) (and (< ?v_184 0) (<= ?v_185 68)))) (and (and (or (not (= (+ (+ (+ ?v_191 ?v_313) ?v_278) ?v_186) 66)) (= (+ (+ ?v_187 ?v_100) ?v_210) (- 4))) (and (> (+ (+ ?v_187 ?v_345) (* (- 93) ?x3)) 0) (<= (+ (+ (+ ?v_336 (* (- 78) ?x2)) ?v_188) ?v_186) 2))) (and (or (not (= (+ (+ ?v_131 ?v_219) ?v_189) 21)) (< (+ (+ (+ ?v_154 (* (- 68) ?x2)) ?v_190) (* (- 42) ?x4)) (- 92))) (or (<= (+ (* 29 ?x3) (* 29 ?x4)) 74) (not (= (+ (+ (+ ?v_191 ?v_138) ?v_192) ?v_193) 48))))))))))) (and (or (or (or (and (or (or (and (not (= (+ (+ (+ ?v_194 ?v_195) (* (- 71) ?x3)) ?v_196) 0)) (< (+ (+ ?v_381 ?v_206) ?v_197) (- 77))) (or (= (+ ?v_198 ?v_199) 84) (< (+ (+ (+ ?v_200 ?v_204) ?v_201) ?v_28) (- 44)))) (and (and (or (> (+ (+ (+ ?v_209 ?v_202) ?v_240) ?v_203) 33) (<= (+ (+ ?v_401 (* (- 58) ?x2)) (* (- 64) ?x4)) 86)) (and (<= (+ (+ ?v_214 ?v_204) ?v_205) (- 46)) (>= (+ ?v_276 ?v_43) 58))) (or (<= (+ (+ (+ ?v_52 (* (- 22) ?x2)) ?v_155) ?v_42) (- 36)) (> (+ (+ (+ ?v_151 ?v_396) ?v_95) ?v_102) 8)))) (and (and (or (and (> (+ (+ ?v_206 ?v_296) ?v_207) 0) (<= (+ (+ ?v_71 ?v_208) (* 44 ?x4)) (- 88))) (and (< (+ (+ ?v_209 ?v_67) ?v_77) (- 71)) (>= (+ (* 48 ?x2) ?v_210) (- 2)))) (and (> (+ (+ ?v_134 (* 84 ?x2)) ?v_92) (- 79)) (= (+ (+ (+ ?v_211 (* 25 ?x2)) ?v_212) ?v_363) 84))) (and (and (< (+ ?v_213 ?v_249) 7) (and (> (+ (+ ?v_214 ?v_215) (* (- 32) ?x4)) 90) (= (+ (+ ?v_116 (* 90 ?x3)) ?v_107) 0))) (or (or (<= (+ (+ (+ ?v_117 ?v_416) ?v_125) (* (- 17) ?x4)) (- 100)) (> (+ (+ ?v_216 ?v_0) ?v_158) 0)) (or (>= (+ (+ ?v_217 ?v_263) ?v_218) 34) (= (+ (+ ?v_378 ?v_163) ?v_196) 0)))))) (or (and (and (< (+ (+ (+ ?v_61 ?v_219) ?v_220) (* (- 92) ?x4)) 40) (< (+ (+ ?v_221 ?v_189) ?v_43) 0)) (and (> (+ (+ (+ (* (- 5) ?x1) ?v_50) ?v_222) ?v_223) 57) (or (< (+ ?v_168 ?v_224) (- 41)) (< (+ (+ (+ ?v_225 (* 70 ?x2)) ?v_412) ?v_294) (- 53))))) (and (or (and (or (>= (+ (+ (+ ?v_317 ?v_226) ?v_149) ?v_425) 16) (>= (+ (+ (* 19 ?x1) ?v_227) ?v_51) 70)) (or (not (= (+ (+ (+ ?v_321 ?v_228) (* (- 39) ?x3)) (* (- 20) ?x4)) (- 87))) (< (+ (+ ?v_182 ?v_229) ?v_279) (- 38)))) (or (and (> (+ (+ (+ ?v_347 ?v_5) ?v_60) (* 57 ?x4)) 18) (<= (+ ?v_38 ?v_146) 44)) (and (>= (+ (+ (+ ?v_167 ?v_41) ?v_201) (* 95 ?x4)) 79) (> (+ (+ ?v_230 ?v_231) ?v_159) 0)))) (and (and (and (> (+ ?v_165 (* (- 6) ?x4)) 0) (not (= (+ (+ (+ ?v_117 ?v_97) ?v_123) ?v_1) (- 3)))) (> (+ (+ ?v_198 ?v_204) ?v_387) (- 37))) (or (and (<= ?v_232 (- 64)) (= (+ (+ ?v_233 ?v_104) ?v_234) 29)) (and (= (+ ?v_364 ?v_235) 0) (<= (+ ?v_236 ?v_407) (- 40)))))))) (and (or (and (and (or (or (not (= (+ (+ ?v_255 ?v_342) ?v_223) (- 6))) (= (+ ?v_185 ?v_170) 26)) (not (= (+ (+ (+ ?v_277 ?v_292) ?v_189) ?v_237) (- 73)))) (or (< (+ (+ (* (- 61) ?x1) ?v_421) ?v_51) (- 74)) (not (= (+ (+ ?v_79 ?v_238) ?v_31) 26)))) (or (and (> (+ (+ ?v_63 (* (- 45) ?x2)) ?v_58) (- 19)) (= (+ (+ (+ ?v_297 ?v_348) ?v_60) ?v_239) (- 81))) (and (or (< (+ (+ ?v_213 ?v_240) ?v_78) 40) (< (+ (+ ?v_14 ?v_226) (* 9 ?x3)) 0)) (and (> (+ ?v_241 ?v_48) 75) (<= (+ (+ (+ ?v_242 ?v_243) ?v_244) ?v_245) (- 10)))))) (or (and (and (or (< (+ ?v_246 ?v_247) 94) (not (= (+ (+ ?v_248 ?v_86) ?v_249) (- 66)))) (and (>= (+ (+ ?v_413 ?v_250) ?v_376) 46) (>= (+ (* 15 ?x1) ?v_251) 1))) (and (and (> (+ (+ ?v_187 ?v_206) (* 68 ?x4)) 0) (not (= (+ (+ (+ ?v_252 ?v_175) (* (- 11) ?x3)) ?v_253) 30))) (and (> (+ (+ ?v_177 ?v_202) (* 48 ?x4)) 90) (= (+ (+ (+ (* (- 66) ?x1) (* (- 5) ?x2)) ?v_405) ?v_159) 0)))) (and (and (< (+ (+ ?v_177 ?v_346) ?v_339) (- 86)) (>= (+ (+ ?v_191 ?v_402) ?v_254) (- 74))) (or (>= (+ (+ ?v_225 ?v_152) ?v_31) (- 83)) (<= (+ (+ (+ (* (- 96) ?x1) ?v_83) ?v_330) (* 15 ?x4)) 42))))) (or (or (or (and (<= (+ (+ (* (- 47) ?x2) ?v_141) ?v_239) 0) (= (+ (+ ?v_255 ?v_359) ?v_256) (- 45))) (or (not (= (+ (+ (+ ?v_257 ?v_243) ?v_258) ?v_320) 0)) (not (= (+ ?v_259 (* (- 54) ?x3)) 0)))) (or (or (<= (+ (+ (+ ?v_329 ?v_260) ?v_104) ?v_291) 0) (<= (+ (+ (* 47 ?x2) ?v_261) ?v_262) 0)) (or (<= (+ (+ ?v_337 ?v_35) ?v_135) (- 69)) (>= (+ (+ ?v_198 (* 93 ?x3)) ?v_406) (- 86))))) (or (and (>= (+ ?v_248 (* 45 ?x3)) (- 32)) (not (= (+ (+ ?v_173 ?v_263) ?v_31) (- 18)))) (and (or (< (* (- 6) ?x1) 16) (not (= (+ (+ ?v_134 ?v_274) ?v_264) 0))) (and (< (+ (+ (* (- 87) ?x1) ?v_265) ?v_148) (- 92)) (< (+ (+ ?v_266 ?v_12) ?v_267) 64))))))) (or (and (and (or (or (not (= (+ ?v_268 ?v_162) 57)) (and (= (+ (+ ?v_269 ?v_7) ?v_270) 75) (< ?v_271 70))) (or (and (not (= (+ (+ (+ ?v_272 ?v_175) ?v_29) (* 22 ?x4)) 11)) (<= (+ (+ (+ ?v_65 ?v_73) ?v_273) ?v_176) (- 63))) (and (<= (+ (+ ?v_274 ?v_15) (* (- 41) ?x4)) 0) (>= (+ ?v_275 ?v_223) 1)))) (or (and (not (= (+ (+ (+ (* (- 48) ?x1) ?v_87) ?v_67) ?v_77) (- 45))) (or (= ?v_276 48) (> (+ ?v_277 ?v_189) (- 34)))) (or (and (= (+ ?v_112 ?v_278) (- 90)) (= (+ (+ (+ (* 89 ?x1) (* 38 ?x2)) ?v_279) ?v_11) 96)) (and (and (= (+ (+ (* 14 ?x1) (* 100 ?x2)) ?v_280) (- 94)) (< (+ (+ (+ ?v_281 ?v_282) (* (- 59) ?x3)) ?v_70) 19)) (and (not (= (+ (+ (* 99 ?x1) ?v_98) (* 66 ?x4)) (- 42))) (<= (+ (+ (* 46 ?x1) ?v_283) ?v_285) (- 100))))))) (or (and (or (or (< (+ ?v_136 ?v_42) (- 8)) (and (< (+ (+ ?v_284 (* (- 18) ?x3)) ?v_146) 0) (< (+ (* (- 57) ?x1) ?v_285) 0))) (and (and (< (+ (+ ?v_304 ?v_286) ?v_264) 67) (not (= (+ (+ (+ ?v_27 ?v_287) (* (- 88) ?x3)) ?v_288) (- 90)))) (and (not (= (+ (+ ?v_358 ?v_289) ?v_144) (- 21))) (< (+ (+ (+ ?v_314 ?v_115) ?v_290) ?v_239) 0)))) (and (= (+ ?v_104 ?v_291) (- 84)) (or (not (= (+ (+ (+ ?v_79 ?v_0) ?v_113) (* 72 ?x4)) 11)) (and (not (= (+ (+ ?v_143 ?v_434) ?v_422) 15)) (< (+ (+ ?v_341 ?v_127) ?v_210) (- 68)))))) (and (or (and (< (+ (+ ?v_299 ?v_56) ?v_7) 34) (<= (+ (+ ?v_292 ?v_104) (* 12 ?x4)) 0)) (< (+ (* (- 66) ?x2) ?v_423) 0)) (or (and (or (not (= (+ (+ (* (- 26) ?x1) ?v_390) ?v_394) 75)) (= (+ (+ (* (- 33) ?x2) ?v_293) ?v_294) 0)) (< (+ (* (- 12) ?x1) ?v_295) (- 77))) (and (< (+ (+ (+ ?v_47 (* 35 ?x2)) ?v_296) ?v_254) (- 65)) (or (<= (+ (+ (+ ?v_297 (* (- 62) ?x2)) ?v_279) ?v_210) (- 76)) (<= (+ (+ (+ (* (- 9) ?x1) ?v_367) ?v_197) ?v_245) 38))))))) (and (and (or (and (> (+ (+ ?v_332 ?v_298) ?v_165) 0) (or (<= (+ (+ ?v_299 (* (- 53) ?x3)) (* (- 88) ?x4)) 0) (= (+ (+ ?v_433 ?v_300) ?v_301) (- 93)))) (or (not (= (+ (+ (+ (* (- 85) ?x1) ?v_243) ?v_383) ?v_426) 0)) (< (+ (+ (+ ?v_302 ?v_303) (* 2 ?x3)) (* 8 ?x4)) 0))) (or (and (and (> (+ (+ (+ ?v_109 ?v_304) ?v_305) (* 81 ?x4)) (- 7)) (= (+ (+ (+ ?v_39 ?v_306) ?v_48) ?v_307) (- 78))) (or (>= (+ (+ ?v_32 ?v_308) ?v_258) 0) (<= (+ (+ ?v_309 ?v_310) ?v_98) 0))) (or (and (<= (+ (+ ?v_311 ?v_244) (* 60 ?x4)) 0) (>= (+ ?v_120 ?v_97) 0)) (or (= ?v_45 3) (= ?v_312 (- 48)))))) (and (and (and (and (not (= ?v_68 0)) (or (< (+ (+ ?v_313 (* 11 ?x3)) ?v_66) 0) (<= (+ (+ ?v_314 ?v_352) ?v_315) (- 94)))) (or (not (= (+ (+ ?v_316 (* 41 ?x3)) ?v_253) 0)) (> (+ (+ (+ ?v_317 ?v_318) ?v_319) ?v_320) 71))) (and (and (> (+ (+ ?v_321 ?v_140) ?v_322) 44) (= (+ (+ ?v_323 ?v_53) ?v_404) 48)) (or (< (+ (+ (+ ?v_324 ?v_282) (* (- 26) ?x3)) (* (- 36) ?x4)) (- 41)) (and (>= (+ ?v_55 ?v_176) 22) (= (+ (+ (+ (* 48 ?x1) ?v_157) ?v_403) ?v_343) (- 91)))))) (and (and (or (and (< (+ (+ ?v_325 ?v_204) ?v_326) (- 17)) (> (+ ?v_327 ?v_328) (- 60))) (or (> (+ ?v_329 ?v_380) (- 93)) (< (+ (+ (+ ?v_112 (* 56 ?x2)) ?v_330) ?v_223) 10))) (or (<= (+ (+ (+ ?v_52 ?v_97) ?v_385) ?v_331) (- 24)) (or (>= (+ (+ ?v_332 (* (- 25) ?x2)) ?v_333) 97) (<= (+ (* 33 ?x1) ?v_334) (- 94))))) (and (not (= (+ (+ ?v_114 (* (- 84) ?x2)) ?v_335) 27)) (<= (+ (+ (+ ?v_336 ?v_337) ?v_338) ?v_20) 89))))))) (and (and (or (and (or (< (+ ?v_74 ?v_339) (- 32)) (or (not (= (+ (+ ?v_371 ?v_374) (* (- 61) ?x4)) 99)) (> (+ (+ ?v_340 (* 38 ?x3)) ?v_389) 0))) (or (<= (+ ?v_304 ?v_223) (- 33)) (> (* (- 90) ?x1) 47))) (or (or (not (= (+ ?v_37 ?v_270) 5)) (or (= (+ (+ ?v_341 ?v_121) ?v_158) (- 19)) (<= (+ (+ (+ ?v_114 ?v_248) ?v_342) ?v_343) (- 70)))) (and (or (> (+ (+ ?v_103 ?v_238) ?v_256) 0) (<= ?v_344 (- 82))) (or (<= (+ (+ (+ ?v_397 ?v_345) ?v_346) ?v_42) (- 97)) (= (+ (+ (+ ?v_347 ?v_348) ?v_349) ?v_350) 0))))) (and (and (and (<= (+ (+ (+ (* (- 54) ?x1) (* (- 32) ?x2)) ?v_366) ?v_249) 51) (or (< (+ ?v_33 ?v_288) 0) (not (= (+ (+ (+ ?v_351 ?v_352) ?v_353) ?v_354) (- 87))))) (or (and (<= (+ (+ ?v_116 ?v_115) ?v_344) 77) (and (>= ?v_57 (- 11)) (> (+ (* (- 37) ?x2) ?v_166) 59))) (and (or (>= (+ (+ ?v_14 ?v_313) ?v_355) 46) (> (+ (+ ?v_314 ?v_204) ?v_25) (- 73))) (or (< (+ (+ ?v_231 ?v_60) ?v_253) (- 68)) (<= (+ (+ (+ ?v_120 ?v_100) ?v_222) ?v_356) 0))))) (or (or (and (or (< (+ (+ (+ ?v_181 ?v_357) ?v_91) ?v_72) (- 86)) (= (+ ?v_358 ?v_359) (- 60))) (<= (+ (+ (+ ?v_360 ?v_361) ?v_55) (* 78 ?x4)) 53)) (or (< (+ (+ (+ ?v_59 ?v_415) ?v_30) ?v_362) 1) (> (+ ?v_358 ?v_270) 0))) (and (or (or (< (+ ?v_99 ?v_31) 79) (> (+ (+ (* 69 ?x1) ?v_295) ?v_363) 38)) (and (<= (+ (+ ?v_96 ?v_417) ?v_364) (- 12)) (>= (+ (+ (+ (* 56 ?x1) ?v_365) ?v_366) ?v_363) (- 20)))) (or (and (>= (+ ?v_367 ?v_368) 0) (< (+ (+ (+ ?v_154 ?v_259) (* 70 ?x3)) ?v_92) 34)) (or (<= (+ (+ (+ ?v_241 (* (- 48) ?x2)) ?v_369) ?v_370) 0) (<= (+ ?v_371 ?v_197) 0))))))) (and (or (or (or (or (and (or (>= (+ (+ ?v_198 ?v_222) ?v_372) 37) (<= (+ (+ (+ ?v_414 ?v_373) ?v_374) ?v_174) 95)) (or (<= (+ ?v_375 ?v_376) (- 28)) (>= (+ (+ ?v_377 ?v_155) ?v_315) (- 20)))) (or (> (+ (+ ?v_378 ?v_379) ?v_60) 11) (or (< (+ (+ ?v_386 ?v_380) ?v_192) 0) (>= (+ (+ ?v_33 ?v_319) ?v_196) (- 23))))) (and (and (and (= (+ (* 8 ?x1) ?v_240) (- 46)) (not (= (+ (+ (+ ?v_381 ?v_160) ?v_150) ?v_363) 21))) (= (+ (+ ?v_124 (* (- 57) ?x2)) ?v_344) 51)) (and (and (not (= (+ (+ ?v_134 ?v_236) (* (- 71) ?x4)) (- 54))) (> (+ (+ ?v_382 ?v_383) ?v_384) 66)) (and (> ?v_145 57) (< (+ (+ ?v_292 ?v_385) ?v_18) (- 98)))))) (or (or (or (and (< (+ ?v_201 (* 92 ?x4)) 0) (>= ?v_239 (- 71))) (> (+ ?v_386 (* (- 11) ?x4)) (- 55))) (or (or (> (+ (+ ?v_191 ?v_100) ?v_387) 39) (< (+ (+ (+ ?v_321 ?v_283) ?v_388) ?v_18) 0)) (and (not (= (+ (+ (+ ?v_182 (* (- 55) ?x2)) ?v_408) ?v_389) (- 33))) (<= (+ (+ (+ ?v_325 (* (- 15) ?x2)) ?v_390) ?v_335) (- 55))))) (or (or (and (< (+ (+ (+ ?v_242 ?v_391) ?v_74) ?v_205) 0) (= (+ ?v_392 ?v_270) 0)) (>= (+ (+ (+ ?v_214 ?v_250) ?v_393) ?v_394) (- 35))) (or (and (> (+ (+ ?v_395 ?v_396) ?v_35) (- 96)) (< (+ (+ (+ ?v_164 (* 40 ?x2)) ?v_55) ?v_235) (- 20))) (or (= (+ (+ (+ ?v_397 ?v_398) ?v_333) ?v_92) 44) (<= (+ (+ ?v_298 ?v_399) ?v_400) 98)))))) (or (and (and (or (not (= (+ (+ (+ ?v_401 ?v_221) (* (- 58) ?x3)) (* (- 50) ?x4)) 50)) (= (+ (+ ?v_402 ?v_403) ?v_404) 51)) (or (or (> (+ (+ (* 36 ?x2) ?v_405) ?v_111) 0) (<= (+ (+ ?v_309 ?v_303) ?v_406) (- 10))) (<= (+ ?v_200 ?v_349) 0))) (and (and (or (> (+ (+ (+ ?v_225 (* (- 83) ?x2)) ?v_60) ?v_51) 0) (= (+ (+ (* 20 ?x1) ?v_115) ?v_407) 0)) (or (<= (+ (+ (+ (* (- 17) ?x1) ?v_115) ?v_408) ?v_249) 59) (>= (+ (+ ?v_142 (* 49 ?x3)) ?v_370) (- 53)))) (and (or (<= (+ (+ ?v_351 ?v_409) ?v_410) (- 73)) (< (+ ?v_411 ?v_412) (- 14))) (and (not (= (+ ?v_104 ?v_135) (- 18))) (< (+ (+ ?v_413 (* 28 ?x2)) ?v_201) 61))))) (and (and (< (+ (+ ?v_414 ?v_415) ?v_122) 0) (< (+ (+ ?v_89 ?v_416) ?v_408) 0)) (or (< (+ (+ ?v_299 ?v_173) ?v_412) (- 2)) (< (+ (+ (+ ?v_117 ?v_417) (* (- 85) ?x3)) ?v_148) 0))))) (and (or (or (and (not (= (+ (+ ?v_418 ?v_402) ?v_218) (- 24))) (= (+ (+ (+ ?v_419 ?v_420) ?v_421) ?v_422) 59)) (or (or (<= (+ ?v_129 ?v_423) (- 96)) (not (= (+ (+ (+ ?v_33 ?v_424) (* (- 8) ?x3)) ?v_36) (- 16)))) (or (and (>= (+ (+ (* 15 ?x2) ?v_99) ?v_307) 55) (= (+ ?v_165 ?v_425) 0)) (and (<= (+ (+ (+ ?v_168 ?v_382) ?v_383) ?v_426) (- 49)) (not (= (+ (+ (* (- 23) ?x1) ?v_83) ?v_176) 78)))))) (and (and (and (< (+ ?v_386 ?v_427) (- 95)) (= (+ ?v_319 ?v_428) 66)) (>= (+ ?v_252 ?v_429) 31)) (or (or (< (+ (+ (+ ?v_430 ?v_276) ?v_55) (* 49 ?x4)) (- 74)) (>= (+ ?v_398 ?v_256) 0)) (and (> ?v_355 83) (= (+ (+ ?v_80 (* 8 ?x3)) ?v_147) 90))))) (and (or (or (or (>= (+ (+ (* 75 ?x1) ?v_258) ?v_288) 0) (>= ?v_431 76)) (<= (+ ?v_14 (* (- 65) ?x4)) 11)) (and (= (+ (+ ?v_216 ?v_189) ?v_343) 0) (< (+ (+ ?v_216 ?v_300) ?v_82) (- 32)))) (and (and (or (not (= (+ (+ ?v_337 (* (- 30) ?x3)) ?v_78) 0)) (<= (+ (+ ?v_179 ?v_296) (* 36 ?x4)) 0)) (<= (+ (+ (+ ?v_156 ?v_140) ?v_432) ?v_389) 29)) (and (or (> (+ (+ (+ ?v_433 (* (- 2) ?x2)) ?v_434) ?v_25) (- 70)) (>= (+ ?v_435 ?v_280) 0)) (= (+ ?v_281 ?v_21) (- 82)))))))))))))))))
(check-sat)
(exit)
