(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_48 (* 75 ?x3)) (?v_111 (* 56 ?x1)) (?v_73 (* 58 ?x4)) (?v_22 (* 1 ?x3)) (?v_18 (* 7 ?x4)) (?v_37 (* 29 ?x3)) (?v_91 (* 59 ?x3)) (?v_21 (* 78 ?x2)) (?v_84 (* 55 ?x4)) (?v_4 (* 55 ?x1)) (?v_1 (* 32 ?x4)) (?v_50 (* 75 ?x2)) (?v_40 (* 19 ?x2)) (?v_82 (* 75 ?x4)) (?v_33 (* 14 ?x2)) (?v_93 (* 82 ?x1)) (?v_24 (* 28 ?x4)) (?v_77 (* 50 ?x3)) (?v_110 (* 96 ?x3)) (?v_56 (* 70 ?x3)) (?v_9 (* 2 ?x3)) (?v_12 (* 32 ?x2)) (?v_17 (* 36 ?x1)) (?v_101 (* 69 ?x1)) (?v_20 (* 98 ?x2)) (?v_15 (* 93 ?x4)) (?v_60 (* 17 ?x3)) (?v_92 (* 94 ?x4)) (?v_36 (* 90 ?x3)) (?v_23 (* 80 ?x1)) (?v_27 (* 28 ?x3)) (?v_26 (* 30 ?x2)) (?v_100 (* 11 ?x3)) (?v_103 (* 69 ?x2)) (?v_74 (* 28 ?x1)) (?v_41 (* 77 ?x4)) (?v_30 (* 5 ?x1)) (?v_55 (* 51 ?x1)) (?v_79 (* 73 ?x1)) (?v_89 (* 97 ?x4)) (?v_64 (* 8 ?x3)) (?v_107 (* 16 ?x2)) (?v_68 (* 42 ?x2)) (?v_52 (* 14 ?x4)) (?v_117 (* 13 ?x2)) (?v_114 (* 38 ?x4)) (?v_34 (* 66 ?x1)) (?v_31 (* 85 ?x2)) (?v_46 (* 90 ?x4)) (?v_66 (* 74 ?x1)) (?v_35 (* 3 ?x1)) (?v_59 (* 33 ?x1)) (?v_98 (* 68 ?x1)) (?v_90 (* 42 ?x4)) (?v_85 (* 11 ?x2)) (?v_108 (* 15 ?x3)) (?v_104 (* 49 ?x4)) (?v_102 (* 93 ?x1)) (?v_120 (* 5 ?x2)) (?v_109 (* 48 ?x1)) (?v_54 (* (- 93) ?x3)) (?v_5 (* (- 41) ?x3)) (?v_0 (* (- 36) ?x1)) (?v_45 (* (- 19) ?x1)) (?v_39 (* (- 12) ?x2)) (?v_28 (* (- 58) ?x1)) (?v_65 (* (- 44) ?x1)) (?v_96 (* (- 18) ?x2)) (?v_2 (* (- 66) ?x4)) (?v_6 (* (- 30) ?x4)) (?v_3 (* (- 36) ?x4)) (?v_7 (* (- 91) ?x3)) (?v_19 (* (- 91) ?x4)) (?v_47 (* (- 42) ?x2)) (?v_8 (* (- 27) ?x1)) (?v_81 (* (- 5) ?x1)) (?v_29 (* (- 75) ?x2)) (?v_13 (* (- 48) ?x3)) (?v_116 (* (- 57) ?x4)) (?v_16 (* (- 97) ?x1)) (?v_10 (* (- 87) ?x3)) (?v_11 (* (- 94) ?x4)) (?v_14 (* (- 42) ?x1)) (?v_76 (* (- 61) ?x1)) (?v_99 (* (- 14) ?x4)) (?v_25 (* (- 68) ?x1)) (?v_61 (* (- 53) ?x4)) (?v_119 (* (- 57) ?x1)) (?v_38 (* (- 95) ?x4)) (?v_69 (* (- 2) ?x1)) (?v_42 (* (- 56) ?x1)) (?v_115 (* (- 1) ?x2)) (?v_44 (* (- 33) ?x4)) (?v_32 (* (- 33) ?x2)) (?v_94 (* (- 60) ?x2)) (?v_62 (* (- 65) ?x2)) (?v_75 (* (- 40) ?x1)) (?v_72 (* (- 100) ?x4)) (?v_58 (* (- 69) ?x2)) (?v_49 (* (- 34) ?x3)) (?v_70 (* (- 97) ?x4)) (?v_105 (* (- 79) ?x3)) (?v_86 (* (- 25) ?x2)) (?v_51 (* (- 60) ?x4)) (?v_88 (* (- 98) ?x2)) (?v_80 (* (- 93) ?x4)) (?v_87 (* (- 90) ?x2)) (?v_43 (* (- 26) ?x3)) (?v_106 (* (- 28) ?x4)) (?v_53 (* (- 66) ?x2)) (?v_97 (* (- 49) ?x4)) (?v_57 (* (- 39) ?x4)) (?v_113 (* (- 21) ?x1)) (?v_95 (* (- 8) ?x4)) (?v_71 (* (- 56) ?x2)) (?v_63 (* (- 8) ?x1)) (?v_67 (* (- 59) ?x1)) (?v_78 (* (- 23) ?x1)) (?v_83 (* (- 74) ?x3)) (?v_112 (* (- 5) ?x3)) (?v_118 (* (- 38) ?x4))) (and (or (and (or (and (and (or (< (+ (+ (* (- 33) ?x1) (* (- 16) ?x2)) ?v_48) 94) (<= (+ (+ (+ ?v_111 (* 24 ?x2)) ?v_54) (* (- 29) ?x4)) 0)) (or (> (+ (* (- 88) ?x2) (* (- 6) ?x3)) (- 64)) (> (+ (+ (* 49 ?x2) ?v_5) (* 63 ?x4)) (- 73)))) (= (+ (+ (* 75 ?x1) (* 94 ?x2)) ?v_73) 87)) (and (or (and (< (+ (* 84 ?x2) (* 46 ?x4)) 49) (not (= (+ (+ ?v_0 ?v_22) ?v_18) 8))) (or (<= (+ (+ ?v_45 ?v_39) ?v_37) (- 12)) (<= (+ (+ (* (- 76) ?x1) (* (- 20) ?x2)) (* 45 ?x3)) 93))) (and (and (not (= (+ (+ (+ (* (- 78) ?x1) (* (- 68) ?x2)) ?v_91) (* 24 ?x4)) 68)) (not (= (* 73 ?x2) 0))) (and (<= (+ (+ ?v_28 ?v_21) ?v_84) 0) (not (= (+ ?v_4 (* 86 ?x4)) 2)))))) (or (or (or (or (>= (+ (+ ?v_65 (* 91 ?x3)) ?v_1) (- 14)) (>= (+ (+ ?v_96 (* 39 ?x3)) ?v_2) 0)) (or (<= (+ (+ (+ (* (- 64) ?x1) ?v_50) (* 92 ?x3)) (* 43 ?x4)) 0) (< (+ (+ (+ ?v_0 ?v_40) (* (- 49) ?x3)) ?v_6) (- 23)))) (and (and (< (+ (* 93 ?x3) (* 99 ?x4)) (- 2)) (< (+ (* 97 ?x2) ?v_82) 73)) (or (> (+ (* (- 43) ?x1) ?v_1) 77) (not (= (+ (+ ?v_33 (* (- 39) ?x3)) (* (- 56) ?x4)) 0))))) (or (and (and (= (+ (+ (+ ?v_93 (* 18 ?x2)) (* (- 45) ?x3)) ?v_24) (- 63)) (= ?v_3 (- 48))) (and (= (+ (* 78 ?x1) ?v_7) 42) (not (= (+ (* 42 ?x1) (* (- 34) ?x4)) 0)))) (or (>= (+ ?v_77 ?v_19) (- 5)) (not (= (+ (+ (* (- 48) ?x1) (* (- 90) ?x3)) ?v_2) (- 36))))))) (and (or (and (and (and (> (+ (+ (* (- 14) ?x2) (* (- 28) ?x3)) ?v_3) 14) (and (not (= (+ (+ (* 45 ?x1) (* (- 67) ?x2)) (* (- 54) ?x3)) 93)) (not (= (+ (+ (+ (* (- 28) ?x1) ?v_47) ?v_110) (* 19 ?x4)) 18)))) (and (< (+ ?v_8 (* (- 99) ?x3)) (- 35)) (<= (+ (+ ?v_81 ?v_56) (* (- 71) ?x4)) 0))) (or (or (>= (+ (* 10 ?x1) (* (- 83) ?x3)) (- 35)) (not (= ?v_9 50))) (and (and (= (+ (+ ?v_29 (* 23 ?x3)) (* (- 81) ?x4)) 0) (<= (+ (+ (+ (* 27 ?x1) ?v_12) (* (- 77) ?x3)) (* (- 21) ?x4)) 74)) (and (>= (+ (+ (+ ?v_17 (* (- 32) ?x2)) ?v_13) ?v_2) 1) (<= (+ ?v_4 (* 2 ?x2)) 74))))) (or (and (and (> (+ (+ (* 12 ?x1) ?v_5) ?v_6) 83) (not (= (+ (* 52 ?x2) ?v_7) 0))) (and (= (+ (+ ?v_101 ?v_20) (* (- 22) ?x4)) 99) (< (+ (+ ?v_4 (* (- 28) ?x2)) ?v_116) (- 35)))) (and (or (>= (+ (+ ?v_16 ?v_10) ?v_11) 0) (= (+ (+ ?v_8 (* 87 ?x2)) (* 74 ?x3)) (- 81))) (or (not (= (+ (* (- 44) ?x2) ?v_15) (- 1))) (> (+ (* (- 90) ?x1) ?v_1) 5))))) (and (and (or (or (>= (+ ?v_9 (* 87 ?x4)) 88) (<= (+ (+ (+ ?v_14 (* (- 39) ?x2)) ?v_60) (* (- 35) ?x4)) (- 39))) (and (>= (+ (+ ?v_76 (* 64 ?x2)) ?v_99) 0) (> (+ (+ (+ (* (- 3) ?x1) (* (- 43) ?x2)) (* 53 ?x3)) ?v_3) (- 28)))) (or (or (>= (+ (+ (+ ?v_25 (* (- 6) ?x2)) ?v_10) ?v_92) 73) (< (+ ?v_36 ?v_11) (- 17))) (and (= (+ (* 74 ?x2) (* 72 ?x4)) (- 9)) (<= (+ (+ ?v_23 (* 25 ?x3)) ?v_61) (- 69))))) (or (or (and (>= (+ (+ (* 34 ?x2) (* 60 ?x3)) (* 56 ?x4)) 0) (= (+ (+ (+ ?v_119 (* 61 ?x2)) ?v_27) (* (- 16) ?x4)) (- 30))) (and (< (+ (+ (+ (* (- 88) ?x1) ?v_12) ?v_13) (* (- 31) ?x4)) (- 80)) (> (+ (* 65 ?x2) (* 84 ?x4)) 95))) (and (or (>= (+ (+ (+ ?v_14 (* 35 ?x2)) (* (- 25) ?x3)) ?v_15) 0) (<= (+ (+ ?v_16 ?v_26) ?v_100) 0)) (and (<= (+ (+ ?v_14 (* (- 84) ?x2)) (* (- 12) ?x3)) 0) (not (= (+ (+ (* (- 89) ?x1) (* (- 7) ?x3)) ?v_38) 0)))))))) (and (and (or (or (or (or (or (= (+ (+ ?v_17 ?v_103) (* 22 ?x4)) (- 31)) (= (+ (+ ?v_74 (* (- 3) ?x2)) ?v_41) 0)) (>= (+ (+ ?v_30 (* (- 32) ?x3)) ?v_18) (- 95))) (or (and (and (> (+ (+ ?v_55 (* (- 51) ?x3)) ?v_19) (- 55)) (>= (+ (+ ?v_79 ?v_20) ?v_89) 73)) (and (= (* (- 29) ?x3) (- 24)) (not (= (+ (+ (+ (* (- 53) ?x1) ?v_21) ?v_64) (* (- 6) ?x4)) (- 100))))) (or (<= (+ (* 95 ?x1) ?v_107) 68) (< (+ (+ (+ ?v_69 ?v_68) (* 99 ?x3)) (* 50 ?x4)) 0)))) (or (or (and (and (= (+ (+ (* 92 ?x1) ?v_22) ?v_52) (- 96)) (<= (+ ?v_23 (* (- 57) ?x2)) 0)) (or (not (= (+ (+ (+ ?v_42 ?v_115) (* 5 ?x3)) ?v_44) 0)) (<= (+ (+ ?v_117 (* 33 ?x3)) (* (- 4) ?x4)) (- 9)))) (and (and (= (+ (+ (+ (* (- 6) ?x1) ?v_32) (* (- 58) ?x3)) ?v_24) (- 96)) (<= (+ (+ (* (- 94) ?x2) (* 27 ?x3)) (* 52 ?x4)) (- 84))) (or (<= ?v_94 0) (>= (+ (+ (* 86 ?x1) (* 8 ?x2)) (* 33 ?x4)) 0)))) (or (and (= (+ (+ (+ ?v_25 ?v_62) (* 43 ?x3)) (* (- 98) ?x4)) (- 70)) (not (= (+ (+ (+ (* (- 51) ?x1) (* (- 58) ?x2)) (* 65 ?x3)) (* (- 89) ?x4)) (- 99)))) (and (< (+ (+ (+ ?v_75 ?v_26) ?v_27) ?v_114) 0) (and (>= (+ (* 88 ?x1) ?v_72) 0) (<= (+ (+ (+ ?v_34 ?v_58) (* 22 ?x3)) (* (- 3) ?x4)) 96)))))) (or (and (>= (+ (+ ?v_28 ?v_29) (* (- 86) ?x3)) 31) (not (= (+ (+ (* (- 59) ?x2) (* 58 ?x3)) (* 30 ?x4)) 6))) (and (and (>= (+ (+ ?v_31 ?v_49) ?v_70) 67) (not (= (+ (* (- 36) ?x2) ?v_46) 0))) (or (< (+ (* (- 30) ?x1) (* 37 ?x3)) (- 26)) (< (+ (+ ?v_30 (* 55 ?x3)) (* (- 42) ?x4)) 97))))) (and (and (and (and (or (or (= (+ (+ (* (- 94) ?x1) (* (- 71) ?x3)) (* (- 74) ?x4)) (- 21)) (= (+ (+ ?v_66 (* 83 ?x3)) (* (- 1) ?x4)) 33)) (or (>= (+ (+ (+ (* (- 47) ?x1) ?v_31) ?v_105) (* (- 40) ?x4)) 25) (< (+ (+ (* 1 ?x1) ?v_32) (* 92 ?x4)) 82))) (or (<= (+ ?v_33 (* (- 68) ?x3)) 32) (not (= (* (- 71) ?x2) 21)))) (and (and (or (<= (+ (+ ?v_35 ?v_86) ?v_51) (- 54)) (= (+ (+ (+ ?v_59 ?v_88) (* 41 ?x3)) (* 57 ?x4)) (- 84))) (or (not (= (+ (+ (+ ?v_34 (* 40 ?x2)) (* (- 46) ?x3)) ?v_80) (- 13))) (<= (+ (+ ?v_35 ?v_87) (* 53 ?x4)) 0))) (and (and (>= (+ (* 93 ?x2) ?v_36) 40) (= (+ (+ (+ (* (- 80) ?x1) (* 9 ?x2)) ?v_37) (* 37 ?x4)) (- 72))) (or (<= (+ (+ (* (- 65) ?x1) ?v_43) ?v_38) (- 3)) (not (= (+ ?v_39 ?v_106) (- 82))))))) (or (and (>= (+ (* 14 ?x1) (* 88 ?x2)) (- 23)) (= (+ (+ (+ (* (- 24) ?x1) ?v_40) (* 24 ?x3)) ?v_41) 66)) (<= (+ (+ ?v_42 ?v_43) ?v_44) 44))) (and (and (or (or (not (= (+ (+ ?v_45 (* (- 99) ?x2)) ?v_46) 81)) (= (+ (+ (* (- 15) ?x1) (* 62 ?x2)) (* (- 99) ?x4)) (- 34))) (and (and (not (= (+ (+ (* 19 ?x1) ?v_47) ?v_48) 0)) (not (= (+ (* 54 ?x1) ?v_49) 0))) (or (= (+ (+ (* (- 95) ?x1) ?v_53) ?v_97) (- 69)) (> (+ (+ (* 35 ?x1) ?v_10) (* (- 72) ?x4)) (- 22))))) (or (and (not (= (+ (+ (+ (* (- 83) ?x1) ?v_50) (* (- 64) ?x3)) ?v_51) 63)) (> (+ (+ (* 94 ?x1) (* (- 62) ?x3)) ?v_52) 51)) (or (or (> (+ (* (- 15) ?x2) ?v_57) (- 76)) (>= (+ (+ ?v_113 ?v_53) ?v_95) 0)) (and (= (+ (* (- 61) ?x2) ?v_54) 54) (< (+ ?v_22 (* (- 90) ?x4)) (- 83)))))) (or (and (or (< (+ (+ (+ ?v_98 (* 33 ?x2)) (* 78 ?x3)) (* (- 80) ?x4)) 0) (= (+ (+ ?v_55 ?v_71) ?v_56) (- 64))) (or (<= (+ ?v_63 ?v_57) 2) (>= (+ (+ ?v_67 ?v_58) ?v_90) 55))) (and (and (>= (+ (+ ?v_59 ?v_85) ?v_60) (- 20)) (>= (+ (+ (+ (* (- 20) ?x1) (* (- 23) ?x2)) (* 67 ?x3)) ?v_61) (- 59))) (or (>= (+ (* (- 11) ?x1) ?v_62) 28) (>= (+ (* 49 ?x1) (* 26 ?x2)) 55))))))) (and (or (and (or (and (or (or (<= (+ (* (- 42) ?x3) (* (- 73) ?x4)) 0) (= (+ (+ (* (- 79) ?x1) (* 22 ?x2)) (* (- 61) ?x3)) (- 75))) (or (<= (* (- 26) ?x2) 66) (> (+ (* (- 75) ?x1) ?v_26) (- 34)))) (or (and (>= (+ (+ ?v_63 ?v_64) (* 78 ?x4)) 0) (= (+ (+ (+ ?v_65 (* (- 17) ?x2)) (* 34 ?x3)) (* 88 ?x4)) 0)) (and (< (+ ?v_66 (* (- 93) ?x2)) 46) (>= (+ (+ ?v_63 (* 66 ?x3)) (* 3 ?x4)) (- 38))))) (or (or (= (+ (+ ?v_67 ?v_108) (* (- 67) ?x4)) 0) (> (+ (+ (+ ?v_16 ?v_68) (* (- 2) ?x3)) (* (- 58) ?x4)) 3)) (and (and (= (+ (+ ?v_69 (* 71 ?x2)) ?v_70) (- 90)) (< (+ (* 32 ?x3) (* 15 ?x4)) 97)) (< (+ (+ (+ ?v_78 ?v_53) (* (- 18) ?x3)) ?v_51) (- 8))))) (or (and (and (> (+ (+ (+ ?v_28 ?v_71) (* (- 84) ?x3)) ?v_72) 0) (> (+ (* 96 ?x1) ?v_104) 0)) (or (<= (+ (+ (* 71 ?x1) (* 67 ?x2)) ?v_73) (- 49)) (<= (+ ?v_74 (* 8 ?x4)) (- 1)))) (or (or (< (+ (+ (+ ?v_75 (* (- 91) ?x2)) (* (- 88) ?x3)) (* 4 ?x4)) 0) (> (+ (+ ?v_76 (* (- 4) ?x2)) ?v_77) 0)) (or (< (+ (+ (+ ?v_78 (* 81 ?x2)) (* (- 100) ?x3)) ?v_52) (- 26)) (< (+ (+ (* 44 ?x1) (* 70 ?x2)) ?v_83) 0))))) (or (and (or (or (or (= (+ (+ (+ ?v_79 ?v_62) (* (- 63) ?x3)) ?v_80) 69) (< (+ (+ (* (- 46) ?x1) (* (- 96) ?x3)) (* (- 26) ?x4)) 34)) (> (+ (+ ?v_81 ?v_7) ?v_82) 0)) (or (or (not (= (+ (+ (+ (* 53 ?x1) (* (- 49) ?x2)) ?v_83) ?v_84) 0)) (not (= (+ (+ ?v_85 (* 71 ?x3)) (* 51 ?x4)) 98))) (= (+ (* 53 ?x2) (* (- 85) ?x4)) 0))) (or (and (= (+ (+ (+ (* (- 26) ?x1) ?v_86) (* (- 21) ?x3)) (* (- 77) ?x4)) 71) (and (not (= (+ (+ ?v_65 ?v_87) (* 44 ?x3)) 0)) (> (+ (+ (+ ?v_102 (* 60 ?x2)) (* 10 ?x3)) (* (- 41) ?x4)) 80))) (or (or (= (+ (* (- 10) ?x1) ?v_88) 0) (< (+ (* 68 ?x3) ?v_89) 40)) (and (= (+ (+ (* 85 ?x1) (* (- 4) ?x3)) ?v_90) 96) (>= (+ (+ (* (- 69) ?x1) ?v_112) (* (- 61) ?x4)) 19))))) (and (or (< (+ (+ (+ ?v_25 (* 92 ?x2)) ?v_91) (* 64 ?x4)) (- 8)) (< (+ (+ (+ (* (- 60) ?x1) ?v_40) ?v_13) ?v_92) (- 8))) (and (or (<= (+ (+ (+ (* (- 52) ?x1) (* 63 ?x2)) (* 100 ?x3)) (* 41 ?x4)) 89) (> (+ (+ (+ ?v_93 (* (- 31) ?x2)) (* 3 ?x3)) (* 79 ?x4)) 0)) (and (= (+ (+ (* 52 ?x1) ?v_94) ?v_95) 86) (not (= (+ ?v_96 (* (- 15) ?x3)) 90))))))) (or (or (and (or (and (>= (+ (+ (+ (* 20 ?x1) (* 86 ?x2)) (* (- 20) ?x3)) ?v_82) 28) (>= (+ (+ (* (- 96) ?x1) ?v_120) ?v_49) 25)) (<= (+ (* 89 ?x2) (* (- 18) ?x4)) 26)) (and (and (>= ?v_97 (- 35)) (= (+ (* (- 23) ?x3) (* 61 ?x4)) (- 40))) (= (+ ?v_98 ?v_99) (- 45)))) (or (or (> (+ (+ (* 17 ?x1) (* 95 ?x2)) (* 63 ?x3)) 0) (>= (+ ?v_30 ?v_100) 43)) (or (< (+ (+ ?v_101 (* 62 ?x3)) (* 27 ?x4)) 0) (>= (+ (+ (+ ?v_109 (* (- 38) ?x2)) (* 6 ?x3)) (* 39 ?x4)) 70)))) (and (or (and (or (or (< (+ (+ (+ (* 26 ?x1) (* (- 92) ?x2)) (* 82 ?x3)) (* 67 ?x4)) (- 53)) (<= (+ (* 7 ?x3) (* (- 47) ?x4)) (- 36))) (and (= (+ (+ ?v_102 ?v_103) ?v_104) 42) (not (= (+ ?v_105 (* 21 ?x4)) 0)))) (or (> (+ (+ (* 4 ?x2) (* 80 ?x3)) ?v_106) (- 48)) (or (= (+ (+ (+ (* 76 ?x1) (* 66 ?x2)) (* 79 ?x3)) ?v_2) 30) (<= (+ (+ (* (- 2) ?x2) (* (- 1) ?x3)) ?v_84) (- 69))))) (and (or (or (> (+ (+ ?v_107 ?v_108) (* (- 96) ?x4)) (- 16)) (<= (+ (+ (+ ?v_109 ?v_40) (* 87 ?x3)) (* 82 ?x4)) 0)) (<= (+ (+ ?v_63 (* 39 ?x2)) ?v_110) (- 13))) (or (or (< (+ (+ (* (- 74) ?x2) ?v_77) (* 1 ?x4)) 67) (>= (+ (+ (+ ?v_111 ?v_71) ?v_112) ?v_118) 0)) (< (+ (+ (+ ?v_113 (* (- 40) ?x2)) (* 85 ?x3)) ?v_114) 0)))) (or (and (> (+ (+ (+ (* 21 ?x1) ?v_115) (* (- 95) ?x3)) ?v_116) (- 4)) (and (< (+ (+ (* 63 ?x1) ?v_117) ?v_112) 0) (= (+ (+ (+ (* 90 ?x1) (* (- 63) ?x2)) (* (- 30) ?x3)) (* 83 ?x4)) 0))) (or (and (= (+ (+ ?v_111 ?v_94) ?v_118) 0) (> (+ (* (- 22) ?x1) (* 12 ?x4)) (- 48))) (and (not (= (+ (+ (+ (* 34 ?x1) (* 50 ?x2)) (* 57 ?x3)) (* (- 23) ?x4)) 81)) (<= (+ (+ (+ ?v_119 ?v_120) (* (- 57) ?x3)) ?v_19) 86)))))))))))))))
(check-sat)
(exit)
