(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_2 (* 80 ?x3)) (?v_17 (* 60 ?x2)) (?v_18 (* 22 ?x4)) (?v_25 (* 44 ?x1)) (?v_8 (* 45 ?x1)) (?v_32 (* 18 ?x4)) (?v_11 (* 38 ?x1)) (?v_27 (* 92 ?x2)) (?v_24 (* 74 ?x3)) (?v_26 (* 7 ?x4)) (?v_16 (* 10 ?x3)) (?v_28 (* 40 ?x1)) (?v_5 (* 69 ?x1)) (?v_37 (* 78 ?x2)) (?v_15 (* 73 ?x2)) (?v_10 (* 35 ?x4)) (?v_12 (* 14 ?x2)) (?v_34 (* 51 ?x1)) (?v_36 (* 30 ?x1)) (?v_6 (* (- 1) ?x1)) (?v_13 (* (- 79) ?x2)) (?v_23 (* (- 80) ?x2)) (?v_19 (* (- 8) ?x4)) (?v_0 (* (- 57) ?x2)) (?v_1 (* (- 59) ?x3)) (?v_29 (* (- 60) ?x1)) (?v_21 (* (- 22) ?x1)) (?v_4 (* (- 28) ?x2)) (?v_3 (* (- 49) ?x1)) (?v_7 (* (- 71) ?x3)) (?v_30 (* (- 74) ?x2)) (?v_33 (* (- 43) ?x4)) (?v_9 (* (- 86) ?x3)) (?v_14 (* (- 99) ?x1)) (?v_35 (* (- 72) ?x2)) (?v_20 (* (- 70) ?x1)) (?v_22 (* (- 11) ?x4)) (?v_31 (* (- 10) ?x3))) (and (and (and (and (and (or (or (< (+ (+ (* (- 67) ?x2) ?v_2) (* (- 33) ?x4)) (- 92)) (>= (+ (+ (* 61 ?x1) ?v_17) (* 89 ?x4)) (- 86))) (and (not (= (+ (+ ?v_6 (* (- 10) ?x2)) (* 48 ?x3)) (- 94))) (= (+ (* 41 ?x1) (* (- 76) ?x4)) (- 54)))) (and (and (not (= (* 22 ?x3) 26)) (> (+ (* (- 29) ?x2) (* (- 61) ?x3)) (- 43))) (and (not (= (+ (+ (* 28 ?x1) ?v_13) (* (- 57) ?x3)) 53)) (<= (+ (+ (* (- 17) ?x2) (* 90 ?x3)) ?v_18) 0)))) (or (and (or (>= (* (- 75) ?x3) 85) (<= (+ (+ (* (- 80) ?x1) ?v_23) (* 12 ?x4)) (- 18))) (and (> (+ (* (- 44) ?x2) (* (- 92) ?x3)) (- 13)) (= (+ (+ (* (- 98) ?x2) (* (- 42) ?x3)) ?v_19) (- 90)))) (and (or (> (+ (+ (+ ?v_25 ?v_0) (* (- 3) ?x3)) (* 56 ?x4)) 20) (not (= (+ ?v_8 (* 88 ?x3)) 0))) (and (= (+ (+ (* (- 17) ?x1) (* 59 ?x3)) ?v_32) 69) (> (+ (+ (+ ?v_11 (* 29 ?x2)) ?v_1) (* 6 ?x4)) 38))))) (or (and (or (and (= (+ (* (- 11) ?x3) (* (- 34) ?x4)) 9) (>= (+ (+ (+ ?v_29 (* 22 ?x2)) (* 42 ?x3)) (* 76 ?x4)) 0)) (and (= (+ (+ (* (- 87) ?x1) (* 34 ?x2)) (* (- 17) ?x3)) (- 78)) (< (+ (+ (+ (* (- 18) ?x1) ?v_27) (* (- 90) ?x3)) (* (- 87) ?x4)) 61))) (or (and (= (+ (* 11 ?x1) (* 32 ?x4)) (- 9)) (> (+ (+ ?v_21 (* 67 ?x3)) (* (- 65) ?x4)) 62)) (not (= (+ (+ (* 83 ?x1) ?v_4) (* 62 ?x4)) (- 45))))) (or (or (or (= (+ (+ (+ (* (- 58) ?x1) ?v_0) (* (- 45) ?x3)) (* (- 58) ?x4)) 93) (< (+ (+ (* 29 ?x1) ?v_1) (* (- 24) ?x4)) 91)) (or (not (= (+ (+ (* 34 ?x1) (* (- 88) ?x2)) ?v_2) (- 13))) (< (+ ?v_3 (* 15 ?x3)) (- 53)))) (< (* (- 70) ?x4) (- 68))))) (or (or (or (and (or (>= (+ (+ (+ ?v_3 (* (- 12) ?x2)) ?v_7) (* (- 2) ?x4)) (- 68)) (< (+ (+ (* (- 12) ?x1) ?v_24) (* (- 86) ?x4)) (- 17))) (and (< (+ (* 81 ?x2) (* 17 ?x3)) 13) (= (+ (+ (+ (* 4 ?x1) (* 72 ?x2)) (* (- 64) ?x3)) (* 57 ?x4)) 75))) (and (or (> (+ (* 100 ?x1) ?v_26) 47) (<= (+ (+ (+ (* (- 20) ?x1) (* (- 51) ?x2)) (* (- 32) ?x3)) (* 30 ?x4)) 0)) (or (<= (+ (+ (+ (* (- 63) ?x1) ?v_4) (* (- 36) ?x3)) (* (- 9) ?x4)) 0) (= (+ (+ (* 75 ?x1) (* 90 ?x2)) ?v_16) 3)))) (or (or (< (+ (* (- 44) ?x1) (* (- 30) ?x3)) (- 59)) (> (+ (* (- 93) ?x1) (* 64 ?x2)) 0)) (or (< (+ ?v_30 (* (- 46) ?x4)) 0) (and (< (+ (+ ?v_28 (* 87 ?x2)) ?v_33) 100) (> (+ (+ (* 74 ?x1) ?v_9) (* 42 ?x4)) 47))))) (and (and (and (not (= (* (- 75) ?x1) (- 33))) (> (+ (+ ?v_5 ?v_37) (* (- 31) ?x4)) (- 69))) (or (> (+ (+ (+ ?v_5 (* 52 ?x2)) (* 87 ?x3)) (* (- 63) ?x4)) 0) (and (not (= (+ (* 82 ?x2) (* (- 90) ?x4)) 0)) (= (+ (+ ?v_5 (* (- 35) ?x3)) (* (- 40) ?x4)) (- 24))))) (and (or (and (<= (+ (* (- 46) ?x1) (* 56 ?x2)) 12) (= (+ (+ (+ ?v_6 (* 89 ?x2)) (* 28 ?x3)) (* (- 19) ?x4)) 69)) (or (>= (+ (+ (* (- 48) ?x2) ?v_7) (* 8 ?x4)) 31) (>= (+ (+ ?v_8 ?v_9) (* (- 30) ?x4)) 0))) (and (or (< (+ (* 78 ?x3) (* 9 ?x4)) (- 62)) (> (+ (+ ?v_14 (* (- 18) ?x2)) (* 94 ?x4)) 62)) (and (>= (+ (* 68 ?x2) (* 65 ?x3)) 100) (< (+ (+ (+ (* (- 34) ?x1) ?v_35) (* (- 88) ?x3)) (* (- 21) ?x4)) 31))))))) (and (and (and (or (or (or (< (+ (+ (* (- 29) ?x1) (* (- 52) ?x2)) (* 64 ?x3)) (- 8)) (not (= (+ (+ ?v_8 (* 50 ?x2)) (* (- 72) ?x3)) (- 22)))) (and (>= (+ (* 31 ?x1) (* (- 83) ?x3)) 0) (= (+ (* (- 66) ?x1) (* (- 1) ?x3)) (- 36)))) (or (or (not (= (+ (* 29 ?x3) (* (- 23) ?x4)) 0)) (> (+ (+ (+ ?v_20 ?v_15) (* (- 20) ?x3)) ?v_10) (- 85))) (= (+ (* (- 48) ?x1) (* (- 14) ?x4)) 0))) (and (or (or (> (+ (+ (* 89 ?x1) (* 62 ?x2)) ?v_10) 68) (>= (+ (+ (* (- 47) ?x1) (* 62 ?x3)) (* 14 ?x4)) 0)) (not (= (+ (+ (+ ?v_11 ?v_12) (* (- 39) ?x3)) (* 51 ?x4)) (- 45)))) (and (and (not (= (+ ?v_12 (* (- 89) ?x4)) 0)) (> (+ (* (- 73) ?x1) ?v_13) (- 4))) (and (<= (+ (* (- 26) ?x2) ?v_22) 0) (< (+ (+ (+ ?v_14 ?v_15) ?v_16) (* (- 78) ?x4)) (- 23)))))) (or (and (or (and (= (+ (+ (* (- 61) ?x1) ?v_17) ?v_18) (- 99)) (= (+ (+ (+ (* (- 74) ?x1) (* 20 ?x2)) (* (- 9) ?x3)) ?v_19) 90)) (and (not (= (+ (+ (+ (* 90 ?x1) (* (- 84) ?x2)) (* 73 ?x3)) (* 68 ?x4)) 0)) (> ?v_34 (- 31)))) (and (>= (+ (+ (+ ?v_20 (* (- 39) ?x2)) (* (- 60) ?x3)) (* 82 ?x4)) (- 2)) (= (+ (+ ?v_21 (* 49 ?x3)) (* (- 13) ?x4)) 53))) (and (and (> (+ (* 70 ?x2) (* 100 ?x3)) 54) (> (+ (+ (* 99 ?x1) (* 70 ?x3)) (* (- 88) ?x4)) (- 69))) (or (> (+ (* (- 40) ?x1) (* 19 ?x2)) 0) (and (>= (+ (* (- 95) ?x1) (* 47 ?x4)) 0) (> (+ (+ (* (- 15) ?x1) (* 14 ?x3)) ?v_22) 29)))))) (or (or (and (and (<= (+ (+ (* (- 56) ?x1) (* (- 68) ?x2)) (* (- 79) ?x3)) 74) (< (+ ?v_23 ?v_24) 85)) (or (< (+ (+ (+ (* 87 ?x1) (* (- 66) ?x2)) (* 32 ?x3)) (* 53 ?x4)) 0) (= (+ (+ ?v_25 (* 35 ?x3)) (* (- 83) ?x4)) 65))) (and (<= (+ (* (- 73) ?x2) ?v_31) 0) (or (> (+ (+ (* 12 ?x2) (* 23 ?x3)) ?v_26) 69) (= (+ ?v_27 (* 11 ?x3)) 98)))) (or (and (and (or (< (+ (+ (+ ?v_28 (* 32 ?x2)) (* (- 15) ?x3)) (* 77 ?x4)) 19) (< (+ (+ (+ ?v_29 ?v_30) ?v_31) (* (- 59) ?x4)) 58)) (and (>= (+ (+ (* 97 ?x2) (* 98 ?x3)) (* 92 ?x4)) 0) (= (+ (+ (+ ?v_36 (* 66 ?x2)) (* (- 50) ?x3)) ?v_32) 36))) (or (or (= (+ (* (- 57) ?x1) (* 36 ?x4)) (- 9)) (< (* 12 ?x1) (- 11))) (or (>= (+ (+ (* 54 ?x2) (* 97 ?x3)) (* (- 51) ?x4)) 0) (not (= (+ (* (- 52) ?x3) ?v_33) 95))))) (and (or (<= (+ (+ (* (- 11) ?x2) (* 5 ?x3)) (* 80 ?x4)) (- 82)) (and (= (+ (+ (* (- 92) ?x1) (* 24 ?x2)) (* 97 ?x4)) 63) (< (+ (+ ?v_34 ?v_35) (* (- 79) ?x4)) 7))) (and (and (<= (+ ?v_36 (* 49 ?x4)) 84) (< (+ (+ (* 3 ?x1) (* (- 76) ?x3)) (* (- 100) ?x4)) (- 35))) (and (= (+ (+ (+ (* 76 ?x1) ?v_37) (* 2 ?x3)) (* (- 73) ?x4)) 57) (< (+ (* 37 ?x3) (* 70 ?x4)) 67))))))))))))))
(check-sat)
(exit)
