(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_133 (* 46 ?x3)) (?v_12 (* 96 ?x1)) (?v_90 (* 5 ?x2)) (?v_80 (* 78 ?x4)) (?v_2 (* 66 ?x1)) (?v_44 (* 56 ?x4)) (?v_0 (* 40 ?x1)) (?v_48 (* 58 ?x4)) (?v_88 (* 30 ?x3)) (?v_67 (* 37 ?x4)) (?v_45 (* 17 ?x1)) (?v_178 (* 76 ?x2)) (?v_18 (* 64 ?x2)) (?v_23 (* 13 ?x3)) (?v_3 (* 46 ?x4)) (?v_1 (* 6 ?x1)) (?v_25 (* 89 ?x1)) (?v_60 (* 40 ?x2)) (?v_13 (* 24 ?x2)) (?v_54 (* 37 ?x3)) (?v_170 (* 53 ?x4)) (?v_50 (* 72 ?x3)) (?v_36 (* 24 ?x1)) (?v_6 (* 41 ?x3)) (?v_176 (* 57 ?x1)) (?v_35 (* 44 ?x2)) (?v_43 (* 33 ?x1)) (?v_21 (* 87 ?x2)) (?v_70 (* 3 ?x4)) (?v_10 (* 43 ?x4)) (?v_39 (* 88 ?x4)) (?v_162 (* 44 ?x1)) (?v_19 (* 96 ?x3)) (?v_29 (* 4 ?x1)) (?v_143 (* 47 ?x3)) (?v_65 (* 97 ?x3)) (?v_9 (* 82 ?x4)) (?v_4 (* 67 ?x2)) (?v_28 (* 44 ?x3)) (?v_30 (* 33 ?x4)) (?v_160 (* 61 ?x2)) (?v_71 (* 69 ?x3)) (?v_174 (* 47 ?x2)) (?v_11 (* 56 ?x2)) (?v_109 (* 6 ?x4)) (?v_185 (* 36 ?x2)) (?v_62 (* 52 ?x1)) (?v_89 (* 67 ?x1)) (?v_122 (* 43 ?x2)) (?v_73 (* 38 ?x3)) (?v_77 (* 63 ?x4)) (?v_40 (* 92 ?x2)) (?v_16 (* 3 ?x3)) (?v_117 (* 81 ?x2)) (?v_53 (* 13 ?x2)) (?v_165 (* 99 ?x1)) (?v_121 (* 22 ?x1)) (?v_92 (* 29 ?x1)) (?v_26 (* 28 ?x4)) (?v_58 (* 2 ?x1)) (?v_72 (* 94 ?x1)) (?v_126 (* 16 ?x2)) (?v_131 (* 39 ?x1)) (?v_152 (* 30 ?x2)) (?v_57 (* 5 ?x3)) (?v_84 (* 45 ?x4)) (?v_118 (* 75 ?x4)) (?v_78 (* 19 ?x1)) (?v_168 (* 70 ?x4)) (?v_155 (* 82 ?x3)) (?v_86 (* 16 ?x1)) (?v_42 (* 38 ?x2)) (?v_64 (* 12 ?x4)) (?v_49 (* 13 ?x4)) (?v_140 (* 76 ?x3)) (?v_97 (* 69 ?x4)) (?v_75 (* 65 ?x1)) (?v_144 (* 48 ?x1)) (?v_94 (* 52 ?x2)) (?v_61 (* 67 ?x4)) (?v_134 (* 59 ?x4)) (?v_69 (* 70 ?x3)) (?v_127 (* 7 ?x4)) (?v_124 (* 1 ?x2)) (?v_183 (* 46 ?x2)) (?v_114 (* 32 ?x1)) (?v_186 (* 56 ?x3)) (?v_101 (* 31 ?x2)) (?v_120 (* 22 ?x2)) (?v_108 (* 19 ?x3)) (?v_100 (* 18 ?x4)) (?v_150 (* 25 ?x2)) (?v_137 (* 96 ?x4)) (?v_116 (* 11 ?x4)) (?v_187 (* 61 ?x3)) (?v_166 (* 50 ?x2)) (?v_136 (* 45 ?x3)) (?v_164 (* 88 ?x1)) (?v_161 (* 65 ?x3)) (?v_154 (* 34 ?x4)) (?v_153 (* 14 ?x3)) (?v_177 (* 80 ?x4)) (?v_182 (* 54 ?x4)) (?v_173 (* 54 ?x3)) (?v_156 (* (- 58) ?x3)) (?v_27 (* (- 11) ?x2)) (?v_63 (* (- 78) ?x3)) (?v_33 (* (- 28) ?x2)) (?v_34 (* (- 5) ?x3)) (?v_37 (* (- 33) ?x1)) (?v_46 (* (- 38) ?x3)) (?v_8 (* (- 98) ?x4)) (?v_104 (* (- 5) ?x1)) (?v_129 (* (- 45) ?x1)) (?v_5 (* (- 69) ?x4)) (?v_7 (* (- 72) ?x3)) (?v_24 (* (- 81) ?x4)) (?v_68 (* (- 10) ?x2)) (?v_56 (* (- 9) ?x4)) (?v_15 (* (- 56) ?x2)) (?v_41 (* (- 56) ?x3)) (?v_47 (* (- 97) ?x3)) (?v_102 (* (- 23) ?x4)) (?v_110 (* (- 32) ?x1)) (?v_146 (* (- 6) ?x2)) (?v_123 (* (- 67) ?x3)) (?v_138 (* (- 55) ?x3)) (?v_32 (* (- 91) ?x3)) (?v_151 (* (- 68) ?x4)) (?v_38 (* (- 76) ?x3)) (?v_157 (* (- 45) ?x2)) (?v_107 (* (- 92) ?x1)) (?v_130 (* (- 26) ?x3)) (?v_98 (* (- 94) ?x1)) (?v_52 (* (- 20) ?x3)) (?v_14 (* (- 68) ?x1)) (?v_51 (* (- 24) ?x2)) (?v_17 (* (- 100) ?x1)) (?v_179 (* (- 85) ?x4)) (?v_142 (* (- 52) ?x4)) (?v_91 (* (- 96) ?x1)) (?v_87 (* (- 42) ?x3)) (?v_115 (* (- 32) ?x4)) (?v_181 (* (- 1) ?x2)) (?v_96 (* (- 28) ?x3)) (?v_20 (* (- 97) ?x4)) (?v_22 (* (- 4) ?x2)) (?v_31 (* (- 71) ?x1)) (?v_99 (* (- 31) ?x3)) (?v_95 (* (- 73) ?x2)) (?v_55 (* (- 47) ?x3)) (?v_128 (* (- 82) ?x3)) (?v_103 (* (- 63) ?x4)) (?v_76 (* (- 20) ?x1)) (?v_81 (* (- 46) ?x3)) (?v_66 (* (- 45) ?x4)) (?v_59 (* (- 98) ?x2)) (?v_79 (* (- 58) ?x1)) (?v_85 (* (- 99) ?x3)) (?v_169 (* (- 17) ?x2)) (?v_167 (* (- 58) ?x2)) (?v_145 (* (- 54) ?x4)) (?v_148 (* (- 76) ?x1)) (?v_74 (* (- 99) ?x4)) (?v_184 (* (- 83) ?x1)) (?v_159 (* (- 50) ?x1)) (?v_141 (* (- 57) ?x3)) (?v_189 (* (- 9) ?x1)) (?v_105 (* (- 7) ?x1)) (?v_180 (* (- 22) ?x1)) (?v_113 (* (- 17) ?x3)) (?v_149 (* (- 86) ?x1)) (?v_139 (* (- 63) ?x2)) (?v_106 (* (- 95) ?x1)) (?v_147 (* (- 96) ?x3)) (?v_82 (* (- 32) ?x3)) (?v_83 (* (- 40) ?x2)) (?v_125 (* (- 73) ?x4)) (?v_111 (* (- 15) ?x2)) (?v_135 (* (- 49) ?x1)) (?v_119 (* (- 97) ?x2)) (?v_93 (* (- 56) ?x4)) (?v_132 (* (- 46) ?x1)) (?v_112 (* (- 30) ?x3)) (?v_188 (* (- 49) ?x2)) (?v_163 (* (- 81) ?x1)) (?v_190 (* (- 29) ?x4)) (?v_158 (* (- 74) ?x4)) (?v_171 (* (- 60) ?x1)) (?v_172 (* (- 21) ?x2)) (?v_175 (* (- 43) ?x4))) (or (and (or (or (and (and (and (and (>= (+ (* (- 70) ?x2) (* (- 6) ?x4)) (- 77)) (<= (+ (+ (* 95 ?x2) ?v_133) (* (- 72) ?x4)) (- 52))) (and (= (+ (+ ?v_12 ?v_90) ?v_156) (- 85)) (= (+ (+ ?v_27 ?v_63) (* 27 ?x4)) 65))) (or (or (<= (+ (+ (* (- 98) ?x1) (* 66 ?x2)) ?v_80) 77) (< (+ (+ (+ ?v_2 ?v_33) ?v_34) ?v_44) 0)) (and (> (+ ?v_37 (* (- 14) ?x2)) (- 72)) (< (+ (+ (+ ?v_0 (* 75 ?x2)) ?v_46) ?v_8) 52)))) (or (and (not (= (+ (+ ?v_104 (* 55 ?x2)) ?v_48) (- 34))) (not (= (+ (+ ?v_0 ?v_88) ?v_67) (- 16)))) (and (< (+ ?v_129 (* (- 92) ?x4)) 67) (>= (+ (+ ?v_45 ?v_178) (* (- 22) ?x3)) (- 95))))) (or (or (or (and (>= (+ (+ ?v_18 ?v_23) ?v_3) (- 80)) (= (+ (+ ?v_1 (* 14 ?x2)) ?v_5) 0)) (and (< (+ (* (- 20) ?x2) ?v_7) (- 44)) (= (+ (+ ?v_25 ?v_60) (* 1 ?x3)) 0))) (and (> (+ (* 64 ?x1) (* (- 76) ?x2)) (- 13)) (< (+ (+ (+ (* 95 ?x1) ?v_13) ?v_54) ?v_24) 94))) (and (or (not (= (+ (+ (+ (* 1 ?x1) ?v_68) (* (- 65) ?x3)) ?v_170) (- 64))) (not (= (+ (+ (+ ?v_1 (* 79 ?x2)) ?v_50) ?v_56) 59))) (or (<= (+ (+ (+ ?v_36 ?v_15) ?v_6) (* (- 19) ?x4)) 0) (< (+ (+ ?v_176 ?v_35) (* 84 ?x3)) 37))))) (and (and (= (+ (* (- 44) ?x1) ?v_41) 69) (>= (+ (+ (+ ?v_43 ?v_21) ?v_47) ?v_102) 0)) (and (= (+ (+ (+ ?v_110 ?v_146) ?v_123) ?v_70) 48) (< (+ (+ (* (- 67) ?x2) ?v_138) ?v_10) 70)))) (or (or (or (or (and (and (or (and (= (+ (+ ?v_2 ?v_32) ?v_39) 0) (<= (+ (+ (+ ?v_162 (* 6 ?x2)) ?v_19) ?v_151) 32)) (or (<= (+ ?v_29 ?v_38) (- 10)) (>= (+ (* (- 66) ?x2) ?v_143) 7))) (or (> (+ (+ (+ (* (- 31) ?x1) ?v_157) (* (- 100) ?x3)) ?v_3) 32) (>= (* (- 34) ?x4) 0))) (and (or (or (> (+ (+ (* (- 65) ?x1) ?v_65) ?v_9) 0) (not (= (+ (+ ?v_107 ?v_4) (* 99 ?x3)) 96))) (<= (+ (+ (+ (* 90 ?x1) ?v_4) ?v_28) ?v_30) (- 6))) (or (and (not (= (+ (+ ?v_160 ?v_71) ?v_5) (- 6))) (= (+ (+ (+ (* (- 67) ?x1) ?v_174) ?v_6) (* (- 2) ?x4)) 0)) (and (<= (+ (+ (* (- 17) ?x1) ?v_7) ?v_8) (- 25)) (> (+ (+ (+ ?v_1 ?v_11) ?v_130) ?v_9) (- 30)))))) (or (and (>= (+ (+ ?v_98 ?v_52) ?v_109) 61) (<= (+ (+ (+ ?v_14 ?v_185) (* 24 ?x3)) ?v_10) (- 16))) (or (and (or (> (+ (+ ?v_62 ?v_51) (* (- 59) ?x4)) 0) (= (+ (+ (+ ?v_17 (* (- 54) ?x2)) (* 18 ?x3)) ?v_179) 0)) (or (< (+ (+ ?v_11 (* (- 16) ?x3)) ?v_142) 0) (>= (+ (+ ?v_91 (* (- 86) ?x3)) (* (- 55) ?x4)) (- 98)))) (or (and (> (+ (+ (+ ?v_12 ?v_13) ?v_87) ?v_115) (- 24)) (> (+ (+ (+ ?v_89 ?v_122) (* (- 33) ?x3)) (* 30 ?x4)) (- 9))) (not (= (+ (+ (* (- 12) ?x1) ?v_181) (* 42 ?x4)) 0)))))) (and (and (and (and (<= (+ ?v_96 ?v_20) 0) (and (<= (+ (+ (+ (* 37 ?x1) ?v_22) ?v_73) ?v_77) (- 43)) (>= (+ (+ (* 70 ?x1) ?v_40) ?v_16) (- 14)))) (and (< (+ ?v_117 (* 50 ?x3)) (- 47)) (<= (+ (+ ?v_14 (* 69 ?x2)) (* (- 65) ?x4)) 66))) (and (or (or (< (+ (+ ?v_31 (* (- 19) ?x2)) (* 93 ?x3)) 4) (= (+ (+ (* 85 ?x1) ?v_53) ?v_99) 20)) (and (not (= (+ (* 97 ?x1) (* 62 ?x2)) 66)) (>= (+ (+ ?v_165 ?v_15) ?v_16) 10))) (and (or (not (= (+ (+ (+ (* (- 78) ?x1) (* (- 94) ?x2)) (* (- 10) ?x3)) (* 36 ?x4)) 30)) (<= (+ (+ (+ ?v_17 ?v_18) ?v_19) ?v_20) 26)) (or (>= (+ ?v_121 ?v_21) (- 29)) (<= (+ (+ (+ ?v_92 ?v_95) ?v_55) (* 73 ?x4)) (- 100)))))) (and (or (< (+ (+ ?v_11 ?v_128) ?v_103) 0) (= (+ (+ (+ ?v_2 ?v_22) (* (- 12) ?x3)) ?v_26) 0)) (and (> (+ (+ ?v_76 (* (- 44) ?x2)) ?v_81) 0) (> (+ ?v_58 (* (- 52) ?x3)) 39))))) (and (not (= (+ (+ ?v_4 ?v_23) ?v_66) (- 1))) (and (or (and (or (or (not (= (+ (* 41 ?x1) ?v_59) (- 48))) (< (+ (+ (+ ?v_72 ?v_126) (* (- 43) ?x3)) ?v_24) 0)) (and (>= (+ (+ ?v_25 (* 99 ?x2)) ?v_26) (- 62)) (< (+ (+ (+ ?v_131 ?v_152) ?v_57) ?v_8) 64))) (< (+ (+ (+ ?v_79 ?v_27) ?v_28) ?v_84) (- 14))) (or (and (>= (+ (* (- 52) ?x1) (* 94 ?x2)) 0) (not (= (+ (+ (+ ?v_29 (* 57 ?x2)) ?v_85) ?v_30) 0))) (or (and (>= (+ (+ (+ (* (- 91) ?x1) ?v_169) (* 71 ?x3)) ?v_118) 22) (> (+ (+ ?v_31 (* 35 ?x2)) ?v_32) 0)) (or (= (+ (+ ?v_33 ?v_34) (* 32 ?x4)) 0) (>= (+ ?v_35 (* (- 27) ?x4)) (- 83)))))) (and (and (or (or (> (+ (+ ?v_36 (* 4 ?x2)) (* 86 ?x3)) (- 36)) (= (+ (+ ?v_37 (* (- 13) ?x2)) (* 22 ?x4)) 0)) (or (<= (+ (+ (+ (* (- 80) ?x1) (* (- 8) ?x2)) ?v_38) ?v_39) 17) (<= (+ (+ (+ ?v_78 (* (- 43) ?x2)) (* (- 69) ?x3)) ?v_168) (- 91)))) (and (= (+ (+ (* (- 47) ?x1) ?v_167) ?v_155) 99) (= (+ (+ (+ (* 28 ?x1) ?v_40) (* (- 92) ?x3)) ?v_145) 51))) (and (or (> (+ (+ (+ ?v_86 ?v_42) (* (- 45) ?x3)) ?v_64) 89) (>= (+ (+ (+ ?v_148 (* (- 2) ?x2)) ?v_41) ?v_74) 0)) (or (or (>= (+ (+ (+ ?v_184 ?v_42) (* 64 ?x3)) ?v_49) 73) (<= (+ (+ ?v_159 (* (- 61) ?x3)) (* 49 ?x4)) 77)) (or (= (+ (+ ?v_43 (* (- 29) ?x2)) (* 43 ?x3)) (- 10)) (not (= (+ (+ (* (- 62) ?x1) (* 35 ?x3)) (* (- 70) ?x4)) (- 66)))))))))) (and (and (and (and (and (= (+ (+ (* 3 ?x2) ?v_141) ?v_44) 83) (> (+ (+ ?v_45 ?v_140) ?v_97) 0)) (or (> (+ (* 63 ?x1) ?v_46) 54) (= (+ (+ (+ ?v_31 (* 2 ?x2)) ?v_47) ?v_48) 47))) (or (and (and (< (+ (+ (* (- 82) ?x1) (* (- 52) ?x2)) (* 95 ?x3)) 46) (> (+ (+ (+ (* (- 66) ?x1) (* 82 ?x2)) (* 59 ?x3)) ?v_49) 74)) (and (>= (+ (+ (* 21 ?x2) (* 15 ?x3)) (* 74 ?x4)) 0) (not (= ?v_189 0)))) (and (or (not (= (* 82 ?x1) 0)) (not (= (+ (+ ?v_1 ?v_4) (* 17 ?x3)) 0))) (and (= (+ (+ (+ (* 42 ?x1) (* 73 ?x2)) ?v_50) (* (- 8) ?x4)) 21) (>= (+ ?v_75 ?v_51) 0))))) (and (and (or (or (not (= (+ (+ ?v_144 (* (- 16) ?x2)) (* (- 68) ?x3)) 14)) (> (+ (+ ?v_105 (* (- 31) ?x2)) ?v_52) 44)) (and (< (+ (+ ?v_17 ?v_53) ?v_54) 7) (> (+ (+ (* 8 ?x1) ?v_55) ?v_56) 50))) (or (and (>= (+ (+ (* 79 ?x1) ?v_94) ?v_57) (- 47)) (> (+ (+ (+ ?v_58 ?v_59) ?v_16) (* (- 100) ?x4)) (- 25))) (and (= (+ (* (- 59) ?x1) ?v_61) 51) (< (+ (+ ?v_180 ?v_113) ?v_134) (- 44))))) (or (or (or (not (= (+ (+ ?v_149 ?v_60) ?v_61) (- 67))) (>= (+ (+ ?v_62 ?v_63) (* 81 ?x4)) 0)) (<= (+ ?v_69 ?v_64) 50)) (or (<= ?v_139 20) (>= (+ (+ ?v_51 ?v_65) (* 39 ?x4)) 94))))) (and (and (and (and (= (+ (+ (* 78 ?x1) (* 42 ?x2)) ?v_66) 0) (> (+ (+ ?v_106 ?v_147) ?v_127) 39)) (and (not (= (+ (+ (* 80 ?x1) ?v_82) ?v_67) (- 33))) (and (>= (+ (+ (* (- 47) ?x2) ?v_16) (* (- 83) ?x4)) 91) (< (+ (+ (+ (* 14 ?x1) ?v_68) ?v_69) ?v_70) 64)))) (and (and (and (<= (+ (* (- 35) ?x2) (* (- 6) ?x3)) (- 60)) (< (+ (+ ?v_25 (* 26 ?x2)) (* (- 37) ?x3)) 73)) (or (not (= (+ (+ (+ ?v_31 (* 72 ?x2)) ?v_71) (* (- 39) ?x4)) 47)) (= (+ (* 27 ?x2) (* (- 64) ?x4)) (- 93)))) (or (or (= (+ (+ (+ ?v_72 ?v_124) ?v_73) ?v_74) (- 48)) (< (+ (+ (* 81 ?x1) ?v_11) (* (- 7) ?x4)) 55)) (and (>= (+ (+ (* (- 46) ?x2) (* 42 ?x3)) (* (- 5) ?x4)) 0) (< (+ (+ (+ ?v_75 (* 70 ?x2)) (* 81 ?x3)) (* (- 33) ?x4)) (- 59)))))) (or (and (and (< (+ (+ (+ ?v_1 (* (- 38) ?x2)) ?v_7) ?v_74) (- 98)) (>= (+ ?v_76 ?v_77) (- 89))) (or (or (>= (+ (+ (* (- 36) ?x1) ?v_183) (* (- 90) ?x3)) 0) (= (+ (+ ?v_114 (* (- 85) ?x2)) ?v_186) 99)) (<= (+ ?v_83 (* (- 58) ?x4)) (- 64)))) (or (and (not (= (+ (+ ?v_78 (* 6 ?x3)) ?v_125) 12)) (> (+ (+ ?v_79 ?v_101) ?v_80) (- 6))) (or (<= (+ (+ ?v_36 (* 89 ?x2)) ?v_81) 95) (<= (+ (+ ?v_13 (* 79 ?x3)) (* 9 ?x4)) 20)))))))) (or (and (or (and (or (and (and (> (+ (* 61 ?x1) ?v_82) 51) (> (* (- 79) ?x4) 0)) (or (> (+ (+ (+ (* 98 ?x1) ?v_21) (* 32 ?x3)) (* 71 ?x4)) 51) (< (+ (+ (+ ?v_25 ?v_83) (* 78 ?x3)) ?v_84) 0))) (and (or (not (= (+ (+ (* (- 6) ?x1) (* 93 ?x2)) (* 57 ?x3)) 3)) (<= (+ (+ ?v_111 (* (- 50) ?x3)) (* 24 ?x4)) 86)) (<= (+ (+ (+ ?v_135 (* (- 96) ?x2)) (* (- 36) ?x3)) (* (- 21) ?x4)) 24))) (and (or (< (+ (* (- 33) ?x2) ?v_85) 34) (not (= (+ (+ ?v_86 (* 29 ?x2)) ?v_65) (- 37)))) (or (or (not (= (+ (+ (+ ?v_29 ?v_119) ?v_57) ?v_93) (- 78))) (not (= (+ (+ (* 91 ?x1) (* (- 61) ?x2)) ?v_87) 69))) (or (= (+ (+ (+ ?v_132 ?v_13) ?v_88) ?v_39) 0) (not (= (+ ?v_89 ?v_90) (- 93))))))) (and (and (and (and (< (+ ?v_120 (* (- 53) ?x4)) (- 95)) (not (= (+ (+ (+ ?v_91 (* (- 95) ?x2)) (* 58 ?x3)) (* 10 ?x4)) 51))) (>= (+ (+ (+ ?v_92 (* 97 ?x2)) ?v_108) ?v_93) 0)) (or (and (not (= (+ (+ ?v_94 (* (- 64) ?x3)) (* (- 71) ?x4)) 69)) (not (= (+ (+ (+ (* 46 ?x1) ?v_95) ?v_96) ?v_97) 87))) (and (not (= (+ (+ ?v_31 ?v_21) ?v_100) (- 66))) (> (+ (+ (+ ?v_98 (* 53 ?x2)) ?v_99) ?v_100) 0)))) (and (and (<= (+ (* 77 ?x3) ?v_24) (- 54)) (and (= (+ (+ (* 51 ?x2) (* 26 ?x3)) (* (- 95) ?x4)) (- 67)) (<= (+ (+ (+ (* 43 ?x1) ?v_101) (* 11 ?x3)) (* (- 37) ?x4)) 44))) (and (and (> ?v_102 0) (= (+ ?v_94 (* 8 ?x3)) 0)) (and (> (+ (* (- 19) ?x1) (* (- 51) ?x4)) 57) (>= (+ (+ ?v_4 ?v_112) (* 15 ?x4)) (- 2))))))) (and (or (and (and (= (+ (+ (* 53 ?x1) ?v_21) ?v_103) 24) (<= (+ (+ ?v_104 ?v_150) (* 22 ?x3)) 0)) (and (> (+ ?v_105 ?v_137) (- 37)) (<= (+ (+ (+ ?v_106 ?v_4) ?v_6) ?v_10) 0))) (or (or (>= (+ (+ ?v_107 ?v_108) ?v_109) (- 17)) (not (= (+ (+ (* 69 ?x1) ?v_188) ?v_116) (- 40)))) (> (+ (* 12 ?x1) ?v_10) 63))) (or (or (and (and (not (= (+ (+ (+ ?v_110 ?v_111) ?v_112) (* 31 ?x4)) 27)) (> (+ ?v_22 ?v_113) (- 27))) (> (+ (+ ?v_114 ?v_53) ?v_54) 20)) (and (or (< (+ (+ (* (- 93) ?x1) (* (- 32) ?x2)) (* 29 ?x4)) 1) (< (+ (+ (* 93 ?x1) ?v_187) ?v_103) 49)) (or (= ?v_115 0) (< (+ (+ (+ ?v_163 ?v_18) (* (- 13) ?x3)) ?v_190) (- 80))))) (and (or (= (+ (+ (+ (* (- 63) ?x1) (* 37 ?x2)) (* 48 ?x3)) ?v_116) 75) (or (<= (+ (+ (+ (* (- 85) ?x1) ?v_117) ?v_108) ?v_115) (- 82)) (= (+ (+ (* 15 ?x1) (* (- 36) ?x2)) ?v_49) 0))) (and (or (>= (+ (* 84 ?x1) (* 26 ?x4)) (- 62)) (>= (+ (+ ?v_166 (* (- 15) ?x3)) ?v_97) 34)) (and (= (+ (+ (* 38 ?x1) (* (- 74) ?x3)) ?v_118) 0) (<= ?v_136 (- 49)))))))) (or (and (or (= (+ ?v_119 (* (- 36) ?x4)) (- 39)) (not (= (+ (+ (+ (* 30 ?x1) ?v_120) (* (- 87) ?x3)) (* (- 41) ?x4)) (- 28)))) (and (= (+ (+ ?v_121 (* 23 ?x2)) ?v_52) (- 96)) (or (> (+ (+ (+ (* (- 26) ?x1) ?v_40) ?v_69) (* (- 42) ?x4)) 0) (<= (+ (+ (+ ?v_164 ?v_122) ?v_123) (* 4 ?x4)) 71)))) (and (or (and (and (or (or (<= (+ (+ (* 96 ?x2) ?v_161) (* 94 ?x4)) 0) (not (= (+ (+ ?v_76 ?v_11) (* (- 71) ?x3)) 80))) (>= (+ (+ ?v_92 (* (- 53) ?x2)) ?v_158) 55)) (or (and (or (not (= (+ ?v_124 ?v_154) (- 9))) (> (+ ?v_105 ?v_125) (- 99))) (or (= (+ (+ (* (- 27) ?x1) ?v_126) ?v_127) 0) (>= (+ (+ (* 72 ?x1) ?v_128) (* 68 ?x4)) 13))) (and (or (= (+ (+ (+ ?v_129 (* (- 62) ?x2)) ?v_130) (* (- 4) ?x4)) 0) (= (+ (* (- 3) ?x1) ?v_23) 0)) (and (<= (+ (+ ?v_131 (* 45 ?x2)) (* 87 ?x3)) (- 61)) (not (= (+ ?v_75 ?v_112) 66)))))) (and (or (and (< (+ (+ (+ ?v_132 (* 80 ?x2)) ?v_153) (* 17 ?x4)) (- 11)) (= (+ ?v_133 ?v_134) (- 27))) (and (or (>= (+ ?v_133 ?v_39) (- 32)) (<= (+ (+ ?v_135 (* 28 ?x3)) (* 85 ?x4)) (- 13))) (< (+ (+ (+ ?v_110 ?v_27) ?v_136) ?v_137) 82))) (or (or (or (= (+ (+ (+ ?v_78 (* 12 ?x2)) ?v_138) ?v_177) (- 49)) (= (+ (+ (+ (* (- 8) ?x1) ?v_139) ?v_140) (* (- 60) ?x4)) 0)) (or (< (+ (+ ?v_171 ?v_141) ?v_142) 0) (= (+ (* (- 37) ?x1) ?v_143) 0))) (or (or (< (+ ?v_144 ?v_145) 0) (= (+ ?v_105 ?v_146) 0)) (or (>= (+ (+ (* (- 30) ?x1) ?v_147) (* (- 18) ?x4)) 22) (> (+ (+ ?v_148 (* 90 ?x2)) (* (- 1) ?x4)) 18)))))) (or (and (and (and (<= (+ (+ ?v_90 (* 29 ?x3)) ?v_67) 0) (> (+ (+ ?v_149 ?v_150) (* (- 54) ?x3)) (- 85))) (or (and (<= ?v_151 80) (= (+ (+ ?v_152 ?v_153) ?v_154) 17)) (<= (+ (+ (* 73 ?x1) ?v_155) (* 8 ?x4)) 0))) (and (or (> (+ (+ (* 55 ?x1) ?v_156) ?v_3) 83) (and (>= (+ (+ (+ (* (- 48) ?x1) ?v_157) (* 63 ?x3)) ?v_182) (- 74)) (= (+ (+ (+ (* 36 ?x1) ?v_53) ?v_173) ?v_158) 92))) (and (> (+ ?v_172 (* (- 93) ?x3)) (- 46)) (or (<= (+ (+ ?v_159 (* (- 40) ?x3)) ?v_175) (- 19)) (<= (+ (+ (+ (* (- 73) ?x1) (* (- 23) ?x2)) ?v_87) ?v_48) 59))))) (or (and (and (>= (+ ?v_160 ?v_161) (- 23)) (and (<= (+ (+ ?v_162 ?v_52) ?v_116) 35) (> (+ (+ ?v_163 (* (- 5) ?x2)) ?v_20) 30))) (or (or (not (= (+ (+ ?v_164 (* (- 77) ?x2)) (* (- 90) ?x4)) 33)) (> (+ ?v_11 ?v_85) 0)) (and (not (= (+ (+ (+ ?v_165 (* (- 26) ?x2)) (* (- 94) ?x3)) (* 14 ?x4)) (- 90))) (< (+ (+ (+ (* 11 ?x1) ?v_166) (* (- 51) ?x3)) (* 65 ?x4)) (- 65))))) (or (or (>= (+ (+ (* 62 ?x1) ?v_167) ?v_168) 0) (= (+ (+ (+ (* 5 ?x1) ?v_169) (* (- 62) ?x3)) ?v_170) 24)) (< (+ (+ (+ ?v_171 ?v_172) ?v_173) (* 35 ?x4)) 0))))) (or (or (or (or (not (= (+ ?v_174 (* 100 ?x4)) 90)) (<= (+ (+ (+ (* (- 34) ?x1) (* 77 ?x2)) (* (- 88) ?x3)) ?v_175) (- 28))) (or (or (<= (+ (+ (* 77 ?x1) ?v_111) (* (- 38) ?x4)) 48) (= (+ (* (- 42) ?x1) ?v_59) (- 27))) (>= (+ (+ (+ ?v_176 (* 8 ?x2)) ?v_147) ?v_177) (- 20)))) (and (and (> (+ (+ ?v_110 ?v_178) (* (- 29) ?x3)) 0) (not (= (+ (+ (+ (* (- 70) ?x1) (* (- 78) ?x2)) ?v_38) ?v_179) 30))) (and (>= (+ (+ (+ ?v_180 ?v_181) (* 85 ?x3)) ?v_182) (- 53)) (not (= (+ ?v_183 ?v_52) 36))))) (or (or (or (or (< (+ (+ ?v_184 (* 18 ?x2)) (* 60 ?x3)) (- 29)) (not (= (+ (* 53 ?x3) (* (- 25) ?x4)) 11))) (>= (+ ?v_185 ?v_186) 40)) (or (not (= (* (- 12) ?x2) (- 33))) (<= (+ ?v_172 ?v_187) (- 79)))) (or (and (not (= (+ ?v_188 ?v_170) (- 84))) (= (+ (+ (+ ?v_189 (* (- 92) ?x2)) ?v_96) (* (- 84) ?x4)) 0)) (or (<= (+ (+ (* (- 35) ?x1) (* 54 ?x2)) ?v_190) 17) (<= (+ (+ ?v_12 (* 12 ?x3)) (* 93 ?x4)) 20)))))))))))))))
(check-sat)
(exit)
