(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_395 (* 76 ?x3)) (?v_771 (* 34 ?x1)) (?v_259 (* 4 ?x3)) (?v_3 (* 69 ?x2)) (?v_223 (* 1 ?x3)) (?v_556 (* 54 ?x2)) (?v_91 (* 20 ?x4)) (?v_235 (* 78 ?x1)) (?v_12 (* 13 ?x2)) (?v_2 (* 62 ?x4)) (?v_345 (* 83 ?x1)) (?v_6 (* 17 ?x2)) (?v_257 (* 3 ?x3)) (?v_313 (* 14 ?x1)) (?v_29 (* 56 ?x3)) (?v_255 (* 32 ?x4)) (?v_25 (* 90 ?x3)) (?v_1 (* 8 ?x2)) (?v_263 (* 85 ?x4)) (?v_407 (* 32 ?x3)) (?v_539 (* 3 ?x4)) (?v_59 (* 6 ?x1)) (?v_157 (* 99 ?x2)) (?v_504 (* 15 ?x4)) (?v_169 (* 20 ?x1)) (?v_89 (* 89 ?x4)) (?v_26 (* 77 ?x1)) (?v_250 (* 95 ?x1)) (?v_174 (* 98 ?x3)) (?v_294 (* 32 ?x2)) (?v_213 (* 44 ?x2)) (?v_34 (* 78 ?x3)) (?v_474 (* 23 ?x4)) (?v_23 (* 97 ?x2)) (?v_540 (* 90 ?x4)) (?v_118 (* 83 ?x2)) (?v_4 (* 99 ?x1)) (?v_205 (* 48 ?x4)) (?v_35 (* 69 ?x1)) (?v_154 (* 80 ?x2)) (?v_130 (* 60 ?x4)) (?v_465 (* 49 ?x3)) (?v_9 (* 28 ?x1)) (?v_497 (* 55 ?x3)) (?v_600 (* 59 ?x4)) (?v_275 (* 30 ?x1)) (?v_8 (* 6 ?x3)) (?v_141 (* 42 ?x3)) (?v_37 (* 18 ?x1)) (?v_271 (* 63 ?x2)) (?v_11 (* 93 ?x2)) (?v_335 (* 40 ?x1)) (?v_269 (* 80 ?x3)) (?v_77 (* 50 ?x1)) (?v_46 (* 58 ?x3)) (?v_547 (* 70 ?x4)) (?v_622 (* 63 ?x1)) (?v_76 (* 33 ?x2)) (?v_88 (* 96 ?x3)) (?v_14 (* 71 ?x2)) (?v_40 (* 42 ?x4)) (?v_79 (* 98 ?x2)) (?v_10 (* 88 ?x1)) (?v_52 (* 48 ?x1)) (?v_143 (* 57 ?x1)) (?v_679 (* 49 ?x2)) (?v_30 (* 93 ?x4)) (?v_32 (* 27 ?x3)) (?v_42 (* 87 ?x1)) (?v_176 (* 23 ?x2)) (?v_22 (* 44 ?x4)) (?v_162 (* 52 ?x2)) (?v_18 (* 77 ?x3)) (?v_20 (* 58 ?x4)) (?v_38 (* 96 ?x4)) (?v_582 (* 3 ?x2)) (?v_265 (* 61 ?x3)) (?v_421 (* 87 ?x2)) (?v_309 (* 43 ?x3)) (?v_484 (* 57 ?x3)) (?v_68 (* 79 ?x4)) (?v_104 (* 43 ?x1)) (?v_473 (* 22 ?x4)) (?v_33 (* 50 ?x4)) (?v_277 (* 90 ?x1)) (?v_142 (* 78 ?x4)) (?v_228 (* 38 ?x3)) (?v_86 (* 48 ?x2)) (?v_181 (* 10 ?x3)) (?v_531 (* 39 ?x1)) (?v_146 (* 65 ?x2)) (?v_589 (* 52 ?x3)) (?v_220 (* 11 ?x1)) (?v_101 (* 82 ?x1)) (?v_538 (* 74 ?x3)) (?v_398 (* 43 ?x4)) (?v_248 (* 77 ?x2)) (?v_165 (* 74 ?x4)) (?v_311 (* 100 ?x2)) (?v_334 (* 91 ?x3)) (?v_39 (* 79 ?x1)) (?v_28 (* 4 ?x2)) (?v_249 (* 85 ?x1)) (?v_36 (* 2 ?x2)) (?v_553 (* 35 ?x3)) (?v_84 (* 30 ?x2)) (?v_689 (* 71 ?x1)) (?v_688 (* 86 ?x3)) (?v_58 (* 92 ?x4)) (?v_43 (* 53 ?x3)) (?v_489 (* 4 ?x1)) (?v_367 (* 2 ?x3)) (?v_247 (* 40 ?x4)) (?v_49 (* 55 ?x1)) (?v_57 (* 72 ?x3)) (?v_56 (* 62 ?x2)) (?v_382 (* 72 ?x4)) (?v_237 (* 79 ?x2)) (?v_203 (* 58 ?x2)) (?v_83 (* 89 ?x3)) (?v_115 (* 11 ?x4)) (?v_123 (* 47 ?x4)) (?v_443 (* 50 ?x2)) (?v_80 (* 21 ?x3)) (?v_500 (* 49 ?x1)) (?v_54 (* 8 ?x4)) (?v_325 (* 17 ?x1)) (?v_98 (* 97 ?x1)) (?v_53 (* 24 ?x2)) (?v_457 (* 54 ?x4)) (?v_126 (* 36 ?x2)) (?v_161 (* 4 ?x4)) (?v_208 (* 66 ?x1)) (?v_625 (* 35 ?x1)) (?v_109 (* 57 ?x2)) (?v_458 (* 7 ?x1)) (?v_92 (* 46 ?x2)) (?v_451 (* 28 ?x3)) (?v_229 (* 76 ?x1)) (?v_139 (* 89 ?x1)) (?v_100 (* 96 ?x2)) (?v_528 (* 3 ?x1)) (?v_415 (* 85 ?x3)) (?v_588 (* 65 ?x1)) (?v_67 (* 29 ?x3)) (?v_288 (* 34 ?x3)) (?v_108 (* 93 ?x1)) (?v_184 (* 10 ?x2)) (?v_103 (* 26 ?x2)) (?v_149 (* 83 ?x3)) (?v_359 (* 74 ?x1)) (?v_155 (* 49 ?x4)) (?v_300 (* 65 ?x3)) (?v_75 (* 13 ?x4)) (?v_111 (* 42 ?x2)) (?v_172 (* 63 ?x3)) (?v_653 (* 51 ?x1)) (?v_105 (* 68 ?x4)) (?v_513 (* 26 ?x3)) (?v_456 (* 100 ?x4)) (?v_371 (* 39 ?x4)) (?v_488 (* 70 ?x2)) (?v_637 (* 79 ?x3)) (?v_452 (* 92 ?x3)) (?v_135 (* 59 ?x2)) (?v_193 (* 31 ?x2)) (?v_207 (* 55 ?x4)) (?v_117 (* 22 ?x2)) (?v_323 (* 34 ?x4)) (?v_159 (* 8 ?x1)) (?v_591 (* 40 ?x2)) (?v_185 (* 16 ?x3)) (?v_129 (* 93 ?x3)) (?v_709 (* 66 ?x4)) (?v_580 (* 64 ?x1)) (?v_131 (* 55 ?x2)) (?v_218 (* 38 ?x4)) (?v_166 (* 76 ?x2)) (?v_329 (* 1 ?x2)) (?v_112 (* 5 ?x3)) (?v_499 (* 65 ?x4)) (?v_598 (* 53 ?x4)) (?v_150 (* 31 ?x3)) (?v_289 (* 53 ?x1)) (?v_397 (* 82 ?x3)) (?v_199 (* 28 ?x4)) (?v_144 (* 75 ?x1)) (?v_476 (* 97 ?x3)) (?v_663 (* 32 ?x1)) (?v_245 (* 52 ?x4)) (?v_661 (* 45 ?x4)) (?v_424 (* 47 ?x3)) (?v_607 (* 11 ?x3)) (?v_357 (* 99 ?x3)) (?v_180 (* 68 ?x3)) (?v_209 (* 43 ?x2)) (?v_351 (* 34 ?x2)) (?v_669 (* 12 ?x2)) (?v_332 (* 64 ?x2)) (?v_133 (* 98 ?x1)) (?v_744 (* 52 ?x1)) (?v_233 (* 31 ?x1)) (?v_403 (* 15 ?x1)) (?v_138 (* 24 ?x4)) (?v_192 (* 91 ?x4)) (?v_339 (* 27 ?x1)) (?v_314 (* 51 ?x3)) (?v_649 (* 14 ?x2)) (?v_508 (* 62 ?x3)) (?v_240 (* 87 ?x3)) (?v_217 (* 8 ?x3)) (?v_331 (* 1 ?x1)) (?v_632 (* 88 ?x4)) (?v_417 (* 83 ?x4)) (?v_422 (* 67 ?x3)) (?v_364 (* 81 ?x4)) (?v_227 (* 41 ?x3)) (?v_355 (* 81 ?x1)) (?v_221 (* 90 ?x2)) (?v_494 (* 59 ?x1)) (?v_187 (* 30 ?x4)) (?v_543 (* 92 ?x2)) (?v_188 (* 45 ?x1)) (?v_365 (* 88 ?x2)) (?v_466 (* 80 ?x1)) (?v_379 (* 95 ?x4)) (?v_412 (* 54 ?x1)) (?v_657 (* 25 ?x4)) (?v_579 (* 2 ?x4)) (?v_388 (* 20 ?x3)) (?v_183 (* 70 ?x1)) (?v_190 (* 37 ?x1)) (?v_532 (* 41 ?x2)) (?v_254 (* 73 ?x3)) (?v_264 (* 61 ?x4)) (?v_201 (* 45 ?x3)) (?v_279 (* 66 ?x2)) (?v_295 (* 21 ?x1)) (?v_243 (* 9 ?x2)) (?v_425 (* 84 ?x4)) (?v_428 (* 46 ?x1)) (?v_711 (* 62 ?x1)) (?v_344 (* 67 ?x4)) (?v_427 (* 11 ?x2)) (?v_322 (* 12 ?x3)) (?v_324 (* 33 ?x4)) (?v_693 (* 19 ?x4)) (?v_413 (* 94 ?x2)) (?v_241 (* 7 ?x4)) (?v_410 (* 80 ?x4)) (?v_564 (* 81 ?x2)) (?v_554 (* 84 ?x1)) (?v_284 (* 60 ?x3)) (?v_519 (* 56 ?x2)) (?v_716 (* 37 ?x4)) (?v_524 (* 40 ?x3)) (?v_756 (* 85 ?x2)) (?v_317 (* 7 ?x3)) (?v_444 (* 97 ?x4)) (?v_261 (* 28 ?x2)) (?v_654 (* 54 ?x3)) (?v_272 (* 73 ?x4)) (?v_482 (* 100 ?x3)) (?v_298 (* 82 ?x2)) (?v_281 (* 29 ?x1)) (?v_369 (* 69 ?x3)) (?v_516 (* 63 ?x4)) (?v_462 (* 74 ?x2)) (?v_361 (* 47 ?x2)) (?v_423 (* 86 ?x1)) (?v_619 (* 57 ?x4)) (?v_526 (* 24 ?x1)) (?v_562 (* 23 ?x3)) (?v_356 (* 18 ?x2)) (?v_280 (* 13 ?x3)) (?v_738 (* 64 ?x4)) (?v_552 (* 61 ?x1)) (?v_559 (* 68 ?x1)) (?v_440 (* 47 ?x1)) (?v_268 (* 14 ?x4)) (?v_336 (* 35 ?x2)) (?v_751 (* 33 ?x1)) (?v_633 (* 29 ?x4)) (?v_612 (* 26 ?x4)) (?v_360 (* 22 ?x1)) (?v_707 (* 81 ?x3)) (?v_352 (* 9 ?x4)) (?v_703 (* 61 ?x2)) (?v_374 (* 89 ?x2)) (?v_408 (* 1 ?x4)) (?v_464 (* 17 ?x4)) (?v_627 (* 95 ?x3))) (let ((?v_618 (+ ?v_295 ?v_157)) (?v_436 (* 48 ?x3)) (?v_777 (* 95 ?x2)) (?v_401 (* 64 ?x3)) (?v_572 (* 69 ?x4)) (?v_704 (* 91 ?x1)) (?v_678 (* 76 ?x4)) (?v_602 (* 9 ?x1)) (?v_350 (* 72 ?x2)) (?v_647 (* 36 ?x4)) (?v_674 (* 42 ?x1)) (?v_346 (* 9 ?x3)) (?v_387 (* 60 ?x2)) (?v_380 (* 36 ?x3)) (?v_392 (* 23 ?x1)) (?v_515 (* 18 ?x4)) (?v_418 (* 86 ?x2)) (?v_419 (* 59 ?x3)) (?v_507 (* 33 ?x3)) (?v_435 (* 12 ?x4)) (?v_533 (* 73 ?x2)) (?v_631 (* 100 ?x1)) (?v_568 (* 82 ?x4)) (?v_544 (* 25 ?x1)) (?v_746 (* 51 ?x4)) (?v_447 (* 46 ?x3)) (?v_520 (* 71 ?x3)) (?v_486 (* 41 ?x1)) (?v_629 (* 39 ?x3)) (?v_384 (* 45 ?x2)) (?v_558 (* 71 ?x4)) (?v_480 (* 6 ?x2)) (?v_459 (* 98 ?x4)) (?v_448 (* 58 ?x1)) (?v_455 (* 22 ?x3)) (?v_442 (* 16 ?x1)) (?v_429 (* 51 ?x2)) (?v_639 (* 19 ?x1)) (?v_450 (* 14 ?x3)) (?v_432 (* 44 ?x3)) (?v_590 (* 21 ?x4)) (?v_750 (* 25 ?x2)) (?v_608 (* 5 ?x4)) (?v_529 (* 37 ?x3)) (?v_762 (* 91 ?x2)) (?v_587 (* 16 ?x2)) (?v_636 (* 15 ?x3)) (?v_694 (* 67 ?x2)) (?v_511 (* 60 ?x1)) (?v_522 (* 19 ?x2)) (?v_732 (* 20 ?x2)) (?v_698 (* 41 ?x4)) (?v_673 (* 19 ?x3)) (?v_695 (* 27 ?x2)) (?v_768 (* 13 ?x1)) (?v_503 (* 84 ?x2)) (?v_613 (* 53 ?x2)) (?v_575 (* 25 ?x3)) (?v_525 (* 37 ?x2)) (?v_560 (* 12 ?x1)) (?v_733 (* 38 ?x1)) (?v_691 (* 24 ?x3)) (?v_624 (* 94 ?x3)) (?v_581 (* 72 ?x1)) (?v_574 (* 96 ?x1)) (?v_699 (* 21 ?x2)) (?v_643 (* 94 ?x4)) (?v_770 (* 46 ?x4)) (?v_576 (* 56 ?x4)) (?v_765 (* 75 ?x3)) (?v_740 (* 17 ?x3)) (?v_634 (* 75 ?x2)) (?v_675 (* 56 ?x1)) (?v_677 (* 88 ?x3)) (?v_759 (* 30 ?x3)) (?v_723 (* 6 ?x4)) (?v_611 (* 5 ?x2)) (?v_616 (* 16 ?x4)) (?v_712 (* 27 ?x4)) (?v_683 (* 7 ?x2)) (?v_655 (* 73 ?x1)) (?v_668 (* 36 ?x1)) (?v_702 (* 68 ?x2)) (?v_728 (* 15 ?x2)) (?v_687 (* 10 ?x1)) (?v_760 (* 86 ?x4)) (?v_743 (* 38 ?x2)) (?v_729 (* 84 ?x3)) (?v_713 (* 92 ?x1)) (?v_721 (* 18 ?x3)) (?v_708 (* 10 ?x4)) (?v_719 (* 99 ?x4)) (?v_754 (* 2 ?x1)) (?v_766 (* 87 ?x4)) (?v_774 (* 50 ?x3)) (?v_769 (* 31 ?x4)) (?v_0 (* (- 50) ?x2)) (?v_303 (* (- 62) ?x4)) (?v_310 (* (- 57) ?x1)) (?v_330 (* (- 22) ?x3)) (?v_19 (* (- 90) ?x4)) (?v_50 (* (- 48) ?x2)) (?v_498 (* (- 57) ?x4)) (?v_17 (* (- 37) ?x1)) (?v_113 (* (- 6) ?x2)) (?v_137 (* (- 62) ?x1)) (?v_164 (* (- 8) ?x3)) (?v_21 (* (- 47) ?x4)) (?v_66 (* (- 54) ?x2)) (?v_399 (* (- 6) ?x4)) (?v_85 (* (- 70) ?x1)) (?v_231 (* (- 97) ?x2)) (?v_5 (* (- 78) ?x3)) (?v_177 (* (- 31) ?x1)) (?v_210 (* (- 46) ?x3)) (?v_182 (* (- 25) ?x1)) (?v_60 (* (- 70) ?x2)) (?v_252 (* (- 36) ?x1)) (?v_426 (* (- 15) ?x4)) (?v_47 (* (- 30) ?x1)) (?v_106 (* (- 64) ?x4)) (?v_69 (* (- 7) ?x3)) (?v_267 (* (- 23) ?x1)) (?v_7 (* (- 66) ?x2)) (?v_224 (* (- 13) ?x2)) (?v_381 (* (- 83) ?x4)) (?v_55 (* (- 96) ?x3)) (?v_400 (* (- 8) ?x1)) (?v_27 (* (- 1) ?x4)) (?v_236 (* (- 4) ?x2)) (?v_156 (* (- 3) ?x4)) (?v_147 (* (- 25) ?x3)) (?v_44 (* (- 5) ?x4)) (?v_16 (* (- 93) ?x2)) (?v_97 (* (- 96) ?x4)) (?v_13 (* (- 100) ?x2)) (?v_73 (* (- 44) ?x3)) (?v_599 (* (- 80) ?x1)) (?v_586 (* (- 54) ?x3)) (?v_290 (* (- 87) ?x4)) (?v_134 (* (- 51) ?x1)) (?v_595 (* (- 17) ?x3)) (?v_153 (* (- 65) ?x4)) (?v_256 (* (- 39) ?x2)) (?v_72 (* (- 69) ?x4)) (?v_368 (* (- 16) ?x1)) (?v_107 (* (- 70) ?x3)) (?v_31 (* (- 88) ?x4)) (?v_87 (* (- 56) ?x4)) (?v_307 (* (- 5) ?x2)) (?v_635 (* (- 72) ?x3)) (?v_45 (* (- 21) ?x2)) (?v_41 (* (- 40) ?x3)) (?v_491 (* (- 43) ?x3)) (?v_24 (* (- 21) ?x1)) (?v_596 (* (- 51) ?x4)) (?v_541 (* (- 1) ?x1)) (?v_270 (* (- 71) ?x2)) (?v_102 (* (- 30) ?x3)) (?v_15 (* (- 41) ?x3)) (?v_81 (* (- 52) ?x1)) (?v_140 (* (- 26) ?x3)) (?v_62 (* (- 35) ?x2)) (?v_273 (* (- 45) ?x2)) (?v_659 (* (- 91) ?x4)) (?v_173 (* (- 6) ?x1)) (?v_200 (* (- 35) ?x1)) (?v_51 (* (- 39) ?x3)) (?v_64 (* (- 19) ?x1)) (?v_65 (* (- 31) ?x3)) (?v_557 (* (- 3) ?x1)) (?v_145 (* (- 85) ?x2)) (?v_70 (* (- 32) ?x4)) (?v_191 (* (- 73) ?x3)) (?v_94 (* (- 82) ?x1)) (?v_333 (* (- 55) ?x2)) (?v_604 (* (- 97) ?x3)) (?v_518 (* (- 89) ?x4)) (?v_211 (* (- 66) ?x4)) (?v_171 (* (- 6) ?x3)) (?v_606 (* (- 51) ?x3)) (?v_411 (* (- 63) ?x4)) (?v_377 (* (- 7) ?x1)) (?v_316 (* (- 38) ?x2)) (?v_82 (* (- 64) ?x1)) (?v_285 (* (- 12) ?x3)) (?v_354 (* (- 19) ?x2)) (?v_78 (* (- 94) ?x1)) (?v_124 (* (- 73) ?x1)) (?v_127 (* (- 36) ?x2)) (?v_202 (* (- 84) ?x4)) (?v_244 (* (- 74) ?x3)) (?v_71 (* (- 10) ?x3)) (?v_342 (* (- 28) ?x4)) (?v_119 (* (- 27) ?x1)) (?v_239 (* (- 100) ?x3)) (?v_90 (* (- 5) ?x3)) (?v_99 (* (- 98) ?x3)) (?v_48 (* (- 79) ?x4)) (?v_63 (* (- 2) ?x2)) (?v_578 (* (- 91) ?x1)) (?v_74 (* (- 100) ?x4)) (?v_61 (* (- 20) ?x4)) (?v_95 (* (- 98) ?x2)) (?v_232 (* (- 11) ?x3)) (?v_338 (* (- 19) ?x4)) (?v_215 (* (- 86) ?x3)) (?v_114 (* (- 36) ?x4)) (?v_393 (* (- 1) ?x2)) (?v_735 (* (- 49) ?x4)) (?v_327 (* (- 40) ?x4)) (?v_391 (* (- 37) ?x3)) (?v_128 (* (- 24) ?x2)) (?v_151 (* (- 3) ?x2)) (?v_96 (* (- 54) ?x4)) (?v_701 (* (- 92) ?x2)) (?v_287 (* (- 90) ?x1)) (?v_214 (* (- 71) ?x1)) (?v_121 (* (- 29) ?x1)) (?v_110 (* (- 58) ?x1)) (?v_179 (* (- 15) ?x3)) (?v_646 (* (- 44) ?x1)) (?v_571 (* (- 23) ?x4)) (?v_136 (* (- 45) ?x3)) (?v_730 (* (- 74) ?x1)) (?v_347 (* (- 88) ?x3)) (?v_195 (* (- 97) ?x4)) (?v_463 (* (- 68) ?x3)) (?v_212 (* (- 11) ?x1)) (?v_152 (* (- 22) ?x4)) (?v_266 (* (- 61) ?x2)) (?v_93 (* (- 75) ?x4)) (?v_226 (* (- 60) ?x4)) (?v_196 (* (- 92) ?x3)) (?v_122 (* (- 88) ?x1)) (?v_609 (* (- 67) ?x1)) (?v_206 (* (- 12) ?x1)) (?v_630 (* (- 20) ?x1)) (?v_197 (* (- 82) ?x4)) (?v_386 (* (- 69) ?x1)) (?v_445 (* (- 59) ?x1)) (?v_439 (* (- 31) ?x2)) (?v_178 (* (- 45) ?x1)) (?v_514 (* (- 16) ?x2)) (?v_555 (* (- 48) ?x3)) (?v_469 (* (- 28) ?x2)) (?v_437 (* (- 32) ?x3)) (?v_349 (* (- 80) ?x2)) (?v_194 (* (- 89) ?x3)) (?v_566 (* (- 22) ?x1)) (?v_132 (* (- 80) ?x3)) (?v_253 (* (- 82) ?x3)) (?v_125 (* (- 41) ?x1)) (?v_318 (* (- 94) ?x4)) (?v_278 (* (- 95) ?x3)) (?v_312 (* (- 99) ?x4)) (?v_502 (* (- 40) ?x1)) (?v_225 (* (- 83) ?x3)) (?v_230 (* (- 58) ?x4)) (?v_116 (* (- 76) ?x1)) (?v_120 (* (- 26) ?x2)) (?v_492 (* (- 3) ?x3)) (?v_160 (* (- 97) ?x1)) (?v_189 (* (- 10) ?x4)) (?v_561 (* (- 83) ?x1)) (?v_478 (* (- 20) ?x3)) (?v_530 (* (- 78) ?x4)) (?v_363 (* (- 57) ?x2)) (?v_472 (* (- 14) ?x3)) (?v_409 (* (- 14) ?x2)) (?v_390 (* (- 46) ?x4)) (?v_304 (* (- 43) ?x1)) (?v_340 (* (- 21) ?x4)) (?v_764 (* (- 54) ?x1)) (?v_274 (* (- 34) ?x4)) (?v_297 (* (- 99) ?x1)) (?v_204 (* (- 66) ?x3)) (?v_186 (* (- 55) ?x4)) (?v_158 (* (- 55) ?x3)) (?v_638 (* (- 68) ?x1)) (?v_567 (* (- 86) ?x2)) (?v_163 (* (- 49) ?x3)) (?v_373 (* (- 71) ?x4)) (?v_319 (* (- 38) ?x4)) (?v_148 (* (- 99) ?x2)) (?v_358 (* (- 25) ?x4)) (?v_378 (* (- 29) ?x3)) (?v_375 (* (- 17) ?x2)) (?v_727 (* (- 37) ?x4)) (?v_471 (* (- 52) ?x4)) (?v_431 (* (- 9) ?x1)) (?v_175 (* (- 28) ?x1)) (?v_370 (* (- 72) ?x2)) (?v_216 (* (- 84) ?x1)) (?v_167 (* (- 10) ?x1)) (?v_305 (* (- 65) ?x1)) (?v_446 (* (- 58) ?x2)) (?v_577 (* (- 12) ?x4)) (?v_308 (* (- 26) ?x4)) (?v_537 (* (- 67) ?x2)) (?v_168 (* (- 91) ?x3)) (?v_170 (* (- 51) ?x2)) (?v_542 (* (- 50) ?x4)) (?v_292 (* (- 93) ?x4)) (?v_739 (* (- 81) ?x4)) (?v_753 (* (- 14) ?x4)) (?v_234 (* (- 76) ?x2)) (?v_573 (* (- 53) ?x4)) (?v_296 (* (- 82) ?x2)) (?v_479 (* (- 13) ?x1)) (?v_293 (* (- 46) ?x2)) (?v_545 (* (- 19) ?x3)) (?v_242 (* (- 30) ?x4)) (?v_343 (* (- 53) ?x3)) (?v_449 (* (- 30) ?x2)) (?v_198 (* (- 83) ?x2)) (?v_315 (* (- 53) ?x1)) (?v_341 (* (- 63) ?x3)) (?v_238 (* (- 76) ?x3)) (?v_306 (* (- 95) ?x4)) (?v_328 (* (- 75) ?x1)) (?v_291 (* (- 40) ?x2)) (?v_710 (* (- 63) ?x2)) (?v_565 (* (- 89) ?x2)) (?v_320 (* (- 79) ?x2)) (?v_534 (* (- 85) ?x3)) (?v_337 (* (- 77) ?x4)) (?v_521 (* (- 13) ?x3)) (?v_326 (* (- 43) ?x4)) (?v_394 (* (- 86) ?x1)) (?v_276 (* (- 15) ?x2)) (?v_396 (* (- 8) ?x4)) (?v_219 (* (- 95) ?x2)) (?v_741 (* (- 59) ?x4)) (?v_301 (* (- 61) ?x1)) (?v_222 (* (- 60) ?x3)) (?v_610 (* (- 61) ?x3)) (?v_570 (* (- 100) ?x1)) (?v_592 (* (- 67) ?x4)) (?v_501 (* (- 68) ?x2)) (?v_362 (* (- 44) ?x4)) (?v_246 (* (- 27) ?x3)) (?v_260 (* (- 17) ?x4)) (?v_286 (* (- 11) ?x4)) (?v_262 (* (- 36) ?x3)) (?v_251 (* (- 9) ?x4)) (?v_706 (* (- 32) ?x1)) (?v_385 (* (- 89) ?x1)) (?v_258 (* (- 9) ?x2)) (?v_283 (* (- 42) ?x2)) (?v_348 (* (- 2) ?x4)) (?v_563 (* (- 64) ?x2)) (?v_302 (* (- 71) ?x3)) (?v_697 (* (- 7) ?x4)) (?v_650 (* (- 77) ?x1)) (?v_686 (* (- 48) ?x4)) (?v_628 (* (- 18) ?x2)) (?v_620 (* (- 78) ?x2)) (?v_776 (* (- 28) ?x3)) (?v_420 (* (- 59) ?x3)) (?v_389 (* (- 94) ?x2)) (?v_772 (* (- 98) ?x4)) (?v_505 (* (- 49) ?x1)) (?v_434 (* (- 91) ?x2)) (?v_282 (* (- 33) ?x1)) (?v_660 (* (- 20) ?x2)) (?v_615 (* (- 93) ?x3)) (?v_405 (* (- 50) ?x1)) (?v_477 (* (- 12) ?x2)) (?v_546 (* (- 29) ?x2)) (?v_617 (* (- 42) ?x4)) (?v_402 (* (- 38) ?x3)) (?v_495 (* (- 94) ?x3)) (?v_736 (* (- 73) ?x4)) (?v_722 (* (- 59) ?x2)) (?v_755 (* (- 96) ?x1)) (?v_299 (* (- 55) ?x1)) (?v_416 (* (- 56) ?x1)) (?v_414 (* (- 22) ?x2)) (?v_626 (* (- 50) ?x3)) (?v_376 (* (- 61) ?x4)) (?v_430 (* (- 35) ?x3)) (?v_372 (* (- 65) ?x3)) (?v_648 (* (- 4) ?x3)) (?v_550 (* (- 99) ?x3)) (?v_725 (* (- 16) ?x3)) (?v_321 (* (- 9) ?x3)) (?v_642 (* (- 74) ?x4)) (?v_438 (* (- 34) ?x1)) (?v_512 (* (- 87) ?x2)) (?v_509 (* (- 47) ?x3)) (?v_681 (* (- 84) ?x3)) (?v_644 (* (- 62) ?x2)) (?v_483 (* (- 73) ?x2)) (?v_747 (* (- 53) ?x2)) (?v_353 (* (- 75) ?x2)) (?v_536 (* (- 41) ?x2)) (?v_583 (* (- 14) ?x1)) (?v_523 (* (- 26) ?x1)) (?v_487 (* (- 35) ?x4)) (?v_366 (* (- 98) ?x1)) (?v_383 (* (- 42) ?x1)) (?v_621 (* (- 76) ?x4)) (?v_593 (* (- 43) ?x2)) (?v_614 (* (- 86) ?x4)) (?v_584 (* (- 33) ?x2)) (?v_453 (* (- 60) ?x1)) (?v_510 (* (- 69) ?x3)) (?v_485 (* (- 72) ?x1)) (?v_404 (* (- 33) ?x4)) (?v_496 (* (- 24) ?x1)) (?v_406 (* (- 65) ?x2)) (?v_761 (* (- 64) ?x3)) (?v_672 (* (- 78) ?x1)) (?v_551 (* (- 72) ?x4)) (?v_690 (* (- 49) ?x2)) (?v_468 (* (- 85) ?x1)) (?v_605 (* (- 37) ?x2)) (?v_662 (* (- 48) ?x1)) (?v_481 (* (- 85) ?x4)) (?v_535 (* (- 31) ?x4)) (?v_685 (* (- 87) ?x1)) (?v_454 (* (- 10) ?x2)) (?v_461 (* (- 27) ?x4)) (?v_470 (* (- 8) ?x2)) (?v_594 (* (- 15) ?x1)) (?v_676 (* (- 88) ?x2)) (?v_441 (* (- 75) ?x3)) (?v_467 (* (- 23) ?x2)) (?v_734 (* (- 45) ?x4)) (?v_601 (* (- 32) ?x2)) (?v_585 (* (- 47) ?x2)) (?v_433 (* (- 63) ?x1)) (?v_517 (* (- 87) ?x3))) (let ((?v_475 (+ ?v_438 ?v_439)) (?v_715 (* (- 60) ?x2)) (?v_460 (* (- 34) ?x2)) (?v_763 (* (- 24) ?x4)) (?v_682 (* (- 18) ?x3)) (?v_684 (* (- 13) ?x4)) (?v_493 (* (- 27) ?x2)) (?v_569 (* (- 16) ?x4)) (?v_720 (* (- 74) ?x2)) (?v_490 (* (- 56) ?x2)) (?v_506 (* (- 52) ?x2)) (?v_652 (* (- 81) ?x3)) (?v_623 (* (- 66) ?x1)) (?v_773 (+ ?v_7 ?v_478)) (?v_645 (* (- 1) ?x3)) (?v_667 (* (- 46) ?x1)) (?v_775 (* (- 23) ?x3)) (?v_527 (* (- 2) ?x1)) (?v_549 (* (- 77) ?x3)) (?v_731 (* (- 17) ?x1)) (?v_603 (* (- 90) ?x2)) (?v_726 (* (- 58) ?x3)) (?v_696 (* (- 95) ?x1)) (?v_656 (* (- 11) ?x2)) (?v_548 (* (- 38) ?x1)) (?v_666 (* (- 52) ?x3)) (?v_640 (* (- 69) ?x2)) (?v_745 (* (- 5) ?x1)) (?v_664 (* (- 7) ?x2)) (?v_597 (* (- 68) ?x4)) (?v_714 (* (- 41) ?x4)) (?v_658 (* (- 56) ?x3)) (?v_651 (* (- 42) ?x3)) (?v_737 (* (- 47) ?x1)) (?v_641 (* (- 81) ?x2)) (?v_757 (* (- 2) ?x3)) (?v_749 (* (- 84) ?x2)) (?v_671 (* (- 4) ?x1)) (?v_717 (* (- 21) ?x3)) (?v_665 (* (- 25) ?x2)) (?v_692 (* (- 57) ?x3)) (?v_705 (* (- 39) ?x1))) (let ((?v_767 (+ ?v_705 ?v_109)) (?v_742 (+ ?v_665 ?v_314)) (?v_680 (* (- 79) ?x3)) (?v_670 (* (- 93) ?x1)) (?v_700 (+ ?v_116 ?v_690)) (?v_778 (* (- 92) ?x1)) (?v_718 (* (- 4) ?x4)) (?v_758 (* (- 24) ?x3)) (?v_724 (* (- 92) ?x4)) (?v_748 (* (- 29) ?x4)) (?v_752 (* (- 18) ?x4))) (or (and (or (or (and (and (and (or (or (or (>= ?v_395 4) (< (+ (+ (+ ?v_771 ?v_0) ?v_259) ?v_303) (- 80))) (or (not (= (+ ?v_3 ?v_223) (- 36))) (or (>= (+ ?v_556 ?v_91) 0) (not (= (+ (+ ?v_235 ?v_12) ?v_2) 98))))) (or (and (not (= (+ (+ ?v_345 ?v_6) ?v_257) 24)) (or (< (+ (+ (+ ?v_310 ?v_0) ?v_330) ?v_19) 79) (= (+ (+ ?v_313 ?v_29) ?v_255) (- 78)))) (and (or (> (+ (+ ?v_50 ?v_25) ?v_498) (- 25)) (= (+ ?v_1 ?v_263) 93)) (or (< (+ (+ ?v_17 ?v_407) ?v_539) (- 65)) (<= (+ (+ ?v_59 ?v_157) ?v_504) 0))))) (or (or (and (not (= (+ (+ ?v_169 ?v_113) ?v_89) 12)) (and (< (+ (+ ?v_137 ?v_164) ?v_21) (- 92)) (< (+ (+ ?v_26 ?v_66) ?v_399) 7))) (and (or (>= ?v_250 (- 26)) (> (+ (+ ?v_85 ?v_231) ?v_174) 2)) (and (< (+ ?v_294 ?v_5) (- 53)) (not (= (+ (+ ?v_177 ?v_213) ?v_210) 0))))) (or (or (> (+ (+ (+ ?v_182 ?v_60) ?v_34) ?v_474) (- 9)) (not (= (+ ?v_23 ?v_540) 99))) (and (>= (+ ?v_252 ?v_118) (- 38)) (> ?v_426 (- 42)))))) (or (or (or (or (< (+ (+ ?v_47 ?v_1) ?v_106) 0) (< (+ (+ ?v_4 ?v_69) ?v_205) 0)) (or (= (+ (+ ?v_35 ?v_154) ?v_130) (- 58)) (> (+ ?v_267 ?v_7) 18))) (or (and (or (>= (+ (+ ?v_224 ?v_465) ?v_381) (- 11)) (< (+ (+ ?v_9 ?v_55) ?v_2) (- 86))) (or (>= (+ (+ ?v_400 ?v_497) ?v_600) 22) (not (= (+ (+ ?v_275 ?v_8) ?v_27) 0)))) (and (or (<= (+ (+ ?v_236 ?v_141) ?v_156) (- 60)) (<= (+ (+ ?v_37 ?v_271) ?v_147) 39)) (<= (+ ?v_11 ?v_44) (- 76))))) (and (and (and (and (<= (+ (+ (+ ?v_335 ?v_16) ?v_269) ?v_97) 0) (<= (+ (+ (+ ?v_77 ?v_13) ?v_46) ?v_547) (- 21))) (= (+ (+ ?v_622 ?v_76) ?v_73) (- 37))) (and (and (< (+ (+ ?v_599 ?v_3) ?v_88) 94) (>= (+ (+ (+ ?v_4 ?v_14) ?v_586) ?v_40) 10)) (= (+ (+ ?v_79 ?v_5) ?v_290) (- 10)))) (and (or (>= (+ (+ ?v_134 ?v_595) ?v_153) 94) (>= (+ (+ ?v_10 ?v_256) ?v_72) (- 56))) (or (> (+ (+ (+ ?v_368 ?v_6) ?v_107) ?v_31) 0) (not (= (+ (+ (+ ?v_52 ?v_7) ?v_8) ?v_87) 66))))))) (or (and (and (or (>= (+ (+ ?v_143 ?v_679) ?v_30) 0) (or (and (> (+ ?v_307 ?v_32) (- 1)) (< (+ (+ (+ ?v_42 ?v_176) ?v_635) ?v_22) 94)) (<= (+ (+ (+ ?v_9 ?v_162) ?v_18) ?v_20) 86))) (or (and (< (+ (+ (+ ?v_10 ?v_45) ?v_41) ?v_38) 46) (not (= (+ (+ ?v_10 ?v_11) ?v_491) (- 30)))) (and (< (+ ?v_582 ?v_265) 67) (not (= (+ (+ (+ ?v_24 ?v_421) ?v_309) ?v_596) 15))))) (or (and (and (< (+ (+ (+ ?v_541 ?v_270) ?v_484) ?v_68) 22) (= (+ (+ (+ ?v_104 ?v_12) ?v_102) ?v_473) 50)) (or (or (< (+ ?v_13 ?v_15) 28) (not (= (+ (+ (+ ?v_81 ?v_14) ?v_15) ?v_33) 0))) (and (not (= (+ (+ (+ ?v_277 ?v_16) ?v_140) ?v_142) 0)) (> (+ (+ (+ ?v_17 ?v_62) ?v_18) ?v_19) (- 70))))) (and (or (and (= ?v_228 (- 48)) (= (+ ?v_273 ?v_659) (- 9))) (or (= (+ (+ (+ ?v_173 ?v_86) ?v_181) ?v_20) 27) (> (+ (+ ?v_200 (* 66 ?x3)) ?v_21) 35))) (or (>= (+ (+ ?v_531 ?v_146) ?v_589) (- 59)) (and (not (= (+ (+ (+ ?v_220 ?v_12) ?v_51) ?v_22) 0)) (< (+ (+ (+ ?v_101 ?v_23) ?v_538) ?v_398) 13)))))) (or (or (and (and (> (+ ?v_64 ?v_65) 0) (> (+ ?v_557 ?v_145) 0)) (or (not (= (+ (+ ?v_24 ?v_248) ?v_165) (- 54))) (not (= (+ ?v_25 ?v_70) 99)))) (or (< (+ (+ (+ ?v_26 ?v_311) ?v_191) ?v_27) (- 29)) (= ?v_334 15))) (and (and (and (or (= (+ (+ (+ ?v_94 ?v_333) ?v_604) ?v_518) 6) (>= (+ (+ ?v_39 ?v_28) ?v_211) 0)) (or (not (= (+ ?v_28 ?v_171) (- 91))) (<= (+ (+ (+ ?v_249 ?v_28) ?v_606) ?v_411) 0))) (or (>= (+ (+ (+ ?v_377 ?v_316) ?v_29) ?v_30) (- 65)) (>= (+ (+ (+ ?v_82 ?v_36) ?v_285) ?v_30) 82))) (or (or (<= (+ (+ ?v_354 ?v_553) ?v_31) 5) (<= (+ (* 26 ?x1) ?v_84) (- 25))) (and (>= (+ (+ ?v_78 ?v_32) ?v_33) (- 35)) (= (+ ?v_124 ?v_34) 0))))))) (and (and (and (and (and (or (> (+ (+ ?v_689 ?v_688) ?v_58) 69) (>= (+ (+ ?v_35 ?v_36) ?v_43) (- 5))) (= (+ (+ (+ ?v_489 ?v_127) ?v_367) ?v_247) (- 36))) (and (>= (+ (+ ?v_49 ?v_57) ?v_202) 0) (< (+ (+ ?v_56 ?v_244) ?v_382) 31))) (or (or (= (+ (+ ?v_37 ?v_71) ?v_38) 93) (< (+ ?v_237 ?v_27) 4)) (or (and (>= (+ (+ ?v_203 ?v_83) ?v_342) (- 8)) (<= (+ (+ ?v_119 ?v_239) ?v_115) 41)) (< (+ (+ (+ ?v_39 ?v_36) ?v_90) ?v_123) (- 62))))) (or (or (and (>= (+ (+ ?v_443 ?v_80) ?v_40) 64) (and (not (= (+ (+ ?v_500 ?v_99) ?v_48) (- 21))) (> (+ (+ ?v_63 ?v_41) ?v_54) 0))) (and (and (and (> (+ (+ ?v_42 ?v_43) ?v_44) 41) (<= (+ (+ ?v_578 ?v_45) ?v_74) 33)) (and (< (+ (+ (+ ?v_325 ?v_11) ?v_46) ?v_61) (- 59)) (<= ?v_16 0))) (or (and (< (+ (+ ?v_98 ?v_53) ?v_457) (- 14)) (> (+ (+ ?v_47 ?v_95) ?v_48) 80)) (and (<= (+ (+ ?v_49 ?v_126) ?v_161) 0) (<= (+ ?v_208 ?v_50) 0))))) (and (or (and (and (not (= (+ (+ (+ ?v_625 ?v_109) ?v_232) ?v_19) 0)) (= (+ (+ ?v_458 ?v_51) ?v_338) (- 30))) (and (and (<= (+ (+ (+ ?v_52 ?v_53) ?v_215) ?v_54) 5) (>= (+ (+ (+ ?v_24 ?v_92) ?v_55) ?v_114) (- 29))) (and (< (+ (+ ?v_393 ?v_451) ?v_735) 0) (> (+ ?v_229 ?v_327) 0)))) (and (and (> (+ ?v_391 ?v_27) 11) (= (+ ?v_139 ?v_100) (- 69))) (and (and (= (+ ?v_56 ?v_57) 0) (< (+ (+ ?v_528 ?v_128) ?v_58) 0)) (and (= (+ (+ (+ ?v_59 ?v_60) ?v_415) ?v_61) 0) (<= (+ (+ ?v_588 ?v_62) ?v_67) (- 28)))))) (or (or (and (> (+ ?v_63 ?v_288) 14) (<= (+ ?v_42 ?v_32) 0)) (<= (+ (+ (+ ?v_64 ?v_151) ?v_65) ?v_96) (- 37))) (and (>= ?v_701 34) (>= (+ (+ (+ ?v_287 ?v_66) ?v_67) ?v_68) (- 80))))))) (or (or (and (or (and (or (and (not (= (+ (+ ?v_214 ?v_69) ?v_70) (- 30))) (>= (+ (+ ?v_121 ?v_71) ?v_72) 100)) (or (> (+ (+ ?v_108 ?v_60) ?v_73) 0) (not (= (+ (+ ?v_110 ?v_184) ?v_179) 60)))) (and (and (> (+ (+ (+ ?v_646 ?v_103) ?v_149) ?v_571) (- 63)) (not (= (+ (+ ?v_39 ?v_136) ?v_74) (- 93)))) (and (< (+ ?v_359 ?v_155) 7) (> (+ (+ ?v_28 ?v_300) ?v_75) 0)))) (and (= (+ (+ (+ ?v_730 ?v_111) ?v_172) ?v_75) 68) (>= (+ (+ (+ ?v_653 ?v_76) ?v_347) ?v_195) 49))) (or (and (and (< (+ (+ ?v_77 ?v_463) ?v_105) 13) (= (+ (+ ?v_78 ?v_79) ?v_513) (- 24))) (<= (+ (+ (+ ?v_212 ?v_45) ?v_80) ?v_152) 80)) (>= (+ (+ (+ ?v_81 ?v_266) ?v_34) ?v_456) 0))) (and (and (or (and (< (+ (+ (+ ?v_82 (* (- 44) ?x2)) ?v_83) ?v_93) (- 98)) (< (+ (+ (* 94 ?x1) ?v_84) ?v_371) (- 8))) (and (not (= (+ ?v_488 ?v_637) (- 37))) (= (+ (+ (+ ?v_85 ?v_86) ?v_452) ?v_226) 84))) (or (and (= (+ ?v_196 ?v_87) 90) (< (+ (+ ?v_135 ?v_88) ?v_89) (- 89))) (or (< (+ (+ ?v_122 ?v_193) ?v_207) (- 47)) (>= (+ (+ ?v_609 ?v_117) ?v_323) 0)))) (or (or (or (and (= (+ (+ ?v_159 ?v_12) ?v_90) 0) (< (+ (+ (+ ?v_206 ?v_591) ?v_185) ?v_91) 0)) (or (<= (+ (+ ?v_630 ?v_92) ?v_93) (- 4)) (>= (+ ?v_94 ?v_197) (- 17)))) (and (>= (+ (+ ?v_85 ?v_95) ?v_54) (- 77)) (and (> (+ ?v_386 ?v_96) 0) (> (+ (+ (+ ?v_445 ?v_439) ?v_129) ?v_97) 0)))) (or (and (and (= (+ (+ ?v_178 ?v_514) ?v_555) 0) (<= (+ (+ (+ ?v_98 ?v_469) ?v_437) ?v_709) 89)) (or (< (+ ?v_349 ?v_99) 0) (not (= (+ ?v_580 ?v_194) (- 42))))) (or (< ?v_100 (- 23)) (or (>= (+ (+ (+ ?v_101 ?v_131) ?v_102) ?v_218) 97) (< (+ (+ (+ ?v_566 ?v_103) ?v_132) ?v_20) 0))))))) (or (and (> (+ (+ (+ ?v_104 ?v_166) ?v_253) ?v_105) 6) (not (= (+ (+ ?v_329 ?v_112) ?v_106) 27))) (and (> (+ (+ ?v_125 ?v_107) ?v_318) 0) (> (+ (+ (+ ?v_108 ?v_109) ?v_278) ?v_499) (- 60))))))) (or (and (or (and (and (or (and (and (<= (+ (+ (+ ?v_110 ?v_111) ?v_112) ?v_598) 0) (<= (+ (+ ?v_64 ?v_150) ?v_312) (- 84))) (and (<= (+ (+ ?v_502 ?v_225) ?v_230) (- 9)) (< ?v_112 (- 38)))) (or (or (and (<= (+ (+ ?v_289 ?v_397) ?v_199) (- 100)) (= (+ (+ ?v_144 ?v_113) ?v_114) 0)) (and (not (= (+ (+ (+ ?v_116 ?v_103) ?v_43) ?v_115) 27)) (< (+ (+ (+ ?v_116 ?v_120) ?v_492) ?v_20) 0))) (and (or (> (+ (+ (+ ?v_160 ?v_117) ?v_476) ?v_189) 0) (< (+ (+ ?v_561 ?v_478) ?v_105) (- 68))) (or (>= (+ (+ ?v_663 ?v_118) ?v_245) 31) (< (+ ?v_119 ?v_661) 0))))) (or (and (or (= (+ (+ ?v_120 ?v_424) ?v_75) (- 33)) (not (= (+ (+ (+ ?v_121 ?v_0) ?v_607) ?v_530) 32))) (or (<= (+ (+ (+ ?v_121 ?v_363) ?v_472) ?v_75) (- 57)) (> (+ (+ (+ ?v_122 ?v_36) ?v_357) ?v_123) (- 85)))) (and (and (>= (+ (+ ?v_124 ?v_409) ?v_390) 0) (= (+ (+ ?v_304 ?v_180) ?v_340) (- 99))) (= ?v_209 71)))) (and (and (or (not (= ?v_764 15)) (or (<= (+ ?v_351 ?v_83) 0) (not (= (+ (+ ?v_125 ?v_669) ?v_5) 0)))) (and (and (and (not (= (+ ?v_126 ?v_274) (- 21))) (< (+ (+ (+ ?v_297 ?v_332) ?v_43) ?v_21) 0)) (and (< (+ (+ (+ ?v_133 ?v_127) ?v_55) ?v_105) 0) (>= (+ (+ (+ ?v_744 ?v_128) ?v_204) ?v_186) 70))) (or (or (>= (+ (+ ?v_42 ?v_129) ?v_130) 58) (< (+ (+ ?v_233 ?v_131) ?v_132) 25)) (and (<= (+ (+ (+ ?v_403 ?v_100) ?v_158) ?v_138) 95) (<= (+ (+ ?v_638 ?v_32) ?v_192) 2))))) (and (or (or (and (<= (+ (+ ?v_339 ?v_23) ?v_314) (- 19)) (>= (+ (+ ?v_133 ?v_649) ?v_508) 82)) (or (<= (+ (+ (+ ?v_98 ?v_567) ?v_163) ?v_373) (- 49)) (not (= (+ (+ (+ ?v_134 ?v_135) ?v_136) ?v_319) (- 60))))) (and (or (<= (+ (+ ?v_148 ?v_240) ?v_97) 95) (<= (+ (+ (+ ?v_137 ?v_45) ?v_217) ?v_44) 77)) (or (not (= (+ (+ ?v_37 ?v_113) ?v_358) 18)) (< ?v_70 (- 86))))) (or (and (and (= (+ (+ (+ ?v_331 ?v_117) ?v_378) ?v_138) 0) (>= (+ (+ ?v_139 ?v_375) ?v_140) 85)) (and (<= (+ (+ ?v_86 ?v_141) ?v_142) 20) (= (+ (+ ?v_143 ?v_12) ?v_727) 0))) (and (and (= (+ (+ ?v_144 ?v_145) ?v_471) (- 25)) (>= (+ (+ (+ ?v_431 ?v_146) ?v_147) ?v_632) (- 56))) (<= (+ (+ ?v_148 ?v_149) ?v_97) 86)))))) (and (or (and (and (or (or (= (+ (+ ?v_175 ?v_370) ?v_150) 17) (< (+ (+ ?v_35 ?v_151) ?v_417) (- 92))) (and (not (= ?v_152 51)) (<= (+ (+ ?v_216 ?v_73) ?v_153) 53))) (and (or (< (+ (+ (+ ?v_37 ?v_154) ?v_422) ?v_155) 0) (<= (+ (+ ?v_167 ?v_145) ?v_364) (- 52))) (>= (+ (+ (+ ?v_305 ?v_446) ?v_5) ?v_156) 0))) (or (> (+ (+ (+ ?v_24 ?v_157) ?v_158) ?v_577) 0) (>= (+ (+ ?v_159 ?v_16) ?v_227) (- 47)))) (or (and (and (or (not (= (+ ?v_355 ?v_308) (- 57))) (<= (+ ?v_160 ?v_221) (- 85))) (or (<= (+ (+ (+ ?v_85 ?v_537) ?v_168) ?v_161) 20) (<= (+ (+ (+ ?v_494 ?v_162) ?v_163) ?v_187) 53))) (and (<= (+ ?v_164 ?v_165) (- 93)) (not (= ?v_543 0)))) (or (and (or (= (+ ?v_170 ?v_30) (- 43)) (<= (+ (+ ?v_188 ?v_166) ?v_542) 74)) (or (>= (+ (+ (+ ?v_167 ?v_365) ?v_168) ?v_292) 85) (= (+ (+ (+ ?v_169 ?v_170) ?v_171) ?v_739) (- 4)))) (and (and (>= (+ ?v_466 ?v_172) 10) (> (+ (+ (+ ?v_173 ?v_113) ?v_65) ?v_379) 0)) (or (>= (+ ?v_412 ?v_174) (- 11)) (< (+ ?v_175 ?v_753) 0)))))) (and (or (or (and (<= (+ (+ (+ ?v_143 ?v_176) ?v_141) ?v_657) 0) (= (+ (+ (+ ?v_177 ?v_234) ?v_102) ?v_573) 30)) (or (or (< (+ (+ (+ ?v_178 ?v_154) ?v_179) ?v_579) 0) (< (+ (+ ?v_296 ?v_388) ?v_156) 64)) (or (not (= (+ (+ (+ ?v_479 ?v_293) ?v_545) ?v_242) 90)) (> (+ (+ ?v_183 ?v_100) ?v_180) (- 27))))) (and (and (>= (+ (+ (+ ?v_190 ?v_13) ?v_181) ?v_44) 79) (and (= (+ (+ (+ ?v_182 ?v_532) ?v_343) ?v_58) (- 1)) (not (= (+ (+ (+ ?v_183 ?v_184) ?v_185) ?v_186) (- 6))))) (and (or (< (+ (+ (+ ?v_182 ?v_176) ?v_254) ?v_264) 76) (not (= (+ ?v_102 ?v_187) 9))) (< (+ (+ ?v_188 ?v_201) ?v_189) (- 11))))) (or (= ?v_449 15) (<= (+ ?v_190 ?v_191) 0))))) (and (or (and (= (+ (+ ?v_198 ?v_149) ?v_192) 0) (or (<= (+ (+ ?v_315 ?v_193) ?v_341) 0) (= (+ (+ (+ ?v_175 ?v_279) ?v_194) ?v_72) 69))) (or (or (< ?v_295 (- 62)) (< (+ (+ ?v_24 ?v_238) ?v_306) 7)) (or (>= (+ (+ (+ ?v_108 ?v_6) ?v_65) ?v_195) (- 35)) (= (+ ?v_196 ?v_197) (- 18))))) (and (or (<= (+ ?v_328 ?v_198) 47) (>= (+ (+ ?v_291 ?v_32) ?v_199) (- 98))) (and (and (>= (+ (+ (+ ?v_200 ?v_710) ?v_201) ?v_202) 0) (not (= (+ ?v_243 ?v_192) 86))) (not (= (+ ?v_203 ?v_425) 69)))))) (and (or (or (and (or (not (= (+ (+ ?v_428 ?v_204) ?v_31) 0)) (>= (+ (+ (* (- 79) ?x1) ?v_565) ?v_205) 0)) (or (and (>= (+ (+ ?v_206 ?v_5) ?v_153) (- 83)) (= (+ (+ (+ ?v_183 ?v_320) ?v_534) ?v_337) 44)) (or (<= (+ (+ ?v_711 ?v_164) ?v_344) 80) (>= (+ (+ ?v_177 ?v_3) ?v_207) (- 74))))) (and (or (and (and (> (+ ?v_145 ?v_194) 62) (> (+ (+ ?v_208 ?v_209) ?v_210) (- 7))) (or (<= (+ (+ (+ ?v_24 ?v_427) ?v_521) ?v_211) (- 12)) (> (+ (+ ?v_212 ?v_213) ?v_326) (- 64)))) (and (or (>= (+ (+ (+ ?v_394 ?v_276) ?v_322) ?v_396) 37) (< (+ (+ (+ ?v_214 ?v_219) ?v_215) ?v_741) (- 77))) (> (+ (+ (+ ?v_216 ?v_95) ?v_217) ?v_218) 0))) (and (or (and (not (= (+ (+ (+ ?v_301 ?v_219) ?v_222) ?v_324) 0)) (<= (+ (+ (+ ?v_220 ?v_221) ?v_222) ?v_693) 0)) (and (>= (+ (+ ?v_175 ?v_413) ?v_610) 0) (<= (+ (+ (+ ?v_169 ?v_219) ?v_223) ?v_38) 0))) (and (and (not (= (+ (+ ?v_570 ?v_224) ?v_592) 0)) (< (+ (+ ?v_501 ?v_225) ?v_226) 76)) (or (>= (+ ?v_227 ?v_241) 76) (not (= (+ ?v_228 ?v_362) 17))))))) (or (or (and (and (and (not (= (+ ?v_229 ?v_230) 0)) (>= (+ (+ (+ ?v_200 ?v_231) ?v_232) ?v_410) (- 17))) (>= (+ ?v_564 ?v_246) 76)) (or (or (>= (+ (+ (+ ?v_233 ?v_234) ?v_164) ?v_260) 0) (> (+ (+ ?v_235 ?v_236) ?v_286) 35)) (< (+ ?v_170 ?v_156) (- 20)))) (and (or (and (and (>= ?v_262 (- 95)) (> (+ (+ ?v_125 ?v_237) ?v_238) 57)) (and (>= (+ (+ ?v_554 ?v_76) ?v_284) 67) (<= (+ (+ (+ ?v_78 ?v_519) ?v_239) ?v_251) (- 1)))) (or (= (+ (+ ?v_86 ?v_215) ?v_716) (- 90)) (not (= (+ (+ ?v_137 ?v_148) ?v_240) 0)))) (or (and (or (< (+ ?v_706 ?v_241) (- 77)) (= (+ (+ ?v_144 ?v_524) ?v_242) 92)) (or (< (+ (+ ?v_756 ?v_317) ?v_444) 0) (> (+ (+ (+ ?v_35 ?v_243) ?v_223) ?v_115) 9))) (and (and (> (+ (+ (+ ?v_385 ?v_258) ?v_244) ?v_245) 0) (<= (+ (+ ?v_261 ?v_654) ?v_161) (- 82))) (= (+ (+ ?v_100 ?v_46) ?v_272) 72))))) (and (or (or (>= (+ (+ ?v_283 ?v_482) ?v_348) 79) (not (= ?v_128 (- 6)))) (and (> (+ (+ ?v_298 ?v_246) ?v_247) 0) (< (+ (+ (+ ?v_281 ?v_248) ?v_369) ?v_516) 94))) (or (or (and (and (= (+ (+ (+ ?v_249 ?v_563) ?v_302) ?v_697) 0) (< (+ (+ ?v_650 ?v_109) ?v_130) (- 17))) (not (= (+ (+ ?v_122 ?v_462) ?v_686) 0))) (or (or (= (+ (+ ?v_250 ?v_361) ?v_251) 0) (> (+ (+ ?v_26 ?v_628) ?v_27) 0)) (and (<= (+ (+ (+ ?v_252 ?v_620) ?v_253) ?v_123) (- 85)) (= (+ (+ ?v_159 ?v_254) ?v_255) (- 91))))) (or (or (>= (+ (+ ?v_59 ?v_256) ?v_776) 0) (= (+ (+ (+ ?v_423 ?v_231) ?v_257) ?v_205) 51)) (and (or (<= (+ ?v_258 ?v_420) (- 31)) (not (= (+ (+ ?v_389 ?v_259) ?v_619) (- 96)))) (and (<= (+ ?v_526 ?v_117) 11) (< (+ (+ (+ ?v_104 ?v_45) ?v_222) ?v_260) (- 20))))))))) (and (or (or (>= (+ ?v_261 ?v_262) (- 29)) (or (>= (+ (+ (+ ?v_110 ?v_170) ?v_562) ?v_263) 0) (> (+ (+ (+ ?v_250 ?v_356) ?v_51) ?v_772) 17))) (or (or (> (+ (+ ?v_231 ?v_280) ?v_264) (- 1)) (< (+ (+ ?v_505 ?v_434) ?v_46) (- 59))) (or (<= (+ (+ ?v_182 ?v_80) ?v_738) 0) (<= (+ (+ ?v_552 ?v_12) ?v_244) 0)))) (or (or (< (+ ?v_559 ?v_265) (- 35)) (= (+ (+ ?v_282 ?v_266) ?v_245) 0)) (and (>= (+ ?v_440 ?v_130) (- 62)) (not (= (+ (+ (+ ?v_267 ?v_660) ?v_615) ?v_268) (- 96))))))))) (or (and (or (and (and (or (and (and (not (= (+ (+ ?v_188 ?v_336) ?v_164) (- 36))) (not (= (+ (+ ?v_751 ?v_148) ?v_268) (- 39)))) (or (> (+ ?v_134 ?v_633) 0) (> (+ (+ (+ ?v_405 ?v_477) ?v_269) ?v_612) 0))) (or (and (> (+ (+ ?v_360 ?v_546) ?v_196) 0) (= (+ ?v_270 ?v_140) 0)) (or (< (+ ?v_271 ?v_272) 0) (>= (+ (+ (+ ?v_85 ?v_273) ?v_707) ?v_274) (- 38))))) (or (> ?v_118 0) (and (< (+ (+ ?v_275 ?v_276) ?v_25) 16) (<= (+ (+ ?v_190 ?v_0) ?v_352) 0)))) (or (and (or (and (> (+ (+ ?v_703 ?v_204) ?v_617) 0) (<= (+ (+ ?v_277 ?v_278) ?v_161) (- 1))) (and (not (= (+ (+ ?v_10 ?v_374) ?v_408) (- 66))) (not (= (+ (+ ?v_279 ?v_280) ?v_30) (- 90))))) (or (and (not (= (+ (+ (+ ?v_281 ?v_276) ?v_402) ?v_464) (- 60))) (> (+ (+ ?v_282 ?v_495) ?v_138) 87)) (or (not (= (+ (+ ?v_283 ?v_284) ?v_736) 9)) (not (= (+ (+ (+ ?v_78 ?v_722) ?v_285) ?v_286) 30))))) (or (>= (+ (+ ?v_287 ?v_288) ?v_202) (- 68)) (or (> (+ ?v_0 (* (- 33) ?x3)) 17) (> (+ (+ ?v_289 ?v_181) ?v_290) (- 70)))))) (or (or (and (or (<= (+ (+ (+ ?v_755 ?v_291) ?v_627) ?v_292) 6) (< (+ ?v_293 ?v_246) (- 35))) (or (< (+ (+ (+ ?v_94 ?v_294) ?v_201) ?v_187) 73) (>= (+ ?v_299 ?v_273) 73))) (and (or (and (<= (+ ?v_618 ?v_436) 83) (> (+ (+ (+ ?v_416 ?v_414) ?v_626) ?v_376) 0)) (and (>= (+ (+ (+ ?v_98 ?v_86) ?v_29) ?v_44) 46) (< (+ ?v_296 ?v_201) 0))) (or (= (+ (+ (+ ?v_10 ?v_60) ?v_8) ?v_268) (- 72)) (>= (+ (+ (+ ?v_10 ?v_146) ?v_430) ?v_205) 0)))) (and (or (and (= (+ (+ ?v_159 ?v_279) ?v_372) 42) (not (= (+ ?v_297 ?v_12) 0))) (and (not (= (+ (+ ?v_160 ?v_163) ?v_74) (- 55))) (< (+ (+ ?v_295 ?v_298) ?v_648) 73))) (or (and (and (<= (+ (+ ?v_299 (* 29 ?x2)) ?v_300) 59) (<= (+ (+ (+ ?v_301 ?v_777) ?v_302) ?v_303) (- 70))) (and (> (+ (+ ?v_304 ?v_401) ?v_572) 3) (> (+ (+ (+ ?v_305 ?v_6) ?v_550) ?v_306) 0))) (and (not (= (+ (+ ?v_307 ?v_158) ?v_308) 0)) (>= (+ ?v_704 ?v_309) 0)))))) (or (or (or (or (or (> (+ (+ (+ ?v_310 ?v_311) ?v_171) ?v_312) (- 28)) (not (= (+ ?v_35 ?v_117) 0))) (or (or (>= (+ ?v_313 ?v_678) (- 56)) (>= (+ ?v_243 ?v_68) (- 23))) (> (+ (+ (+ ?v_602 ?v_126) ?v_181) ?v_153) 35))) (and (or (or (not (= (+ ?v_59 ?v_725) 0)) (not (= (+ (+ (+ ?v_200 ?v_350) ?v_314) ?v_22) 60))) (and (> (+ (+ (+ ?v_315 ?v_12) ?v_280) ?v_647) 0) (= (+ (+ (+ ?v_101 ?v_316) ?v_317) ?v_318) (- 37)))) (or (or (<= (+ (+ ?v_77 ?v_225) ?v_319) (- 76)) (not (= (+ (+ ?v_220 ?v_320) ?v_107) (- 54)))) (or (>= (+ ?v_321 ?v_642) 40) (> (+ (+ (+ ?v_438 ?v_512) ?v_321) ?v_189) 0))))) (or (and (and (or (> (+ ?v_322 ?v_323) 0) (<= (+ (+ (+ ?v_674 ?v_237) ?v_280) ?v_324) 11)) (and (< (+ (+ ?v_325 ?v_346) ?v_187) (- 95)) (not (= (+ (+ (+ ?v_139 ?v_131) ?v_238) ?v_326) 45)))) (and (and (> (+ (+ ?v_387 ?v_509) ?v_327) 0) (> (+ (+ ?v_214 ?v_236) ?v_319) 0)) (and (>= (+ (+ ?v_328 ?v_329) ?v_330) 64) (< (+ (+ (+ (* (- 18) ?x1) ?v_294) ?v_380) ?v_251) 0)))) (or (and (or (and (> (+ ?v_392 ?v_515) (- 13)) (= (+ (+ (+ ?v_331 ?v_332) ?v_41) ?v_245) (- 87))) (and (= (+ (+ ?v_297 ?v_333) ?v_334) 24) (> (+ (+ ?v_325 ?v_418) ?v_327) (- 70)))) (or (or (not (= (+ (+ (+ ?v_335 ?v_336) ?v_681) ?v_337) 0)) (< (+ (+ ?v_98 ?v_158) ?v_338) 25)) (and (not (= (+ (+ ?v_339 ?v_644) ?v_340) 5)) (>= (+ ?v_483 ?v_309) (- 59))))) (and (and (or (< (+ (+ (+ ?v_82 ?v_1) ?v_341) ?v_19) 79) (= (+ (+ ?v_747 ?v_228) ?v_342) (- 84))) (<= (+ (+ ?v_182 ?v_62) ?v_61) 68)) (and (not (= (+ ?v_298 ?v_343) 9)) (or (> (+ (+ ?v_325 ?v_353) ?v_344) 44) (not (= (+ (+ ?v_77 ?v_536) ?v_91) 56)))))))) (or (and (and (and (or (not (= (+ ?v_291 ?v_27) 6)) (and (< (+ (+ ?v_345 ?v_109) ?v_74) (- 41)) (< (+ (+ ?v_233 ?v_346) ?v_323) 82))) (or (or (< ?v_222 13) (>= (+ (+ ?v_282 ?v_347) ?v_348) 64)) (or (= (+ (+ ?v_305 ?v_349) ?v_171) (- 87)) (<= (+ ?v_350 ?v_419) 0)))) (and (not (= (+ ?v_26 ?v_259) 56)) (and (not (= (+ ?v_178 ?v_507) 27)) (< (+ (+ ?v_154 ?v_330) ?v_435) 70)))) (and (and (or (<= ?v_533 (- 85)) (= ?v_331 0)) (= (+ (+ ?v_631 ?v_351) ?v_352) 15)) (or (and (not (= (+ ?v_335 ?v_568) (- 9))) (not (= (+ ?v_104 ?v_227) (- 75)))) (or (> (+ (+ ?v_353 ?v_217) ?v_187) 0) (> (+ ?v_544 (* 75 ?x4)) 0))))) (or (or (or (or (or (not (= (+ (+ ?v_583 ?v_354) ?v_327) 0)) (= (+ (+ ?v_355 ?v_41) ?v_746) (- 75))) (or (not (= (+ (+ ?v_356 ?v_357) ?v_138) (- 61))) (> (+ (+ (+ ?v_523 ?v_154) ?v_447) ?v_358) (- 40)))) (or (>= (+ ?v_148 ?v_73) 10) (>= (+ (+ ?v_359 ?v_100) ?v_520) 4))) (or (and (and (< (+ (+ ?v_35 ?v_60) ?v_487) (- 32)) (> (+ ?v_360 ?v_302) 68)) (and (>= (+ (+ ?v_366 ?v_361) ?v_362) 79) (>= (+ (+ ?v_304 ?v_363) ?v_147) (- 86)))) (or (and (> (+ (+ (+ ?v_383 ?v_320) (* (- 34) ?x3)) ?v_364) (- 79)) (< (+ (+ ?v_315 ?v_321) ?v_621) (- 32))) (not (= ?v_365 (- 78)))))) (and (and (> (+ (+ ?v_486 ?v_210) ?v_61) (- 82)) (not (= (+ (+ (+ ?v_366 ?v_593) ?v_629) ?v_614) (- 94)))) (or (<= (+ (+ ?v_237 ?v_367) ?v_207) 62) (and (<= (+ (+ ?v_368 ?v_384) ?v_369) 56) (<= (+ (+ ?v_81 ?v_370) ?v_371) (- 28))))))))) (and (or (and (and (or (and (and (< (+ (+ (+ ?v_216 ?v_6) ?v_372) ?v_558) 0) (not (= (+ ?v_353 ?v_373) (- 63)))) (= (+ ?v_584 ?v_340) 18)) (and (and (= ?v_58 74) (< (+ (+ (+ ?v_453 ?v_374) ?v_147) ?v_342) 0)) (or (> (+ (+ ?v_375 ?v_510) ?v_303) 0) (>= (+ (+ (+ ?v_485 ?v_361) ?v_314) ?v_376) 64)))) (and (and (or (and (and (< (+ (+ ?v_377 ?v_127) ?v_404) 46) (< (+ ?v_288 ?v_312) 0)) (or (> (+ (+ ?v_496 ?v_13) ?v_371) 0) (< (+ (+ ?v_173 ?v_378) ?v_195) 0))) (or (or (> (+ (+ ?v_122 ?v_60) ?v_379) (- 87)) (>= (+ (+ ?v_173 ?v_349) ?v_15) 58)) (and (not (= (+ (+ (+ ?v_299 ?v_291) ?v_57) ?v_72) (- 27))) (<= (+ (+ ?v_13 ?v_380) ?v_381) (- 7))))) (or (and (and (<= (+ ?v_213 ?v_382) (- 70)) (>= (+ (+ ?v_406 ?v_380) ?v_358) (- 56))) (and (>= (+ (+ ?v_39 ?v_761) ?v_340) 40) (>= (+ (+ ?v_383 ?v_384) (* 70 ?x3)) (- 77)))) (or (>= (+ (+ ?v_385 ?v_69) ?v_381) 76) (<= (+ (+ ?v_672 ?v_347) ?v_551) 0)))) (and (or (or (< (+ (+ (+ ?v_386 ?v_387) ?v_388) ?v_75) 58) (= (+ ?v_167 ?v_690) 63)) (or (<= (+ (+ (+ ?v_282 ?v_389) ?v_372) ?v_390) (- 75)) (not (= (+ (+ ?v_468 ?v_391) ?v_318) 26)))) (and (or (= (+ (+ ?v_392 ?v_605) ?v_373) 42) (<= (+ (+ ?v_662 ?v_393) ?v_481) 0)) (and (<= (+ (+ ?v_394 ?v_480) ?v_29) 0) (> (+ (+ (+ ?v_9 ?v_95) ?v_262) ?v_342) (- 25))))))) (or (and (and (and (= (+ ?v_11 ?v_218) 0) (or (>= (+ (+ ?v_304 ?v_395) ?v_396) (- 14)) (> (+ (+ ?v_39 ?v_397) ?v_459) 20))) (and (and (or (<= (+ ?v_119 ?v_398) (- 4)) (= (+ (+ ?v_448 ?v_455) ?v_399) 0)) (not (= (+ (+ ?v_11 ?v_185) ?v_535) 95))) (and (<= (+ (+ (+ ?v_400 ?v_351) ?v_57) ?v_344) 0) (or (< (+ ?v_332 ?v_401) 61) (<= (+ ?v_151 ?v_402) (- 97)))))) (and (not (= (+ (+ (+ ?v_78 ?v_374) ?v_309) ?v_241) 0)) (and (and (not (= (+ ?v_403 ?v_15) (- 1))) (and (> (+ (+ (+ ?v_685 ?v_454) ?v_244) ?v_404) 0) (> (+ (+ ?v_339 ?v_145) ?v_317) 0))) (and (and (>= ?v_42 16) (not (= (+ ?v_442 ?v_429) (- 63)))) (<= (+ (+ (+ ?v_405 ?v_258) ?v_25) ?v_461) 30))))) (or (or (and (or (> (+ (+ ?v_214 ?v_166) ?v_185) 29) (= (+ (+ (+ ?v_639 ?v_406) ?v_407) ?v_342) 57)) (not (= (+ (+ ?v_175 ?v_107) ?v_260) 12))) (and (or (<= (+ (+ ?v_86 ?v_450) ?v_408) (- 90)) (> (+ (+ ?v_17 ?v_470) ?v_432) (- 28))) (and (<= (+ (+ (+ ?v_594 ?v_409) ?v_244) ?v_590) 0) (not (= (+ (+ ?v_183 ?v_231) ?v_87) 0))))) (and (and (or (< (+ (+ ?v_64 ?v_67) ?v_410) (- 5)) (<= (+ (+ ?v_406 ?v_15) ?v_411) (- 9))) (and (not (= (+ (+ (+ ?v_412 ?v_236) ?v_238) ?v_197) 83)) (< (+ ?v_413 ?v_308) 79))) (and (and (not (= (+ (+ ?v_175 ?v_414) ?v_415) 0)) (< (+ (+ (+ ?v_416 ?v_676) ?v_441) ?v_417) (- 11))) (> (+ (+ ?v_418 ?v_239) ?v_417) 0)))))) (and (or (and (and (or (< (+ (+ ?v_82 ?v_467) ?v_419) 49) (< (+ (+ (+ ?v_200 ?v_750) ?v_51) ?v_734) 0)) (and (< (+ ?v_231 ?v_373) 10) (>= (+ ?v_420 ?v_608) 91))) (or (< (+ (+ ?v_421 ?v_422) ?v_138) 16) (or (< (+ ?v_601 ?v_381) 34) (> (+ (+ ?v_279 ?v_388) ?v_93) 0)))) (and (or (or (<= (+ (+ ?v_304 ?v_585) ?v_529) (- 55)) (> (+ (+ (+ ?v_423 ?v_148) ?v_424) ?v_425) (- 45))) (and (>= (+ (+ (+ ?v_433 ?v_762) ?v_228) ?v_426) (- 92)) (not (= (+ (+ ?v_427 ?v_80) ?v_75) 66)))) (and (or (= (+ ?v_587 ?v_382) 0) (not (= (+ (+ (+ ?v_428 ?v_307) ?v_636) ?v_202) (- 51)))) (or (not (= (+ (+ (+ ?v_144 ?v_429) ?v_430) ?v_97) 54)) (not (= (+ ?v_431 ?v_694) 57)))))) (and (or (and (or (>= (+ (+ ?v_511 ?v_432) ?v_19) (- 71)) (not (= (+ (+ (+ ?v_433 ?v_434) ?v_223) ?v_435) (- 57)))) (or (< (+ (+ ?v_320 ?v_436) ?v_274) 97) (<= (+ ?v_522 ?v_517) (- 1)))) (or (and (or (= (+ ?v_437 ?v_352) 45) (= (+ ?v_330 ?v_337) (- 81))) (>= (+ (+ ?v_475 (* (- 67) ?x3)) ?v_272) 0)) (and (or (= ?v_715 (- 63)) (< (+ (+ ?v_440 ?v_84) ?v_91) (- 98))) (and (>= (+ (+ ?v_293 ?v_171) ?v_186) 0) (not (= (+ (+ ?v_103 ?v_441) ?v_54) 0)))))) (or (and (<= (+ (+ ?v_442 ?v_460) ?v_324) 27) (>= (+ (+ ?v_39 ?v_443) ?v_444) (- 14))) (< (+ ?v_445 ?v_763) (- 35)))))) (and (or (or (or (or (or (or (<= (+ (+ ?v_446 ?v_447) ?v_358) 48) (< (+ (+ ?v_416 ?v_732) ?v_698) 67)) (<= (+ (+ (+ ?v_448 ?v_449) ?v_450) ?v_89) 98)) (or (or (< (+ ?v_451 ?v_153) (- 98)) (= (+ (+ ?v_403 ?v_198) ?v_452) (- 84))) (or (= (+ (+ ?v_453 ?v_427) ?v_673) 96) (> (+ (+ (+ ?v_212 ?v_454) ?v_455) ?v_456) (- 52))))) (and (or (or (or (< (+ (+ ?v_237 ?v_682) ?v_457) (- 38)) (<= (+ (+ ?v_354 ?v_51) ?v_211) (- 61))) (or (> (+ (+ (+ ?v_458 ?v_695) ?v_395) ?v_459) 0) (>= (+ ?v_385 ?v_684) (- 5)))) (and (or (< (+ (+ ?v_299 ?v_460) ?v_152) 82) (= (+ ?v_233 ?v_461) 0)) (and (<= (+ (+ ?v_212 ?v_455) ?v_340) (- 19)) (= ?v_280 (- 94))))) (and (or (or (> (+ ?v_768 ?v_462) (- 78)) (not (= (+ (+ (+ ?v_35 ?v_493) ?v_71) ?v_274) 12))) (and (>= (+ ?v_503 ?v_123) 70) (not (= (+ (+ (+ (* (- 81) ?x1) ?v_113) ?v_463) ?v_464) (- 84))))) (or (or (> (+ (+ ?v_92 ?v_465) ?v_205) 0) (> (+ (+ ?v_466 ?v_613) ?v_575) 0)) (or (< (+ (+ ?v_467 ?v_402) ?v_396) (- 29)) (> (+ ?v_468 ?v_569) 0)))))) (or (or (and (or (and (<= (+ (+ ?v_216 ?v_469) ?v_227) (- 91)) (< (+ (+ (+ ?v_325 ?v_470) ?v_395) ?v_471) 0)) (or (> (+ ?v_472 ?v_473) (- 36)) (> (+ (+ ?v_125 ?v_384) ?v_474) 0))) (and (or (<= (+ (+ ?v_475 ?v_476) ?v_390) 44) (<= (+ (+ ?v_212 ?v_477) ?v_478) 50)) (or (< (+ (+ ?v_479 ?v_480) ?v_372) 0) (> (+ (+ (+ ?v_183 ?v_720) ?v_34) ?v_22) 27)))) (or (or (or (not (= ?v_285 75)) (= (+ (+ ?v_10 ?v_341) ?v_481) 0)) (and (< (+ ?v_117 ?v_461) 0) (< (+ (+ ?v_233 ?v_490) ?v_257) (- 2)))) (or (and (< (+ (+ ?v_110 ?v_434) ?v_34) (- 56)) (not (= (+ (+ (+ ?v_78 ?v_525) ?v_482) ?v_70) (- 12)))) (and (<= (+ (+ ?v_560 ?v_483) ?v_484) 53) (>= (+ (+ (+ ?v_485 ?v_311) ?v_314) ?v_444) (- 50)))))) (or (or (or (or (<= (+ ?v_460 ?v_207) 29) (< (+ (+ (* (- 77) ?x2) ?v_227) ?v_435) (- 68))) (or (= (+ (+ (+ ?v_486 ?v_320) ?v_239) ?v_487) 0) (= (+ (+ ?v_733 ?v_488) ?v_48) 0))) (or (and (< (+ (+ ?v_489 ?v_421) ?v_171) (- 23)) (< (+ (+ (+ ?v_82 ?v_283) ?v_25) ?v_22) 88)) (or (>= (+ (+ (+ ?v_81 ?v_490) ?v_491) ?v_165) 82) (>= (+ (+ (+ ?v_125 ?v_506) ?v_492) ?v_123) (- 83))))) (or (and (or (= (+ ?v_493 ?v_323) 0) (<= (+ (+ ?v_494 ?v_495) ?v_68) 83)) (or (not (= (+ (+ ?v_216 ?v_100) ?v_447) (- 12))) (< (+ ?v_386 ?v_652) 88))) (and (<= (+ (+ (+ ?v_623 ?v_387) ?v_388) ?v_303) 6) (and (= (+ (+ ?v_496 ?v_497) ?v_498) 0) (not (= (+ ?v_773 ?v_306) (- 3))))))))) (or (and (and (and (and (> (+ ?v_353 ?v_115) (- 67)) (not (= (+ (+ ?v_206 ?v_645) ?v_499) 0))) (and (and (= (+ (+ (+ ?v_667 ?v_273) ?v_284) ?v_264) 77) (< (+ (+ (+ ?v_500 ?v_501) ?v_204) ?v_435) 0)) (= (+ (+ (+ ?v_502 ?v_503) ?v_775) ?v_138) (- 63)))) (or (or (<= (+ (+ (+ ?v_301 ?v_311) ?v_51) ?v_404) 75) (> (+ (+ ?v_486 ?v_311) ?v_18) (- 82))) (or (>= (+ (+ ?v_527 ?v_361) ?v_450) 0) (= (+ (+ ?v_289 ?v_432) ?v_504) (- 57))))) (or (or (and (and (= (+ ?v_505 ?v_60) 0) (> (+ (+ ?v_235 ?v_421) ?v_691) 0)) (or (> (+ (+ (+ ?v_250 ?v_198) ?v_549) ?v_399) 0) (= (+ (+ (+ ?v_731 ?v_506) ?v_34) ?v_487) 86))) (or (and (>= (+ (+ ?v_6 ?v_507) ?v_218) 31) (< (+ (+ (+ ?v_47 ?v_176) ?v_508) ?v_342) 82)) (and (>= (+ (+ (+ ?v_359 ?v_350) ?v_497) ?v_364) (- 26)) (>= (+ (+ ?v_603 ?v_509) ?v_323) (- 77))))) (and (and (and (> (+ (+ ?v_406 ?v_510) ?v_161) 0) (not (= (+ (+ ?v_159 ?v_209) ?v_624) (- 30)))) (>= (+ (+ (+ ?v_125 ?v_76) ?v_450) ?v_260) 0)) (and (and (= (+ (+ (+ ?v_511 ?v_512) ?v_171) ?v_156) 0) (= (+ (+ ?v_17 ?v_513) ?v_399) 83)) (and (not (= (+ (+ (+ ?v_177 ?v_514) ?v_726) ?v_515) 93)) (<= (+ (+ (+ ?v_233 ?v_157) ?v_201) ?v_516) (- 97))))))) (and (or (and (or (and (<= ?v_162 (- 79)) (< (+ (+ (+ ?v_328 ?v_16) ?v_517) ?v_518) 0)) (and (> (+ (+ ?v_169 ?v_519) ?v_520) 75) (= (+ (+ (+ ?v_101 ?v_11) ?v_521) ?v_340) (- 64)))) (or (not (= (+ (+ (+ ?v_581 ?v_283) ?v_18) ?v_504) 0)) (<= (+ ?v_696 ?v_522) (- 54)))) (and (or (> (+ (+ (+ ?v_523 ?v_12) ?v_524) ?v_382) 95) (= (+ (+ (+ ?v_42 ?v_525) ?v_492) ?v_153) (- 15))) (or (<= ?v_574 (- 90)) (= (+ (+ (+ ?v_526 ?v_429) ?v_346) ?v_464) 42)))) (or (or (>= (+ ?v_656 ?v_32) 34) (or (> (+ (+ ?v_527 ?v_181) ?v_189) 59) (= (+ (+ (+ ?v_528 ?v_429) ?v_529) ?v_530) (- 81)))) (and (= (+ ?v_531 ?v_84) 0) (or (>= (+ ?v_403 ?v_532) 97) (> ?v_235 (- 40)))))))) (or (or (or (and (or (or (or (< (+ ?v_533 ?v_240) (- 11)) (>= (+ (+ (+ ?v_360 ?v_460) ?v_8) ?v_338) (- 77))) (or (<= (+ (+ ?v_470 ?v_534) ?v_474) (- 46)) (>= (+ (+ (+ ?v_328 ?v_406) ?v_168) ?v_535) 55))) (or (or (> (+ (+ ?v_548 ?v_184) ?v_340) 0) (< (+ (+ (+ ?v_366 ?v_113) ?v_424) ?v_382) 0)) (not (= (+ (+ ?v_49 ?v_351) ?v_257) 0)))) (and (or (>= (+ (+ ?v_125 ?v_60) ?v_499) (- 44)) (= (+ (+ ?v_505 ?v_536) ?v_114) 93)) (or (not (= (+ (+ ?v_124 ?v_79) ?v_666) 0)) (> (+ (+ ?v_252 ?v_228) ?v_189) 14)))) (or (and (and (or (not (= (+ (+ ?v_505 ?v_53) ?v_222) 63)) (<= (+ (+ ?v_134 ?v_421) ?v_245) (- 28))) (or (>= (+ ?v_537 ?v_322) (- 29)) (= (+ (+ (+ ?v_52 ?v_699) ?v_538) ?v_643) (- 16)))) (and (< (+ (+ ?v_445 ?v_238) ?v_539) (- 98)) (or (< (+ ?v_24 ?v_540) (- 65)) (> (+ (+ ?v_541 ?v_60) ?v_542) 0)))) (or (<= (+ ?v_640 ?v_284) (- 4)) (or (<= (+ (+ (+ ?v_10 ?v_522) ?v_321) ?v_464) 0) (< (+ (+ ?v_500 ?v_543) ?v_20) (- 77)))))) (or (or (and (or (or (< (+ (+ (+ ?v_544 ?v_293) ?v_545) ?v_115) 25) (> (+ ?v_335 ?v_546) 0)) (and (< (+ (+ (+ ?v_453 ?v_307) ?v_521) ?v_96) 0) (not (= (+ (+ ?v_745 ?v_664) ?v_432) (- 51))))) (and (and (< (+ ?v_216 ?v_350) 0) (>= (+ (+ (+ ?v_423 ?v_243) ?v_217) ?v_547) 91)) (and (>= (+ (+ (+ ?v_548 ?v_533) ?v_455) ?v_58) 49) (>= (+ (+ ?v_438 ?v_549) ?v_464) 22)))) (and (and (or (<= (+ (+ (+ ?v_400 ?v_546) ?v_357) ?v_189) 98) (= (+ (+ ?v_526 ?v_480) ?v_48) (- 7))) (or (not (= (+ (+ ?v_383 ?v_550) ?v_515) 66)) (not (= (+ (+ (+ ?v_116 ?v_389) ?v_357) ?v_770) (- 90))))) (and (>= (+ (+ (+ ?v_77 ?v_413) ?v_102) ?v_597) 82) (and (< (+ (+ ?v_282 ?v_203) ?v_168) 0) (< (+ (+ (+ ?v_359 ?v_261) ?v_164) ?v_551) 0))))) (and (or (or (and (<= (+ (+ (+ ?v_552 ?v_514) ?v_553) ?v_30) 5) (<= (+ (+ ?v_554 ?v_555) ?v_576) (- 70))) (and (not (= (+ (+ (+ ?v_313 ?v_556) ?v_288) ?v_456) (- 42))) (< (+ ?v_557 ?v_465) 1))) (and (> (+ ?v_278 ?v_459) 95) (not (= (+ (+ ?v_175 ?v_538) ?v_268) 0)))) (or (or (not (= (+ (+ ?v_125 ?v_533) ?v_558) (- 76))) (> (+ (+ ?v_281 ?v_145) ?v_376) 8)) (or (< (+ (+ ?v_559 ?v_429) ?v_327) 73) (not (= (+ (+ (+ ?v_94 ?v_103) ?v_25) ?v_473) (- 22)))))))) (and (and (or (and (or (>= (+ (+ ?v_560 ?v_480) ?v_89) (- 11)) (and (> (+ (+ (+ ?v_561 ?v_13) ?v_562) ?v_371) 0) (= (+ (+ ?v_287 ?v_131) ?v_402) 0))) (and (or (= (+ (+ ?v_182 ?v_437) ?v_411) 0) (< (+ (+ ?v_563 ?v_550) ?v_714) 13)) (or (> (+ (+ (+ ?v_81 ?v_126) ?v_658) ?v_130) 78) (>= (+ (+ (+ ?v_281 ?v_564) ?v_651) ?v_547) 79)))) (or (and (= (+ ?v_5 ?v_518) 9) (< (+ (+ ?v_252 ?v_193) ?v_347) (- 71))) (or (or (not (= (+ (+ (+ ?v_101 ?v_565) ?v_102) ?v_408) 96)) (<= ?v_106 29)) (<= (+ (+ ?v_144 ?v_546) ?v_15) 0)))) (or (and (or (and (<= (+ (+ ?v_485 ?v_28) ?v_379) (- 22)) (>= (+ (+ ?v_17 ?v_418) ?v_194) 34)) (and (<= (+ ?v_269 ?v_264) (- 79)) (> (+ ?v_566 ?v_204) 24))) (or (> (+ (+ ?v_377 ?v_354) ?v_149) 53) (or (not (= (+ (+ ?v_42 ?v_522) ?v_19) 45)) (>= (+ ?v_53 ?v_765) 43)))) (or (and (or (not (= (+ (+ ?v_173 ?v_567) ?v_568) (- 72))) (= (+ ?v_412 ?v_569) 65)) (or (= (+ (+ ?v_570 ?v_393) ?v_740) 65) (= (+ (+ (+ ?v_9 ?v_634) ?v_343) ?v_571) (- 52)))) (and (< (+ ?v_494 ?v_369) (- 62)) (and (< (+ ?v_414 ?v_161) 34) (> (+ (+ (+ ?v_500 ?v_243) ?v_314) ?v_153) (- 66))))))) (and (and (and (and (and (<= (+ (+ ?v_233 ?v_311) ?v_572) 74) (not (= (+ (+ (+ ?v_737 ?v_111) ?v_67) ?v_573) (- 21)))) (or (= (+ (+ ?v_574 ?v_567) ?v_346) 65) (>= ?v_249 (- 47)))) (and (< (+ ?v_392 ?v_57) 49) (not (= (+ (+ (+ ?v_121 ?v_63) ?v_147) ?v_255) 0)))) (and (< (+ (+ ?v_392 ?v_567) ?v_204) 0) (not (= (+ (+ (+ ?v_124 ?v_641) ?v_452) ?v_318) 15)))) (and (or (or (or (> (+ ?v_315 ?v_506) (- 87)) (<= (+ (+ ?v_77 ?v_270) ?v_510) 74)) (and (< (+ (+ ?v_270 ?v_575) ?v_75) 0) (>= (+ ?v_227 ?v_576) 16))) (or (and (not (= (+ (+ ?v_536 ?v_508) ?v_577) 39)) (>= (+ (+ ?v_675 ?v_356) ?v_571) (- 26))) (= (+ (+ ?v_503 ?v_476) ?v_97) 75))) (or (and (or (> (+ ?v_482 ?v_404) 0) (<= (+ (+ (+ ?v_578 ?v_556) ?v_204) ?v_272) (- 31))) (or (< (+ (+ ?v_151 ?v_215) ?v_260) 0) (= (+ (+ (+ ?v_428 ?v_148) ?v_424) ?v_456) 0))) (and (or (>= (+ (+ ?v_92 ?v_321) ?v_579) (- 95)) (<= (+ (+ ?v_580 ?v_291) ?v_677) 95)) (and (<= (+ (+ (+ ?v_4 ?v_103) ?v_309) ?v_381) (- 13)) (<= ?v_581 (- 88))))))))))))) (or (and (or (or (and (and (and (or (and (> ?v_262 0) (>= (+ (+ ?v_582 ?v_508) ?v_382) (- 74))) (and (not (= (+ (+ (+ ?v_486 ?v_157) ?v_759) ?v_115) (- 75))) (> (+ (+ (+ ?v_368 ?v_131) ?v_278) ?v_723) 0))) (and (or (or (not (= (+ (+ ?v_583 ?v_584) ?v_507) (- 46))) (<= (+ ?v_585 ?v_586) (- 93))) (or (= (+ (+ (+ ?v_49 ?v_587) ?v_246) ?v_255) 99) (= (+ (+ ?v_588 ?v_86) ?v_25) (- 75)))) (and (or (>= (+ (+ ?v_532 ?v_589) ?v_245) 67) (= (+ (+ (+ ?v_212 ?v_100) ?v_341) ?v_590) 30)) (or (not (= (+ (+ ?v_119 ?v_270) ?v_194) 89)) (= (+ (+ ?v_10 ?v_239) ?v_138) 93))))) (or (and (and (and (= (+ (+ ?v_445 ?v_591) ?v_592) (- 96)) (> (+ (+ (+ ?v_541 ?v_593) ?v_538) ?v_358) (- 4))) (and (< ?v_356 (- 32)) (> (+ (+ (+ ?v_594 ?v_587) ?v_595) ?v_596) (- 28)))) (or (and (= (+ ?v_166 ?v_597) 81) (> (+ (+ ?v_133 ?v_34) ?v_245) 68)) (or (>= (+ (+ (+ ?v_212 ?v_512) ?v_262) ?v_598) 0) (>= (+ ?v_447 ?v_207) 0)))) (or (or (>= (+ ?v_229 ?v_205) 1) (>= (+ (+ (+ ?v_599 ?v_611) ?v_402) ?v_600) (- 92))) (or (or (< (+ ?v_301 ?v_601) 7) (not (= (+ (+ (+ ?v_602 ?v_296) ?v_317) ?v_616) 0))) (or (<= (+ (+ ?v_603 ?v_163) ?v_408) (- 24)) (= (+ (+ ?v_14 ?v_604) ?v_33) (- 69))))))) (or (and (and (or (and (= (+ ?v_171 ?v_712) 42) (< (+ (+ (+ ?v_335 ?v_605) ?v_606) ?v_153) (- 47))) (and (<= (+ (+ ?v_219 ?v_607) ?v_272) 0) (> (+ (+ ?v_485 ?v_683) ?v_608) (- 82)))) (and (>= (+ ?v_609 ?v_195) (- 56)) (and (< (+ (+ (+ ?v_85 ?v_493) ?v_610) ?v_390) (- 80)) (<= (+ ?v_553 ?v_435) 0)))) (or (and (not (= (+ (+ (+ ?v_101 ?v_611) ?v_18) ?v_338) 48)) (<= (+ ?v_341 ?v_612) (- 85))) (and (>= (+ (+ (+ ?v_581 ?v_613) ?v_595) ?v_614) 34) (> (+ (+ ?v_122 ?v_432) ?v_138) 0)))) (or (or (and (and (< (+ (+ (+ ?v_39 ?v_543) ?v_615) ?v_577) 34) (< (+ (+ (+ ?v_275 ?v_234) ?v_357) ?v_616) 4)) (or (>= (+ (+ ?v_84 ?v_372) ?v_91) (- 74)) (> (+ (+ ?v_599 ?v_757) ?v_617) 47))) (and (or (<= (+ ?v_143 ?v_454) 0) (< (+ ?v_493 ?v_83) (- 41))) (>= (+ (+ (+ ?v_216 ?v_490) ?v_262) ?v_487) 28))) (or (and (< (+ (+ ?v_9 ?v_127) ?v_181) 16) (> (+ ?v_586 ?v_260) 18)) (or (or (>= (+ (+ ?v_10 ?v_129) ?v_411) 0) (> (+ (+ ?v_618 ?v_5) ?v_498) 98)) (and (>= (+ (+ ?v_53 ?v_322) ?v_22) 0) (> (+ (+ ?v_173 ?v_176) ?v_619) (- 91)))))))) (and (or (or (and (and (and (>= (+ ?v_440 ?v_248) 0) (>= (+ ?v_276 ?v_114) 0)) (or (= (+ (+ ?v_423 ?v_620) ?v_621) 33) (= (+ (+ ?v_622 ?v_294) ?v_32) 93))) (or (and (= (+ (+ (+ ?v_623 ?v_514) ?v_430) ?v_186) 84) (< (+ (+ (+ ?v_177 ?v_601) ?v_624) ?v_197) 76)) (and (not (= (+ (+ ?v_511 ?v_224) ?v_38) 0)) (< (+ (+ ?v_625 ?v_749) ?v_69) (- 59))))) (and (and (and (not (= (+ (+ ?v_486 ?v_53) ?v_455) 0)) (> (+ (+ ?v_428 ?v_100) ?v_342) 74)) (and (= (+ (+ (+ ?v_9 ?v_480) ?v_626) ?v_142) 75) (<= (+ (+ (+ ?v_9 ?v_333) ?v_627) ?v_579) (- 87)))) (and (and (= (+ (+ ?v_345 ?v_162) ?v_181) 60) (< (+ (+ ?v_493 ?v_452) ?v_542) (- 62))) (or (not (= (+ (+ ?v_671 ?v_628) ?v_629) 0)) (not (= (+ (+ (+ ?v_655 ?v_127) ?v_227) ?v_138) 0)))))) (or (and (<= (+ ?v_135 ?v_435) (- 72)) (> (+ (+ (+ ?v_229 ?v_162) ?v_278) ?v_54) 14)) (or (or (and (< (+ (+ (+ ?v_160 ?v_128) ?v_562) ?v_21) 97) (< (+ (+ ?v_630 ?v_418) ?v_51) 76)) (or (not (= (+ (+ (+ ?v_631 ?v_591) ?v_257) ?v_473) 0)) (< (+ ?v_34 ?v_632) 55))) (or (< (+ (+ ?v_110 ?v_563) ?v_633) (- 35)) (= (+ (+ (+ ?v_104 ?v_543) ?v_46) ?v_474) 59))))) (or (and (or (and (<= ?v_423 (- 46)) (< (+ ?v_424 ?v_621) 0)) (and (< (+ (+ ?v_560 ?v_634) ?v_204) 0) (not (= (+ ?v_625 ?v_635) (- 6))))) (or (or (= ?v_636 35) (<= (+ (+ ?v_216 ?v_637) ?v_596) (- 49))) (and (not (= ?v_638 (- 75))) (= (+ ?v_639 ?v_503) (- 16))))) (or (or (and (and (<= (+ ?v_640 ?v_155) 0) (< (+ (+ ?v_339 ?v_641) ?v_642) (- 77))) (<= (+ (+ (+ ?v_502 ?v_427) ?v_222) ?v_61) (- 22))) (and (or (> (+ (+ (+ ?v_177 ?v_353) ?v_432) ?v_616) (- 22)) (>= (+ (+ ?v_24 ?v_181) ?v_643) 67)) (or (= (+ (+ (+ ?v_26 ?v_644) ?v_524) ?v_187) 96) (< (+ (+ (+ ?v_249 ?v_537) ?v_645) ?v_376) (- 83))))) (and (and (< (+ (+ (+ ?v_668 ?v_1) ?v_378) ?v_264) 0) (>= (+ (+ ?v_394 ?v_222) ?v_105) (- 29))) (and (or (not (= (+ (+ (+ ?v_646 ?v_135) ?v_380) ?v_459) 0)) (< (+ ?v_304 ?v_717) 91)) (and (<= (+ (+ (+ ?v_405 ?v_634) ?v_629) ?v_647) 0) (> (+ ?v_648 ?v_255) 77)))))))) (or (and (and (or (and (and (> (+ (+ (+ ?v_599 ?v_307) ?v_150) ?v_473) 45) (> (+ (+ ?v_154 ?v_288) (* (- 39) ?x4)) 21)) (not (= (+ (+ ?v_275 ?v_702) ?v_592) 0))) (and (or (not (= (+ ?v_9 ?v_293) 42)) (< (+ ?v_665 ?v_192) (- 83))) (and (= (+ (+ ?v_458 ?v_649) ?v_422) 71) (< (+ ?v_15 ?v_596) 19)))) (or (and (or (= (+ (+ ?v_650 ?v_651) ?v_600) 0) (> (+ (+ (+ ?v_159 ?v_375) ?v_201) ?v_263) (- 99))) (> ?v_316 11)) (or (> (+ (+ ?v_266 ?v_343) ?v_518) (- 64)) (and (> (+ (+ (+ ?v_638 ?v_536) ?v_652) ?v_207) 0) (= (+ (+ ?v_386 ?v_135) ?v_112) 65))))) (and (and (> (+ (+ ?v_653 ?v_654) ?v_2) 57) (>= (+ (+ (+ ?v_655 ?v_656) ?v_549) ?v_657) (- 95))) (and (and (not (= (+ ?v_658 ?v_290) 0)) (> ?v_384 (- 19))) (or (= (+ (+ ?v_144 ?v_728) ?v_497) (- 39)) (not (= (+ (+ ?v_687 ?v_316) (* 77 ?x4)) 50)))))) (and (and (or (and (and (and (> (+ ?v_386 ?v_106) (- 7)) (<= (+ (+ ?v_169 ?v_374) ?v_637) 0)) (< (+ (+ ?v_483 ?v_141) ?v_612) 0)) (and (or (> (+ (+ ?v_229 ?v_146) ?v_659) 74) (= (+ (+ ?v_175 ?v_198) ?v_550) 69)) (or (>= (+ (+ ?v_353 ?v_285) ?v_461) 34) (<= (+ ?v_660 ?v_661) 0)))) (and (>= (+ (+ ?v_175 ?v_409) ?v_215) 0) (> (+ (+ (+ ?v_662 ?v_266) ?v_635) ?v_535) (- 1)))) (and (and (and (or (>= (+ (+ ?v_339 ?v_370) ?v_138) 0) (>= (+ (+ ?v_528 ?v_641) ?v_692) 19)) (and (<= (+ (+ ?v_104 ?v_422) ?v_40) (- 33)) (<= (+ (+ (+ ?v_403 ?v_483) ?v_34) ?v_74) 27))) (or (> (+ ?v_77 ?v_265) (- 75)) (< (+ (+ ?v_767 ?v_343) ?v_614) 0))) (and (or (and (= (+ (+ (+ ?v_101 ?v_266) ?v_69) ?v_326) 60) (= (+ (+ ?v_663 ?v_12) ?v_300) (- 75))) (or (= (+ (+ (+ ?v_101 ?v_664) ?v_32) ?v_342) (- 12)) (> (+ ?v_366 ?v_76) 92))) (or (< (+ ?v_81 ?v_117) 0) (<= (+ (+ (+ ?v_527 ?v_501) ?v_529) ?v_760) 17))))) (and (and (and (or (and (>= (+ (+ ?v_103 ?v_227) ?v_290) 0) (<= (+ ?v_742 ?v_558) 0)) (and (>= (+ ?v_82 ?v_298) 0) (= (+ (+ (+ ?v_355 ?v_79) ?v_680) ?v_106) (- 72)))) (<= (+ (+ (+ ?v_583 ?v_522) ?v_402) ?v_352) 84)) (or (or (or (= ?v_632 42) (not (= ?v_471 41))) (> (+ (+ ?v_574 ?v_223) ?v_247) (- 27))) (and (and (>= (+ (+ ?v_281 ?v_651) ?v_647) 0) (not (= (+ (+ ?v_468 ?v_640) ?v_666) 56))) (and (not (= (+ (+ (+ ?v_412 ?v_743) ?v_346) ?v_542) 0)) (<= (+ (+ (+ ?v_489 ?v_413) ?v_232) ?v_130) 0))))) (and (or (and (not (= (+ (+ (+ ?v_667 ?v_593) ?v_407) ?v_326) (- 57))) (<= (+ (+ (+ ?v_668 ?v_669) ?v_586) ?v_568) (- 97))) (or (or (> (+ (+ ?v_299 ?v_563) ?v_657) (- 16)) (not (= (+ (+ ?v_670 ?v_605) ?v_30) (- 64)))) (or (> (+ (+ (+ ?v_355 ?v_533) ?v_430) ?v_539) 17) (not (= (+ (+ ?v_670 ?v_151) ?v_197) 0))))) (or (or (or (> (+ ?v_386 ?v_413) 26) (> (+ ?v_81 ?v_493) 29)) (< (+ ?v_143 ?v_350) 70)) (and (<= (+ (+ (+ ?v_667 ?v_151) ?v_150) ?v_21) (- 58)) (<= (+ (+ (+ ?v_671 ?v_111) ?v_451) ?v_68) (- 67))))))))) (and (and (or (and (or (or (and (or (= (+ (+ (+ ?v_557 ?v_118) ?v_55) ?v_197) 45) (<= (+ ?v_360 ?v_666) 15)) (<= (+ (+ ?v_672 ?v_656) ?v_373) 14)) (or (or (= (+ (+ (+ ?v_559 ?v_641) ?v_673) ?v_89) 72) (> (+ (+ ?v_400 ?v_493) ?v_517) (- 61))) (and (> (+ (+ ?v_674 ?v_213) ?v_524) 38) (not (= (+ (+ (+ ?v_433 ?v_60) ?v_729) ?v_54) 29))))) (and (or (and (<= (+ (+ (+ ?v_580 ?v_16) ?v_420) ?v_579) 69) (>= (+ (+ (+ ?v_675 ?v_256) ?v_309) ?v_74) 0)) (or (not (= (+ (+ (+ ?v_77 ?v_374) ?v_450) ?v_348) 0)) (> (+ (+ ?v_85 ?v_329) ?v_88) (- 88)))) (and (and (>= (+ (+ (+ ?v_496 ?v_676) ?v_677) ?v_515) 0) (<= (+ ?v_56 ?v_90) 0)) (and (< (+ (+ (+ ?v_638 ?v_3) ?v_510) ?v_678) 67) (<= (+ ?v_301 ?v_120) (- 51)))))) (and (or (and (and (>= (+ (+ (+ ?v_159 ?v_679) ?v_680) ?v_96) (- 38)) (>= (+ (+ ?v_511 ?v_234) ?v_590) 0)) (and (>= (+ (+ (+ ?v_392 ?v_384) ?v_681) ?v_89) 76) (> (+ (+ ?v_121 ?v_587) ?v_435) (- 76)))) (and (or (<= (+ ?v_713 ?v_721) 3) (> (+ (+ ?v_554 ?v_225) ?v_306) 35)) (and (>= (+ ?v_550 ?v_417) 0) (< (+ (+ ?v_208 ?v_3) ?v_682) 58)))) (or (or (> (+ (+ (+ ?v_282 ?v_683) ?v_520) ?v_684) 99) (>= (+ ?v_672 ?v_221) (- 71))) (and (< (+ ?v_685 ?v_686) (- 44)) (<= ?v_508 (- 37)))))) (or (or (or (and (or (= (+ ?v_109 ?v_286) 96) (not (= (+ ?v_407 ?v_93) (- 43)))) (or (> (+ ?v_685 ?v_463) (- 40)) (not (= (+ (+ ?v_135 ?v_288) ?v_91) (- 34))))) (or (or (> (+ ?v_282 ?v_93) 98) (< ?v_594 16)) (and (not (= (+ (+ ?v_24 ?v_279) ?v_280) 17)) (> (+ (+ (+ ?v_687 ?v_664) ?v_688) ?v_530) (- 43))))) (and (>= (+ (+ (+ ?v_653 ?v_12) ?v_181) ?v_396) 97) (and (< (+ (+ (+ ?v_214 ?v_1) ?v_478) ?v_487) (- 56)) (not (= (+ ?v_276 ?v_596) (- 69)))))) (or (<= (+ ?v_583 ?v_68) 29) (= ?v_216 (- 37))))) (and (and (or (or (and (and (> (+ (+ ?v_689 ?v_393) ?v_338) 68) (= (+ ?v_271 ?v_401) 18)) (< (+ (+ ?v_605 ?v_46) ?v_539) 76)) (and (or (> (+ ?v_313 ?v_156) (- 61)) (<= (+ (+ (+ ?v_440 ?v_418) ?v_575) ?v_344) 0)) (or (< (+ (+ (+ ?v_650 ?v_79) ?v_343) ?v_211) (- 41)) (< (+ ?v_700 ?v_691) 10)))) (or (or (= (+ ?v_483 ?v_415) (- 70)) (not (= (+ (+ (+ ?v_574 ?v_333) ?v_437) ?v_308) 63))) (or (and (< (+ (+ ?v_160 ?v_692) ?v_693) (- 41)) (<= (+ (+ (+ ?v_125 ?v_556) ?v_309) ?v_471) 18)) (and (= (+ (+ ?v_50 ?v_181) ?v_306) 42) (< (+ (+ ?v_442 ?v_649) ?v_346) (- 65)))))) (or (and (<= (+ (+ (+ ?v_531 ?v_694) ?v_397) ?v_263) (- 18)) (<= (+ (+ ?v_548 ?v_452) ?v_597) 0)) (and (= (+ (+ ?v_315 ?v_695) ?v_174) 60) (>= (+ (+ ?v_560 ?v_99) ?v_138) 0)))) (or (or (and (and (> (+ (+ (+ ?v_85 ?v_429) ?v_378) ?v_708) (- 51)) (= (+ (+ ?v_169 ?v_157) ?v_451) 50)) (< (+ (+ (+ ?v_531 ?v_117) ?v_508) ?v_719) 67)) (and (or (> (+ (+ ?v_696 ?v_546) ?v_292) (- 42)) (= (+ (+ (+ ?v_574 ?v_271) ?v_254) ?v_61) 0)) (and (<= (+ (+ (+ ?v_639 ?v_483) ?v_688) ?v_697) 68) (>= (+ ?v_151 ?v_520) 37)))) (and (>= (+ (+ ?v_462 ?v_80) ?v_698) (- 95)) (<= ?v_604 (- 4)))))) (or (or (and (or (or (= (+ (+ (+ ?v_653 ?v_470) ?v_562) ?v_89) 42) (= (+ (+ ?v_287 ?v_556) ?v_321) (- 18))) (not (= (+ (+ (+ ?v_167 ?v_656) ?v_210) ?v_678) 75))) (or (and (or (<= (+ ?v_112 ?v_38) 47) (< (+ (+ ?v_143 ?v_699) ?v_510) 0)) (and (= (+ ?v_86 ?v_589) 0) (not (= (+ (+ ?v_700 ?v_508) ?v_425) (- 24))))) (and (or (>= (+ (+ ?v_188 ?v_656) ?v_30) (- 8)) (>= (+ (+ ?v_169 ?v_117) ?v_504) (- 26))) (and (<= (+ (+ (+ ?v_754 ?v_11) ?v_380) ?v_202) 41) (= (+ ?v_63 ?v_473) 0))))) (or (and (or (and (not (= (+ (+ ?v_144 ?v_244) ?v_362) 9)) (> (+ (+ (+ ?v_433 ?v_701) ?v_288) ?v_568) (- 3))) (or (= (+ (+ (+ ?v_139 ?v_634) ?v_55) ?v_138) (- 88)) (= (+ (+ ?v_298 ?v_201) ?v_189) 5))) (and (or (> (+ (+ (+ ?v_345 ?v_170) ?v_141) ?v_255) 57) (= ?v_236 0)) (or (< (+ (+ ?v_295 ?v_66) ?v_196) 97) (< (+ ?v_310 ?v_45) 10)))) (and (and (and (> (+ (+ ?v_668 ?v_50) ?v_492) 39) (> (+ (+ ?v_702 ?v_140) ?v_352) 66)) (>= (+ (+ ?v_703 ?v_380) ?v_272) (- 5))) (and (or (> (+ ?v_387 ?v_627) 54) (<= (+ (+ ?v_454 ?v_254) ?v_324) (- 10))) (or (> (+ ?v_82 ?v_306) (- 54)) (<= (+ (+ (+ ?v_687 ?v_320) ?v_196) ?v_487) 5)))))) (or (or (and (and (and (= (+ ?v_95 ?v_545) 20) (>= (+ (+ ?v_778 ?v_427) ?v_635) 25)) (not (= (+ ?v_704 ?v_718) (- 40)))) (or (and (<= (+ (+ (+ ?v_10 ?v_593) ?v_269) ?v_352) 95) (>= ?v_304 7)) (or (> (+ (+ ?v_705 ?v_1) ?v_55) 0) (< (+ (+ (+ ?v_706 ?v_462) ?v_707) ?v_358) 0)))) (or (or (and (<= (+ (+ (+ ?v_453 ?v_351) ?v_330) ?v_708) 53) (>= (+ (+ ?v_639 ?v_564) ?v_402) 1)) (or (and (>= (+ (+ (+ ?v_485 ?v_56) ?v_450) ?v_396) 22) (not (= (+ (+ ?v_689 ?v_69) ?v_308) 0))) (and (not (= (+ (+ (+ ?v_82 ?v_135) ?v_645) ?v_444) 0)) (= (+ (+ ?v_449 ?v_265) ?v_382) (- 39))))) (and (and (and (>= (+ ?v_239 ?v_342) (- 14)) (<= (+ (+ ?v_104 ?v_285) ?v_535) (- 72))) (and (= ?v_611 33) (< (+ (+ ?v_634 ?v_492) ?v_156) (- 71)))) (and (or (>= (+ (+ (+ ?v_250 ?v_294) ?v_575) ?v_600) 0) (< (+ ?v_117 ?v_709) 82)) (or (<= (+ (+ ?v_710 ?v_372) ?v_342) (- 81)) (< (+ (+ ?v_711 ?v_443) ?v_228) (- 8))))))) (or (or (and (< (+ ?v_506 ?v_25) (- 2)) (= (+ (+ (+ ?v_428 ?v_363) ?v_510) ?v_712) 45)) (or (and (< (+ ?v_675 ?v_361) 0) (not (= (+ ?v_104 ?v_194) (- 6)))) (< (+ (+ ?v_522 ?v_651) ?v_197) 43))) (or (and (or (>= (+ ?v_689 ?v_654) (- 14)) (< (+ (+ ?v_713 ?v_624) ?v_714) 0)) (or (> (+ ?v_550 ?v_324) 0) (<= (+ ?v_95 ?v_341) (- 10)))) (> (+ ?v_387 ?v_758) 0))))))) (and (and (and (and (or (or (or (and (or (< (+ (+ ?v_701 ?v_652) ?v_399) 70) (< (+ ?v_509 ?v_724) 73)) (and (< (+ (+ (+ ?v_134 ?v_715) ?v_497) ?v_27) 52) (>= (+ (+ (+ ?v_47 ?v_585) ?v_455) ?v_598) (- 47)))) (= (+ (+ (+ ?v_249 ?v_679) ?v_451) ?v_255) 48)) (and (and (or (= (+ (+ ?v_392 ?v_60) ?v_716) (- 30)) (< (+ ?v_717 ?v_718) (- 95))) (and (and (= (+ (+ (+ ?v_623 ?v_512) ?v_595) ?v_340) 0) (>= (+ (+ (+ ?v_623 ?v_361) ?v_309) ?v_608) (- 44))) (and (>= (+ ?v_258 ?v_678) (- 44)) (= (+ ?v_108 ?v_27) 0)))) (and (and (> (+ ?v_687 ?v_245) (- 70)) (and (> (+ (+ ?v_295 ?v_100) ?v_719) (- 39)) (> (+ (+ ?v_13 ?v_372) ?v_61) 99))) (and (or (> (+ (+ (+ ?v_696 ?v_1) ?v_637) (* (- 80) ?x4)) 48) (< (+ (+ (+ ?v_561 ?v_702) ?v_680) ?v_106) (- 92))) (or (= (+ (+ (+ ?v_496 ?v_591) ?v_658) ?v_327) 0) (< (+ (+ ?v_720 ?v_721) ?v_324) 0)))))) (or (and (and (and (> (+ (+ (+ ?v_267 ?v_66) ?v_322) ?v_142) 47) (< (+ (+ (+ ?v_235 ?v_213) ?v_253) ?v_226) (- 59))) (or (< (+ (+ ?v_722 ?v_648) ?v_22) (- 8)) (or (<= (+ ?v_182 ?v_253) 20) (< (+ (+ ?v_448 ?v_298) ?v_540) (- 44))))) (and (and (or (<= (+ (+ (+ ?v_139 ?v_462) ?v_451) ?v_647) (- 94)) (not (= (+ (+ ?v_304 ?v_695) ?v_723) 57))) (> (+ ?v_528 ?v_550) (- 85))) (or (>= (+ ?v_519 ?v_659) 40) (< (+ (+ ?v_356 ?v_284) ?v_693) (- 17))))) (or (or (and (<= (+ (+ ?v_483 ?v_46) ?v_724) 27) (or (not (= (+ ?v_17 ?v_19) 42)) (> (+ (+ ?v_412 ?v_298) ?v_457) (- 42)))) (and (and (< (+ (+ ?v_375 ?v_476) ?v_312) 0) (= (+ (+ ?v_178 ?v_36) ?v_217) 0)) (>= (+ (+ (+ ?v_706 ?v_7) ?v_725) ?v_153) (- 62)))) (and (or (and (>= (+ (+ (+ ?v_668 ?v_556) ?v_652) ?v_642) 1) (> (+ ?v_622 ?v_525) (- 93))) (or (> (+ (+ (+ ?v_277 ?v_111) ?v_627) ?v_616) (- 45)) (> (+ (+ (+ ?v_94 ?v_184) ?v_330) ?v_340) 39))) (or (and (<= (+ (+ (+ ?v_631 ?v_3) ?v_726) ?v_247) (- 64)) (>= ?v_727 28)) (and (>= (+ ?v_116 ?v_384) 4) (< (+ (+ ?v_299 ?v_690) ?v_136) (- 68)))))))) (and (or (and (and (or (or (= (+ (+ ?v_206 ?v_395) ?v_659) 0) (<= (+ (+ (+ ?v_267 ?v_320) ?v_562) ?v_268) (- 22))) (and (> (+ (+ (+ ?v_275 ?v_728) ?v_88) ?v_376) 0) (> (+ (+ ?v_333 ?v_729) ?v_712) 0))) (and (and (>= (+ (+ ?v_231 ?v_380) ?v_326) 43) (not (= (+ (+ ?v_730 ?v_484) ?v_165) (- 6)))) (or (<= (+ ?v_36 ?v_18) 8) (>= (+ (+ ?v_731 ?v_732) ?v_180) 4)))) (and (or (> (+ (+ (+ ?v_733 ?v_703) ?v_510) ?v_734) 29) (>= (+ (+ (+ ?v_581 ?v_676) ?v_538) ?v_425) 0)) (or (= (+ (+ ?v_17 ?v_564) ?v_142) (- 30)) (<= (+ ?v_265 ?v_735) (- 27))))) (and (or (or (= (+ ?v_250 ?v_736) 39) (= (+ (+ ?v_110 ?v_103) ?v_89) (- 87))) (or (not (= (+ ?v_281 ?v_641) (- 25))) (not (= ?v_586 0)))) (and (and (<= (+ (+ ?v_668 ?v_519) ?v_407) 0) (not (= (+ (+ ?v_433 ?v_193) ?v_607) 0))) (and (= (+ (+ ?v_737 ?v_415) ?v_189) 3) (not (= (+ (+ ?v_235 ?v_145) ?v_222) 62)))))) (or (and (or (>= (+ (+ (+ ?v_339 ?v_649) ?v_391) ?v_471) (- 2)) (and (<= (+ (+ ?v_316 ?v_691) ?v_303) 0) (>= (+ ?v_124 ?v_306) 0))) (or (or (< (+ ?v_564 ?v_369) 58) (>= (+ (+ ?v_101 ?v_219) ?v_607) 0)) (or (= ?v_140 (- 81)) (> (+ (+ ?v_98 ?v_432) ?v_738) 29)))) (and (and (and (or (< ?v_285 0) (not (= (+ ?v_248 ?v_529) 36))) (and (> (+ (+ (+ ?v_200 ?v_418) ?v_589) ?v_105) 69) (>= (+ ?v_252 ?v_68) (- 74)))) (and (and (> (+ (+ ?v_493 ?v_41) ?v_547) (- 15)) (not (= (+ (+ ?v_331 ?v_100) ?v_586) (- 93)))) (and (>= (+ ?v_389 ?v_364) (- 59)) (<= ?v_672 11)))) (and (and (< (+ (+ (+ ?v_188 ?v_503) ?v_677) ?v_342) 40) (< (+ (+ ?v_98 ?v_109) ?v_21) (- 38))) (and (and (> (+ ?v_494 ?v_660) (- 36)) (>= (+ (+ ?v_500 ?v_334) ?v_739) 16)) (<= (+ ?v_11 ?v_268) (- 60)))))))) (or (and (or (or (or (> (+ (+ ?v_662 ?v_536) ?v_54) 0) (< (+ (+ ?v_685 ?v_63) ?v_269) 19)) (and (= (+ (+ (+ ?v_94 ?v_603) ?v_314) ?v_379) 0) (<= ?v_627 32))) (or (and (= (+ (+ ?v_52 ?v_16) ?v_19) (- 58)) (or (<= (+ (+ ?v_283 ?v_149) ?v_766) 0) (> (+ (+ ?v_406 ?v_549) ?v_303) 11))) (or (or (not (= (+ ?v_737 ?v_318) 0)) (> ?v_560 (- 19))) (or (= (+ ?v_291 ?v_278) (- 69)) (< (+ (+ (+ ?v_78 ?v_14) ?v_740) ?v_417) (- 62)))))) (and (= (+ (+ ?v_198 ?v_432) ?v_741) 35) (or (or (> (+ (+ (+ ?v_190 ?v_669) ?v_482) ?v_724) 0) (< (+ ?v_283 ?v_21) 0)) (and (< (+ ?v_742 ?v_410) 0) (>= (+ (+ ?v_423 ?v_519) ?v_636) 31))))) (or (and (and (or (and (= ?v_67 (- 21)) (not (= (+ (+ (+ ?v_39 ?v_332) ?v_69) ?v_748) 47))) (or (<= (+ ?v_12 ?v_322) (- 45)) (= (+ ?v_377 ?v_243) 54))) (or (and (not (= (+ (+ (+ ?v_639 ?v_113) ?v_463) ?v_411) 0)) (> ?v_188 (- 61))) (and (>= (+ (+ ?v_117 ?v_666) ?v_661) 31) (= (+ (+ (+ ?v_331 ?v_109) ?v_285) ?v_247) (- 51))))) (and (or (> (+ (+ (+ ?v_175 ?v_236) ?v_57) ?v_255) 0) (and (> (+ (+ (+ ?v_35 ?v_694) ?v_452) ?v_456) (- 13)) (>= (+ ?v_343 ?v_348) (- 53)))) (and (<= (+ (+ (+ ?v_403 ?v_743) ?v_726) ?v_186) 38) (or (= (+ (+ (+ ?v_160 ?v_118) ?v_257) ?v_358) 96) (< (+ (+ ?v_116 ?v_532) ?v_257) 82))))) (and (and (or (or (= (+ (+ (+ ?v_289 ?v_488) ?v_158) ?v_600) (- 9)) (> (+ (+ (+ ?v_744 ?v_715) ?v_69) ?v_569) (- 79))) (or (>= (+ (+ ?v_745 ?v_322) ?v_187) 0) (not (= (+ (+ ?v_667 ?v_690) ?v_136) 0)))) (or (and (= (+ (+ ?v_392 ?v_146) ?v_472) (- 60)) (< (+ (+ (+ ?v_39 ?v_76) ?v_436) ?v_579) (- 92))) (= (+ (+ ?v_631 ?v_774) ?v_75) 92))) (and (and (and (not (= (+ (+ ?v_429 ?v_645) ?v_516) (- 88))) (<= (+ (+ ?v_311 ?v_491) ?v_746) 0)) (and (= (+ (+ ?v_266 ?v_15) ?v_736) 51) (not (= (+ (+ (+ ?v_35 ?v_427) ?v_107) ?v_342) (- 19))))) (and (and (not (= (+ (+ (+ ?v_359 ?v_311) ?v_302) ?v_19) 0)) (= (+ (+ ?v_711 ?v_203) ?v_677) 84)) (not (= (+ (+ (+ ?v_433 ?v_13) ?v_534) ?v_769) (- 6))))))))) (or (and (or (or (or (= (+ (+ ?v_445 ?v_103) ?v_654) (- 39)) (not (= (+ ?v_359 ?v_596) 0))) (and (= (+ (+ ?v_527 ?v_413) ?v_595) (- 60)) (>= (+ ?v_59 ?v_621) 97))) (and (and (or (>= ?v_173 94) (>= (+ ?v_305 ?v_292) (- 68))) (and (not (= (+ (+ ?v_85 ?v_478) ?v_264) 18)) (and (= (+ (+ ?v_489 ?v_465) ?v_58) (- 90)) (> (+ (+ ?v_198 ?v_707) ?v_399) (- 37))))) (or (or (and (not (= (+ (+ ?v_747 ?v_465) ?v_748) 59)) (not (= (+ (+ ?v_139 ?v_259) ?v_752) 0))) (and (> (+ ?v_3 ?v_558) (- 7)) (> (+ (+ ?v_311 ?v_278) ?v_735) 32))) (or (and (not (= (+ (+ ?v_668 ?v_109) ?v_698) 47)) (< (+ ?v_468 ?v_682) (- 71))) (or (= (+ (+ (+ ?v_9 ?v_12) ?v_171) ?v_697) (- 9)) (> (+ (+ (+ ?v_561 ?v_634) ?v_99) ?v_426) 86)))))) (and (or (and (> (+ (+ (+ ?v_489 ?v_749) ?v_55) ?v_617) 81) (not (= (+ (+ ?v_486 (* (- 62) ?x3)) ?v_573) (- 75)))) (>= (+ (+ ?v_101 ?v_750) ?v_569) (- 11))) (and (and (or (= (+ (+ (+ ?v_687 ?v_60) ?v_150) ?v_693) 0) (or (>= (+ (+ ?v_679 ?v_201) ?v_633) (- 32)) (<= (+ (+ ?v_506 ?v_372) ?v_535) 0))) (and (and (= (+ (+ ?v_662 ?v_135) ?v_344) 90) (< (+ ?v_751 ?v_285) (- 50))) (or (not (= (+ (+ (+ ?v_212 ?v_363) ?v_343) ?v_27) (- 46))) (>= (+ (+ ?v_366 ?v_591) ?v_535) 0)))) (and (and (<= (+ (+ ?v_121 ?v_493) ?v_239) 41) (> (+ (+ ?v_559 ?v_294) ?v_478) (- 6))) (> (+ (+ (+ ?v_59 ?v_656) ?v_636) ?v_633) (- 67)))))) (and (and (and (and (or (or (>= (+ (+ (+ ?v_403 ?v_644) ?v_302) ?v_362) 1) (<= (+ (+ ?v_144 ?v_454) ?v_652) (- 48))) (>= (+ ?v_295 ?v_158) (- 2))) (or (and (not (= (+ (+ ?v_39 ?v_222) ?v_155) 0)) (< (+ ?v_349 ?v_38) 46)) (and (< (+ (+ ?v_363 ?v_430) ?v_245) 58) (> (+ ?v_544 ?v_647) (- 49))))) (or (and (> (+ ?v_380 ?v_31) 90) (> (+ (+ (+ ?v_85 ?v_641) ?v_589) ?v_693) 9)) (or (> (+ (+ (+ ?v_214 ?v_543) ?v_357) ?v_558) 0) (<= (+ (+ (+ ?v_159 ?v_605) ?v_65) ?v_114) 62)))) (or (or (< (+ (+ ?v_200 ?v_356) ?v_27) 46) (not (= (+ (+ ?v_154 ?v_673) ?v_752) 95))) (> (+ (+ ?v_640 ?v_492) ?v_189) (- 87)))) (or (and (or (and (or (not (= (+ ?v_111 ?v_164) (- 97))) (or (<= (+ (+ (+ ?v_281 ?v_601) ?v_29) ?v_753) 32) (not (= (+ (+ ?v_584 ?v_450) ?v_616) 78)))) (and (and (< (+ ?v_754 ?v_545) 0) (= (+ ?v_671 ?v_44) 0)) (or (not (= (+ (+ ?v_755 ?v_111) ?v_450) 66)) (>= (+ (+ (+ ?v_560 ?v_224) ?v_232) ?v_19) (- 80))))) (or (and (not (= (+ (+ (+ ?v_502 ?v_756) ?v_492) ?v_473) (- 19))) (not (= (+ (+ ?v_602 ?v_149) ?v_327) 0))) (or (and (>= (+ (+ ?v_728 ?v_513) ?v_381) (- 86)) (= (+ ?v_667 ?v_702) 0)) (> (+ ?v_638 ?v_525) 50)))) (or (and (and (or (<= (+ (+ ?v_733 ?v_688) ?v_156) 68) (< (+ (+ ?v_139 ?v_356) ?v_99) 0)) (< (+ (+ ?v_277 ?v_219) ?v_497) 13)) (and (not (= (+ (+ ?v_458 ?v_210) ?v_303) 20)) (= (+ (+ ?v_14 ?v_757) ?v_697) (- 27)))) (and (<= (+ (+ ?v_580 ?v_374) ?v_31) (- 67)) (or (and (not (= (+ ?v_59 ?v_512) (- 81))) (<= (+ (+ (+ ?v_580 ?v_279) ?v_80) ?v_632) (- 79))) (and (<= ?v_490 (- 10)) (>= (+ (+ (+ ?v_655 ?v_443) ?v_648) ?v_192) 28)))))) (and (or (and (= (+ (+ (+ ?v_394 ?v_603) ?v_65) ?v_592) 80) (> (+ ?v_7 ?v_46) 0)) (and (>= (+ (+ (+ ?v_78 ?v_620) ?v_758) ?v_342) (- 20)) (not (= (+ (+ ?v_281 ?v_537) ?v_538) (- 15))))) (or (or (or (> (+ ?v_745 ?v_710) 86) (> (+ (+ ?v_7 ?v_41) ?v_411) 86)) (= (+ (+ ?v_42 ?v_141) ?v_576) 0)) (and (and (not (= (+ (+ ?v_565 ?v_484) ?v_93) 0)) (<= (+ ?v_131 ?v_388) 3)) (or (= (+ ?v_336 ?v_499) 72) (>= (+ (+ (+ ?v_705 ?v_439) ?v_322) ?v_498) 0))))))))) (and (or (and (or (or (and (or (and (or (not (= (+ (+ (+ ?v_479 ?v_266) ?v_682) ?v_72) 12)) (>= (+ (+ (+ ?v_496 ?v_525) ?v_635) ?v_396) 88)) (not (= (+ (+ ?v_13 ?v_636) ?v_481) 0))) (or (not (= ?v_66 (- 25))) (and (> (+ (+ ?v_237 ?v_759) ?v_186) 0) (>= (+ ?v_544 ?v_481) 94)))) (or (or (and (>= (+ ?v_594 ?v_96) (- 32)) (not (= (+ (+ (+ ?v_745 ?v_519) ?v_441) ?v_306) 6))) (< (+ (+ (+ ?v_689 ?v_294) ?v_476) ?v_760) 91)) (or (and (>= (+ ?v_552 ?v_11) (- 20)) (< (+ (+ (+ ?v_653 ?v_113) ?v_761) ?v_268) 0)) (or (= (+ (+ (+ ?v_295 ?v_351) ?v_25) ?v_218) (- 43)) (< (+ (+ (+ ?v_208 ?v_467) ?v_232) ?v_719) 94))))) (and (or (= (+ ?v_762 ?v_73) (- 100)) (<= (+ (+ (+ ?v_609 ?v_593) ?v_626) ?v_763) (- 22))) (or (or (= (+ (+ ?v_578 ?v_336) ?v_168) (- 69)) (>= (+ ?v_453 ?v_436) 0)) (and (= (+ (+ (+ ?v_299 ?v_154) ?v_553) ?v_189) (- 99)) (>= (+ (+ ?v_764 ?v_765) ?v_245) 64))))) (or (and (or (and (< (+ ?v_730 ?v_616) (- 23)) (< (+ (+ ?v_650 ?v_654) ?v_327) (- 95))) (and (not (= (+ (+ (+ ?v_583 ?v_418) ?v_729) ?v_515) 20)) (> (+ (+ ?v_500 ?v_118) ?v_579) (- 79)))) (or (or (and (not (= (+ (+ (+ ?v_737 ?v_50) ?v_682) ?v_264) 90)) (not (= (+ (+ (+ ?v_299 ?v_283) ?v_509) ?v_659) (- 51)))) (< (+ (+ ?v_282 ?v_258) ?v_286) (- 71))) (and (and (< (+ (+ ?v_252 ?v_213) ?v_530) (- 98)) (not (= (+ (+ ?v_304 ?v_228) ?v_718) 45))) (or (= (+ (+ ?v_638 ?v_506) ?v_766) (- 67)) (>= (+ (+ ?v_295 ?v_680) ?v_518) 94))))) (and (or (or (and (= (+ (+ ?v_480 ?v_185) ?v_115) 80) (not (= (+ (+ (+ ?v_160 ?v_449) ?v_210) ?v_382) 60))) (and (< (+ (+ (+ ?v_77 ?v_503) ?v_57) ?v_724) 0) (> (+ (+ ?v_116 ?v_525) ?v_398) (- 81)))) (and (or (= (+ (+ ?v_544 ?v_363) ?v_70) 0) (not (= (+ (+ ?v_11 ?v_215) ?v_199) 33))) (and (>= (+ (+ ?v_767 ?v_341) ?v_643) 94) (<= (+ ?v_665 ?v_684) 98)))) (and (and (< (+ (+ (+ ?v_301 ?v_279) ?v_422) ?v_735) 76) (< (+ ?v_124 ?v_636) (- 62))) (or (<= (+ (+ ?v_588 ?v_240) ?v_255) (- 12)) (and (not (= (+ ?v_552 ?v_135) (- 78))) (not (= (+ (+ ?v_653 ?v_135) ?v_558) 84)))))))) (and (or (and (or (> (+ ?v_98 ?v_100) 0) (<= (+ (+ (+ ?v_216 ?v_111) ?v_437) ?v_444) (- 94))) (<= (+ (+ ?v_557 ?v_443) ?v_415) (- 33))) (and (or (or (> (+ (+ ?v_154 ?v_521) ?v_518) (- 100)) (= (+ (+ (+ ?v_445 ?v_100) ?v_88) ?v_114) 87)) (and (< (+ (+ ?v_405 ?v_148) ?v_396) 7) (not (= (+ (+ ?v_585 ?v_729) ?v_165) (- 94))))) (and (= (+ (+ ?v_313 ?v_757) ?v_746) 0) (not (= (+ (+ (+ ?v_751 ?v_316) ?v_321) ?v_97) (- 69)))))) (and (or (<= (+ (+ ?v_182 ?v_56) ?v_171) (- 33)) (< (+ (+ ?v_743 ?v_691) ?v_577) 49)) (and (and (>= (+ (+ ?v_625 ?v_652) ?v_255) (- 71)) (or (> (+ ?v_11 ?v_70) (- 76)) (>= (+ (+ (+ ?v_630 ?v_84) ?v_29) ?v_504) (- 20)))) (and (or (> (+ ?v_304 ?v_318) (- 40)) (> (+ ?v_552 ?v_579) (- 88))) (and (< (+ (+ ?v_670 ?v_333) ?v_141) (- 92)) (> (+ (+ (+ ?v_466 ?v_351) ?v_463) ?v_241) (- 76)))))))) (and (or (and (or (or (and (and (< (+ (+ (+ ?v_77 ?v_162) ?v_25) ?v_93) 34) (>= (+ (+ ?v_405 ?v_467) ?v_476) 37)) (and (> (+ ?v_281 ?v_99) 21) (< (+ ?v_636 ?v_226) 0))) (and (<= (+ (+ (+ ?v_173 ?v_203) ?v_196) ?v_68) (- 24)) (> (+ (+ (+ ?v_768 ?v_493) ?v_627) ?v_719) 65))) (and (and (and (= (+ (+ ?v_310 ?v_439) ?v_218) (- 40)) (not (= (+ (+ ?v_81 ?v_217) ?v_659) 18))) (or (not (= (+ (+ ?v_505 ?v_634) ?v_197) (- 54))) (> ?v_279 0))) (<= ?v_127 35))) (or (and (or (>= (+ (+ (+ ?v_448 ?v_213) ?v_25) ?v_153) 0) (>= (+ ?v_591 ?v_504) 0)) (or (= ?v_58 (- 87)) (< (+ ?v_703 ?v_535) 43))) (or (or (>= (+ (+ ?v_77 ?v_389) ?v_372) 0) (> (+ (+ (+ ?v_328 ?v_209) ?v_65) ?v_712) (- 22))) (or (< (+ (+ (+ ?v_173 ?v_166) ?v_55) ?v_760) (- 47)) (not (= (+ (+ (+ ?v_190 ?v_439) ?v_484) ?v_417) 0)))))) (and (and (and (and (or (> (+ ?v_216 ?v_240) (- 84)) (not (= (+ (+ (+ ?v_737 ?v_443) ?v_637) ?v_404) 78))) (or (>= (+ (+ ?v_756 ?v_465) ?v_590) 61) (< (+ (+ ?v_10 ?v_15) ?v_647) (- 26)))) (and (and (> (+ (+ ?v_301 ?v_462) ?v_569) (- 24)) (= (+ ?v_279 ?v_257) 0)) (and (>= (+ (+ (+ ?v_81 ?v_641) ?v_334) ?v_661) (- 20)) (<= (+ (+ ?v_674 ?v_333) ?v_558) (- 85))))) (or (and (or (<= (+ (+ (+ ?v_696 ?v_109) ?v_380) ?v_753) (- 67)) (not (= (+ (+ ?v_52 ?v_217) ?v_93) 63))) (<= (+ (+ ?v_506 ?v_645) ?v_417) (- 3))) (and (> (+ ?v_623 ?v_97) 11) (<= ?v_769 0)))) (and (or (>= (+ (+ ?v_393 ?v_343) ?v_643) 52) (not (= (+ (+ (+ ?v_687 ?v_111) ?v_681) ?v_571) (- 60)))) (or (and (>= (+ (+ (+ ?v_505 ?v_546) ?v_246) ?v_770) 0) (or (> (+ (+ ?v_133 ?v_564) ?v_142) 0) (<= (+ (+ ?v_45 ?v_637) ?v_70) 8))) (and (and (> (+ (+ ?v_638 ?v_519) ?v_284) 0) (<= (+ (+ (+ ?v_125 ?v_536) ?v_80) ?v_712) 5)) (and (not (= (+ (+ (+ ?v_49 ?v_703) ?v_67) ?v_255) 84)) (not (= (+ (+ ?v_675 ?v_171) ?v_709) (- 33))))))))) (or (and (and (or (or (= (+ ?v_177 ?v_427) 63) (not (= (+ ?v_593 ?v_589) 0))) (< ?v_765 (- 14))) (and (or (= (+ ?v_313 ?v_382) (- 75)) (< (+ (+ ?v_127 ?v_452) ?v_723) 55)) (or (< (+ ?v_640 ?v_55) (- 35)) (>= (+ (+ (+ ?v_771 ?v_329) ?v_757) ?v_197) 67)))) (or (and (and (and (<= (+ (+ ?v_468 ?v_140) ?v_218) 98) (<= (+ (+ (+ ?v_561 ?v_536) ?v_372) ?v_114) (- 70))) (and (< (+ ?v_449 ?v_734) 0) (> (+ (+ (+ ?v_638 ?v_710) ?v_688) ?v_753) 0))) (and (> (+ (+ ?v_24 ?v_644) ?v_397) 41) (= (+ (+ ?v_438 ?v_329) ?v_309) 24))) (or (and (and (< (+ (+ (+ (* 5 ?x1) ?v_628) ?v_529) ?v_738) 25) (not (= (+ (+ ?v_276 ?v_673) (* 35 ?x4)) 84))) (or (not (= (+ (+ ?v_442 ?v_131) ?v_334) 21)) (>= (+ (+ (+ ?v_394 ?v_585) ?v_284) ?v_161) 49))) (or (<= (+ ?v_750 ?v_772) 0) (< (+ (+ (+ ?v_104 ?v_384) ?v_372) ?v_417) (- 53)))))) (and (and (or (and (<= (+ (+ ?v_359 ?v_349) ?v_44) 21) (<= (+ (+ (+ ?v_400 ?v_95) ?v_57) ?v_245) 39)) (or (= (+ (+ ?v_620 ?v_637) ?v_205) 45) (> (+ (+ ?v_561 ?v_203) ?v_327) (- 82)))) (or (<= (+ ?v_582 ?v_678) 53) (and (and (= (+ ?v_705 ?v_218) 44) (> (+ (+ ?v_283 ?v_765) ?v_738) (- 75))) (and (>= (+ (+ ?v_548 ?v_488) ?v_2) 22) (<= (+ ?v_367 ?v_614) 11))))) (or (or (or (and (< (+ (+ ?v_663 ?v_53) ?v_130) 97) (not (= (+ (+ ?v_134 ?v_36) ?v_592) (- 99)))) (= (+ (+ ?v_368 ?v_135) ?v_255) 90)) (and (not (= (+ (+ (+ ?v_566 ?v_563) ?v_507) ?v_286) 14)) (or (<= (+ (+ (+ ?v_731 ?v_14) ?v_194) ?v_515) (- 37)) (> (+ ?v_24 ?v_633) 0)))) (or (or (< (+ ?v_672 ?v_76) (- 5)) (>= (+ (+ (+ ?v_169 ?v_221) ?v_15) ?v_352) 25)) (and (< (+ ?v_275 ?v_617) (- 11)) (> (+ (+ ?v_672 ?v_393) ?v_142) (- 7))))))))) (and (and (or (and (or (< (+ (+ ?v_406 ?v_132) ?v_338) (- 80)) (= (+ ?v_721 ?v_457) (- 75))) (and (and (or (< ?v_773 (- 23)) (>= (+ (+ ?v_118 ?v_673) ?v_642) 76)) (not (= (+ (+ (+ ?v_394 ?v_501) ?v_196) ?v_657) (- 24)))) (or (and (>= (+ (+ ?v_668 ?v_148) ?v_575) 0) (= (+ ?v_394 ?v_213) 15)) (>= (+ (+ ?v_310 ?v_356) ?v_575) (- 68))))) (and (or (and (> (+ (+ ?v_59 ?v_495) ?v_197) 0) (= (+ ?v_134 ?v_540) (- 49))) (or (>= (+ ?v_526 ?v_688) 49) (= (+ (+ ?v_359 ?v_680) ?v_319) 44))) (or (or (not (= (+ (+ ?v_526 ?v_549) ?v_20) 15)) (= (+ (+ ?v_433 ?v_120) ?v_288) 44)) (and (or (= (+ (+ (+ ?v_295 ?v_434) ?v_774) ?v_197) (- 45)) (not (= (+ (+ (+ ?v_737 ?v_467) ?v_491) ?v_61) 0))) (or (>= (+ (+ (+ ?v_328 ?v_690) ?v_648) ?v_535) 100) (<= (+ ?v_365 ?v_524) 27)))))) (or (and (>= (+ (+ ?v_144 ?v_418) ?v_199) 43) (>= ?v_477 (- 11))) (or (or (and (> (+ (+ ?v_416 ?v_356) ?v_70) 60) (not (= (+ (+ ?v_406 ?v_194) ?v_632) 90))) (< (+ ?v_470 ?v_362) 85)) (and (and (< (+ (+ (+ ?v_631 ?v_354) ?v_624) ?v_716) 0) (>= (+ (+ (+ ?v_220 ?v_231) ?v_88) ?v_38) 34)) (and (> (+ (+ (+ ?v_250 ?v_293) ?v_765) ?v_542) 0) (< (+ ?v_430 ?v_571) 0)))))) (or (or (and (and (or (or (or (<= (+ (+ (+ ?v_386 ?v_490) ?v_775) ?v_226) 71) (< (+ (+ (+ ?v_670 ?v_53) ?v_321) ?v_504) (- 71))) (and (< (+ ?v_662 ?v_499) (- 62)) (> (+ ?v_454 ?v_520) 21))) (and (and (> (+ (+ ?v_143 ?v_624) ?v_697) 21) (< (+ ?v_743 ?v_765) 0)) (and (not (= (+ (+ ?v_650 ?v_266) ?v_657) 6)) (> (+ (+ (+ ?v_445 ?v_514) ?v_691) ?v_569) 0)))) (or (and (or (< (+ (+ ?v_79 ?v_680) ?v_684) 0) (>= (+ (+ ?v_546 ?v_163) ?v_530) 37)) (and (< (+ (+ ?v_350 ?v_776) ?v_404) 0) (< (+ (+ ?v_26 ?v_76) ?v_268) (- 26)))) (or (and (> (+ (+ ?v_622 ?v_86) ?v_684) 0) (< (+ (+ ?v_160 ?v_293) ?v_432) 76)) (or (= ?v_697 0) (< (+ ?v_169 ?v_95) 61))))) (and (and (or (> (+ (+ ?v_169 ?v_454) ?v_643) (- 75)) (<= (+ (+ ?v_124 ?v_23) ?v_686) (- 10))) (and (not (= (+ (+ (+ ?v_405 ?v_354) ?v_688) ?v_207) (- 78))) (not (= (+ (+ ?v_256 ?v_254) ?v_255) (- 33))))) (and (and (not (= (+ (+ ?v_485 ?v_246) ?v_338) 26)) (or (= (+ (+ ?v_715 ?v_495) ?v_344) 14) (= (+ (+ ?v_639 ?v_283) ?v_90) 0))) (and (or (= (+ (+ ?v_377 ?v_322) ?v_272) (- 4)) (<= (+ (+ ?v_574 ?v_546) ?v_91) 92)) (<= (+ (+ ?v_705 ?v_611) ?v_257) 0))))) (and (or (or (and (or (= (+ (+ ?v_101 ?v_419) ?v_306) 0) (= (+ ?v_560 ?v_329) 0)) (and (= (+ (+ ?v_599 ?v_699) ?v_456) 0) (= ?v_486 2))) (and (< (+ ?v_25 ?v_344) 88) (= (+ (+ (+ ?v_625 ?v_237) ?v_388) ?v_579) (- 48)))) (or (or (<= (+ (+ ?v_81 ?v_224) ?v_27) 0) (= (+ (+ ?v_655 ?v_238) ?v_323) 21)) (or (or (= (+ (+ (+ ?v_208 ?v_60) ?v_422) ?v_155) 56) (<= (+ (+ (+ ?v_35 ?v_365) ?v_555) ?v_327) 62)) (and (= (+ ?v_7 ?v_643) 2) (= (+ ?v_169 ?v_102) 86))))) (or (or (and (not (= (+ (+ ?v_704 ?v_506) ?v_498) 17)) (not (= (+ (+ ?v_489 ?v_168) ?v_207) 0))) (< (+ (+ (+ ?v_10 ?v_469) ?v_171) ?v_358) (- 23))) (and (>= (+ (+ (+ ?v_345 ?v_365) ?v_18) ?v_202) (- 50)) (= ?v_61 0))))) (and (or (and (or (or (> (+ (+ (+ ?v_400 ?v_593) ?v_180) ?v_739) (- 22)) (< (+ (+ ?v_696 ?v_111) ?v_766) (- 17))) (and (or (not (= (+ (+ ?v_400 ?v_170) ?v_736) (- 93))) (not (= (+ ?v_413 ?v_597) (- 36)))) (and (>= ?v_415 25) (>= (+ ?v_166 ?v_324) 67)))) (or (and (<= (+ (+ ?v_157 ?v_652) ?v_48) 0) (and (>= (+ (+ ?v_566 ?v_545) ?v_661) (- 74)) (>= (+ (+ (+ ?v_229 ?v_525) ?v_254) ?v_712) 19))) (or (and (not (= (+ ?v_489 ?v_97) 81)) (< (+ (+ (+ ?v_706 ?v_483) ?v_562) ?v_535) 55)) (and (<= (+ ?v_580 ?v_624) 50) (> (+ ?v_662 ?v_777) 87))))) (or (or (and (> (+ ?v_416 ?v_688) 47) (= (+ ?v_580 ?v_195) 63)) (>= (+ ?v_466 ?v_656) 4)) (< (+ ?v_9 ?v_31) (- 26)))) (or (or (and (and (and (not (= (+ (+ (+ ?v_745 ?v_203) ?v_181) ?v_187) (- 21))) (= (+ (+ (+ ?v_754 ?v_236) ?v_147) ?v_753) (- 7))) (and (= (+ (+ (+ ?v_110 ?v_363) ?v_607) ?v_600) 0) (not (= (+ (+ (+ ?v_711 ?v_63) ?v_691) ?v_264) (- 66))))) (or (> (+ (+ ?v_183 ?v_740) ?v_255) (- 55)) (and (<= (+ (+ ?v_139 ?v_203) ?v_342) (- 1)) (= (+ (+ ?v_122 ?v_512) ?v_268) 0)))) (or (or (and (> (+ (+ (+ ?v_445 ?v_237) ?v_776) ?v_709) 75) (<= (+ (+ (+ ?v_119 (* 78 ?x2)) ?v_407) ?v_70) 65)) (and (<= (+ (+ (+ ?v_295 ?v_127) ?v_322) ?v_396) (- 67)) (not (= (+ (+ (+ ?v_527 ?v_12) ?v_651) ?v_499) (- 90))))) (and (or (> (+ ?v_304 ?v_70) 81) (>= (+ (+ ?v_570 ?v_107) ?v_633) 91)) (and (>= (+ (+ ?v_10 ?v_322) ?v_264) (- 47)) (<= (+ (+ ?v_613 ?v_172) ?v_411) 47))))) (or (or (or (<= (+ (+ ?v_532 ?v_595) ?v_371) 48) (not (= (+ (+ ?v_778 ?v_641) ?v_2) (- 40)))) (and (and (> (+ (+ (+ ?v_400 ?v_669) ?v_88) ?v_474) 87) (<= (+ (+ (+ ?v_325 ?v_243) ?v_136) ?v_456) 20)) (or (not (= (+ (+ ?v_392 ?v_462) ?v_659) (- 3))) (< (+ ?v_275 ?v_539) 0)))) (and (>= ?v_525 52) (> (+ ?v_507 ?v_105) 0))))))))))))))))))))
(check-sat)
(exit)
