(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_187 (* 82 ?x2)) (?v_99 (* 4 ?x3)) (?v_167 (* 19 ?x1)) (?v_15 (* 68 ?x4)) (?v_81 (* 37 ?x3)) (?v_10 (* 8 ?x1)) (?v_310 (* 43 ?x2)) (?v_6 (* 99 ?x1)) (?v_329 (* 49 ?x3)) (?v_288 (* 8 ?x4)) (?v_3 (* 12 ?x1)) (?v_124 (* 4 ?x1)) (?v_220 (* 52 ?x1)) (?v_287 (* 58 ?x2)) (?v_266 (* 78 ?x3)) (?v_2 (* 43 ?x4)) (?v_5 (* 97 ?x1)) (?v_25 (* 9 ?x4)) (?v_8 (* 15 ?x2)) (?v_197 (* 83 ?x4)) (?v_82 (* 61 ?x4)) (?v_204 (* 6 ?x1)) (?v_138 (* 90 ?x2)) (?v_17 (* 47 ?x2)) (?v_226 (* 28 ?x4)) (?v_100 (* 69 ?x3)) (?v_48 (* 19 ?x3)) (?v_68 (* 62 ?x2)) (?v_23 (* 13 ?x1)) (?v_20 (* 46 ?x4)) (?v_261 (* 26 ?x2)) (?v_186 (* 88 ?x1)) (?v_40 (* 56 ?x1)) (?v_26 (* 25 ?x2)) (?v_70 (* 96 ?x2)) (?v_190 (* 38 ?x3)) (?v_27 (* 97 ?x3)) (?v_24 (* 48 ?x3)) (?v_22 (* 96 ?x4)) (?v_51 (* 31 ?x1)) (?v_64 (* 21 ?x4)) (?v_271 (* 2 ?x1)) (?v_237 (* 46 ?x3)) (?v_95 (* 37 ?x4)) (?v_217 (* 22 ?x2)) (?v_56 (* 18 ?x2)) (?v_67 (* 74 ?x2)) (?v_232 (* 75 ?x2)) (?v_37 (* 51 ?x3)) (?v_18 (* 63 ?x2)) (?v_21 (* 53 ?x3)) (?v_127 (* 78 ?x1)) (?v_78 (* 54 ?x1)) (?v_193 (* 33 ?x3)) (?v_145 (* 82 ?x3)) (?v_273 (* 52 ?x4)) (?v_84 (* 39 ?x1)) (?v_42 (* 32 ?x3)) (?v_274 (* 62 ?x1)) (?v_80 (* 5 ?x1)) (?v_293 (* 3 ?x4)) (?v_107 (* 46 ?x1)) (?v_218 (* 55 ?x4)) (?v_73 (* 66 ?x1)) (?v_109 (* 62 ?x4)) (?v_295 (* 12 ?x3)) (?v_60 (* 9 ?x2)) (?v_324 (* 72 ?x4)) (?v_61 (* 40 ?x1)) (?v_158 (* 51 ?x4)) (?v_239 (* 20 ?x2)) (?v_331 (* 67 ?x2)) (?v_116 (* 50 ?x3)) (?v_58 (* 42 ?x1)) (?v_98 (* 45 ?x2)) (?v_69 (* 20 ?x4)) (?v_222 (* 88 ?x3)) (?v_156 (* 35 ?x1)) (?v_135 (* 89 ?x2)) (?v_43 (* 59 ?x3)) (?v_117 (* 60 ?x3)) (?v_86 (* 55 ?x2)) (?v_191 (* 22 ?x3)) (?v_52 (* 51 ?x2)) (?v_294 (* 1 ?x1)) (?v_221 (* 86 ?x2)) (?v_203 (* 80 ?x3)) (?v_65 (* 69 ?x2)) (?v_159 (* 9 ?x1)) (?v_268 (* 55 ?x3)) (?v_247 (* 78 ?x4)) (?v_262 (* 39 ?x4)) (?v_322 (* 72 ?x1)) (?v_96 (* 3 ?x3)) (?v_209 (* 70 ?x2)) (?v_150 (* 96 ?x1)) (?v_332 (* 35 ?x2)) (?v_122 (* 73 ?x4)) (?v_315 (* 14 ?x3)) (?v_179 (* 49 ?x1)) (?v_149 (* 79 ?x2)) (?v_75 (* 58 ?x4)) (?v_180 (* 54 ?x4)) (?v_105 (* 96 ?x3)) (?v_335 (* 48 ?x1)) (?v_94 (* 7 ?x3)) (?v_318 (* 18 ?x4)) (?v_134 (* 81 ?x1)) (?v_111 (* 33 ?x4)) (?v_77 (* 56 ?x4)) (?v_229 (* 57 ?x3)) (?v_336 (* 23 ?x2)) (?v_243 (* 59 ?x2)) (?v_141 (* 12 ?x4)) (?v_88 (* 91 ?x3)) (?v_178 (* 83 ?x1)) (?v_113 (* 83 ?x3)) (?v_106 (* 4 ?x4)) (?v_311 (* 65 ?x4)) (?v_234 (* 78 ?x2)) (?v_304 (* 67 ?x1)) (?v_223 (* 54 ?x3)) (?v_164 (* 6 ?x2)) (?v_181 (* 63 ?x4)) (?v_339 (* 76 ?x2)) (?v_259 (* 30 ?x1)) (?v_115 (* 68 ?x2)) (?v_347 (* 73 ?x2)) (?v_144 (* 2 ?x3)) (?v_321 (* 13 ?x4)) (?v_157 (* 37 ?x2)) (?v_169 (* 56 ?x3)) (?v_303 (* 10 ?x4)) (?v_151 (* 79 ?x3)) (?v_211 (* 89 ?x4)) (?v_292 (* 45 ?x3)) (?v_161 (* 68 ?x3)) (?v_128 (* 40 ?x2)) (?v_171 (* 90 ?x4)) (?v_201 (* 68 ?x1)) (?v_132 (* 50 ?x4)) (?v_143 (* 66 ?x2)) (?v_212 (* 92 ?x3)) (?v_129 (* 93 ?x4)) (?v_309 (* 63 ?x3)) (?v_263 (* 61 ?x1)) (?v_202 (* 44 ?x3)) (?v_250 (* 30 ?x4)) (?v_142 (* 51 ?x1)) (?v_227 (* 18 ?x1)) (?v_163 (* 77 ?x1)) (?v_213 (* 15 ?x4)) (?v_328 (* 92 ?x2)) (?v_166 (* 52 ?x2)) (?v_256 (* 98 ?x3)) (?v_285 (* 32 ?x2)) (?v_307 (* 76 ?x3)) (?v_317 (* 1 ?x3)) (?v_177 (* 45 ?x4)) (?v_255 (* 44 ?x4)) (?v_316 (* 81 ?x4)) (?v_277 (* 48 ?x2)) (?v_238 (* 28 ?x1)) (?v_267 (* 34 ?x1)) (?v_214 (* 73 ?x1)) (?v_345 (* 94 ?x2)) (?v_260 (* 38 ?x2)) (?v_300 (* 2 ?x2)) (?v_286 (* 25 ?x4)) (?v_323 (* 1 ?x4)) (?v_299 (* 53 ?x1)) (?v_348 (* 23 ?x4)) (?v_252 (* 95 ?x3)) (?v_231 (* 100 ?x1)) (?v_196 (* 5 ?x2)) (?v_284 (* 87 ?x1)) (?v_272 (* 93 ?x3)) (?v_258 (* 61 ?x3)) (?v_333 (* 63 ?x1)) (?v_210 (* 39 ?x3)) (?v_236 (* 91 ?x1)) (?v_235 (* 7 ?x1)) (?v_325 (* 57 ?x1)) (?v_312 (* 49 ?x2)) (?v_257 (* 94 ?x4)) (?v_343 (* 27 ?x2)) (?v_305 (* 71 ?x4)) (?v_340 (* 10 ?x3)) (?v_31 (* (- 33) ?x4)) (?v_7 (* (- 16) ?x1)) (?v_0 (* (- 58) ?x2)) (?v_46 (* (- 51) ?x4)) (?v_326 (* (- 83) ?x3)) (?v_306 (* (- 29) ?x1)) (?v_9 (* (- 44) ?x2)) (?v_282 (* (- 87) ?x3)) (?v_57 (* (- 46) ?x4)) (?v_198 (* (- 75) ?x1)) (?v_47 (* (- 92) ?x2)) (?v_41 (* (- 65) ?x3)) (?v_330 (* (- 95) ?x4)) (?v_192 (* (- 71) ?x4)) (?v_39 (* (- 56) ?x1)) (?v_246 (* (- 38) ?x2)) (?v_13 (* (- 57) ?x3)) (?v_1 (* (- 1) ?x1)) (?v_14 (* (- 36) ?x3)) (?v_120 (* (- 96) ?x1)) (?v_280 (* (- 42) ?x2)) (?v_72 (* (- 30) ?x1)) (?v_4 (* (- 41) ?x3)) (?v_174 (* (- 30) ?x4)) (?v_71 (* (- 44) ?x3)) (?v_74 (* (- 95) ?x3)) (?v_29 (* (- 14) ?x1)) (?v_205 (* (- 41) ?x2)) (?v_264 (* (- 47) ?x4)) (?v_102 (* (- 65) ?x2)) (?v_45 (* (- 39) ?x4)) (?v_35 (* (- 69) ?x3)) (?v_254 (* (- 85) ?x2)) (?v_28 (* (- 89) ?x3)) (?v_12 (* (- 34) ?x1)) (?v_63 (* (- 69) ?x2)) (?v_53 (* (- 67) ?x3)) (?v_16 (* (- 70) ?x4)) (?v_19 (* (- 55) ?x2)) (?v_241 (* (- 52) ?x4)) (?v_62 (* (- 62) ?x1)) (?v_30 (* (- 26) ?x2)) (?v_108 (* (- 50) ?x3)) (?v_44 (* (- 6) ?x2)) (?v_11 (* (- 1) ?x4)) (?v_32 (* (- 91) ?x1)) (?v_83 (* (- 96) ?x2)) (?v_97 (* (- 9) ?x1)) (?v_175 (* (- 64) ?x2)) (?v_314 (* (- 84) ?x3)) (?v_168 (* (- 60) ?x1)) (?v_36 (* (- 48) ?x4)) (?v_54 (* (- 72) ?x1)) (?v_183 (* (- 37) ?x2)) (?v_55 (* (- 28) ?x3)) (?v_225 (* (- 77) ?x3)) (?v_200 (* (- 78) ?x4)) (?v_34 (* (- 55) ?x4)) (?v_90 (* (- 73) ?x2)) (?v_176 (* (- 99) ?x3)) (?v_185 (* (- 94) ?x4)) (?v_66 (* (- 31) ?x4)) (?v_125 (* (- 48) ?x2)) (?v_240 (* (- 25) ?x3)) (?v_93 (* (- 89) ?x1)) (?v_76 (* (- 25) ?x1)) (?v_118 (* (- 50) ?x4)) (?v_344 (* (- 19) ?x4)) (?v_208 (* (- 8) ?x3)) (?v_140 (* (- 2) ?x4)) (?v_79 (* (- 19) ?x2)) (?v_38 (* (- 99) ?x4)) (?v_112 (* (- 53) ?x1)) (?v_33 (* (- 45) ?x2)) (?v_170 (* (- 88) ?x3)) (?v_49 (* (- 76) ?x1)) (?v_302 (* (- 51) ?x1)) (?v_313 (* (- 12) ?x4)) (?v_230 (* (- 77) ?x4)) (?v_50 (* (- 88) ?x4)) (?v_101 (* (- 3) ?x1)) (?v_152 (* (- 51) ?x2)) (?v_114 (* (- 79) ?x1)) (?v_153 (* (- 26) ?x4)) (?v_165 (* (- 10) ?x2)) (?v_133 (* (- 54) ?x4)) (?v_184 (* (- 94) ?x3)) (?v_242 (* (- 83) ?x2)) (?v_342 (* (- 12) ?x3)) (?v_338 (* (- 91) ?x2)) (?v_233 (* (- 54) ?x1)) (?v_119 (* (- 97) ?x3)) (?v_136 (* (- 53) ?x3)) (?v_89 (* (- 78) ?x1)) (?v_206 (* (- 45) ?x1)) (?v_59 (* (- 52) ?x3)) (?v_121 (* (- 48) ?x3)) (?v_146 (* (- 14) ?x3)) (?v_85 (* (- 98) ?x1)) (?v_91 (* (- 81) ?x1)) (?v_87 (* (- 50) ?x1)) (?v_110 (* (- 71) ?x2)) (?v_92 (* (- 17) ?x3)) (?v_123 (* (- 78) ?x2)) (?v_103 (* (- 15) ?x4)) (?v_154 (* (- 25) ?x2)) (?v_289 (* (- 73) ?x4)) (?v_283 (* (- 3) ?x2)) (?v_253 (* (- 59) ?x3)) (?v_130 (* (- 4) ?x1)) (?v_148 (* (- 26) ?x3)) (?v_248 (* (- 12) ?x2)) (?v_216 (* (- 92) ?x4)) (?v_297 (* (- 26) ?x1)) (?v_139 (* (- 85) ?x3)) (?v_276 (* (- 36) ?x4)) (?v_194 (* (- 93) ?x2)) (?v_104 (* (- 88) ?x1)) (?v_160 (* (- 48) ?x1)) (?v_320 (* (- 39) ?x2)) (?v_279 (* (- 33) ?x3)) (?v_270 (* (- 98) ?x2)) (?v_173 (* (- 35) ?x3)) (?v_131 (* (- 27) ?x2)) (?v_137 (* (- 70) ?x3)) (?v_337 (* (- 15) ?x1)) (?v_334 (* (- 56) ?x4)) (?v_195 (* (- 36) ?x1)) (?v_319 (* (- 23) ?x4)) (?v_155 (* (- 77) ?x1)) (?v_126 (* (- 64) ?x4)) (?v_327 (* (- 96) ?x4)) (?v_219 (* (- 66) ?x3)) (?v_341 (* (- 63) ?x2)) (?v_244 (* (- 91) ?x4)) (?v_182 (* (- 59) ?x2)) (?v_278 (* (- 82) ?x2)) (?v_162 (* (- 49) ?x4)) (?v_147 (* (- 94) ?x1)) (?v_172 (* (- 46) ?x3)) (?v_275 (* (- 94) ?x2)) (?v_188 (* (- 33) ?x1)) (?v_308 (* (- 13) ?x2))) (let ((?v_199 (+ ?v_93 ?v_68)) (?v_189 (* (- 19) ?x1)) (?v_228 (* (- 11) ?x2)) (?v_215 (* (- 7) ?x3)) (?v_207 (* (- 54) ?x3)) (?v_245 (* (- 17) ?x1)) (?v_224 (* (- 25) ?x4)) (?v_281 (* (- 22) ?x4)) (?v_251 (* (- 10) ?x1)) (?v_249 (* (- 85) ?x1)) (?v_265 (* (- 5) ?x1)) (?v_290 (* (- 71) ?x1)) (?v_301 (* (- 44) ?x4)) (?v_269 (+ (* (- 23) ?x1) ?v_243)) (?v_298 (* (- 61) ?x3)) (?v_296 (* (- 72) ?x4)) (?v_291 (* (- 20) ?x2)) (?v_346 (* (- 57) ?x2))) (or (or (or (and (and (or (and (or (>= (+ (+ ?v_187 (* (- 51) ?x3)) ?v_31) 34) (<= (+ (+ ?v_7 ?v_99) (* (- 6) ?x4)) 5)) (or (or (<= (+ (+ (* (- 59) ?x1) ?v_0) ?v_46) 0) (>= (+ (+ (+ ?v_167 (* (- 32) ?x2)) ?v_326) ?v_15) 46)) (and (>= (+ (+ (+ ?v_306 ?v_9) ?v_81) (* (- 43) ?x4)) 1) (= (+ (+ (+ ?v_10 ?v_310) ?v_282) ?v_57) (- 99))))) (or (>= (+ (+ (+ ?v_6 (* (- 68) ?x2)) ?v_329) ?v_288) 91) (or (= (+ ?v_3 (* 36 ?x4)) (- 4)) (<= (+ (+ (+ ?v_198 ?v_47) (* 13 ?x3)) (* 79 ?x4)) (- 49))))) (and (or (and (< (+ (+ ?v_124 ?v_41) ?v_330) 91) (and (< (+ (+ (+ ?v_220 ?v_287) ?v_266) ?v_192) (- 17)) (>= (+ (+ (+ ?v_39 (* 21 ?x2)) (* (- 93) ?x3)) ?v_2) 7))) (and (or (> (+ (+ (+ ?v_5 ?v_246) ?v_13) ?v_25) (- 88)) (= (+ (+ (+ ?v_1 (* 33 ?x2)) ?v_14) (* (- 62) ?x4)) 9)) (or (>= (+ (+ (+ ?v_120 ?v_8) (* 5 ?x3)) ?v_197) (- 26)) (= (+ ?v_280 ?v_82) 87)))) (or (or (and (= (+ (+ (+ ?v_72 ?v_0) ?v_4) ?v_174) 93) (< (+ (+ (* (- 24) ?x1) ?v_71) (* (- 20) ?x4)) 64)) (or (> ?v_1 26) (>= (+ (+ ?v_204 ?v_138) (* (- 96) ?x3)) 0))) (or (or (> (+ (+ ?v_17 ?v_74) ?v_226) (- 1)) (< (+ (+ (+ ?v_29 (* (- 77) ?x2)) ?v_100) ?v_2) (- 80))) (or (not (= (+ (+ ?v_205 ?v_48) ?v_264) 0)) (>= (+ (+ (* 22 ?x1) ?v_102) (* 43 ?x3)) 0)))))) (and (or (and (or (and (<= (+ (+ ?v_3 (* (- 4) ?x2)) ?v_45) (- 96)) (> (+ (* (- 44) ?x1) ?v_68) 59)) (or (not (= (+ (+ ?v_23 ?v_4) ?v_20) 0)) (< (+ (+ (+ (* (- 57) ?x1) (* 53 ?x2)) (* (- 22) ?x3)) (* (- 9) ?x4)) (- 44)))) (and (<= (+ (+ ?v_261 ?v_35) (* 64 ?x4)) 77) (not (= (* (- 100) ?x3) (- 96))))) (and (= (+ (+ ?v_186 ?v_254) (* (- 55) ?x3)) 63) (or (not (= (+ (+ (+ ?v_40 ?v_26) (* (- 11) ?x3)) (* 48 ?x4)) (- 75))) (<= ?v_28 (- 16))))) (and (and (and (or (= (+ (+ (+ ?v_12 ?v_63) ?v_53) ?v_16) 3) (<= (+ (+ ?v_5 ?v_70) ?v_190) 90)) (and (<= (+ (+ (* (- 13) ?x1) ?v_19) ?v_27) 0) (> (+ (+ ?v_6 ?v_24) ?v_241) 71))) (or (or (< (+ (+ (+ ?v_62 ?v_30) ?v_108) ?v_22) (- 50)) (= (+ (+ ?v_7 ?v_44) ?v_11) 96)) (or (< (+ (+ ?v_32 ?v_8) (* (- 1) ?x3)) 4) (<= (+ (+ ?v_51 ?v_9) ?v_64) 0)))) (or (or (or (<= (+ (+ (+ ?v_271 ?v_83) ?v_237) ?v_95) 0) (not (= (+ ?v_10 ?v_217) 0))) (and (< (+ (+ ?v_97 ?v_56) (* (- 18) ?x4)) (- 56)) (= (+ (+ (* (- 64) ?x1) ?v_175) (* 70 ?x4)) 18))) (or (<= (+ (+ (+ (* (- 47) ?x1) ?v_67) ?v_314) (* 16 ?x4)) (- 67)) (= (+ (+ (+ ?v_168 ?v_232) ?v_37) ?v_36) (- 22))))))) (and (and (or (<= (+ (+ (+ ?v_54 ?v_183) ?v_55) ?v_11) 56) (not (= (+ (+ ?v_18 ?v_21) (* (- 32) ?x4)) 84))) (<= (+ (+ ?v_12 (* (- 84) ?x2)) ?v_13) 0)) (and (or (or (and (= (+ (+ ?v_127 ?v_14) ?v_15) 0) (not (= (+ ?v_225 ?v_16) 39))) (and (= (+ (+ (+ ?v_78 ?v_17) ?v_193) ?v_200) (- 97)) (< (+ (+ ?v_18 ?v_145) ?v_34) (- 92)))) (or (or (> (+ ?v_90 (* 35 ?x3)) 0) (not (= (+ ?v_176 ?v_273) 18))) (= (+ (+ ?v_84 ?v_42) ?v_185) 51))) (and (and (or (>= (+ (+ ?v_274 (* 89 ?x3)) ?v_66) 46) (> (+ (+ ?v_80 ?v_125) ?v_293) 0)) (or (= (+ (+ (* (- 27) ?x1) ?v_19) ?v_240) 83) (<= (+ (+ ?v_107 (* (- 2) ?x3)) ?v_218) 77))) (or (or (> (+ (+ (+ ?v_73 (* (- 14) ?x2)) (* (- 10) ?x3)) ?v_20) 0) (not (= (+ (+ ?v_7 (* 15 ?x3)) ?v_109) 36))) (and (> ?v_21 (- 69)) (> (+ (+ ?v_12 ?v_295) ?v_22) 0))))))) (or (or (or (or (or (or (> (+ (+ (+ ?v_23 (* 29 ?x2)) ?v_24) ?v_25) 36) (< ?v_26 (- 11))) (or (not (= (+ (+ (+ ?v_93 ?v_60) ?v_27) (* (- 82) ?x4)) 57)) (= (+ (* 85 ?x2) ?v_28) 0))) (and (and (> (+ (+ ?v_29 ?v_30) ?v_324) 0) (<= (+ (+ ?v_61 (* 20 ?x3)) ?v_158) (- 49))) (or (>= (+ (+ ?v_76 ?v_239) ?v_118) 85) (< (+ (+ ?v_6 (* (- 33) ?x2)) (* 87 ?x3)) (- 2))))) (and (or (or (>= (+ (+ (+ (* (- 37) ?x1) ?v_331) ?v_116) ?v_344) (- 32)) (>= (+ (+ (* 21 ?x1) ?v_208) ?v_31) 52)) (or (> (+ (+ (+ ?v_58 ?v_98) (* (- 16) ?x3)) ?v_140) 0) (> (+ (+ (+ ?v_6 (* 31 ?x2)) ?v_4) ?v_69) 0))) (and (> (+ (+ ?v_32 ?v_79) ?v_38) 38) (and (< (+ (+ (+ ?v_112 ?v_33) ?v_170) (* 87 ?x4)) 64) (not (= (+ (+ (+ ?v_49 ?v_33) ?v_222) ?v_34) (- 21))))))) (and (or (or (< (+ ?v_35 ?v_36) 88) (= (+ ?v_37 ?v_38) (- 51))) (<= (+ (+ ?v_156 ?v_135) ?v_43) (- 88))) (and (or (and (>= (+ (+ ?v_39 ?v_18) ?v_117) 10) (>= (+ (+ ?v_40 ?v_86) ?v_191) (- 62))) (and (and (or (> (+ (+ (+ ?v_302 ?v_52) (* 17 ?x3)) ?v_36) 0) (= (+ (+ ?v_294 ?v_221) ?v_41) 0)) (or (>= (+ (+ (+ (* (- 2) ?x1) (* (- 67) ?x2)) ?v_42) ?v_313) (- 83)) (> (+ (+ (* 59 ?x1) ?v_43) ?v_230) 0))) (or (or (>= (+ (+ ?v_6 ?v_203) ?v_50) 40) (>= (+ (+ ?v_101 ?v_44) ?v_45) 88)) (or (< (+ (+ (+ (* 15 ?x1) ?v_65) (* (- 27) ?x3)) (* (- 38) ?x4)) (- 89)) (not (= (+ (* (- 80) ?x1) ?v_46) (- 93))))))) (or (and (and (and (> (+ (+ (+ ?v_159 ?v_152) ?v_268) ?v_20) (- 60)) (> (+ (+ (+ (* 71 ?x1) ?v_47) ?v_35) ?v_247) 69)) (> (+ (+ (+ ?v_114 ?v_0) ?v_48) ?v_153) 71)) (and (or (> ?v_262 51) (not (= (+ (+ ?v_49 (* 83 ?x2)) (* (- 89) ?x4)) 6))) (<= (+ (+ (+ ?v_322 ?v_165) ?v_96) ?v_133) 54))) (or (or (and (<= (+ (+ ?v_209 (* (- 75) ?x3)) ?v_50) 2) (= (+ (+ ?v_150 ?v_184) (* (- 85) ?x4)) 0)) (> (+ (+ (+ ?v_51 ?v_242) ?v_342) ?v_45) 20)) (and (or (= (+ (+ (* (- 42) ?x1) ?v_338) (* (- 74) ?x3)) 0) (not (= (+ (+ ?v_52 ?v_53) (* 24 ?x4)) (- 90)))) (or (>= (+ (+ ?v_233 ?v_332) ?v_119) (- 29)) (= (+ (+ ?v_54 ?v_136) (* 53 ?x4)) (- 19))))))))) (and (and (and (or (and (or (and (= (+ (* 47 ?x3) ?v_122) 26) (not (= (+ ?v_89 ?v_55) 54))) (or (not (= (+ (+ (+ ?v_206 ?v_56) ?v_315) ?v_57) (- 51))) (< (+ (+ ?v_58 (* 8 ?x3)) ?v_15) 0))) (and (or (> ?v_59 48) (<= (+ ?v_179 ?v_59) 32)) (and (< (+ (+ (* 58 ?x1) ?v_121) ?v_31) 7) (< (+ (+ (* (- 84) ?x1) ?v_60) (* (- 72) ?x3)) 0)))) (or (or (> (+ (+ (+ (* (- 82) ?x1) ?v_149) (* (- 32) ?x3)) ?v_75) (- 61)) (or (< (+ (+ ?v_61 ?v_146) ?v_180) 0) (>= (+ (+ (+ ?v_62 ?v_63) (* (- 68) ?x3)) ?v_64) (- 53)))) (or (and (not (= (+ (+ (+ ?v_85 ?v_60) ?v_105) ?v_20) (- 54))) (>= (* (- 15) ?x2) (- 47))) (or (not (= (+ (+ (+ ?v_335 (* 8 ?x2)) ?v_94) ?v_318) (- 45))) (< (+ (+ (+ ?v_134 (* 17 ?x2)) (* (- 23) ?x3)) (* 49 ?x4)) 88))))) (or (or (or (> (+ (+ ?v_91 ?v_65) ?v_66) 29) (< (+ (+ (+ ?v_51 ?v_67) ?v_48) ?v_111) 7)) (< (+ (+ (* 85 ?x1) ?v_68) (* (- 37) ?x4)) (- 14))) (or (>= (+ (+ (+ ?v_87 ?v_110) ?v_92) ?v_69) 22) (= (+ (* (- 65) ?x1) ?v_123) 0)))) (or (and (not (= (+ (+ (* 55 ?x1) ?v_70) ?v_103) (- 10))) (not (= (+ (+ (+ (* (- 100) ?x1) ?v_154) ?v_71) ?v_289) (- 85)))) (and (or (and (and (> (+ ?v_283 ?v_253) 72) (< (+ ?v_72 (* 64 ?x2)) 0)) (or (= (+ (+ ?v_73 (* (- 82) ?x3)) ?v_77) 0) (>= (+ (+ ?v_130 ?v_74) ?v_75) (- 38)))) (or (or (>= (+ (+ (+ ?v_76 (* (- 60) ?x2)) ?v_148) ?v_77) (- 86)) (<= (+ (+ (+ ?v_78 ?v_248) ?v_229) ?v_216) (- 94))) (or (not (= (+ (+ ?v_336 (* 90 ?x3)) (* 22 ?x4)) 66)) (= (+ (+ (+ ?v_297 ?v_79) ?v_139) ?v_276) (- 79))))) (or (and (<= (+ (+ (+ ?v_80 ?v_243) ?v_81) ?v_82) (- 48)) (or (<= (+ (+ (* 98 ?x1) ?v_194) (* (- 83) ?x4)) 71) (= (+ (+ ?v_83 (* 62 ?x3)) ?v_141) 11))) (and (<= (+ (+ (+ ?v_104 (* 42 ?x2)) ?v_88) (* (- 63) ?x4)) (- 21)) (= (+ (+ (+ ?v_178 ?v_9) (* 23 ?x3)) (* 74 ?x4)) 24)))))) (or (and (and (or (and (= (+ (+ (* 84 ?x1) ?v_113) (* 77 ?x4)) 24) (and (not (= (+ (+ ?v_160 (* 30 ?x3)) ?v_106) (- 54))) (< (+ (+ (+ ?v_29 ?v_320) ?v_279) ?v_311) 46))) (or (and (> (+ ?v_270 (* (- 71) ?x3)) 0) (not (= (+ (+ ?v_84 ?v_234) (* (- 3) ?x4)) 12))) (and (>= (+ (+ ?v_304 (* (- 24) ?x2)) ?v_173) (- 32)) (>= (+ (+ (+ ?v_85 ?v_86) ?v_223) ?v_15) (- 41))))) (or (and (>= (* 36 ?x1) 0) (>= (+ (+ (+ ?v_87 ?v_131) ?v_88) ?v_34) 0)) (or (= (+ (+ (+ ?v_89 ?v_90) ?v_137) (* (- 90) ?x4)) (- 24)) (not (= (+ (+ ?v_337 ?v_164) ?v_181) 29))))) (or (or (and (>= (+ (+ ?v_91 (* (- 49) ?x2)) ?v_92) 0) (not (= (+ (+ (+ ?v_93 ?v_19) ?v_94) (* 40 ?x4)) (- 85)))) (= (+ ?v_61 ?v_95) 0)) (or (not (= (+ (+ (* (- 7) ?x2) ?v_96) (* 98 ?x4)) (- 21))) (not (= (* (- 61) ?x4) (- 39)))))) (or (or (or (or (and (< (+ (+ (+ ?v_97 ?v_98) ?v_53) ?v_334) 0) (>= (+ (+ (+ ?v_195 ?v_339) ?v_99) ?v_319) (- 83))) (and (<= (+ (+ (+ ?v_259 ?v_19) ?v_81) (* 76 ?x4)) (- 73)) (< (+ (+ (* 23 ?x1) (* (- 35) ?x2)) ?v_100) 0))) (and (< (+ (+ ?v_101 ?v_102) ?v_103) 16) (< (+ (+ (+ ?v_104 ?v_115) ?v_105) ?v_57) (- 35)))) (and (or (and (not (= (+ (+ (* 93 ?x1) ?v_347) ?v_106) 75)) (>= (+ (+ ?v_107 ?v_144) ?v_321) 16)) (and (< (+ (+ ?v_91 ?v_108) (* 85 ?x4)) (- 71)) (= (+ (+ (+ ?v_155 (* (- 87) ?x2)) (* 58 ?x3)) ?v_126) 0))) (and (not (= (+ (+ ?v_157 ?v_169) ?v_109) 0)) (> ?v_303 20)))) (and (or (or (< (+ (+ ?v_110 ?v_151) ?v_111) (- 23)) (< (* 86 ?x3) (- 89))) (and (not (= (+ (+ (+ ?v_112 (* (- 31) ?x2)) ?v_74) (* (- 59) ?x4)) 0)) (< (+ (+ (+ (* 89 ?x1) (* (- 97) ?x2)) ?v_113) (* (- 58) ?x4)) 82))) (or (= (+ (+ (+ ?v_114 ?v_115) ?v_116) ?v_211) 0) (or (< (+ ?v_117 ?v_16) 58) (<= (+ (* (- 28) ?x2) ?v_28) 0))))))))) (and (or (or (or (or (<= (+ (+ (* 50 ?x1) ?v_292) ?v_118) (- 31)) (or (not (= (+ (+ (* (- 43) ?x1) ?v_161) (* (- 69) ?x4)) 65)) (not (= (+ (+ ?v_128 ?v_119) ?v_171) 0)))) (or (or (and (= (+ (+ (+ ?v_120 (* 41 ?x2)) ?v_121) ?v_122) 11) (< (+ (* (- 43) ?x3) ?v_122) 0)) (> (+ (+ ?v_201 (* (- 74) ?x2)) ?v_327) (- 13))) (or (and (and (and (> ?v_70 0) (<= (+ (+ ?v_123 ?v_219) ?v_132) 35)) (or (<= (+ (+ ?v_124 ?v_125) (* 86 ?x4)) (- 13)) (not (= (+ (+ ?v_32 ?v_341) ?v_126) (- 45))))) (or (or (= (+ (+ (* (- 8) ?x1) ?v_143) ?v_212) 0) (<= (+ ?v_127 ?v_129) (- 52))) (and (>= (+ (+ (* (- 67) ?x1) ?v_128) ?v_129) 67) (> (+ (+ ?v_130 ?v_309) (* (- 7) ?x4)) 78)))) (and (and (= (+ ?v_131 ?v_132) (- 96)) (> (+ (+ (+ ?v_263 (* (- 46) ?x2)) (* (- 38) ?x3)) ?v_133) (- 28))) (= (+ (+ (+ ?v_134 ?v_135) ?v_202) ?v_244) 0))))) (or (and (and (not (= (+ ?v_136 ?v_250) (- 82))) (< (+ (+ ?v_142 ?v_182) ?v_137) 28)) (and (or (or (> (+ (+ ?v_227 ?v_42) (* 35 ?x4)) (- 82)) (> (+ (+ (+ ?v_73 ?v_138) ?v_139) ?v_140) 20)) (or (= (+ ?v_278 ?v_141) 51) (> (+ ?v_163 ?v_213) 98))) (or (and (> (+ ?v_142 ?v_26) 95) (< (+ ?v_328 ?v_162) (- 41))) (and (not (= (+ (+ (+ (* (- 31) ?x1) ?v_143) ?v_144) (* 14 ?x4)) 0)) (> (+ (+ ?v_166 ?v_145) ?v_140) 14))))) (or (and (or (or (< (+ (+ ?v_147 (* (- 70) ?x2)) ?v_256) 73) (< (+ (+ (+ (* (- 73) ?x1) (* 50 ?x2)) ?v_146) (* (- 86) ?x4)) (- 32))) (or (or (= (+ ?v_147 ?v_285) 0) (< (+ (+ ?v_123 ?v_148) (* (- 4) ?x4)) 0)) (and (<= (+ (+ ?v_97 ?v_149) ?v_69) (- 91)) (<= (+ (+ ?v_150 (* (- 21) ?x2)) ?v_151) (- 22))))) (or (or (= (+ (+ (+ (* (- 35) ?x1) ?v_152) ?v_307) ?v_153) 75) (and (<= (+ (+ (+ (* 82 ?x1) ?v_154) (* 99 ?x3)) (* (- 24) ?x4)) 5) (>= (+ (+ (+ ?v_155 ?v_30) ?v_317) ?v_177) 25))) (or (or (= (+ (+ (+ ?v_156 ?v_157) (* 40 ?x3)) ?v_158) 56) (< (+ (+ ?v_159 (* (- 47) ?x3)) ?v_255) 0)) (and (<= (+ (+ (+ ?v_160 ?v_33) ?v_172) ?v_316) (- 13)) (<= (+ (+ (* 29 ?x1) ?v_275) ?v_119) (- 85)))))) (or (and (and (and (not (= (+ (+ (* (- 18) ?x2) ?v_161) (* (- 66) ?x4)) 81)) (>= (+ (+ (+ ?v_188 ?v_86) (* 11 ?x3)) ?v_162) (- 68))) (and (<= (+ (+ ?v_163 ?v_164) ?v_129) (- 70)) (< (+ (* (- 50) ?x2) ?v_4) 97))) (and (and (not (= (+ (+ (+ ?v_58 ?v_165) (* 24 ?x3)) ?v_77) 18)) (not (= (+ (* (- 21) ?x1) ?v_166) (- 99)))) (and (>= (+ (+ ?v_167 (* (- 2) ?x2)) (* (- 37) ?x3)) 43) (not (= (+ (+ (+ ?v_168 ?v_277) ?v_169) (* 34 ?x4)) 27))))) (or (and (and (= (+ (+ ?v_114 ?v_154) (* (- 8) ?x4)) (- 61)) (< (+ ?v_110 ?v_170) 67)) (or (>= (+ (+ ?v_238 (* 44 ?x2)) ?v_171) (- 35)) (<= (+ (+ ?v_267 ?v_44) ?v_172) (- 43)))) (or (or (>= (+ (+ (+ (* 17 ?x1) ?v_19) (* 41 ?x3)) (* (- 35) ?x4)) 19) (<= (+ ?v_214 ?v_125) (- 40))) (<= (+ (+ (+ ?v_73 ?v_308) ?v_173) ?v_174) (- 75)))))))) (or (or (or (and (and (and (= (+ (+ (* 45 ?x1) ?v_170) ?v_103) 90) (= (+ (+ (+ ?v_120 ?v_175) ?v_176) ?v_177) (- 75))) (and (or (>= (+ (+ ?v_178 ?v_30) (* (- 57) ?x4)) 97) (> (+ (+ ?v_179 (* (- 9) ?x2)) (* (- 14) ?x4)) 0)) (= (+ ?v_199 (* (- 13) ?x3)) (- 36)))) (or (or (or (< (+ (+ ?v_345 (* (- 3) ?x3)) ?v_180) 40) (>= (+ (+ (+ ?v_89 ?v_260) (* (- 58) ?x3)) ?v_181) 67)) (or (<= (+ (+ (+ (* 64 ?x1) ?v_300) ?v_28) ?v_286) 50) (not (= (+ (+ (* (- 55) ?x1) (* (- 6) ?x3)) ?v_323) (- 57))))) (>= (+ (+ ?v_189 ?v_182) (* 81 ?x3)) 73))) (and (and (or (not (= (+ (+ ?v_299 ?v_183) ?v_348) 0)) (>= (+ (+ ?v_163 ?v_184) ?v_185) 0)) (>= (+ (+ (+ ?v_186 ?v_228) ?v_170) ?v_31) (- 98))) (or (>= ?v_215 88) (not (= (+ (+ (+ ?v_84 ?v_83) ?v_119) (* 92 ?x4)) (- 93)))))) (or (or (> (+ (+ (* 25 ?x1) (* 56 ?x2)) ?v_148) 38) (> (+ (+ ?v_187 (* 27 ?x3)) (* (- 27) ?x4)) 77)) (and (or (or (not (= (+ (+ ?v_188 ?v_207) (* (- 79) ?x4)) (- 31))) (<= (+ (+ (+ ?v_189 ?v_128) ?v_190) (* 31 ?x4)) 0)) (or (>= (+ (+ (+ ?v_245 ?v_149) ?v_191) ?v_192) 16) (<= (+ (+ (* (- 52) ?x1) ?v_252) ?v_224) (- 21)))) (or (not (= (+ (+ (+ ?v_231 ?v_196) ?v_193) ?v_153) (- 27))) (or (<= (+ (+ (+ ?v_284 ?v_194) ?v_272) (* 67 ?x4)) (- 54)) (<= (+ (+ ?v_195 ?v_196) ?v_197) 0)))))) (and (or (and (and (and (= (* (- 66) ?x1) (- 12)) (<= (+ (+ (+ ?v_198 ?v_79) ?v_258) (* (- 97) ?x4)) 0)) (and (< (+ ?v_89 ?v_183) (- 83)) (not (= (+ (+ ?v_199 (* 73 ?x3)) ?v_200) 0)))) (and (and (and (= (+ (+ ?v_189 ?v_96) ?v_69) 0) (= (+ (+ ?v_333 ?v_210) ?v_281) 92)) (and (= (+ (+ (+ ?v_201 (* (- 29) ?x2)) ?v_202) ?v_69) 53) (< (+ (+ (+ ?v_80 ?v_30) ?v_203) ?v_177) (- 53)))) (or (>= (+ (+ (+ ?v_204 ?v_18) ?v_41) ?v_36) 0) (or (not (= (+ (+ ?v_251 ?v_205) ?v_13) 99)) (>= (+ (+ (+ ?v_206 (* (- 43) ?x2)) ?v_207) (* 26 ?x4)) 34))))) (and (and (and (> (+ (+ (* 90 ?x1) ?v_183) ?v_15) (- 52)) (>= (+ (+ ?v_249 ?v_208) ?v_46) (- 98))) (and (and (< (+ (+ (+ ?v_80 ?v_209) ?v_210) ?v_211) 55) (= (+ (+ (* 41 ?x1) ?v_212) ?v_213) 0)) (and (> (+ (+ ?v_214 ?v_215) ?v_216) 96) (> (+ (+ ?v_265 ?v_217) ?v_200) 0)))) (and (and (and (< (+ (+ ?v_167 ?v_33) ?v_218) 0) (> (+ (+ ?v_236 ?v_219) ?v_20) 12)) (>= (+ (+ (+ ?v_220 ?v_221) ?v_222) (* (- 21) ?x4)) 0)) (and (< (+ ?v_223 ?v_224) (- 80)) (or (= (* (- 92) ?x1) (- 52)) (= (+ (+ ?v_235 ?v_169) ?v_224) (- 100))))))) (or (or (or (>= (+ (+ ?v_290 ?v_128) ?v_177) 25) (< (+ (+ (+ ?v_325 (* (- 81) ?x2)) ?v_225) ?v_226) 97)) (and (and (and (<= (+ (+ (+ ?v_112 ?v_312) ?v_207) ?v_129) (- 31)) (>= (+ (+ (+ ?v_227 ?v_228) ?v_212) (* 5 ?x4)) (- 98))) (and (<= (+ (+ ?v_124 ?v_229) ?v_69) (- 55)) (<= (+ (+ (* (- 76) ?x2) (* 75 ?x3)) ?v_230) 83))) (and (or (<= (+ (+ ?v_231 ?v_146) ?v_162) (- 58)) (> (+ ?v_232 ?v_219) 0)) (and (not (= (+ (+ ?v_233 ?v_234) ?v_257) 30)) (= (+ (+ ?v_235 ?v_165) ?v_148) 50))))) (or (or (and (or (>= (+ (+ ?v_236 ?v_237) (* 88 ?x4)) (- 8)) (>= (+ ?v_93 ?v_86) (- 2))) (or (not (= (+ (+ (+ ?v_238 ?v_239) ?v_240) ?v_241) 96)) (> (+ (+ (+ (* (- 63) ?x1) ?v_242) ?v_145) ?v_301) 24))) (and (or (<= (+ (+ ?v_269 ?v_148) ?v_244) (- 82)) (< (+ (+ (+ ?v_245 ?v_246) (* 6 ?x3)) ?v_247) 0)) (and (>= (+ (+ (* 65 ?x1) ?v_248) ?v_298) 46) (= (+ (+ ?v_249 ?v_343) ?v_250) 0)))) (and (and (= (+ (+ (+ ?v_251 (* 13 ?x2)) ?v_252) ?v_64) 24) (>= (+ (+ (* 92 ?x1) ?v_253) (* 6 ?x4)) 0)) (< (+ (+ (* (- 12) ?x1) ?v_254) ?v_13) (- 11)))))))) (or (and (or (and (and (and (<= (+ (+ (* 74 ?x1) (* (- 92) ?x3)) ?v_255) (- 25)) (> (+ (+ (* 76 ?x1) ?v_256) ?v_296) 0)) (or (>= (+ (+ (* (- 8) ?x2) (* 67 ?x3)) ?v_257) 94) (= (+ (+ (* 43 ?x1) (* (- 22) ?x2)) ?v_25) 0))) (or (<= (+ (+ ?v_84 ?v_258) ?v_25) 0) (or (or (>= ?v_255 91) (> (+ ?v_259 ?v_221) 71)) (or (<= (+ (+ (+ (* (- 32) ?x1) ?v_260) ?v_24) ?v_185) 66) (< (+ (+ (* (- 97) ?x1) ?v_261) ?v_262) 19))))) (and (or (and (and (not (= (+ (+ ?v_263 (* 14 ?x2)) ?v_264) 0)) (< (+ ?v_62 ?v_64) 10)) (or (= (+ (* 36 ?x2) ?v_28) (- 45)) (not (= (+ ?v_265 ?v_266) 5)))) (or (and (= (+ (+ (+ ?v_267 ?v_291) ?v_161) (* 57 ?x4)) (- 60)) (<= (+ ?v_154 (* (- 5) ?x3)) 0)) (or (<= ?v_268 0) (< (+ (+ ?v_269 (* (- 4) ?x3)) (* (- 29) ?x4)) (- 95))))) (and (and (or (> (+ (+ (* 86 ?x1) ?v_98) (* (- 11) ?x4)) 74) (< (+ (+ (* 70 ?x1) ?v_346) (* (- 79) ?x3)) 1)) (or (not (= (+ (+ ?v_155 ?v_270) (* 26 ?x3)) 0)) (not (= (+ (+ (+ ?v_271 (* 65 ?x2)) ?v_272) ?v_273) 0)))) (or (<= (+ (+ (+ ?v_274 ?v_275) ?v_99) ?v_276) (- 70)) (and (> (+ ?v_277 ?v_216) 83) (<= (+ (+ (+ (* (- 41) ?x1) ?v_98) ?v_252) ?v_82) 0)))))) (and (and (or (or (not (= (+ (+ ?v_278 ?v_279) (* 75 ?x4)) (- 3))) (< (+ (+ (+ ?v_130 ?v_280) (* 65 ?x3)) ?v_281) 70)) (and (>= (+ (+ ?v_231 (* (- 16) ?x2)) (* 59 ?x4)) 85) (> (+ (+ (* 1 ?x2) ?v_282) (* (- 81) ?x4)) 0))) (< (+ (+ (* 75 ?x1) ?v_283) ?v_129) 0)) (and (or (and (not (= (+ (+ (+ ?v_284 ?v_285) ?v_59) ?v_111) (- 45))) (< (+ (+ (+ (* 33 ?x1) ?v_68) ?v_28) ?v_286) 49)) (< (+ (+ (+ (* 80 ?x1) ?v_287) (* 28 ?x3)) ?v_288) 28)) (and (= (+ (+ ?v_72 ?v_157) ?v_289) (- 78)) (>= (+ (+ ?v_290 ?v_291) ?v_289) 82))))) (and (and (and (and (or (= (+ (+ ?v_238 (* (- 20) ?x3)) (* 32 ?x4)) 29) (= (+ (+ (* (- 80) ?x2) ?v_292) ?v_293) 0)) (or (> (+ (+ ?v_294 ?v_295) ?v_296) 0) (<= (+ (+ (+ ?v_297 (* 71 ?x2)) ?v_298) ?v_305) 74))) (or (and (> (+ ?v_65 ?v_88) 0) (< (+ (+ ?v_299 ?v_300) ?v_301) (- 92))) (or (<= (+ (+ (+ ?v_302 (* 3 ?x2)) ?v_203) ?v_303) (- 37)) (not (= (+ (+ ?v_304 ?v_70) ?v_305) 18))))) (or (and (> (+ (+ ?v_306 ?v_217) ?v_307) (- 25)) (and (>= (+ ?v_308 ?v_99) 67) (<= (+ (+ ?v_233 (* 57 ?x2)) ?v_309) (- 100)))) (or (and (not (= (+ (+ ?v_299 ?v_310) ?v_311) 0)) (<= (+ (+ (+ ?v_186 ?v_312) (* (- 31) ?x3)) ?v_313) 50)) (and (< (+ (+ ?v_150 ?v_314) ?v_230) (- 83)) (< (+ ?v_179 ?v_315) 25))))) (or (or (and (and (not (= (+ (* (- 7) ?x1) (* (- 89) ?x2)) 63)) (< (+ (+ (+ ?v_124 (* (- 40) ?x2)) ?v_340) ?v_276) 0)) (or (and (<= (+ (* 19 ?x2) ?v_316) (- 39)) (<= (+ (+ ?v_89 ?v_125) ?v_317) 30)) (or (< (+ ?v_260 ?v_318) (- 35)) (<= (+ (* (- 53) ?x2) ?v_319) 0)))) (and (and (or (or (= (+ (+ ?v_3 ?v_287) ?v_37) 35) (> (+ ?v_62 ?v_173) 0)) (>= (+ (+ ?v_290 ?v_320) ?v_321) (- 2))) (and (>= (+ ?v_322 (* (- 29) ?x3)) 0) (or (<= (+ (+ ?v_60 ?v_191) ?v_323) (- 49)) (<= (+ (+ (+ (* 20 ?x1) ?v_70) ?v_315) (* (- 60) ?x4)) (- 91))))) (and (and (and (> (+ ?v_322 ?v_219) (- 60)) (= (+ (+ (+ (* 69 ?x1) (* 84 ?x2)) (* 84 ?x3)) ?v_324) 0)) (and (> (+ (+ ?v_51 ?v_212) ?v_38) (- 51)) (<= (+ (+ ?v_325 ?v_258) (* (- 40) ?x4)) (- 4)))) (and (not (= (+ (+ (* (- 46) ?x1) ?v_326) ?v_327) 0)) (> (* (- 81) ?x3) (- 49)))))) (and (and (and (and (and (>= (+ ?v_328 ?v_113) 46) (>= (+ (+ (+ (* 38 ?x1) (* 54 ?x2)) ?v_329) ?v_330) (- 5))) (and (> (+ (+ ?v_128 (* 9 ?x3)) ?v_103) (- 60)) (< ?v_268 0))) (and (and (= (+ (+ (+ (* 95 ?x1) ?v_331) (* 29 ?x3)) (* 99 ?x4)) 0) (= (+ ?v_326 ?v_118) 0)) (not (= (+ ?v_332 (* (- 84) ?x4)) 41)))) (or (or (< (+ (+ ?v_333 ?v_35) ?v_334) 25) (> (+ ?v_335 ?v_336) 44)) (< (+ (+ ?v_337 ?v_314) ?v_180) 52))) (or (or (and (<= (+ ?v_338 (* (- 65) ?x4)) 63) (or (< (+ ?v_339 ?v_340) (- 71)) (= (+ (+ ?v_341 ?v_342) ?v_171) (- 43)))) (and (and (>= (+ (+ (* (- 72) ?x2) ?v_256) ?v_118) 94) (< (+ ?v_343 ?v_45) 0)) (and (= (+ (+ ?v_187 ?v_282) ?v_288) 0) (not (= (+ ?v_85 ?v_219) (- 45)))))) (and (and (> (+ (+ (+ (* (- 87) ?x1) ?v_68) ?v_326) ?v_344) 80) (<= (+ (+ ?v_214 ?v_345) (* (- 74) ?x4)) 0)) (and (<= (+ (+ ?v_346 ?v_309) ?v_330) 0) (>= (+ (+ (+ ?v_58 ?v_347) ?v_139) ?v_348) 0)))))))))))))))))
(check-sat)
(exit)
