(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_58 (* 75 ?x2)) (?v_3 (* 4 ?x3)) (?v_119 (* 83 ?x4)) (?v_281 (* 27 ?x1)) (?v_104 (* 42 ?x2)) (?v_121 (* 50 ?x4)) (?v_0 (* 62 ?x3)) (?v_9 (* 23 ?x4)) (?v_95 (* 18 ?x1)) (?v_41 (* 67 ?x3)) (?v_98 (* 88 ?x1)) (?v_107 (* 46 ?x4)) (?v_265 (* 70 ?x2)) (?v_163 (* 85 ?x3)) (?v_115 (* 22 ?x1)) (?v_318 (* 27 ?x2)) (?v_112 (* 13 ?x2)) (?v_33 (* 73 ?x2)) (?v_6 (* 51 ?x1)) (?v_286 (* 29 ?x1)) (?v_85 (* 89 ?x2)) (?v_433 (* 33 ?x1)) (?v_159 (* 10 ?x1)) (?v_344 (* 6 ?x2)) (?v_54 (* 40 ?x3)) (?v_111 (* 67 ?x1)) (?v_2 (* 21 ?x3)) (?v_311 (* 50 ?x3)) (?v_4 (* 3 ?x4)) (?v_148 (* 62 ?x2)) (?v_213 (* 9 ?x4)) (?v_16 (* 21 ?x2)) (?v_636 (* 88 ?x3)) (?v_38 (* 25 ?x1)) (?v_598 (* 100 ?x2)) (?v_53 (* 91 ?x3)) (?v_57 (* 43 ?x3)) (?v_21 (* 30 ?x1)) (?v_613 (* 87 ?x2)) (?v_59 (* 77 ?x3)) (?v_137 (* 31 ?x4)) (?v_544 (* 79 ?x1)) (?v_233 (* 56 ?x2)) (?v_56 (* 51 ?x3)) (?v_46 (* 42 ?x1)) (?v_67 (* 70 ?x3)) (?v_10 (* 59 ?x1)) (?v_209 (* 13 ?x1)) (?v_27 (* 36 ?x4)) (?v_423 (* 23 ?x3)) (?v_187 (* 60 ?x4)) (?v_244 (* 71 ?x3)) (?v_12 (* 44 ?x1)) (?v_601 (* 12 ?x2)) (?v_47 (* 62 ?x4)) (?v_73 (* 9 ?x1)) (?v_608 (* 47 ?x1)) (?v_86 (* 60 ?x1)) (?v_25 (* 93 ?x2)) (?v_26 (* 29 ?x3)) (?v_99 (* 77 ?x4)) (?v_167 (* 2 ?x4)) (?v_665 (* 8 ?x2)) (?v_160 (* 31 ?x3)) (?v_22 (* 77 ?x1)) (?v_457 (* 15 ?x2)) (?v_178 (* 89 ?x1)) (?v_200 (* 17 ?x4)) (?v_524 (* 10 ?x3)) (?v_540 (* 51 ?x2)) (?v_15 (* 42 ?x3)) (?v_76 (* 66 ?x3)) (?v_538 (* 4 ?x2)) (?v_28 (* 3 ?x3)) (?v_504 (* 78 ?x4)) (?v_206 (* 12 ?x3)) (?v_316 (* 100 ?x4)) (?v_347 (* 28 ?x2)) (?v_34 (* 14 ?x3)) (?v_345 (* 90 ?x4)) (?v_568 (* 34 ?x2)) (?v_19 (* 3 ?x2)) (?v_588 (* 13 ?x4)) (?v_71 (* 57 ?x2)) (?v_48 (* 41 ?x3)) (?v_245 (* 7 ?x4)) (?v_84 (* 44 ?x2)) (?v_23 (* 2 ?x2)) (?v_684 (* 61 ?x3)) (?v_171 (* 1 ?x4)) (?v_249 (* 36 ?x1)) (?v_161 (* 67 ?x4)) (?v_262 (* 45 ?x2)) (?v_72 (* 93 ?x4)) (?v_417 (* 31 ?x1)) (?v_451 (* 86 ?x3)) (?v_29 (* 43 ?x4)) (?v_40 (* 54 ?x1)) (?v_186 (* 98 ?x3)) (?v_189 (* 86 ?x4)) (?v_30 (* 49 ?x1)) (?v_431 (* 6 ?x1)) (?v_63 (* 94 ?x1)) (?v_69 (* 45 ?x4)) (?v_578 (* 85 ?x2)) (?v_162 (* 94 ?x2)) (?v_74 (* 61 ?x1)) (?v_136 (* 10 ?x2)) (?v_450 (* 87 ?x3)) (?v_272 (* 19 ?x4)) (?v_263 (* 69 ?x4)) (?v_199 (* 37 ?x4)) (?v_378 (* 79 ?x3)) (?v_349 (* 80 ?x2)) (?v_630 (* 57 ?x4)) (?v_142 (* 20 ?x2)) (?v_123 (* 65 ?x2)) (?v_49 (* 46 ?x3)) (?v_604 (* 89 ?x3)) (?v_518 (* 90 ?x1)) (?v_231 (* 84 ?x3)) (?v_428 (* 32 ?x3)) (?v_610 (* 42 ?x4)) (?v_64 (* 63 ?x3)) (?v_44 (* 83 ?x2)) (?v_275 (* 22 ?x4)) (?v_264 (* 19 ?x2)) (?v_646 (* 92 ?x2)) (?v_688 (* 28 ?x3)) (?v_261 (* 59 ?x4)) (?v_712 (* 96 ?x1)) (?v_144 (* 33 ?x4)) (?v_388 (* 72 ?x1)) (?v_82 (* 85 ?x4)) (?v_156 (* 39 ?x2)) (?v_236 (* 20 ?x3)) (?v_60 (* 11 ?x4)) (?v_314 (* 70 ?x1)) (?v_302 (* 37 ?x2)) (?v_346 (* 4 ?x1)) (?v_234 (* 4 ?x4)) (?v_705 (* 84 ?x4)) (?v_61 (* 62 ?x1)) (?v_379 (* 49 ?x4)) (?v_447 (* 61 ?x4)) (?v_149 (* 91 ?x1)) (?v_284 (* 76 ?x2)) (?v_256 (* 16 ?x2)) (?v_126 (* 15 ?x1)) (?v_254 (* 23 ?x1)) (?v_141 (* 63 ?x2)) (?v_585 (* 78 ?x3)) (?v_324 (* 86 ?x1)) (?v_530 (* 54 ?x2)) (?v_153 (* 14 ?x1)) (?v_277 (* 55 ?x2)) (?v_101 (* 53 ?x3)) (?v_252 (* 33 ?x3)) (?v_399 (* 72 ?x4)) (?v_320 (* 16 ?x4)) (?v_227 (* 53 ?x1)) (?v_93 (* 40 ?x2)) (?v_663 (* 81 ?x3)) (?v_434 (* 52 ?x2)) (?v_241 (* 44 ?x4)) (?v_94 (* 58 ?x1)) (?v_221 (* 39 ?x1)) (?v_560 (* 50 ?x2)) (?v_290 (* 13 ?x3)) (?v_454 (* 52 ?x4)) (?v_170 (* 15 ?x4)) (?v_152 (* 24 ?x1)) (?v_191 (* 80 ?x4)) (?v_327 (* 6 ?x3)) (?v_643 (* 75 ?x4)) (?v_158 (* 36 ?x2)) (?v_225 (* 87 ?x4)) (?v_571 (* 10 ?x4)) (?v_105 (* 69 ?x2)) (?v_321 (* 82 ?x3)) (?v_96 (* 22 ?x2)) (?v_494 (* 24 ?x4)) (?v_437 (* 60 ?x3)) (?v_465 (* 46 ?x2)) (?v_172 (* 34 ?x4)) (?v_103 (* 38 ?x2)) (?v_268 (* 74 ?x2)) (?v_129 (* 97 ?x1)) (?v_511 (* 55 ?x1)) (?v_351 (* 100 ?x3)) (?v_696 (* 55 ?x4)) (?v_495 (* 87 ?x1)) (?v_353 (* 56 ?x3)) (?v_436 (* 99 ?x1)) (?v_597 (* 82 ?x4)) (?v_228 (* 25 ?x2)) (?v_132 (* 92 ?x3)) (?v_549 (* 95 ?x1)) (?v_117 (* 1 ?x3)) (?v_456 (* 5 ?x3)) (?v_124 (* 93 ?x3)) (?v_415 (* 26 ?x1)) (?v_232 (* 11 ?x3)) (?v_301 (* 36 ?x3)) (?v_594 (* 43 ?x2)) (?v_517 (* 7 ?x3)) (?v_270 (* 8 ?x1)) (?v_195 (* 49 ?x2)) (?v_285 (* 39 ?x4)) (?v_338 (* 48 ?x1)) (?v_357 (* 98 ?x2)) (?v_197 (* 64 ?x4)) (?v_173 (* 81 ?x4)) (?v_382 (* 49 ?x3)) (?v_204 (* 95 ?x3)) (?v_207 (* 5 ?x4)) (?v_416 (* 96 ?x4)) (?v_238 (* 72 ?x2)) (?v_276 (* 1 ?x1)) (?v_534 (* 48 ?x2)) (?v_385 (* 73 ?x4)) (?v_380 (* 2 ?x3)) (?v_185 (* 91 ?x4)) (?v_208 (* 30 ?x3)) (?v_407 (* 34 ?x1)) (?v_567 (* 76 ?x4)) (?v_190 (* 18 ?x2)) (?v_354 (* 78 ?x1)) (?v_214 (* 74 ?x4)) (?v_624 (* 69 ?x1)) (?v_230 (* 40 ?x1)) (?v_226 (* 65 ?x1)) (?v_193 (* 50 ?x1)) (?v_411 (* 11 ?x1)) (?v_640 (* 52 ?x3)) (?v_323 (* 15 ?x3)) (?v_181 (* 60 ?x2)) (?v_317 (* 9 ?x3)) (?v_267 (* 85 ?x1)) (?v_394 (* 58 ?x2)) (?v_489 (* 88 ?x2)) (?v_211 (* 38 ?x3)) (?v_661 (* 33 ?x2)) (?v_501 (* 56 ?x4)) (?v_628 (* 95 ?x2)) (?v_396 (* 65 ?x3)) (?v_215 (* 21 ?x1)) (?v_293 (* 53 ?x2)) (?v_229 (* 8 ?x3)) (?v_657 (* 67 ?x2)) (?v_405 (* 19 ?x3)) (?v_441 (* 27 ?x4)) (?v_391 (* 93 ?x1)) (?v_520 (* 35 ?x2)) (?v_330 (* 38 ?x1)) (?v_329 (* 45 ?x1)) (?v_386 (* 19 ?x1)) (?v_257 (* 80 ?x3)) (?v_564 (* 18 ?x4)) (?v_306 (* 98 ?x1)) (?v_294 (* 5 ?x1)) (?v_271 (* 96 ?x2)) (?v_376 (* 29 ?x4)) (?v_422 (* 17 ?x2)) (?v_367 (* 75 ?x3)) (?v_622 (* 97 ?x3)) (?v_587 (* 47 ?x2))) (let ((?v_685 (+ ?v_115 ?v_587)) (?v_390 (* 16 ?x3)) (?v_308 (* 29 ?x2)) (?v_689 (* 39 ?x3)) (?v_269 (* 92 ?x1)) (?v_371 (* 71 ?x2)) (?v_374 (* 12 ?x1)) (?v_580 (* 58 ?x3)) (?v_523 (* 17 ?x1)) (?v_359 (* 55 ?x3)) (?v_607 (* 73 ?x1)) (?v_408 (* 2 ?x1)) (?v_690 (* 66 ?x2)) (?v_565 (* 80 ?x1)) (?v_469 (* 66 ?x1)) (?v_627 (* 54 ?x3)) (?v_350 (* 100 ?x1)) (?v_460 (* 89 ?x4)) (?v_322 (* 64 ?x1)) (?v_662 (* 68 ?x1)) (?v_579 (* 34 ?x3)) (?v_484 (* 90 ?x3)) (?v_533 (* 82 ?x1)) (?v_683 (* 99 ?x4)) (?v_440 (* 76 ?x3)) (?v_507 (* 17 ?x3)) (?v_398 (* 9 ?x2)) (?v_332 (* 5 ?x2)) (?v_395 (* 32 ?x1)) (?v_647 (* 27 ?x3)) (?v_649 (* 59 ?x2)) (?v_364 (* 26 ?x4)) (?v_528 (* 99 ?x2)) (?v_542 (* 23 ?x2)) (?v_602 (* 71 ?x4)) (?v_574 (* 83 ?x3)) (?v_611 (* 71 ?x1)) (?v_644 (* 24 ?x2)) (?v_553 (* 28 ?x4)) (?v_614 (* 68 ?x3)) (?v_659 (* 61 ?x2)) (?v_536 (* 7 ?x1)) (?v_459 (* 63 ?x4)) (?v_445 (* 30 ?x4)) (?v_575 (* 57 ?x1)) (?v_625 (* 20 ?x1)) (?v_629 (* 94 ?x3)) (?v_503 (* 44 ?x3)) (?v_453 (* 37 ?x3)) (?v_593 (* 28 ?x1)) (?v_558 (* 38 ?x4)) (?v_452 (* 77 ?x2)) (?v_512 (* 64 ?x3)) (?v_463 (* 40 ?x4)) (?v_638 (* 54 ?x4)) (?v_709 (* 51 ?x4)) (?v_490 (* 81 ?x2)) (?v_492 (* 83 ?x1)) (?v_541 (* 12 ?x4)) (?v_681 (* 26 ?x2)) (?v_526 (* 76 ?x1)) (?v_672 (* 48 ?x3)) (?v_623 (* 53 ?x4)) (?v_633 (* 26 ?x3)) (?v_510 (* 25 ?x3)) (?v_697 (* 25 ?x4)) (?v_561 (* 52 ?x1)) (?v_590 (* 35 ?x3)) (?v_519 (* 91 ?x2)) (?v_583 (* 92 ?x4)) (?v_554 (* 11 ?x2)) (?v_695 (* 32 ?x2)) (?v_676 (* 6 ?x4)) (?v_546 (* 20 ?x4)) (?v_595 (* 47 ?x4)) (?v_545 (* 22 ?x3)) (?v_566 (* 97 ?x4)) (?v_599 (* 98 ?x4)) (?v_687 (* 41 ?x4)) (?v_671 (* 14 ?x2)) (?v_673 (* 41 ?x1)) (?v_664 (* 16 ?x1)) (?v_656 (* 68 ?x4)) (?v_682 (* 88 ?x4)) (?v_637 (* 82 ?x2)) (?v_693 (* 3 ?x1)) (?v_692 (* 7 ?x2)) (?v_651 (* 69 ?x3)) (?v_674 (* 56 ?x1)) (?v_108 (* (- 46) ?x1)) (?v_17 (* (- 85) ?x3)) (?v_356 (* (- 100) ?x2)) (?v_478 (* (- 37) ?x2)) (?v_13 (* (- 77) ?x4)) (?v_562 (* (- 42) ?x4)) (?v_45 (* (- 37) ?x4)) (?v_632 (* (- 60) ?x2)) (?v_7 (* (- 78) ?x3)) (?v_248 (* (- 90) ?x4)) (?v_288 (* (- 83) ?x3)) (?v_43 (* (- 66) ?x4)) (?v_253 (* (- 36) ?x4)) (?v_603 (* (- 49) ?x1)) (?v_654 (* (- 49) ?x3)) (?v_615 (* (- 32) ?x4)) (?v_455 (* (- 62) ?x2)) (?v_1 (* (- 30) ?x2)) (?v_31 (* (- 97) ?x3)) (?v_8 (* (- 83) ?x4)) (?v_116 (* (- 17) ?x2)) (?v_279 (* (- 26) ?x4)) (?v_373 (* (- 63) ?x2)) (?v_212 (* (- 12) ?x4)) (?v_14 (* (- 88) ?x1)) (?v_11 (* (- 45) ?x1)) (?v_442 (* (- 5) ?x3)) (?v_77 (* (- 35) ?x4)) (?v_5 (* (- 32) ?x3)) (?v_62 (* (- 96) ?x1)) (?v_20 (* (- 48) ?x4)) (?v_164 (* (- 23) ?x1)) (?v_242 (* (- 25) ?x3)) (?v_175 (* (- 8) ?x4)) (?v_36 (* (- 65) ?x2)) (?v_147 (* (- 89) ?x3)) (?v_143 (* (- 1) ?x4)) (?v_87 (* (- 53) ?x2)) (?v_183 (* (- 98) ?x1)) (?v_641 (* (- 21) ?x2)) (?v_548 (* (- 60) ?x3)) (?v_24 (* (- 38) ?x2)) (?v_114 (* (- 84) ?x4)) (?v_555 (* (- 42) ?x3)) (?v_266 (* (- 97) ?x4)) (?v_307 (* (- 90) ?x1)) (?v_92 (* (- 86) ?x1)) (?v_404 (* (- 90) ?x2)) (?v_139 (* (- 12) ?x3)) (?v_89 (* (- 63) ?x1)) (?v_90 (* (- 88) ?x3)) (?v_273 (* (- 52) ?x1)) (?v_39 (* (- 60) ?x1)) (?v_32 (* (- 34) ?x4)) (?v_18 (* (- 47) ?x2)) (?v_146 (* (- 76) ?x3)) (?v_280 (* (- 38) ?x4)) (?v_449 (* (- 89) ?x1)) (?v_251 (* (- 57) ?x1)) (?v_336 (* (- 25) ?x2)) (?v_706 (* (- 17) ?x1)) (?v_487 (* (- 87) ?x1)) (?v_392 (* (- 27) ?x4)) (?v_79 (* (- 34) ?x1)) (?v_51 (* (- 44) ?x2)) (?v_707 (* (- 15) ?x4)) (?v_310 (* (- 81) ?x2)) (?v_52 (* (- 18) ?x3)) (?v_106 (* (- 61) ?x4)) (?v_340 (* (- 4) ?x1)) (?v_334 (* (- 55) ?x1)) (?v_37 (* (- 91) ?x4)) (?v_486 (* (- 50) ?x2)) (?v_50 (* (- 25) ?x1)) (?v_97 (* (- 8) ?x3)) (?v_130 (* (- 42) ?x2)) (?v_648 (* (- 65) ?x3)) (?v_295 (* (- 63) ?x4)) (?v_260 (* (- 99) ?x3)) (?v_274 (* (- 24) ?x3)) (?v_157 (* (- 50) ?x4)) (?v_410 (* (- 73) ?x4)) (?v_145 (* (- 61) ?x2)) (?v_237 (* (- 78) ?x1)) (?v_88 (* (- 75) ?x3)) (?v_81 (* (- 58) ?x2)) (?v_485 (* (- 60) ?x4)) (?v_220 (* (- 72) ?x3)) (?v_660 (* (- 82) ?x4)) (?v_366 (* (- 73) ?x1)) (?v_429 (* (- 88) ?x4)) (?v_342 (* (- 80) ?x3)) (?v_78 (* (- 95) ?x3)) (?v_464 (* (- 67) ?x1)) (?v_155 (* (- 10) ?x1)) (?v_420 (* (- 69) ?x1)) (?v_577 (* (- 11) ?x4)) (?v_235 (* (- 85) ?x1)) (?v_180 (* (- 40) ?x1)) (?v_35 (* (- 9) ?x4)) (?v_42 (* (- 62) ?x1)) (?v_65 (* (- 15) ?x1)) (?v_217 (* (- 34) ?x2)) (?v_291 (* (- 43) ?x4)) (?v_201 (* (- 37) ?x1)) (?v_482 (* (- 94) ?x1)) (?v_75 (* (- 93) ?x2)) (?v_240 (* (- 21) ?x3)) (?v_174 (* (- 79) ?x3)) (?v_509 (* (- 56) ?x3)) (?v_383 (* (- 86) ?x4)) (?v_70 (* (- 8) ?x1)) (?v_326 (* (- 83) ?x2)) (?v_182 (* (- 59) ?x2)) (?v_446 (* (- 15) ?x2)) (?v_694 (* (- 85) ?x2)) (?v_539 (* (- 30) ?x3)) (?v_483 (* (- 6) ?x3)) (?v_282 (* (- 79) ?x4)) (?v_443 (* (- 42) ?x1)) (?v_55 (* (- 92) ?x2)) (?v_68 (* (- 35) ?x3)) (?v_496 (* (- 91) ?x3)) (?v_626 (* (- 22) ?x1)) (?v_527 (* (- 16) ?x3)) (?v_305 (* (- 75) ?x4)) (?v_118 (* (- 92) ?x3)) (?v_151 (* (- 4) ?x4)) (?v_289 (* (- 78) ?x2)) (?v_127 (* (- 2) ?x4)) (?v_83 (* (- 69) ?x2)) (?v_339 (* (- 43) ?x3)) (?v_91 (* (- 32) ?x2)) (?v_66 (* (- 6) ?x1)) (?v_109 (* (- 33) ?x2)) (?v_365 (* (- 89) ?x2)) (?v_335 (* (- 70) ?x4)) (?v_337 (* (- 76) ?x4)) (?v_303 (* (- 48) ?x3)) (?v_409 (* (- 59) ?x4)) (?v_444 (* (- 73) ?x2)) (?v_120 (* (- 17) ?x4)) (?v_166 (* (- 76) ?x2)) (?v_196 (* (- 84) ?x3)) (?v_619 (* (- 65) ?x4)) (?v_80 (* (- 20) ?x4)) (?v_532 (* (- 46) ?x2)) (?v_222 (* (- 100) ?x4)) (?v_435 (* (- 49) ?x2)) (?v_133 (* (- 87) ?x2)) (?v_470 (* (- 77) ?x3)) (?v_430 (* (- 33) ?x4)) (?v_138 (* (- 95) ?x1)) (?v_113 (* (- 16) ?x2)) (?v_343 (* (- 72) ?x4)) (?v_122 (* (- 56) ?x1)) (?v_100 (* (- 13) ?x3)) (?v_194 (* (- 95) ?x2)) (?v_134 (* (- 52) ?x3)) (?v_168 (* (- 74) ?x3)) (?v_125 (* (- 33) ?x1)) (?v_304 (* (- 63) ?x3)) (?v_176 (* (- 9) ?x1)) (?v_135 (* (- 75) ?x1)) (?v_192 (* (- 54) ?x3)) (?v_110 (* (- 46) ?x4)) (?v_169 (* (- 51) ?x1)) (?v_515 (* (- 29) ?x3)) (?v_223 (* (- 49) ?x4)) (?v_576 (* (- 52) ?x2)) (?v_179 (* (- 58) ?x3)) (?v_670 (* (- 31) ?x1)) (?v_477 (* (- 35) ?x2)) (?v_584 (* (- 27) ?x1)) (?v_210 (* (- 26) ?x3)) (?v_296 (* (- 26) ?x2)) (?v_188 (* (- 5) ?x4)) (?v_102 (* (- 66) ?x2)) (?v_360 (* (- 29) ?x4)) (?v_128 (* (- 1) ?x1)) (?v_250 (* (- 27) ?x3)) (?v_480 (* (- 48) ?x2)) (?v_216 (* (- 29) ?x1)) (?v_202 (* (- 39) ?x3)) (?v_140 (* (- 85) ?x4)) (?v_678 (* (- 82) ?x1)) (?v_218 (* (- 27) ?x2)) (?v_283 (* (- 16) ?x1)) (?v_439 (* (- 96) ?x2)) (?v_421 (* (- 7) ?x4)) (?v_154 (* (- 21) ?x4)) (?v_609 (* (- 56) ?x2)) (?v_131 (* (- 20) ?x1)) (?v_403 (* (- 22) ?x4)) (?v_370 (* (- 64) ?x4)) (?v_369 (* (- 69) ?x3)) (?v_219 (* (- 70) ?x2)) (?v_458 (* (- 61) ?x3)) (?v_448 (* (- 36) ?x2)) (?v_246 (* (- 25) ?x4)) (?v_177 (* (- 3) ?x4)) (?v_591 (* (- 31) ?x4)) (?v_389 (* (- 2) ?x2)) (?v_543 (* (- 33) ?x3)) (?v_243 (* (- 96) ?x4)) (?v_473 (* (- 81) ?x3)) (?v_393 (* (- 38) ?x1)) (?v_412 (* (- 72) ?x2)) (?v_292 (* (- 57) ?x2)) (?v_205 (* (- 40) ?x4)) (?v_165 (* (- 61) ?x1)) (?v_150 (* (- 14) ?x3)) (?v_368 (* (- 68) ?x4)) (?v_438 (* (- 81) ?x4)) (?v_203 (* (- 14) ?x4)) (?v_513 (* (- 26) ?x1)) (?v_596 (* (- 93) ?x4)) (?v_298 (* (- 57) ?x4)) (?v_258 (* (- 9) ?x2)) (?v_425 (* (- 10) ?x2)) (?v_362 (* (- 74) ?x2)) (?v_255 (* (- 28) ?x1)) (?v_309 (* (- 47) ?x4)) (?v_589 (* (- 8) ?x2)) (?v_184 (* (- 43) ?x2)) (?v_319 (* (- 55) ?x3)) (?v_397 (* (- 10) ?x3)) (?v_572 (* (- 99) ?x4)) (?v_377 (* (- 62) ?x3))) (let ((?v_570 (+ ?v_180 ?v_181)) (?v_363 (* (- 62) ?x4)) (?v_581 (* (- 76) ?x1)) (?v_401 (* (- 11) ?x3)) (?v_259 (* (- 71) ?x1)) (?v_402 (* (- 5) ?x1)) (?v_424 (+ (* (- 39) ?x1) ?v_661)) (?v_413 (* (- 32) ?x1)) (?v_247 (* (- 84) ?x1)) (?v_331 (* (- 12) ?x1)) (?v_522 (* (- 59) ?x3)) (?v_701 (* (- 58) ?x1)) (?v_348 (* (- 56) ?x4)) (?v_239 (* (- 45) ?x4)) (?v_198 (* (- 91) ?x1)) (?v_224 (* (- 94) ?x2)) (?v_426 (* (- 67) ?x3)) (?v_618 (* (- 70) ?x1)) (?v_325 (* (- 29) ?x2)) (?v_381 (* (- 17) ?x3)) (?v_358 (* (- 100) ?x3)) (?v_419 (* (- 15) ?x3)) (?v_299 (* (- 98) ?x3)) (?v_635 (* (- 58) ?x4)) (?v_361 (* (- 2) ?x3)) (?v_461 (* (- 28) ?x4)) (?v_667 (* (- 98) ?x4)) (?v_387 (* (- 54) ?x2)) (?v_606 (* (- 47) ?x3)) (?v_341 (* (- 80) ?x4)) (?v_418 (* (- 5) ?x2)) (?v_502 (* (- 87) ?x3)) (?v_427 (* (- 64) ?x2)) (?v_481 (* (- 35) ?x1)) (?v_328 (* (- 53) ?x3)) (?v_474 (* (- 30) ?x4)) (?v_468 (* (- 94) ?x3)) (?v_406 (* (- 10) ?x4)) (?v_355 (* (- 19) ?x4)) (?v_300 (* (- 7) ?x2)) (?v_278 (* (- 90) ?x3)) (?v_400 (* (- 74) ?x1)) (?v_620 (* (- 71) ?x3)) (?v_313 (* (- 89) ?x4)) (?v_466 (* (- 4) ?x2)) (?v_498 (* (- 23) ?x3)) (?v_669 (* (- 44) ?x1)) (?v_287 (* (- 39) ?x2)) (?v_297 (* (- 86) ?x3)) (?v_521 (* (- 45) ?x3)) (?v_525 (* (- 30) ?x1)) (?v_312 (* (- 40) ?x2)) (?v_573 (* (- 43) ?x1)) (?v_333 (* (- 70) ?x3)) (?v_472 (* (- 77) ?x2)) (?v_475 (* (- 47) ?x1)) (?v_582 (* (- 13) ?x2)) (?v_476 (* (- 51) ?x4)) (?v_372 (* (- 38) ?x3)) (?v_315 (* (- 11) ?x2)) (?v_500 (* (- 50) ?x1)) (?v_516 (* (- 68) ?x2)) (?v_488 (* (- 28) ?x3)) (?v_699 (* (- 72) ?x1)) (?v_499 (* (- 51) ?x3)) (?v_479 (* (- 94) ?x4)) (?v_384 (* (- 81) ?x1)) (?v_531 (* (- 1) ?x3)) (?v_708 (* (- 59) ?x1)) (?v_352 (* (- 79) ?x1)) (?v_551 (* (- 36) ?x3)) (?v_700 (* (- 44) ?x4)) (?v_432 (* (- 31) ?x2)) (?v_552 (* (- 68) ?x3)) (?v_652 (* (- 13) ?x4)) (?v_617 (* (- 82) ?x2)) (?v_508 (* (- 64) ?x1)) (?v_506 (* (- 98) ?x2)) (?v_414 (* (- 19) ?x1)) (?v_600 (* (- 24) ?x4)) (?v_375 (* (- 91) ?x2)) (?v_642 (* (- 64) ?x3)) (?v_592 (* (- 93) ?x3)) (?v_586 (* (- 41) ?x1)) (?v_668 (* (- 67) ?x2)) (?v_547 (* (- 66) ?x3)) (?v_505 (* (- 24) ?x2)) (?v_491 (* (- 7) ?x3)) (?v_612 (* (- 18) ?x2)) (?v_535 (* (- 19) ?x3)) (?v_616 (* (- 46) ?x3)) (?v_559 (* (- 80) ?x1)) (?v_675 (* (- 40) ?x3)) (?v_462 (* (- 65) ?x1))) (let ((?v_634 (+ ?v_462 ?v_432)) (?v_467 (* (- 51) ?x2)) (?v_497 (* (- 7) ?x1)) (?v_471 (* (- 68) ?x1)) (?v_653 (* (- 92) ?x1)) (?v_563 (* (- 6) ?x2)) (?v_650 (* (- 20) ?x2)) (?v_493 (* (- 41) ?x3)) (?v_631 (* (- 21) ?x1)) (?v_537 (* (- 6) ?x4)) (?v_556 (* (- 87) ?x4)) (?v_621 (* (- 3) ?x2)) (?v_702 (* (- 23) ?x4)) (?v_514 (* (- 13) ?x1)) (?v_557 (* (- 97) ?x1)) (?v_666 (* (- 67) ?x4)) (?v_550 (* (- 84) ?x2)) (?v_529 (* (- 39) ?x4)) (?v_639 (* (- 22) ?x3)) (?v_605 (* (- 3) ?x1)) (?v_655 (* (- 57) ?x3)) (?v_698 (* (- 41) ?x4)) (?v_711 (* (- 80) ?x2)) (?v_569 (* (- 11) ?x1)) (?v_680 (* (- 48) ?x1)) (?v_679 (* (- 75) ?x2)) (?v_658 (* (- 18) ?x4)) (?v_645 (* (- 18) ?x1)) (?v_703 (* (- 14) ?x2)) (?v_710 (* (- 52) ?x4)) (?v_677 (* (- 55) ?x4)) (?v_691 (* (- 31) ?x3)) (?v_704 (* (- 24) ?x1)) (?v_686 (* (- 77) ?x1))) (or (or (and (or (or (and (and (and (or (or (>= (+ (+ (+ ?v_108 ?v_58) ?v_3) ?v_119) 49) (not (= (+ (+ (+ ?v_281 ?v_104) ?v_17) ?v_121) 45))) (or (>= (+ (+ ?v_356 ?v_0) ?v_9) (- 26)) (<= (+ (+ (+ ?v_95 ?v_478) ?v_0) ?v_13) (- 61)))) (or (and (> (+ ?v_41 ?v_562) 0) (not (= (+ (+ ?v_98 (* 18 ?x3)) ?v_107) (- 93)))) (or (< (+ (+ ?v_265 ?v_163) ?v_45) 0) (>= (+ (+ ?v_632 ?v_7) ?v_248) (- 26))))) (or (or (and (< (+ (+ (+ ?v_115 ?v_318) ?v_288) ?v_43) 0) (< (+ ?v_112 ?v_253) 22)) (and (< (+ (+ (+ ?v_603 ?v_33) ?v_654) ?v_615) 82) (< (+ ?v_6 ?v_455) 0))) (and (and (<= (+ ?v_286 ?v_85) 5) (<= (+ (+ ?v_1 ?v_31) ?v_8) (- 10))) (< (+ ?v_433 ?v_116) (- 47))))) (and (and (>= (+ (+ (+ ?v_159 ?v_344) ?v_54) ?v_279) 61) (= (+ (+ (+ ?v_111 ?v_373) ?v_2) ?v_212) 17)) (or (and (> (+ (+ ?v_14 ?v_311) ?v_4) (- 22)) (>= (+ (+ ?v_11 ?v_442) ?v_77) 0)) (or (< (+ (+ ?v_148 ?v_5) ?v_213) (- 38)) (= (+ (+ ?v_62 ?v_16) ?v_636) 84))))) (and (or (and (not (= (+ (+ ?v_38 ?v_598) ?v_20) 30)) (= ?v_53 (- 31))) (and (not (= ?v_57 (- 60))) (= (+ ?v_164 ?v_242) 68))) (and (and (and (not (= (+ (+ (+ ?v_21 ?v_613) ?v_59) ?v_137) (- 94))) (= (+ (+ ?v_544 ?v_233) ?v_56) (- 78))) (and (>= (+ (+ (+ ?v_46 ?v_1) ?v_67) ?v_175) (- 47)) (< (+ (+ (+ ?v_10 ?v_36) ?v_147) ?v_143) (- 92)))) (or (not (= (+ (+ (+ ?v_209 (* 64 ?x2)) ?v_2) ?v_27) 78)) (not (= (+ (+ (+ (* (- 99) ?x1) ?v_87) ?v_423) ?v_187) (- 96))))))) (and (or (or (or (or (and (or (= (+ (+ ?v_183 ?v_641) ?v_548) (- 60)) (= (+ (+ ?v_24 ?v_244) ?v_114) 78)) (and (< (+ (+ (+ ?v_12 ?v_601) ?v_555) ?v_47) (- 80)) (= (+ ?v_73 ?v_3) (- 63)))) (and (> (+ ?v_608 ?v_266) 0) (> (+ ?v_86 ?v_4) 0))) (or (and (or (>= (+ (+ ?v_307 ?v_25) ?v_5) 0) (= (+ (+ ?v_92 ?v_404) ?v_139) 51)) (or (not (= (+ ?v_89 ?v_90) 92)) (> (+ (+ (+ ?v_6 (* (- 71) ?x2)) ?v_26) ?v_99) (- 97)))) (or (<= (+ ?v_273 ?v_167) 38) (not (= (+ (+ (+ ?v_39 ?v_665) ?v_160) ?v_32) 30))))) (and (or (or (and (= (+ (+ ?v_22 ?v_457) ?v_7) 51) (> (+ (+ (+ ?v_178 ?v_18) ?v_146) ?v_200) (- 76))) (and (>= (+ ?v_524 ?v_280) 0) (not (= (+ (+ (+ ?v_449 ?v_540) ?v_15) ?v_8) 0)))) (and (or (= (+ (+ (+ ?v_251 ?v_336) ?v_76) ?v_9) (- 42)) (not (= (+ (+ (+ ?v_706 ?v_538) ?v_28) ?v_504) 11))) (and (= (+ (+ ?v_10 ?v_206) ?v_316) (- 15)) (= (+ (+ (+ ?v_487 ?v_347) ?v_34) ?v_345) 60)))) (or (and (or (>= (+ ?v_11 ?v_392) 0) (<= (+ (+ ?v_79 ?v_51) ?v_707) 0)) (and (< (+ (+ ?v_12 (* (- 34) ?x3)) ?v_13) (- 26)) (<= (+ (+ (+ ?v_14 ?v_310) ?v_52) ?v_106) 90))) (or (and (not (= (+ (+ ?v_340 ?v_568) ?v_15) (- 49))) (<= (+ (+ ?v_334 ?v_19) ?v_37) (- 84))) (and (> (+ ?v_16 ?v_588) 29) (= (+ ?v_71 ?v_48) (- 18))))))) (or (and (or (or (= (+ ?v_486 ?v_17) 0) (< (+ (+ ?v_50 ?v_97) ?v_245) 0)) (or (not (= (+ (+ ?v_130 ?v_648) ?v_295) 84)) (<= (+ ?v_18 ?v_260) 2))) (and (and (= (+ (+ ?v_84 ?v_274) ?v_157) 11) (>= (+ (+ ?v_23 ?v_684) ?v_171) (- 5))) (and (< ?v_410 25) (>= (+ (+ ?v_249 ?v_145) ?v_161) 28)))) (or (or (or (>= (+ (+ (+ ?v_237 ?v_19) ?v_88) ?v_20) (- 92)) (not (= (+ (+ (+ ?v_21 ?v_262) ?v_2) ?v_72) (- 48)))) (and (or (< (+ (+ (+ ?v_417 ?v_81) ?v_451) ?v_29) (- 23)) (> (+ (+ ?v_22 ?v_23) ?v_485) (- 64))) (and (< (+ (+ (+ ?v_40 ?v_24) ?v_186) ?v_189) (- 56)) (= (+ (+ ?v_30 ?v_25) ?v_26) 27)))) (or (or (and (not (= (+ (+ ?v_431 ?v_220) ?v_660) 0)) (<= (+ ?v_366 ?v_429) 0)) (not (= (+ (+ ?v_63 ?v_342) ?v_27) 33))) (or (= (+ ?v_78 ?v_69) (- 61)) (or (> (+ ?v_464 ?v_578) 26) (> (+ (+ ?v_155 ?v_162) ?v_28) (- 25)))))))) (and (and (or (and (or (> (+ (+ (+ ?v_74 ?v_136) ?v_450) ?v_272) (- 81)) (= ?v_263 0)) (or (= ?v_199 (- 100)) (< (+ (+ ?v_420 ?v_378) ?v_29) 0))) (and (or (and (not (= (+ (+ ?v_30 ?v_31) ?v_577) 50)) (not (= (+ (+ ?v_235 ?v_349) ?v_630) (- 88)))) (and (< (+ (+ (+ ?v_180 ?v_142) ?v_26) ?v_35) 76) (<= (+ (+ (+ ?v_42 ?v_123) ?v_49) ?v_32) 33))) (or (not (= (+ (+ (+ ?v_65 ?v_33) ?v_604) (* 65 ?x4)) 9)) (<= (+ (+ ?v_6 ?v_34) ?v_35) 74)))) (or (and (< (+ (+ (+ ?v_518 ?v_217) ?v_231) ?v_291) (- 26)) (= (+ (+ (+ ?v_201 ?v_36) ?v_428) ?v_37) 99)) (and (and (< (+ ?v_482 ?v_610) (- 35)) (= (+ (+ ?v_38 ?v_75) ?v_64) 20)) (> (+ (+ (+ ?v_39 ?v_44) ?v_240) ?v_275) (- 49))))) (and (and (and (and (not (= (+ ?v_174 (* (- 53) ?x4)) 33)) (< (+ ?v_264 ?v_509) (- 35))) (or (or (< (+ (+ (+ ?v_40 ?v_646) ?v_688) ?v_383) 43) (>= (+ ?v_70 ?v_261) 0)) (or (> (+ ?v_712 ?v_326) 71) (> (+ (+ ?v_182 ?v_41) ?v_144) (- 34))))) (and (or (not (= (+ (+ (+ ?v_22 ?v_446) ?v_26) (* 8 ?x4)) (- 15))) (and (not (= (+ (+ (+ ?v_42 ?v_694) ?v_539) ?v_43) 68)) (not (= (+ (+ (+ ?v_388 ?v_44) ?v_483) ?v_282) 0)))) (or (> (+ (+ (+ ?v_443 ?v_55) ?v_68) ?v_45) 0) (or (= (+ (+ ?v_46 ?v_496) ?v_82) 66) (> (+ (+ (+ (* 43 ?x1) ?v_156) ?v_236) ?v_47) (- 76)))))) (or (and (or (or (< (+ (+ (+ ?v_626 ?v_18) ?v_527) ?v_305) (- 68)) (= (+ (+ ?v_23 ?v_48) ?v_60) (- 12))) (< (+ (+ ?v_314 ?v_302) ?v_118) 0)) (or (or (>= (+ ?v_49 ?v_151) 0) (= (+ (+ ?v_50 ?v_51) ?v_52) 9)) (and (> ?v_53 (- 91)) (>= (+ (+ (+ ?v_346 ?v_289) ?v_54) ?v_127) 0)))) (or (or (> (+ (+ ?v_55 ?v_56) ?v_234) 0) (< (+ (+ (+ ?v_14 ?v_83) ?v_57) ?v_705) 0)) (or (and (< (+ (+ (+ ?v_61 ?v_58) ?v_59) ?v_60) 46) (= (+ (+ ?v_61 ?v_28) ?v_379) (- 96))) (or (<= (+ ?v_62 ?v_339) 6) (not (= (+ ?v_63 ?v_91) (- 94))))))))))) (or (or (or (or (or (or (> (+ (+ ?v_66 ?v_109) ?v_447) 80) (> (+ (+ (+ ?v_149 ?v_365) ?v_64) ?v_335) (- 88))) (or (= (+ (+ ?v_50 ?v_284) ?v_337) (- 39)) (<= (+ (+ (+ ?v_65 ?v_256) ?v_303) ?v_409) 0))) (or (and (or (not (= (+ (+ ?v_66 ?v_444) ?v_120) (- 51))) (or (> (+ (+ (+ ?v_126 ?v_166) ?v_196) ?v_619) (- 19)) (> (+ (+ ?v_254 ?v_141) ?v_585) (- 76)))) (and (or (= (+ (+ (+ ?v_324 ?v_530) ?v_67) ?v_80) 99) (not (= (+ (+ (+ ?v_153 ?v_277) ?v_68) ?v_69) 62))) (or (<= (+ (+ (+ ?v_70 ?v_71) (* 45 ?x3)) ?v_72) (- 66)) (>= (+ (+ (+ ?v_73 ?v_532) ?v_101) ?v_222) 0)))) (or (or (<= (+ (+ (+ ?v_74 ?v_75) ?v_76) ?v_13) 86) (= (+ (+ ?v_435 ?v_252) ?v_399) (- 52))) (or (>= (+ (+ ?v_133 ?v_470) ?v_320) 100) (< (+ (+ (+ ?v_227 ?v_93) ?v_663) ?v_430) 0))))) (and (and (or (< (+ (+ ?v_138 ?v_113) ?v_77) (- 47)) (>= (+ ?v_78 ?v_343) (- 38))) (and (>= (+ (+ (+ ?v_122 ?v_434) ?v_100) ?v_241) 0) (not (= (+ ?v_94 ?v_16) 0)))) (and (> (+ (+ ?v_79 ?v_194) ?v_134) (- 39)) (> (+ ?v_221 ?v_80) 0)))) (and (or (or (and (or (>= (+ (+ ?v_39 ?v_560) ?v_168) (- 17)) (or (> (+ ?v_125 ?v_290) 26) (<= ?v_81 0))) (or (< (+ (+ ?v_66 ?v_304) ?v_82) 0) (or (> (+ (+ ?v_176 ?v_83) ?v_454) (- 82)) (>= (+ (+ (+ ?v_135 ?v_84) ?v_192) ?v_170) 0)))) (or (or (not (= (+ (+ ?v_152 ?v_85) ?v_110) (- 54))) (> (+ (+ ?v_86 ?v_19) (* (- 73) ?x3)) 0)) (or (>= (+ (+ (+ ?v_169 ?v_81) ?v_515) ?v_223) (- 20)) (not (= (+ (+ ?v_87 ?v_88) ?v_191) (- 81)))))) (and (or (or (>= (+ (+ ?v_576 ?v_327) ?v_643) (- 95)) (= (+ (+ (+ ?v_89 ?v_158) ?v_90) ?v_225) 0)) (and (or (>= (+ ?v_74 ?v_91) 34) (< (+ (+ (* (- 41) ?x2) ?v_179) ?v_571) (- 80))) (and (= (+ (+ ?v_670 ?v_477) ?v_45) (- 39)) (not (= (+ (+ ?v_92 ?v_105) ?v_321) 23))))) (and (or (< ?v_93 (- 95)) (and (>= (+ (+ (+ ?v_94 ?v_96) ?v_48) ?v_494) 0) (>= (+ (+ (+ ?v_95 ?v_96) ?v_437) (* 70 ?x4)) 0))) (or (<= (+ (+ (+ ?v_584 ?v_465) ?v_97) ?v_172) 0) (< (+ (+ ?v_98 ?v_103) ?v_99) 31))))) (or (and (and (or (= (+ ?v_268 ?v_210) 0) (> (+ (+ ?v_296 ?v_100) ?v_188) 0)) (or (= (+ (+ (+ ?v_129 ?v_102) ?v_101) ?v_360) 0) (< (+ ?v_128 ?v_102) 0))) (or (> (+ (+ ?v_103 ?v_250) ?v_47) (- 52)) (>= (+ ?v_40 ?v_480) 0))) (and (and (<= (+ (+ (+ ?v_511 ?v_104) ?v_351) ?v_696) (- 36)) (or (= (+ (+ (+ ?v_495 ?v_105) ?v_353) ?v_106) 50) (>= (+ (+ ?v_436 (* 79 ?x2)) ?v_597) 55))) (and (or (= (+ (+ (+ ?v_216 ?v_228) ?v_132) ?v_107) 53) (< ?v_108 (- 56))) (or (> (+ (+ ?v_42 ?v_202) ?v_80) 0) (> (+ (+ (+ ?v_549 ?v_109) ?v_117) ?v_140) 96))))))) (and (and (or (and (and (not (= (+ (+ (+ ?v_678 ?v_218) ?v_456) ?v_110) (- 94))) (<= (+ ?v_111 ?v_112) 0)) (and (< (+ (+ ?v_283 ?v_113) ?v_114) 100) (>= (+ (+ (+ ?v_115 ?v_116) ?v_117) ?v_110) (- 83)))) (or (or (< (+ ?v_124 ?v_80) 7) (> (+ (+ ?v_415 ?v_118) ?v_119) 80)) (or (> (+ (+ ?v_439 ?v_31) ?v_120) 86) (> ?v_121 8)))) (and (and (or (> (+ ?v_232 ?v_421) 98) (>= (+ (+ (+ ?v_122 ?v_123) ?v_124) ?v_154) 79)) (and (>= (+ ?v_609 ?v_301) (- 26)) (not (= (+ (+ (+ ?v_131 ?v_594) (* (- 4) ?x3)) ?v_403) 0)))) (or (= (+ ?v_517 ?v_370) 0) (or (not (= ?v_369 (- 52))) (= (+ ?v_125 (* (- 19) ?x2)) (- 30)))))) (and (and (and (or (or (or (< (+ (+ (+ ?v_126 ?v_219) ?v_458) ?v_127) (- 17)) (>= (+ (+ (+ ?v_270 ?v_448) ?v_41) ?v_246) 28)) (= (+ (+ (+ ?v_128 ?v_105) ?v_17) ?v_177) 32)) (or (or (= (+ (+ (+ ?v_129 ?v_130) ?v_31) ?v_591) 15) (not (= (+ (+ ?v_131 ?v_389) ?v_132) 41))) (or (<= (+ (+ ?v_94 ?v_133) ?v_134) 51) (<= (+ (+ (+ ?v_135 ?v_195) ?v_543) ?v_243) 18)))) (and (and (or (< (+ (+ ?v_136 ?v_473) ?v_137) 85) (> (+ (+ (+ ?v_138 ?v_71) ?v_139) ?v_140) (- 88))) (and (< (+ (+ (* 35 ?x1) ?v_141) ?v_285) (- 44)) (< (+ (+ (+ ?v_393 ?v_142) (* (- 9) ?x3)) ?v_127) (- 41)))) (or (and (> ?v_118 (- 19)) (<= (+ (+ ?v_105 ?v_132) ?v_143) 0)) (or (>= ?v_52 (- 53)) (<= (+ (+ ?v_338 ?v_357) ?v_144) 0))))) (or (and (and (not (= (+ ?v_412 ?v_197) 42)) (>= (+ (+ ?v_145 ?v_146) ?v_173) (- 56))) (or (and (> (+ (+ ?v_292 ?v_382) ?v_205) (- 10)) (not (= (+ (+ ?v_165 ?v_150) ?v_368) 0))) (and (<= (+ ?v_147 ?v_438) (- 96)) (< (+ (+ ?v_25 ?v_204) ?v_203) (- 8))))) (or (and (>= (+ (+ (+ ?v_513 ?v_148) ?v_118) ?v_596) 79) (or (<= (+ (+ (+ ?v_149 ?v_24) ?v_150) ?v_151) (- 75)) (< (+ ?v_11 ?v_207) (- 65)))) (or (and (= (+ (+ (+ ?v_152 (* (- 12) ?x2)) (* (- 20) ?x3)) ?v_416) (- 24)) (> (+ (+ ?v_153 ?v_238) ?v_154) (- 37))) (< (+ (+ ?v_155 ?v_156) ?v_157) 0))))) (and (or (not (= (+ (+ ?v_276 ?v_158) ?v_298) (- 36))) (not (= (+ (+ (+ ?v_159 ?v_258) ?v_160) ?v_161) (- 90)))) (and (or (or (<= (+ ?v_70 ?v_425) (- 55)) (= (+ ?v_534 ?v_385) 0)) (>= (+ ?v_92 ?v_362) 0)) (and (or (< (+ (+ ?v_255 ?v_380) ?v_185) 0) (not (= (+ (+ ?v_50 ?v_208) ?v_309) (- 66)))) (or (> (+ (+ (+ ?v_407 ?v_162) ?v_163) (* (- 95) ?x4)) (- 57)) (<= (+ (+ ?v_164 ?v_57) ?v_567) (- 37)))))))))) (and (or (or (or (or (and (or (>= (+ (+ ?v_165 ?v_190) ?v_163) (- 59)) (> (+ ?v_166 ?v_167) 12)) (= (+ (+ ?v_354 ?v_168) ?v_214) 15)) (and (and (= (+ (+ ?v_169 ?v_589) ?v_170) 0) (not (= (+ ?v_65 ?v_171) (- 12)))) (and (= (+ (+ ?v_624 ?v_184) ?v_319) 0) (<= (+ ?v_33 ?v_172) 86)))) (or (and (not (= (+ (+ ?v_230 ?v_136) ?v_76) (- 97))) (>= (+ (+ ?v_226 ?v_397) ?v_173) 28)) (or (< (+ (+ (+ ?v_193 ?v_130) ?v_174) ?v_77) 91) (> (+ (+ (+ ?v_411 ?v_58) ?v_640) ?v_572) 11)))) (or (or (and (or (or (<= (+ (+ ?v_155 ?v_323) ?v_175) 0) (> ?v_143 (- 61))) (or (not (= (+ (+ (+ ?v_176 ?v_181) ?v_317) ?v_154) 68)) (<= (+ (+ ?v_169 (* (- 28) ?x2)) ?v_377) 0))) (or (or (>= (+ (+ ?v_267 ?v_34) ?v_37) 0) (not (= (+ (+ (+ ?v_39 ?v_394) ?v_150) ?v_177) 0))) (or (>= (+ (+ ?v_178 ?v_489) ?v_179) 97) (>= (+ (+ ?v_570 ?v_26) ?v_363) (- 38))))) (or (or (or (> (+ (+ ?v_581 ?v_182) ?v_401) (- 76)) (< (+ (+ (+ ?v_259 ?v_55) ?v_17) ?v_99) 100)) (and (not (= (+ ?v_183 ?v_184) 0)) (not (= (+ ?v_402 ?v_211) (- 91))))) (or (or (<= (+ ?v_424 ?v_185) (- 9)) (<= (+ (+ (+ ?v_413 ?v_181) ?v_186) ?v_501) 42)) (<= (+ ?v_247 ?v_187) 59)))) (or (or (not (= (+ (+ (+ ?v_331 (* (- 99) ?x2)) ?v_522) ?v_188) 83)) (>= (+ ?v_628 ?v_189) 0)) (and (> (+ (+ ?v_701 ?v_117) ?v_348) (- 4)) (>= (+ (+ ?v_190 ?v_396) ?v_191) 0))))) (and (and (or (or (and (< (+ (* 97 ?x2) ?v_239) 0) (= ?v_198 0)) (or (= (+ (* 75 ?x1) ?v_192) 2) (< (+ (+ ?v_193 ?v_194) ?v_160) 52))) (or (or (>= (+ ?v_215 ?v_36) (- 26)) (> (+ (+ ?v_195 ?v_196) ?v_197) 0)) (and (< (+ (+ ?v_198 ?v_34) ?v_199) (- 26)) (= (+ (* (- 1) ?x2) ?v_200) 3)))) (or (and (and (or (= (+ (+ (+ ?v_201 ?v_224) ?v_202) ?v_203) (- 36)) (> ?v_426 (- 46))) (< (+ (+ ?v_618 ?v_293) ?v_204) 0)) (<= (+ (+ (* (- 100) ?x1) ?v_5) ?v_205) 0)) (and (or (or (> (+ (+ (+ ?v_126 ?v_51) ?v_206) ?v_207) 65) (not (= (+ ?v_36 ?v_208) 0))) (<= (+ (+ ?v_209 ?v_325) ?v_210) 5)) (or (not (= (+ (+ ?v_116 ?v_211) ?v_207) 90)) (or (not (= (+ (+ ?v_116 ?v_381) ?v_212) 23)) (> (+ ?v_182 ?v_358) (- 94))))))) (and (or (or (and (<= (+ ?v_229 ?v_213) (- 40)) (and (>= (+ (+ ?v_115 ?v_419) ?v_214) 0) (= (+ (+ (+ ?v_215 ?v_657) ?v_299) ?v_635) 87))) (or (and (> (+ (+ ?v_116 ?v_361) ?v_461) 86) (>= (+ (+ (+ ?v_216 ?v_217) ?v_405) ?v_441) 0)) (and (> (+ (+ (+ ?v_391 ?v_520) ?v_59) ?v_667) 44) (> (+ (+ ?v_330 ?v_218) ?v_114) (- 28))))) (or (> ?v_103 (- 70)) (and (not (= ?v_329 30)) (>= (+ (+ ?v_386 ?v_219) ?v_220) 7)))) (or (or (and (or (= (+ (+ (+ ?v_221 ?v_387) ?v_257) ?v_564) (- 3)) (> (+ (+ ?v_306 ?v_606) ?v_222) (- 31))) (and (= (+ ?v_294 ?v_223) (- 18)) (< (+ ?v_183 ?v_341) 94))) (and (and (= (+ (+ (+ ?v_169 ?v_224) ?v_67) ?v_225) 96) (>= (+ (+ ?v_226 ?v_418) ?v_502) 40)) (or (not (= (+ (+ (+ ?v_227 ?v_228) ?v_229) ?v_80) 0)) (>= (+ (+ ?v_230 ?v_231) ?v_47) 25)))) (and (or (>= (+ (* (- 88) ?x2) ?v_232) 4) (<= ?v_233 50)) (or (< (+ (+ ?v_21 ?v_7) ?v_234) 0) (>= (+ ?v_235 ?v_427) 82))))))) (and (or (or (or (or (> (+ ?v_271 ?v_376) 95) (and (>= (+ (+ ?v_422 ?v_236) ?v_8) (- 32)) (<= (+ (+ (+ ?v_237 ?v_238) ?v_367) ?v_239) (- 43)))) (or (or (>= (+ ?v_240 ?v_241) 16) (= (+ (+ ?v_169 ?v_242) ?v_243) 0)) (or (>= (+ (+ ?v_481 ?v_244) ?v_245) (- 92)) (< (+ (+ (+ ?v_6 ?v_83) ?v_622) ?v_246) (- 41))))) (and (or (and (< (+ (+ ?v_247 ?v_328) ?v_248) 0) (= (+ (+ ?v_685 ?v_390) ?v_167) 0)) (not (= (+ (+ (+ ?v_249 ?v_308) ?v_250) ?v_474) 86))) (and (or (= (+ (+ (+ ?v_251 ?v_158) ?v_252) ?v_253) 0) (>= (+ (+ ?v_249 ?v_1) ?v_161) (- 23))) (and (= ?v_173 29) (< (+ (+ ?v_254 (* 59 ?x3)) ?v_246) (- 62)))))) (and (and (and (<= (+ ?v_468 ?v_189) 27) (<= (+ (+ ?v_131 ?v_689) ?v_406) 36)) (or (not (= (+ (+ (+ ?v_255 ?v_256) ?v_257) ?v_355) 0)) (<= (+ (+ ?v_300 ?v_278) ?v_32) 18))) (and (and (and (= (+ (+ ?v_400 ?v_258) ?v_620) 0) (not (= (+ ?v_201 ?v_157) (- 84)))) (or (> (+ (+ ?v_269 ?v_186) ?v_114) (- 39)) (>= (+ (+ (+ ?v_259 ?v_371) ?v_260) ?v_313) 31))) (or (< (+ (+ ?v_374 ?v_580) ?v_261) 25) (and (<= (+ (+ (+ ?v_135 ?v_262) ?v_242) ?v_263) 11) (> (+ (+ (+ ?v_523 ?v_264) ?v_359) (* 79 ?x4)) 21)))))) (or (or (or (or (and (or (< (+ ?v_466 ?v_498) 82) (= (+ (+ (+ ?v_607 ?v_265) ?v_0) ?v_266) 27)) (<= (+ (+ ?v_669 ?v_186) ?v_189) 71)) (or (or (<= (+ (+ (+ ?v_408 ?v_690) ?v_132) ?v_246) 96) (= (+ (+ ?v_565 ?v_130) ?v_134) 99)) (or (> (+ (+ ?v_469 ?v_287) ?v_207) 23) (not (= (+ (+ ?v_267 ?v_268) ?v_207) (- 37)))))) (or (or (and (<= (+ (+ ?v_269 ?v_627) ?v_205) 93) (>= (+ (+ (+ ?v_270 ?v_271) ?v_26) ?v_200) 0)) (>= (+ (+ ?v_350 ?v_26) ?v_272) (- 74))) (or (or (not (= (+ (+ (+ ?v_273 ?v_91) ?v_274) ?v_275) 68)) (< (+ (+ (+ ?v_276 ?v_277) ?v_278) ?v_279) 43)) (and (> (+ (+ ?v_14 ?v_297) ?v_280) 65) (< (+ ?v_281 ?v_282) 46))))) (or (or (and (and (not (= (+ (+ ?v_283 ?v_284) ?v_521) 0)) (= (+ (+ ?v_138 ?v_67) ?v_285) 3)) (and (not (= (+ ?v_286 ?v_287) 0)) (not (= (+ ?v_70 ?v_88) (- 37))))) (or (or (>= (+ ?v_61 (* 31 ?x2)) 0) (<= (+ (+ ?v_525 ?v_312) ?v_460) (- 18))) (and (< (+ ?v_322 ?v_288) 13) (= (+ (+ (+ ?v_662 ?v_289) ?v_290) ?v_291) 39)))) (and (and (not (= (+ (+ ?v_63 ?v_579) ?v_234) 36)) (> (+ (+ ?v_573 ?v_292) ?v_143) 0)) (and (>= (+ (+ ?v_6 ?v_293) ?v_484) (- 14)) (<= (+ (+ ?v_294 ?v_333) ?v_295) 26))))) (and (and (or (> (+ (+ ?v_296 ?v_297) ?v_298) 89) (= (+ (+ ?v_142 ?v_299) ?v_239) 63)) (or (>= (+ (+ (+ ?v_164 ?v_300) ?v_301) (* (- 69) ?x4)) 0) (<= (+ (+ (+ ?v_533 ?v_472) ?v_146) ?v_683) (- 42)))) (or (or (<= ?v_302 0) (> (+ (+ ?v_125 ?v_141) ?v_275) (- 19))) (or (not (= (+ (+ ?v_475 ?v_303) ?v_99) (- 88))) (> (+ (+ ?v_582 ?v_304) ?v_305) (- 1))))))))) (and (and (and (or (or (and (and (and (>= (+ (+ ?v_306 ?v_156) ?v_161) (- 8)) (and (not (= (+ (+ ?v_104 ?v_440) ?v_187) 63)) (and (>= (+ (+ ?v_164 ?v_287) ?v_476) 25) (> (+ (+ (+ ?v_307 ?v_308) ?v_372) ?v_309) (- 85))))) (or (and (or (> (+ (+ ?v_86 ?v_300) ?v_52) 32) (= (+ (+ (+ ?v_21 ?v_310) ?v_311) ?v_172) 75)) (or (and (= (+ (+ ?v_159 ?v_312) ?v_313) (- 34)) (not (= (+ (+ ?v_314 ?v_233) ?v_507) 27))) (or (<= (+ ?v_63 ?v_315) 41) (<= ?v_117 74)))) (and (or (or (> (+ (+ ?v_50 ?v_315) ?v_316) 48) (> (+ (+ ?v_500 ?v_516) ?v_317) 0)) (or (= (+ (+ (+ ?v_65 ?v_318) ?v_319) ?v_187) (- 7)) (not (= ?v_152 (- 39))))) (or (and (>= (+ (+ ?v_155 ?v_488) ?v_320) (- 23)) (= ?v_699 0)) (not (= (+ ?v_18 ?v_321) (- 100))))))) (and (and (or (and (= (+ (+ (+ ?v_322 ?v_265) ?v_323) ?v_313) (- 78)) (not (= (+ (+ (+ ?v_324 ?v_325) ?v_499) ?v_305) 0))) (or (> (+ (+ ?v_398 ?v_57) ?v_479) 5) (= (+ ?v_384 ?v_326) (- 75)))) (and (> (+ (+ ?v_332 ?v_327) ?v_69) 24) (= (+ (+ ?v_395 ?v_647) ?v_29) 0))) (and (and (< (+ (+ ?v_164 ?v_649) ?v_328) 0) (= (+ (+ (+ ?v_329 ?v_84) ?v_160) ?v_364) 0)) (and (or (< (+ (+ (+ ?v_330 ?v_528) ?v_118) ?v_246) 88) (< (+ (+ ?v_331 ?v_531) ?v_212) (- 74))) (= (+ (+ (+ ?v_708 ?v_332) ?v_333) (* (- 54) ?x4)) 0))))) (and (and (or (and (>= (+ (+ (+ ?v_201 ?v_142) ?v_317) ?v_32) 94) (and (not (= (+ (+ ?v_334 ?v_55) ?v_335) 71)) (< (+ ?v_352 ?v_77) 34))) (and (or (> (+ (+ (+ ?v_11 ?v_336) (* 96 ?x3)) ?v_337) 8) (>= (+ (+ ?v_542 ?v_101) ?v_177) 0)) (and (= (+ ?v_338 ?v_185) 15) (not (= (+ ?v_30 ?v_288) 83))))) (and (or (or (= (+ (+ (+ ?v_86 ?v_289) ?v_551) ?v_700) 12) (or (< (+ (+ (+ ?v_63 ?v_264) ?v_339) ?v_161) 22) (< (+ (+ (+ ?v_235 ?v_109) ?v_288) ?v_602) (- 20)))) (and (<= (+ ?v_340 ?v_145) 0) (and (<= (+ (+ ?v_432 ?v_574) ?v_341) 38) (>= (+ (+ (+ ?v_149 (* (- 45) ?x2)) ?v_342) ?v_343) (- 77))))) (and (or (or (< (+ (+ (+ ?v_270 ?v_344) ?v_323) ?v_345) 85) (> (+ ?v_346 ?v_552) 0)) (or (< (+ ?v_611 ?v_207) 0) (< (+ (+ (+ ?v_273 ?v_347) ?v_202) ?v_348) 0))) (or (or (>= (+ ?v_334 ?v_644) (- 20)) (> (+ ?v_306 ?v_652) 0)) (or (<= ?v_349 (- 58)) (< (+ (+ ?v_350 ?v_351) (* (- 71) ?x4)) 0)))))) (and (and (and (or (and (> (+ ?v_352 ?v_617) 0) (= (+ (+ (+ ?v_247 ?v_184) ?v_353) ?v_335) 0)) (> (+ (+ ?v_219 ?v_299) ?v_553) 47)) (< (+ ?v_354 ?v_614) 0)) (or (and (and (not (= (+ ?v_659 ?v_206) 45)) (> (+ ?v_297 ?v_355) 3)) (or (= (* 68 ?x2) 59) (<= (+ ?v_508 ?v_356) (- 82)))) (or (and (> (+ (+ ?v_73 ?v_357) ?v_260) 0) (< (+ ?v_536 ?v_358) (- 59))) (and (>= (+ (+ ?v_142 ?v_359) ?v_360) 100) (not (= (+ (+ (+ ?v_314 ?v_506) ?v_361) ?v_243) (- 81))))))) (or (or (and (< (+ (+ ?v_216 ?v_17) ?v_459) 67) (= (+ (+ ?v_362 ?v_204) ?v_363) 57)) (and (> (+ ?v_38 ?v_364) (- 88)) (> (+ (+ (+ ?v_414 ?v_365) ?v_150) ?v_600) 74))) (<= (+ (+ (+ ?v_294 (* 90 ?x2)) ?v_147) ?v_127) 0))))) (and (and (and (and (< (+ (+ ?v_55 ?v_192) ?v_445) 76) (or (= (+ (+ (+ ?v_366 ?v_365) ?v_367) ?v_368) 98) (<= (+ (+ (* 37 ?x1) ?v_369) ?v_370) (- 16)))) (and (and (or (not (= (+ (+ ?v_237 ?v_375) ?v_69) 0)) (> (+ (+ ?v_251 ?v_371) ?v_372) (- 46))) (or (> (+ (+ (+ ?v_40 ?v_373) ?v_57) ?v_144) (- 91)) (not (= (+ (+ (+ ?v_374 ?v_375) ?v_132) ?v_376) 59)))) (or (and (> (+ (+ (+ ?v_575 ?v_365) ?v_377) ?v_246) 8) (<= (+ (+ (+ ?v_625 ?v_33) ?v_378) ?v_379) (- 24))) (and (<= (+ ?v_311 ?v_213) (- 51)) (< (+ ?v_380 ?v_363) (- 68)))))) (or (or (and (or (< (+ ?v_381 ?v_189) (- 2)) (not (= (+ (+ ?v_193 ?v_332) ?v_382) (- 70)))) (or (not (= (+ (+ (+ ?v_153 ?v_96) ?v_642) ?v_383) 0)) (= (+ (+ ?v_384 ?v_139) ?v_212) 87))) (and (<= ?v_316 83) (or (<= (+ (+ (+ ?v_98 ?v_344) (* 24 ?x3)) ?v_309) (- 57)) (not (= (+ (+ ?v_258 ?v_592) ?v_313) (- 34)))))) (or (and (< (+ (+ ?v_270 ?v_629) ?v_385) 0) (> (+ (+ ?v_386 ?v_387) ?v_275) 0)) (or (>= (+ ?v_28 ?v_337) (- 86)) (and (= (+ ?v_388 ?v_144) 72) (>= (+ (+ ?v_586 ?v_389) ?v_390) 34)))))) (and (or (or (and (and (<= (+ (+ ?v_391 ?v_668) ?v_392) 24) (> (+ (+ (+ ?v_393 ?v_394) ?v_547) ?v_27) 95)) (and (> (+ ?v_395 ?v_505) (- 100)) (< (+ (+ ?v_74 ?v_396) ?v_80) (- 50)))) (or (and (not (= (+ (+ ?v_176 ?v_397) ?v_106) 5)) (not (= (+ (+ (+ ?v_330 ?v_398) ?v_503) ?v_399) 0))) (or (>= (+ (+ ?v_395 ?v_394) ?v_157) 0) (>= (+ ?v_108 ?v_296) (- 71))))) (or (or (and (> (+ ?v_400 ?v_401) 86) (<= (+ (+ ?v_273 ?v_238) ?v_211) (- 96))) (and (> (+ ?v_402 ?v_453) 47) (<= (+ (+ (+ ?v_65 ?v_36) ?v_491) ?v_45) 0))) (or (and (= (+ (+ ?v_131 ?v_87) ?v_15) (- 63)) (not (= (+ (+ (+ ?v_283 ?v_612) ?v_342) ?v_399) 0))) (and (not (= ?v_403 0)) (not (= (+ (+ (+ ?v_62 ?v_404) ?v_405) ?v_406) 2)))))) (or (or (not (= (+ (+ (+ ?v_346 ?v_389) ?v_359) ?v_222) 0)) (or (<= (+ (+ ?v_407 ?v_535) ?v_9) (- 31)) (< (+ (+ (+ ?v_408 ?v_141) ?v_257) ?v_409) (- 38)))) (and (or (>= (+ (+ ?v_593 ?v_302) ?v_410) (- 44)) (< (+ (+ ?v_131 ?v_2) ?v_558) 0)) (or (>= (+ (+ ?v_411 ?v_452) ?v_380) (- 98)) (not (= (+ (+ (+ ?v_169 ?v_217) ?v_512) ?v_243) (- 51))))))))) (and (or (and (and (or (and (and (< (+ ?v_108 ?v_412) (- 44)) (>= (+ ?v_413 ?v_463) 0)) (or (> (+ ?v_264 ?v_638) 17) (>= (+ ?v_414 ?v_308) 52))) (or (and (not (= (+ (+ ?v_415 ?v_616) ?v_416) (- 7))) (not (= ?v_44 56))) (and (>= (+ (+ ?v_417 ?v_418) ?v_419) 0) (>= (+ (+ ?v_420 ?v_93) ?v_421) (- 35))))) (or (and (< (+ (+ ?v_386 ?v_339) ?v_137) (- 35)) (not (= (+ ?v_422 ?v_279) 84))) (= (+ (+ (+ ?v_559 ?v_336) ?v_423) ?v_161) (- 51)))) (or (and (and (or (<= (+ ?v_424 ?v_31) 24) (>= (+ (+ (+ ?v_237 ?v_425) ?v_339) ?v_291) 0)) (and (= (+ (+ (+ ?v_94 ?v_148) ?v_426) ?v_275) 93) (< (+ (+ (+ ?v_178 ?v_394) ?v_54) ?v_709) 7))) (and (not (= (+ (+ ?v_216 ?v_427) ?v_175) (- 12))) (= (+ (+ ?v_165 ?v_404) ?v_106) (- 94)))) (and (and (not (= (+ (+ (+ ?v_73 ?v_373) ?v_428) ?v_429) (- 75))) (>= (+ (+ ?v_94 ?v_675) ?v_430) 7)) (or (and (< (+ (+ ?v_393 ?v_404) ?v_72) (- 77)) (= (+ (+ ?v_431 ?v_81) ?v_232) (- 42))) (and (not (= (+ ?v_302 ?v_147) 5)) (not (= (+ (+ ?v_634 ?v_168) ?v_144) (- 10)))))))) (or (or (and (or (and (> (+ ?v_467 ?v_120) 32) (not (= (+ ?v_433 ?v_434) 35))) (or (= (+ (+ (* (- 14) ?x1) ?v_435) ?v_82) 33) (<= ?v_389 54))) (or (and (< (+ (+ (+ ?v_436 ?v_325) ?v_0) ?v_234) 40) (> (+ (+ ?v_155 ?v_490) ?v_90) 77)) (and (>= (+ (+ ?v_22 ?v_145) ?v_383) 0) (>= (+ ?v_437 ?v_438) 4)))) (or (or (< (+ (+ ?v_492 ?v_356) ?v_541) (- 77)) (> (+ (+ (+ ?v_165 ?v_373) ?v_204) ?v_285) 87)) (or (= (+ (+ ?v_497 ?v_681) ?v_328) 29) (< (+ (+ ?v_180 ?v_24) ?v_364) 0)))) (or (and (and (< (+ (+ ?v_439 ?v_49) ?v_243) (- 44)) (> (+ (+ ?v_420 ?v_302) ?v_440) 0)) (and (= (+ (+ ?v_471 ?v_206) ?v_441) 0) (>= (+ (+ (+ ?v_42 ?v_102) ?v_442) ?v_173) (- 74)))) (and (or (<= (+ (+ ?v_653 ?v_156) (* 99 ?x3)) (- 91)) (= (+ (+ (+ ?v_443 ?v_444) ?v_304) ?v_445) 0)) (and (not (= (+ (+ ?v_394 ?v_146) ?v_29) 78)) (and (= (+ (+ ?v_11 ?v_446) ?v_447) 75) (= (+ (+ (+ ?v_526 ?v_448) ?v_278) (* (- 16) ?x4)) 36))))))) (and (or (or (and (or (or (> (+ (+ (+ ?v_449 ?v_195) ?v_450) ?v_430) (- 88)) (and (= (+ (+ ?v_198 ?v_84) ?v_451) (- 7)) (>= (+ (+ ?v_413 ?v_256) ?v_337) (- 20)))) (or (and (>= (+ (+ ?v_563 ?v_278) ?v_295) 79) (> (+ ?v_672 ?v_60) 0)) (and (not (= (+ (+ ?v_452 ?v_453) ?v_454) (- 27))) (< (+ (+ ?v_135 ?v_455) ?v_220) 0)))) (or (and (or (= (+ (+ ?v_373 ?v_456) ?v_47) 0) (< (+ (+ (+ ?v_286 ?v_457) ?v_458) ?v_459) 0)) (= (+ ?v_108 ?v_196) (- 60))) (and (and (> (+ (+ (+ ?v_338 ?v_142) ?v_97) ?v_69) 0) (= (+ (+ (+ ?v_62 ?v_432) ?v_358) ?v_623) (- 91))) (or (>= (+ (+ ?v_650 ?v_633) ?v_460) 43) (>= (+ (+ (+ ?v_283 ?v_422) ?v_2) ?v_461) (- 20)))))) (or (and (< (+ (+ ?v_111 ?v_493) ?v_360) 0) (> (+ (+ (+ ?v_462 ?v_219) ?v_76) ?v_463) (- 90))) (and (or (not (= (+ (+ ?v_464 ?v_465) ?v_78) 65)) (not (= (+ (+ ?v_466 ?v_397) ?v_9) 0))) (or (or (< (+ (+ (+ ?v_631 ?v_467) ?v_468) ?v_537) 10) (>= ?v_82 (- 92))) (or (not (= ?v_469 (- 21))) (= (+ ?v_179 ?v_556) (- 64))))))) (and (and (or (or (and (> (+ (+ (+ ?v_149 ?v_116) ?v_470) ?v_207) 0) (= (+ (+ ?v_365 ?v_359) ?v_69) (- 34))) (<= (+ (+ ?v_471 ?v_472) ?v_473) (- 3))) (and (and (not (= (+ (+ ?v_402 ?v_240) ?v_474) (- 54))) (>= (+ (+ ?v_475 ?v_44) ?v_476) 85)) (and (>= (+ (+ ?v_477 ?v_468) ?v_248) (- 83)) (<= (+ (+ (+ ?v_164 ?v_373) ?v_510) ?v_121) 38)))) (or (or (and (= (+ (+ ?v_417 ?v_621) ?v_440) (- 37)) (< (+ ?v_208 ?v_697) 4)) (<= (+ (+ (+ ?v_128 ?v_478) ?v_361) ?v_479) 0)) (or (or (not (= (+ (+ ?v_159 ?v_480) ?v_64) (- 51))) (= ?v_270 0)) (and (= (+ (+ ?v_481 ?v_57) ?v_45) 0) (>= (+ (+ ?v_407 ?v_465) ?v_47) 64))))) (or (and (and (or (>= (+ ?v_482 ?v_175) (- 65)) (not (= (+ ?v_19 ?v_483) (- 3)))) (and (> (+ (+ ?v_126 ?v_71) ?v_341) 0) (< (+ (+ ?v_417 ?v_484) ?v_485) 0))) (and (or (= (+ (+ ?v_561 ?v_486) ?v_31) 0) (not (= (+ (+ (+ (* (- 36) ?x1) ?v_113) ?v_67) ?v_127) 36))) (and (not (= ?v_290 87)) (not (= (+ (+ ?v_487 ?v_448) ?v_488) (- 39)))))) (and (and (and (not (= (+ (+ (+ ?v_165 ?v_489) ?v_68) ?v_137) 54)) (>= (+ (+ ?v_40 ?v_490) ?v_491) 22)) (or (<= (+ (+ ?v_255 ?v_484) ?v_197) (- 46)) (<= (+ ?v_294 (* 48 ?x4)) 41))) (or (or (<= (+ (+ (+ ?v_492 ?v_36) ?v_493) ?v_188) 65) (< (+ ?v_265 ?v_77) 94)) (or (<= ?v_400 26) (< (+ (+ (+ ?v_21 ?v_452) ?v_57) ?v_702) 0))))))) (or (or (or (and (= (+ (+ (+ ?v_198 ?v_332) ?v_442) ?v_494) (- 79)) (> (+ (+ ?v_495 ?v_274) ?v_203) 0)) (or (>= (+ (+ ?v_138 ?v_439) ?v_590) (- 83)) (> (+ (+ (+ ?v_495 ?v_519) ?v_496) ?v_430) (- 66)))) (or (or (and (and (not (= (+ (+ ?v_497 ?v_480) ?v_498) 6)) (> (+ ?v_168 ?v_583) 69)) (or (< (+ ?v_105 ?v_499) 0) (< (+ (+ ?v_500 ?v_488) ?v_43) 0))) (and (and (= ?v_501 0) (>= (+ (+ (+ ?v_352 ?v_217) ?v_502) ?v_207) 64)) (= ?v_34 39))) (or (or (= (+ (+ ?v_226 ?v_357) ?v_246) 60) (< (+ (+ (+ ?v_514 ?v_554) ?v_503) ?v_504) 100)) (and (<= (+ (+ (+ ?v_329 ?v_695) ?v_163) ?v_676) 33) (and (= (+ (+ ?v_411 ?v_505) ?v_154) 2) (>= (+ ?v_62 ?v_23) 46)))))) (or (or (or (= (+ ?v_506 ?v_507) 0) (and (or (< (+ ?v_508 ?v_509) 0) (<= (+ (+ ?v_169 ?v_300) ?v_510) 71)) (and (< (+ ?v_511 ?v_174) 0) (>= (+ (+ (+ ?v_159 ?v_195) ?v_512) ?v_546) 13)))) (and (and (> (+ (+ (+ ?v_307 ?v_87) ?v_382) ?v_272) 74) (= (+ (+ ?v_513 ?v_186) ?v_595) 75)) (and (> (+ (+ ?v_413 ?v_292) ?v_364) (- 91)) (= (+ (+ ?v_14 ?v_228) ?v_97) (- 24))))) (or (> (+ (+ ?v_514 ?v_136) ?v_223) (- 85)) (and (> (+ (+ (+ ?v_557 ?v_71) ?v_380) (* 95 ?x4)) 81) (> (+ (+ ?v_293 ?v_515) ?v_203) (- 33))))))))) (or (or (and (or (and (or (and (or (= (+ (+ (+ ?v_61 ?v_516) ?v_517) ?v_370) 12) (<= (+ (+ ?v_415 ?v_19) ?v_503) 0)) (or (not (= (+ (+ (+ ?v_518 (* 78 ?x2)) ?v_321) ?v_385) (- 40))) (< (+ (+ (+ ?v_61 ?v_519) ?v_132) ?v_341) (- 74)))) (= (+ (+ (+ ?v_330 ?v_520) ?v_521) ?v_666) (- 48))) (and (and (and (not (= (+ (+ (+ ?v_374 ?v_312) ?v_522) ?v_225) 0)) (> (+ (+ (+ ?v_178 ?v_83) ?v_78) ?v_167) 65)) (= (+ ?v_523 ?v_328) 47)) (and (or (not (= (+ (+ ?v_407 ?v_545) ?v_454) 11)) (> (+ (+ ?v_329 ?v_478) ?v_524) 71)) (or (>= (+ (+ ?v_525 ?v_289) ?v_31) 0) (> (+ (+ ?v_457 ?v_488) ?v_171) (- 58)))))) (or (or (and (or (not (= (+ ?v_508 ?v_103) 0)) (< (+ ?v_489 ?v_369) 55)) (and (<= (+ (+ (* 63 ?x1) ?v_470) ?v_151) 45) (not (= (+ ?v_307 ?v_158) 0)))) (and (and (< (+ (+ (+ ?v_526 ?v_412) ?v_301) ?v_566) 91) (= (+ (+ ?v_398 ?v_118) ?v_275) 78)) (or (= (+ (+ (+ ?v_164 ?v_550) ?v_527) ?v_43) 9) (< (+ ?v_52 ?v_529) (- 11))))) (and (and (and (> (+ ?v_12 ?v_57) (- 22)) (not (= (+ (+ ?v_226 ?v_240) ?v_345) (- 7)))) (or (= (+ (+ ?v_71 ?v_56) ?v_241) 30) (<= (+ (+ ?v_528 ?v_220) ?v_529) 66))) (and (and (= (+ (+ ?v_530 ?v_132) ?v_245) (- 24)) (= (+ ?v_531 ?v_309) 33)) (and (<= (+ (+ (+ ?v_38 ?v_256) ?v_639) ?v_243) 0) (= (+ (+ ?v_605 ?v_532) ?v_134) 84)))))) (or (and (and (>= (+ (+ (+ ?v_533 ?v_534) ?v_535) ?v_167) (- 62)) (< (+ (+ ?v_536 ?v_535) ?v_537) 25)) (> (+ (+ (+ ?v_254 ?v_130) ?v_419) (* (- 92) ?x4)) 42)) (or (or (and (= (+ (+ (+ ?v_324 ?v_538) ?v_539) ?v_275) 17) (> (+ ?v_227 ?v_24) 30)) (or (= (+ (+ (+ ?v_86 ?v_540) ?v_146) ?v_541) 0) (>= (+ (+ (+ ?v_514 ?v_542) ?v_543) ?v_363) 25))) (and (or (>= (+ (+ (+ ?v_514 ?v_489) ?v_655) ?v_72) (- 38)) (< (+ (+ (+ ?v_276 ?v_542) ?v_509) ?v_298) 22)) (= ?v_544 36))))) (or (or (and (and (not (= (+ (+ (* (- 53) ?x1) ?v_545) ?v_275) 0)) (> (+ ?v_209 ?v_546) 14)) (or (not (= (+ (+ (+ ?v_420 ?v_477) ?v_547) ?v_599) (- 28))) (<= (+ (+ ?v_176 ?v_58) ?v_60) (- 36)))) (and (and (or (or (< (+ (+ (+ ?v_61 ?v_520) ?v_548) ?v_698) (- 59)) (>= (+ (+ (+ ?v_549 ?v_550) ?v_551) ?v_379) 0)) (and (< (+ ?v_129 ?v_258) 58) (> (+ (+ ?v_50 ?v_552) ?v_687) 11))) (or (and (not (= (+ (+ ?v_66 ?v_236) ?v_553) 0)) (= (+ (+ ?v_554 ?v_555) ?v_556) 15)) (or (not (= (+ (+ (+ ?v_557 ?v_439) ?v_491) ?v_558) 98)) (<= (+ (+ (+ ?v_40 ?v_711) ?v_358) ?v_355) 0)))) (and (and (>= (+ (+ ?v_559 ?v_104) ?v_351) (- 83)) (= (+ ?v_216 ?v_170) 59)) (or (or (> (+ (+ (+ ?v_384 ?v_560) ?v_372) ?v_60) 35) (= (+ (+ ?v_561 ?v_287) ?v_45) 48)) (and (>= (+ (+ (+ ?v_346 ?v_130) ?v_220) ?v_562) (- 50)) (>= (+ (+ ?v_563 ?v_491) ?v_564) 0)))))) (or (and (or (and (and (> (+ (+ ?v_497 ?v_401) ?v_343) (- 22)) (< (+ (+ (+ ?v_294 (* (- 86) ?x2)) ?v_68) ?v_207) 19)) (and (= (+ (+ (+ ?v_50 ?v_145) ?v_242) ?v_170) (- 57)) (< (+ (+ ?v_111 ?v_671) ?v_453) (- 8)))) (or (or (not (= (+ (+ ?v_565 ?v_528) ?v_124) 0)) (<= (+ ?v_467 ?v_566) 0)) (or (< (+ (+ ?v_569 ?v_484) ?v_214) 16) (not (= (+ (+ (+ ?v_294 ?v_455) ?v_428) ?v_463) (- 10)))))) (and (and (or (and (> (+ (+ ?v_281 ?v_15) ?v_567) 0) (= (+ (+ ?v_402 ?v_484) ?v_438) (- 73))) (or (< (+ (+ ?v_108 ?v_477) ?v_456) (- 35)) (= (+ (+ ?v_680 (* 1 ?x2)) ?v_316) 0))) (or (and (= (+ (+ (+ ?v_98 ?v_568) ?v_179) ?v_298) 0) (<= (+ (+ (+ ?v_215 ?v_530) ?v_67) ?v_438) (- 49))) (< (+ (+ ?v_569 ?v_224) (* (- 50) ?x3)) (- 98)))) (and (or (and (>= (+ (+ ?v_570 ?v_240) ?v_571) 100) (= (+ (+ (+ ?v_518 (* 84 ?x2)) ?v_351) ?v_572) (- 1))) (and (<= (+ (+ (+ ?v_128 (* (- 55) ?x2)) (* (- 3) ?x3)) ?v_114) (- 37)) (>= (+ (+ ?v_38 ?v_679) ?v_173) (- 59)))) (and (and (> (+ (+ ?v_573 ?v_574) ?v_263) 0) (> (+ (+ ?v_575 ?v_576) ?v_458) 48)) (and (>= (+ (+ ?v_407 ?v_83) ?v_191) 85) (not (= (+ (+ ?v_24 ?v_64) ?v_658) (- 66)))))))) (and (or (or (>= (+ (+ ?v_673 ?v_419) ?v_577) 7) (= (+ (+ ?v_557 ?v_578) ?v_579) 0)) (or (<= (+ (+ (+ ?v_536 ?v_23) ?v_580) ?v_185) 41) (<= (+ (+ ?v_467 ?v_503) ?v_392) (- 25)))) (and (or (> (+ ?v_388 ?v_80) (- 15)) (< (+ (+ ?v_664 ?v_287) ?v_337) 0)) (or (and (<= (+ (+ (+ ?v_581 ?v_582) ?v_88) ?v_266) 0) (>= (+ (+ ?v_259 ?v_516) ?v_583) (- 38))) (or (>= (+ (+ ?v_495 ?v_233) ?v_110) (- 23)) (< ?v_584 22)))))))) (and (and (or (and (and (and (and (and (> (+ (+ ?v_259 ?v_142) ?v_320) (- 39)) (> (+ (+ ?v_398 ?v_382) ?v_20) (- 27))) (and (<= (+ ?v_158 ?v_562) 59) (< (+ (+ (+ ?v_169 ?v_534) ?v_585) ?v_341) (- 29)))) (or (= ?v_261 (- 24)) (>= (+ (+ (+ ?v_586 ?v_587) ?v_378) ?v_588) 0))) (or (or (or (>= (+ ?v_589 ?v_590) 82) (<= (+ (+ ?v_145 ?v_311) ?v_272) (- 91))) (and (> (+ ?v_133 ?v_358) 45) (> (+ (+ (+ ?v_565 ?v_81) ?v_64) ?v_32) 0))) (and (and (< (+ ?v_475 ?v_389) 0) (< (+ ?v_3 ?v_591) 0)) (and (> (+ (+ (+ ?v_482 ?v_435) ?v_290) ?v_583) 0) (<= (+ (+ (+ ?v_533 ?v_24) ?v_592) ?v_107) 65))))) (and (and (and (= (+ ?v_593 ?v_239) 21) (or (> (+ (+ (+ ?v_40 ?v_594) ?v_442) ?v_556) (- 12)) (< (+ (+ (+ ?v_575 ?v_136) ?v_26) ?v_60) (- 56)))) (and (= (+ (+ (+ ?v_153 ?v_194) ?v_579) ?v_595) (- 75)) (or (not (= (+ (+ ?v_19 ?v_78) ?v_596) (- 36))) (>= (+ ?v_393 ?v_320) 67)))) (and (and (= (+ ?v_452 ?v_203) (- 12)) (> (+ (+ ?v_432 ?v_150) ?v_597) 2)) (or (< (+ (+ (+ ?v_73 ?v_102) ?v_3) ?v_656) (- 92)) (= (+ (+ ?v_256 ?v_367) ?v_376) 69))))) (or (or (or (or (or (>= (+ (+ (+ ?v_645 ?v_598) ?v_524) ?v_463) 67) (< (+ (+ ?v_703 ?v_163) ?v_364) (- 68))) (and (= ?v_25 44) (= (+ ?v_402 ?v_71) (- 16)))) (or (and (>= (+ (+ (+ (* 84 ?x1) ?v_238) ?v_160) ?v_599) (- 77)) (< (+ (+ (+ ?v_216 ?v_540) ?v_515) ?v_600) (- 14))) (and (> (+ (+ ?v_601 ?v_456) ?v_602) 0) (< (+ ?v_54 ?v_454) 0)))) (or (and (> (+ (+ ?v_603 ?v_394) ?v_343) 74) (< (+ ?v_230 ?v_35) 94)) (< (+ (+ ?v_334 ?v_109) ?v_604) 0))) (and (or (and (not (= (+ ?v_525 ?v_158) 62)) (> (+ (+ ?v_269 ?v_520) ?v_101) (- 10))) (and (>= (+ ?v_115 ?v_161) 0) (= (+ ?v_271 ?v_143) (- 6)))) (and (or (not (= (+ (+ (+ ?v_159 ?v_130) ?v_351) ?v_447) 0)) (= (+ ?v_605 ?v_594) (- 51))) (or (or (> (+ (+ (+ ?v_334 ?v_287) ?v_606) ?v_239) 0) (> (+ (+ (+ ?v_607 ?v_268) ?v_580) ?v_392) 0)) (and (not (= (+ (+ (+ ?v_608 ?v_609) ?v_174) ?v_504) 45)) (> (+ (+ (+ ?v_30 ?v_554) ?v_150) ?v_610) (- 18)))))))) (or (and (and (= (+ (+ (+ ?v_249 ?v_315) ?v_303) ?v_200) 54) (not (= (+ (+ ?v_611 ?v_312) ?v_382) 98))) (> (+ (+ ?v_113 (* (- 44) ?x3)) ?v_335) 0)) (or (= (+ (+ ?v_467 ?v_231) ?v_376) 0) (>= (+ (+ ?v_169 ?v_76) ?v_199) (- 29))))) (and (and (or (or (or (and (= (+ (+ (+ ?v_436 ?v_308) ?v_419) ?v_173) 45) (or (< (+ (+ ?v_251 ?v_162) ?v_206) 64) (= (+ ?v_612 ?v_171) 0))) (or (<= (+ (+ (+ ?v_14 ?v_195) ?v_574) ?v_72) 0) (not (= (+ (+ (+ ?v_482 ?v_613) ?v_614) ?v_615) 77)))) (or (and (not (= (+ (+ ?v_108 ?v_162) ?v_682) 0)) (not (= (+ ?v_178 ?v_172) 0))) (<= (+ (+ ?v_95 ?v_612) ?v_396) (- 34)))) (and (and (or (= (+ (+ ?v_201 ?v_182) ?v_54) 15) (< (+ (+ (+ ?v_544 ?v_158) ?v_53) ?v_409) (- 2))) (or (>= (+ (+ ?v_471 ?v_616) ?v_577) 76) (not (= (+ (+ (+ ?v_122 ?v_58) ?v_192) ?v_430) 0)))) (or (or (< (+ (+ ?v_95 ?v_617) ?v_369) 73) (> (+ (+ ?v_618 ?v_580) ?v_710) (- 25))) (and (> ?v_409 (- 73)) (< (+ (+ (+ ?v_536 ?v_427) ?v_616) ?v_275) (- 56)))))) (or (and (and (and (> (+ (+ (+ ?v_176 ?v_1) ?v_68) ?v_266) (- 73)) (< (+ (+ (+ ?v_618 ?v_540) ?v_590) ?v_619) (- 68))) (or (or (<= ?v_40 (- 28)) (> (+ (+ (+ ?v_384 ?v_505) ?v_620) ?v_187) 0)) (<= (+ (+ ?v_621 ?v_622) ?v_623) 0))) (or (and (= (+ ?v_152 ?v_637) 90) (= (+ (+ ?v_624 ?v_357) ?v_179) 24)) (or (or (>= (+ (+ (+ ?v_625 ?v_75) ?v_470) ?v_161) (- 71)) (= (+ (+ (+ ?v_46 ?v_480) ?v_483) ?v_313) 0)) (and (<= (+ (+ ?v_92 ?v_271) ?v_244) 35) (> (+ (+ ?v_626 ?v_589) ?v_160) 0))))) (and (and (or (> (+ ?v_618 (* 94 ?x4)) 2) (>= (+ (+ ?v_540 ?v_627) ?v_677) 0)) (and (< (+ (+ (+ ?v_286 ?v_628) ?v_90) ?v_241) 100) (and (= (+ ?v_33 (* 35 ?x4)) (- 52)) (not (= (+ ?v_540 ?v_343) 36))))) (and (or (not (= (+ ?v_166 ?v_629) 0)) (>= (+ (+ (+ ?v_611 ?v_289) ?v_691) ?v_630) 79)) (or (and (> (+ ?v_318 ?v_54) 0) (>= (+ (+ ?v_631 ?v_104) ?v_263) (- 44))) (and (not (= (+ (+ (+ ?v_549 ?v_632) ?v_231) ?v_35) 33)) (>= (+ (+ (+ ?v_533 ?v_75) ?v_633) ?v_615) 13))))))) (and (and (or (and (or (>= (+ (+ ?v_156 ?v_369) ?v_4) 0) (or (>= (+ (+ ?v_693 ?v_455) ?v_212) (- 2)) (< (+ (+ ?v_42 ?v_398) ?v_244) (- 50)))) (and (< (+ (+ ?v_126 ?v_509) ?v_245) 34) (not (= ?v_634 0)))) (and (or (<= (+ (+ (+ ?v_306 ?v_489) ?v_397) ?v_335) 21) (and (not (= (+ (+ ?v_475 ?v_145) ?v_527) (- 12))) (< (+ (+ ?v_61 ?v_617) ?v_37) 0))) (or (not (= (+ (+ ?v_603 ?v_466) ?v_635) 32)) (< (+ (+ ?v_557 ?v_613) ?v_501) 40)))) (and (or (and (> (+ (+ ?v_103 ?v_580) ?v_383) 83) (= (+ (+ ?v_393 ?v_16) ?v_239) (- 99))) (or (or (= (+ (+ ?v_407 ?v_636) ?v_546) 86) (not (= (+ (+ (+ ?v_586 ?v_233) ?v_535) ?v_441) 90))) (or (> (+ (+ ?v_180 ?v_326) ?v_204) 0) (<= (+ (+ ?v_247 ?v_637) ?v_483) 35)))) (or (and (< (+ ?v_102 ?v_174) (- 71)) (<= (+ (+ ?v_692 ?v_651) ?v_638) 24)) (and (= (+ (+ ?v_497 ?v_142) ?v_168) (- 12)) (>= (+ (+ ?v_51 ?v_639) (* (- 78) ?x4)) 0))))) (and (or (or (>= (+ ?v_238 ?v_167) 25) (= (+ (+ (+ ?v_46 ?v_25) ?v_640) ?v_263) (- 87))) (and (and (and (not (= (+ (+ (+ (* (- 66) ?x1) ?v_641) ?v_186) ?v_562) 15)) (> ?v_604 0)) (or (< (+ (+ (+ ?v_155 ?v_617) ?v_642) ?v_82) 46) (not (= (+ (+ ?v_433 ?v_450) ?v_335) 9)))) (and (or (> (+ (+ ?v_352 ?v_434) ?v_47) (- 57)) (>= (+ (+ ?v_63 ?v_540) ?v_643) 19)) (> (+ (+ (+ ?v_98 ?v_58) ?v_321) ?v_172) 44)))) (or (or (and (<= (+ (+ ?v_227 ?v_644) (* (- 82) ?x3)) 0) (>= (+ (+ ?v_449 ?v_455) ?v_342) (- 32))) (and (and (not (= (+ (+ (+ ?v_645 ?v_646) (* (- 37) ?x3)) ?v_245) (- 57))) (<= (+ (+ (+ ?v_176 ?v_644) ?v_124) ?v_460) (- 76))) (and (> (+ (+ ?v_492 ?v_387) ?v_118) (- 78)) (not (= (+ ?v_518 ?v_491) 30))))) (or (or (< (+ (+ ?v_477 ?v_574) ?v_35) (- 47)) (> (+ (+ ?v_322 ?v_647) ?v_316) 32)) (or (and (< (+ (+ ?v_159 ?v_520) ?v_648) (- 92)) (> (+ (+ ?v_407 ?v_649) ?v_442) 69)) (not (= (+ (+ ?v_111 ?v_7) ?v_279) (- 64)))))))))))) (and (or (and (and (or (or (and (and (not (= (+ ?v_578 ?v_295) 63)) (> (+ (+ (+ ?v_42 ?v_650) ?v_236) ?v_619) 48)) (or (> (+ (+ ?v_271 ?v_31) ?v_305) 87) (= (+ (+ (+ ?v_276 ?v_538) ?v_333) ?v_571) 86))) (and (or (<= (+ (+ (+ ?v_230 ?v_36) ?v_651) ?v_403) (- 64)) (= (+ (+ ?v_446 ?v_56) ?v_245) 32)) (> (+ (+ ?v_514 ?v_418) ?v_3) (- 52)))) (or (and (or (>= (+ (+ ?v_514 ?v_398) ?v_441) 16) (< (+ ?v_420 ?v_652) (- 8))) (and (< ?v_633 0) (<= (+ (+ (+ ?v_653 ?v_404) ?v_68) ?v_430) 98))) (and (or (not (= (+ (+ (+ ?v_513 ?v_427) ?v_423) ?v_37) 54)) (<= (+ (+ (+ ?v_561 ?v_166) ?v_100) ?v_445) 62)) (or (not (= (+ (+ ?v_103 ?v_654) ?v_114) (- 18))) (not (= (+ (+ (+ (* (- 83) ?x1) ?v_347) ?v_49) ?v_27) (- 36))))))) (and (and (= (+ ?v_65 ?v_404) 50) (>= (+ (+ (+ ?v_122 ?v_398) ?v_358) ?v_107) (- 80))) (or (= (+ (+ ?v_164 ?v_446) ?v_379) (- 46)) (>= (+ ?v_653 ?v_53) (- 53))))) (or (and (or (and (or (or (<= (+ (+ (+ ?v_500 ?v_336) ?v_655) ?v_656) 51) (> (+ ?v_235 ?v_121) 26)) (and (>= (+ (+ (* (- 54) ?x1) ?v_503) ?v_253) 82) (< (+ (+ ?v_443 ?v_520) ?v_266) 16))) (and (and (>= (+ (+ (+ ?v_704 ?v_233) ?v_242) ?v_243) 0) (> (+ (+ (+ ?v_221 ?v_657) ?v_52) ?v_658) (- 100))) (or (>= (+ (+ ?v_611 ?v_659) ?v_445) 0) (not (= (+ (+ ?v_286 ?v_76) ?v_660) 0))))) (or (< (+ ?v_195 ?v_261) (- 56)) (and (> (+ (+ ?v_159 ?v_515) ?v_447) 0) (< (+ (+ ?v_21 ?v_302) ?v_309) 0)))) (or (or (and (or (< (+ (+ ?v_490 ?v_377) ?v_591) 76) (not (= (+ (+ ?v_89 ?v_277) ?v_282) 17))) (and (>= (+ (+ (+ ?v_281 ?v_365) ?v_53) ?v_403) 0) (<= (+ (+ (+ ?v_193 ?v_85) ?v_372) ?v_266) 0))) (or (or (>= (+ (+ ?v_407 ?v_88) ?v_370) 0) (not (= (+ ?v_585 ?v_8) 0))) (>= (+ (+ (+ ?v_21 ?v_661) ?v_34) ?v_541) 1))) (or (or (and (<= (+ (+ (+ ?v_662 ?v_613) ?v_663) ?v_223) 0) (<= ?v_308 0)) (or (>= (+ ?v_36 ?v_239) (- 35)) (>= (+ ?v_86 ?v_521) 0))) (or (not (= (+ (+ ?v_432 ?v_579) ?v_170) (- 96))) (= (+ (+ ?v_624 ?v_422) ?v_127) (- 31)))))) (and (or (and (or (not (= (+ ?v_38 ?v_456) 39)) (>= (+ (+ ?v_664 ?v_659) ?v_321) (- 86))) (or (not (= (+ ?v_334 ?v_507) (- 78))) (< (+ (+ ?v_268 ?v_655) ?v_234) (- 11)))) (and (and (not (= (+ (+ ?v_662 ?v_548) ?v_189) (- 78))) (= (+ (+ ?v_338 ?v_397) ?v_591) 92)) (= (+ ?v_607 ?v_85) 6))) (and (or (= (+ (+ ?v_254 (* 86 ?x2)) ?v_372) 0) (> (+ (+ ?v_665 ?v_522) ?v_666) 59)) (and (and (> (+ (+ (+ ?v_391 ?v_148) ?v_524) ?v_72) (- 69)) (= (+ (+ ?v_576 ?v_68) ?v_623) 0)) (or (= (+ (+ ?v_532 ?v_380) ?v_667) 0) (= (+ (+ ?v_674 ?v_668) ?v_285) (- 22)))))))) (or (or (and (or (or (<= (+ (+ (+ ?v_536 ?v_141) ?v_442) ?v_383) 0) (< (+ (+ (+ ?v_153 ?v_302) ?v_297) ?v_241) 37)) (or (or (= (+ (+ (+ ?v_283 ?v_262) ?v_97) ?v_335) 17) (<= (+ (+ (+ ?v_645 ?v_166) ?v_663) ?v_77) 56)) (or (> (+ ?v_669 ?v_231) 0) (< (+ (+ ?v_415 ?v_405) ?v_234) 58)))) (or (and (or (< (+ ?v_149 ?v_435) 0) (not (= (+ (+ ?v_417 ?v_194) ?v_567) 93))) (= (+ (+ (+ ?v_670 ?v_325) ?v_507) ?v_600) (- 60))) (or (> (+ (+ (+ ?v_686 ?v_302) ?v_339) ?v_615) 92) (and (<= (+ (+ ?v_400 ?v_362) ?v_15) 80) (< (+ (+ ?v_671 ?v_672) ?v_137) 0))))) (or (and (or (< (+ ?v_414 ?v_34) (- 74)) (< (+ (+ ?v_122 ?v_300) ?v_403) (- 47))) (or (< (+ (+ ?v_673 ?v_15) ?v_205) 73) (> (+ (+ (+ ?v_514 ?v_104) (* 72 ?x3)) ?v_399) 17))) (or (<= (+ (+ ?v_226 ?v_484) ?v_363) 65) (>= (+ (+ (+ ?v_526 (* (- 79) ?x2)) ?v_56) ?v_285) (- 32))))) (and (and (and (or (or (not (= (+ (+ ?v_674 ?v_675) ?v_676) (- 3))) (not (= (+ (+ (+ ?v_518 ?v_612) ?v_311) ?v_337) (- 69)))) (> (+ (+ (+ ?v_63 ?v_292) ?v_377) ?v_677) 38)) (and (and (> (+ ?v_417 ?v_459) (- 72)) (< (+ (+ ?v_678 ?v_156) ?v_222) (- 95))) (<= (+ (+ (+ ?v_508 ?v_646) ?v_2) ?v_161) 0))) (or (or (or (< (+ (+ (+ ?v_464 ?v_679) ?v_250) ?v_137) 0) (>= (+ (+ (+ ?v_270 ?v_258) ?v_5) ?v_243) (- 71))) (< (+ (+ ?v_218 ?v_498) ?v_263) (- 62))) (or (< (+ (+ (+ ?v_153 ?v_646) ?v_548) ?v_20) (- 74)) (not (= (+ (+ ?v_680 ?v_641) ?v_241) 0))))) (or (or (and (<= (+ (+ (+ ?v_283 ?v_427) ?v_629) (* 21 ?x4)) 96) (<= (+ (+ (+ ?v_536 ?v_516) ?v_274) ?v_445) (- 18))) (and (not (= (+ (+ ?v_448 ?v_545) ?v_630) 0)) (<= (+ (+ ?v_315 ?v_640) ?v_110) (- 93)))) (or (or (not (= (+ (+ ?v_520 ?v_483) ?v_43) 0)) (< (+ ?v_681 ?v_327) (- 2))) (>= (+ ?v_220 ?v_399) 88)))))) (or (or (or (and (and (or (not (= (+ (+ ?v_273 ?v_81) ?v_682) 0)) (>= (+ (+ (+ ?v_131 ?v_84) ?v_551) ?v_683) 0)) (and (or (<= (+ ?v_338 ?v_161) (- 55)) (= (+ ?v_116 ?v_684) 0)) (and (<= (+ (+ ?v_265 ?v_629) ?v_261) (- 64)) (< (+ ?v_611 ?v_123) 34)))) (and (or (and (not (= (+ ?v_685 ?v_239) 51)) (<= (+ (+ (* (- 22) ?x2) ?v_78) ?v_170) (- 100))) (or (= (+ ?v_686 ?v_687) (- 61)) (> (+ (+ ?v_102 ?v_688) ?v_4) (- 33)))) (and (<= (+ (+ ?v_575 ?v_509) ?v_253) 0) (<= (+ (+ (+ ?v_603 ?v_315) ?v_689) ?v_316) (- 42))))) (or (or (or (= (+ (+ ?v_420 ?v_28) ?v_214) 75) (= (+ (+ (+ ?v_384 ?v_357) ?v_57) ?v_571) (- 6))) (and (< (+ (+ ?v_645 ?v_258) ?v_134) 31) (<= (+ ?v_108 ?v_304) 0))) (and (and (> (+ (+ (+ ?v_128 ?v_113) ?v_684) ?v_364) 44) (< (+ (+ (+ ?v_624 ?v_435) ?v_606) ?v_197) 100)) (and (>= (+ ?v_329 ?v_623) 0) (>= (+ ?v_690 ?v_90) (- 62)))))) (or (and (or (= (+ (+ ?v_520 ?v_382) ?v_170) (- 55)) (or (= (+ (+ ?v_39 ?v_691) ?v_459) (- 93)) (= (+ (+ ?v_645 (* (- 23) ?x2)) ?v_604) (- 51)))) (or (or (and (<= (+ (+ (+ ?v_61 ?v_692) ?v_59) ?v_343) (- 76)) (> (+ (+ ?v_42 (* (- 97) ?x2)) ?v_333) 93)) (or (>= (+ (+ ?v_693 ?v_538) ?v_363) 1) (<= (+ (+ ?v_40 ?v_277) ?v_648) (- 82)))) (and (< (+ ?v_433 ?v_633) 43) (< (+ (+ (+ ?v_536 ?v_554) ?v_442) ?v_529) 49)))) (and (and (or (= (+ (+ (+ ?v_395 ?v_398) ?v_367) ?v_127) 33) (< (+ ?v_387 ?v_26) 34)) (and (or (< (+ (+ (+ ?v_86 ?v_365) ?v_78) ?v_360) 7) (= (+ (+ ?v_237 ?v_694) ?v_574) 0)) (or (= (+ (+ (+ ?v_611 ?v_554) ?v_0) ?v_234) (- 64)) (= (+ (+ ?v_216 ?v_598) ?v_531) 0)))) (and (or (or (> (+ (+ (+ ?v_273 ?v_224) ?v_629) ?v_203) (- 99)) (< (+ (+ ?v_432 ?v_34) ?v_222) 0)) (and (= (+ ?v_425 ?v_571) 0) (= ?v_666 89))) (and (and (< (+ (+ ?v_686 ?v_695) ?v_160) (- 11)) (<= (+ (+ (+ ?v_254 ?v_308) ?v_684) ?v_106) 38)) (and (<= (+ (+ ?v_433 ?v_515) ?v_696) 41) (>= (+ ?v_281 ?v_697) (- 74)))))))) (and (or (or (or (or (< (+ (+ ?v_632 ?v_574) ?v_409) 34) (or (< ?v_364 0) (= (+ ?v_649 ?v_507) 0))) (and (or (or (> (+ ?v_380 ?v_172) (- 73)) (not (= (+ ?v_230 ?v_55) 0))) (or (>= (+ (+ ?v_159 ?v_621) ?v_494) 34) (not (= (+ (+ (+ ?v_514 ?v_444) ?v_278) ?v_698) 0)))) (or (and (<= (+ (+ ?v_356 ?v_633) (* 32 ?x4)) (- 45)) (not (= (+ (+ ?v_281 ?v_389) ?v_80) 0))) (or (> (+ (+ (+ ?v_699 ?v_373) ?v_124) ?v_700) (- 34)) (> (+ ?v_258 ?v_236) 32))))) (or (and (<= (+ ?v_75 ?v_119) 9) (= (+ (+ (+ ?v_251 ?v_550) ?v_396) ?v_106) 3)) (and (= (+ (+ ?v_701 ?v_24) ?v_363) (- 60)) (not (= (+ ?v_400 ?v_369) 26))))) (or (and (or (or (> (+ ?v_493 ?v_702) (- 87)) (<= (+ ?v_703 ?v_187) 20)) (and (= (+ ?v_111 ?v_18) (- 58)) (>= (+ (+ (+ ?v_704 ?v_25) ?v_64) ?v_305) 91))) (and (= (+ ?v_395 ?v_705) (- 12)) (> (+ (+ (+ ?v_581 ?v_621) ?v_288) ?v_638) 2))) (and (or (<= (+ ?v_324 ?v_36) 0) (and (<= (+ (+ ?v_624 ?v_97) ?v_35) (- 37)) (not (= (+ (+ ?v_422 ?v_510) ?v_345) 93)))) (or (and (>= (+ (+ (+ ?v_624 ?v_534) ?v_620) ?v_558) (- 86)) (= (+ (+ ?v_331 ?v_208) ?v_99) 0)) (or (< (+ (+ ?v_224 ?v_496) ?v_705) 76) (< (+ (+ ?v_126 ?v_150) ?v_337) 79)))))) (and (and (and (and (not (= (+ ?v_51 ?v_239) (- 67))) (not (= ?v_257 0))) (not (= (+ (+ ?v_706 ?v_637) ?v_244) (- 45)))) (and (and (= (+ (+ ?v_500 ?v_478) ?v_707) 27) (not (= (+ (+ (+ (* (- 93) ?x1) ?v_104) ?v_186) ?v_599) (- 19)))) (and (and (= (+ (+ (+ ?v_391 ?v_116) ?v_139) ?v_591) 0) (>= (+ (+ (+ ?v_526 ?v_105) ?v_663) ?v_599) 40)) (or (<= (+ (+ ?v_136 ?v_163) ?v_243) 20) (>= (+ (+ (+ ?v_198 ?v_356) ?v_512) ?v_682) (- 2)))))) (and (and (and (<= (+ ?v_708 ?v_639) 0) (not (= (+ (* 41 ?x2) ?v_709) 0))) (or (not (= ?v_584 17)) (<= (+ (+ (+ ?v_386 ?v_480) ?v_17) ?v_710) 0))) (and (or (and (not (= (+ (+ ?v_162 ?v_473) ?v_119) 30)) (<= (+ ?v_22 ?v_461) 98)) (and (not (= (+ (+ (+ ?v_89 ?v_93) ?v_515) ?v_368) 72)) (> (+ (+ ?v_340 ?v_302) ?v_390) 0))) (and (or (not (= (+ (+ ?v_711 ?v_442) ?v_291) (- 51))) (= (+ (+ ?v_712 ?v_210) ?v_430) 0)) (not (= (+ (+ ?v_94 ?v_112) ?v_278) 0))))))))))))))))))))
(check-sat)
(exit)
