(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_111 (* 1 ?x1)) (?v_63 (* 59 ?x1)) (?v_8 (* 83 ?x2)) (?v_167 (* 95 ?x3)) (?v_358 (* 2 ?x1)) (?v_324 (* 78 ?x3)) (?v_12 (* 21 ?x1)) (?v_14 (* 93 ?x3)) (?v_28 (* 8 ?x2)) (?v_412 (* 60 ?x3)) (?v_89 (* 30 ?x1)) (?v_56 (* 3 ?x4)) (?v_194 (* 89 ?x1)) (?v_59 (* 43 ?x2)) (?v_344 (* 11 ?x4)) (?v_10 (* 20 ?x2)) (?v_90 (* 27 ?x3)) (?v_2 (* 43 ?x1)) (?v_338 (* 85 ?x2)) (?v_156 (* 5 ?x3)) (?v_482 (* 26 ?x2)) (?v_3 (* 62 ?x4)) (?v_7 (* 74 ?x1)) (?v_16 (* 21 ?x4)) (?v_22 (* 18 ?x1)) (?v_362 (* 14 ?x3)) (?v_251 (* 93 ?x1)) (?v_46 (* 99 ?x1)) (?v_82 (* 23 ?x4)) (?v_24 (* 84 ?x1)) (?v_15 (* 34 ?x4)) (?v_433 (* 18 ?x3)) (?v_397 (* 78 ?x2)) (?v_42 (* 53 ?x2)) (?v_173 (* 61 ?x3)) (?v_732 (* 29 ?x4)) (?v_5 (* 55 ?x2)) (?v_257 (* 94 ?x3)) (?v_515 (* 60 ?x2)) (?v_49 (* 30 ?x4)) (?v_30 (* 40 ?x1)) (?v_197 (* 54 ?x3)) (?v_101 (* 40 ?x4)) (?v_13 (* 45 ?x1)) (?v_198 (* 69 ?x1)) (?v_19 (* 73 ?x2)) (?v_188 (* 16 ?x3)) (?v_51 (* 58 ?x1)) (?v_48 (* 64 ?x3)) (?v_185 (* 31 ?x3)) (?v_351 (* 39 ?x2)) (?v_655 (* 51 ?x1)) (?v_31 (* 62 ?x3)) (?v_150 (* 62 ?x1)) (?v_103 (* 81 ?x2)) (?v_99 (* 59 ?x3)) (?v_61 (* 42 ?x2)) (?v_66 (* 55 ?x3)) (?v_21 (* 74 ?x4)) (?v_172 (* 95 ?x2)) (?v_402 (* 79 ?x4)) (?v_205 (* 15 ?x1)) (?v_53 (* 97 ?x1)) (?v_711 (* 39 ?x3)) (?v_65 (* 21 ?x2)) (?v_109 (* 87 ?x2)) (?v_86 (* 96 ?x2)) (?v_208 (* 22 ?x4)) (?v_108 (* 67 ?x3)) (?v_392 (* 44 ?x1)) (?v_495 (* 27 ?x1)) (?v_503 (* 65 ?x4)) (?v_314 (* 69 ?x4)) (?v_39 (* 97 ?x2)) (?v_255 (* 12 ?x3)) (?v_36 (* 95 ?x1)) (?v_140 (* 26 ?x4)) (?v_333 (* 83 ?x4)) (?v_160 (* 53 ?x3)) (?v_85 (* 56 ?x4)) (?v_131 (* 26 ?x1)) (?v_288 (* 57 ?x2)) (?v_192 (* 4 ?x1)) (?v_113 (* 32 ?x2)) (?v_33 (* 12 ?x4)) (?v_646 (* 26 ?x3)) (?v_128 (* 96 ?x4)) (?v_148 (* 75 ?x2)) (?v_252 (* 89 ?x3)) (?v_582 (* 82 ?x3)) (?v_52 (* 49 ?x2)) (?v_346 (* 39 ?x1)) (?v_70 (* 10 ?x4)) (?v_512 (* 70 ?x3)) (?v_45 (* 50 ?x4)) (?v_180 (* 86 ?x2)) (?v_186 (* 35 ?x4)) (?v_60 (* 95 ?x4)) (?v_374 (* 58 ?x2)) (?v_624 (* 92 ?x3)) (?v_490 (* 59 ?x2)) (?v_40 (* 22 ?x3)) (?v_68 (* 91 ?x4)) (?v_734 (* 66 ?x1)) (?v_270 (* 8 ?x3)) (?v_350 (* 69 ?x3)) (?v_522 (* 61 ?x4)) (?v_122 (* 88 ?x4)) (?v_416 (* 28 ?x2)) (?v_243 (* 75 ?x1)) (?v_83 (* 22 ?x2)) (?v_481 (* 67 ?x2)) (?v_112 (* 34 ?x3)) (?v_73 (* 14 ?x2)) (?v_207 (* 9 ?x1)) (?v_130 (* 18 ?x4)) (?v_118 (* 50 ?x1)) (?v_142 (* 10 ?x2)) (?v_398 (* 19 ?x4)) (?v_363 (* 36 ?x4)) (?v_75 (* 58 ?x3)) (?v_271 (* 94 ?x2)) (?v_518 (* 84 ?x3)) (?v_174 (* 57 ?x1)) (?v_129 (* 45 ?x2)) (?v_76 (* 96 ?x1)) (?v_134 (* 18 ?x2)) (?v_116 (* 92 ?x4)) (?v_226 (* 91 ?x1)) (?v_237 (* 42 ?x1)) (?v_71 (* 33 ?x3)) (?v_92 (* 89 ?x4)) (?v_505 (* 1 ?x3)) (?v_147 (* 82 ?x1)) (?v_151 (* 27 ?x2)) (?v_195 (* 88 ?x3)) (?v_135 (* 64 ?x4)) (?v_345 (* 80 ?x1)) (?v_478 (* 65 ?x1)) (?v_233 (* 35 ?x2)) (?v_446 (* 90 ?x2)) (?v_327 (* 13 ?x4)) (?v_308 (* 40 ?x3)) (?v_577 (* 47 ?x4)) (?v_161 (* 35 ?x1)) (?v_162 (* 4 ?x3)) (?v_572 (* 15 ?x2)) (?v_330 (* 3 ?x1)) (?v_311 (* 29 ?x2)) (?v_564 (* 51 ?x2)) (?v_342 (* 23 ?x1)) (?v_87 (* 98 ?x2)) (?v_436 (* 11 ?x1)) (?v_340 (* 3 ?x2)) (?v_120 (* 60 ?x4)) (?v_581 (* 51 ?x3)) (?v_685 (* 68 ?x1)) (?v_138 (* 46 ?x4)) (?v_152 (* 29 ?x3)) (?v_671 (* 30 ?x3)) (?v_382 (* 93 ?x4)) (?v_496 (* 15 ?x4)) (?v_221 (* 44 ?x3)) (?v_393 (* 7 ?x4)) (?v_100 (* 40 ?x2)) (?v_187 (* 20 ?x3)) (?v_611 (* 75 ?x4)) (?v_267 (* 13 ?x1)) (?v_149 (* 36 ?x3)) (?v_137 (* 46 ?x2)) (?v_672 (* 76 ?x4)) (?v_225 (* 5 ?x1)) (?v_124 (* 83 ?x1)) (?v_422 (* 25 ?x3)) (?v_126 (* 3 ?x3)) (?v_273 (* 81 ?x4)) (?v_178 (* 4 ?x4)) (?v_145 (* 28 ?x4)) (?v_489 (* 93 ?x2)) (?v_132 (* 48 ?x3)) (?v_594 (* 72 ?x1)) (?v_548 (* 49 ?x3)) (?v_318 (* 60 ?x1)) (?v_663 (* 1 ?x4)) (?v_182 (* 16 ?x2)) (?v_204 (* 19 ?x3)) (?v_566 (* 89 ?x2)) (?v_602 (* 32 ?x1)) (?v_331 (* 76 ?x2)) (?v_317 (* 71 ?x3)) (?v_200 (* 56 ?x2)) (?v_153 (* 46 ?x1)) (?v_723 (* 12 ?x2)) (?v_292 (* 52 ?x1)) (?v_321 (* 23 ?x3)) (?v_642 (* 44 ?x2)) (?v_591 (* 48 ?x1)) (?v_211 (* 48 ?x4)) (?v_179 (* 10 ?x1)) (?v_203 (* 28 ?x1)) (?v_424 (* 6 ?x1)) (?v_235 (* 88 ?x2)) (?v_691 (* 97 ?x4)) (?v_372 (* 38 ?x3)) (?v_410 (* 68 ?x3)) (?v_661 (* 57 ?x4)) (?v_213 (* 47 ?x2)) (?v_620 (* 17 ?x1)) (?v_674 (* 31 ?x2)) (?v_228 (* 35 ?x3)) (?v_248 (* 13 ?x2)) (?v_218 (* 88 ?x1)) (?v_250 (* 68 ?x4)) (?v_298 (* 80 ?x2)) (?v_486 (* 42 ?x4)) (?v_277 (* 39 ?x4)) (?v_307 (* 9 ?x3)) (?v_216 (* 24 ?x2)) (?v_184 (* 2 ?x3)) (?v_404 (* 99 ?x3)) (?v_638 (* 98 ?x3)) (?v_471 (* 70 ?x2)) (?v_163 (* 100 ?x4)) (?v_196 (* 74 ?x2)) (?v_232 (* 69 ?x2)) (?v_376 (* 17 ?x3)) (?v_549 (* 85 ?x4)) (?v_423 (* 66 ?x4)) (?v_562 (* 72 ?x3)) (?v_341 (* 52 ?x4)) (?v_600 (* 7 ?x1)) (?v_452 (* 48 ?x2)) (?v_567 (* 63 ?x1)) (?v_339 (* 43 ?x4)) (?v_275 (* 42 ?x3)) (?v_264 (* 4 ?x2)) (?v_254 (* 98 ?x4)) (?v_268 (* 85 ?x3)) (?v_533 (* 94 ?x4)) (?v_354 (* 47 ?x1)) (?v_349 (* 54 ?x1)) (?v_749 (* 1 ?x2)) (?v_421 (* 90 ?x4)) (?v_274 (* 10 ?x3)) (?v_335 (* 96 ?x3)) (?v_365 (* 11 ?x2)) (?v_539 (* 13 ?x3)) (?v_261 (* 9 ?x4)) (?v_546 (* 100 ?x2)) (?v_531 (* 81 ?x1)) (?v_586 (* 52 ?x2)) (?v_310 (* 50 ?x3)) (?v_236 (* 73 ?x4)) (?v_320 (* 71 ?x2)) (?v_329 (* 51 ?x4)) (?v_249 (* 24 ?x3)) (?v_322 (* 66 ?x3)) (?v_343 (* 94 ?x1)) (?v_353 (* 8 ?x4)) (?v_536 (* 49 ?x4)) (?v_634 (* 92 ?x2)) (?v_460 (* 55 ?x1)) (?v_285 (* 63 ?x4)) (?v_619 (* 61 ?x2)) (?v_618 (* 41 ?x3)) (?v_411 (* 16 ?x1)) (?v_544 (* 33 ?x4)) (?v_754 (* 5 ?x4)) (?v_736 (* 38 ?x1)) (?v_323 (* 2 ?x4))) (let ((?v_750 (+ ?v_205 ?v_59)) (?v_501 (* 55 ?x4)) (?v_291 (* 100 ?x3)) (?v_432 (* 33 ?x1)) (?v_697 (* 87 ?x3)) (?v_507 (* 84 ?x4)) (?v_725 (* 82 ?x2)) (?v_458 (* 79 ?x2)) (?v_332 (* 41 ?x2)) (?v_506 (* 36 ?x2)) (?v_373 (* 31 ?x1)) (?v_359 (* 86 ?x4)) (?v_568 (* 87 ?x4)) (?v_523 (* 75 ?x3)) (?v_451 (* 34 ?x2)) (?v_473 (* 77 ?x4)) (?v_690 (* 30 ?x2)) (?v_369 (* 45 ?x4)) (?v_560 (* 70 ?x1)) (?v_535 (* 77 ?x3)) (?v_348 (* 65 ?x3)) (?v_709 (* 49 ?x1)) (?v_639 (* 91 ?x2)) (?v_485 (* 86 ?x1)) (?v_583 (* 25 ?x4)) (?v_337 (* 87 ?x1)) (?v_659 (* 65 ?x2)) (?v_733 (* 2 ?x2)) (?v_656 (* 5 ?x2)) (?v_520 (* 86 ?x3)) (?v_631 (* 74 ?x3)) (?v_653 (* 27 ?x4)) (?v_463 (* 71 ?x1)) (?v_456 (* 80 ?x4)) (?v_760 (+ ?v_330 ?v_338)) (?v_542 (* 6 ?x3)) (?v_701 (* 62 ?x2)) (?v_758 (* 66 ?x2)) (?v_682 (* 20 ?x4)) (?v_738 (* 92 ?x1)) (?v_747 (* 46 ?x3)) (?v_614 (* 8 ?x1)) (?v_370 (* 52 ?x3)) (?v_388 (* 77 ?x1)) (?v_420 (* 50 ?x2)) (?v_464 (* 67 ?x1)) (?v_418 (* 77 ?x2)) (?v_399 (* 33 ?x2)) (?v_445 (* 73 ?x3)) (?v_766 (* 63 ?x2)) (?v_407 (* 16 ?x4)) (?v_440 (* 83 ?x3)) (?v_745 (* 54 ?x2)) (?v_578 (* 17 ?x4)) (?v_477 (* 41 ?x1)) (?v_626 (* 53 ?x4)) (?v_450 (* 37 ?x3)) (?v_517 (* 20 ?x1)) (?v_597 (* 76 ?x1)) (?v_670 (* 36 ?x1)) (?v_739 (* 45 ?x3)) (?v_439 (* 19 ?x2)) (?v_524 (* 31 ?x4)) (?v_729 (* 79 ?x3)) (?v_786 (* 34 ?x1)) (?v_680 (* 99 ?x2)) (?v_561 (* 29 ?x1)) (?v_718 (* 47 ?x3)) (?v_712 (* 44 ?x4)) (?v_651 (* 25 ?x1)) (?v_771 (* 56 ?x3)) (?v_534 (* 25 ?x2)) (?v_550 (* 23 ?x2)) (?v_781 (* 97 ?x3)) (?v_604 (* 32 ?x4)) (?v_630 (+ ?v_345 ?v_481)) (?v_708 (* 73 ?x1)) (?v_710 (* 54 ?x4)) (?v_622 (* 90 ?x1)) (?v_776 (* 100 ?x1)) (?v_538 (* 64 ?x2)) (?v_657 (* 14 ?x4)) (?v_527 (* 78 ?x1)) (?v_555 (* 24 ?x4)) (?v_571 (* 22 ?x1)) (?v_652 (* 7 ?x3)) (?v_608 (* 72 ?x2)) (?v_584 (* 90 ?x3)) (?v_588 (* 53 ?x1)) (?v_625 (* 9 ?x2)) (?v_654 (* 37 ?x1)) (?v_735 (* 85 ?x1)) (?v_664 (* 19 ?x1)) (?v_641 (* 7 ?x2)) (?v_595 (* 14 ?x1)) (?v_683 (* 41 ?x4)) (?v_713 (* 43 ?x3)) (?v_677 (* 58 ?x4)) (?v_669 (* 68 ?x2)) (?v_676 (* 32 ?x3)) (?v_768 (* 37 ?x4)) (?v_741 (* 61 ?x1)) (?v_665 (* 67 ?x4)) (?v_637 (* 70 ?x4)) (?v_705 (* 12 ?x1)) (?v_790 (* 91 ?x3)) (?v_629 (* 76 ?x3)) (?v_716 (* 79 ?x1)) (?v_687 (* 28 ?x3)) (?v_673 (* 6 ?x2)) (?v_773 (* 71 ?x4)) (?v_668 (* 84 ?x2)) (?v_700 (* 99 ?x4)) (?v_695 (* 21 ?x3)) (?v_678 (* 81 ?x3)) (?v_681 (* 80 ?x3)) (?v_744 (* 15 ?x3)) (?v_759 (* 38 ?x4)) (?v_698 (* 37 ?x2)) (?v_756 (* 24 ?x1)) (?v_755 (* 17 ?x2)) (?v_788 (* 98 ?x1)) (?v_775 (* 6 ?x4)) (?v_783 (+ ?v_7 ?v_83)) (?v_792 (* 56 ?x1)) (?v_4 (* (- 47) ?x2)) (?v_193 (* (- 12) ?x3)) (?v_27 (* (- 10) ?x3)) (?v_41 (* (- 54) ?x1)) (?v_0 (* (- 14) ?x4)) (?v_487 (* (- 24) ?x2)) (?v_488 (* (- 65) ?x3)) (?v_356 (* (- 35) ?x2)) (?v_97 (* (- 38) ?x4)) (?v_635 (* (- 9) ?x1)) (?v_368 (* (- 42) ?x2)) (?v_11 (* (- 36) ?x4)) (?v_764 (* (- 59) ?x1)) (?v_164 (* (- 15) ?x3)) (?v_278 (* (- 65) ?x1)) (?v_762 (* (- 13) ?x4)) (?v_6 (* (- 91) ?x4)) (?v_91 (* (- 57) ?x2)) (?v_1 (* (- 18) ?x4)) (?v_38 (* (- 19) ?x1)) (?v_552 (* (- 46) ?x3)) (?v_23 (* (- 27) ?x2)) (?v_104 (* (- 66) ?x3)) (?v_165 (* (- 49) ?x4)) (?v_391 (* (- 41) ?x3)) (?v_441 (* (- 36) ?x2)) (?v_223 (* (- 48) ?x1)) (?v_37 (* (- 58) ?x3)) (?v_119 (* (- 13) ?x2)) (?v_299 (* (- 3) ?x4)) (?v_9 (* (- 76) ?x3)) (?v_102 (* (- 81) ?x1)) (?v_78 (* (- 49) ?x2)) (?v_34 (* (- 30) ?x3)) (?v_157 (* (- 53) ?x4)) (?v_644 (* (- 16) ?x1)) (?v_239 (* (- 87) ?x3)) (?v_123 (* (- 10) ?x1)) (?v_84 (* (- 71) ?x4)) (?v_580 (* (- 14) ?x3)) (?v_596 (* (- 42) ?x4)) (?v_106 (* (- 90) ?x1)) (?v_20 (* (- 24) ?x3)) (?v_513 (* (- 94) ?x2)) (?v_81 (* (- 87) ?x2))) (let ((?v_556 (+ ?v_13 ?v_81)) (?v_29 (* (- 4) ?x3)) (?v_32 (* (- 30) ?x4)) (?v_26 (* (- 47) ?x1)) (?v_17 (* (- 21) ?x2)) (?v_127 (* (- 78) ?x4)) (?v_720 (* (- 21) ?x1)) (?v_258 (* (- 95) ?x4)) (?v_93 (* (- 52) ?x1)) (?v_25 (* (- 98) ?x3)) (?v_427 (* (- 57) ?x4)) (?v_419 (* (- 70) ?x1)) (?v_154 (* (- 63) ?x4)) (?v_484 (* (- 52) ?x3)) (?v_532 (* (- 59) ?x4)) (?v_58 (* (- 14) ?x1)) (?v_55 (* (- 67) ?x2)) (?v_302 (* (- 5) ?x3)) (?v_146 (* (- 9) ?x3)) (?v_190 (* (- 28) ?x4)) (?v_155 (* (- 47) ?x4)) (?v_724 (* (- 56) ?x3)) (?v_115 (* (- 83) ?x1)) (?v_18 (* (- 68) ?x3)) (?v_461 (* (- 41) ?x2)) (?v_44 (* (- 52) ?x4)) (?v_98 (* (- 62) ?x1)) (?v_319 (* (- 92) ?x2)) (?v_214 (* (- 69) ?x3)) (?v_54 (* (- 96) ?x4)) (?v_171 (* (- 75) ?x1)) (?v_238 (* (- 93) ?x2)) (?v_47 (* (- 8) ?x1)) (?v_469 (* (- 5) ?x2)) (?v_43 (* (- 80) ?x3)) (?v_110 (* (- 1) ?x4)) (?v_79 (* (- 86) ?x3)) (?v_660 (* (- 74) ?x1)) (?v_74 (* (- 71) ?x3)) (?v_703 (* (- 83) ?x4)) (?v_465 (* (- 91) ?x1)) (?v_472 (* (- 9) ?x2)) (?v_136 (* (- 89) ?x1)) (?v_570 (* (- 95) ?x2)) (?v_62 (* (- 98) ?x4)) (?v_50 (* (- 23) ?x3)) (?v_493 (* (- 1) ?x1)) (?v_253 (* (- 25) ?x2)) (?v_234 (* (- 3) ?x1)) (?v_35 (* (- 100) ?x4)) (?v_181 (* (- 95) ?x3)) (?v_169 (* (- 99) ?x1)) (?v_72 (* (- 20) ?x1)) (?v_529 (* (- 8) ?x2)) (?v_616 (* (- 72) ?x1)) (?v_191 (* (- 60) ?x3)) (?v_557 (* (- 45) ?x3)) (?v_94 (* (- 80) ?x1)) (?v_107 (* (- 40) ?x2)) (?v_159 (* (- 7) ?x1)) (?v_67 (* (- 10) ?x2)) (?v_230 (* (- 30) ?x1)) (?v_57 (* (- 11) ?x2)) (?v_176 (* (- 90) ?x2)) (?v_242 (* (- 38) ?x3)) (?v_202 (* (- 100) ?x1)) (?v_281 (* (- 39) ?x1)) (?v_540 (* (- 91) ?x2)) (?v_294 (* (- 16) ?x3)) (?v_88 (* (- 11) ?x4)) (?v_121 (* (- 92) ?x1)) (?v_175 (* (- 29) ?x2)) (?v_141 (* (- 23) ?x1)) (?v_375 (* (- 42) ?x3)) (?v_247 (* (- 39) ?x4))) (let ((?v_787 (+ ?v_47 ?v_73)) (?v_69 (* (- 89) ?x2)) (?v_64 (* (- 15) ?x1)) (?v_389 (* (- 63) ?x2)) (?v_381 (* (- 19) ?x2)) (?v_206 (* (- 54) ?x3)) (?v_166 (* (- 79) ?x3)) (?v_295 (* (- 50) ?x3)) (?v_209 (* (- 77) ?x1)) (?v_379 (* (- 62) ?x2)) (?v_415 (* (- 33) ?x1)) (?v_367 (* (- 97) ?x4)) (?v_306 (* (- 43) ?x2)) (?v_510 (* (- 63) ?x3)) (?v_168 (* (- 20) ?x4)) (?v_283 (* (- 2) ?x2)) (?v_417 (* (- 88) ?x3)) (?v_437 (* (- 70) ?x2)) (?v_215 (* (- 89) ?x4)) (?v_77 (* (- 89) ?x3)) (?v_170 (* (- 45) ?x4)) (?v_95 (* (- 100) ?x2)) (?v_336 (* (- 96) ?x3)) (?v_245 (* (- 21) ?x4)) (?v_347 (* (- 99) ?x2))) (let ((?v_778 (+ ?v_147 ?v_347)) (?v_313 (* (- 60) ?x1)) (?v_117 (* (- 62) ?x3)) (?v_114 (* (- 98) ?x1)) (?v_231 (* (- 79) ?x2)) (?v_434 (* (- 39) ?x2)) (?v_143 (* (- 88) ?x4)) (?v_212 (* (- 38) ?x1)) (?v_296 (* (- 7) ?x2)) (?v_688 (* (- 75) ?x4)) (?v_579 (* (- 51) ?x2)) (?v_80 (* (- 28) ?x3)) (?v_494 (* (- 76) ?x2)) (?v_297 (* (- 73) ?x1)) (?v_609 (* (- 67) ?x4)) (?v_96 (* (- 17) ?x1)) (?v_229 (* (- 37) ?x3)) (?v_565 (* (- 37) ?x4)) (?v_627 (* (- 41) ?x4)) (?v_648 (* (- 46) ?x1)) (?v_390 (* (- 2) ?x3)) (?v_158 (* (- 94) ?x4)) (?v_309 (* (- 54) ?x4)) (?v_183 (* (- 23) ?x2)) (?v_286 (* (- 6) ?x1)) (?v_316 (* (- 80) ?x4)) (?v_210 (* (- 69) ?x2)) (?v_219 (* (- 70) ?x3)) (?v_563 (* (- 73) ?x2)) (?v_105 (* (- 81) ?x3)) (?v_491 (* (- 57) ?x3)) (?v_290 (* (- 85) ?x2)) (?v_449 (* (- 32) ?x1)) (?v_139 (* (- 25) ?x3)) (?v_220 (* (- 97) ?x1)) (?v_133 (* (- 84) ?x2)) (?v_144 (* (- 3) ?x3)) (?v_244 (* (- 55) ?x3)) (?v_125 (* (- 82) ?x2)) (?v_752 (* (- 25) ?x4)) (?v_222 (* (- 61) ?x4)) (?v_428 (* (- 6) ?x2)) (?v_519 (* (- 87) ?x1)) (?v_385 (* (- 1) ?x2)) (?v_201 (* (- 82) ?x4)) (?v_395 (* (- 61) ?x1)) (?v_633 (* (- 7) ?x3)) (?v_305 (* (- 53) ?x3)) (?v_284 (* (- 57) ?x1)) (?v_554 (* (- 33) ?x2)) (?v_502 (* (- 83) ?x2)) (?v_468 (* (- 29) ?x1)) (?v_585 (* (- 85) ?x4)) (?v_256 (* (- 71) ?x1)) (?v_269 (* (- 30) ?x2)) (?v_553 (* (- 40) ?x4)) (?v_240 (* (- 73) ?x3)) (?v_684 (* (- 22) ?x4)) (?v_217 (* (- 10) ?x4)) (?v_466 (* (- 31) ?x3)) (?v_300 (* (- 75) ?x2)) (?v_312 (* (- 48) ?x3)) (?v_574 (* (- 86) ?x1)) (?v_380 (* (- 72) ?x4)) (?v_719 (* (- 69) ?x1)) (?v_467 (* (- 74) ?x4)) (?v_498 (* (- 54) ?x2)) (?v_492 (* (- 94) ?x1)) (?v_409 (* (- 97) ?x2)) (?v_551 (* (- 64) ?x1)) (?v_521 (* (- 24) ?x1)) (?v_263 (* (- 50) ?x4)) (?v_769 (* (- 34) ?x2)) (?v_528 (* (- 84) ?x1)) (?v_628 (* (- 22) ?x1)) (?v_599 (* (- 8) ?x4)) (?v_241 (* (- 53) ?x2))) (let ((?v_405 (+ ?v_218 ?v_241)) (?v_453 (* (- 12) ?x1)) (?v_189 (* (- 72) ?x2)) (?v_260 (* (- 75) ?x3)) (?v_227 (* (- 92) ?x3)) (?v_177 (* (- 17) ?x3)) (?v_315 (* (- 11) ?x3)) (?v_262 (* (- 27) ?x4)) (?v_794 (* (- 56) ?x4)) (?v_667 (* (- 55) ?x2)) (?v_696 (* (- 61) ?x2)) (?v_403 (* (- 55) ?x1)) (?v_259 (* (- 48) ?x2)) (?v_276 (* (- 78) ?x1)) (?v_617 (* (- 93) ?x1)) (?v_293 (* (- 45) ?x1)) (?v_621 (* (- 94) ?x3)) (?v_224 (* (- 31) ?x1)) (?v_272 (* (- 51) ?x1)) (?v_325 (* (- 37) ?x2)) (?v_266 (* (- 35) ?x4)) (?v_287 (* (- 32) ?x2)) (?v_199 (* (- 18) ?x2)) (?v_396 (* (- 27) ?x1)) (?v_425 (* (- 65) ?x2)) (?v_470 (* (- 60) ?x4)) (?v_279 (* (- 56) ?x2)) (?v_480 (* (- 93) ?x4)) (?v_474 (* (- 98) ?x2)) (?v_280 (* (- 87) ?x4)) (?v_587 (* (- 3) ?x2)) (?v_282 (* (- 31) ?x2)) (?v_414 (* (- 47) ?x3)) (?v_612 (* (- 77) ?x4)) (?v_328 (* (- 96) ?x2)) (?v_265 (* (- 83) ?x3)) (?v_499 (* (- 35) ?x1)) (?v_378 (* (- 58) ?x4)) (?v_355 (* (- 85) ?x1)) (?v_246 (* (- 71) ?x2)) (?v_387 (* (- 38) ?x2)) (?v_360 (* (- 32) ?x3)) (?v_435 (* (- 70) ?x4)) (?v_304 (* (- 23) ?x4)) (?v_573 (* (- 82) ?x3)) (?v_514 (* (- 7) ?x4)) (?v_364 (* (- 49) ?x1)) (?v_537 (* (- 36) ?x3)) (?v_394 (* (- 26) ?x4)) (?v_408 (* (- 56) ?x1)) (?v_383 (* (- 26) ?x2)) (?v_426 (* (- 33) ?x3)) (?v_592 (* (- 40) ?x3)) (?v_357 (* (- 2) ?x4)) (?v_740 (* (- 62) ?x4)) (?v_500 (* (- 12) ?x2)) (?v_289 (* (- 25) ?x1)) (?v_686 (* (- 49) ?x3)) (?v_459 (* (- 93) ?x3)) (?v_483 (* (- 36) ?x1)) (?v_509 (* (- 4) ?x2)) (?v_326 (* (- 50) ?x1)) (?v_721 (* (- 4) ?x4)) (?v_352 (* (- 51) ?x3)) (?v_301 (* (- 69) ?x4)) (?v_371 (* (- 34) ?x1)) (?v_647 (* (- 19) ?x3)) (?v_679 (* (- 86) ?x4)) (?v_303 (* (- 42) ?x1)) (?v_430 (* (- 43) ?x1)) (?v_763 (* (- 76) ?x1)) (?v_457 (* (- 28) ?x1)) (?v_429 (* (- 80) ?x2)) (?v_361 (* (- 91) ?x3)) (?v_454 (* (- 96) ?x1)) (?v_476 (* (- 72) ?x3)) (?v_717 (* (- 18) ?x1)) (?v_334 (* (- 81) ?x2)) (?v_689 (* (- 65) ?x4)) (?v_384 (* (- 68) ?x4)) (?v_475 (* (- 6) ?x3)) (?v_559 (* (- 34) ?x4)) (?v_447 (* (- 13) ?x1)) (?v_598 (* (- 82) ?x1)) (?v_455 (* (- 21) ?x3)) (?v_516 (* (- 29) ?x3)) (?v_607 (* (- 67) ?x1)) (?v_442 (* (- 64) ?x4)) (?v_726 (* (- 33) ?x4)) (?v_377 (* (- 46) ?x2)) (?v_623 (* (- 45) ?x2)) (?v_386 (* (- 34) ?x3)) (?v_438 (* (- 99) ?x4)) (?v_366 (* (- 39) ?x3)) (?v_504 (* (- 88) ?x2)) (?v_525 (* (- 17) ?x2)) (?v_406 (* (- 26) ?x1)) (?v_751 (* (- 84) ?x4)) (?v_462 (* (- 84) ?x3)) (?v_603 (* (- 55) ?x4)) (?v_558 (* (- 53) ?x1)) (?v_601 (* (- 5) ?x4)) (?v_730 (* (- 32) ?x4)) (?v_400 (* (- 51) ?x4)) (?v_401 (* (- 66) ?x2)) (?v_613 (* (- 68) ?x1)) (?v_413 (* (- 29) ?x4)) (?v_727 (* (- 68) ?x2)) (?v_767 (* (- 58) ?x1)) (?v_526 (* (- 17) ?x4)) (?v_479 (* (- 28) ?x2)) (?v_666 (* (- 50) ?x2)) (?v_543 (* (- 41) ?x1)) (?v_431 (* (- 67) ?x3)) (?v_444 (* (- 77) ?x2)) (?v_569 (* (- 88) ?x1)) (?v_443 (* (- 59) ?x3)) (?v_541 (* (- 9) ?x4)) (?v_632 (* (- 4) ?x1)) (?v_448 (* (- 43) ?x3)) (?v_497 (* (- 44) ?x4)) (?v_511 (* (- 74) ?x2)) (?v_715 (* (- 78) ?x2)) (?v_530 (* (- 8) ?x3)) (?v_662 (* (- 18) ?x3)) (?v_615 (* (- 35) ?x3)) (?v_704 (* (- 24) ?x4)) (?v_575 (* (- 1) ?x3)) (?v_508 (* (- 86) ?x2)) (?v_576 (* (- 22) ?x3)) (?v_675 (* (- 43) ?x4)) (?v_545 (* (- 31) ?x4)) (?v_753 (* (- 40) ?x1)) (?v_610 (* (- 99) ?x3)) (?v_706 (* (- 5) ?x1)) (?v_791 (* (- 20) ?x2)) (?v_547 (* (- 74) ?x3)) (?v_589 (* (- 66) ?x1)) (?v_650 (* (- 46) ?x4)) (?v_746 (* (- 79) ?x4)) (?v_606 (* (- 44) ?x1)) (?v_743 (* (- 95) ?x1)) (?v_643 (* (- 90) ?x4)) (?v_645 (* (- 92) ?x4)) (?v_658 (* (- 15) ?x4)) (?v_593 (* (- 81) ?x4)) (?v_761 (* (- 61) ?x3)) (?v_731 (* (- 63) ?x1)) (?v_722 (* (- 16) ?x4)) (?v_590 (* (- 60) ?x2)) (?v_694 (* (- 15) ?x2)) (?v_737 (* (- 78) ?x3)) (?v_605 (* (- 14) ?x2)) (?v_692 (* (- 44) ?x2)) (?v_640 (* (- 2) ?x1)) (?v_649 (* (- 22) ?x2)) (?v_748 (* (- 64) ?x3)) (?v_772 (* (- 79) ?x1)) (?v_702 (* (- 66) ?x4)) (?v_636 (* (- 76) ?x4)) (?v_707 (* (- 85) ?x3)) (?v_699 (* (- 6) ?x4)) (?v_728 (* (- 97) ?x3)) (?v_714 (* (- 64) ?x2)) (?v_693 (* (- 13) ?x3)) (?v_770 (* (- 16) ?x2)) (?v_789 (+ ?v_622 ?v_55)) (?v_785 (* (- 19) ?x4)) (?v_793 (* (- 59) ?x2)) (?v_784 (* (- 100) ?x3)) (?v_757 (* (- 12) ?x4)) (?v_774 (* (- 20) ?x3)) (?v_742 (* (- 73) ?x4)) (?v_765 (* (- 44) ?x3)) (?v_780 (* (- 26) ?x3)) (?v_779 (* (- 27) ?x3))) (let ((?v_777 (+ (+ ?v_337 ?v_504) ?v_520)) (?v_782 (* (- 58) ?x2))) (or (and (and (and (and (or (or (and (and (and (or (< (+ (+ ?v_111 ?v_4) ?v_193) 79) (< (+ (+ ?v_63 ?v_8) ?v_27) (- 38))) (or (<= (+ (+ ?v_41 ?v_167) ?v_0) 0) (<= (+ (+ ?v_358 ?v_487) ?v_488) 0))) (or (> (+ ?v_356 ?v_97) 0) (and (>= (+ (+ (+ ?v_635 ?v_368) ?v_324) ?v_11) 0) (<= (+ (+ ?v_12 ?v_14) ?v_0) 0)))) (and (and (and (not (= (+ (+ ?v_764 ?v_28) ?v_412) 77)) (<= (+ (+ ?v_89 ?v_164) ?v_56) 0)) (and (not (= (+ (+ ?v_194 ?v_59) ?v_344) 29)) (>= (+ (+ (+ ?v_278 ?v_10) ?v_90) ?v_762) 0))) (< (+ (+ ?v_2 ?v_338) ?v_6) 34))) (and (and (< (+ (+ ?v_91 ?v_156) ?v_1) (- 53)) (= (+ ?v_38 ?v_552) (- 12))) (or (= (+ (+ ?v_23 ?v_104) ?v_165) 51) (not (= (+ (+ ?v_482 ?v_391) ?v_3) 0))))) (and (or (or (or (= (+ (+ ?v_7 ?v_441) ?v_16) 0) (>= (+ (+ ?v_223 ?v_37) ?v_1) 37)) (<= (+ (+ ?v_22 ?v_119) ?v_362) 0)) (or (<= (+ ?v_251 ?v_299) 0) (> (+ (+ ?v_46 ?v_9) ?v_82) (- 25)))) (or (or (and (>= (+ ?v_24 ?v_15) (- 56)) (>= (+ (+ (+ ?v_102 ?v_78) ?v_34) ?v_157) 37)) (or (> ?v_433 90) (not (= (+ (+ ?v_644 ?v_397) ?v_239) (- 45))))) (or (and (< (+ (+ (+ ?v_123 ?v_42) ?v_173) ?v_84) 0) (or (not (= (+ (+ ?v_2 ?v_580) ?v_732) 0)) (> (+ (+ ?v_5 ?v_257) ?v_596) 89))) (and (and (= (+ (+ (+ ?v_106 ?v_515) ?v_20) ?v_49) 0) (>= (+ (+ (+ ?v_30 ?v_513) ?v_197) ?v_101) 0)) (or (< (+ (+ ?v_556 ?v_29) ?v_0) 88) (= (+ (+ (+ ?v_198 ?v_19) ?v_188) ?v_3) 12))))))) (or (or (and (and (and (or (= (+ (+ ?v_51 ?v_48) ?v_32) (- 54)) (<= (+ (+ (+ ?v_26 ?v_17) ?v_185) ?v_127) 0)) (or (> (+ (+ ?v_720 ?v_351) ?v_258) 50) (> (+ (+ ?v_93 ?v_4) ?v_25) (- 97)))) (or (and (= (+ (+ ?v_655 ?v_5) ?v_6) 30) (= (+ (+ (+ ?v_7 ?v_8) ?v_9) ?v_427) (- 3))) (< (+ ?v_7 ?v_31) (- 44)))) (and (and (<= (+ ?v_419 ?v_10) (- 94)) (< (+ (+ (+ ?v_150 ?v_103) ?v_99) ?v_11) (- 26))) (>= (+ (+ (+ ?v_12 ?v_61) ?v_66) ?v_154) 0))) (and (and (>= (+ ?v_4 ?v_21) 0) (or (> (+ (+ (+ ?v_13 ?v_172) ?v_484) ?v_402) 27) (< (+ (+ ?v_205 ?v_14) ?v_532) (- 35)))) (and (= (+ (+ ?v_58 ?v_55) ?v_302) 90) (= (+ (+ ?v_53 ?v_146) ?v_190) (- 42))))) (or (or (and (> (+ (+ ?v_12 ?v_711) ?v_155) 62) (or (and (< (+ ?v_65 ?v_724) 4) (not (= (+ (+ (+ ?v_115 ?v_109) ?v_18) ?v_15) 0))) (and (< (+ ?v_86 ?v_208) (- 44)) (not (= (+ ?v_461 ?v_44) (- 31)))))) (or (or (= (+ (+ (+ ?v_98 ?v_319) ?v_108) ?v_16) (- 28)) (> (+ (+ ?v_392 ?v_17) ?v_18) (- 36))) (or (= (+ (+ (+ ?v_495 ?v_19) ?v_214) ?v_54) 0) (<= (+ (+ (+ ?v_171 ?v_238) ?v_20) ?v_21) 95)))) (and (or (and (or (>= (+ (+ (+ ?v_47 ?v_469) ?v_43) ?v_503) 34) (= (+ (+ ?v_22 ?v_23) ?v_314) (- 24))) (or (<= (+ (+ (+ ?v_24 ?v_39) ?v_255) ?v_110) 0) (> (+ (+ ?v_36 ?v_25) ?v_140) (- 1)))) (or (and (< (+ ?v_79 ?v_333) (- 2)) (= (+ (+ ?v_660 ?v_160) ?v_85) (- 63))) (or (<= (+ (+ (+ ?v_131 ?v_288) ?v_74) ?v_703) (- 39)) (= (+ ?v_465 ?v_472) (- 33))))) (or (or (or (< (+ (+ ?v_136 ?v_570) ?v_62) (- 83)) (<= (+ (+ (+ ?v_192 ?v_113) ?v_50) ?v_33) 96)) (or (not (= (+ (+ (+ ?v_493 ?v_253) ?v_646) ?v_128) 0)) (>= (+ ?v_148 ?v_252) (- 92)))) (and (not (= (+ ?v_234 ?v_582) 78)) (>= (+ (+ (+ ?v_26 ?v_52) ?v_27) ?v_35) 25))))))) (or (or (and (or (and (not (= ?v_346 12)) (or (= (+ (+ ?v_28 ?v_181) ?v_70) (- 63)) (<= (+ ?v_169 ?v_29) 51))) (or (= (+ ?v_72 ?v_529) (- 64)) (not (= (+ (+ ?v_616 ?v_4) ?v_191) 3)))) (and (or (or (not (= (+ (+ ?v_30 ?v_512) ?v_45) 0)) (< (+ (+ ?v_180 ?v_557) ?v_186) 91)) (or (>= (+ (+ (+ ?v_94 ?v_107) ?v_31) ?v_60) 0) (< (+ (+ ?v_159 ?v_67) ?v_32) 28))) (or (or (> (+ (+ (+ ?v_230 ?v_374) ?v_624) ?v_33) (- 1)) (not (= (+ ?v_490 ?v_40) (- 61)))) (or (not (= (+ (+ ?v_57 ?v_34) ?v_68) (- 34))) (not (= (+ (+ ?v_734 ?v_176) ?v_242) (- 7))))))) (and (and (or (or (>= (+ (+ ?v_202 ?v_270) ?v_35) 0) (or (= (+ (+ ?v_281 ?v_350) ?v_522) 11) (not (= (+ (+ (+ ?v_36 ?v_540) ?v_37) ?v_122) (- 3))))) (and (<= (+ (+ (+ ?v_38 ?v_39) ?v_40) ?v_3) 0) (and (< (+ (+ ?v_41 ?v_294) ?v_88) (- 2)) (>= (+ (+ (+ ?v_121 ?v_42) ?v_43) ?v_44) 46)))) (or (and (not (= (+ ?v_416 ?v_45) 0)) (and (>= (+ (+ ?v_243 ?v_175) ?v_32) (- 77)) (> (+ (+ ?v_141 ?v_83) ?v_375) (- 36)))) (or (or (<= (+ (+ (+ ?v_46 ?v_481) ?v_112) ?v_247) (- 70)) (not (= (+ (+ ?v_787 ?v_48) ?v_49) (- 24)))) (and (<= (+ (+ (+ ?v_207 ?v_69) ?v_50) ?v_130) 92) (> (+ (+ (+ ?v_64 ?v_389) ?v_14) ?v_35) 0))))) (or (and (and (or (> (+ (+ (+ ?v_118 ?v_381) ?v_206) ?v_21) (- 27)) (> (+ (+ (+ ?v_51 ?v_142) ?v_166) ?v_398) 0)) (and (> (+ (+ ?v_52 ?v_295) ?v_363) 0) (>= (+ (+ ?v_209 ?v_379) ?v_75) 85))) (or (or (<= (+ (+ (+ ?v_415 ?v_271) ?v_40) ?v_367) (- 94)) (> (+ (+ (+ ?v_53 ?v_306) ?v_510) ?v_168) (- 39))) (and (< (+ (+ ?v_283 ?v_518) ?v_54) 0) (> (+ (+ ?v_174 ?v_55) ?v_417) 0)))) (and (and (= (+ ?v_129 ?v_56) 39) (> (+ (+ (+ ?v_76 ?v_134) ?v_43) ?v_116) (- 19))) (and (or (> (+ ?v_226 ?v_437) 0) (< (+ (+ (+ ?v_237 ?v_57) ?v_71) ?v_215) 1)) (>= (+ (+ ?v_58 ?v_59) ?v_60) 0)))))) (or (or (or (or (and (<= (+ (+ ?v_47 ?v_61) ?v_62) (- 49)) (> (+ (+ ?v_63 ?v_77) ?v_170) 0)) (or (> (+ (+ (+ ?v_64 ?v_95) ?v_336) ?v_92) (- 78)) (< (+ (+ ?v_65 ?v_505) ?v_245) 0))) (or (or (>= (+ ?v_778 ?v_66) (- 35)) (>= (+ (+ (+ ?v_313 ?v_67) ?v_117) ?v_68) (- 17))) (or (< (+ ?v_114 ?v_231) 0) (not (= (+ (+ (+ ?v_51 ?v_151) ?v_195) ?v_135) 24))))) (and (and (and (and (< (+ (+ ?v_345 ?v_69) ?v_70) 22) (> (+ (+ ?v_478 ?v_233) ?v_71) (- 88))) (and (not (= (+ (+ ?v_72 ?v_73) ?v_74) 65)) (< (+ (+ ?v_434 ?v_75) ?v_143) (- 50)))) (or (and (>= (+ (+ (+ ?v_76 ?v_446) ?v_77) ?v_327) 0) (= (+ (+ (+ ?v_212 ?v_296) ?v_308) ?v_688) 18)) (and (> (+ (+ (+ ?v_22 ?v_579) ?v_80) ?v_577) (- 7)) (= (+ (+ ?v_161 ?v_494) ?v_162) (- 60))))) (and (and (or (>= (+ ?v_78 ?v_79) (- 77)) (<= (+ (+ ?v_297 ?v_80) ?v_609) 0)) (and (= (+ (+ (+ ?v_96 ?v_572) ?v_229) ?v_565) 6) (<= (+ (+ (+ ?v_330 ?v_311) ?v_37) ?v_627) 0))) (and (and (= (+ (+ ?v_648 ?v_564) ?v_390) (- 81)) (not (= (+ ?v_81 ?v_11) (- 100)))) (or (< (+ (+ ?v_342 ?v_87) ?v_158) (- 41)) (< (+ (+ ?v_436 ?v_340) ?v_309) 46)))))) (and (or (or (= ?v_120 51) (> (+ ?v_183 ?v_581) (- 55))) (and (or (> (+ ?v_286 ?v_316) 0) (>= (+ (+ (+ ?v_685 ?v_210) ?v_219) ?v_138) 58)) (or (or (< (+ (+ (+ ?v_63 ?v_563) ?v_105) ?v_82) (- 71)) (<= (+ (+ ?v_83 ?v_152) ?v_84) 0)) (or (<= (+ (+ ?v_30 ?v_491) ?v_85) 0) (= ?v_86 (- 51)))))) (or (or (<= (+ ?v_87 ?v_88) 0) (>= (+ (+ ?v_76 ?v_671) ?v_21) (- 2))) (and (and (= (+ (+ (+ ?v_89 ?v_290) ?v_90) ?v_11) 0) (>= (+ (+ ?v_449 ?v_91) ?v_382) 19)) (>= (+ ?v_139 ?v_92) 0))))))) (or (and (or (and (and (and (or (< (+ (+ (+ ?v_220 ?v_133) ?v_144) ?v_496) 0) (<= (+ (+ (+ ?v_93 ?v_78) ?v_221) ?v_393) 98)) (or (> (+ ?v_100 ?v_56) 0) (<= (+ (+ (+ ?v_94 ?v_95) ?v_244) ?v_84) 92))) (and (or (> (+ (+ (+ ?v_96 ?v_125) ?v_187) ?v_611) (- 42)) (<= (+ (+ ?v_267 ?v_149) ?v_97) (- 94))) (or (and (<= (+ (+ (+ ?v_98 ?v_137) ?v_99) ?v_672) (- 45)) (not (= (+ (+ ?v_225 ?v_100) ?v_101) 0))) (or (>= (+ (+ (+ ?v_102 ?v_103) ?v_104) ?v_752) 0) (>= (+ ?v_4 ?v_0) 0))))) (and (or (or (< (+ (+ ?v_61 ?v_105) ?v_222) 0) (= (+ (+ ?v_106 ?v_107) ?v_44) 29)) (or (<= (+ (+ ?v_124 ?v_8) ?v_15) (- 58)) (>= ?v_428 64))) (or (or (and (and (<= (+ ?v_78 ?v_108) (- 88)) (= (+ ?v_7 ?v_84) 0)) (and (>= (+ (+ (+ ?v_519 ?v_109) ?v_422) ?v_110) 79) (< (+ (+ (+ ?v_111 ?v_385) ?v_112) ?v_201) 0))) (and (or (>= (+ ?v_126 ?v_273) (- 41)) (>= (+ (+ ?v_395 ?v_81) ?v_178) 1)) (<= (+ (+ (+ ?v_93 ?v_113) ?v_633) ?v_145) 0))) (and (or (not (= (+ (+ ?v_114 ?v_489) ?v_305) 71)) (< (+ (+ ?v_115 ?v_132) ?v_116) 22)) (or (< (+ ?v_594 ?v_548) 7) (not (= (+ (+ (+ ?v_284 ?v_69) ?v_117) ?v_84) 0))))))) (or (or (or (and (= (+ (+ ?v_318 ?v_554) ?v_663) 20) (and (>= (+ (+ ?v_118 ?v_119) ?v_120) 0) (not (= (+ (+ (+ ?v_121 ?v_182) ?v_79) ?v_122) 62)))) (or (and (<= ?v_123 0) (<= (+ (+ ?v_124 ?v_502) ?v_204) (- 9))) (and (>= (+ (+ ?v_468 ?v_125) ?v_126) (- 53)) (not (= (+ ?v_566 ?v_585) 80))))) (or (or (or (< (+ (+ ?v_256 ?v_269) ?v_127) (- 41)) (>= (+ (+ (+ ?v_602 ?v_331) ?v_317) ?v_553) 61)) (and (or (= (+ (+ ?v_200 ?v_240) ?v_684) (- 43)) (<= ?v_217 89)) (or (<= (+ (+ ?v_153 ?v_723) ?v_466) (- 55)) (<= (+ ?v_300 ?v_128) 77)))) (and (and (and (> (+ ?v_292 ?v_6) 0) (= (+ ?v_38 ?v_312) 0)) (or (< ?v_129 0) (> ?v_130 (- 81)))) (or (or (< (+ (+ ?v_131 ?v_87) ?v_321) 0) (= (+ ?v_574 ?v_642) 77)) (>= (+ (+ ?v_591 ?v_132) ?v_211) 73))))) (and (or (or (and (< ?v_380 94) (= (+ (+ ?v_719 ?v_133) ?v_467) (- 63))) (or (= (+ ?v_179 ?v_134) 27) (not (= (+ ?v_203 ?v_498) 0)))) (or (and (and (>= (+ (+ (+ ?v_424 ?v_235) ?v_105) ?v_691) (- 53)) (>= (+ (+ ?v_492 ?v_39) ?v_135) (- 11))) (or (> (+ (+ ?v_136 ?v_137) ?v_372) 3) (not (= (+ (+ ?v_409 ?v_410) ?v_661) 33)))) (and (>= (+ (+ ?v_551 ?v_213) ?v_138) 76) (not (= (+ (+ (+ ?v_620 ?v_86) ?v_139) ?v_140) 0))))) (and (not (= (+ ?v_141 ?v_142) 0)) (or (<= (+ (+ (+ ?v_124 ?v_674) ?v_20) ?v_143) (- 43)) (= (+ (+ ?v_521 ?v_228) ?v_263) 0)))))) (and (or (or (and (and (and (and (<= (+ (+ ?v_769 ?v_144) ?v_68) 5) (< (+ (+ (+ ?v_528 ?v_248) ?v_20) ?v_145) 0)) (or (<= ?v_146 (- 82)) (< (+ (+ (+ ?v_628 ?v_86) ?v_90) ?v_599) 0))) (or (and (not (= (+ (+ (+ ?v_147 ?v_148) ?v_149) ?v_49) (- 72))) (>= (+ ?v_405 ?v_15) 1)) (and (not (= (+ (+ ?v_453 ?v_189) ?v_260) 0)) (= (+ ?v_150 ?v_250) 0)))) (and (and (or (< (+ (+ ?v_298 ?v_50) ?v_486) 0) (< (+ (+ ?v_151 ?v_227) ?v_277) 0)) (and (< ?v_307 0) (>= (+ ?v_216 ?v_152) (- 74)))) (or (and (not (= (+ (+ ?v_153 ?v_177) ?v_154) 9)) (> (+ (+ ?v_151 ?v_315) ?v_262) 0)) (>= (+ (+ ?v_42 ?v_184) ?v_155) 0)))) (and (and (and (or (>= ?v_156 79) (< (+ (+ (+ ?v_51 ?v_91) ?v_404) ?v_794) 0)) (or (not (= (+ ?v_638 ?v_157) 63)) (< (+ (+ ?v_153 ?v_471) ?v_163) (- 29)))) (or (and (<= (+ (+ (+ ?v_124 ?v_196) ?v_126) ?v_158) 11) (<= (+ (+ (+ ?v_159 ?v_667) ?v_160) ?v_130) 29)) (and (= (+ (+ (+ ?v_161 ?v_696) ?v_162) ?v_163) 0) (> (+ (+ (+ ?v_403 ?v_259) ?v_164) ?v_165) 60)))) (or (or (and (>= (+ ?v_276 ?v_166) 1) (> (+ (+ (+ ?v_617 ?v_73) ?v_167) ?v_168) 0)) (and (< (+ (+ ?v_293 ?v_232) ?v_132) (- 62)) (> (+ (+ ?v_169 ?v_621) ?v_170) 0))) (or (and (> (+ (+ (+ ?v_171 ?v_172) ?v_173) ?v_170) 0) (= (+ (+ (+ ?v_174 ?v_175) ?v_376) ?v_135) (- 76))) (and (= (+ (+ ?v_176 ?v_66) ?v_549) 0) (> (+ (+ ?v_172 ?v_177) ?v_178) 54)))))) (and (and (and (or (= (+ (+ (+ ?v_179 ?v_180) ?v_181) ?v_423) 84) (< (+ (+ ?v_224 ?v_182) ?v_170) 46)) (and (= (+ (+ (+ ?v_272 ?v_325) ?v_562) ?v_266) 51) (<= (+ (+ ?v_183 ?v_184) ?v_341) 87))) (or (and (<= (+ (+ (+ ?v_600 ?v_287) ?v_185) ?v_186) 0) (= (+ (+ ?v_452 ?v_187) ?v_168) 9)) (or (= (+ ?v_567 ?v_188) (- 15)) (<= (+ ?v_189 ?v_190) (- 81))))) (or (or (and (<= (+ (+ ?v_199 ?v_191) ?v_339) 42) (> (+ ?v_123 ?v_182) 71)) (and (= (+ (+ ?v_192 ?v_275) ?v_190) 30) (> (+ (+ ?v_131 ?v_183) ?v_193) (- 31)))) (and (and (< (+ (+ (+ ?v_194 ?v_264) ?v_195) ?v_254) 4) (not (= ?v_157 (- 94)))) (> (+ ?v_196 ?v_268) 0))))) (and (or (and (and (and (not (= (+ (+ (+ ?v_396 ?v_425) ?v_197) ?v_470) (- 1))) (<= (+ (+ (+ ?v_198 ?v_199) ?v_181) ?v_533) 0)) (or (not (= (+ (+ (+ ?v_89 ?v_200) ?v_108) ?v_201) 23)) (< ?v_61 55))) (or (or (or (< (+ (+ (+ ?v_202 ?v_279) ?v_34) ?v_480) 0) (> (+ (+ (+ ?v_203 ?v_474) ?v_204) ?v_280) 0)) (and (= (+ ?v_354 ?v_587) 0) (< (+ (+ ?v_96 ?v_282) ?v_204) 0))) (and (and (< (+ (+ ?v_349 ?v_749) ?v_101) 0) (> (+ (+ (+ ?v_115 ?v_52) ?v_414) ?v_421) 0)) (and (< (+ (+ ?v_205 ?v_206) ?v_612) 22) (>= (+ (+ ?v_207 ?v_328) ?v_208) 28))))) (and (or (<= (+ (+ (+ ?v_209 ?v_210) ?v_265) ?v_211) (- 58)) (< (+ (+ ?v_212 ?v_81) ?v_274) 0)) (and (or (or (> (+ (+ (+ ?v_499 ?v_213) ?v_214) ?v_215) 0) (< (+ (+ ?v_216 ?v_75) ?v_88) 0)) (or (not (= ?v_335 (- 75))) (>= (+ (+ (+ ?v_114 ?v_69) ?v_50) ?v_217) 4))) (or (>= (+ ?v_218 ?v_365) 0) (or (> (+ (+ ?v_10 ?v_219) ?v_378) 0) (< (+ (+ ?v_220 ?v_59) ?v_221) 37)))))) (and (or (or (or (<= (+ ?v_198 ?v_190) 0) (or (= (+ ?v_355 ?v_222) 0) (> (+ (+ ?v_223 ?v_246) ?v_34) 0))) (and (or (> (+ (+ ?v_98 ?v_539) ?v_261) 0) (> (+ ?v_224 ?v_546) 0)) (= (+ (+ (+ ?v_225 ?v_387) ?v_187) ?v_92) 93))) (or (or (<= (+ (+ ?v_226 ?v_360) ?v_435) 93) (not (= (+ (+ ?v_531 ?v_227) ?v_56) (- 37)))) (or (and (not (= (+ (+ ?v_586 ?v_310) ?v_130) (- 24))) (>= (+ (+ ?v_220 ?v_228) ?v_217) (- 35))) (and (>= (+ (+ ?v_47 ?v_229) ?v_236) 1) (< (+ ?v_320 ?v_329) 0))))) (or (and (and (or (<= (+ ?v_249 ?v_201) (- 13)) (>= (+ ?v_230 ?v_231) (- 74))) (or (not (= (+ (+ ?v_192 ?v_232) ?v_146) 18)) (>= (+ ?v_233 ?v_90) 100))) (and (or (< (+ (+ ?v_234 ?v_5) ?v_322) (- 65)) (< (+ (+ ?v_153 ?v_55) ?v_304) 0)) (or (= (+ (+ (+ ?v_136 ?v_17) ?v_573) ?v_514) 77) (> (+ ?v_235 ?v_90) 0)))) (and (and (and (> (+ (+ ?v_364 ?v_176) ?v_236) 0) (<= (+ ?v_237 ?v_537) (- 52))) (and (<= (+ (+ (+ ?v_22 ?v_238) ?v_239) ?v_16) (- 19)) (not (= (+ (+ (+ ?v_343 ?v_210) ?v_29) ?v_394) (- 27))))) (or (>= (+ ?v_240 ?v_353) 7) (< ?v_226 (- 47))))))))) (or (and (or (and (or (= (+ (+ (+ ?v_93 ?v_241) ?v_242) ?v_536) (- 18)) (not (= (+ ?v_7 ?v_241) 0))) (and (= (+ (+ ?v_408 ?v_634) ?v_92) 21) (> (+ (+ (+ ?v_460 ?v_383) ?v_426) ?v_158) (- 82)))) (or (< (+ ?v_133 ?v_285) 0) (>= (+ (+ (+ ?v_243 ?v_619) ?v_244) ?v_82) 76))) (or (or (< (+ (+ (+ ?v_76 ?v_183) ?v_242) ?v_245) 61) (or (> (+ (+ (+ ?v_38 ?v_246) ?v_618) ?v_247) (- 79)) (not (= (+ (+ ?v_248 ?v_249) ?v_250) 0)))) (and (and (>= (+ (+ ?v_251 ?v_252) ?v_130) (- 26)) (>= (+ (+ ?v_411 ?v_253) ?v_592) 0)) (or (< (+ (+ ?v_2 ?v_195) ?v_254) (- 32)) (>= (+ ?v_175 ?v_357) 0))))) (and (and (or (and (or (>= (+ (+ ?v_109 ?v_255) ?v_740) 58) (not (= (+ (+ (+ ?v_256 ?v_500) ?v_257) ?v_544) 90))) (>= (+ (+ (+ ?v_289 ?v_235) ?v_686) ?v_258) (- 44))) (or (or (not (= (+ ?v_459 ?v_754) (- 93))) (<= (+ (+ (+ ?v_736 ?v_259) ?v_48) ?v_0) 2)) (and (< (+ (+ (+ ?v_205 ?v_67) ?v_260) ?v_261) (- 68)) (= (+ (+ ?v_483 ?v_509) ?v_262) 0)))) (or (or (or (>= (+ (+ ?v_115 ?v_125) ?v_263) 91) (>= (+ (+ ?v_264 ?v_166) ?v_323) (- 56))) (or (>= (+ ?v_73 ?v_165) (- 14)) (= (+ (+ ?v_750 ?v_265) ?v_266) (- 73)))) (or (or (> (+ ?v_267 ?v_268) 0) (<= (+ (+ ?v_269 ?v_270) ?v_163) 50)) (< (+ (+ ?v_326 ?v_271) ?v_501) 37)))) (or (and (and (and (or (> (+ ?v_272 ?v_48) 74) (<= (+ ?v_272 ?v_291) 0)) (and (< (+ (+ ?v_432 ?v_697) ?v_273) (- 65)) (= (+ (+ (+ ?v_51 ?v_73) ?v_274) ?v_721) 27))) (or (not (= (+ (+ ?v_121 ?v_275) ?v_68) 0)) (= (+ (+ (+ ?v_276 ?v_55) ?v_352) ?v_277) 32))) (or (or (< (+ (+ ?v_136 ?v_9) ?v_163) (- 68)) (not (= (+ (+ ?v_278 ?v_279) ?v_507) (- 84)))) (and (or (<= ?v_280 27) (not (= (+ (+ ?v_281 ?v_152) ?v_301) 0))) (or (= (+ (+ ?v_226 ?v_725) ?v_120) 63) (< (+ (+ ?v_371 ?v_458) ?v_260) 43))))) (and (and (or (and (>= (+ (+ ?v_282 ?v_647) ?v_170) 0) (> (+ (+ ?v_141 ?v_283) ?v_60) 26)) (or (>= ?v_284 (- 77)) (< (+ (+ ?v_179 ?v_125) ?v_191) (- 38)))) (or (or (not (= (+ (+ ?v_202 ?v_172) ?v_285) 11)) (> (+ (+ ?v_286 ?v_287) ?v_679) (- 10))) (< (+ ?v_288 ?v_15) 73))) (or (or (and (< (+ (+ ?v_289 ?v_228) ?v_236) 88) (> (+ (+ (+ ?v_46 ?v_290) ?v_291) ?v_122) 53)) (> (+ (+ ?v_303 ?v_269) ?v_191) (- 42))) (or (= (+ (+ ?v_292 ?v_332) ?v_25) (- 67)) (<= (+ (+ ?v_430 ?v_214) ?v_215) (- 97)))))))))) (or (and (or (and (or (and (and (or (>= (+ (+ (+ ?v_293 ?v_506) ?v_291) ?v_130) 61) (= (+ ?v_42 ?v_68) 0)) (or (= (+ ?v_763 ?v_285) 0) (<= (+ (+ ?v_373 ?v_294) ?v_359) (- 73)))) (or (or (or (< ?v_271 (- 8)) (= (+ ?v_109 ?v_295) (- 99))) (or (<= (+ (+ (+ ?v_457 ?v_429) ?v_270) ?v_568) (- 3)) (> (+ (+ ?v_296 ?v_523) ?v_56) (- 25)))) (or (or (= (+ (+ (+ ?v_297 ?v_298) ?v_164) ?v_299) 15) (not (= ?v_300 0))) (< ?v_258 97)))) (and (or (>= (+ (+ ?v_151 ?v_361) ?v_301) 1) (< (+ (+ ?v_451 ?v_302) ?v_68) (- 29))) (or (or (> ?v_236 12) (< (+ (+ ?v_303 ?v_103) ?v_255) 0)) (and (<= (+ (+ (+ ?v_454 ?v_279) ?v_476) ?v_304) 71) (= (+ (+ (+ ?v_93 ?v_107) ?v_305) ?v_473) 0))))) (or (or (or (< (+ (+ ?v_306 ?v_307) ?v_245) (- 47)) (< (+ ?v_109 ?v_27) 64)) (= (+ (+ (+ ?v_58 ?v_690) ?v_308) ?v_309) 68)) (or (or (or (or (= (+ ?v_225 ?v_298) (- 42)) (>= (+ (+ (+ ?v_717 ?v_200) ?v_310) ?v_101) 0)) (or (> ?v_369 2) (> (+ (+ ?v_225 ?v_334) ?v_130) (- 55)))) (and (or (>= (+ ?v_560 ?v_188) 7) (= (+ (+ ?v_311 ?v_312) ?v_122) (- 12))) (and (>= (+ ?v_313 ?v_314) 0) (>= (+ (+ ?v_284 ?v_59) ?v_219) 73)))) (and (or (or (not (= (+ (+ (+ ?v_124 ?v_10) ?v_315) ?v_316) 0)) (< (+ (+ ?v_17 ?v_317) ?v_689) (- 14))) (and (<= (+ (+ ?v_318 ?v_319) ?v_535) (- 21)) (= (+ ?v_313 ?v_213) (- 48)))) (and (and (< (+ (+ (+ ?v_58 ?v_320) ?v_348) ?v_384) (- 32)) (not (= ?v_221 17))) (and (= (+ (+ (+ ?v_709 ?v_81) ?v_321) ?v_208) (- 63)) (= (+ ?v_235 ?v_475) 24))))))) (and (and (or (or (and (or (= (+ (+ ?v_639 ?v_322) ?v_323) 48) (>= (+ ?v_324 ?v_559) 49)) (or (<= (+ (+ ?v_485 ?v_325) ?v_215) 45) (>= (+ (+ (+ ?v_447 ?v_235) ?v_305) ?v_266) 0))) (< (+ (+ (+ ?v_598 ?v_172) ?v_455) ?v_583) 79)) (and (and (and (< (+ ?v_326 ?v_327) (- 80)) (and (< (+ (+ (+ (* (- 37) ?x1) ?v_328) ?v_516) ?v_154) (- 59)) (<= (+ (+ ?v_337 ?v_296) ?v_329) (- 37)))) (and (and (< (+ ?v_137 ?v_273) 1) (= (+ (+ ?v_7 ?v_659) ?v_280) 0)) (or (> (+ ?v_65 ?v_301) 0) (= (+ (+ ?v_607 ?v_325) ?v_442) 0)))) (or (and (<= (+ (+ ?v_733 ?v_206) ?v_726) 0) (> (+ (+ (+ ?v_114 ?v_656) ?v_295) ?v_157) 95)) (or (or (>= (+ (+ (+ ?v_330 ?v_331) ?v_520) ?v_135) (- 38)) (<= (+ (+ ?v_332 ?v_631) ?v_333) (- 46))) (or (not (= (+ (+ (+ ?v_313 ?v_334) ?v_252) ?v_653) (- 3))) (< (+ (+ ?v_463 ?v_335) ?v_456) 0)))))) (or (and (and (<= (+ ?v_259 ?v_327) 38) (<= (+ (+ ?v_93 ?v_377) ?v_336) 14)) (>= (+ (+ ?v_623 ?v_386) ?v_438) (- 47))) (or (and (and (or (>= (+ ?v_337 ?v_49) 46) (< (+ (+ ?v_760 ?v_315) ?v_339) 0)) (or (>= (+ (+ (+ ?v_256 ?v_340) ?v_542) ?v_277) (- 11)) (not (= (+ (+ (+ ?v_121 ?v_87) ?v_366) ?v_341) (- 57))))) (or (>= (+ (+ ?v_342 ?v_17) ?v_146) 0) (<= (+ (+ ?v_343 ?v_504) ?v_344) (- 93)))) (or (or (not (= (+ ?v_267 ?v_18) 0)) (and (>= (+ (+ ?v_345 ?v_701) ?v_25) 13) (= (+ ?v_346 ?v_347) 0))) (not (= (+ (+ (+ ?v_218 ?v_758) ?v_348) ?v_682) 48)))))) (and (and (or (or (and (and (< (+ ?v_212 ?v_525) 0) (>= (+ ?v_349 ?v_350) 7)) (and (>= (+ ?v_351 ?v_239) 28) (= (+ (+ ?v_738 ?v_352) ?v_353) 0))) (or (or (< (+ (+ ?v_354 ?v_80) ?v_82) 0) (> (+ (+ (+ ?v_355 ?v_356) ?v_206) ?v_357) 24)) (and (= (+ (+ ?v_406 ?v_747) ?v_11) (- 97)) (<= (+ (+ (+ ?v_358 ?v_183) ?v_166) ?v_359) (- 4))))) (or (and (not (= (+ ?v_614 ?v_360) 41)) (> (+ ?v_64 ?v_361) 98)) (and (>= (+ ?v_362 ?v_45) 0) (and (>= (+ ?v_205 ?v_363) 67) (< (+ ?v_364 ?v_751) 0))))) (and (or (and (<= (+ (+ ?v_220 ?v_227) ?v_154) 0) (= (+ (+ (+ ?v_220 ?v_365) ?v_366) ?v_367) (- 27))) (and (or (<= (+ (+ (+ ?v_289 ?v_368) ?v_370) ?v_33) 50) (not (= (+ (+ (+ ?v_36 ?v_233) ?v_187) ?v_369) (- 99)))) (or (= (+ (+ (+ ?v_388 ?v_420) ?v_104) (* 59 ?x4)) 0) (not (= (+ (+ (+ ?v_464 ?v_183) ?v_462) ?v_603) (- 9)))))) (and (and (and (not (= (+ (+ ?v_358 ?v_370) ?v_130) 90)) (= (+ (+ (+ ?v_371 ?v_129) ?v_31) ?v_369) 86)) (or (= (+ (* 64 ?x1) ?v_418) 0) (<= (+ (+ ?v_248 ?v_372) ?v_285) (- 28)))) (and (and (= (+ ?v_373 ?v_328) (- 28)) (> (+ (+ ?v_558 ?v_374) ?v_375) 0)) (or (= (+ (+ (+ ?v_224 ?v_23) ?v_336) ?v_262) (- 97)) (> (+ (+ ?v_259 ?v_376) ?v_601) 96)))))) (and (or (and (and (> (+ (+ (+ ?v_102 ?v_377) ?v_27) ?v_378) 35) (< (+ (+ ?v_231 ?v_317) ?v_730) 64)) (<= (+ ?v_265 ?v_400) 38)) (and (and (not (= (+ (+ ?v_30 ?v_379) ?v_376) (- 55))) (= (+ (+ (+ ?v_38 ?v_401) ?v_322) ?v_380) (- 24))) (and (>= (+ (+ (+ ?v_237 ?v_381) ?v_191) ?v_285) 0) (= (+ (+ (+ ?v_98 ?v_271) ?v_164) ?v_110) (- 96))))) (and (or (or (> (+ (+ ?v_297 ?v_73) ?v_294) (- 91)) (not (= (+ (+ (+ ?v_613 ?v_148) ?v_252) ?v_382) 71))) (not (= (+ ?v_343 ?v_399) (- 60)))) (and (and (= (+ (+ (+ ?v_349 ?v_383) ?v_445) ?v_384) 63) (>= (+ (+ ?v_385 ?v_386) ?v_145) 0)) (or (<= (+ ?v_387 ?v_162) 18) (>= ?v_159 0)))))))) (and (or (and (or (and (or (and (< (+ (+ ?v_53 ?v_766) ?v_413) 25) (< (+ (+ (+ ?v_388 ?v_389) ?v_390) ?v_407) 64)) (or (<= (+ ?v_727 ?v_440) 0) (<= (+ (+ ?v_243 ?v_332) ?v_344) 3))) (or (or (not (= (+ (+ ?v_57 ?v_391) ?v_341) 0)) (= (+ ?v_392 ?v_393) 72)) (<= (+ (+ ?v_131 ?v_745) ?v_149) (- 79)))) (or (or (> (+ (+ ?v_114 ?v_317) ?v_394) (- 78)) (not (= (+ (+ ?v_395 ?v_238) ?v_578) (- 27)))) (or (or (> (+ (+ (+ ?v_396 ?v_320) ?v_77) ?v_280) 11) (not (= (+ (+ ?v_767 ?v_325) ?v_157) 0))) (> (+ (+ (+ ?v_96 ?v_397) ?v_295) ?v_526) 50)))) (and (and (and (= (+ (+ (+ ?v_251 ?v_69) ?v_160) ?v_398) 0) (= (+ (+ ?v_292 ?v_479) ?v_398) 0)) (and (= (+ (+ ?v_477 ?v_271) ?v_92) 0) (<= (+ (+ ?v_399 ?v_156) ?v_400) 89))) (and (<= (+ (+ (+ ?v_12 ?v_401) ?v_360) ?v_626) 66) (>= (+ (+ ?v_233 ?v_219) ?v_299) 0)))) (or (and (>= (+ (+ (+ ?v_342 ?v_666) ?v_450) ?v_344) (- 80)) (and (> (+ (+ (+ ?v_543 ?v_61) ?v_9) ?v_402) 74) (> (+ (+ (+ ?v_517 ?v_137) ?v_105) ?v_327) 83))) (or (and (and (or (<= (+ (+ ?v_183 ?v_366) ?v_110) 0) (>= (+ (+ (+ ?v_597 ?v_189) ?v_40) ?v_316) 0)) (and (> (+ (+ ?v_403 ?v_404) ?v_101) (- 31)) (<= (+ (+ ?v_405 ?v_239) ?v_135) (- 48)))) (and (<= (+ (+ ?v_406 ?v_156) ?v_407) (- 28)) (> (+ (+ (+ ?v_408 ?v_133) ?v_105) ?v_327) (- 99)))) (and (and (and (> (+ (+ (+ ?v_150 ?v_409) ?v_410) ?v_128) 65) (< (+ ?v_96 ?v_431) (- 59))) (= (+ (+ (+ ?v_411 ?v_4) ?v_412) ?v_254) 0)) (and (and (> (+ ?v_410 ?v_413) (- 97)) (not (= (+ (+ ?v_670 ?v_739) ?v_309) 0))) (and (>= (+ ?v_444 ?v_414) 0) (= (+ (+ ?v_415 ?v_125) ?v_255) 78))))))) (and (and (and (not (= (+ (+ (+ ?v_118 ?v_231) ?v_414) ?v_130) 0)) (>= (+ (+ ?v_416 (* 63 ?x3)) ?v_266) 0)) (< (+ ?v_237 ?v_417) 49)) (and (and (or (or (not (= (+ (+ ?v_46 ?v_418) ?v_193) (- 66))) (or (< (+ (+ (+ ?v_419 ?v_420) ?v_315) ?v_421) 28) (<= (+ (+ (+ ?v_118 ?v_5) ?v_149) ?v_309) 0))) (or (or (not (= ?v_422 0)) (not (= (+ ?v_439 ?v_423) 32))) (or (not (= (+ ?v_180 ?v_252) (- 67))) (< (+ ?v_424 ?v_200) 37)))) (or (or (or (not (= (+ (+ (+ ?v_411 ?v_134) ?v_322) ?v_1) 0)) (>= (+ (+ ?v_159 ?v_142) ?v_336) (- 65))) (<= (+ (+ (+ ?v_330 ?v_425) ?v_426) ?v_427) 80)) (and (>= (+ (+ ?v_342 ?v_274) ?v_524) 34) (<= (+ (+ ?v_293 ?v_428) ?v_195) 32)))) (and (<= (+ (+ ?v_7 ?v_335) ?v_1) (- 73)) (or (not (= (+ (+ (+ ?v_343 ?v_429) ?v_308) ?v_394) 0)) (> (+ ?v_430 ?v_431) (- 1)))))))) (and (and (or (and (and (and (or (<= ?v_432 (- 28)) (> (+ (+ ?v_371 ?v_232) ?v_404) 0)) (and (and (= (+ (+ ?v_569 ?v_235) ?v_443) (- 18)) (<= (+ ?v_253 ?v_433) (- 63))) (or (and (not (= (+ (+ ?v_289 ?v_434) ?v_435) 45)) (< (+ (+ (+ ?v_96 ?v_325) ?v_221) ?v_541) 0)) (or (>= (+ (+ (+ ?v_632 ?v_259) ?v_729) ?v_299) 61) (< (+ (+ ?v_200 ?v_144) ?v_277) 0))))) (and (and (> (+ (+ ?v_436 ?v_409) ?v_164) 0) (or (= (+ ?v_786 ?v_437) (- 30)) (< (+ (+ ?v_399 ?v_126) ?v_438) 58))) (and (> (+ (+ ?v_226 ?v_439) ?v_6) 12) (or (not (= (+ (+ ?v_161 ?v_61) ?v_310) 0)) (> (+ (+ (+ ?v_345 ?v_420) ?v_440) ?v_145) (- 19)))))) (and (or (or (or (and (= (+ (+ ?v_441 ?v_25) ?v_442) (- 4)) (< (+ (+ (+ ?v_297 ?v_10) ?v_443) ?v_301) 0)) (and (= (+ ?v_91 ?v_54) 38) (= (+ (+ (+ ?v_141 ?v_680) ?v_195) ?v_128) 0))) (or (and (> (+ (+ ?v_136 ?v_444) ?v_445) 0) (>= (+ (+ (+ ?v_561 ?v_446) ?v_132) ?v_44) 16)) (or (>= (+ (+ ?v_447 ?v_448) ?v_85) 61) (= (+ (+ ?v_115 ?v_75) ?v_130) (- 34))))) (and (or (and (< (+ (+ (+ ?v_411 ?v_216) ?v_718) ?v_423) 0) (< (+ (+ ?v_41 ?v_448) ?v_712) (- 53))) (and (< (+ (+ (+ ?v_174 ?v_180) ?v_206) ?v_359) 40) (> (+ (+ ?v_449 ?v_248) ?v_450) (- 84)))) (or (not (= (+ (+ (+ ?v_392 ?v_199) ?v_375) ?v_11) 0)) (<= (+ ?v_202 ?v_451) (- 72))))) (or (and (and (and (= (+ (+ (+ ?v_651 ?v_452) ?v_206) ?v_497) (- 22)) (>= (+ ?v_453 ?v_369) 43)) (and (>= (+ (+ ?v_454 ?v_42) ?v_157) (- 2)) (= (+ (+ ?v_142 ?v_455) ?v_456) 89))) (or (and (not (= (+ (+ ?v_202 ?v_429) ?v_85) 78)) (> (+ (+ ?v_457 ?v_511) ?v_771) 12)) (and (>= (+ ?v_151 ?v_50) 52) (>= (+ (+ (+ ?v_2 ?v_458) ?v_317) ?v_402) 64)))) (and (or (and (<= (+ (+ ?v_59 ?v_459) ?v_154) (- 40)) (not (= (+ (+ (+ ?v_460 ?v_461) ?v_462) ?v_400) 51))) (<= (+ (+ (+ ?v_463 ?v_715) ?v_37) ?v_201) (- 72))) (and (<= (+ (+ ?v_463 ?v_459) ?v_190) 96) (< (+ (+ ?v_111 ?v_534) ?v_305) (- 44))))))) (or (or (or (or (and (= (+ (+ (+ ?v_464 ?v_129) ?v_431) ?v_245) (- 63)) (or (not (= (+ (+ ?v_465 ?v_466) ?v_116) 9)) (= (+ (+ ?v_69 ?v_242) ?v_467) 0))) (or (< (+ (+ (+ ?v_468 ?v_469) ?v_20) ?v_470) 37) (= (+ (+ (+ ?v_243 ?v_471) ?v_20) ?v_285) 9))) (and (> (+ (+ ?v_141 ?v_550) ?v_530) (- 42)) (<= (+ (+ (+ ?v_94 ?v_28) ?v_781) ?v_604) 65))) (or (or (>= (+ (+ (+ ?v_179 ?v_472) ?v_204) ?v_473) 1) (= (+ ?v_474 ?v_475) 0)) (and (<= (+ (+ (+ ?v_51 ?v_8) ?v_476) ?v_398) 77) (<= (+ (+ ?v_477 ?v_437) ?v_294) (- 16))))) (or (and (and (< (+ (+ ?v_478 ?v_479) ?v_480) 0) (and (>= (+ ?v_330 ?v_362) 0) (<= (+ ?v_30 ?v_73) 0))) (and (<= ?v_167 74) (<= (+ ?v_630 ?v_350) 95))) (and (or (or (and (<= (+ (+ (+ ?v_708 ?v_482) ?v_662) ?v_285) 20) (= (+ ?v_483 ?v_484) 29)) (and (>= (+ (+ ?v_485 ?v_386) ?v_486) 58) (not (= (+ (+ ?v_330 ?v_133) ?v_615) (- 69))))) (and (<= (+ (+ ?v_487 ?v_488) ?v_145) (- 18)) (or (not (= (+ (+ ?v_194 ?v_489) ?v_710) (- 51))) (> (+ (+ (+ ?v_237 ?v_490) ?v_491) ?v_384) 0)))) (and (and (and (not (= (+ ?v_492 ?v_704) 42)) (>= (+ (+ ?v_493 ?v_494) ?v_575) (- 92))) (< (+ (+ ?v_26 ?v_296) ?v_398) (- 53))) (or (not (= (+ (+ (+ ?v_495 ?v_508) ?v_417) ?v_496) 32)) (> (+ (+ ?v_141 ?v_576) ?v_497) 17))))))) (and (and (and (or (or (or (and (= (+ ?v_246 ?v_49) 0) (= (+ (+ ?v_76 ?v_498) ?v_1) 0)) (and (not (= (+ (+ (+ ?v_373 ?v_8) ?v_274) ?v_367) 96)) (<= (+ (+ ?v_499 ?v_500) ?v_501) 65))) (or (and (= (+ (+ (+ ?v_198 ?v_502) ?v_417) ?v_503) 35) (>= (+ (+ ?v_26 ?v_504) ?v_50) 58)) (and (= (+ (+ ?v_419 ?v_282) ?v_505) 0) (<= (+ ?v_461 ?v_16) 26)))) (or (or (and (>= ?v_309 52) (>= (+ (+ (+ ?v_622 ?v_506) ?v_9) ?v_507) 82)) (> (+ (+ (+ ?v_354 ?v_508) ?v_268) ?v_467) (- 88))) (and (<= (+ (+ (+ ?v_124 ?v_509) ?v_14) ?v_675) 0) (< (+ (+ ?v_430 ?v_282) ?v_510) (- 77))))) (or (and (and (< (+ (+ ?v_776 ?v_149) ?v_545) 13) (>= (+ (+ ?v_538 ?v_361) ?v_130) 0)) (and (<= (+ (+ ?v_371 ?v_511) ?v_512) 24) (>= (+ (+ ?v_39 ?v_386) ?v_467) 0))) (or (<= (+ (+ ?v_114 ?v_240) ?v_470) (- 91)) (<= (+ (+ ?v_354 ?v_513) ?v_514) 5)))) (and (and (and (> (+ (+ (+ ?v_460 ?v_515) ?v_516) ?v_657) 0) (not (= (+ (+ ?v_753 ?v_295) ?v_128) 3))) (or (>= (+ ?v_517 ?v_380) 94) (not (= (+ (+ ?v_289 ?v_322) ?v_333) (- 33))))) (and (and (and (> (+ (+ ?v_282 ?v_518) ?v_11) (- 7)) (= (+ (+ (+ ?v_527 ?v_300) ?v_74) ?v_555) (- 9))) (or (> (+ (+ ?v_293 ?v_246) ?v_610) 86) (>= (+ (+ (+ ?v_706 ?v_91) ?v_516) ?v_363) 0))) (or (>= (+ ?v_519 ?v_511) (- 44)) (not (= (+ ?v_418 ?v_520) 12)))))) (or (and (and (or (< (+ (+ ?v_278 ?v_37) ?v_266) (- 98)) (and (> (+ ?v_521 ?v_300) 68) (= (+ (+ (+ ?v_571 ?v_490) (* 57 ?x3)) ?v_3) (- 81)))) (and (or (= (+ (+ ?v_19 ?v_476) ?v_522) (- 99)) (> (+ (+ ?v_237 ?v_429) ?v_423) 86)) (and (< (+ (+ (+ ?v_26 ?v_377) ?v_523) ?v_524) 7) (>= (+ (+ (+ ?v_89 ?v_525) ?v_652) ?v_526) (- 41))))) (and (or (or (= (+ (+ ?v_150 ?v_791) ?v_21) (- 36)) (< (+ ?v_527 ?v_472) 94)) (> (+ ?v_447 ?v_455) 78)) (or (or (not (= (+ (+ ?v_528 ?v_279) ?v_140) 0)) (> (+ (+ ?v_123 ?v_608) ?v_443) (- 73))) (< (+ (+ ?v_529 ?v_530) ?v_245) 13)))) (or (or (and (and (= (+ ?v_464 ?v_307) 87) (> (+ (+ (+ ?v_531 ?v_196) ?v_361) ?v_532) 62)) (and (>= (+ (+ ?v_432 ?v_530) ?v_533) (- 29)) (<= (+ ?v_114 ?v_534) (- 66)))) (and (< (+ (+ (+ ?v_218 ?v_434) ?v_535) ?v_536) (- 56)) (and (= (+ (+ ?v_272 ?v_248) ?v_268) 27) (>= (+ (+ (+ ?v_303 ?v_290) ?v_537) ?v_60) 0)))) (and (or (< (+ (+ ?v_51 ?v_538) ?v_539) 55) (>= (+ (+ ?v_349 ?v_409) ?v_135) (- 38))) (and (> (+ (+ ?v_141 ?v_540) ?v_162) 0) (< (+ (+ ?v_98 ?v_476) ?v_541) 0))))))) (or (or (and (or (and (and (or (or (not (= (+ (+ ?v_24 ?v_137) ?v_547) 72)) (<= (+ (+ (+ ?v_589 ?v_83) ?v_542) ?v_393) (- 67))) (or (< (+ (+ (+ ?v_483 ?v_452) ?v_240) ?v_650) 91) (< ?v_489 0))) (or (<= (+ ?v_395 ?v_133) 63) (< (+ (+ (+ ?v_543 ?v_69) ?v_537) ?v_544) (- 98)))) (or (and (and (not (= (+ (+ ?v_347 ?v_584) ?v_545) 12)) (<= (+ (+ ?v_313 ?v_546) ?v_155) 92)) (or (>= (+ (+ (+ ?v_588 ?v_42) ?v_390) ?v_135) (- 77)) (= (+ (+ ?v_180 ?v_547) ?v_339) 0))) (or (<= (+ (+ (+ ?v_251 ?v_625) ?v_548) ?v_549) (- 57)) (>= ?v_112 0)))) (and (and (or (or (not (= (+ (+ (+ ?v_98 ?v_109) ?v_18) ?v_746) (- 15))) (< (+ (+ ?v_654 ?v_550) ?v_507) (- 53))) (or (< (+ (+ ?v_551 ?v_39) ?v_438) 0) (not (= (+ (+ ?v_349 ?v_275) ?v_344) (- 87))))) (and (or (= (+ (+ ?v_606 ?v_420) ?v_185) 80) (<= (+ (+ ?v_743 ?v_39) ?v_552) 20)) (< (+ ?v_489 ?v_88) 7))) (and (or (not (= (+ (+ ?v_225 ?v_471) ?v_254) (- 46))) (and (>= (+ ?v_534 ?v_307) (- 38)) (> (+ ?v_338 ?v_507) 84))) (and (> (+ (+ ?v_735 ?v_67) ?v_486) 32) (= (+ (+ ?v_664 ?v_291) ?v_553) (- 18)))))) (or (or (and (or (and (< (+ ?v_492 ?v_641) 73) (>= (+ (+ ?v_554 ?v_530) ?v_555) 91)) (and (>= (+ (+ (+ ?v_468 ?v_399) ?v_362) ?v_208) 85) (<= (+ ?v_556 ?v_417) 83))) (and (or (> (+ (+ ?v_111 ?v_557) ?v_643) 24) (< (+ ?v_335 ?v_553) 0)) (and (> ?v_521 27) (>= (+ (+ ?v_558 ?v_55) ?v_559) (- 95))))) (or (or (or (not (= (+ ?v_189 ?v_456) 69)) (> ?v_82 57)) (and (< (+ (+ ?v_560 ?v_554) ?v_367) 0) (<= (+ (+ ?v_561 ?v_439) ?v_562) 47))) (or (or (= (+ (+ ?v_563 ?v_317) ?v_201) 77) (>= (+ ?v_564 ?v_565) (- 17))) (and (= (+ (+ (+ ?v_53 ?v_566) ?v_77) ?v_208) 0) (not (= (+ ?v_567 ?v_497) (- 6))))))) (and (or (and (< (+ ?v_595 ?v_645) 52) (<= (+ (+ ?v_409 ?v_274) ?v_658) (- 60))) (or (= (+ ?v_9 ?v_568) 87) (>= (+ (+ ?v_569 ?v_348) ?v_382) 0))) (and (and (< (+ (+ ?v_355 ?v_570) ?v_15) 28) (and (> (+ (+ ?v_318 ?v_151) ?v_144) 0) (< (+ (+ ?v_436 ?v_504) ?v_568) 0))) (and (or (>= (+ (+ ?v_492 ?v_310) ?v_327) 82) (= (+ (+ ?v_411 ?v_540) ?v_50) 0)) (or (< (+ (+ ?v_571 ?v_296) ?v_275) 0) (not (= (+ (+ ?v_392 ?v_434) ?v_357) (- 57))))))))) (and (and (or (and (<= (+ (+ (+ ?v_303 ?v_534) ?v_9) ?v_32) 47) (>= (+ (+ ?v_572 ?v_79) ?v_45) (- 35))) (or (>= (+ ?v_485 ?v_573) (- 89)) (= (+ ?v_466 ?v_593) 0))) (or (or (or (not (= (+ (+ (+ ?v_543 ?v_59) ?v_275) ?v_6) 0)) (> (+ ?v_112 ?v_555) (- 28))) (or (= (+ (+ (+ ?v_574 ?v_385) ?v_244) ?v_157) (- 12)) (< (+ ?v_198 ?v_261) (- 38)))) (and (or (and (< (+ (+ ?v_196 ?v_575) ?v_68) (- 26)) (= (+ (+ ?v_513 ?v_576) ?v_60) (- 61))) (or (> (+ ?v_311 ?v_34) (- 99)) (>= (+ (+ ?v_419 ?v_253) ?v_144) 73))) (or (or (< (+ ?v_203 ?v_350) 0) (>= (+ ?v_26 ?v_455) (- 77))) (and (>= (+ (+ (+ ?v_483 ?v_399) ?v_761) ?v_577) (- 11)) (not (= (+ (+ (+ ?v_731 ?v_511) ?v_433) ?v_578) 51))))))) (and (and (<= (+ (+ (+ ?v_281 ?v_579) ?v_580) ?v_97) 66) (and (<= (+ ?v_365 ?v_310) (- 49)) (< (+ (+ (+ ?v_403 ?v_61) ?v_414) ?v_215) (- 77)))) (or (or (< (+ ?v_41 ?v_380) 0) (< (+ ?v_581 ?v_323) 0)) (or (not (= (+ (+ (+ ?v_96 ?v_500) ?v_582) ?v_583) 63)) (> (+ ?v_219 ?v_536) (- 60))))))) (or (or (and (and (or (and (and (>= (+ (+ ?v_567 ?v_200) ?v_722) 10) (<= (+ (+ (+ ?v_531 ?v_481) ?v_268) ?v_32) 62)) (or (< (+ ?v_401 ?v_261) 0) (= (+ (+ (+ ?v_373 ?v_590) ?v_350) ?v_473) 0))) (and (or (<= (+ (+ (+ ?v_478 ?v_183) ?v_80) ?v_578) (- 61)) (not (= (+ ?v_392 ?v_683) (- 54)))) (and (= (+ (+ ?v_7 ?v_397) ?v_378) (- 25)) (<= (+ (+ ?v_147 ?v_584) ?v_62) 47)))) (and (or (< (+ (+ (+ ?v_447 ?v_365) ?v_390) ?v_585) 67) (>= (+ (+ ?v_499 ?v_282) ?v_48) 0)) (or (<= (+ (+ ?v_220 ?v_586) ?v_211) (- 30)) (< (+ (+ ?v_453 ?v_587) ?v_258) (- 29))))) (and (and (and (>= (+ (+ (+ ?v_454 ?v_446) ?v_291) ?v_145) 82) (= (+ (+ ?v_430 ?v_366) ?v_49) (- 84))) (and (or (not (= (+ ?v_176 ?v_713) (- 15))) (<= (+ (+ ?v_588 ?v_429) ?v_92) 95)) (< (+ (+ (+ ?v_589 ?v_17) ?v_108) ?v_138) 76))) (or (and (>= (+ (+ (+ ?v_457 ?v_590) ?v_105) ?v_578) 0) (> (+ (+ (+ ?v_591 ?v_8) ?v_592) ?v_438) (- 43))) (< (+ (+ ?v_22 ?v_548) ?v_70) 4)))) (and (and (or (or (and (> (+ (+ (+ ?v_22 ?v_296) ?v_535) ?v_130) 0) (<= (+ ?v_462 ?v_398) 77)) (and (= (+ (+ (+ ?v_76 ?v_298) ?v_126) ?v_97) 0) (< (+ ?v_107 ?v_573) 22))) (or (> (+ (+ (+ ?v_521 ?v_489) ?v_414) ?v_677) (- 10)) (not (= (+ (+ ?v_183 ?v_66) ?v_262) 0)))) (and (or (or (< (+ (+ (+ ?v_209 ?v_17) ?v_249) ?v_35) 0) (<= (+ (+ ?v_248 ?v_576) ?v_88) 41)) (or (<= (+ (+ (+ ?v_411 ?v_669) ?v_676) ?v_593) 35) (< (+ (+ (+ ?v_313 ?v_694) ?v_156) ?v_503) 0))) (<= (+ (+ ?v_594 ?v_160) ?v_438) (- 100)))) (and (or (and (and (> (+ (+ (+ ?v_123 ?v_487) ?v_737) ?v_316) 69) (>= (+ (+ ?v_550 ?v_294) ?v_407) (- 59))) (>= (+ (+ ?v_595 ?v_8) ?v_188) 7)) (or (>= (+ (+ ?v_147 ?v_605) ?v_596) 0) (> ?v_597 (- 40)))) (and (or (= (+ ?v_220 ?v_190) 81) (> (+ (+ ?v_598 ?v_459) ?v_599) (- 31))) (or (<= (+ (+ ?v_202 ?v_189) ?v_40) (- 84)) (or (not (= (+ ?v_283 ?v_581) 90)) (= (+ (+ ?v_354 ?v_340) ?v_309) 5))))))) (and (or (or (not (= (+ (+ ?v_416 ?v_312) ?v_11) 77)) (or (>= ?v_287 (- 35)) (= (+ (+ ?v_207 ?v_332) ?v_768) 0))) (or (or (and (or (>= (+ (+ ?v_600 ?v_80) ?v_601) 4) (> (+ (+ ?v_602 ?v_320) ?v_603) 0)) (or (= (+ (+ (+ ?v_395 ?v_5) ?v_27) ?v_604) 5) (= (+ ?v_234 ?v_605) 0))) (and (<= (+ (+ ?v_606 ?v_142) ?v_307) 0) (>= (+ (+ ?v_416 ?v_335) ?v_344) 0))) (and (or (and (< (+ (+ ?v_607 ?v_608) ?v_609) 0) (> (+ (+ ?v_230 ?v_87) ?v_35) 0)) (and (< (+ (+ ?v_587 ?v_510) ?v_56) 0) (= (+ (+ (+ ?v_457 ?v_213) ?v_390) ?v_128) 0))) (or (or (<= (+ ?v_420 ?v_285) 68) (> (+ (+ (+ ?v_430 ?v_381) ?v_610) ?v_611) 57)) (and (> (+ (+ ?v_509 ?v_455) ?v_245) 0) (< (+ (+ ?v_234 ?v_90) ?v_612) 0)))))) (and (and (or (and (= (+ (+ (+ ?v_159 ?v_232) ?v_50) ?v_116) 66) (> (+ (+ (+ ?v_613 ?v_200) ?v_366) ?v_363) 62)) (and (not (= (+ ?v_569 ?v_472) (- 4))) (and (<= (+ (+ ?v_614 ?v_338) ?v_615) 11) (= (+ (+ (+ ?v_741 ?v_525) ?v_239) ?v_603) 0)))) (and (and (<= (+ (+ ?v_616 ?v_352) ?v_254) 0) (> (+ (+ ?v_617 ?v_210) ?v_152) 11)) (and (> (+ (+ (+ ?v_276 ?v_232) ?v_99) ?v_97) 2) (or (> (+ (+ ?v_86 ?v_90) ?v_549) 84) (> (+ ?v_237 ?v_248) (- 27)))))) (and (or (or (or (not (= (+ (+ ?v_233 ?v_80) ?v_32) 21)) (not (= (+ (+ ?v_358 ?v_618) ?v_665) (- 30)))) (>= (+ (+ ?v_46 ?v_109) ?v_456) 7)) (or (and (< (+ (+ ?v_303 ?v_579) ?v_526) (- 92)) (< (+ (+ ?v_293 ?v_619) ?v_612) (- 68))) (or (> (+ (+ ?v_284 ?v_487) ?v_367) (- 99)) (<= (+ (+ (+ ?v_430 ?v_59) ?v_315) ?v_637) (- 61))))) (or (or (> (+ (+ ?v_311 ?v_505) ?v_577) 74) (and (> (+ (+ ?v_293 ?v_525) ?v_301) 0) (<= (+ (+ ?v_620 ?v_621) ?v_378) 29))) (and (or (not (= (+ (+ (+ ?v_574 ?v_481) ?v_372) ?v_393) 48)) (>= (+ (+ ?v_114 ?v_148) ?v_380) (- 38))) (and (<= (+ (+ ?v_543 ?v_444) ?v_321) 62) (<= (+ (+ (+ ?v_51 ?v_587) ?v_510) ?v_369) (- 16))))))))))))) (and (or (or (or (and (or (or (and (or (and (not (= (+ (+ ?v_293 ?v_563) ?v_445) 0)) (not (= (+ ?v_408 ?v_299) 83))) (or (>= (+ (+ (+ ?v_622 ?v_233) ?v_322) ?v_6) 67) (< ?v_6 (- 71)))) (or (or (< (+ (+ ?v_52 ?v_188) ?v_84) (- 77)) (not (= (+ (+ (+ ?v_343 ?v_232) ?v_391) ?v_421) 80))) (not (= (+ (+ ?v_495 ?v_529) ?v_503) (- 45))))) (or (or (or (= (+ (+ (+ ?v_22 ?v_623) ?v_484) ?v_611) 84) (not (= (+ (+ (+ ?v_343 ?v_52) ?v_181) ?v_501) 0))) (and (> (+ (+ ?v_26 ?v_624) ?v_138) (- 37)) (not (= (+ ?v_41 ?v_258) 0)))) (or (and (< (+ (+ (+ ?v_179 ?v_399) ?v_308) ?v_612) (- 44)) (< (+ (+ ?v_69 ?v_484) ?v_470) (- 80))) (and (> (+ (+ ?v_281 ?v_487) ?v_310) 80) (not (= (+ (+ ?v_147 ?v_625) ?v_455) 83)))))) (and (and (or (or (<= (+ (+ (+ ?v_705 ?v_692) ?v_105) ?v_423) 33) (or (< (+ ?v_199 ?v_462) (- 8)) (>= (+ (+ ?v_439 ?v_790) ?v_262) 10))) (or (or (<= (+ (+ (+ ?v_551 ?v_509) ?v_295) ?v_245) 86) (<= (+ (+ (+ ?v_640 ?v_649) ?v_191) ?v_565) (- 58))) (and (>= (+ (+ ?v_64 ?v_580) (* 82 ?x4)) (- 83)) (= ?v_748 0)))) (and (or (or (<= (+ (+ (+ ?v_114 ?v_233) ?v_240) ?v_263) (- 46)) (>= (+ (+ ?v_172 ?v_386) ?v_626) (- 80))) (not (= (+ ?v_232 ?v_417) 47))) (or (and (>= (+ ?v_115 ?v_627) 58) (not (= (+ ?v_772 ?v_73) 63))) (or (> (+ (+ (+ ?v_403 ?v_332) ?v_422) ?v_702) 0) (= (+ (+ ?v_617 ?v_113) ?v_92) 0))))) (or (or (> (+ (+ (+ ?v_628 ?v_489) ?v_31) ?v_503) (- 36)) (and (= (+ (+ ?v_330 ?v_389) ?v_629) (- 42)) (>= (+ (+ ?v_406 ?v_71) ?v_636) 73))) (or (<= (+ (+ (+ ?v_716 ?v_409) ?v_629) ?v_258) 8) (<= (+ (+ ?v_330 ?v_151) ?v_185) (- 28)))))) (and (and (or (and (or (<= (+ ?v_630 ?v_631) 0) (>= (+ ?v_607 ?v_327) 0)) (and (and (<= (+ (+ ?v_392 ?v_20) ?v_21) (- 88)) (< (+ (+ ?v_153 ?v_687) ?v_273) 64)) (<= (+ (+ ?v_632 ?v_107) ?v_211) 0))) (and (and (and (< (+ (+ ?v_349 ?v_264) ?v_247) (- 71)) (= (+ (+ (+ ?v_527 ?v_311) ?v_633) ?v_456) 0)) (and (>= (+ (+ ?v_63 ?v_634) ?v_503) (- 8)) (<= (+ (+ (+ ?v_41 ?v_401) ?v_335) ?v_593) (- 97)))) (and (and (>= (+ (+ (+ ?v_635 ?v_306) ?v_195) ?v_636) (- 2)) (not (= (+ (+ (+ ?v_24 ?v_107) ?v_491) ?v_120) 48))) (and (< (+ (+ (+ ?v_517 ?v_42) ?v_29) ?v_637) 0) (< (+ (+ ?v_543 ?v_338) ?v_638) 0))))) (and (and (and (> (+ (+ (+ ?v_24 ?v_383) ?v_445) ?v_263) (- 79)) (= ?v_615 84)) (or (< (+ ?v_137 ?v_350) 13) (not (= (+ ?v_639 ?v_143) 0)))) (and (and (= (+ (+ ?v_640 ?v_529) ?v_539) 84) (< (+ ?v_641 ?v_516) 25)) (and (= (+ ?v_570 ?v_262) (- 18)) (= (+ (+ (+ ?v_343 ?v_642) ?v_633) ?v_643) (- 69)))))) (and (and (or (and (< (+ (+ ?v_644 ?v_525) ?v_645) 7) (<= (+ (+ ?v_401 ?v_646) ?v_545) 33)) (and (<= (+ (+ (+ ?v_194 ?v_107) ?v_647) ?v_467) 0) (>= (+ (+ ?v_648 ?v_649) ?v_520) 0))) (and (or (<= (+ ?v_287 ?v_56) 90) (> (+ (+ (+ ?v_118 ?v_513) ?v_535) ?v_650) 47)) (and (and (= (+ ?v_651 ?v_270) 0) (< (+ (+ (+ ?v_388 ?v_649) ?v_652) ?v_653) 0)) (and (= (+ (+ ?v_371 ?v_529) ?v_539) 77) (not (= ?v_654 90)))))) (or (or (<= (+ (+ (+ ?v_36 ?v_673) ?v_448) ?v_526) (- 100)) (or (<= ?v_654 0) (< (+ (+ ?v_655 ?v_656) ?v_329) 91))) (or (or (< (+ (+ ?v_224 ?v_210) ?v_247) 34) (<= (+ (+ ?v_115 ?v_707) ?v_657) 0)) (or (or (= (+ (+ (+ ?v_293 ?v_282) ?v_475) ?v_658) 0) (<= (+ (+ (+ ?v_617 ?v_659) ?v_274) ?v_120) 62)) (and (>= (+ ?v_542 ?v_773) 34) (< (+ (+ ?v_495 ?v_164) ?v_382) 0)))))))) (or (and (and (or (>= (+ (+ (+ ?v_230 ?v_319) ?v_177) ?v_266) 40) (and (<= (+ (+ ?v_660 ?v_334) ?v_448) (- 82)) (not (= (+ (+ ?v_183 ?v_294) ?v_363) 48)))) (and (or (< (+ (+ (+ ?v_115 ?v_196) ?v_74) ?v_201) 0) (= (+ (+ (+ ?v_169 ?v_579) ?v_206) ?v_661) 11)) (or (= (+ (+ (+ ?v_267 ?v_172) ?v_662) ?v_339) 0) (not (= (+ ?v_436 ?v_699) 99))))) (and (and (<= (+ (+ (+ ?v_123 ?v_418) ?v_426) ?v_663) 57) (< (+ (+ (+ ?v_303 ?v_625) ?v_240) ?v_263) (- 5))) (or (or (and (< (+ (+ (+ ?v_664 ?v_300) ?v_302) ?v_536) (- 41)) (<= (+ (+ ?v_464 ?v_42) ?v_577) 0)) (and (< (+ ?v_728 ?v_0) 76) (not (= (+ (+ ?v_26 ?v_185) ?v_470) 0)))) (or (and (< (+ (+ ?v_408 ?v_37) ?v_665) (- 53)) (>= (+ ?v_175 ?v_34) 70)) (or (< (+ (+ ?v_668 ?v_48) ?v_636) 94) (> ?v_1 (- 40))))))) (and (or (and (or (and (< (+ (+ (+ ?v_606 ?v_238) ?v_181) ?v_700) 16) (> (+ (+ (+ ?v_286 ?v_253) ?v_27) ?v_601) (- 100))) (or (and (>= (+ (+ ?v_202 ?v_200) ?v_695) 70) (= (+ (+ (+ ?v_449 ?v_590) ?v_214) ?v_514) 0)) (or (< (+ (+ ?v_528 ?v_666) ?v_427) 19) (<= (+ (+ ?v_449 ?v_376) ?v_545) (- 52))))) (or (and (and (not (= (+ (+ ?v_72 ?v_311) ?v_20) (- 87))) (>= (+ (+ ?v_7 ?v_667) ?v_612) 34)) (or (= (+ (+ (+ ?v_326 ?v_668) ?v_678) ?v_16) (- 91)) (> (+ (+ (+ ?v_616 ?v_669) ?v_681) ?v_384) (- 39)))) (or (and (< (+ (+ ?v_377 ?v_744) ?v_211) (- 38)) (< (+ (+ ?v_664 ?v_525) ?v_360) 58)) (not (= (+ ?v_205 ?v_107) 5))))) (or (and (and (or (> (+ (+ ?v_174 ?v_164) ?v_467) 18) (not (= ?v_75 (- 24)))) (or (not (= (+ (+ ?v_517 ?v_306) ?v_305) (- 36))) (not (= (+ (+ ?v_670 ?v_91) ?v_671) 24)))) (and (and (<= (+ (+ (+ ?v_123 ?v_331) ?v_139) ?v_120) 44) (< (+ (+ ?v_69 ?v_274) ?v_672) 91)) (and (> (+ (+ ?v_551 ?v_324) ?v_21) 0) (= (+ (+ (+ ?v_424 ?v_238) ?v_188) ?v_636) 0)))) (and (or (or (>= (+ (+ (+ ?v_36 ?v_579) ?v_621) ?v_127) 79) (not (= (+ (+ (+ ?v_463 ?v_248) ?v_139) ?v_261) 96))) (= (+ (+ ?v_124 ?v_579) ?v_662) (- 84))) (and (<= (+ (+ ?v_225 ?v_416) ?v_317) 0) (and (not (= (+ (+ ?v_656 ?v_548) ?v_438) (- 21))) (< (+ ?v_218 ?v_467) 0)))))) (and (and (and (and (<= (+ ?v_428 ?v_140) 0) (and (< (+ ?v_13 ?v_413) 0) (>= (+ (+ (+ ?v_415 ?v_673) ?v_9) ?v_532) (- 35)))) (and (or (not (= (+ (+ (+ ?v_26 ?v_241) ?v_228) ?v_532) (- 3))) (<= (+ (+ ?v_355 ?v_674) ?v_16) 23)) (and (= (+ (+ ?v_449 ?v_714) ?v_323) 95) (<= (+ ?v_411 ?v_55) 26)))) (and (and (> (+ (+ ?v_331 ?v_167) ?v_675) (- 37)) (< (+ (+ ?v_230 ?v_676) ?v_677) (- 80))) (or (not (= (+ (+ (+ ?v_493 ?v_383) ?v_255) ?v_675) (- 37))) (< (+ ?v_418 ?v_404) 82)))) (or (and (and (and (<= (+ ?v_673 ?v_333) (- 64)) (= (+ ?v_587 ?v_576) 0)) (or (> ?v_366 0) (<= (+ (+ ?v_385 ?v_678) ?v_679) (- 28)))) (and (and (= (+ (+ ?v_237 ?v_31) ?v_533) 29) (< (+ ?v_484 ?v_3) 0)) (> (+ (+ (+ ?v_371 ?v_680) ?v_681) ?v_653) (- 43)))) (and (or (and (= (+ (+ (+ ?v_364 ?v_320) ?v_275) ?v_682) 0) (> (+ ?v_29 ?v_683) 0)) (and (> (+ (+ ?v_189 ?v_417) ?v_110) 0) (>= (+ ?v_171 ?v_254) 67))) (or (> (+ (+ ?v_451 ?v_181) ?v_684) (- 40)) (not (= (+ ?v_685 ?v_184) 0))))))))) (and (or (and (and (or (or (or (or (not (= (+ (+ (+ ?v_388 ?v_109) ?v_686) ?v_273) (- 6))) (= (+ ?v_560 ?v_104) 0)) (and (>= (+ ?v_687 ?v_514) (- 50)) (= (+ (+ ?v_515 ?v_618) ?v_688) (- 49)))) (and (and (= (+ (+ ?v_479 ?v_431) ?v_689) 26) (not (= (+ (+ (+ ?v_644 ?v_490) ?v_275) ?v_154) 57))) (<= (+ (+ (+ ?v_589 ?v_586) ?v_580) ?v_21) 0))) (or (= (+ (+ (+ ?v_272 ?v_42) ?v_693) ?v_215) (- 73)) (<= (+ (+ ?v_46 ?v_690) ?v_122) (- 70)))) (or (and (and (< (+ ?v_202 ?v_566) (- 74)) (>= (+ (+ ?v_297 ?v_66) ?v_691) 0)) (and (not (= (+ (+ (+ ?v_337 ?v_325) ?v_177) ?v_497) (- 61))) (>= (+ (+ ?v_692 ?v_488) ?v_273) 79))) (and (= (+ (+ (+ ?v_392 ?v_566) ?v_302) ?v_201) 26) (or (not (= (+ (+ (+ ?v_640 ?v_73) ?v_693) ?v_658) (- 79))) (>= (+ ?v_302 ?v_601) 0))))) (or (and (or (and (> (+ (+ ?v_124 ?v_257) ?v_759) (- 19)) (<= (+ (+ (+ ?v_499 ?v_694) ?v_512) ?v_309) (- 45))) (and (< (+ ?v_695 ?v_116) (- 47)) (>= (+ (+ ?v_457 ?v_698) ?v_507) 0))) (or (not (= (+ (+ (+ ?v_13 ?v_183) ?v_610) ?v_604) (- 81))) (= (+ ?v_756 ?v_557) 41))) (and (or (and (>= (+ (+ (+ ?v_432 ?v_39) ?v_249) ?v_32) 40) (or (< (+ (+ ?v_272 ?v_696) ?v_410) 0) (< (+ (+ (+ ?v_202 ?v_546) ?v_697) ?v_0) 10))) (and (and (< ?v_413 0) (>= (+ (+ ?v_597 ?v_232) ?v_154) (- 44))) (or (>= (+ (+ ?v_396 ?v_698) ?v_1) (- 2)) (not (= (+ (+ (+ ?v_463 ?v_298) ?v_29) ?v_699) 9))))) (and (and (or (> (+ ?v_29 ?v_82) 75) (= ?v_658 0)) (or (< (+ ?v_468 ?v_690) 85) (< (+ ?v_561 ?v_553) (- 38)))) (or (> (+ (+ (+ ?v_447 ?v_482) ?v_322) ?v_700) (- 10)) (or (< (+ (+ (+ ?v_224 ?v_639) ?v_548) ?v_186) (- 68)) (<= (+ (+ ?v_670 ?v_701) ?v_266) (- 100)))))))) (or (and (and (or (or (and (< (+ (+ ?v_67 ?v_80) ?v_689) 94) (< (+ (+ ?v_293 ?v_581) ?v_262) (- 20))) (not (= (+ (+ ?v_57 ?v_488) ?v_101) (- 7)))) (and (= (+ (+ ?v_313 ?v_770) ?v_422) (- 66)) (not (= (+ (+ ?v_223 ?v_618) ?v_201) 0)))) (and (or (or (>= (+ ?v_447 ?v_627) 46) (not (= (+ (+ ?v_318 ?v_490) ?v_344) 27))) (or (< (+ (+ ?v_364 ?v_294) ?v_545) 16) (> (+ ?v_156 ?v_702) 0))) (or (and (>= (+ (+ ?v_789 ?v_431) ?v_577) 1) (< (+ ?v_89 ?v_49) 0)) (or (> (+ (+ ?v_487 ?v_193) ?v_703) 15) (= (+ (+ ?v_634 ?v_631) ?v_280) 0))))) (and (and (or (and (> (+ (+ (+ ?v_685 ?v_232) ?v_542) ?v_6) 0) (<= (+ (+ ?v_2 ?v_668) ?v_578) 80)) (or (<= (+ (+ (+ ?v_543 ?v_109) ?v_294) ?v_627) 11) (< (+ (+ (+ ?v_141 ?v_563) ?v_352) ?v_704) 0))) (and (or (not (= (+ (+ (+ ?v_330 ?v_701) ?v_422) ?v_541) 30)) (>= (+ (+ ?v_460 ?v_458) ?v_263) 82)) (and (< (+ (+ ?v_508 ?v_352) ?v_211) (- 59)) (< (+ (+ (+ ?v_205 ?v_416) ?v_362) ?v_314) (- 11))))) (and (and (<= (+ (+ (+ ?v_705 ?v_452) ?v_414) ?v_62) 90) (> (+ ?v_479 ?v_400) (- 31))) (or (not (= (+ (+ (+ ?v_706 ?v_416) ?v_74) ?v_380) 0)) (and (> (+ (+ ?v_471 ?v_707) ?v_601) (- 66)) (>= (+ ?v_269 ?v_643) 88)))))) (and (and (or (and (< (+ (+ ?v_602 ?v_673) ?v_315) (- 86)) (>= (+ ?v_608 ?v_562) 0)) (and (> ?v_454 (- 31)) (> (+ ?v_151 ?v_27) 44))) (and (or (>= (+ ?v_708 ?v_755) (- 74)) (= (+ (+ (+ ?v_614 ?v_306) ?v_391) ?v_314) (- 21))) (and (> (+ (+ ?v_388 ?v_680) ?v_376) 62) (not (= (+ (+ (+ ?v_342 ?v_264) ?v_361) ?v_70) 0))))) (or (or (and (>= (+ (+ ?v_194 ?v_451) ?v_663) (- 83)) (>= (+ (+ (+ ?v_709 ?v_385) ?v_510) ?v_710) (- 41))) (or (< (+ (+ (+ ?v_205 ?v_451) ?v_711) ?v_712) 94) (>= (+ ?v_150 ?v_49) 0))) (or (or (<= (+ (+ (+ ?v_205 ?v_69) ?v_27) ?v_785) 42) (>= (+ (+ ?v_598 ?v_711) ?v_45) (- 50))) (and (= (+ (+ (+ ?v_225 ?v_300) ?v_713) ?v_380) (- 96)) (not (= (+ (+ ?v_210 ?v_66) ?v_657) (- 91))))))))) (or (or (or (and (and (or (<= (+ (+ ?v_141 ?v_4) ?v_339) 0) (< (+ (+ (+ ?v_602 ?v_65) ?v_167) ?v_1) (- 47))) (and (<= (+ (+ ?v_714 ?v_255) ?v_49) 0) (>= (+ (+ (+ ?v_346 ?v_715) ?v_295) ?v_339) (- 41)))) (or (or (= (+ ?v_204 ?v_280) (- 45)) (> (+ ?v_412 ?v_661) (- 79))) (>= ?v_159 (- 50)))) (or (and (and (not (= (+ (+ (+ ?v_716 ?v_103) ?v_610) ?v_400) 0)) (> (+ (+ (+ ?v_203 ?v_793) ?v_592) ?v_16) (- 13))) (or (> (+ (+ (+ ?v_717 ?v_489) ?v_414) ?v_211) (- 40)) (= (+ (+ (+ ?v_709 ?v_253) ?v_707) ?v_329) (- 51)))) (or (or (not (= (+ (+ ?v_87 ?v_445) ?v_344) 0)) (> (+ ?v_705 ?v_718) 14)) (or (<= (+ (+ (+ ?v_719 ?v_416) ?v_75) ?v_427) 0) (= (+ (+ ?v_720 ?v_474) ?v_603) (- 54)))))) (or (or (<= (+ (+ (+ ?v_121 ?v_563) ?v_386) ?v_280) 0) (or (and (<= (+ (+ (+ ?v_495 ?v_183) ?v_676) ?v_49) 0) (> ?v_721 47)) (and (<= ?v_722 0) (= (+ (+ (+ ?v_528 ?v_723) ?v_724) ?v_637) (- 15))))) (or (or (or (<= (+ (+ (+ ?v_528 ?v_134) ?v_195) ?v_402) (- 69)) (not (= (+ (+ ?v_234 ?v_172) ?v_301) (- 1)))) (= (+ ?v_192 ?v_62) 0)) (and (< (+ (+ ?v_429 ?v_310) ?v_661) (- 86)) (and (> (+ (* 38 ?x2) ?v_618) (- 37)) (<= (+ ?v_73 ?v_700) 93)))))) (or (and (or (< (+ (+ ?v_313 ?v_260) ?v_329) (- 32)) (<= (+ ?v_13 ?v_249) 0)) (or (and (not (= (+ (+ (+ ?v_194 ?v_472) ?v_372) ?v_62) (- 18))) (<= (+ ?v_303 ?v_247) 77)) (and (> (+ ?v_46 ?v_575) 0) (>= (+ (+ ?v_194 ?v_638) ?v_145) (- 83))))) (and (or (< ?v_286 16) (and (= (+ (+ ?v_419 ?v_625) ?v_227) 0) (< (+ ?v_725 ?v_391) 13))) (and (and (or (< (+ (+ (+ ?v_111 ?v_67) ?v_488) ?v_16) (- 92)) (>= (+ ?v_355 ?v_784) 0)) (or (= (+ (+ ?v_98 ?v_582) ?v_612) (- 87)) (> (+ (+ ?v_318 ?v_5) ?v_105) 14))) (and (>= (+ (+ ?v_202 ?v_690) ?v_33) 64) (>= (+ (+ ?v_452 ?v_249) ?v_726) (- 65))))))))) (or (and (and (or (or (or (= ?v_312 57) (= (+ (+ ?v_313 ?v_587) ?v_687) 6)) (and (and (not (= (+ ?v_444 ?v_410) 75)) (> (+ (+ ?v_26 ?v_516) ?v_254) (- 39))) (and (and (< ?v_576 70) (>= (+ ?v_651 ?v_200) 0)) (or (>= (+ ?v_534 ?v_704) 79) (>= (+ (+ (+ ?v_454 ?v_387) ?v_162) ?v_316) 0))))) (or (and (and (or (not (= (+ (+ (+ ?v_571 ?v_59) ?v_270) ?v_15) 11)) (< (+ (+ (+ ?v_94 ?v_564) ?v_20) ?v_155) 82)) (and (>= (+ (+ (+ ?v_527 ?v_279) ?v_310) ?v_250) 37) (<= (+ ?v_147 ?v_480) (- 81)))) (or (and (<= (+ (+ (+ ?v_58 ?v_479) ?v_132) ?v_82) (- 63)) (not (= (+ (+ (+ ?v_26 ?v_180) ?v_149) ?v_544) 71))) (or (not (= (+ (+ ?v_504 ?v_294) ?v_555) (- 97))) (> (+ ?v_624 ?v_691) 77)))) (and (and (> (+ (+ (+ ?v_419 ?v_461) ?v_624) (* (- 48) ?x4)) 0) (> (+ (+ (+ ?v_76 ?v_727) ?v_308) ?v_702) 0)) (or (and (>= (+ (+ ?v_388 ?v_500) ?v_324) 1) (<= ?v_692 0)) (and (< (+ ?v_7 ?v_182) (- 62)) (not (= (+ (+ ?v_617 ?v_112) ?v_154) 0))))))) (or (and (not (= (+ (+ (+ ?v_223 ?v_383) ?v_728) ?v_710) (- 45))) (or (and (and (= (+ ?v_368 ?v_729) 48) (= (+ (+ ?v_334 ?v_445) ?v_578) 63)) (< ?v_54 0)) (and (<= ?v_280 (- 34)) (<= (+ (+ (+ ?v_46 ?v_666) ?v_291) ?v_402) (- 70))))) (or (and (or (not (= ?v_730 (- 90))) (> (+ (+ (+ ?v_613 ?v_441) ?v_240) ?v_757) 9)) (and (or (= (+ (+ ?v_76 ?v_475) ?v_675) 96) (> ?v_511 38)) (and (> ?v_380 89) (= (+ (+ ?v_30 ?v_348) ?v_577) 15)))) (and (and (and (or (= (+ (+ (+ ?v_731 ?v_674) ?v_228) ?v_568) (- 94)) (>= (+ (+ (+ ?v_115 ?v_416) ?v_117) ?v_165) 100)) (and (<= (+ (+ ?v_276 ?v_529) ?v_732) 14) (> (+ (+ ?v_733 ?v_414) ?v_263) 0))) (and (and (< (+ (+ ?v_358 ?v_144) ?v_369) 19) (= (+ (+ ?v_119 ?v_227) ?v_726) 74)) (and (= ?v_158 50) (>= (+ ?v_29 ?v_427) (- 59))))) (and (or (or (not (= (+ ?v_734 ?v_407) (- 42))) (< (+ (+ ?v_558 ?v_487) ?v_376) 0)) (= (+ ?v_293 ?v_263) 99)) (or (> (+ (+ ?v_41 ?v_31) ?v_565) (- 100)) (and (>= (+ (+ ?v_392 ?v_724) ?v_544) 46) (> (+ (+ (+ ?v_735 ?v_418) ?v_348) ?v_555) 57)))))))) (or (and (or (or (or (and (< (+ (+ (+ ?v_251 ?v_368) ?v_681) ?v_721) (- 8)) (<= (+ (+ (+ ?v_96 ?v_566) ?v_191) ?v_555) 0)) (and (>= (+ (+ (+ ?v_47 ?v_471) ?v_31) ?v_329) (- 29)) (not (= (+ ?v_71 ?v_215) 0)))) (and (and (or (< (+ (+ ?v_123 ?v_618) ?v_3) 0) (< (+ (+ ?v_136 ?v_134) ?v_530) 67)) (and (< (+ (+ (+ ?v_736 ?v_529) ?v_582) ?v_245) 0) (not (= (+ ?v_318 ?v_624) (- 18))))) (or (and (< (+ (+ ?v_525 ?v_317) ?v_394) 0) (> (+ ?v_279 ?v_737) 0)) (or (not (= (+ (+ (+ ?v_342 ?v_656) ?v_177) ?v_533) (- 57))) (not (= (+ (+ ?v_670 ?v_315) ?v_400) 57)))))) (and (and (or (or (< (+ (+ ?v_207 ?v_666) ?v_582) 67) (> (+ (+ (+ ?v_194 ?v_668) ?v_336) ?v_421) 78)) (or (= (+ (+ ?v_194 ?v_587) ?v_603) 0) (>= (+ (+ ?v_738 ?v_461) ?v_433) 34))) (or (= (+ (+ ?v_664 ?v_125) ?v_718) (- 90)) (and (not (= (+ (+ ?v_597 ?v_200) ?v_774) 51)) (<= (+ (+ ?v_248 ?v_37) ?v_16) (- 88))))) (and (or (= (+ (+ ?v_411 ?v_471) ?v_145) (- 21)) (or (<= (+ (+ (+ ?v_371 ?v_306) ?v_459) ?v_163) (- 52)) (< (+ (+ ?v_297 ?v_399) ?v_60) 0))) (or (and (< (+ (+ ?v_141 ?v_235) ?v_135) 0) (>= (+ (+ ?v_38 ?v_104) ?v_501) (- 23))) (<= (+ (+ ?v_528 ?v_474) ?v_359) (- 33)))))) (and (and (and (and (<= (+ (+ ?v_418 ?v_193) ?v_359) 36) (not (= (+ ?v_739 ?v_657) 0))) (or (>= (+ (+ ?v_708 ?v_366) ?v_247) 0) (<= (+ (+ ?v_716 ?v_539) ?v_266) 0))) (or (not (= (+ (+ ?v_81 ?v_584) ?v_689) (- 84))) (not (= (+ (+ (+ ?v_371 ?v_409) ?v_74) ?v_380) 0)))) (or (or (= (+ (+ ?v_654 ?v_608) ?v_512) 11) (and (> (+ (+ (+ ?v_64 ?v_28) ?v_20) ?v_742) (- 79)) (<= (+ (+ ?v_403 ?v_487) ?v_740) 75))) (and (and (or (not (= (+ ?v_741 ?v_496) 15)) (>= ?v_468 (- 53))) (and (> (+ (+ (+ ?v_560 ?v_142) ?v_117) ?v_143) 0) (not (= (+ (+ (+ ?v_161 ?v_83) ?v_99) ?v_722) 30)))) (or (and (< (+ (+ ?v_635 ?v_440) ?v_742) (- 68)) (= (+ (+ ?v_136 ?v_409) ?v_321) 0)) (or (>= (+ (+ ?v_738 ?v_176) ?v_729) (- 80)) (<= (+ (+ (+ ?v_106 ?v_65) ?v_302) ?v_157) 47))))))) (and (or (and (or (and (< ?v_536 34) (= ?v_239 (- 12))) (and (= (+ (+ ?v_437 ?v_647) ?v_423) 60) (< (+ (+ ?v_543 ?v_52) ?v_361) (- 47)))) (or (and (<= (+ (+ ?v_705 ?v_193) ?v_6) 0) (= (+ (+ (+ ?v_147 ?v_129) ?v_260) ?v_663) (- 51))) (and (<= (+ (+ ?v_654 ?v_529) ?v_646) 0) (not (= (+ (+ ?v_733 ?v_112) ?v_250) (- 34)))))) (or (or (< (+ ?v_231 ?v_228) 0) (not (= (+ (+ ?v_203 ?v_566) ?v_661) (- 66)))) (or (= (+ (+ (+ ?v_124 ?v_213) ?v_422) ?v_732) 0) (>= (+ (+ ?v_478 ?v_525) ?v_544) (- 2))))) (or (and (or (or (and (not (= (+ (+ ?v_224 ?v_540) ?v_520) 75)) (> (+ (+ (+ ?v_355 ?v_196) ?v_693) ?v_730) 0)) (or (>= (+ (+ ?v_743 ?v_502) ?v_565) (- 26)) (not (= (+ (+ ?v_411 ?v_694) ?v_744) 66)))) (and (or (= (+ (+ ?v_408 ?v_745) ?v_746) 0) (> (+ (+ ?v_284 ?v_647) ?v_190) (- 33))) (or (= (+ (+ ?v_39 ?v_629) ?v_583) 0) (not (= (+ ?v_788 ?v_262) 21))))) (and (or (< (+ (+ ?v_311 ?v_747) ?v_32) (- 77)) (<= (+ (+ (+ ?v_337 ?v_182) ?v_748) ?v_344) 0)) (or (= (+ (+ ?v_238 ?v_475) ?v_536) (- 12)) (not (= (+ (+ ?v_613 ?v_749) ?v_273) 17))))) (and (and (and (< (+ (+ ?v_708 ?v_621) ?v_643) (- 65)) (> (+ (+ ?v_256 ?v_546) ?v_585) 35)) (or (< (+ (+ (+ ?v_622 ?v_434) ?v_621) ?v_775) (- 77)) (not (= (+ (+ (+ ?v_53 ?v_727) ?v_197) ?v_145) (- 67))))) (or (or (> (+ ?v_98 ?v_472) (- 76)) (not (= ?v_750 41))) (or (or (<= (+ (+ ?v_131 ?v_692) ?v_671) 38) (< (+ (+ ?v_454 ?v_434) ?v_575) 61)) (or (> (+ (+ (+ ?v_12 ?v_296) ?v_242) ?v_82) (- 9)) (not (= (+ (+ ?v_349 ?v_580) ?v_751) 27)))))))))) (and (and (or (and (or (and (> (+ (+ ?v_397 ?v_414) ?v_21) 0) (not (= (+ (+ ?v_560 ?v_420) ?v_162) 60))) (or (< (+ (+ ?v_457 ?v_164) ?v_277) 70) (>= (+ ?v_458 ?v_143) (- 35)))) (or (or (> (+ (+ ?v_504 ?v_466) ?v_752) 0) (and (= (+ (+ ?v_720 ?v_321) ?v_526) 60) (< (+ (+ (+ ?v_753 ?v_100) ?v_631) ?v_163) (- 53)))) (or (not (= (+ (+ (+ ?v_531 ?v_137) ?v_476) ?v_627) (- 93))) (> (+ ?v_259 ?v_559) 66)))) (or (or (= (+ (+ (+ ?v_447 ?v_727) ?v_562) ?v_754) 0) (> (+ (+ (+ ?v_485 ?v_755) ?v_646) ?v_611) (- 85))) (or (or (< (+ (+ (+ ?v_614 ?v_55) ?v_739) ?v_301) 0) (> (+ ?v_783 ?v_592) 90)) (or (> (+ ?v_731 ?v_208) (- 51)) (<= (+ (+ ?v_756 ?v_458) ?v_376) 2))))) (or (and (and (and (or (> (+ ?v_531 ?v_279) (- 7)) (<= (+ (+ (+ ?v_551 ?v_231) ?v_580) ?v_757) 78)) (> (+ (+ ?v_660 ?v_727) ?v_211) (- 72))) (and (and (= (+ (+ ?v_660 ?v_758) ?v_524) (- 78)) (> (+ ?v_560 ?v_268) 8)) (and (not (= (+ (+ ?v_76 ?v_148) ?v_728) (- 19))) (>= (+ (+ (+ ?v_41 ?v_437) ?v_390) ?v_661) (- 38))))) (or (and (< (+ (+ ?v_588 ?v_376) ?v_759) 0) (= (+ (+ (+ ?v_272 ?v_210) ?v_144) ?v_186) 23)) (or (and (<= (+ ?v_183 ?v_155) 0) (< (+ (+ (+ ?v_460 ?v_385) ?v_257) ?v_316) 13)) (not (= (+ (+ ?v_293 ?v_14) ?v_44) 78))))) (or (and (and (or (<= (+ ?v_318 ?v_488) 0) (not (= (+ (+ ?v_337 ?v_334) ?v_580) 0))) (and (<= (+ ?v_313 ?v_733) 96) (> ?v_35 (- 100)))) (or (and (>= (+ (+ ?v_365 ?v_484) ?v_754) 0) (not (= (+ (+ ?v_47 ?v_67) ?v_353) 23))) (or (< (+ (+ ?v_89 ?v_641) ?v_249) (- 53)) (<= (+ ?v_615 ?v_127) 0)))) (or (and (or (= (+ ?v_232 ?v_45) 3) (>= (+ (+ ?v_259 ?v_240) ?v_636) 0)) (and (not (= (+ ?v_91 ?v_470) 0)) (>= ?v_601 (- 65)))) (and (not (= ?v_629 (- 48))) (not (= (+ (+ ?v_469 ?v_391) ?v_645) (- 75)))))))) (and (and (and (and (or (and (not (= (+ (+ ?v_673 ?v_239) ?v_170) 0)) (<= (+ (+ (+ ?v_96 ?v_55) ?v_713) ?v_247) (- 99))) (> (+ (+ ?v_213 ?v_244) ?v_33) 0)) (or (or (or (< (+ (+ (+ ?v_354 ?v_451) ?v_112) ?v_665) 0) (<= (+ (+ ?v_741 ?v_78) ?v_559) (- 7))) (and (> (+ (+ (+ ?v_364 ?v_506) ?v_336) ?v_532) 0) (<= (+ (+ (+ ?v_388 ?v_39) ?v_90) ?v_178) 11))) (or (or (<= (+ (+ (+ ?v_465 ?v_67) ?v_164) ?v_442) (- 94)) (> (+ ?v_233 ?v_135) (- 69))) (and (not (= (+ ?v_716 ?v_231) (- 33))) (< (+ ?v_320 ?v_677) 0))))) (or (and (and (not (= ?v_760 0)) (<= (+ (+ ?v_437 ?v_414) ?v_97) (- 27))) (or (<= (+ (+ (+ ?v_492 ?v_340) ?v_204) ?v_456) 0) (not (= (+ (+ ?v_342 ?v_452) ?v_178) 41)))) (or (or (> (+ (+ (+ ?v_716 ?v_511) ?v_443) ?v_70) 71) (>= (+ (+ ?v_209 ?v_126) ?v_116) 94)) (or (not (= (+ (+ (+ ?v_499 ?v_95) ?v_761) ?v_33) (- 100))) (> (+ (+ ?v_468 ?v_67) ?v_624) 62))))) (and (and (or (<= (+ (+ (+ ?v_395 ?v_673) ?v_404) ?v_710) 44) (<= (+ ?v_586 ?v_762) (- 91))) (or (and (= (+ (+ ?v_12 ?v_100) ?v_49) 48) (not (= (+ (+ ?v_226 ?v_525) ?v_327) 0))) (and (> (+ (+ ?v_492 ?v_338) ?v_247) (- 49)) (> (+ ?v_481 ?v_155) (- 73))))) (or (and (or (< (+ (+ (+ ?v_483 ?v_725) ?v_185) ?v_128) (- 41)) (> (+ (+ ?v_529 ?v_652) ?v_145) 74)) (and (>= (+ (+ (+ ?v_114 ?v_65) ?v_557) ?v_382) 97) (>= (+ (+ (+ ?v_346 ?v_572) ?v_530) ?v_16) (- 26)))) (and (>= (+ ?v_580 ?v_0) 22) (and (and (= (+ ?v_763 ?v_60) (- 91)) (< (+ ?v_563 ?v_765) (- 77))) (<= (+ (+ ?v_171 ?v_399) ?v_215) 48)))))) (and (and (or (and (and (and (< (+ (+ (+ ?v_764 ?v_377) ?v_386) ?v_612) (- 17)) (>= (+ (+ ?v_749 ?v_530) ?v_110) (- 80))) (or (> (+ (+ ?v_356 ?v_66) ?v_130) (- 60)) (< (+ ?v_106 ?v_762) 0))) (or (<= (+ (+ ?v_46 ?v_160) ?v_247) (- 60)) (<= (+ (+ (+ ?v_198 ?v_667) ?v_31) ?v_496) 0))) (or (and (<= (+ ?v_460 ?v_707) (- 93)) (< (+ ?v_451 ?v_105) (- 92))) (or (or (< (+ (+ ?v_388 ?v_17) ?v_596) 10) (<= (+ ?v_324 ?v_703) 56)) (and (not (= (+ ?v_228 ?v_247) 9)) (<= (+ (+ ?v_39 ?v_711) ?v_258) (- 91)))))) (or (<= (+ (+ (+ ?v_303 ?v_550) ?v_166) ?v_82) (- 24)) (or (or (< (+ (+ ?v_289 ?v_291) ?v_54) 97) (and (>= (+ (+ ?v_111 ?v_711) ?v_165) 70) (not (= (+ (+ ?v_113 ?v_631) ?v_526) (- 12))))) (and (and (<= (+ (+ ?v_17 ?v_739) ?v_54) (- 94)) (<= (+ (+ ?v_102 ?v_99) ?v_496) 92)) (= (+ ?v_639 ?v_82) 33))))) (and (or (= (+ (+ (+ ?v_528 ?v_434) ?v_686) ?v_369) 27) (or (= (+ (+ ?v_230 ?v_10) ?v_305) 65) (> (+ (+ ?v_428 ?v_724) ?v_672) 0))) (and (or (<= (+ (+ (+ ?v_415 ?v_298) ?v_240) ?v_665) 89) (<= (+ (+ ?v_403 ?v_673) ?v_195) (- 1))) (and (not (= (+ (+ (+ ?v_169 ?v_340) ?v_177) ?v_507) 84)) (>= (+ (+ ?v_543 ?v_765) ?v_215) 76))))))))) (and (and (or (and (or (and (>= (+ ?v_113 ?v_361) (- 32)) (or (not (= (+ ?v_93 ?v_766) 0)) (< (+ (+ (+ ?v_111 ?v_673) ?v_516) (* 78 ?x4)) 94))) (or (or (and (not (= (+ (+ (+ ?v_395 ?v_55) ?v_390) ?v_612) 99)) (< (+ (+ ?v_741 ?v_19) ?v_645) 0)) (and (>= (+ (+ (+ ?v_567 ?v_534) ?v_160) ?v_740) 100) (= (+ ?v_659 ?v_728) (- 76)))) (or (and (> (+ (+ ?v_767 ?v_425) ?v_222) 0) (not (= (+ (+ (+ ?v_741 ?v_183) ?v_132) ?v_247) (- 9)))) (> (+ (+ ?v_736 ?v_687) ?v_314) 23)))) (or (and (> (+ (+ ?v_527 ?v_418) ?v_780) (- 33)) (or (>= ?v_407 0) (>= (+ (+ ?v_392 ?v_414) ?v_682) 0))) (and (or (> ?v_413 47) (not (= (+ (+ ?v_141 ?v_325) ?v_768) 0))) (and (= (+ ?v_383 ?v_315) (- 90)) (>= (+ (+ ?v_286 ?v_108) ?v_49) 0))))) (or (or (or (= (+ (+ ?v_198 ?v_444) ?v_341) 5) (or (not (= (+ (+ ?v_19 ?v_242) ?v_309) 0)) (<= (+ (+ ?v_792 ?v_668) ?v_742) 0))) (or (or (or (= (+ ?v_320 ?v_211) (- 19)) (< (+ (+ (+ ?v_411 ?v_287) ?v_729) ?v_710) (- 92))) (or (>= (+ (+ (+ ?v_364 ?v_264) ?v_362) ?v_329) (- 80)) (> (+ (+ (+ ?v_169 ?v_103) ?v_404) ?v_145) 51))) (or (> (+ (+ ?v_313 ?v_494) ?v_686) (- 70)) (> (+ (+ (+ ?v_364 ?v_133) ?v_455) ?v_559) 65)))) (and (or (or (and (> (+ ?v_608 ?v_747) 0) (<= (+ ?v_769 ?v_400) 44)) (or (= (+ ?v_272 ?v_295) 38) (<= (+ ?v_432 ?v_379) (- 7)))) (and (or (<= (+ (+ ?v_420 ?v_105) ?v_309) (- 82)) (< (+ (+ (+ ?v_212 ?v_271) ?v_510) ?v_742) 0)) (or (> (+ (+ ?v_406 ?v_625) ?v_384) 0) (> (+ (+ ?v_238 ?v_132) ?v_524) (- 21))))) (or (and (and (<= (+ (+ (+ ?v_251 ?v_113) ?v_582) ?v_688) (- 97)) (not (= (+ (+ ?v_153 ?v_714) ?v_679) (- 72)))) (or (< (+ ?v_350 ?v_427) (- 20)) (<= (+ (+ ?v_224 ?v_65) ?v_542) 44))) (or (not (= (+ (+ ?v_13 ?v_176) ?v_754) 0)) (<= (+ (+ (+ ?v_408 ?v_231) ?v_362) ?v_532) (- 36))))))) (and (and (and (and (> (+ (+ ?v_449 ?v_770) ?v_643) 51) (not (= (+ (+ ?v_567 ?v_462) ?v_314) (- 54)))) (or (or (or (< (+ ?v_598 ?v_109) 0) (< (+ (+ (+ ?v_281 ?v_694) ?v_71) ?v_752) 0)) (and (>= ?v_292 22) (< (+ (+ ?v_102 ?v_724) ?v_33) 0))) (and (= (+ (+ ?v_719 ?v_385) ?v_541) (- 87)) (and (>= (+ (+ ?v_641 ?v_79) ?v_672) (- 32)) (< ?v_771 16))))) (or (and (or (and (<= (+ (+ ?v_103 ?v_417) ?v_501) 77) (>= (+ (+ ?v_98 ?v_441) ?v_315) (- 23))) (or (<= (+ (+ (+ ?v_705 ?v_28) ?v_687) ?v_438) 77) (not (= ?v_185 (- 21))))) (and (and (and (>= (+ ?v_133 ?v_110) (- 11)) (>= (+ ?v_125 ?v_711) (- 14))) (> (+ ?v_414 ?v_722) 0)) (or (or (> (+ (+ ?v_292 ?v_506) ?v_740) 59) (> (+ (+ ?v_449 ?v_479) ?v_255) (- 37))) (or (>= (+ (+ (+ ?v_468 ?v_723) ?v_724) ?v_435) 0) (not (= (+ (+ ?v_67 ?v_575) ?v_155) 0)))))) (and (or (and (and (>= (+ ?v_176 ?v_214) 46) (not (= (+ (+ (+ ?v_124 ?v_696) ?v_105) ?v_427) (- 7)))) (>= (+ ?v_36 ?v_128) (- 2))) (or (<= (+ (+ (+ ?v_94 ?v_725) ?v_77) ?v_532) (- 73)) (and (= (+ (+ ?v_649 ?v_686) ?v_526) (- 33)) (>= ?v_391 0)))) (or (< (+ (+ ?v_656 ?v_249) ?v_56) (- 68)) (and (or (<= (+ (+ ?v_225 ?v_43) ?v_277) 0) (not (= (+ (+ ?v_235 ?v_204) ?v_533) (- 88)))) (or (< ?v_579 (- 53)) (= (+ ?v_592 ?v_726) (- 42)))))))) (or (or (and (or (or (or (< (+ (+ ?v_30 ?v_448) ?v_730) (- 86)) (> (+ (+ ?v_538 ?v_146) ?v_277) (- 64))) (and (>= (+ ?v_614 ?v_389) (- 35)) (= ?v_697 33))) (or (and (= (+ (+ ?v_444 ?v_177) ?v_85) (- 60)) (> (+ (+ (+ ?v_772 ?v_623) ?v_228) ?v_514) (- 79))) (<= (+ (+ ?v_758 ?v_274) ?v_553) (- 52)))) (or (> (+ (+ (+ ?v_303 ?v_397) ?v_414) ?v_773) 53) (or (<= (+ (+ (+ ?v_94 ?v_461) ?v_321) ?v_16) 2) (>= (+ ?v_465 ?v_539) (- 14))))) (or (or (>= (+ (+ (+ ?v_457 ?v_334) ?v_422) ?v_92) 1) (and (not (= (+ ?v_296 ?v_542) (- 63))) (= (+ (+ (+ ?v_354 ?v_328) ?v_302) ?v_82) (- 31)))) (or (or (> (+ ?v_209 ?v_187) 0) (< (+ (+ ?v_38 ?v_148) ?v_393) 0)) (and (<= (+ ?v_13 ?v_152) (- 52)) (> (+ (+ ?v_716 ?v_399) ?v_486) 0))))) (and (or (or (or (or (< (+ (+ ?v_194 ?v_67) ?v_317) 79) (>= (+ (+ ?v_98 ?v_274) ?v_215) 0)) (and (not (= (+ ?v_727 ?v_327) 0)) (> (+ (+ ?v_38 ?v_238) ?v_323) (- 1)))) (and (<= (+ ?v_283 ?v_638) 38) (not (= (+ (+ (+ ?v_620 ?v_199) ?v_748) ?v_438) 69)))) (and (and (> (+ ?v_102 ?v_779) (- 12)) (or (not (= (+ (+ (+ ?v_606 ?v_182) ?v_29) ?v_316) 32)) (>= (+ (+ (+ ?v_571 ?v_119) ?v_375) ?v_721) 67))) (and (< (+ (+ (+ ?v_708 ?v_283) ?v_112) ?v_637) (- 20)) (or (not (= (+ (+ (+ ?v_651 ?v_538) ?v_516) ?v_140) 56)) (= (+ (+ (+ (* (- 11) ?x1) ?v_534) ?v_108) ?v_653) 63))))) (or (and (and (or (>= (+ ?v_40 ?v_658) 0) (< (+ ?v_453 ?v_529) 61)) (< (+ (+ ?v_141 ?v_774) ?v_599) 0)) (and (and (< (+ (+ (+ ?v_24 ?v_175) ?v_321) ?v_775) 34) (not (= (+ ?v_777 ?v_746) 14))) (not (= (+ (+ ?v_560 ?v_334) ?v_442) (- 99))))) (or (or (and (<= (+ ?v_345 ?v_66) 0) (= (+ (+ (+ ?v_124 ?v_649) ?v_105) ?v_3) (- 48))) (and (< (+ (+ (+ ?v_419 ?v_659) ?v_40) ?v_101) 85) (= (+ (+ (+ ?v_408 ?v_347) ?v_105) ?v_636) (- 9)))) (<= (+ ?v_776 ?v_90) 0))))))) (and (or (or (or (and (or (or (or (>= (+ ?v_777 ?v_544) 37) (< (+ (+ (+ ?v_734 ?v_100) ?v_146) ?v_250) 0)) (or (= (+ (+ ?v_256 ?v_697) ?v_120) (- 37)) (not (= (+ (+ ?v_418 ?v_197) ?v_532) (- 42))))) (or (or (<= (+ (+ ?v_169 ?v_391) ?v_138) 95) (<= (+ (+ ?v_666 ?v_104) ?v_163) 41)) (or (>= (+ (+ (+ ?v_26 ?v_586) ?v_74) ?v_486) (- 74)) (<= (+ ?v_361 ?v_327) (- 76))))) (or (or (or (<= (+ (+ ?v_447 ?v_290) ?v_522) (- 28)) (> (+ (+ ?v_635 ?v_17) ?v_299) 0)) (or (>= (+ (+ (+ ?v_153 ?v_311) ?v_29) ?v_578) (- 98)) (= (+ ?v_778 ?v_730) 0))) (and (or (>= (+ (+ ?v_465 ?v_758) ?v_188) (- 20)) (< (+ (+ ?v_741 ?v_79) ?v_367) 0)) (and (not (= ?v_514 (- 78))) (>= (+ (+ (+ ?v_343 ?v_487) ?v_581) ?v_596) 73))))) (or (and (and (> (+ (+ ?v_572 ?v_74) ?v_522) 11) (not (= (+ (+ (+ ?v_403 ?v_439) ?v_779) ?v_536) 65))) (< (+ (+ ?v_756 ?v_5) ?v_505) 34)) (or (or (>= (+ ?v_460 ?v_611) 0) (= (+ (+ ?v_644 ?v_91) ?v_167) (- 24))) (or (or (>= (+ (+ (+ ?v_293 ?v_579) ?v_34) ?v_603) (- 23)) (< (+ (+ ?v_493 ?v_370) ?v_585) 0)) (and (>= (+ (+ (+ ?v_594 ?v_288) ?v_25) ?v_49) 22) (<= (+ (+ ?v_76 ?v_308) ?v_759) 62)))))) (or (or (or (and (or (and (< (+ (+ ?v_738 ?v_426) ?v_35) 0) (< (+ (+ (+ ?v_447 ?v_17) ?v_491) ?v_6) 0)) (and (> (+ (+ (+ ?v_89 ?v_437) ?v_774) ?v_3) 0) (<= (+ (+ (+ ?v_735 ?v_42) ?v_291) ?v_190) 83))) (or (and (>= (+ (+ (+ ?v_141 ?v_634) ?v_139) ?v_726) (- 71)) (= (+ ?v_342 ?v_631) 0)) (and (= (+ (+ ?v_597 ?v_74) ?v_559) 0) (= (+ (+ ?v_403 ?v_167) ?v_258) 0)))) (and (<= (+ (+ ?v_57 ?v_270) ?v_730) (- 55)) (and (= ?v_780 (- 24)) (not (= (+ ?v_590 ?v_307) 0))))) (or (or (or (or (> (+ ?v_381 ?v_302) 39) (<= (+ (+ ?v_115 ?v_782) ?v_665) (- 88))) (and (<= (+ ?v_218 ?v_275) 62) (< (+ ?v_151 ?v_533) 82))) (or (>= (+ (+ (+ ?v_41 ?v_379) ?v_781) ?v_138) 0) (> (+ ?v_7 ?v_249) (- 91)))) (and (or (= (+ (+ (+ ?v_403 ?v_782) ?v_249) ?v_110) (- 33)) (> (+ (+ (+ ?v_292 ?v_129) ?v_324) ?v_691) 5)) (and (<= (+ (+ ?v_281 ?v_9) ?v_684) (- 55)) (and (> (+ (+ (+ ?v_192 ?v_458) ?v_445) ?v_427) (- 60)) (not (= (+ (+ (+ ?v_159 ?v_416) ?v_185) ?v_691) 66))))))) (or (or (and (or (>= (+ (+ (+ ?v_648 ?v_474) ?v_575) ?v_775) 0) (< (+ (+ (+ ?v_343 ?v_231) ?v_713) ?v_215) (- 68))) (or (or (= ?v_209 0) (>= (+ (+ ?v_174 ?v_20) ?v_768) 43)) (or (= (+ (+ ?v_7 ?v_129) ?v_480) 0) (= (+ (+ ?v_738 ?v_455) ?v_577) 0)))) (and (and (>= (+ (+ (+ ?v_224 ?v_579) ?v_724) ?v_394) (- 35)) (= (+ (+ ?v_159 ?v_623) ?v_520) 27)) (<= (+ (+ (+ ?v_463 ?v_383) ?v_475) ?v_775) 47))) (or (and (or (<= (+ (+ ?v_716 ?v_173) ?v_363) (- 96)) (>= (+ (+ ?v_192 ?v_690) ?v_11) (- 41))) (or (or (< (+ (+ (+ ?v_364 ?v_502) ?v_307) ?v_367) (- 20)) (< (+ (+ ?v_783 ?v_366) ?v_532) 40)) (> (+ (+ (+ ?v_58 ?v_509) ?v_455) ?v_645) (- 25)))) (or (or (not (= (+ ?v_492 ?v_668) 44)) (< (+ (+ (+ ?v_453 ?v_769) ?v_255) ?v_532) (- 20))) (and (or (<= (+ (+ ?v_477 ?v_744) ?v_611) 98) (not (= (+ (+ ?v_513 ?v_728) ?v_637) 60))) (and (< (+ (+ (+ ?v_521 ?v_290) ?v_784) ?v_689) 0) (not (= (+ (+ (+ ?v_220 ?v_347) ?v_366) ?v_393) (- 72)))))))))) (or (and (and (or (and (and (not (= (+ (+ ?v_326 ?v_766) ?v_657) 50)) (> ?v_531 11)) (or (< (+ (+ ?v_418 ?v_229) ?v_254) (- 83)) (> (+ (+ (+ ?v_205 ?v_587) ?v_638) ?v_254) (- 58)))) (and (and (= (+ (+ (+ ?v_12 ?v_332) ?v_737) ?v_522) 51) (<= (+ (+ (+ ?v_121 ?v_487) ?v_557) ?v_339) (- 21))) (or (not (= (+ (+ ?v_468 ?v_253) ?v_516) 0)) (<= (+ (+ ?v_278 ?v_629) ?v_60) (- 75))))) (or (or (or (and (> (+ (+ (+ ?v_13 ?v_55) (* 11 ?x3)) ?v_665) 0) (not (= (+ (+ ?v_230 ?v_133) ?v_691) 36))) (or (< (+ (+ ?v_492 ?v_335) ?v_145) 0) (>= (+ (+ (+ ?v_41 ?v_241) ?v_336) ?v_700) 88))) (and (> (+ (+ ?v_622 ?v_429) ?v_146) (- 10)) (<= (+ (+ ?v_399 ?v_417) ?v_236) 78))) (or (or (<= (+ (+ ?v_142 ?v_547) ?v_3) 0) (not (= (+ (+ ?v_571 ?v_374) ?v_421) 0))) (= (+ (+ ?v_408 ?v_668) ?v_254) 80)))) (and (and (or (and (or (> (+ (+ (+ ?v_202 ?v_238) ?v_580) ?v_785) 0) (>= (+ (+ ?v_461 ?v_547) ?v_130) (- 83))) (and (< (+ (+ (+ ?v_141 ?v_55) ?v_686) ?v_604) 94) (not (= (+ (+ (+ ?v_616 ?v_180) ?v_90) ?v_722) 24)))) (and (or (= (+ (+ (+ ?v_786 ?v_320) ?v_362) ?v_683) 0) (>= ?v_772 (- 23))) (and (<= (+ (+ (+ ?v_303 ?v_642) ?v_105) ?v_532) 20) (= (+ (+ (+ ?v_600 ?v_619) ?v_518) ?v_158) 0)))) (or (or (and (<= (+ (+ ?v_644 ?v_172) ?v_54) 59) (>= (+ (+ ?v_776 ?v_529) ?v_631) (- 23))) (>= (+ ?v_292 ?v_562) (- 17))) (or (or (>= (+ (+ (+ ?v_345 ?v_769) ?v_166) ?v_407) (- 53)) (not (= (+ ?v_787 ?v_609) 93))) (or (< (+ (+ (+ ?v_419 ?v_216) ?v_228) ?v_68) 0) (>= ?v_557 49))))) (and (or (or (> (+ ?v_788 ?v_155) (- 73)) (and (< (+ ?v_113 ?v_400) (- 32)) (>= (+ (+ ?v_566 ?v_779) ?v_92) 19))) (or (and (< ?v_637 (- 14)) (>= (+ (+ ?v_789 ?v_390) ?v_120) (- 86))) (or (= (+ ?v_766 ?v_245) 0) (<= (+ (+ (+ ?v_468 ?v_73) ?v_181) ?v_140) (- 40))))) (and (or (and (not (= (+ (+ ?v_528 ?v_590) ?v_132) (- 18))) (= ?v_488 0)) (and (> (+ (+ (+ ?v_58 ?v_692) ?v_108) ?v_609) 0) (= (+ ?v_87 ?v_258) (- 34)))) (and (or (< (+ (+ ?v_723 ?v_414) ?v_514) 61) (< (+ (+ ?v_235 ?v_104) ?v_128) 28)) (or (>= (+ (+ ?v_326 ?v_204) ?v_101) 16) (<= (+ ?v_485 ?v_592) 83))))))) (and (and (and (or (< (+ (+ ?v_429 ?v_255) ?v_359) 0) (<= (+ ?v_73 ?v_378) (- 28))) (or (>= (+ (+ (+ ?v_223 ?v_572) ?v_221) ?v_732) (- 74)) (<= (+ (+ (+ ?v_606 ?v_300) ?v_312) ?v_549) 65))) (and (and (< (+ ?v_649 ?v_682) 0) (not (= (+ (+ (+ ?v_485 ?v_338) ?v_164) ?v_130) 6))) (or (<= (+ ?v_668 ?v_257) (- 1)) (>= (+ ?v_271 ?v_633) 52)))) (or (or (or (< (+ (+ ?v_698 ?v_167) ?v_503) (- 2)) (<= (+ (+ ?v_786 ?v_365) ?v_11) 77)) (or (> (+ (+ ?v_7 ?v_474) ?v_314) 60) (<= (+ (+ ?v_313 ?v_307) ?v_186) (- 40)))) (and (and (< (+ ?v_111 ?v_652) 0) (> (+ (+ (+ ?v_736 ?v_437) ?v_557) ?v_262) (- 81))) (or (<= (+ (+ (+ ?v_147 ?v_142) ?v_433) ?v_599) 95) (<= ?v_187 (- 85)))))))) (and (or (or (and (and (and (not (= (+ (+ (+ ?v_719 ?v_534) ?v_765) ?v_145) (- 24))) (not (= (+ (+ ?v_769 ?v_27) ?v_775) (- 21)))) (and (not (= (+ ?v_17 ?v_631) 12)) (< (+ (+ ?v_457 ?v_319) ?v_245) 0))) (or (or (= (+ (+ ?v_741 ?v_87) ?v_700) 59) (not (= (+ (+ (+ ?v_36 ?v_701) ?v_257) ?v_217) 18))) (and (not (= (+ ?v_38 ?v_509) (- 15))) (>= (+ (+ (+ ?v_230 ?v_554) ?v_156) ?v_0) 79)))) (or (or (and (and (<= (+ (+ ?v_755 ?v_391) ?v_120) (- 96)) (<= (+ (+ ?v_114 ?v_75) ?v_84) 0)) (or (> (+ (+ (+ ?v_223 ?v_176) ?v_592) ?v_157) 68) (< (+ (+ ?v_588 ?v_695) ?v_378) (- 2)))) (or (or (not (= (+ (+ ?v_499 ?v_216) ?v_188) (- 16))) (= (+ (+ (+ ?v_36 ?v_83) ?v_193) ?v_384) 9)) (< (+ (+ (+ ?v_47 ?v_525) ?v_305) ?v_170) 22))) (or (and (or (< (+ (+ ?v_205 ?v_511) ?v_181) 55) (<= (+ (+ (+ ?v_493 ?v_377) ?v_361) ?v_165) 0)) (or (not (= (+ ?v_238 ?v_254) 0)) (or (< (+ (+ ?v_531 ?v_575) ?v_467) 0) (>= (+ (+ ?v_332 ?v_761) ?v_154) (- 35))))) (and (or (> (+ (+ (+ ?v_286 ?v_727) ?v_48) ?v_339) (- 49)) (>= (+ (+ (+ ?v_485 ?v_525) ?v_132) ?v_359) 76)) (or (= (+ (+ (+ ?v_326 ?v_605) ?v_105) ?v_423) 78) (>= (+ ?v_325 ?v_239) (- 23))))))) (and (and (and (or (>= (+ ?v_548 ?v_178) (- 95)) (not (= (+ (+ ?v_447 ?v_428) ?v_336) (- 24)))) (or (or (= (+ ?v_743 ?v_206) 66) (<= (+ (+ (+ ?v_115 ?v_381) ?v_491) ?v_663) 0)) (= (+ (+ (+ ?v_150 ?v_182) ?v_718) ?v_82) 0))) (and (and (>= (+ (+ ?v_119 ?v_257) ?v_301) 31) (<= (+ (+ ?v_589 ?v_274) ?v_6) (- 85))) (and (>= (+ ?v_571 ?v_782) (- 59)) (> (+ (+ ?v_388 ?v_270) ?v_657) 0)))) (or (or (or (>= (+ (+ ?v_567 ?v_52) ?v_70) (- 74)) (or (< (+ (+ ?v_356 ?v_366) ?v_661) 4) (< (+ (+ (+ ?v_388 ?v_5) ?v_14) ?v_609) (- 14)))) (or (or (>= (+ ?v_425 ?v_135) 0) (> (+ (+ ?v_303 ?v_200) ?v_790) (- 94))) (or (<= (+ (+ ?v_613 ?v_176) ?v_592) 0) (> (+ ?v_791 ?v_244) (- 7))))) (and (and (<= ?v_341 83) (or (<= (+ ?v_792 ?v_201) 0) (> (+ (+ ?v_588 ?v_666) ?v_187) 95))) (and (not (= (+ (+ ?v_513 ?v_324) ?v_201) 90)) (> ?v_614 (- 27))))))) (and (or (or (or (and (or (>= (+ (+ ?v_598 ?v_505) ?v_742) 0) (<= (+ (+ ?v_51 ?v_246) ?v_3) 0)) (not (= (+ (+ ?v_272 ?v_770) ?v_402) 75))) (and (and (>= (+ (+ ?v_8 ?v_317) ?v_785) 76) (<= (+ ?v_2 ?v_73) 0)) (or (>= (+ (+ ?v_161 ?v_586) ?v_1) 0) (>= (+ (+ ?v_616 ?v_476) ?v_650) 43)))) (or (> (+ (+ ?v_425 ?v_718) ?v_110) 11) (or (>= ?v_591 (- 2)) (= (+ (+ ?v_39 ?v_348) ?v_785) 0)))) (and (or (or (= (+ (+ (+ ?v_763 ?v_409) ?v_214) ?v_480) 0) (> (+ (+ ?v_499 ?v_270) ?v_280) 0)) (or (>= (+ (+ (+ ?v_531 ?v_86) ?v_488) ?v_49) 91) (not (= (+ (+ (+ ?v_281 ?v_793) ?v_50) ?v_11) 99)))) (and (or (< (+ (+ ?v_649 ?v_195) ?v_393) (- 32)) (> (+ (+ (+ ?v_543 ?v_723) ?v_156) ?v_245) 81)) (and (< (+ (+ (+ ?v_207 ?v_368) ?v_510) ?v_691) 91) (= (+ (+ ?v_411 ?v_745) ?v_661) 89))))) (and (and (or (or (and (not (= (+ (+ ?v_53 ?v_144) ?v_367) 0)) (not (= (+ (+ (+ ?v_449 ?v_540) ?v_728) ?v_158) (- 1)))) (> (+ (+ ?v_230 ?v_502) ?v_475) 0)) (and (and (<= (+ (+ ?v_670 ?v_458) ?v_404) 0) (>= (+ (+ (+ ?v_53 ?v_148) ?v_372) ?v_794) 0)) (or (= (+ (+ (+ ?v_392 ?v_95) ?v_790) ?v_438) 90) (> (+ ?v_289 ?v_540) (- 67))))) (and (and (<= (+ (+ ?v_767 ?v_471) ?v_168) 29) (<= (+ (+ ?v_69 ?v_610) ?v_165) (- 61))) (or (>= (+ ?v_115 ?v_221) (- 11)) (<= (+ (+ (+ ?v_560 ?v_113) ?v_336) ?v_514) (- 19))))) (and (or (or (or (> (+ (+ (+ ?v_147 ?v_246) ?v_249) ?v_746) (- 70)) (< ?v_260 (- 2))) (and (= (+ (+ ?v_318 ?v_434) ?v_54) 66) (<= (+ (* (- 77) ?x3) ?v_636) 30))) (and (or (>= (+ ?v_731 ?v_541) 0) (not (= (+ (+ ?v_669 ?v_557) ?v_497) 0))) (or (>= (+ (+ ?v_625 ?v_728) ?v_785) 0) (>= (+ ?v_701 ?v_367) 13)))) (or (not (= (+ (+ ?v_635 ?v_366) ?v_263) (- 82))) (or (<= (+ (+ ?v_63 ?v_249) ?v_186) 50) (< (+ ?v_278 ?v_362) 0)))))))))))))))))))))))
(check-sat)
(exit)
