(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(set-info :status unknown)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_203 (* 16 ?x2)) (?v_488 (* 56 ?x2)) (?v_6 (* 15 ?x2)) (?v_22 (* 36 ?x2)) (?v_308 (* 31 ?x1)) (?v_52 (* 80 ?x4)) (?v_260 (* 65 ?x3)) (?v_38 (* 27 ?x2)) (?v_8 (* 45 ?x2)) (?v_565 (* 5 ?x3)) (?v_378 (* 78 ?x1)) (?v_70 (* 11 ?x2)) (?v_509 (* 99 ?x3)) (?v_1 (* 55 ?x1)) (?v_373 (* 96 ?x2)) (?v_111 (* 87 ?x1)) (?v_7 (* 56 ?x1)) (?v_493 (* 51 ?x3)) (?v_124 (* 69 ?x4)) (?v_148 (* 66 ?x4)) (?v_10 (* 95 ?x4)) (?v_116 (* 22 ?x3)) (?v_21 (* 61 ?x4)) (?v_257 (* 72 ?x2)) (?v_36 (* 90 ?x3)) (?v_80 (* 66 ?x2)) (?v_177 (* 78 ?x3)) (?v_5 (* 65 ?x4)) (?v_342 (* 16 ?x1)) (?v_18 (* 58 ?x1)) (?v_367 (* 47 ?x3)) (?v_190 (* 37 ?x4)) (?v_101 (* 70 ?x2)) (?v_51 (* 69 ?x3)) (?v_277 (* 3 ?x4)) (?v_4 (* 97 ?x1)) (?v_197 (* 64 ?x2)) (?v_63 (* 1 ?x3)) (?v_59 (* 37 ?x2)) (?v_137 (* 30 ?x1)) (?v_370 (* 43 ?x3)) (?v_334 (* 87 ?x4)) (?v_571 (* 100 ?x4)) (?v_312 (* 100 ?x1)) (?v_13 (* 50 ?x4)) (?v_94 (* 32 ?x2)) (?v_222 (* 33 ?x3)) (?v_35 (* 22 ?x2)) (?v_477 (* 63 ?x3)) (?v_333 (* 46 ?x1)) (?v_178 (* 84 ?x1)) (?v_97 (* 57 ?x3)) (?v_100 (* 13 ?x1)) (?v_139 (* 63 ?x2)) (?v_295 (* 14 ?x4)) (?v_282 (* 59 ?x2)) (?v_294 (* 88 ?x3)) (?v_338 (* 7 ?x3)) (?v_209 (* 41 ?x3)) (?v_28 (* 43 ?x1)) (?v_11 (* 94 ?x3)) (?v_37 (* 37 ?x3)) (?v_56 (* 40 ?x1)) (?v_554 (* 96 ?x1)) (?v_327 (* 40 ?x3)) (?v_113 (* 15 ?x4)) (?v_49 (* 55 ?x2)) (?v_181 (* 82 ?x3)) (?v_55 (* 11 ?x4)) (?v_12 (* 53 ?x2)) (?v_141 (* 24 ?x1)) (?v_235 (* 37 ?x1)) (?v_223 (* 77 ?x2)) (?v_611 (* 53 ?x1)) (?v_526 (* 39 ?x2)) (?v_247 (* 19 ?x3)) (?v_244 (* 31 ?x3)) (?v_343 (* 87 ?x2)) (?v_24 (* 3 ?x1)) (?v_73 (* 42 ?x2)) (?v_625 (* 88 ?x4)) (?v_134 (* 89 ?x2)) (?v_329 (* 97 ?x2)) (?v_606 (* 98 ?x3)) (?v_318 (* 96 ?x4)) (?v_214 (* 83 ?x4)) (?v_48 (* 44 ?x1)) (?v_27 (* 75 ?x3)) (?v_487 (* 17 ?x1)) (?v_129 (* 62 ?x2)) (?v_172 (* 10 ?x3)) (?v_192 (* 91 ?x1)) (?v_40 (* 26 ?x4)) (?v_496 (* 1 ?x1)) (?v_31 (* 70 ?x3)) (?v_578 (* 57 ?x4)) (?v_416 (* 48 ?x2)) (?v_26 (* 6 ?x1)) (?v_258 (* 85 ?x3)) (?v_481 (* 23 ?x4)) (?v_160 (* 61 ?x3)) (?v_288 (* 51 ?x2)) (?v_163 (* 94 ?x4)) (?v_459 (* 19 ?x1)) (?v_67 (* 29 ?x1)) (?v_102 (* 100 ?x3)) (?v_68 (* 27 ?x4)) (?v_167 (* 88 ?x1)) (?v_399 (* 93 ?x1)) (?v_643 (* 76 ?x2)) (?v_193 (* 76 ?x3)) (?v_395 (* 99 ?x2)) (?v_275 (* 76 ?x4)) (?v_575 (* 90 ?x1)) (?v_103 (* 52 ?x4)) (?v_352 (* 34 ?x2)) (?v_91 (* 20 ?x3)) (?v_632 (* 97 ?x4)) (?v_324 (* 48 ?x4)) (?v_449 (* 4 ?x3)) (?v_217 (* 56 ?x3)) (?v_332 (* 92 ?x4)) (?v_131 (* 24 ?x4)) (?v_638 (* 46 ?x2)) (?v_270 (* 45 ?x3)) (?v_636 (* 38 ?x2)) (?v_171 (* 32 ?x3)) (?v_438 (* 16 ?x4)) (?v_64 (* 12 ?x3)) (?v_175 (* 82 ?x1)) (?v_142 (* 20 ?x2)) (?v_89 (* 85 ?x1)) (?v_47 (* 67 ?x1)) (?v_283 (* 51 ?x4)) (?v_274 (* 17 ?x2)) (?v_232 (* 33 ?x2)) (?v_179 (* 61 ?x2)) (?v_328 (* 36 ?x1)) (?v_265 (* 49 ?x2)) (?v_253 (* 53 ?x4)) (?v_233 (* 42 ?x3)) (?v_147 (* 82 ?x2)) (?v_76 (* 93 ?x3)) (?v_206 (* 69 ?x2)) (?v_408 (* 91 ?x4)) (?v_184 (* 6 ?x2)) (?v_315 (* 87 ?x3)) (?v_136 (* 1 ?x2)) (?v_121 (* 23 ?x3)) (?v_384 (* 79 ?x1)) (?v_170 (* 78 ?x4)) (?v_264 (* 10 ?x4)) (?v_599 (* 20 ?x1)) (?v_210 (* 74 ?x2)) (?v_290 (* 91 ?x3)) (?v_269 (* 18 ?x1)) (?v_613 (* 54 ?x3)) (?v_421 (* 94 ?x2)) (?v_479 (* 77 ?x3)) (?v_267 (* 84 ?x4)) (?v_425 (* 10 ?x2)) (?v_486 (* 34 ?x4)) (?v_316 (* 9 ?x2)) (?v_99 (* 98 ?x1)) (?v_187 (* 35 ?x2)) (?v_211 (* 45 ?x4)) (?v_584 (* 44 ?x4)) (?v_357 (* 30 ?x2)) (?v_143 (* 27 ?x3)) (?v_218 (* 25 ?x3)) (?v_437 (* 68 ?x4)) (?v_585 (* 63 ?x1)) (?v_418 (* 75 ?x2)) (?v_145 (* 65 ?x1)) (?v_255 (* 51 ?x1)) (?v_422 (* 5 ?x4)) (?v_386 (* 93 ?x4)) (?v_494 (* 80 ?x2)) (?v_151 (* 15 ?x3)) (?v_127 (* 50 ?x1)) (?v_593 (* 11 ?x1)) (?v_549 (* 88 ?x2)) (?v_570 (* 83 ?x2)) (?v_362 (* 14 ?x3)) (?v_413 (* 63 ?x4)) (?v_117 (* 93 ?x2)) (?v_330 (* 50 ?x3)) (?v_517 (* 17 ?x4)) (?v_287 (* 79 ?x3)) (?v_186 (* 29 ?x3)) (?v_268 (* 75 ?x4)) (?v_224 (* 83 ?x3)) (?v_126 (* 73 ?x2)) (?v_138 (* 43 ?x4)) (?v_325 (* 2 ?x1)) (?v_616 (* 18 ?x2)) (?v_411 (* 28 ?x3)) (?v_191 (* 9 ?x3)) (?v_168 (* 8 ?x2)) (?v_489 (* 60 ?x2)) (?v_476 (* 44 ?x3)) (?v_503 (* 26 ?x2)) (?v_311 (* 89 ?x3)) (?v_419 (* 19 ?x4)) (?v_238 (* 38 ?x4)) (?v_271 (* 5 ?x1)) (?v_542 (* 45 ?x1)) (?v_466 (* 77 ?x4)) (?v_299 (* 24 ?x2)) (?v_228 (* 79 ?x2)) (?v_507 (* 75 ?x1)) (?v_452 (* 46 ?x3)) (?v_276 (* 54 ?x2)) (?v_195 (* 49 ?x1)) (?v_250 (* 85 ?x2)) (?v_394 (* 71 ?x1)) (?v_435 (* 8 ?x1)) (?v_523 (* 52 ?x3)) (?v_297 (* 17 ?x3)) (?v_219 (* 31 ?x4)) (?v_610 (* 86 ?x1)) (?v_455 (* 22 ?x1)) (?v_263 (* 47 ?x1)) (?v_358 (* 48 ?x1)) (?v_587 (* 70 ?x1)) (?v_216 (* 89 ?x4)) (?v_508 (* 92 ?x1)) (?v_519 (* 38 ?x1)) (?v_572 (* 12 ?x2)) (?v_534 (* 35 ?x3)) (?v_230 (* 13 ?x2)) (?v_310 (* 8 ?x3)) (?v_331 (* 91 ?x2)) (?v_541 (* 13 ?x3)) (?v_359 (* 36 ?x4)) (?v_436 (* 77 ?x1)) (?v_292 (* 2 ?x2)) (?v_456 (* 43 ?x2)) (?v_468 (* 80 ?x1)) (?v_430 (* 69 ?x1)) (?v_293 (* 68 ?x3)) (?v_286 (* 81 ?x1)) (?v_236 (* 48 ?x3)) (?v_400 (* 4 ?x4)) (?v_470 (* 25 ?x4)) (?v_574 (* 9 ?x1)) (?v_289 (* 33 ?x1)) (?v_385 (* 6 ?x4)) (?v_510 (* 59 ?x1)) (?v_361 (* 15 ?x1))) (let ((?v_640 (+ ?v_232 ?v_233)) (?v_524 (* 68 ?x1)) (?v_536 (* 50 ?x2)) (?v_454 (* 22 ?x4)) (?v_391 (* 92 ?x2)) (?v_561 (* 76 ?x1)) (?v_448 (* 73 ?x1)) (?v_628 (* 72 ?x1)) (?v_478 (* 31 ?x2)) (?v_323 (* 65 ?x2)) (?v_473 (* 81 ?x3)) (?v_453 (* 25 ?x1)) (?v_564 (* 86 ?x2)) (?v_530 (* 95 ?x3)) (?v_371 (* 47 ?x4)) (?v_291 (* 67 ?x4)) (?v_337 (* 68 ?x2)) (?v_301 (* 12 ?x1)) (?v_364 (* 32 ?x1)) (?v_396 (* 97 ?x3)) (?v_347 (* 39 ?x4)) (?v_339 (* 47 ?x2)) (?v_642 (* 60 ?x1)) (?v_629 (* 7 ?x1)) (?v_515 (* 23 ?x1)) (?v_484 (* 38 ?x3)) (?v_431 (* 62 ?x1)) (?v_313 (* 21 ?x2)) (?v_547 (* 49 ?x3)) (?v_531 (* 98 ?x2)) (?v_532 (* 7 ?x2)) (?v_528 (* 59 ?x3)) (?v_389 (* 20 ?x4)) (?v_566 (* 21 ?x3)) (?v_439 (* 26 ?x1)) (?v_582 (* 41 ?x2)) (?v_375 (* 25 ?x2)) (?v_591 (* 98 ?x4)) (?v_480 (* 35 ?x4)) (?v_635 (* 61 ?x1)) (?v_553 (* 49 ?x4)) (?v_525 (* 44 ?x2)) (?v_580 (* 71 ?x4)) (?v_471 (* 64 ?x1)) (?v_562 (* 26 ?x3)) (?v_495 (* 60 ?x4)) (?v_398 (* 95 ?x2)) (?v_498 (* 12 ?x4)) (?v_609 (* 55 ?x3)) (?v_491 (* 57 ?x1)) (?v_559 (* 39 ?x3)) (?v_429 (* 52 ?x2)) (?v_497 (* 86 ?x3)) (?v_601 (* 2 ?x4)) (?v_622 (* 36 ?x3)) (?v_612 (* 35 ?x1)) (?v_555 (* 29 ?x2)) (?v_463 (* 71 ?x3)) (?v_458 (* 4 ?x2)) (?v_583 (* 85 ?x4)) (?v_516 (* 81 ?x2)) (?v_576 (* 72 ?x3)) (?v_627 (* 54 ?x4)) (?v_511 (* 92 ?x3)) (?v_623 (* 28 ?x4)) (?v_639 (* 9 ?x4)) (?v_538 (* 99 ?x4)) (?v_634 (* 60 ?x3)) (?v_581 (* 34 ?x1)) (?v_544 (* 24 ?x3)) (?v_608 (* 14 ?x2)) (?v_633 (* 81 ?x4)) (?v_637 (* 58 ?x4)) (?v_618 (* 19 ?x2)) (?v_204 (* (- 70) ?x1)) (?v_215 (* (- 6) ?x2)) (?v_169 (* (- 5) ?x3)) (?v_0 (* (- 56) ?x4)) (?v_54 (* (- 72) ?x1)) (?v_61 (* (- 71) ?x3)) (?v_620 (* (- 99) ?x4)) (?v_617 (* (- 43) ?x1)) (?v_58 (* (- 62) ?x1)) (?v_43 (* (- 32) ?x4)) (?v_424 (* (- 49) ?x3)) (?v_81 (* (- 48) ?x3)) (?v_165 (* (- 13) ?x2)) (?v_34 (* (- 77) ?x2)) (?v_387 (* (- 11) ?x1)) (?v_3 (* (- 55) ?x4)) (?v_16 (* (- 78) ?x1)) (?v_69 (* (- 31) ?x4)) (?v_82 (* (- 19) ?x4)) (?v_53 (* (- 98) ?x2)) (?v_568 (* (- 27) ?x3)) (?v_78 (* (- 97) ?x2)) (?v_2 (* (- 89) ?x2)) (?v_626 (* (- 22) ?x1)) (?v_115 (* (- 52) ?x3)) (?v_45 (* (- 41) ?x3)) (?v_118 (* (- 97) ?x4)) (?v_105 (* (- 94) ?x1)) (?v_304 (* (- 51) ?x2)) (?v_75 (* (- 74) ?x4)) (?v_404 (* (- 50) ?x1)) (?v_221 (* (- 44) ?x2)) (?v_556 (* (- 19) ?x3)) (?v_65 (* (- 65) ?x4)) (?v_15 (* (- 98) ?x1)) (?v_298 (* (- 31) ?x1)) (?v_14 (* (- 100) ?x4)) (?v_72 (* (- 95) ?x1)) (?v_381 (* (- 54) ?x3)) (?v_259 (* (- 95) ?x4)) (?v_360 (* (- 24) ?x1)) (?v_469 (* (- 3) ?x4)) (?v_140 (* (- 69) ?x3)) (?v_62 (* (- 48) ?x2)) (?v_71 (* (- 82) ?x3)) (?v_196 (* (- 40) ?x4)) (?v_341 (* (- 28) ?x2)) (?v_415 (* (- 89) ?x3)) (?v_19 (* (- 94) ?x2)) (?v_202 (* (- 86) ?x2)) (?v_393 (* (- 99) ?x3)) (?v_108 (* (- 8) ?x1)) (?v_109 (* (- 27) ?x4)) (?v_369 (* (- 66) ?x2)) (?v_9 (* (- 50) ?x3)) (?v_307 (* (- 69) ?x1)) (?v_266 (* (- 74) ?x3)) (?v_156 (* (- 50) ?x4)) (?v_128 (* (- 73) ?x4)) (?v_57 (* (- 51) ?x4)) (?v_302 (* (- 39) ?x2)) (?v_284 (* (- 82) ?x4)) (?v_106 (* (- 97) ?x1)) (?v_25 (* (- 95) ?x2)) (?v_189 (* (- 25) ?x4)) (?v_272 (* (- 84) ?x2)) (?v_23 (* (- 2) ?x3)) (?v_84 (* (- 94) ?x4)) (?v_87 (* (- 81) ?x2)) (?v_405 (* (- 40) ?x3)) (?v_212 (* (- 42) ?x3)) (?v_462 (* (- 61) ?x4)) (?v_44 (* (- 53) ?x3)) (?v_77 (* (- 48) ?x4)) (?v_520 (* (- 21) ?x1)) (?v_17 (* (- 51) ?x1)) (?v_42 (* (- 52) ?x2)) (?v_33 (* (- 9) ?x1)) (?v_20 (* (- 32) ?x3)) (?v_188 (* (- 8) ?x4)) (?v_46 (* (- 72) ?x3)) (?v_98 (* (- 19) ?x1)) (?v_32 (* (- 81) ?x4)) (?v_322 (* (- 39) ?x1)) (?v_348 (* (- 30) ?x2)) (?v_85 (* (- 23) ?x2)) (?v_200 (* (- 94) ?x3)) (?v_30 (* (- 21) ?x4)) (?v_135 (* (- 77) ?x3)) (?v_164 (* (- 70) ?x4)) (?v_112 (* (- 76) ?x3)) (?v_29 (* (- 1) ?x2)) (?v_176 (* (- 74) ?x2)) (?v_317 (* (- 88) ?x3)) (?v_490 (* (- 41) ?x4)) (?v_120 (* (- 12) ?x1)) (?v_241 (* (- 63) ?x4)) (?v_144 (* (- 44) ?x3)) (?v_60 (* (- 61) ?x2)) (?v_242 (* (- 67) ?x1)) (?v_79 (* (- 67) ?x2)) (?v_158 (* (- 45) ?x3)) (?v_201 (* (- 16) ?x4)) (?v_74 (* (- 67) ?x3)) (?v_303 (* (- 84) ?x4)) (?v_39 (* (- 36) ?x2)) (?v_66 (* (- 75) ?x4)) (?v_261 (* (- 68) ?x1)) (?v_96 (* (- 68) ?x2)) (?v_83 (* (- 17) ?x3)) (?v_249 (* (- 5) ?x1)) (?v_166 (* (- 39) ?x3)) (?v_41 (* (- 76) ?x1)) (?v_278 (* (- 27) ?x2)) (?v_248 (* (- 16) ?x3)) (?v_305 (* (- 31) ?x2)) (?v_159 (* (- 60) ?x1)) (?v_296 (* (- 45) ?x2)) (?v_125 (* (- 45) ?x1)) (?v_551 (* (- 57) ?x4)) (?v_95 (* (- 100) ?x1)) (?v_86 (* (- 58) ?x4)) (?v_208 (* (- 34) ?x2)) (?v_114 (* (- 35) ?x3)) (?v_220 (* (- 22) ?x4)) (?v_107 (* (- 73) ?x2)) (?v_550 (* (- 34) ?x1)) (?v_50 (* (- 80) ?x4)) (?v_474 (* (- 85) ?x4)) (?v_240 (* (- 15) ?x3)) (?v_546 (* (- 54) ?x4)) (?v_93 (* (- 69) ?x4)) (?v_119 (* (- 34) ?x3)) (?v_245 (* (- 33) ?x3)) (?v_88 (* (- 86) ?x4)) (?v_132 (* (- 64) ?x4)) (?v_104 (* (- 56) ?x1)) (?v_410 (* (- 20) ?x1)) (?v_90 (* (- 15) ?x2)) (?v_150 (* (- 39) ?x4)) (?v_110 (* (- 71) ?x4)) (?v_320 (* (- 37) ?x1)) (?v_198 (* (- 79) ?x4)) (?v_539 (* (- 59) ?x1)) (?v_483 (* (- 84) ?x3)) (?v_183 (* (- 85) ?x1)) (?v_563 (* (- 52) ?x1)) (?v_157 (* (- 62) ?x2)) (?v_227 (* (- 55) ?x1)) (?v_285 (* (- 86) ?x1)) (?v_229 (* (- 80) ?x2)) (?v_130 (* (- 73) ?x3)) (?v_92 (* (- 32) ?x1)) (?v_512 (* (- 3) ?x1)) (?v_205 (* (- 36) ?x3)) (?v_273 (* (- 75) ?x1)) (?v_500 (* (- 70) ?x2)) (?v_351 (* (- 33) ?x1)) (?v_442 (* (- 1) ?x1)) (?v_153 (* (- 16) ?x2)) (?v_154 (* (- 28) ?x1)) (?v_427 (* (- 66) ?x4)) (?v_397 (* (- 3) ?x3)) (?v_280 (* (- 69) ?x2)) (?v_350 (* (- 46) ?x3)) (?v_152 (* (- 28) ?x4)) (?v_174 (* (- 23) ?x3)) (?v_225 (* (- 53) ?x4)) (?v_146 (* (- 23) ?x4)) (?v_123 (* (- 22) ?x3)) (?v_409 (* (- 41) ?x1)) (?v_573 (* (- 78) ?x3)) (?v_155 (* (- 91) ?x4)) (?v_368 (* (- 30) ?x4)) (?v_149 (* (- 25) ?x1)) (?v_251 (* (- 63) ?x3)) (?v_382 (* (- 22) ?x2)) (?v_281 (* (- 10) ?x3)) (?v_502 (* (- 60) ?x2)) (?v_122 (* (- 44) ?x4)) (?v_182 (* (- 54) ?x2)) (?v_472 (* (- 38) ?x3)) (?v_207 (* (- 92) ?x4)) (?v_432 (* (- 87) ?x3)) (?v_161 (* (- 76) ?x4)) (?v_372 (* (- 73) ?x1)) (?v_256 (* (- 38) ?x4)) (?v_180 (* (- 47) ?x1)) (?v_543 (* (- 35) ?x2)) (?v_194 (* (- 63) ?x1)) (?v_239 (* (- 43) ?x2)) (?v_420 (* (- 4) ?x1)) (?v_185 (* (- 12) ?x4)) (?v_444 (* (- 44) ?x1)) (?v_345 (* (- 46) ?x1)) (?v_162 (* (- 43) ?x3)) (?v_262 (* (- 12) ?x3)) (?v_588 (* (- 72) ?x4)) (?v_349 (* (- 81) ?x1)) (?v_133 (* (- 61) ?x3)) (?v_402 (* (- 15) ?x1)) (?v_252 (* (- 1) ?x4)) (?v_366 (* (- 58) ?x1)) (?v_354 (* (- 37) ?x3)) (?v_319 (* (- 98) ?x3)) (?v_501 (* (- 56) ?x3)) (?v_173 (* (- 60) ?x4)) (?v_279 (* (- 86) ?x3)) (?v_213 (* (- 15) ?x4)) (?v_388 (* (- 6) ?x1)) (?v_246 (* (- 14) ?x4)) (?v_482 (* (- 87) ?x2)) (?v_390 (* (- 79) ?x1)) (?v_254 (* (- 83) ?x2)) (?v_447 (* (- 41) ?x2)) (?v_309 (* (- 12) ?x2)) (?v_406 (* (- 96) ?x2)) (?v_234 (* (- 33) ?x4)) (?v_567 (* (- 93) ?x1)) (?v_226 (* (- 90) ?x3)) (?v_199 (* (- 87) ?x4)) (?v_336 (* (- 71) ?x1)) (?v_314 (* (- 58) ?x2)) (?v_335 (* (- 99) ?x1)) (?v_522 (* (- 74) ?x1)) (?v_407 (* (- 93) ?x2)) (?v_441 (* (- 95) ?x3)) (?v_467 (* (- 26) ?x4)) (?v_353 (* (- 4) ?x4)) (?v_428 (* (- 92) ?x3)) (?v_237 (* (- 66) ?x3)) (?v_306 (* (- 4) ?x3)) (?v_614 (* (- 24) ?x4)) (?v_340 (* (- 65) ?x2)) (?v_535 (* (- 82) ?x1)) (?v_417 (* (- 53) ?x1)) (?v_401 (* (- 51) ?x3)) (?v_465 (* (- 65) ?x3)) (?v_595 (* (- 76) ?x2)) (?v_321 (* (- 1) ?x3)) (?v_412 (* (- 21) ?x2)) (?v_231 (* (- 47) ?x3)) (?v_451 (* (- 60) ?x3)) (?v_521 (* (- 67) ?x4)) (?v_346 (* (- 5) ?x2)) (?v_356 (* (- 75) ?x3)) (?v_243 (* (- 11) ?x2)) (?v_380 (* (- 93) ?x4)) (?v_379 (* (- 100) ?x3)) (?v_514 (* (- 87) ?x1)) (?v_445 (* (- 97) ?x3)) (?v_631 (* (- 80) ?x3)) (?v_594 (* (- 99) ?x2)) (?v_326 (* (- 49) ?x2)) (?v_457 (* (- 100) ?x2)) (?v_363 (* (- 59) ?x4)) (?v_300 (* (- 47) ?x4)) (?v_377 (* (- 9) ?x3)) (?v_376 (* (- 83) ?x3)) (?v_414 (* (- 17) ?x2)) (?v_383 (* (- 20) ?x3)) (?v_434 (* (- 6) ?x4)) (?v_423 (* (- 91) ?x2)) (?v_440 (* (- 24) ?x2)) (?v_505 (* (- 20) ?x4)) (?v_527 (* (- 79) ?x3)) (?v_355 (* (- 14) ?x1)) (?v_365 (* (- 85) ?x2)) (?v_560 (* (- 10) ?x2)) (?v_485 (* (- 50) ?x2)) (?v_598 (* (- 78) ?x4)) (?v_344 (* (- 52) ?x4)) (?v_499 (* (- 7) ?x1)) (?v_443 (* (- 91) ?x3)) (?v_529 (* (- 45) ?x4)) (?v_605 (* (- 31) ?x3)) (?v_374 (* (- 89) ?x4)) (?v_641 (* (- 49) ?x4)) (?v_464 (* (- 47) ?x2)) (?v_558 (* (- 77) ?x4)) (?v_450 (* (- 63) ?x2)) (?v_433 (* (- 38) ?x2)) (?v_548 (* (- 82) ?x2)) (?v_537 (* (- 96) ?x3)) (?v_619 (* (- 25) ?x2)) (?v_615 (* (- 98) ?x4)) (?v_403 (* (- 62) ?x4)) (?v_533 (* (- 29) ?x4)) (?v_545 (* (- 57) ?x3)) (?v_392 (* (- 75) ?x2))) (let ((?v_589 (+ ?v_404 ?v_405)) (?v_460 (* (- 49) ?x1)) (?v_426 (* (- 59) ?x2)) (?v_592 (* (- 61) ?x1)) (?v_579 (* (- 38) ?x1)) (?v_630 (* (- 56) ?x2)) (?v_604 (* (- 90) ?x2)) (?v_461 (* (- 64) ?x3)) (?v_446 (* (- 2) ?x2)) (?v_513 (* (- 29) ?x2)) (?v_590 (* (- 43) ?x4)) (?v_518 (* (- 4) ?x2)) (?v_600 (* (- 7) ?x2)) (?v_504 (* (- 2) ?x4)) (?v_540 (* (- 58) ?x3)) (?v_621 (* (- 40) ?x2)) (?v_475 (* (- 30) ?x1)) (?v_492 (* (- 37) ?x2)) (?v_597 (* (- 32) ?x2)) (?v_552 (* (- 90) ?x1)) (?v_624 (* (- 29) ?x1)) (?v_586 (* (- 34) ?x4)) (?v_506 (* (- 13) ?x1)) (?v_557 (* (- 18) ?x3)) (?v_603 (* (- 77) ?x1)) (?v_596 (* (- 25) ?x3)) (?v_569 (* (- 42) ?x4)) (?v_577 (* (- 70) ?x3)) (?v_602 (* (- 18) ?x4)) (?v_607 (* (- 26) ?x1))) (or (and (or (or (and (and (and (and (< (+ (+ (+ ?v_204 ?v_215) ?v_169) ?v_0) (- 77)) (and (or (<= (+ (+ (+ ?v_54 ?v_203) ?v_61) ?v_620) (- 52)) (<= (+ ?v_617 ?v_488) 95)) (and (> (+ ?v_58 ?v_43) 0) (>= ?v_424 46)))) (and (or (or (= (+ (+ ?v_6 ?v_81) (* (- 7) ?x4)) (- 85)) (= (+ ?v_22 ?v_0) 5)) (or (not (= (+ (+ ?v_308 ?v_165) ?v_52) 96)) (= (+ (+ (* 27 ?x1) ?v_34) ?v_260) (- 58)))) (or (not (= (+ (+ ?v_387 ?v_38) ?v_3) 65)) (not (= (+ (+ (+ ?v_16 ?v_8) ?v_565) ?v_69) 0))))) (or (or (and (or (<= (+ (+ (+ ?v_378 ?v_70) ?v_509) ?v_82) 77) (not (= ?v_53 66))) (and (< (+ (+ ?v_1 ?v_373) ?v_568) (- 98)) (< (+ (+ ?v_111 ?v_78) (* 41 ?x4)) 0))) (or (or (< (+ (+ (+ ?v_7 ?v_2) ?v_493) ?v_124) 0) (<= (+ (+ ?v_626 ?v_115) ?v_148) (- 28))) (or (not (= (+ (+ (* 100 ?x2) ?v_45) ?v_10) 66)) (>= (+ ?v_1 ?v_118) (- 5))))) (and (and (>= (+ (+ (+ ?v_105 ?v_304) ?v_116) ?v_21) (- 14)) (and (not (= (+ (+ ?v_257 ?v_36) ?v_75) (- 33))) (< (+ (+ (+ ?v_404 ?v_221) ?v_556) ?v_65) 0))) (or (and (< ?v_15 52) (not (= (+ (+ ?v_298 ?v_80) ?v_14) 75))) (or (>= (+ (+ ?v_72 ?v_177) ?v_5) 40) (>= (+ (+ ?v_342 ?v_381) ?v_259) (- 38))))))) (or (and (or (and (not (= (+ (+ (+ ?v_18 ?v_2) ?v_367) ?v_190) (- 34))) (< (+ (+ (+ ?v_360 ?v_101) ?v_51) ?v_277) 55)) (or (>= (+ ?v_4 ?v_3) (- 5)) (>= (+ (+ (+ ?v_4 ?v_197) ?v_63) ?v_469) 0))) (and (= (+ (+ ?v_59 ?v_140) ?v_0) (- 16)) (>= (+ (+ ?v_137 ?v_370) ?v_334) 40))) (and (or (and (< (+ (+ (+ (* (- 92) ?x1) ?v_62) ?v_71) ?v_571) 67) (not (= ?v_196 0))) (or (<= (+ ?v_341 ?v_5) (- 45)) (<= ?v_415 0))) (and (or (>= ?v_19 (- 95)) (< (+ (+ (+ ?v_312 ?v_202) ?v_393) ?v_13) 76)) (or (> (+ (+ ?v_94 ?v_222) (* 70 ?x4)) 17) (not (= (+ (+ (+ ?v_108 ?v_35) ?v_477) ?v_109) (- 22)))))))) (or (or (or (and (or (and (>= (+ (+ ?v_333 ?v_369) ?v_9) (- 80)) (< (+ (+ ?v_178 ?v_6) ?v_97) 64)) (>= (+ (+ ?v_100 ?v_139) ?v_295) 0)) (or (or (= (+ (+ ?v_307 ?v_266) ?v_156) 0) (<= (+ (+ ?v_282 ?v_294) ?v_128) 14)) (= (+ ?v_338 ?v_57) 6))) (and (and (and (< ?v_209 (- 44)) (>= (+ (+ (+ ?v_28 ?v_302) ?v_11) ?v_284) (- 20))) (or (< (+ ?v_7 ?v_8) 0) (> (+ ?v_106 ?v_37) (- 72)))) (and (not (= (+ (+ ?v_56 ?v_9) ?v_10) 0)) (and (<= (+ (+ (+ ?v_554 ?v_25) ?v_327) ?v_113) 89) (>= (+ (+ (* 74 ?x1) ?v_49) ?v_189) 1))))) (and (and (or (> (+ ?v_181 ?v_55) (- 13)) (> (+ ?v_12 ?v_11) (- 76))) (>= (+ (+ ?v_272 ?v_23) ?v_84) 64)) (and (>= (+ (+ ?v_141 ?v_87) ?v_405) 94) (<= (+ (+ (+ ?v_235 ?v_223) ?v_212) ?v_462) 95)))) (and (or (or (and (not (= (+ (+ (+ ?v_611 ?v_12) ?v_44) ?v_77) (- 64))) (> (+ ?v_526 ?v_13) (- 10))) (and (< (+ (+ ?v_520 ?v_247) ?v_14) 1) (>= (+ (+ (+ ?v_17 ?v_42) ?v_244) ?v_10) (- 65)))) (or (and (not (= (+ (+ (+ ?v_33 ?v_343) ?v_9) ?v_14) 59)) (>= (+ (+ (+ ?v_24 ?v_73) ?v_20) ?v_188) 79)) (and (<= ?v_15 6) (<= (+ (+ ?v_16 ?v_46) ?v_625) 72)))) (or (or (and (<= (+ (+ ?v_98 ?v_134) ?v_32) 0) (< (+ (+ ?v_17 ?v_329) ?v_606) (- 56))) (and (<= (+ (+ ?v_322 ?v_348) ?v_318) 24) (> (+ (+ (+ ?v_18 ?v_85) ?v_200) ?v_214) 41))) (and (>= (+ (+ ?v_48 ?v_27) ?v_30) 37) (and (= (+ (+ ?v_19 ?v_20) ?v_21) 57) (= (+ (+ (+ ?v_487 ?v_22) ?v_135) ?v_164) 84))))))) (and (and (or (and (= (+ ?v_112 ?v_14) 69) (>= (+ ?v_129 ?v_172) 0)) (and (< (+ ?v_192 ?v_40) (- 44)) (< (+ (+ (+ ?v_496 ?v_29) ?v_31) ?v_578) (- 56)))) (and (or (>= (+ (+ (* (- 23) ?x1) ?v_176) ?v_317) 0) (= (+ (+ ?v_416 ?v_23) ?v_490) 87)) (and (<= ?v_120 33) (not (= (+ (+ (+ ?v_26 (* 57 ?x2)) ?v_258) ?v_241) (- 97)))))) (and (or (and (= (+ (+ ?v_24 ?v_25) ?v_144) 48) (<= (+ (+ (+ ?v_26 ?v_60) ?v_27) ?v_481) (- 6))) (>= (+ ?v_242 ?v_160) (- 32))) (or (or (< (+ (+ ?v_28 ?v_288) ?v_163) 70) (> (+ (+ (+ ?v_459 ?v_29) (* (- 7) ?x3)) ?v_30) (- 67))) (and (>= (+ (+ (+ ?v_67 ?v_79) ?v_31) ?v_32) 0) (not (= (+ (+ (+ ?v_33 ?v_34) ?v_102) ?v_68) (- 55)))))))) (or (or (or (or (and (and (or (and (and (or (= (+ (+ (+ ?v_167 ?v_35) ?v_158) ?v_201) 0) (> (+ (+ (+ ?v_399 ?v_643) ?v_74) ?v_303) 0)) (= (+ (+ (+ (* (- 91) ?x1) ?v_39) ?v_193) ?v_66) 66)) (and (or (<= (+ (+ (+ ?v_261 ?v_395) ?v_36) ?v_275) 32) (> (+ ?v_96 ?v_83) 6)) (or (<= (+ ?v_575 ?v_103) 44) (not (= (+ (+ ?v_249 ?v_352) ?v_37) 96))))) (or (and (and (<= (+ (+ ?v_38 ?v_91) ?v_632) (- 10)) (= ?v_166 0)) (< (+ (+ (+ ?v_41 ?v_278) ?v_248) ?v_324) 4)) (or (or (>= (+ ?v_305 ?v_449) 7) (not (= (+ (+ ?v_39 ?v_217) ?v_40) (- 66)))) (and (< (+ (+ ?v_159 ?v_296) ?v_332) 0) (<= (+ (+ ?v_41 ?v_42) ?v_131) 47))))) (or (and (<= (+ (+ (+ ?v_125 ?v_638) ?v_270) ?v_551) 32) (<= (+ (+ (+ ?v_95 ?v_636) (* (- 93) ?x3)) ?v_86) (- 31))) (and (< (+ (+ ?v_208 ?v_171) ?v_438) 0) (> ?v_64 0)))) (and (or (or (and (and (> (+ (+ (+ ?v_175 ?v_142) ?v_114) ?v_43) 0) (= (+ (+ ?v_29 (* (- 6) ?x3)) ?v_220) 0)) (or (>= (+ ?v_89 ?v_107) (- 65)) (>= (+ (+ ?v_550 ?v_44) ?v_50) 97))) (or (= (+ (+ ?v_47 ?v_45) ?v_283) 96) (>= (+ (+ (+ (* 99 ?x1) ?v_274) ?v_46) ?v_474) (- 92)))) (or (> (+ (+ (+ ?v_47 ?v_232) ?v_240) ?v_546) (- 6)) (> (+ (+ ?v_48 ?v_49) ?v_50) 90))) (or (and (not (= (+ (+ ?v_179 ?v_51) ?v_93) (- 6))) (or (or (= (+ (* (- 2) ?x1) ?v_52) 0) (= (+ (+ (+ ?v_328 ?v_265) ?v_119) ?v_253) 47)) (> (+ (* 41 ?x1) ?v_245) (- 67)))) (and (and (> (+ ?v_53 ?v_88) (- 25)) (< (+ (+ ?v_54 ?v_233) ?v_132) (- 17))) (or (<= (+ (+ (+ ?v_7 ?v_147) ?v_76) ?v_55) (- 30)) (and (not (= ?v_104 6)) (>= (+ (+ ?v_56 ?v_206) ?v_408) (- 26)))))))) (or (and (and (< (+ (+ ?v_184 ?v_315) ?v_57) 61) (not (= (+ (+ (+ ?v_410 ?v_90) ?v_36) ?v_150) (- 94)))) (and (and (<= (+ (+ (+ ?v_28 ?v_136) ?v_121) ?v_110) (- 16)) (> (+ (+ ?v_58 ?v_59) (* (- 96) ?x4)) 36)) (or (>= (+ (+ (+ ?v_320 ?v_60) ?v_61) ?v_198) (- 68)) (not (= (+ (+ (+ ?v_384 ?v_62) ?v_63) ?v_170) 24))))) (or (and (or (and (or (> (+ (+ ?v_539 ?v_64) ?v_264) 0) (not (= (+ (+ (+ ?v_599 ?v_210) ?v_483) ?v_65) (- 24)))) (< ?v_31 52)) (or (or (= (+ (+ ?v_183 ?v_290) ?v_66) 0) (not (= ?v_67 (- 54)))) (> (+ (+ ?v_269 ?v_613) ?v_68) (- 100)))) (or (or (and (< (+ (+ ?v_563 ?v_42) ?v_69) 0) (= (+ (+ ?v_1 ?v_421) ?v_479) 56)) (or (> (+ ?v_157 ?v_267) 0) (<= ?v_70 (- 16)))) (or (and (>= (+ (+ (+ ?v_227 ?v_425) ?v_71) ?v_486) (- 98)) (> (+ (+ (+ ?v_72 ?v_73) ?v_74) ?v_75) 0)) (<= (+ (+ ?v_285 ?v_229) ?v_130) (- 96))))) (or (and (and (or (> (+ (+ ?v_92 ?v_316) (* (- 59) ?x3)) (- 24)) (> (+ (+ (+ ?v_99 ?v_187) ?v_76) (* 8 ?x4)) 24)) (or (not (= (+ (+ ?v_512 ?v_205) ?v_211) 96)) (not (= (+ (+ ?v_273 ?v_500) ?v_584) (- 42))))) (and (<= (+ ?v_28 ?v_357) (- 9)) (< (+ ?v_351 ?v_77) 67))) (and (= (+ (+ (+ ?v_442 ?v_73) ?v_143) ?v_69) 0) (not (= ?v_153 (- 12)))))))) (and (and (and (and (and (> (+ (+ ?v_78 ?v_218) ?v_437) 0) (> (+ (+ (+ ?v_154 ?v_79) ?v_64) ?v_427) 0)) (and (or (or (<= (+ (+ ?v_585 ?v_80) ?v_397) (- 43)) (<= (+ (+ ?v_418 ?v_81) ?v_82) (- 4))) (and (>= ?v_145 37) (<= (+ (+ (+ ?v_255 ?v_280) ?v_83) ?v_422) 38))) (or (and (>= (+ (* (- 92) ?x2) ?v_84) (- 14)) (= (+ (+ (+ (* (- 66) ?x1) ?v_85) ?v_37) ?v_86) 92)) (< (+ (+ ?v_24 ?v_350) ?v_386) 70)))) (and (or (and (< (+ (+ ?v_87 ?v_44) ?v_88) (- 47)) (= (+ (+ (+ ?v_89 ?v_90) ?v_91) ?v_5) 81)) (or (not (= (+ (+ (+ ?v_92 ?v_494) ?v_151) ?v_152) 0)) (not (= (+ (+ ?v_127 ?v_174) ?v_93) 50)))) (and (and (<= (+ (+ (+ (* (- 65) ?x1) ?v_94) ?v_81) ?v_225) 66) (= (+ ?v_95 ?v_51) 69)) (and (< (+ (+ ?v_96 ?v_97) ?v_146) (- 68)) (>= ?v_593 0))))) (and (or (or (or (>= ?v_98 4) (and (>= (+ (+ ?v_99 ?v_123) ?v_40) (- 71)) (> (+ (+ ?v_409 ?v_549) (* (- 88) ?x4)) 93))) (and (not (= (+ (+ ?v_100 ?v_573) ?v_155) 20)) (or (>= (+ (+ ?v_570 ?v_362) ?v_368) 85) (<= (+ (+ (+ ?v_149 ?v_101) ?v_251) ?v_413) (- 31))))) (and (and (or (not (= (+ ?v_382 ?v_102) 66)) (<= (+ (+ ?v_117 ?v_281) ?v_103) 62)) (< (+ ?v_502 ?v_122) 97)) (or (< (+ (+ ?v_104 ?v_330) ?v_517) 10) (<= (+ (+ (+ ?v_24 ?v_182) ?v_472) ?v_66) 99)))) (and (or (or (= (+ (+ ?v_105 ?v_22) ?v_207) 30) (or (> (+ ?v_287 ?v_93) (- 78)) (<= (+ ?v_432 ?v_14) (- 10)))) (or (and (<= (+ (+ (+ ?v_106 ?v_107) ?v_186) ?v_161) 26) (>= (+ ?v_97 ?v_268) 64)) (or (<= (+ ?v_108 ?v_109) (- 100)) (not (= (+ (+ (* 95 ?x1) ?v_224) ?v_110) 96))))) (or (or (< (+ (+ ?v_111 ?v_112) ?v_113) (- 29)) (>= ?v_114 22)) (or (> (+ (+ ?v_372 ?v_126) ?v_256) (- 100)) (> (+ (+ ?v_180 ?v_543) ?v_115) 29)))))) (and (or (or (and (< (+ (+ ?v_194 ?v_116) ?v_138) 0) (<= (+ ?v_117 ?v_118) 56)) (and (> (+ ?v_239 (* 74 ?x3)) 0) (= (+ (+ ?v_54 ?v_119) ?v_13) (- 82)))) (or (not (= (+ (+ (+ ?v_420 (* 28 ?x2)) ?v_44) ?v_185) 0)) (= (+ (+ ?v_120 ?v_22) ?v_14) 66))) (and (and (<= (+ (+ ?v_444 ?v_121) ?v_122) 0) (>= (+ (+ (+ ?v_345 (* 3 ?x2)) ?v_123) ?v_124) (- 20))) (> (+ ?v_325 ?v_115) 39))))) (and (or (and (not (= (+ ?v_125 ?v_30) (- 1))) (< (+ (+ ?v_616 ?v_162) ?v_68) 67)) (or (not (= (+ ?v_411 ?v_124) 0)) (>= (+ ?v_262 ?v_588) 13))) (and (or (and (or (or (or (or (not (= (+ (+ ?v_126 ?v_191) ?v_77) (- 48))) (>= (+ (+ ?v_127 ?v_114) ?v_128) (- 98))) (> (+ (+ ?v_129 ?v_130) ?v_21) 41)) (and (or (< (+ (+ (+ ?v_349 ?v_168) ?v_133) ?v_131) 0) (< (+ ?v_402 ?v_489) 16)) (and (< (+ (+ ?v_70 ?v_476) ?v_132) 94) (<= (+ (+ ?v_503 ?v_133) ?v_122) (- 43))))) (and (and (or (>= (+ (+ (+ (* 28 ?x1) ?v_53) ?v_311) ?v_252) (- 62)) (> (+ (+ ?v_134 ?v_135) ?v_419) 99)) (or (<= (+ (+ ?v_1 ?v_53) ?v_238) 89) (< (+ (+ ?v_366 ?v_136) ?v_21) 0))) (and (>= (+ (+ (+ ?v_137 ?v_53) ?v_354) ?v_138) 64) (= (+ (+ ?v_271 ?v_319) (* 21 ?x4)) 39)))) (and (or (< (+ (+ (+ ?v_542 ?v_139) ?v_140) ?v_466) (- 14)) (< (+ (+ ?v_141 ?v_142) ?v_143) (- 11))) (or (<= (+ (+ ?v_299 ?v_501) ?v_173) (- 58)) (<= (+ (+ ?v_228 ?v_144) ?v_14) 44)))) (or (and (or (and (>= (+ (+ (+ ?v_507 ?v_90) ?v_279) ?v_213) 22) (< (+ (+ ?v_145 ?v_452) ?v_146) (- 17))) (or (<= (+ (+ (+ ?v_388 ?v_147) ?v_144) ?v_148) (- 91)) (= ?v_149 71))) (and (or (> (+ ?v_276 ?v_150) 0) (<= (+ (+ (+ ?v_195 ?v_250) ?v_151) ?v_152) 35)) (or (>= (+ (+ (+ ?v_394 ?v_136) (* 66 ?x3)) ?v_84) (- 71)) (<= (+ ?v_153 ?v_133) (- 91))))) (or (and (not (= (+ (+ ?v_154 ?v_94) ?v_155) 0)) (and (> (+ (+ ?v_435 ?v_523) ?v_156) 0) (>= (+ (+ ?v_157 ?v_158) ?v_246) (- 5)))) (or (and (>= (+ (+ (+ (* (- 27) ?x1) ?v_2) ?v_297) (* 33 ?x4)) (- 83)) (<= ?v_159 44)) (<= (+ (+ ?v_482 ?v_160) ?v_161) 0))))) (and (and (or (or (or (or (> (+ ?v_23 ?v_219) (- 36)) (>= (+ (+ (+ ?v_390 ?v_254) ?v_162) ?v_163) 4)) (= (+ (+ (+ ?v_610 ?v_447) ?v_20) ?v_164) 24)) (and (or (= (+ (+ (+ ?v_455 ?v_309) ?v_9) ?v_43) 0) (<= ?v_165 (- 13))) (or (> (+ ?v_263 ?v_78) (- 33)) (< (+ (+ (+ ?v_105 ?v_406) ?v_166) ?v_234) 0)))) (or (and (and (<= (+ (+ (+ ?v_167 ?v_168) ?v_169) ?v_170) 17) (>= (+ (+ ?v_358 ?v_157) ?v_171) (- 8))) (and (< (+ (+ (+ ?v_567 (* 23 ?x2)) ?v_172) ?v_173) (- 80)) (<= (+ (* (- 57) ?x1) ?v_226) (- 76)))) (or (or (<= (+ (+ (+ ?v_587 ?v_134) ?v_174) ?v_173) (- 91)) (<= (+ (+ (+ ?v_175 ?v_176) ?v_177) ?v_216) (- 43))) (or (>= (+ (+ (+ ?v_178 ?v_129) (* 16 ?x3)) ?v_199) 19) (not (= (+ (+ ?v_336 ?v_179) (* 30 ?x4)) (- 69))))))) (and (= (+ (+ ?v_180 ?v_314) ?v_181) 99) (and (not (= (+ ?v_508 ?v_182) 51)) (and (>= (+ (+ ?v_183 ?v_184) ?v_185) 28) (>= ?v_82 (- 92)))))) (and (or (and (<= (+ (+ ?v_519 ?v_572) ?v_186) 89) (< (+ (+ (+ ?v_125 ?v_187) ?v_11) ?v_188) 16)) (or (or (>= (+ (+ ?v_335 ?v_85) ?v_534) 0) (< (+ ?v_522 ?v_189) (- 2))) (= (+ (+ ?v_104 ?v_407) ?v_190) (- 76)))) (or (or (and (and (>= (+ (+ ?v_100 ?v_187) ?v_191) 73) (<= (+ (+ (+ ?v_192 ?v_230) ?v_193) ?v_189) 38)) (and (< (+ (+ (+ ?v_194 (* 58 ?x2)) ?v_441) ?v_467) (- 83)) (>= ?v_144 64))) (or (and (<= (+ (+ (+ ?v_195 ?v_38) ?v_310) ?v_196) 77) (> (+ (+ ?v_67 ?v_197) ?v_353) 0)) (and (< (+ (+ ?v_145 ?v_331) ?v_198) (- 50)) (= (+ ?v_70 ?v_199) (- 61))))) (or (or (and (= (+ (+ ?v_157 ?v_200) ?v_201) (- 10)) (>= (+ ?v_92 ?v_202) (- 29))) (<= (+ (+ (+ ?v_28 ?v_203) ?v_541) ?v_359) 33)) (and (and (not (= (+ (+ (+ ?v_204 ?v_94) ?v_205) (* 73 ?x4)) (- 66))) (> (+ (+ ?v_206 ?v_9) ?v_207) 0)) (or (>= (+ (+ (+ ?v_436 ?v_208) ?v_209) (* 42 ?x4)) (- 62)) (= (+ (+ (+ ?v_204 ?v_210) (* (- 85) ?x3)) (* 56 ?x4)) 35)))))))))) (and (and (and (and (and (or (and (= (+ (+ (+ ?v_7 ?v_292) ?v_428) ?v_138) 83) (not (= ?v_211 3))) (and (= (+ (+ ?v_456 ?v_212) ?v_213) 0) (not (= (+ (+ ?v_468 ?v_237) ?v_214) (- 57))))) (or (or (> (+ (+ ?v_430 ?v_22) ?v_116) 0) (= (+ (+ (* 66 ?x1) ?v_215) ?v_293) 0)) (or (= (+ ?v_215 ?v_216) 17) (>= (+ (+ (+ ?v_286 ?v_179) ?v_306) ?v_132) 76)))) (or (and (or (> (+ ?v_217 ?v_614) 54) (< (+ (+ ?v_340 ?v_218) ?v_219) 0)) (or (not (= (+ ?v_236 ?v_220) 63)) (< (+ (+ (+ ?v_535 ?v_221) ?v_222) ?v_220) (- 38)))) (or (and (= (+ (+ (+ ?v_18 ?v_223) ?v_224) ?v_400) 47) (<= (+ (+ ?v_417 ?v_401) ?v_470) 2)) (or (>= (+ (+ (+ ?v_574 (* (- 71) ?x2)) ?v_465) ?v_225) (- 71)) (= (+ (+ ?v_289 ?v_595) ?v_218) (- 97)))))) (or (and (and (or (or (< (+ ?v_11 ?v_86) 46) (not (= (+ ?v_72 ?v_321) (- 52)))) (and (> (+ (+ ?v_412 ?v_226) ?v_128) (- 82)) (> (+ (+ (+ ?v_227 ?v_228) ?v_222) ?v_385) 95))) (or (and (> (+ (+ ?v_100 ?v_229) ?v_205) 74) (< (+ ?v_230 (* 64 ?x3)) 82)) (not (= (+ ?v_510 ?v_231) (- 66))))) (and (and (< (+ (+ (+ (* 21 ?x1) ?v_210) ?v_231) ?v_88) 0) (= (+ (+ ?v_361 ?v_451) ?v_124) 0)) (or (or (not (= (+ ?v_640 ?v_521) 0)) (>= (+ ?v_346 ?v_356) 0)) (or (= (+ (+ ?v_524 ?v_536) ?v_234) (- 9)) (not (= (+ (+ (+ ?v_235 ?v_243) ?v_236) ?v_163) 0)))))) (and (or (and (or (not (= (+ ?v_237 ?v_164) 0)) (<= (+ ?v_6 ?v_238) 0)) (or (< (+ (+ ?v_239 ?v_240) ?v_241) 82) (= (+ (+ (+ ?v_242 ?v_243) ?v_244) ?v_454) 0))) (and (and (not (= (+ (+ ?v_107 ?v_245) ?v_246) 0)) (>= (+ (+ ?v_141 ?v_391) ?v_247) 67)) (or (= (+ ?v_561 ?v_248) 6) (> (+ (+ (+ ?v_249 ?v_250) ?v_251) ?v_252) 17)))) (and (or (not (= (+ (+ (+ ?v_448 (* (- 8) ?x2)) ?v_112) ?v_253) 21)) (> (+ ?v_628 ?v_193) 42)) (or (or (>= (+ (+ ?v_254 ?v_27) ?v_68) 0) (= (+ (+ (+ ?v_255 ?v_478) ?v_45) ?v_256) (- 24))) (= (+ (+ ?v_257 ?v_258) ?v_380) 65)))))) (and (and (or (or (or (and (not (= ?v_259 14)) (not (= (+ (+ ?v_184 ?v_260) ?v_252) (- 16)))) (> (+ (+ ?v_261 ?v_260) ?v_164) 48)) (and (and (> (+ ?v_323 ?v_379) 44) (not (= (+ (+ ?v_28 ?v_262) ?v_86) (- 31)))) (or (not (= (+ ?v_514 ?v_197) (- 7))) (>= (+ (+ ?v_263 ?v_473) ?v_219) (- 20))))) (and (or (>= (+ ?v_100 ?v_264) 7) (or (not (= (+ (+ (+ ?v_453 ?v_564) ?v_445) ?v_86) (- 100))) (>= (+ ?v_265 ?v_631) 37))) (or (and (> (+ (+ ?v_33 ?v_266) ?v_267) 50) (>= (+ ?v_73 ?v_268) 0)) (and (not (= (+ (+ ?v_269 ?v_594) ?v_530) 8)) (>= (+ (+ ?v_326 ?v_237) ?v_371) (- 47)))))) (or (and (or (< (+ (* 52 ?x1) ?v_270) (- 47)) (>= (+ (+ ?v_271 ?v_272) ?v_152) 79)) (and (<= (+ (+ ?v_15 ?v_457) ?v_363) (- 25)) (and (> (+ (+ ?v_273 ?v_215) ?v_300) 2) (<= (+ (+ ?v_274 ?v_63) ?v_275) 3)))) (and (and (or (= (+ (+ (+ ?v_47 ?v_276) ?v_377) ?v_277) 51) (>= (+ ?v_278 ?v_279) 0)) (>= (+ (+ ?v_280 ?v_281) ?v_14) (- 59))) (or (>= (+ (+ ?v_282 ?v_44) ?v_283) (- 44)) (= (+ (+ (* (- 17) ?x1) ?v_63) ?v_284) (- 22)))))) (or (or (or (not (= (+ (+ ?v_285 (* 40 ?x2)) ?v_291) (- 67))) (and (and (>= (+ (+ ?v_286 ?v_287) ?v_163) 0) (<= (+ ?v_376 (* (- 11) ?x4)) 0)) (or (< (+ ?v_288 ?v_237) 52) (= (+ (+ ?v_337 ?v_224) ?v_14) (- 78))))) (and (or (<= (+ (+ ?v_301 ?v_414) ?v_383) 50) (= ?v_89 0)) (and (= (+ (+ ?v_289 ?v_290) ?v_291) 0) (>= (+ (+ ?v_292 ?v_293) ?v_434) 70)))) (or (and (and (<= ?v_423 20) (> (+ (+ (+ ?v_364 (* 5 ?x2)) ?v_248) ?v_65) (- 63))) (>= (+ (+ ?v_223 ?v_294) ?v_295) 0)) (>= (+ (+ ?v_440 ?v_396) ?v_347) 94))))) (and (and (and (and (and (or (= (+ (+ (+ ?v_125 ?v_296) ?v_160) ?v_122) 0) (not (= (+ (+ ?v_339 ?v_297) ?v_505) 42))) (or (not (= (+ (+ ?v_642 ?v_78) ?v_209) 78)) (= (+ (+ (+ ?v_298 ?v_299) ?v_251) ?v_300) 0))) (and (and (> (+ ?v_629 ?v_221) 39) (> (+ (+ (+ ?v_301 ?v_302) ?v_527) ?v_303) 0)) (or (< (+ (+ ?v_515 ?v_484) (* 64 ?x4)) (- 95)) (not (= (+ ?v_431 ?v_304) (- 96)))))) (and (and (= (+ ?v_59 ?v_156) (- 33)) (and (= (+ (+ ?v_305 ?v_306) ?v_259) 80) (< (+ ?v_307 ?v_244) (- 32)))) (and (or (and (>= (+ (+ (+ (* (- 83) ?x1) ?v_313) (* (- 11) ?x3)) ?v_68) 91) (< (+ (+ (+ ?v_308 ?v_309) ?v_547) ?v_156) (- 47))) (and (<= (+ (+ (+ ?v_355 ?v_531) ?v_9) (* 59 ?x4)) 0) (= (+ (+ ?v_227 ?v_532) ?v_310) 3))) (or (and (< (+ ?v_24 ?v_311) 64) (> (+ ?v_282 ?v_528) (- 10))) (or (> (+ (+ ?v_312 ?v_313) ?v_10) 14) (< (+ (+ ?v_271 ?v_365) ?v_71) 70)))))) (and (and (and (and (or (<= (+ (+ ?v_560 ?v_63) ?v_389) (- 60)) (>= (+ (+ ?v_314 ?v_315) ?v_207) (- 35))) (or (<= (+ (+ (+ ?v_72 ?v_316) ?v_317) ?v_118) 0) (= (+ (+ ?v_280 ?v_566) ?v_318) (- 6)))) (and (>= (+ ?v_439 ?v_319) 73) (<= (+ (+ (+ ?v_320 ?v_582) ?v_321) ?v_189) 89))) (or (or (or (not (= (+ (+ ?v_322 ?v_323) ?v_44) 47)) (<= (+ (+ ?v_4 ?v_375) ?v_324) 72)) (and (>= (+ (+ ?v_325 ?v_326) ?v_327) (- 71)) (= (+ (+ ?v_328 (* 73 ?x3)) ?v_155) 69))) (or (and (= (+ (+ (+ (* (- 64) ?x1) ?v_329) ?v_330) ?v_591) (- 93)) (<= (+ ?v_331 ?v_245) 27)) (or (>= (+ (+ (+ ?v_204 ?v_485) ?v_44) ?v_332) 0) (<= (+ (+ (+ ?v_333 ?v_302) ?v_266) ?v_334) 0))))) (or (or (and (or (= (+ (+ ?v_335 ?v_203) ?v_119) (- 48)) (< (+ (+ (+ ?v_336 ?v_337) ?v_338) ?v_214) 1)) (or (>= (+ (+ (+ ?v_312 ?v_274) ?v_240) ?v_598) 94) (not (= (+ (+ (+ ?v_159 ?v_339) ?v_224) ?v_344) 38)))) (or (and (< (+ (+ (+ ?v_499 ?v_340) ?v_97) ?v_480) 55) (> (+ (+ (+ ?v_635 ?v_341) ?v_11) ?v_150) 56)) (or (<= (+ ?v_342 ?v_290) 81) (<= (+ (+ ?v_308 ?v_343) ?v_344) 0)))) (and (or (< (+ (+ (+ ?v_345 ?v_346) ?v_443) ?v_347) 0) (and (not (= (+ ?v_348 ?v_553) 0)) (= (+ (+ ?v_349 ?v_350) (* (- 46) ?x4)) 42))) (and (or (< (+ (+ ?v_351 ?v_64) (* 74 ?x4)) (- 59)) (>= (+ (+ ?v_352 ?v_123) ?v_529) 70)) (or (not (= (+ ?v_31 ?v_353) 65)) (= (+ (+ ?v_22 ?v_354) ?v_291) 81))))))) (or (and (and (or (and (< (+ (+ ?v_335 ?v_525) ?v_605) (- 98)) (< (+ (+ (+ ?v_355 ?v_12) ?v_356) ?v_185) (- 38))) (and (not (= (+ (+ ?v_357 ?v_11) ?v_374) 6)) (not (= (+ (+ ?v_89 ?v_228) ?v_641) (- 72))))) (and (< (+ (+ ?v_139 ?v_327) ?v_131) (- 89)) (and (>= (+ (+ (+ ?v_358 ?v_464) ?v_281) ?v_359) (- 20)) (= (+ ?v_360 ?v_170) 0)))) (or (or (or (and (>= ?v_164 0) (< (+ (+ (+ ?v_361 ?v_314) ?v_160) ?v_558) 46)) (and (= (+ (+ ?v_285 ?v_450) ?v_207) (- 36)) (= (+ (+ (* (- 14) ?x2) ?v_362) ?v_363) (- 90)))) (= (+ (+ ?v_364 ?v_365) ?v_217) 99)) (and (and (<= (+ (+ ?v_366 ?v_367) ?v_368) (- 64)) (<= (+ (+ (+ ?v_95 ?v_369) ?v_370) ?v_371) (- 40))) (and (= (+ (+ ?v_301 ?v_433) ?v_88) 0) (< (+ (+ ?v_49 ?v_297) ?v_113) 0))))) (or (and (or (and (not (= (+ (+ ?v_372 ?v_373) ?v_374) 12)) (= (+ ?v_548 ?v_537) 0)) (or (>= (+ (+ (+ (* (- 16) ?x1) ?v_375) ?v_376) ?v_580) 19) (not (= (+ (+ ?v_261 ?v_377) ?v_264) 6)))) (and (and (> (+ (+ (+ ?v_378 (* (- 64) ?x2)) ?v_262) ?v_5) (- 6)) (>= (+ (+ ?v_16 ?v_126) ?v_32) 31)) (or (= (+ (+ ?v_619 ?v_379) ?v_380) (- 58)) (> (+ (+ (+ ?v_471 ?v_373) ?v_46) ?v_615) 0)))) (or (and (and (<= (+ (+ ?v_8 ?v_562) ?v_403) 95) (<= (+ ?v_149 ?v_283) 89)) (and (> (+ (+ ?v_342 ?v_22) ?v_381) 24) (<= (+ (+ ?v_194 ?v_382) ?v_533) (- 46)))) (and (> (+ (+ ?v_141 ?v_316) ?v_383) 20) (>= (+ (+ ?v_384 ?v_136) ?v_385) 0))))))))) (or (and (or (and (or (and (and (and (or (> ?v_386 51) (= (+ (+ ?v_387 ?v_545) ?v_495) 0)) (and (>= ?v_133 61) (>= (+ ?v_388 ?v_389) (- 32)))) (or (and (> (+ (+ (+ ?v_390 ?v_391) ?v_237) ?v_82) 0) (< (+ (+ (+ ?v_255 ?v_392) (* (- 81) ?x3)) ?v_219) 0)) (or (= (+ (+ ?v_358 ?v_392) ?v_393) 0) (< (+ (+ ?v_192 ?v_174) ?v_238) 0)))) (or (and (and (> (+ (+ (+ ?v_394 ?v_395) ?v_396) ?v_246) 51) (not (= (+ (+ ?v_394 ?v_107) ?v_256) 87))) (and (= (+ (+ (+ ?v_360 ?v_398) ?v_172) ?v_84) 98) (<= (+ (+ ?v_308 ?v_49) ?v_498) 32))) (and (>= (+ (+ (+ (* (- 40) ?x1) ?v_8) ?v_397) ?v_86) 0) (and (<= (+ (+ ?v_41 ?v_292) ?v_609) 89) (> (+ (+ (+ ?v_100 ?v_398) ?v_393) ?v_118) 78))))) (and (or (or (= (+ ?v_399 ?v_400) 3) (= (+ (+ (+ ?v_491 ?v_210) ?v_401) ?v_30) (- 6))) (and (> (+ (+ ?v_402 ?v_299) ?v_403) 86) (<= ?v_589 0))) (<= (+ (+ (+ ?v_460 ?v_406) ?v_205) ?v_30) 24))) (and (or (or (and (< (+ (+ ?v_407 ?v_63) ?v_344) 34) (= (+ (+ ?v_366 ?v_426) ?v_135) (- 33))) (< (+ (+ (+ ?v_335 ?v_70) ?v_327) ?v_256) 0)) (or (or (not (= (+ ?v_42 ?v_264) (- 37))) (not (= ?v_408 29))) (< (+ (+ ?v_4 ?v_107) ?v_156) 16))) (or (or (or (and (not (= (+ ?v_104 ?v_303) (- 78))) (= (+ ?v_409 ?v_77) (- 97))) (and (>= (+ ?v_410 ?v_411) 4) (<= (+ (+ (+ ?v_312 ?v_412) ?v_209) ?v_50) 5))) (or (= (+ (+ ?v_592 ?v_266) ?v_283) 69) (or (>= (+ ?v_326 ?v_318) 91) (> (+ (+ (+ ?v_579 ?v_96) ?v_559) ?v_413) (- 42))))) (or (or (or (= (+ (+ ?v_167 ?v_20) ?v_256) 0) (not (= (+ ?v_387 ?v_414) 24))) (> (+ (+ ?v_137 ?v_429) ?v_119) (- 46))) (or (= (+ (+ ?v_271 ?v_121) ?v_93) (- 93)) (and (>= (+ ?v_96 ?v_415) 67) (= (+ (+ ?v_273 ?v_416) ?v_144) 0))))))) (and (and (and (and (or (or (< (+ (+ (+ ?v_417 ?v_418) ?v_311) ?v_419) (- 95)) (>= (+ (+ (+ ?v_420 ?v_421) ?v_367) ?v_422) 22)) (and (= (+ (+ (+ ?v_194 (* (- 55) ?x2)) ?v_415) ?v_284) 0) (> (+ (+ ?v_394 ?v_423) ?v_424) 0))) (and (= (+ (+ (+ ?v_72 ?v_425) ?v_497) ?v_253) 51) (or (not (= (+ (+ ?v_301 ?v_426) ?v_359) (- 96))) (>= (+ (+ ?v_67 ?v_174) ?v_253) 58)))) (or (< (+ (+ (+ ?v_4 ?v_630) ?v_397) ?v_427) 0) (and (not (= ?v_428 29)) (< (+ (+ ?v_204 ?v_604) ?v_377) 19)))) (or (and (not (= (+ (+ ?v_429 ?v_461) ?v_110) 69)) (and (and (not (= (+ (+ ?v_430 ?v_414) ?v_236) 87)) (= (+ (+ (+ ?v_431 ?v_446) ?v_432) ?v_201) (- 73))) (and (>= (+ ?v_242 ?v_8) 46) (<= (+ ?v_139 ?v_158) (- 28))))) (and (or (or (not (= (+ (+ ?v_269 (* 84 ?x3)) ?v_118) (- 66))) (> (+ (+ ?v_388 ?v_513) ?v_281) 87)) (and (>= (+ (+ ?v_215 ?v_37) ?v_601) (- 71)) (> (+ (+ ?v_372 ?v_107) ?v_169) 0))) (and (or (> (+ (+ ?v_269 ?v_107) ?v_266) 0) (<= (+ (+ (+ ?v_48 (* (- 19) ?x2)) ?v_432) ?v_590) 53)) (or (= (+ ?v_518 ?v_88) (- 94)) (<= (+ (+ ?v_194 ?v_433) ?v_185) (- 31))))))) (and (and (and (and (<= (+ ?v_349 ?v_434) (- 54)) (<= (+ (+ ?v_435 ?v_600) ?v_622) 0)) (= (+ (+ (+ ?v_436 ?v_395) ?v_61) ?v_437) 0)) (and (or (not (= (+ (+ (+ ?v_255 ?v_25) ?v_97) ?v_438) (- 67))) (not (= (+ (+ ?v_439 ?v_440) ?v_172) 0))) (or (and (<= (+ ?v_320 ?v_213) 44) (>= (+ (+ (+ ?v_612 ?v_292) ?v_441) ?v_150) 31)) (and (< (+ ?v_442 ?v_443) 43) (<= (+ (+ ?v_444 ?v_555) ?v_445) 11))))) (and (and (or (<= ?v_85 0) (<= ?v_44 0)) (or (and (= ?v_57 0) (>= (+ (+ (+ ?v_58 ?v_382) ?v_270) ?v_216) 52)) (and (< (+ (+ ?v_446 ?v_463) ?v_389) 0) (<= ?v_80 8)))) (and (> (+ ?v_98 ?v_57) 57) (and (and (>= (+ (+ (+ ?v_361 ?v_313) ?v_350) ?v_113) (- 2)) (>= (+ (+ ?v_125 ?v_447) ?v_222) 67)) (or (= (+ (+ ?v_127 (* 90 ?x2)) ?v_31) 0) (not (= (+ (+ (+ ?v_448 ?v_35) ?v_449) ?v_238) (- 30)))))))))) (and (or (and (and (or (not (= (+ (+ ?v_111 ?v_450) ?v_451) 24)) (<= (+ ?v_337 ?v_452) 53)) (or (> (+ ?v_453 ?v_454) 0) (< (+ (+ (+ ?v_455 ?v_314) ?v_222) ?v_122) (- 5)))) (and (and (<= (+ ?v_373 ?v_82) (- 37)) (<= (+ (+ ?v_458 ?v_115) (* (- 5) ?x4)) (- 7))) (and (> (+ ?v_47 ?v_456) 0) (or (< (+ (+ (+ ?v_242 ?v_457) ?v_262) ?v_214) (- 95)) (not (= (+ (+ (+ ?v_242 ?v_458) ?v_258) ?v_332) 41)))))) (or (or (and (< (+ (+ ?v_184 ?v_319) ?v_146) (- 17)) (< (+ ?v_459 ?v_412) (- 92))) (and (= (+ (+ (+ ?v_460 ?v_70) ?v_461) ?v_462) (- 40)) (> (+ ?v_232 ?v_463) 69))) (and (and (> (+ (+ (+ ?v_28 ?v_464) ?v_465) ?v_466) 63) (< (+ (+ ?v_26 ?v_343) ?v_504) 0)) (and (not (= (+ (+ ?v_29 ?v_540) ?v_467) 12)) (= (+ (+ (+ ?v_468 ?v_621) ?v_415) ?v_469) 0))))) (or (or (and (and (and (or (not (= (+ (+ ?v_308 ?v_281) ?v_470) 27)) (not (= (+ (+ (+ ?v_255 ?v_352) (* 6 ?x3)) ?v_246) (- 15)))) (< (+ ?v_475 ?v_492) (- 32))) (or (and (> (+ (+ ?v_292 ?v_218) ?v_583) (- 27)) (<= (+ (+ ?v_455 (* 18 ?x3)) ?v_161) (- 4))) (or (< (+ (+ ?v_471 ?v_597) ?v_472) 0) (>= (+ (+ ?v_96 ?v_130) ?v_113) (- 17))))) (or (or (> (+ ?v_473 ?v_13) 20) (< (+ (+ (+ ?v_453 (* (- 33) ?x2)) ?v_367) ?v_363) 13)) (or (> (+ (+ (+ ?v_194 ?v_62) ?v_64) ?v_474) 32) (>= (+ (+ ?v_475 ?v_250) ?v_434) 37)))) (and (or (or (and (< (+ (+ ?v_67 ?v_421) ?v_476) 1) (>= (+ (+ ?v_516 ?v_576) ?v_82) (- 32))) (and (not (= (+ (+ (+ ?v_468 ?v_157) ?v_477) ?v_113) (- 93))) (= (+ (+ (+ ?v_261 ?v_478) ?v_479) ?v_480) 0))) (and (or (< (+ (+ ?v_194 ?v_478) ?v_481) 49) (= (+ ?v_482 ?v_627) 0)) (and (> (+ ?v_96 ?v_483) 93) (>= (+ ?v_183 ?v_241) 61)))) (or (and (and (= (+ (+ (+ ?v_92 ?v_39) ?v_484) ?v_264) 0) (> (+ (+ ?v_552 ?v_485) ?v_198) 0)) (and (< (+ (+ (+ ?v_249 ?v_395) ?v_169) (* 79 ?x4)) 0) (< (+ (+ ?v_28 ?v_221) ?v_83) 0))) (and (or (< (+ (+ ?v_624 ?v_205) ?v_486) (- 80)) (>= (+ (+ (+ ?v_487 ?v_488) ?v_193) ?v_586) 64)) (= (+ (+ (+ ?v_506 ?v_489) ?v_23) ?v_466) (- 81)))))) (and (or (or (not (= (+ (+ (+ ?v_235 ?v_70) ?v_557) ?v_490) 75)) (and (<= (+ ?v_491 (* 11 ?x3)) (- 63)) (<= (+ (+ (* (- 57) ?x2) ?v_484) ?v_216) 48))) (or (and (and (<= (+ (+ (+ ?v_92 ?v_492) ?v_493) ?v_295) (- 82)) (not (= (+ (+ (* 89 ?x1) ?v_494) (* 80 ?x3)) 81))) (and (= (+ (+ (+ ?v_430 ?v_272) ?v_311) ?v_495) (- 85)) (< (+ (+ ?v_496 ?v_134) ?v_383) 19))) (or (or (= (+ (+ (+ ?v_100 (* 78 ?x2)) ?v_497) ?v_498) 0) (not (= (+ (+ ?v_499 ?v_500) ?v_501) (- 36)))) (<= (+ (+ ?v_502 ?v_294) ?v_188) 15)))) (and (or (and (< (+ (+ ?v_503 ?v_445) ?v_504) (- 62)) (= (+ (+ ?v_243 ?v_181) ?v_66) 84)) (and (or (>= (+ (+ (+ ?v_430 ?v_165) (* (- 28) ?x3)) ?v_264) 34) (= ?v_505 50)) (and (> (+ (+ ?v_433 ?v_37) ?v_264) 0) (not (= (+ (+ ?v_506 ?v_87) ?v_268) (- 15)))))) (and (and (and (= (+ (+ (+ ?v_507 ?v_101) ?v_209) ?v_275) 0) (= ?v_198 0)) (and (<= (+ (+ ?v_508 ?v_446) ?v_290) 38) (>= ?v_2 (- 74)))) (and (or (<= (* 34 ?x3) (- 49)) (< (+ (+ ?v_421 ?v_511) (* (- 35) ?x4)) 0)) (and (> (+ ?v_509 ?v_84) 0) (not (= (+ (+ (+ ?v_510 ?v_210) ?v_511) ?v_128) 45)))))))))) (or (and (or (and (or (= (+ (+ (+ (* (- 36) ?x1) ?v_365) ?v_415) ?v_623) (- 39)) (> (+ (+ (+ ?v_512 (* (- 72) ?x2)) ?v_449) ?v_188) (- 97))) (or (<= (+ (+ ?v_24 ?v_200) ?v_380) 0) (<= (+ (+ ?v_423 ?v_144) ?v_368) 0))) (or (or (not (= (+ (+ ?v_409 ?v_107) ?v_246) (- 28))) (< (+ (+ (+ ?v_145 ?v_513) ?v_218) ?v_344) 22)) (> (+ (+ ?v_514 ?v_2) ?v_347) 30))) (and (and (not (= (+ ?v_515 ?v_381) (- 96))) (or (< (+ (+ ?v_98 ?v_329) ?v_152) 22) (< (+ (+ (+ ?v_141 (* 67 ?x2)) ?v_121) ?v_639) (- 20)))) (or (and (<= (+ (+ (+ ?v_508 (* (- 42) ?x2)) ?v_310) ?v_538) 0) (and (>= (+ (+ ?v_341 ?v_258) ?v_480) (- 26)) (>= (+ ?v_364 ?v_40) 70))) (or (> (+ (+ (+ ?v_28 ?v_458) ?v_350) ?v_498) 71) (>= ?v_242 88))))) (and (or (and (and (or (or (or (and (<= (+ (+ (+ (* 94 ?x1) ?v_182) ?v_362) ?v_68) 0) (= (+ (+ ?v_603 ?v_516) ?v_517) 96)) (and (not (= (+ ?v_175 ?v_337) 0)) (> (+ (+ ?v_518 ?v_233) ?v_408) 65))) (and (or (not (= (+ (+ ?v_276 ?v_193) ?v_359) 80)) (> (+ (+ ?v_506 ?v_278) ?v_354) 56)) (and (< (+ (+ (+ ?v_519 ?v_343) ?v_634) (* 90 ?x4)) (- 20)) (>= (+ (+ (+ ?v_520 ?v_489) ?v_236) ?v_521) (- 71))))) (or (and (>= (+ (+ ?v_522 ?v_19) ?v_523) 55) (>= (+ (+ ?v_524 ?v_525) ?v_268) (- 53))) (or (<= (+ (+ ?v_390 ?v_203) ?v_291) 29) (= ?v_441 0)))) (or (and (or (and (and (not (= (+ (+ (+ ?v_581 ?v_526) ?v_527) ?v_189) (- 9))) (>= (+ (+ ?v_111 ?v_447) ?v_169) 1)) (and (= (+ (+ ?v_525 (* 67 ?x3)) ?v_189) 0) (< (+ (+ ?v_299 ?v_528) ?v_529) 0))) (or (<= (+ ?v_107 ?v_530) (- 99)) (or (= (+ ?v_531 ?v_11) (- 7)) (> (+ (+ ?v_16 ?v_544) ?v_152) 0)))) (or (or (not (= (+ (+ (+ ?v_342 ?v_532) ?v_133) ?v_533) 0)) (= ?v_406 (- 27))) (or (< (+ ?v_337 ?v_534) 13) (= (+ (+ (+ ?v_535 ?v_536) ?v_497) ?v_82) 72)))) (and (or (and (and (= (+ (+ ?v_420 ?v_537) ?v_538) 0) (>= (+ (+ ?v_539 ?v_278) ?v_504) (- 62))) (or (> (+ ?v_183 (* (- 24) ?x3)) (- 45)) (>= (+ (+ ?v_313 ?v_540) ?v_252) (- 26)))) (= (+ ?v_512 ?v_541) 0)) (and (or (> (+ (+ ?v_542 ?v_91) ?v_252) (- 61)) (<= (+ (+ (+ ?v_111 (* (- 53) ?x2)) ?v_144) ?v_368) 39)) (or (or (not (= (+ (+ ?v_543 ?v_596) ?v_264) 66)) (not (= (+ (+ ?v_336 ?v_544) ?v_75) 0))) (and (= (+ (+ ?v_4 ?v_25) ?v_64) 65) (not (= (+ (+ ?v_426 ?v_545) ?v_30) (- 30))))))))) (and (or (and (or (and (< (+ (+ (+ ?v_487 ?v_357) ?v_46) ?v_546) (- 11)) (> (+ (* (- 88) ?x2) ?v_151) 80)) (= (* 14 ?x1) (- 46))) (and (or (= (+ (+ (+ ?v_510 ?v_139) (* (- 14) ?x3)) ?v_380) (- 27)) (not (= (+ (+ ?v_257 ?v_547) (* (- 10) ?x4)) 0))) (and (<= (+ (+ (+ ?v_471 ?v_412) ?v_297) ?v_198) 0) (>= (+ (+ ?v_108 ?v_548) ?v_451) 46)))) (and (or (or (< (+ (+ ?v_549 (* 62 ?x3)) ?v_438) (- 32)) (or (= (+ (+ ?v_28 ?v_412) ?v_569) 0) (>= (+ (+ ?v_550 ?v_91) ?v_0) 46))) (or (and (<= (+ ?v_89 ?v_348) (- 13)) (= (+ (+ ?v_430 ?v_81) ?v_551) 0)) (and (= (+ (+ (+ ?v_552 ?v_608) ?v_81) ?v_347) (- 49)) (< (+ (+ (+ ?v_249 ?v_70) ?v_405) ?v_553) 28)))) (and (and (< (+ (+ ?v_554 ?v_513) ?v_52) 82) (< (+ (+ (+ ?v_378 ?v_555) ?v_556) ?v_267) (- 11))) (or (>= (+ ?v_557 ?v_481) (- 32)) (<= (+ (+ ?v_34 ?v_260) (* 82 ?x4)) 45))))) (or (or (or (and (not (= (+ (+ (+ ?v_301 ?v_494) ?v_577) ?v_558) (- 49))) (< (+ (+ (+ ?v_227 ?v_525) ?v_151) ?v_216) 19)) (and (and (= (+ (+ (+ ?v_159 ?v_85) ?v_559) ?v_13) 0) (not (= (+ (+ (+ ?v_298 ?v_560) ?v_233) (* 86 ?x4)) (- 63)))) (>= (+ (+ ?v_561 ?v_562) ?v_454) (- 8)))) (or (or (and (< (+ (+ ?v_563 ?v_115) ?v_256) 0) (> (+ ?v_564 ?v_43) 0)) (and (> (+ (+ ?v_382 ?v_565) ?v_403) (- 60)) (not (= (+ (+ ?v_175 ?v_566) ?v_267) (- 57))))) (or (and (= ?v_560 0) (> (+ (+ (+ ?v_567 ?v_313) ?v_441) ?v_480) 0)) (or (<= (+ ?v_261 ?v_21) (- 37)) (= (+ (+ (+ ?v_333 ?v_525) ?v_568) ?v_569) 47))))) (or (or (and (>= (+ (+ ?v_182 ?v_293) ?v_268) 0) (or (not (= (+ (+ (+ ?v_539 ?v_570) ?v_562) ?v_216) 48)) (< (+ (+ (+ ?v_444 ?v_302) ?v_226) ?v_571) 0))) (and (and (= (+ (+ ?v_313 ?v_181) ?v_334) 0) (not (= (+ (+ (* (- 10) ?x1) ?v_572) ?v_573) (- 6)))) (and (<= (+ (+ (+ ?v_89 ?v_229) ?v_61) ?v_353) (- 7)) (= (+ (+ (+ ?v_574 ?v_129) ?v_46) (* 72 ?x4)) 0)))) (or (>= (+ (+ ?v_475 ?v_537) ?v_602) 22) (and (<= (+ (+ ?v_575 ?v_29) ?v_219) 18) (and (= (+ (+ (+ ?v_335 ?v_457) ?v_576) ?v_371) (- 76)) (= (+ (+ (+ ?v_561 ?v_513) ?v_562) ?v_156) 0)))))))) (or (and (and (and (or (and (<= (+ (+ (+ ?v_235 ?v_316) ?v_577) ?v_578) 0) (not (= (+ (+ ?v_607 ?v_577) ?v_403) 5))) (and (<= (+ ?v_168 ?v_403) 0) (> (+ (+ ?v_579 ?v_37) ?v_277) 29))) (and (and (> (+ (+ ?v_265 ?v_143) ?v_124) (- 85)) (< (+ ?v_457 ?v_580) 25)) (< (+ (+ (* (- 54) ?x1) ?v_239) ?v_321) (- 86)))) (or (and (and (> ?v_96 80) (>= (+ ?v_229 ?v_162) 0)) (or (and (= (+ (+ ?v_581 ?v_42) ?v_486) 17) (not (= (+ (+ (+ ?v_491 ?v_282) ?v_509) ?v_318) 30))) (and (< (+ ?v_582 ?v_109) 0) (<= (+ (+ (+ ?v_154 ?v_369) ?v_91) ?v_75) 14)))) (or (and (<= (+ (+ ?v_435 ?v_29) ?v_633) 0) (>= (+ (+ ?v_56 ?v_516) ?v_637) 0)) (or (>= (+ (+ (+ ?v_194 ?v_341) ?v_258) ?v_434) 73) (>= (+ ?v_549 (* 62 ?x4)) 82))))) (and (or (and (and (> (+ (+ ?v_333 ?v_482) ?v_583) 83) (not (= (+ (+ (+ ?v_320 ?v_450) ?v_218) ?v_284) 0))) (and (< (+ (+ ?v_404 ?v_63) ?v_584) 55) (> (+ (+ ?v_485 (* 96 ?x3)) ?v_517) (- 58)))) (and (and (< (+ ?v_125 ?v_276) (- 74)) (= (+ ?v_585 ?v_586) (- 48))) (and (and (= (+ (+ (+ ?v_522 ?v_85) ?v_356) ?v_408) 92) (>= (+ (+ ?v_587 ?v_428) ?v_216) 13)) (= (+ (+ (+ (* 54 ?x1) ?v_280) ?v_443) ?v_253) 36)))) (and (or (<= (+ (+ ?v_520 ?v_140) ?v_213) (- 46)) (< (+ (+ (+ ?v_567 ?v_446) ?v_465) ?v_588) 0)) (or (<= (+ ?v_589 ?v_590) (- 19)) (and (and (<= (+ (+ (+ ?v_18 ?v_314) ?v_393) ?v_146) 59) (>= (+ (+ (+ ?v_4 ?v_395) ?v_315) ?v_359) (- 23))) (or (<= (+ (+ ?v_167 (* (- 78) ?x2)) ?v_259) (- 73)) (not (= (+ (+ ?v_271 ?v_534) ?v_32) (- 42))))))))) (or (and (and (or (and (>= (+ ?v_157 ?v_3) (- 23)) (< (+ (+ (+ ?v_420 ?v_503) ?v_354) ?v_591) 61)) (and (<= (+ (+ ?v_592 ?v_532) ?v_490) 0) (not (= (+ (+ ?v_249 ?v_19) ?v_131) 65)))) (and (and (or (<= (+ (+ ?v_593 ?v_594) ?v_573) 35) (= (+ (+ ?v_335 ?v_595) ?v_596) 0)) (and (= (+ (+ (+ ?v_345 ?v_597) ?v_327) ?v_598) 44) (< (+ ?v_599 ?v_482) (- 20)))) (or (and (> (+ (+ ?v_106 ?v_600) ?v_601) 30) (>= (+ (+ ?v_100 (* 30 ?x3)) ?v_602) (- 5))) (or (> (+ ?v_542 ?v_427) (- 81)) (= (+ (+ ?v_271 ?v_223) ?v_545) 0))))) (or (or (or (= (+ (+ (+ ?v_603 ?v_604) ?v_605) (* 29 ?x4)) 33) (and (>= (+ (+ ?v_183 ?v_270) ?v_380) 88) (> (+ (+ ?v_358 ?v_606) ?v_122) 0))) (or (or (> (+ ?v_446 ?v_580) 0) (= (+ ?v_375 ?v_76) 56)) (and (> (+ (+ ?v_471 ?v_381) ?v_50) 0) (not (= ?v_448 (- 99)))))) (and (and (= (+ (+ ?v_607 ?v_608) ?v_214) (- 90)) (or (> (+ (+ ?v_514 ?v_489) ?v_52) 99) (<= (+ ?v_70 ?v_538) (- 94)))) (or (and (< (+ (+ (+ ?v_145 ?v_153) ?v_609) (* 46 ?x4)) (- 65)) (= (+ (+ ?v_610 ?v_237) ?v_553) 50)) (or (<= (+ (+ (* 83 ?x1) ?v_294) ?v_374) 11) (not (= (+ (+ (+ ?v_127 ?v_406) ?v_266) (* (- 83) ?x4)) (- 51)))))))) (or (or (and (< (+ (+ (+ ?v_366 ?v_101) ?v_306) ?v_164) 0) (<= (+ ?v_618 ?v_86) 62)) (and (and (= (+ (+ (+ ?v_611 ?v_292) ?v_166) ?v_146) 24) (>= (+ ?v_287 ?v_385) (- 17))) (or (> (+ (+ ?v_322 ?v_532) ?v_413) 5) (>= ?v_358 (- 62))))) (or (and (< (+ (+ (+ ?v_612 ?v_215) ?v_613) ?v_52) 0) (not (= (+ ?v_99 ?v_614) (- 21)))) (and (not (= (+ (+ ?v_458 ?v_74) ?v_220) (- 60))) (> (+ (+ ?v_235 ?v_302) ?v_224) 54))))))) (or (or (or (or (or (and (not (= (+ (+ ?v_312 ?v_294) ?v_93) 90)) (<= (+ (+ ?v_325 ?v_440) ?v_615) 47)) (and (< (+ (+ ?v_555 ?v_483) ?v_529) 0) (< (+ (+ ?v_616 ?v_596) ?v_185) 0))) (or (and (<= (+ (+ (+ ?v_617 ?v_228) ?v_565) ?v_615) (- 28)) (<= (+ (+ (+ ?v_575 ?v_60) ?v_310) ?v_469) 77)) (> (+ (+ (* (- 88) ?x1) ?v_618) ?v_580) (- 34)))) (or (or (or (> (+ (+ (+ ?v_402 ?v_433) ?v_224) ?v_413) 48) (or (> ?v_320 77) (>= (+ (+ ?v_179 ?v_537) ?v_138) 0))) (or (not (= ?v_15 (- 27))) (> (+ ?v_451 ?v_614) (- 42)))) (and (or (>= (+ (+ (+ ?v_468 ?v_619) ?v_483) ?v_620) (- 20)) (<= (+ ?v_621 ?v_472) 8)) (or (not (= ?v_271 57)) (> (+ (+ (+ ?v_542 ?v_197) ?v_287) ?v_30) (- 96)))))) (and (and (or (<= (+ (+ ?v_561 ?v_622) ?v_623) 0) (< (+ (+ (+ ?v_624 ?v_357) ?v_465) ?v_486) (- 32))) (or (= (+ (+ (+ ?v_16 ?v_365) ?v_509) ?v_469) 30) (or (= (+ (+ ?v_520 ?v_511) ?v_584) (- 70)) (= (+ ?v_280 ?v_625) (- 76))))) (and (>= (+ (+ (+ ?v_626 ?v_29) ?v_258) ?v_627) (- 53)) (or (and (not (= (+ (+ ?v_418 ?v_566) ?v_253) 36)) (>= (+ (+ ?v_628 ?v_447) ?v_201) 46)) (or (= (+ (+ (+ ?v_285 ?v_282) ?v_317) ?v_438) 0) (>= (+ (+ ?v_261 ?v_329) ?v_566) (- 20))))))) (or (or (or (or (or (or (< (+ ?v_147 ?v_260) (- 29)) (= (+ (+ ?v_524 ?v_206) ?v_234) 18)) (= (+ (+ ?v_629 ?v_472) ?v_88) 60)) (or (or (not (= (+ (+ (+ ?v_149 ?v_630) ?v_605) ?v_21) 11)) (<= (+ (+ ?v_514 ?v_302) ?v_233) 0)) (or (>= (+ (+ ?v_101 ?v_631) ?v_466) 0) (> (+ (+ (+ ?v_325 ?v_314) ?v_631) ?v_434) 53)))) (or (< (+ ?v_328 ?v_632) 40) (<= (+ (+ (+ ?v_7 ?v_531) ?v_577) ?v_633) 0))) (or (and (or (not (= ?v_102 (- 33))) (not (= (+ (+ ?v_612 ?v_634) ?v_583) (- 12)))) (not (= (+ (+ ?v_594 ?v_97) ?v_211) 0))) (and (> (+ (+ ?v_520 ?v_83) ?v_259) (- 79)) (not (= (+ (+ (+ ?v_635 ?v_636) ?v_212) ?v_633) 0))))) (or (and (and (= (+ (+ (+ ?v_460 ?v_12) ?v_135) ?v_637) (- 84)) (and (= (+ ?v_518 ?v_83) 0) (< (+ (+ ?v_552 ?v_90) ?v_266) 0))) (or (and (= (+ (+ (+ (* (- 84) ?x1) ?v_638) ?v_321) ?v_639) 0) (>= (+ ?v_640 ?v_363) (- 92))) (<= (+ (+ (+ ?v_154 ?v_208) ?v_63) ?v_303) (- 9)))) (or (and (>= (+ (+ (+ ?v_95 ?v_2) ?v_160) ?v_637) (- 35)) (< (+ (+ ?v_365 ?v_258) ?v_75) 0)) (and (and (<= (+ (+ ?v_399 ?v_215) ?v_641) 20) (= (+ ?v_642 ?v_643) 0)) (or (> (+ (+ (+ ?v_542 ?v_182) ?v_9) ?v_469) 96) (> ?v_213 12)))))))))))))))))))
(check-sat)
(exit)
