(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unknown)
(declare-fun lambda () Real)
(declare-fun lambdaprime () Real)
(declare-fun x4 () Real)
(declare-fun x3 () Real)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda Real)) (let ((?v_74 (+ x3 (* 0 ?lambda)))) (let ((?v_25 (* 1 ?v_74))) (let ((?v_24 (<= ?v_25 0)) (?v_5 (+ x4 (* 30 ?lambda)))) (let ((?v_27 (<= (* 1 ?v_5) 4820)) (?v_3 (not bool.b23)) (?v_1 (not bool.b22)) (?v_2 (and (not bool.b19) (not bool.b21)))) (let ((?v_0 (not ?v_2)) (?v_4 (and ?v_1 ?v_2)) (?v_49 (not ?v_27)) (?v_69 (not ?v_24)) (?v_83 (not bool.b24)) (?v_71 (<= ?v_25 20)) (?v_85 (and bool.b20 ?v_24)) (?v_114 (<= ?v_25 40)) (?v_116 (<= ?v_25 45))) (let ((?v_115 (and ?v_116 (not (<= ?v_25 33)))) (?v_117 (not ?v_116)) (?v_7 (* (- 1) ?v_5))) (let ((?v_21 (and bool.b17 (<= ?v_7 (- 4100))))) (let ((?v_6 (not ?v_21)) (?v_51 (<= ?v_7 (- 4500)))) (let ((?v_35 (and bool.b18 ?v_51))) (let ((?v_55 (not ?v_35))) (let ((?v_29 (and ?v_6 ?v_55)) (?v_46 (<= ?v_7 (- 4910)))) (let ((?v_26 (not (and bool.b19 ?v_46)))) (let ((?v_8 (not (and ?v_29 ?v_26)))) (let ((?v_18 (and bool.b23 ?v_8))) (let ((?v_22 (not ?v_18)) (?v_15 (and bool.b22 ?v_8))) (let ((?v_19 (not ?v_15)) (?v_12 (and bool.b21 ?v_8))) (let ((?v_16 (not ?v_12)) (?v_10 (and bool.b20 ?v_8))) (let ((?v_13 (not ?v_10)) (?v_9 (and bool.b18 ?v_8)) (?v_40 (and bool.b19 ?v_8))) (let ((?v_14 (and (not ?v_9) (not ?v_40)))) (let ((?v_11 (not ?v_14)) (?v_17 (and ?v_13 ?v_14))) (let ((?v_20 (and ?v_16 ?v_17))) (let ((?v_23 (and ?v_19 ?v_20)) (?v_72 (<= (+ ?v_25 (* (/ 1 15) ?v_5)) (/ 964 3)))) (let ((?v_68 (not ?v_72))) (let ((?v_45 (not (and ?v_24 ?v_68))) (?v_30 (and ?v_26 ?v_22)) (?v_28 (and ?v_24 ?v_10))) (let ((?v_37 (not (and ?v_27 ?v_28)))) (let ((?v_31 (and ?v_19 ?v_37)) (?v_36 (not (and ?v_49 ?v_28)))) (let ((?v_33 (and ?v_16 ?v_36)) (?v_34 (and ?v_29 (not (and ?v_69 ?v_10))))) (let ((?v_32 (and ?v_33 ?v_34)) (?v_39 (and bool.b24 (not (and ?v_6 ?v_26))))) (let ((?v_38 (not (and ?v_35 (not ?v_39))))) (let ((?v_43 (and ?v_38 (not (and ?v_10 (and ?v_36 (and ?v_37 ?v_38)))))) (?v_41 (not (and ?v_35 ?v_39)))) (let ((?v_42 (and ?v_41 (not (and ?v_40 (and ?v_26 ?v_41)))))) (let ((?v_44 (not (and ?v_6 ?v_42))) (?v_47 (not ?v_42)) (?v_48 (not ?v_43))) (let ((?v_59 (not (and ?v_46 ?v_47)))) (let ((?v_66 (and ?v_30 ?v_59)) (?v_50 (and ?v_24 ?v_48))) (let ((?v_54 (not (and ?v_27 ?v_50)))) (let ((?v_64 (and ?v_31 ?v_54)) (?v_52 (not (and ?v_49 ?v_50)))) (let ((?v_62 (and ?v_33 ?v_52)) (?v_57 (and ?v_51 ?v_21))) (let ((?v_53 (not (and ?v_83 ?v_57)))) (let ((?v_60 (and ?v_53 (not (and ?v_48 (and ?v_52 (and ?v_53 ?v_54)))))) (?v_56 (and (not ?v_51) ?v_21))) (let ((?v_106 (not (and (not (and ?v_55 (not (and ?v_40 (and ?v_55 ?v_26))))) ?v_56))) (?v_77 (not ?v_56)) (?v_58 (not (and bool.b24 ?v_57)))) (let ((?v_76 (and ?v_58 (not (and ?v_47 (and ?v_58 ?v_59)))))) (let ((?v_63 (and ?v_77 ?v_76))) (let ((?v_61 (not ?v_63)) (?v_70 (not ?v_60)) (?v_65 (and ?v_60 ?v_63))) (let ((?v_67 (and ?v_62 ?v_65)) (?v_73 (and ?v_69 ?v_70))) (let ((?v_112 (and ?v_71 (and ?v_68 ?v_73))) (?v_96 (and ?v_71 (and ?v_72 ?v_73)))) (let ((?v_118 (not ?v_96)) (?v_98 (* (- 1) ?v_74))) (let ((?v_75 (and (<= ?v_98 (- 30)) (<= ?v_25 30))) (?v_78 (and (not ?v_46) (not ?v_76))) (?v_80 (not ?v_73))) (let ((?v_88 (not ?v_78))) (let ((?v_105 (and ?v_77 ?v_88))) (let ((?v_108 (and ?v_80 ?v_105))) (let ((?v_79 (and (and (not (and ?v_75 ?v_56)) (not (and ?v_75 ?v_78))) (not (and ?v_8 ?v_108))))) (let ((?v_110 (not ?v_79)) (?v_81 (not (and bool.b24 ?v_35)))) (let ((?v_82 (not (and ?v_81 (not (and bool.b19 (and ?v_26 ?v_81))))))) (let ((?v_93 (and (not (and ?v_46 (not (and ?v_58 (not (and ?v_82 (and (not (and ?v_46 ?v_82)) ?v_58))))))) ?v_66)) (?v_84 (not (and ?v_83 ?v_35)))) (let ((?v_86 (not (and ?v_84 (not (and bool.b20 (and (and ?v_84 (not (and ?v_27 ?v_85))) (not (and ?v_49 ?v_85))))))))) (let ((?v_87 (and ?v_24 ?v_86))) (let ((?v_89 (and ?v_24 (not (and ?v_53 (not (and ?v_86 (and (not (and ?v_49 ?v_87)) (and (not (and ?v_27 ?v_87)) ?v_53))))))))) (let ((?v_91 (and (not (and ?v_27 ?v_89)) ?v_64)) (?v_90 (and (not (and ?v_49 ?v_89)) ?v_62))) (let ((?v_94 (and ?v_88 ?v_90))) (let ((?v_92 (not ?v_94)) (?v_103 (not ?v_90)) (?v_100 (not ?v_91)) (?v_101 (not ?v_93)) (?v_95 (and ?v_91 ?v_94)) (?v_97 (+ ?v_25 (* (/ 1 20) ?v_5))) (?v_99 (not (<= ?v_98 (- 20))))) (let ((?v_111 (and (not (and ?v_99 ?v_56)) (not (and ?v_99 ?v_78)))) (?v_104 (and ?v_80 ?v_91))) (let ((?v_102 (not ?v_104)) (?v_107 (not ?v_105)) (?v_109 (and ?v_108 ?v_90))) (let ((?v_119 (and (not (and ?v_111 (not (and (not (and ?v_79 (not (and (not (and ?v_69 (not (and ?v_88 (and ?v_77 (and (not (and ?v_90 (not (and (not (and ?v_93 (not (and ?v_102 (not (and ?v_73 ?v_100)))))) (not (and ?v_101 ?v_102)))))) (not (and ?v_103 (not (and ?v_93 ?v_104)))))))))) (not (and ?v_24 (and ?v_27 (not (and (not (and ?v_93 (not (and (not (and ?v_91 (not (and (not (and ?v_90 (not (and (not (and ?v_73 ?v_107)) (not (and ?v_80 (not (and ?v_106 ?v_107)))))))) (not (and (not ?v_108) ?v_103)))))) (not (and ?v_100 (not ?v_109))))))) (not (and ?v_101 (not (and ?v_91 ?v_109))))))))))))) (not (and ?v_45 ?v_110)))))) (not (and ?v_45 (not ?v_111))))) (?v_113 (+ ?v_25 (* (/ 3 20) ?v_5)))) (or (or (exists ((?lambdaprime Real)) (let ((?v_120 (* (- 1) (+ x4 (* 30 ?lambdaprime))))) (and (and (<= 0 ?lambdaprime) (<= ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (<= ?v_120 (- 4100)))) (not (and bool.b18 (<= ?v_120 (- 4500))))) (not (and bool.b19 (<= ?v_120 (- 4910))))))))) (< ?lambda 0)) (and (not (and ?v_24 (not (and ?v_27 (not (and (not bool.b18) (and (not bool.b17) (and (not (and (not bool.b20) (not (and (not (and ?v_3 (not (and (not (and ?v_1 (not (and ?v_0 (not (and bool.b19 bool.b21)))))) (not (and bool.b22 ?v_0)))))) (not (and bool.b23 (not ?v_4))))))) (not (and bool.b20 (not (and ?v_3 ?v_4)))))))))))) (not (and (and (not (and ?v_6 (not (and (not (and ?v_22 (not (and (not (and ?v_19 (not (and (not (and ?v_16 (not (and (not (and ?v_13 (not (and ?v_11 (not (and bool.b19 ?v_9)))))) (not (and ?v_10 ?v_11)))))) (not (and ?v_12 (not ?v_17))))))) (not (and ?v_15 (not ?v_20))))))) (not (and ?v_18 (not ?v_23))))))) (not (and ?v_21 (not (and ?v_22 ?v_23))))) (not (and ?v_45 (not (and (and (not (and (not ?v_30) (not (and ?v_31 ?v_32)))) (not (and ?v_30 (not (and (not (and (not ?v_31) (not ?v_32))) (not (and ?v_31 (not (and (not (and (not ?v_33) (not ?v_34))) (not (and ?v_33 (not (and (not (and ?v_43 (not (and ?v_44 (not (and ?v_21 ?v_47)))))) (not (and ?v_48 ?v_44))))))))))))))) (not (and ?v_45 (not (and (and (not (and ?v_66 (not (and (not (and ?v_64 (not (and (not (and ?v_62 (not (and (not (and ?v_60 (not (and ?v_106 ?v_61)))) (not (and ?v_70 ?v_61)))))) (not (and (not ?v_62) (not ?v_65))))))) (not (and (not ?v_64) (not ?v_67))))))) (not (and (not ?v_66) (not (and ?v_64 ?v_67))))) (and (not (and (not ?v_112) (not (and (not (and ?v_118 (not (and (not (and ?v_45 ?v_79)) (not (and ?v_110 (not (and ?v_24 (not (and ?v_27 (not (and ?v_77 (and (not (and ?v_80 (not (and (not (and ?v_93 (not (and (not (and ?v_91 (not (and ?v_92 (not (and ?v_78 ?v_103)))))) (not (and ?v_100 ?v_92)))))) (not (and ?v_101 (not ?v_95))))))) (not (and ?v_73 (not (and ?v_93 ?v_95))))))))))))))))) (not (and ?v_96 (not (and (<= ?v_97 400) (and (not (<= ?v_97 241)) ?v_119))))))))) (not (and ?v_112 (not (and (<= ?v_113 1200) (and (not (<= ?v_113 723)) (and (and (and (not (and ?v_114 (and ?v_115 ?v_56))) (not (and ?v_114 (and ?v_115 ?v_78)))) (not (and ?v_114 (and (not ?v_71) (and ?v_72 ?v_70))))) (and (and (and (not (and ?v_117 ?v_56)) (not (and ?v_117 ?v_78))) (not (and (not ?v_114) (and ?v_68 ?v_70)))) (and ?v_118 ?v_119))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
