(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unknown)
(declare-fun lambda () Real)
(declare-fun lambdaprime () Real)
(declare-fun x4 () Real)
(declare-fun x3 () Real)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda Real)) (let ((?v_17 (+ x4 (* 20 ?lambda))) (?v_11 (not bool.b19)) (?v_10 (not bool.b18)) (?v_6 (not bool.b17)) (?v_8 (not bool.b21)) (?v_3 (not bool.b23)) (?v_9 (not bool.b20)) (?v_7 (not bool.b22))) (let ((?v_4 (and ?v_9 ?v_7))) (let ((?v_2 (not ?v_4)) (?v_13 (and ?v_10 ?v_11))) (let ((?v_12 (not ?v_13)) (?v_14 (and ?v_9 ?v_13))) (let ((?v_15 (and ?v_8 ?v_14))) (let ((?v_16 (and ?v_7 ?v_15)) (?v_39 (<= (* 1 ?v_17) 4820))) (let ((?v_71 (not ?v_39)) (?v_106 (not bool.b24)) (?v_101 (+ x3 (* (/ (- 1) 20) ?lambda)))) (let ((?v_1 (* 1 ?v_101))) (let ((?v_0 (+ ?v_1 (* (/ 1 400) ?v_17)))) (let ((?v_138 (<= ?v_0 20)) (?v_5 (<= ?v_1 0))) (let ((?v_41 (not ?v_5)) (?v_20 (* (- 1) ?v_17))) (let ((?v_42 (<= ?v_20 (- 4100)))) (let ((?v_37 (not ?v_42)) (?v_19 (not (<= ?v_1 30)))) (let ((?v_34 (and bool.b17 (not (and ?v_37 ?v_19))))) (let ((?v_18 (not ?v_34)) (?v_44 (<= ?v_20 (- 4500)))) (let ((?v_77 (not ?v_44)) (?v_38 (<= ?v_20 (- 4910)))) (let ((?v_93 (not ?v_38))) (let ((?v_56 (not (and bool.b19 (not (and ?v_19 ?v_93)))))) (let ((?v_21 (not (and (and ?v_18 (not (and bool.b18 (not (and ?v_19 ?v_77))))) ?v_56)))) (let ((?v_31 (and bool.b23 ?v_21))) (let ((?v_35 (not ?v_31)) (?v_28 (and bool.b22 ?v_21))) (let ((?v_32 (not ?v_28)) (?v_25 (and bool.b21 ?v_21))) (let ((?v_29 (not ?v_25)) (?v_23 (and bool.b20 ?v_21))) (let ((?v_26 (not ?v_23)) (?v_22 (and bool.b18 ?v_21)) (?v_46 (and bool.b19 ?v_21))) (let ((?v_27 (and (not ?v_22) (not ?v_46)))) (let ((?v_24 (not ?v_27)) (?v_30 (and ?v_26 ?v_27))) (let ((?v_33 (and ?v_29 ?v_30))) (let ((?v_36 (and ?v_32 ?v_33)) (?v_98 (<= (+ ?v_1 (* (/ 1 15) ?v_17)) (/ 964 3)))) (let ((?v_95 (not ?v_98))) (let ((?v_108 (and ?v_5 ?v_95))) (let ((?v_66 (not ?v_108)) (?v_48 (and ?v_37 ?v_34)) (?v_47 (not (and bool.b19 ?v_38)))) (let ((?v_49 (and ?v_47 ?v_35)) (?v_40 (and ?v_5 ?v_23))) (let ((?v_58 (not (and ?v_39 ?v_40)))) (let ((?v_51 (and ?v_32 ?v_58)) (?v_57 (not (and ?v_71 ?v_40)))) (let ((?v_53 (and ?v_29 ?v_57)) (?v_43 (not (and bool.b17 ?v_42))) (?v_55 (and bool.b18 ?v_44))) (let ((?v_45 (not ?v_55))) (let ((?v_103 (and ?v_43 ?v_45))) (let ((?v_60 (and ?v_43 (not (and ?v_103 ?v_22)))) (?v_76 (and ?v_45 (not (and ?v_46 (and ?v_45 ?v_47)))))) (let ((?v_54 (and (not (and ?v_41 ?v_23)) (and ?v_60 ?v_76)))) (let ((?v_52 (and ?v_53 ?v_54))) (let ((?v_50 (and ?v_51 ?v_52))) (let ((?v_67 (not (and ?v_48 (not (and ?v_49 ?v_50))))) (?v_68 (not ?v_48)) (?v_61 (and bool.b24 (not (and ?v_18 ?v_56))))) (let ((?v_59 (not (and ?v_55 (not ?v_61))))) (let ((?v_64 (and ?v_59 (not (and ?v_23 (and ?v_57 (and ?v_58 ?v_59)))))) (?v_62 (not (and ?v_55 ?v_61)))) (let ((?v_63 (and ?v_62 (not (and ?v_46 (and ?v_47 ?v_62)))))) (let ((?v_65 (not (and ?v_60 ?v_63))) (?v_78 (not ?v_60)) (?v_69 (not ?v_63)) (?v_70 (not ?v_64))) (let ((?v_82 (not (and ?v_38 ?v_69)))) (let ((?v_89 (and ?v_49 ?v_82)) (?v_72 (and ?v_5 ?v_70))) (let ((?v_75 (not (and ?v_39 ?v_72)))) (let ((?v_87 (and ?v_51 ?v_75)) (?v_73 (not (and ?v_71 ?v_72)))) (let ((?v_85 (and ?v_53 ?v_73)) (?v_80 (and bool.b17 ?v_44))) (let ((?v_74 (not (and ?v_106 ?v_80)))) (let ((?v_83 (and ?v_74 (not (and ?v_70 (and ?v_73 (and ?v_74 ?v_75)))))) (?v_79 (and ?v_77 ?v_78))) (let ((?v_120 (not (and (not ?v_76) ?v_79))) (?v_92 (not ?v_79)) (?v_81 (not (and bool.b24 ?v_80)))) (let ((?v_94 (and ?v_81 (not (and ?v_69 (and ?v_81 ?v_82)))))) (let ((?v_86 (and ?v_92 ?v_94))) (let ((?v_84 (not ?v_86)) (?v_91 (not ?v_83)) (?v_88 (and ?v_83 ?v_86))) (let ((?v_90 (and ?v_85 ?v_88)) (?v_96 (and ?v_41 ?v_91))) (let ((?v_113 (not ?v_96)) (?v_104 (and ?v_93 (not ?v_94)))) (let ((?v_105 (not ?v_104))) (let ((?v_137 (and ?v_21 (and ?v_113 (and (and ?v_68 ?v_92) ?v_105)))) (?v_97 (<= ?v_1 20))) (let ((?v_129 (and ?v_97 (and ?v_95 ?v_96))) (?v_99 (and ?v_97 (and ?v_98 ?v_96)))) (let ((?v_135 (not ?v_99)) (?v_100 (+ ?v_1 (* (/ 1 20) ?v_17)))) (let ((?v_139 (not (<= ?v_100 241))) (?v_102 (not (<= (* (- 1) ?v_101) (- 20))))) (let ((?v_128 (and (and (not (and ?v_102 (and bool.b17 ?v_37))) (not (and ?v_102 (and ?v_77 (not (and ?v_43 (not (and bool.b18 ?v_103)))))))) (not (and ?v_102 ?v_104)))) (?v_107 (not (and ?v_106 ?v_55)))) (let ((?v_109 (not (and ?v_107 (not (and bool.b20 (and (and ?v_107 (not (and ?v_39 (and bool.b20 ?v_5)))) (not (and bool.b20 ?v_108))))))))) (let ((?v_110 (and ?v_5 ?v_109))) (let ((?v_114 (and ?v_5 (not (and ?v_74 (not (and ?v_109 (and (not (and ?v_71 ?v_110)) (and (not (and ?v_39 ?v_110)) ?v_74))))))))) (let ((?v_118 (and (not (and ?v_71 ?v_114)) ?v_85)) (?v_111 (not (and bool.b24 ?v_55)))) (let ((?v_112 (not (and ?v_111 (not (and bool.b19 (and ?v_47 ?v_111))))))) (let ((?v_116 (and (not (and ?v_38 (not (and ?v_81 (not (and ?v_112 (and (not (and ?v_38 ?v_112)) ?v_81))))))) ?v_89)) (?v_115 (and (not (and ?v_39 ?v_114)) ?v_87))) (let ((?v_119 (and ?v_113 ?v_115))) (let ((?v_117 (not ?v_119)) (?v_124 (not ?v_115)) (?v_126 (not ?v_116)) (?v_122 (not ?v_118)) (?v_123 (and ?v_92 ?v_105))) (let ((?v_121 (not ?v_123)) (?v_125 (and ?v_113 ?v_123))) (let ((?v_127 (and ?v_118 ?v_125))) (let ((?v_140 (not (and ?v_5 (and ?v_39 (not (and ?v_67 (not (and ?v_68 (not (and (not (and ?v_116 (not (and (not (and ?v_115 (not (and (not (and ?v_118 (not (and (not (and ?v_96 ?v_121)) (not (and ?v_113 (not (and ?v_120 ?v_121)))))))) (not (and ?v_122 (not ?v_125))))))) (not (and ?v_124 (not ?v_127))))))) (not (and ?v_126 (not (and ?v_115 ?v_127))))))))))))))) (let ((?v_136 (and (not (and ?v_128 (not (and (not (and ?v_41 (not (and ?v_105 (and ?v_92 (and ?v_68 (and (not (and ?v_118 (not (and (not (and ?v_116 (not (and ?v_117 (not (and ?v_96 ?v_124)))))) (not (and ?v_126 ?v_117)))))) (not (and ?v_122 (not (and ?v_116 ?v_119))))))))))) ?v_140)))) (not (and ?v_66 (not ?v_128))))) (?v_130 (+ ?v_1 (* (/ 3 20) ?v_17))) (?v_131 (<= ?v_1 40)) (?v_133 (<= ?v_1 45))) (let ((?v_132 (and ?v_133 (not (<= ?v_1 33)))) (?v_134 (not ?v_133)) (?v_141 (not (and ?v_116 ?v_115)))) (or (or (exists ((?lambdaprime Real)) (let ((?v_143 (* (- 1) (+ x4 (* 20 ?lambdaprime)))) (?v_142 (not (<= (* 1 (+ x3 (* (/ (- 1) 20) ?lambdaprime))) 30)))) (and (and (<= 0 ?lambdaprime) (<= ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and (not (<= ?v_143 (- 4100))) ?v_142)))) (not (and bool.b18 (not (and ?v_142 (not (<= ?v_143 (- 4500)))))))) (not (and bool.b19 (not (and ?v_142 (not (<= ?v_143 (- 4910)))))))))))) (< ?lambda 0)) (and (not (and ?v_138 (and (not (<= ?v_0 (/ 241 20))) (and (not (and ?v_41 (not (and ?v_11 (and ?v_10 (and ?v_6 (and (not (and ?v_8 (not (and (not (and ?v_3 (not (and ?v_2 (not (and bool.b20 bool.b22)))))) (not (and bool.b23 ?v_2)))))) (not (and bool.b21 (not (and ?v_3 ?v_4))))))))))) (not (and ?v_5 (and (not (and (not (and ?v_6 (not (and (not (and ?v_3 (not (and (not (and ?v_7 (not (and (not (and ?v_8 (not (and (not (and ?v_9 (not (and ?v_12 (not (and bool.b18 bool.b19)))))) (not (and bool.b20 ?v_12)))))) (not (and bool.b21 (not ?v_14))))))) (not (and bool.b22 (not ?v_15))))))) (not (and bool.b23 (not ?v_16))))))) (not (and bool.b17 (not (and ?v_3 ?v_16)))))) ?v_39))))))) (not (and (and (not (and ?v_18 (not (and (not (and ?v_35 (not (and (not (and ?v_32 (not (and (not (and ?v_29 (not (and (not (and ?v_26 (not (and ?v_24 (not (and bool.b19 ?v_22)))))) (not (and ?v_23 ?v_24)))))) (not (and ?v_25 (not ?v_30))))))) (not (and ?v_28 (not ?v_33))))))) (not (and ?v_31 (not ?v_36))))))) (not (and ?v_34 (not (and ?v_35 ?v_36))))) (not (and ?v_66 (not (and (and ?v_67 (not (and ?v_68 (not (and (not (and (not ?v_49) (not ?v_50))) (not (and ?v_49 (not (and (not (and (not ?v_51) (not ?v_52))) (not (and ?v_51 (not (and (not (and (not ?v_53) (not ?v_54))) (not (and ?v_53 (not (and (not (and ?v_64 (not (and ?v_65 (not (and ?v_78 ?v_69)))))) (not (and ?v_70 ?v_65))))))))))))))))))) (not (and ?v_66 (not (and (and ?v_67 (not (and ?v_68 (not (and (not (and ?v_89 (not (and (not (and ?v_87 (not (and (not (and ?v_85 (not (and (not (and ?v_83 (not (and ?v_120 ?v_84)))) (not (and ?v_91 ?v_84)))))) (not (and (not ?v_85) (not ?v_88))))))) (not (and (not ?v_87) (not ?v_90))))))) (not (and (not ?v_89) (not (and ?v_87 ?v_90))))))))) (and (not (and (not ?v_137) (not (and (not (and (not ?v_129) (not (and (not (and ?v_66 ?v_135)) (not (and ?v_99 (not (and (<= ?v_100 400) (and ?v_139 ?v_136))))))))) (not (and ?v_129 (not (and (<= ?v_130 1200) (and (not (<= ?v_130 723)) (and (and (and (not (and ?v_131 (and ?v_132 ?v_79))) (not (and ?v_131 (and ?v_132 ?v_104)))) (not (and ?v_131 (and (not ?v_97) (and ?v_98 ?v_91))))) (and (and (and (not (and ?v_134 ?v_79)) (not (and ?v_134 ?v_104))) (not (and (not ?v_131) (and ?v_95 ?v_91)))) (and ?v_135 ?v_136)))))))))))) (not (and ?v_137 (not (and ?v_138 (and ?v_139 (and ?v_140 (not (and ?v_41 (not (and ?v_68 (and ?v_113 (and ?v_105 (and ?v_92 (and (not (and ?v_118 (not (and ?v_141 (not (and ?v_126 ?v_124)))))) (not (and ?v_122 ?v_141)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
