(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unknown)
(declare-fun lambda () Real)
(declare-fun lambdaprime () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda Real)) (let ((?v_17 (+ x4 (* 60 ?lambda))) (?v_11 (not bool.b19)) (?v_10 (not bool.b18)) (?v_6 (not bool.b17)) (?v_8 (not bool.b21)) (?v_3 (not bool.b23)) (?v_9 (not bool.b20)) (?v_7 (not bool.b22))) (let ((?v_4 (and ?v_9 ?v_7))) (let ((?v_2 (not ?v_4)) (?v_13 (and ?v_10 ?v_11))) (let ((?v_12 (not ?v_13)) (?v_14 (and ?v_9 ?v_13))) (let ((?v_15 (and ?v_8 ?v_14))) (let ((?v_16 (and ?v_7 ?v_15)) (?v_40 (<= (* 1 ?v_17) 4820))) (let ((?v_72 (not ?v_40)) (?v_99 (not bool.b24)) (?v_127 (+ x3 (* (/ (- 1) 20) ?lambda)))) (let ((?v_1 (* 1 ?v_127))) (let ((?v_0 (+ ?v_1 (* (/ 1 1200) ?v_17)))) (let ((?v_96 (<= ?v_0 (/ 20 3))) (?v_5 (<= ?v_1 0))) (let ((?v_42 (not ?v_5)) (?v_137 (<= ?v_1 40))) (let ((?v_19 (not ?v_137)) (?v_21 (* (- 1) ?v_17))) (let ((?v_43 (<= ?v_21 (- 4100)))) (let ((?v_38 (not ?v_43)) (?v_20 (not (<= ?v_1 33)))) (let ((?v_35 (and bool.b17 (not (and ?v_19 (and ?v_38 ?v_20)))))) (let ((?v_18 (not ?v_35)) (?v_45 (<= ?v_21 (- 4500)))) (let ((?v_78 (not ?v_45)) (?v_39 (<= ?v_21 (- 4910)))) (let ((?v_94 (not ?v_39))) (let ((?v_57 (not (and bool.b19 (not (and ?v_19 (and ?v_20 ?v_94))))))) (let ((?v_22 (not (and (and ?v_18 (not (and bool.b18 (not (and ?v_19 (and ?v_20 ?v_78)))))) ?v_57)))) (let ((?v_32 (and bool.b23 ?v_22))) (let ((?v_36 (not ?v_32)) (?v_29 (and bool.b22 ?v_22))) (let ((?v_33 (not ?v_29)) (?v_26 (and bool.b21 ?v_22))) (let ((?v_30 (not ?v_26)) (?v_24 (and bool.b20 ?v_22))) (let ((?v_27 (not ?v_24)) (?v_23 (and bool.b18 ?v_22)) (?v_47 (and bool.b19 ?v_22))) (let ((?v_28 (and (not ?v_23) (not ?v_47)))) (let ((?v_25 (not ?v_28)) (?v_31 (and ?v_27 ?v_28))) (let ((?v_34 (and ?v_30 ?v_31))) (let ((?v_37 (and ?v_33 ?v_34)) (?v_123 (<= (+ ?v_1 (* (/ 1 15) ?v_17)) (/ 964 3)))) (let ((?v_121 (not ?v_123))) (let ((?v_101 (and ?v_5 ?v_121))) (let ((?v_67 (not ?v_101)) (?v_49 (and ?v_38 ?v_35)) (?v_48 (not (and bool.b19 ?v_39)))) (let ((?v_50 (and ?v_48 ?v_36)) (?v_41 (and ?v_5 ?v_24))) (let ((?v_59 (not (and ?v_40 ?v_41)))) (let ((?v_52 (and ?v_33 ?v_59)) (?v_58 (not (and ?v_72 ?v_41)))) (let ((?v_54 (and ?v_30 ?v_58)) (?v_44 (not (and bool.b17 ?v_43))) (?v_56 (and bool.b18 ?v_45))) (let ((?v_46 (not ?v_56))) (let ((?v_129 (and ?v_44 ?v_46))) (let ((?v_61 (and ?v_44 (not (and ?v_129 ?v_23)))) (?v_77 (and ?v_46 (not (and ?v_47 (and ?v_46 ?v_48)))))) (let ((?v_55 (and (not (and ?v_42 ?v_24)) (and ?v_61 ?v_77)))) (let ((?v_53 (and ?v_54 ?v_55))) (let ((?v_51 (and ?v_52 ?v_53))) (let ((?v_68 (not (and ?v_49 (not (and ?v_50 ?v_51))))) (?v_69 (not ?v_49)) (?v_62 (and bool.b24 (not (and ?v_18 ?v_57))))) (let ((?v_60 (not (and ?v_56 (not ?v_62))))) (let ((?v_65 (and ?v_60 (not (and ?v_24 (and ?v_58 (and ?v_59 ?v_60)))))) (?v_63 (not (and ?v_56 ?v_62)))) (let ((?v_64 (and ?v_63 (not (and ?v_47 (and ?v_48 ?v_63)))))) (let ((?v_66 (not (and ?v_61 ?v_64))) (?v_79 (not ?v_61)) (?v_70 (not ?v_64)) (?v_71 (not ?v_65))) (let ((?v_83 (not (and ?v_39 ?v_70)))) (let ((?v_90 (and ?v_50 ?v_83)) (?v_73 (and ?v_5 ?v_71))) (let ((?v_76 (not (and ?v_40 ?v_73)))) (let ((?v_88 (and ?v_52 ?v_76)) (?v_74 (not (and ?v_72 ?v_73)))) (let ((?v_86 (and ?v_54 ?v_74)) (?v_81 (and bool.b17 ?v_45))) (let ((?v_75 (not (and ?v_99 ?v_81)))) (let ((?v_84 (and ?v_75 (not (and ?v_71 (and ?v_74 (and ?v_75 ?v_76)))))) (?v_80 (and ?v_78 ?v_79))) (let ((?v_108 (not (and (not ?v_77) ?v_80))) (?v_93 (not ?v_80)) (?v_82 (not (and bool.b24 ?v_81)))) (let ((?v_95 (and ?v_82 (not (and ?v_70 (and ?v_82 ?v_83)))))) (let ((?v_87 (and ?v_93 ?v_95))) (let ((?v_85 (not ?v_87)) (?v_92 (not ?v_84)) (?v_89 (and ?v_84 ?v_87))) (let ((?v_91 (and ?v_86 ?v_89)) (?v_105 (and ?v_42 ?v_92))) (let ((?v_107 (not ?v_105)) (?v_130 (and ?v_94 (not ?v_95)))) (let ((?v_106 (not ?v_130))) (let ((?v_120 (and ?v_22 (and ?v_107 (and (and ?v_69 ?v_93) ?v_106)))) (?v_125 (+ ?v_1 (* (/ 1 20) ?v_17)))) (let ((?v_126 (not (<= ?v_125 241))) (?v_97 (not (and bool.b24 ?v_56)))) (let ((?v_98 (not (and ?v_97 (not (and bool.b19 (and ?v_48 ?v_97))))))) (let ((?v_114 (and (not (and ?v_39 (not (and ?v_82 (not (and ?v_98 (and (not (and ?v_39 ?v_98)) ?v_82))))))) ?v_90)) (?v_100 (not (and ?v_99 ?v_56)))) (let ((?v_102 (not (and ?v_100 (not (and bool.b20 (and (and ?v_100 (not (and ?v_40 (and bool.b20 ?v_5)))) (not (and bool.b20 ?v_101))))))))) (let ((?v_103 (and ?v_5 ?v_102))) (let ((?v_104 (and ?v_5 (not (and ?v_75 (not (and ?v_102 (and (not (and ?v_72 ?v_103)) (and (not (and ?v_40 ?v_103)) ?v_75))))))))) (let ((?v_112 (and (not (and ?v_40 ?v_104)) ?v_88)) (?v_110 (and (not (and ?v_72 ?v_104)) ?v_86)) (?v_111 (and ?v_93 ?v_106))) (let ((?v_109 (not ?v_111)) (?v_118 (not ?v_110)) (?v_113 (and ?v_107 ?v_111)) (?v_117 (not ?v_112))) (let ((?v_115 (and ?v_110 ?v_113)) (?v_116 (not ?v_114))) (let ((?v_133 (not (and ?v_5 (and ?v_40 (not (and ?v_68 (not (and ?v_69 (not (and (not (and ?v_114 (not (and (not (and ?v_112 (not (and (not (and ?v_110 (not (and (not (and ?v_105 ?v_109)) (not (and ?v_107 (not (and ?v_108 ?v_109)))))))) (not (and ?v_118 (not ?v_113))))))) (not (and ?v_117 (not ?v_115))))))) (not (and ?v_116 (not (and ?v_112 ?v_115)))))))))))))) (?v_119 (not (and ?v_114 ?v_112))) (?v_122 (<= ?v_1 20))) (let ((?v_135 (and ?v_122 (and ?v_121 ?v_105))) (?v_124 (and ?v_122 (and ?v_123 ?v_105)))) (let ((?v_143 (not ?v_124)) (?v_128 (not (<= (* (- 1) ?v_127) (- 20)))) (?v_138 (and bool.b17 ?v_38)) (?v_140 (and ?v_78 (not (and ?v_44 (not (and bool.b18 ?v_129))))))) (let ((?v_134 (and (and (not (and ?v_128 ?v_138)) (not (and ?v_128 ?v_140))) (not (and ?v_128 ?v_130)))) (?v_132 (and ?v_107 ?v_112))) (let ((?v_131 (not ?v_132))) (let ((?v_144 (and (not (and ?v_134 (not (and (not (and ?v_42 (not (and ?v_106 (and ?v_93 (and ?v_69 (and (not (and ?v_110 (not (and (not (and ?v_114 (not (and ?v_131 (not (and ?v_105 ?v_117)))))) (not (and ?v_116 ?v_131)))))) (not (and ?v_118 (not (and ?v_114 ?v_132))))))))))) ?v_133)))) (not (and ?v_67 (not ?v_134))))) (?v_136 (+ ?v_1 (* (/ 3 20) ?v_17))) (?v_141 (<= ?v_1 45))) (let ((?v_139 (and ?v_141 ?v_20)) (?v_142 (not ?v_141))) (or (or (exists ((?lambdaprime Real)) (let ((?v_145 (* 1 (+ x3 (* (/ (- 1) 20) ?lambdaprime))))) (let ((?v_146 (not (<= ?v_145 40))) (?v_148 (* (- 1) (+ x4 (* 60 ?lambdaprime)))) (?v_147 (not (<= ?v_145 33)))) (and (and (<= 0 ?lambdaprime) (<= ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and ?v_146 (and (not (<= ?v_148 (- 4100))) ?v_147))))) (not (and bool.b18 (not (and ?v_146 (and ?v_147 (not (<= ?v_148 (- 4500))))))))) (not (and bool.b19 (not (and ?v_146 (and ?v_147 (not (<= ?v_148 (- 4910)))))))))))))) (< ?lambda 0)) (and (not (and ?v_96 (and (not (<= ?v_0 (/ 241 60))) (and (not (and ?v_42 (not (and ?v_11 (and ?v_10 (and ?v_6 (and (not (and ?v_8 (not (and (not (and ?v_3 (not (and ?v_2 (not (and bool.b20 bool.b22)))))) (not (and bool.b23 ?v_2)))))) (not (and bool.b21 (not (and ?v_3 ?v_4))))))))))) (not (and ?v_5 (and (not (and (not (and ?v_6 (not (and (not (and ?v_3 (not (and (not (and ?v_7 (not (and (not (and ?v_8 (not (and (not (and ?v_9 (not (and ?v_12 (not (and bool.b18 bool.b19)))))) (not (and bool.b20 ?v_12)))))) (not (and bool.b21 (not ?v_14))))))) (not (and bool.b22 (not ?v_15))))))) (not (and bool.b23 (not ?v_16))))))) (not (and bool.b17 (not (and ?v_3 ?v_16)))))) ?v_40))))))) (not (and (and (not (and ?v_18 (not (and (not (and ?v_36 (not (and (not (and ?v_33 (not (and (not (and ?v_30 (not (and (not (and ?v_27 (not (and ?v_25 (not (and bool.b19 ?v_23)))))) (not (and ?v_24 ?v_25)))))) (not (and ?v_26 (not ?v_31))))))) (not (and ?v_29 (not ?v_34))))))) (not (and ?v_32 (not ?v_37))))))) (not (and ?v_35 (not (and ?v_36 ?v_37))))) (not (and ?v_67 (not (and (and ?v_68 (not (and ?v_69 (not (and (not (and (not ?v_50) (not ?v_51))) (not (and ?v_50 (not (and (not (and (not ?v_52) (not ?v_53))) (not (and ?v_52 (not (and (not (and (not ?v_54) (not ?v_55))) (not (and ?v_54 (not (and (not (and ?v_65 (not (and ?v_66 (not (and ?v_79 ?v_70)))))) (not (and ?v_71 ?v_66))))))))))))))))))) (not (and ?v_67 (not (and (and ?v_68 (not (and ?v_69 (not (and (not (and ?v_90 (not (and (not (and ?v_88 (not (and (not (and ?v_86 (not (and (not (and ?v_84 (not (and ?v_108 ?v_85)))) (not (and ?v_92 ?v_85)))))) (not (and (not ?v_86) (not ?v_89))))))) (not (and (not ?v_88) (not ?v_91))))))) (not (and (not ?v_90) (not (and ?v_88 ?v_91))))))))) (not (and (not (and ?v_120 (and ?v_96 (and ?v_126 (and ?v_133 (not (and ?v_42 (not (and ?v_69 (and ?v_107 (and ?v_106 (and ?v_93 (and (not (and ?v_110 (not (and ?v_119 (not (and ?v_116 ?v_117)))))) (not (and ?v_118 ?v_119))))))))))))))) (not (and (not ?v_120) (and (not (and (not ?v_135) (not (and (not (and ?v_67 ?v_143)) (not (and ?v_124 (not (and (<= ?v_125 400) (and ?v_126 ?v_144))))))))) (not (and ?v_135 (not (and (<= ?v_136 1200) (and (not (<= ?v_136 723)) (and (and (and (and (not (and ?v_137 (and ?v_139 ?v_138))) (not (and ?v_137 (and ?v_139 ?v_140)))) (not (and ?v_137 (and ?v_139 ?v_130)))) (not (and ?v_137 (and (not ?v_122) (and ?v_123 ?v_92))))) (and (and (and (not (and ?v_142 ?v_80)) (not (and ?v_142 ?v_130))) (not (and ?v_19 (and ?v_121 ?v_92)))) (and ?v_143 ?v_144)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
